#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 7510
#define LARGE_STATE_COUNT 2025
#define SYMBOL_COUNT 377
#define ALIAS_COUNT 7
#define TOKEN_COUNT 164
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 335

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  anon_sym_GT = 49,
  anon_sym_DOT = 50,
  anon_sym_class = 51,
  anon_sym_async = 52,
  anon_sym_function = 53,
  anon_sym_EQ_GT = 54,
  anon_sym_QMARK_DOT = 55,
  anon_sym_new = 56,
  anon_sym_using = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_GT_GT_EQ = 66,
  anon_sym_GT_GT_GT_EQ = 67,
  anon_sym_LT_LT_EQ = 68,
  anon_sym_STAR_STAR_EQ = 69,
  anon_sym_AMP_AMP_EQ = 70,
  anon_sym_PIPE_PIPE_EQ = 71,
  anon_sym_QMARK_QMARK_EQ = 72,
  anon_sym_DOT_DOT_DOT = 73,
  anon_sym_AMP_AMP = 74,
  anon_sym_PIPE_PIPE = 75,
  anon_sym_GT_GT = 76,
  anon_sym_GT_GT_GT = 77,
  anon_sym_LT_LT = 78,
  anon_sym_AMP = 79,
  anon_sym_CARET = 80,
  anon_sym_PIPE = 81,
  anon_sym_PLUS = 82,
  anon_sym_DASH = 83,
  anon_sym_SLASH = 84,
  anon_sym_PERCENT = 85,
  anon_sym_STAR_STAR = 86,
  anon_sym_LT = 87,
  anon_sym_LT_EQ = 88,
  anon_sym_EQ_EQ = 89,
  anon_sym_EQ_EQ_EQ = 90,
  anon_sym_BANG_EQ = 91,
  anon_sym_BANG_EQ_EQ = 92,
  anon_sym_GT_EQ = 93,
  anon_sym_QMARK_QMARK = 94,
  anon_sym_instanceof = 95,
  anon_sym_TILDE = 96,
  anon_sym_void = 97,
  anon_sym_delete = 98,
  anon_sym_PLUS_PLUS = 99,
  anon_sym_DASH_DASH = 100,
  anon_sym_DQUOTE = 101,
  anon_sym_SQUOTE = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  aux_sym_comment_token1 = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_readonly = 123,
  anon_sym_get = 124,
  anon_sym_set = 125,
  anon_sym_QMARK = 126,
  anon_sym_declare = 127,
  anon_sym_public = 128,
  anon_sym_private = 129,
  anon_sym_protected = 130,
  anon_sym_override = 131,
  anon_sym_module = 132,
  anon_sym_any = 133,
  anon_sym_number = 134,
  anon_sym_boolean = 135,
  anon_sym_string = 136,
  anon_sym_symbol = 137,
  anon_sym_object = 138,
  anon_sym_abstract = 139,
  anon_sym_satisfies = 140,
  anon_sym_require = 141,
  anon_sym_extends = 142,
  anon_sym_implements = 143,
  anon_sym_global = 144,
  anon_sym_interface = 145,
  anon_sym_enum = 146,
  anon_sym_DASH_QMARK_COLON = 147,
  anon_sym_PLUS_QMARK_COLON = 148,
  anon_sym_QMARK_COLON = 149,
  anon_sym_asserts = 150,
  anon_sym_infer = 151,
  anon_sym_is = 152,
  anon_sym_keyof = 153,
  anon_sym_unique = 154,
  anon_sym_unknown = 155,
  anon_sym_never = 156,
  anon_sym_LBRACE_PIPE = 157,
  anon_sym_PIPE_RBRACE = 158,
  sym__automatic_semicolon = 159,
  sym__template_chars = 160,
  sym__ternary_qmark = 161,
  sym_html_comment = 162,
  sym__function_signature_automatic_semicolon = 163,
  sym_program = 164,
  sym_export_statement = 165,
  sym_namespace_export = 166,
  sym_export_clause = 167,
  sym_export_specifier = 168,
  sym__module_export_name = 169,
  sym_declaration = 170,
  sym_import = 171,
  sym_import_statement = 172,
  sym_import_clause = 173,
  sym__from_clause = 174,
  sym_namespace_import = 175,
  sym_named_imports = 176,
  sym_import_specifier = 177,
  sym_expression_statement = 178,
  sym_variable_declaration = 179,
  sym_lexical_declaration = 180,
  sym_variable_declarator = 181,
  sym_statement_block = 182,
  sym_else_clause = 183,
  sym_if_statement = 184,
  sym_switch_statement = 185,
  sym_for_statement = 186,
  sym_for_in_statement = 187,
  sym__for_header = 188,
  sym_while_statement = 189,
  sym_do_statement = 190,
  sym_try_statement = 191,
  sym_with_statement = 192,
  sym_break_statement = 193,
  sym_continue_statement = 194,
  sym_debugger_statement = 195,
  sym_return_statement = 196,
  sym_throw_statement = 197,
  sym_empty_statement = 198,
  sym_labeled_statement = 199,
  sym_switch_body = 200,
  sym_switch_case = 201,
  sym_switch_default = 202,
  sym_catch_clause = 203,
  sym_finally_clause = 204,
  sym_parenthesized_expression = 205,
  sym_expression = 206,
  sym_primary_expression = 207,
  sym_yield_expression = 208,
  sym_object = 209,
  sym_object_pattern = 210,
  sym_assignment_pattern = 211,
  sym_object_assignment_pattern = 212,
  sym_array = 213,
  sym_array_pattern = 214,
  sym_glimmer_template = 215,
  sym_glimmer_opening_tag = 216,
  sym_glimmer_closing_tag = 217,
  sym_nested_identifier = 218,
  sym_class = 219,
  sym_class_declaration = 220,
  sym_class_heritage = 221,
  sym_function_expression = 222,
  sym_function_declaration = 223,
  sym_generator_function = 224,
  sym_generator_function_declaration = 225,
  sym_arrow_function = 226,
  sym__call_signature = 227,
  sym__formal_parameter = 228,
  sym_optional_chain = 229,
  sym_call_expression = 230,
  sym_new_expression = 231,
  sym_await_expression = 232,
  sym_member_expression = 233,
  sym_subscript_expression = 234,
  sym_assignment_expression = 235,
  sym__augmented_assignment_lhs = 236,
  sym_augmented_assignment_expression = 237,
  sym__initializer = 238,
  sym__destructuring_pattern = 239,
  sym_spread_element = 240,
  sym_ternary_expression = 241,
  sym_binary_expression = 242,
  sym_unary_expression = 243,
  sym_update_expression = 244,
  sym_sequence_expression = 245,
  sym_string = 246,
  sym_comment = 247,
  sym_template_string = 248,
  sym_template_substitution = 249,
  sym_regex = 250,
  sym_meta_property = 251,
  sym_arguments = 252,
  sym_decorator = 253,
  sym_decorator_member_expression = 254,
  sym_decorator_call_expression = 255,
  sym_class_body = 256,
  sym_formal_parameters = 257,
  sym_class_static_block = 258,
  sym_pattern = 259,
  sym_rest_pattern = 260,
  sym_method_definition = 261,
  sym_pair = 262,
  sym_pair_pattern = 263,
  sym__property_name = 264,
  sym_computed_property_name = 265,
  sym_public_field_definition = 266,
  sym__import_identifier = 267,
  sym_non_null_expression = 268,
  sym_method_signature = 269,
  sym_abstract_method_signature = 270,
  sym_function_signature = 271,
  sym_type_assertion = 272,
  sym_as_expression = 273,
  sym_satisfies_expression = 274,
  sym_instantiation_expression = 275,
  sym_import_require_clause = 276,
  sym_extends_clause = 277,
  sym__extends_clause_single = 278,
  sym_implements_clause = 279,
  sym_ambient_declaration = 280,
  sym_abstract_class_declaration = 281,
  sym_module = 282,
  sym_internal_module = 283,
  sym__module = 284,
  sym_import_alias = 285,
  sym_nested_type_identifier = 286,
  sym_interface_declaration = 287,
  sym_extends_type_clause = 288,
  sym_enum_declaration = 289,
  sym_enum_body = 290,
  sym_enum_assignment = 291,
  sym_type_alias_declaration = 292,
  sym_accessibility_modifier = 293,
  sym_override_modifier = 294,
  sym_required_parameter = 295,
  sym_optional_parameter = 296,
  sym__parameter_name = 297,
  sym_omitting_type_annotation = 298,
  sym_adding_type_annotation = 299,
  sym_opting_type_annotation = 300,
  sym_type_annotation = 301,
  sym__type_query_member_expression_in_type_annotation = 302,
  sym__type_query_call_expression_in_type_annotation = 303,
  sym_asserts = 304,
  sym_asserts_annotation = 305,
  sym__type = 306,
  sym_tuple_parameter = 307,
  sym_optional_tuple_parameter = 308,
  sym_optional_type = 309,
  sym_rest_type = 310,
  sym__tuple_type_member = 311,
  sym_constructor_type = 312,
  sym__primary_type = 313,
  sym_template_type = 314,
  sym_template_literal_type = 315,
  sym_infer_type = 316,
  sym_conditional_type = 317,
  sym_generic_type = 318,
  sym_type_predicate = 319,
  sym_type_predicate_annotation = 320,
  sym__type_query_member_expression = 321,
  sym__type_query_subscript_expression = 322,
  sym__type_query_call_expression = 323,
  sym__type_query_instantiation_expression = 324,
  sym_type_query = 325,
  sym_index_type_query = 326,
  sym_lookup_type = 327,
  sym_mapped_type_clause = 328,
  sym_literal_type = 329,
  sym__number = 330,
  sym_existential_type = 331,
  sym_flow_maybe_type = 332,
  sym_parenthesized_type = 333,
  sym_predefined_type = 334,
  sym_type_arguments = 335,
  sym_object_type = 336,
  sym_call_signature = 337,
  sym_property_signature = 338,
  sym_type_parameters = 339,
  sym_type_parameter = 340,
  sym_default_type = 341,
  sym_constraint = 342,
  sym_construct_signature = 343,
  sym_index_signature = 344,
  sym_array_type = 345,
  sym_tuple_type = 346,
  sym_readonly_type = 347,
  sym_union_type = 348,
  sym_intersection_type = 349,
  sym_function_type = 350,
  aux_sym_program_repeat1 = 351,
  aux_sym_export_statement_repeat1 = 352,
  aux_sym_export_clause_repeat1 = 353,
  aux_sym_named_imports_repeat1 = 354,
  aux_sym_variable_declaration_repeat1 = 355,
  aux_sym_switch_body_repeat1 = 356,
  aux_sym_object_repeat1 = 357,
  aux_sym_object_pattern_repeat1 = 358,
  aux_sym_array_repeat1 = 359,
  aux_sym_array_pattern_repeat1 = 360,
  aux_sym_glimmer_template_repeat1 = 361,
  aux_sym_sequence_expression_repeat1 = 362,
  aux_sym_string_repeat1 = 363,
  aux_sym_string_repeat2 = 364,
  aux_sym_template_string_repeat1 = 365,
  aux_sym_class_body_repeat1 = 366,
  aux_sym_formal_parameters_repeat1 = 367,
  aux_sym_extends_clause_repeat1 = 368,
  aux_sym_implements_clause_repeat1 = 369,
  aux_sym_extends_type_clause_repeat1 = 370,
  aux_sym_enum_body_repeat1 = 371,
  aux_sym_template_literal_type_repeat1 = 372,
  aux_sym_type_arguments_repeat1 = 373,
  aux_sym_object_type_repeat1 = 374,
  aux_sym_type_parameters_repeat1 = 375,
  aux_sym_tuple_type_repeat1 = 376,
  alias_sym_interface_body = 377,
  alias_sym_property_identifier = 378,
  alias_sym_shorthand_property_identifier = 379,
  alias_sym_shorthand_property_identifier_pattern = 380,
  alias_sym_statement_identifier = 381,
  alias_sym_this_type = 382,
  alias_sym_type_identifier = 383,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_optional_chain = 31,
  field_parameter = 32,
  field_parameters = 33,
  field_pattern = 34,
  field_property = 35,
  field_return_type = 36,
  field_right = 37,
  field_sign = 38,
  field_source = 39,
  field_type = 40,
  field_type_arguments = 41,
  field_type_parameters = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [14] = {.index = 3, .length = 1},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 2},
  [19] = {.index = 17, .length = 2},
  [20] = {.index = 19, .length = 1},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 24, .length = 2},
  [24] = {.index = 26, .length = 2},
  [25] = {.index = 28, .length = 1},
  [26] = {.index = 29, .length = 2},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 2},
  [33] = {.index = 37, .length = 1},
  [34] = {.index = 38, .length = 2},
  [35] = {.index = 40, .length = 2},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 43, .length = 2},
  [38] = {.index = 45, .length = 2},
  [39] = {.index = 47, .length = 6},
  [40] = {.index = 53, .length = 1},
  [41] = {.index = 54, .length = 3},
  [42] = {.index = 57, .length = 3},
  [43] = {.index = 60, .length = 2},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 66, .length = 2},
  [47] = {.index = 68, .length = 2},
  [48] = {.index = 70, .length = 1},
  [49] = {.index = 71, .length = 2},
  [50] = {.index = 73, .length = 1},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 1},
  [53] = {.index = 77, .length = 2},
  [54] = {.index = 79, .length = 4},
  [55] = {.index = 83, .length = 2},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 3},
  [58] = {.index = 90, .length = 2},
  [59] = {.index = 92, .length = 2},
  [60] = {.index = 94, .length = 2},
  [61] = {.index = 96, .length = 2},
  [62] = {.index = 98, .length = 1},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 2},
  [65] = {.index = 103, .length = 2},
  [68] = {.index = 99, .length = 2},
  [69] = {.index = 105, .length = 4},
  [70] = {.index = 29, .length = 2},
  [71] = {.index = 33, .length = 2},
  [72] = {.index = 109, .length = 3},
  [73] = {.index = 71, .length = 2},
  [74] = {.index = 71, .length = 2},
  [75] = {.index = 112, .length = 2},
  [76] = {.index = 112, .length = 2},
  [77] = {.index = 114, .length = 3},
  [78] = {.index = 114, .length = 3},
  [79] = {.index = 117, .length = 3},
  [80] = {.index = 120, .length = 2},
  [81] = {.index = 122, .length = 3},
  [82] = {.index = 125, .length = 4},
  [83] = {.index = 129, .length = 3},
  [84] = {.index = 132, .length = 2},
  [85] = {.index = 134, .length = 2},
  [86] = {.index = 136, .length = 1},
  [87] = {.index = 137, .length = 1},
  [88] = {.index = 98, .length = 1},
  [91] = {.index = 29, .length = 2},
  [92] = {.index = 138, .length = 2},
  [93] = {.index = 140, .length = 5},
  [94] = {.index = 145, .length = 1},
  [95] = {.index = 146, .length = 1},
  [96] = {.index = 147, .length = 2},
  [97] = {.index = 149, .length = 3},
  [98] = {.index = 152, .length = 2},
  [99] = {.index = 154, .length = 3},
  [100] = {.index = 157, .length = 6},
  [101] = {.index = 163, .length = 1},
  [102] = {.index = 164, .length = 1},
  [103] = {.index = 165, .length = 3},
  [104] = {.index = 168, .length = 3},
  [105] = {.index = 171, .length = 4},
  [106] = {.index = 175, .length = 2},
  [107] = {.index = 177, .length = 2},
  [108] = {.index = 179, .length = 3},
  [109] = {.index = 182, .length = 4},
  [110] = {.index = 186, .length = 1},
  [111] = {.index = 187, .length = 2},
  [112] = {.index = 189, .length = 1},
  [113] = {.index = 190, .length = 2},
  [114] = {.index = 192, .length = 3},
  [115] = {.index = 195, .length = 2},
  [116] = {.index = 197, .length = 4},
  [117] = {.index = 201, .length = 2},
  [118] = {.index = 203, .length = 2},
  [119] = {.index = 205, .length = 4},
  [120] = {.index = 203, .length = 2},
  [121] = {.index = 209, .length = 4},
  [122] = {.index = 213, .length = 4},
  [123] = {.index = 217, .length = 5},
  [124] = {.index = 222, .length = 3},
  [125] = {.index = 225, .length = 2},
  [126] = {.index = 225, .length = 2},
  [127] = {.index = 227, .length = 2},
  [128] = {.index = 229, .length = 1},
  [129] = {.index = 230, .length = 2},
  [130] = {.index = 232, .length = 4},
  [131] = {.index = 236, .length = 4},
  [132] = {.index = 240, .length = 4},
  [133] = {.index = 244, .length = 2},
  [134] = {.index = 246, .length = 2},
  [135] = {.index = 248, .length = 2},
  [136] = {.index = 250, .length = 3},
  [137] = {.index = 253, .length = 2},
  [138] = {.index = 255, .length = 4},
  [139] = {.index = 255, .length = 4},
  [140] = {.index = 259, .length = 4},
  [141] = {.index = 259, .length = 4},
  [142] = {.index = 152, .length = 2},
  [143] = {.index = 263, .length = 1},
  [144] = {.index = 263, .length = 1},
  [145] = {.index = 190, .length = 2},
  [146] = {.index = 192, .length = 3},
  [147] = {.index = 264, .length = 2},
  [148] = {.index = 266, .length = 3},
  [149] = {.index = 269, .length = 2},
  [150] = {.index = 271, .length = 3},
  [151] = {.index = 274, .length = 2},
  [152] = {.index = 276, .length = 3},
  [153] = {.index = 279, .length = 1},
  [154] = {.index = 280, .length = 2},
  [155] = {.index = 282, .length = 2},
  [156] = {.index = 284, .length = 5},
  [157] = {.index = 280, .length = 2},
  [158] = {.index = 289, .length = 1},
  [159] = {.index = 290, .length = 4},
  [160] = {.index = 294, .length = 2},
  [161] = {.index = 296, .length = 1},
  [162] = {.index = 297, .length = 2},
  [163] = {.index = 299, .length = 2},
  [164] = {.index = 301, .length = 2},
  [165] = {.index = 303, .length = 4},
  [166] = {.index = 307, .length = 2},
  [167] = {.index = 309, .length = 3},
  [168] = {.index = 312, .length = 3},
  [169] = {.index = 315, .length = 3},
  [170] = {.index = 318, .length = 4},
  [171] = {.index = 322, .length = 4},
  [172] = {.index = 326, .length = 4},
  [173] = {.index = 330, .length = 5},
  [174] = {.index = 335, .length = 2},
  [175] = {.index = 337, .length = 2},
  [176] = {.index = 339, .length = 1},
  [177] = {.index = 340, .length = 4},
  [178] = {.index = 340, .length = 4},
  [179] = {.index = 344, .length = 3},
  [180] = {.index = 347, .length = 2},
  [181] = {.index = 349, .length = 3},
  [182] = {.index = 352, .length = 2},
  [183] = {.index = 354, .length = 3},
  [184] = {.index = 357, .length = 2},
  [185] = {.index = 357, .length = 2},
  [186] = {.index = 315, .length = 3},
  [187] = {.index = 359, .length = 3},
  [188] = {.index = 362, .length = 3},
  [189] = {.index = 147, .length = 2},
  [190] = {.index = 365, .length = 2},
  [191] = {.index = 367, .length = 3},
  [192] = {.index = 370, .length = 4},
  [193] = {.index = 374, .length = 3},
  [194] = {.index = 377, .length = 3},
  [195] = {.index = 380, .length = 2},
  [196] = {.index = 382, .length = 3},
  [197] = {.index = 385, .length = 5},
  [198] = {.index = 380, .length = 2},
  [199] = {.index = 390, .length = 3},
  [200] = {.index = 390, .length = 3},
  [201] = {.index = 393, .length = 3},
  [202] = {.index = 396, .length = 2},
  [203] = {.index = 398, .length = 4},
  [204] = {.index = 147, .length = 2},
  [205] = {.index = 402, .length = 1},
  [206] = {.index = 403, .length = 2},
  [207] = {.index = 405, .length = 2},
  [208] = {.index = 407, .length = 2},
  [209] = {.index = 409, .length = 2},
  [210] = {.index = 411, .length = 3},
  [211] = {.index = 414, .length = 1},
  [212] = {.index = 415, .length = 3},
  [213] = {.index = 418, .length = 2},
  [214] = {.index = 420, .length = 3},
  [215] = {.index = 423, .length = 3},
  [216] = {.index = 426, .length = 3},
  [217] = {.index = 429, .length = 3},
  [218] = {.index = 432, .length = 4},
  [219] = {.index = 436, .length = 5},
  [220] = {.index = 441, .length = 3},
  [221] = {.index = 444, .length = 2},
  [222] = {.index = 446, .length = 2},
  [223] = {.index = 448, .length = 4},
  [224] = {.index = 452, .length = 4},
  [225] = {.index = 456, .length = 4},
  [226] = {.index = 460, .length = 3},
  [227] = {.index = 463, .length = 2},
  [228] = {.index = 465, .length = 3},
  [229] = {.index = 468, .length = 2},
  [230] = {.index = 470, .length = 2},
  [231] = {.index = 472, .length = 2},
  [232] = {.index = 474, .length = 1},
  [233] = {.index = 475, .length = 4},
  [234] = {.index = 479, .length = 3},
  [235] = {.index = 482, .length = 4},
  [236] = {.index = 486, .length = 5},
  [237] = {.index = 491, .length = 1},
  [238] = {.index = 492, .length = 2},
  [239] = {.index = 494, .length = 4},
  [240] = {.index = 498, .length = 4},
  [241] = {.index = 502, .length = 2},
  [242] = {.index = 504, .length = 4},
  [243] = {.index = 508, .length = 4},
  [244] = {.index = 512, .length = 2},
  [245] = {.index = 514, .length = 2},
  [246] = {.index = 516, .length = 3},
  [247] = {.index = 519, .length = 3},
  [248] = {.index = 522, .length = 2},
  [249] = {.index = 524, .length = 2},
  [250] = {.index = 526, .length = 1},
  [251] = {.index = 527, .length = 1},
  [252] = {.index = 528, .length = 3},
  [253] = {.index = 531, .length = 3},
  [254] = {.index = 534, .length = 3},
  [255] = {.index = 537, .length = 3},
  [256] = {.index = 540, .length = 4},
  [257] = {.index = 544, .length = 2},
  [258] = {.index = 546, .length = 4},
  [259] = {.index = 550, .length = 3},
  [260] = {.index = 553, .length = 2},
  [261] = {.index = 555, .length = 4},
  [262] = {.index = 559, .length = 4},
  [263] = {.index = 563, .length = 4},
  [264] = {.index = 567, .length = 3},
  [266] = {.index = 570, .length = 4},
  [267] = {.index = 574, .length = 5},
  [268] = {.index = 579, .length = 5},
  [269] = {.index = 584, .length = 5},
  [270] = {.index = 589, .length = 3},
  [271] = {.index = 592, .length = 3},
  [272] = {.index = 595, .length = 3},
  [273] = {.index = 592, .length = 3},
  [274] = {.index = 598, .length = 2},
  [275] = {.index = 600, .length = 4},
  [276] = {.index = 604, .length = 4},
  [277] = {.index = 608, .length = 3},
  [278] = {.index = 611, .length = 2},
  [279] = {.index = 613, .length = 2},
  [280] = {.index = 615, .length = 3},
  [281] = {.index = 618, .length = 2},
  [282] = {.index = 620, .length = 2},
  [283] = {.index = 622, .length = 1},
  [284] = {.index = 623, .length = 3},
  [285] = {.index = 626, .length = 3},
  [286] = {.index = 629, .length = 4},
  [287] = {.index = 633, .length = 4},
  [288] = {.index = 637, .length = 3},
  [289] = {.index = 640, .length = 3},
  [290] = {.index = 643, .length = 2},
  [291] = {.index = 645, .length = 4},
  [292] = {.index = 649, .length = 5},
  [293] = {.index = 654, .length = 5},
  [294] = {.index = 659, .length = 4},
  [295] = {.index = 663, .length = 4},
  [296] = {.index = 667, .length = 3},
  [297] = {.index = 670, .length = 3},
  [298] = {.index = 670, .length = 3},
  [299] = {.index = 673, .length = 2},
  [300] = {.index = 675, .length = 2},
  [301] = {.index = 677, .length = 3},
  [302] = {.index = 680, .length = 2},
  [303] = {.index = 682, .length = 2},
  [304] = {.index = 684, .length = 4},
  [305] = {.index = 688, .length = 3},
  [306] = {.index = 691, .length = 3},
  [307] = {.index = 694, .length = 4},
  [308] = {.index = 698, .length = 3},
  [309] = {.index = 701, .length = 3},
  [310] = {.index = 704, .length = 2},
  [311] = {.index = 706, .length = 5},
  [312] = {.index = 711, .length = 5},
  [313] = {.index = 716, .length = 4},
  [314] = {.index = 716, .length = 4},
  [315] = {.index = 720, .length = 4},
  [316] = {.index = 724, .length = 3},
  [317] = {.index = 727, .length = 2},
  [318] = {.index = 729, .length = 2},
  [319] = {.index = 731, .length = 3},
  [320] = {.index = 734, .length = 4},
  [321] = {.index = 738, .length = 4},
  [322] = {.index = 742, .length = 3},
  [323] = {.index = 745, .length = 3},
  [324] = {.index = 748, .length = 4},
  [325] = {.index = 752, .length = 3},
  [326] = {.index = 755, .length = 3},
  [327] = {.index = 758, .length = 5},
  [328] = {.index = 763, .length = 3},
  [329] = {.index = 766, .length = 4},
  [330] = {.index = 770, .length = 4},
  [331] = {.index = 774, .length = 3},
  [332] = {.index = 777, .length = 3},
  [333] = {.index = 780, .length = 4},
  [334] = {.index = 784, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_argument, 0},
    {field_operator, 1},
  [19] =
    {field_type_arguments, 1},
  [20] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [22] =
    {field_parameters, 0},
    {field_return_type, 1},
  [24] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [26] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [28] =
    {field_declaration, 2},
  [29] =
    {field_left, 0},
    {field_right, 2},
  [31] =
    {field_body, 2},
    {field_label, 0},
  [33] =
    {field_body, 2},
    {field_parameter, 0},
  [35] =
    {field_body, 1},
    {field_name, 0},
  [37] =
    {field_source, 1},
  [38] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [40] =
    {field_name, 0},
    {field_type, 1},
  [42] =
    {field_kind, 0},
  [43] =
    {field_condition, 1},
    {field_consequence, 2},
  [45] =
    {field_body, 2},
    {field_value, 1},
  [47] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_pattern, 1},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [62] =
    {field_body, 2},
    {field_condition, 1},
  [64] =
    {field_body, 1},
    {field_handler, 2},
  [66] =
    {field_body, 1},
    {field_finalizer, 2},
  [68] =
    {field_body, 2},
    {field_object, 1},
  [70] =
    {field_label, 1},
  [71] =
    {field_body, 2},
    {field_name, 1},
  [73] =
    {field_value, 0},
  [74] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [76] =
    {field_body, 2},
  [77] =
    {field_body, 2},
    {field_type_parameters, 1},
  [79] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_arguments, 2},
    {field_constructor, 1},
  [85] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [87] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [90] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [92] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [94] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [96] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [98] =
    {field_name, 1},
  [99] =
    {field_name, 0},
    {field_type_arguments, 1},
  [101] =
    {field_name, 0},
    {field_value, 1},
  [103] =
    {field_constraint, 1},
    {field_name, 0},
  [105] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [109] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [112] =
    {field_object, 0},
    {field_property, 2},
  [114] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [117] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [120] =
    {field_arguments, 2},
    {field_function, 0},
  [122] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [125] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [129] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [132] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [136] =
    {field_source, 2, .inherited = true},
  [137] =
    {field_value, 2},
  [138] =
    {field_key, 0},
    {field_value, 2},
  [140] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [145] =
    {field_source, 2},
  [146] =
    {field_value, 1},
  [147] =
    {field_name, 0},
    {field_type, 2},
  [149] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 3},
    {field_name, 2},
  [154] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [157] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [163] =
    {field_type, 2},
  [164] =
    {field_pattern, 2},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [168] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [171] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [175] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [177] =
    {field_body, 1},
    {field_condition, 3},
  [179] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [182] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [186] =
    {field_decorator, 0, .inherited = true},
  [187] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [189] =
    {field_decorator, 1, .inherited = true},
  [190] =
    {field_body, 3},
    {field_name, 1},
  [192] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [195] =
    {field_type_arguments, 1},
    {field_value, 0},
  [197] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [201] =
    {field_body, 3},
    {field_type_parameters, 1},
  [203] =
    {field_body, 3},
    {field_parameter, 1},
  [205] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [209] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [213] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [217] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [222] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [225] =
    {field_left, 1},
    {field_right, 3},
  [227] =
    {field_flags, 3},
    {field_pattern, 1},
  [229] =
    {field_parameters, 1},
  [230] =
    {field_function, 0},
    {field_type_arguments, 1},
  [232] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [236] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [240] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [244] =
    {field_name, 1},
    {field_value, 2},
  [246] =
    {field_constraint, 2},
    {field_name, 1},
  [248] =
    {field_module, 0},
    {field_name, 2},
  [250] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [253] =
    {field_parameters, 0},
    {field_return_type, 2},
  [255] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [259] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [263] =
    {field_type, 1},
  [264] =
    {field_index, 2},
    {field_object, 0},
  [266] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [269] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [271] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [274] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [276] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [279] =
    {field_source, 3, .inherited = true},
  [280] =
    {field_alias, 2},
    {field_name, 0},
  [282] =
    {field_name, 1},
    {field_value, 3},
  [284] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [289] =
    {field_pattern, 3},
  [290] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [296] =
    {field_name, 2},
  [297] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [299] =
    {field_name, 1},
    {field_type, 2},
  [301] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [303] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [307] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [309] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [312] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [315] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [318] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [322] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [326] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [335] =
    {field_parameters, 1},
    {field_type, 2},
  [337] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [339] =
    {field_parameters, 2},
  [340] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [344] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [347] =
    {field_parameters, 1},
    {field_type, 3},
  [349] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [352] =
    {field_body, 4},
    {field_name, 2},
  [354] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [357] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [359] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [362] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [365] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [367] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [370] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [374] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [377] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [380] =
    {field_alias, 3},
    {field_name, 1},
  [382] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [385] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [390] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [393] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [396] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [398] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [402] =
    {field_type, 3},
  [403] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [405] =
    {field_name, 2},
    {field_type, 3},
  [407] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [409] =
    {field_name, 1},
    {field_type, 3},
  [411] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [414] =
    {field_name, 3},
  [415] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [418] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [420] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [423] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [426] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [429] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [432] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [436] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [441] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [444] =
    {field_parameters, 2},
    {field_type, 3},
  [446] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [448] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [452] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [456] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [460] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [463] =
    {field_parameters, 2},
    {field_type, 4},
  [465] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [468] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [470] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [472] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [474] =
    {field_name, 2, .inherited = true},
  [475] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [479] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [482] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [486] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [491] =
    {field_source, 4},
  [492] =
    {field_body, 3},
    {field_value, 1},
  [494] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [498] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [502] =
    {field_body, 4},
    {field_parameter, 2},
  [504] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [508] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [512] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 4},
  [516] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [519] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [522] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [524] =
    {field_name, 3},
    {field_type, 4},
  [526] =
    {field_type, 4},
  [527] =
    {field_name, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [531] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [537] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [540] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [544] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [546] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [550] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [553] =
    {field_index, 3},
    {field_object, 0},
  [555] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [559] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [563] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [567] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [570] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [574] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [579] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [584] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [589] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [592] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [595] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [598] =
    {field_sign, 0},
    {field_type, 5},
  [600] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [604] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [608] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [611] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [613] =
    {field_name, 3},
    {field_type, 5},
  [615] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [618] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [620] =
    {field_name, 4},
    {field_type, 5},
  [622] =
    {field_name, 5},
  [623] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [626] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [629] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [633] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [637] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [640] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [643] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [645] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [649] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [654] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [659] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [663] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [670] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [673] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [675] =
    {field_name, 4},
    {field_type, 6},
  [677] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [680] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [682] =
    {field_name, 5},
    {field_type, 6},
  [684] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [688] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [691] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [694] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [698] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [701] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [704] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [706] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [711] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [716] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [720] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [724] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [727] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [729] =
    {field_name, 5},
    {field_type, 7},
  [731] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [734] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [738] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [742] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [745] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [748] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [752] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [755] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [758] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [763] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [766] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [770] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [774] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [777] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [780] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [784] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_this_type,
  },
  [17] = {
    [0] = sym_unescaped_double_string_fragment,
  },
  [26] = {
    [0] = sym_identifier,
  },
  [27] = {
    [0] = alias_sym_statement_identifier,
  },
  [28] = {
    [0] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [31] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [32] = {
    [1] = sym_identifier,
  },
  [48] = {
    [1] = alias_sym_statement_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [1] = alias_sym_type_identifier,
  },
  [63] = {
    [0] = alias_sym_type_identifier,
  },
  [64] = {
    [0] = alias_sym_type_identifier,
  },
  [65] = {
    [0] = alias_sym_type_identifier,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
  },
  [67] = {
    [1] = anon_sym_unique,
  },
  [73] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [75] = {
    [2] = alias_sym_property_identifier,
  },
  [77] = {
    [2] = alias_sym_property_identifier,
  },
  [89] = {
    [2] = alias_sym_property_identifier,
  },
  [90] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [91] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [113] = {
    [1] = alias_sym_type_identifier,
  },
  [114] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [1] = sym_identifier,
  },
  [125] = {
    [1] = sym_identifier,
  },
  [133] = {
    [1] = alias_sym_type_identifier,
  },
  [134] = {
    [1] = alias_sym_type_identifier,
  },
  [135] = {
    [2] = alias_sym_type_identifier,
  },
  [136] = {
    [0] = alias_sym_type_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [140] = {
    [2] = alias_sym_property_identifier,
  },
  [142] = {
    [2] = alias_sym_type_identifier,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
  },
  [145] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [146] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [150] = {
    [2] = alias_sym_type_identifier,
  },
  [155] = {
    [1] = alias_sym_type_identifier,
  },
  [157] = {
    [0] = sym_identifier,
  },
  [169] = {
    [1] = alias_sym_type_identifier,
  },
  [177] = {
    [2] = alias_sym_property_identifier,
  },
  [179] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [2] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = alias_sym_type_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [189] = {
    [0] = sym_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [2] = alias_sym_type_identifier,
  },
  [194] = {
    [3] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
  [198] = {
    [1] = sym_identifier,
  },
  [199] = {
    [1] = sym_identifier,
  },
  [204] = {
    [0] = alias_sym_type_identifier,
  },
  [228] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [265] = {
    [3] = alias_sym_property_identifier,
  },
  [266] = {
    [3] = alias_sym_type_identifier,
  },
  [271] = {
    [1] = sym_identifier,
  },
  [272] = {
    [0] = alias_sym_type_identifier,
  },
  [297] = {
    [2] = sym_identifier,
  },
  [313] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 12,
  [18] = 18,
  [19] = 18,
  [20] = 20,
  [21] = 18,
  [22] = 20,
  [23] = 20,
  [24] = 18,
  [25] = 20,
  [26] = 18,
  [27] = 20,
  [28] = 18,
  [29] = 20,
  [30] = 18,
  [31] = 20,
  [32] = 18,
  [33] = 20,
  [34] = 34,
  [35] = 18,
  [36] = 18,
  [37] = 18,
  [38] = 20,
  [39] = 18,
  [40] = 40,
  [41] = 20,
  [42] = 20,
  [43] = 20,
  [44] = 20,
  [45] = 18,
  [46] = 18,
  [47] = 20,
  [48] = 18,
  [49] = 20,
  [50] = 20,
  [51] = 20,
  [52] = 20,
  [53] = 18,
  [54] = 18,
  [55] = 20,
  [56] = 20,
  [57] = 18,
  [58] = 18,
  [59] = 18,
  [60] = 18,
  [61] = 20,
  [62] = 20,
  [63] = 20,
  [64] = 18,
  [65] = 18,
  [66] = 18,
  [67] = 20,
  [68] = 20,
  [69] = 20,
  [70] = 18,
  [71] = 18,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 75,
  [80] = 75,
  [81] = 81,
  [82] = 77,
  [83] = 76,
  [84] = 78,
  [85] = 76,
  [86] = 81,
  [87] = 78,
  [88] = 73,
  [89] = 89,
  [90] = 90,
  [91] = 73,
  [92] = 77,
  [93] = 89,
  [94] = 81,
  [95] = 74,
  [96] = 77,
  [97] = 97,
  [98] = 74,
  [99] = 73,
  [100] = 74,
  [101] = 74,
  [102] = 81,
  [103] = 76,
  [104] = 90,
  [105] = 89,
  [106] = 75,
  [107] = 97,
  [108] = 97,
  [109] = 78,
  [110] = 97,
  [111] = 78,
  [112] = 81,
  [113] = 89,
  [114] = 97,
  [115] = 73,
  [116] = 76,
  [117] = 90,
  [118] = 77,
  [119] = 90,
  [120] = 75,
  [121] = 89,
  [122] = 90,
  [123] = 123,
  [124] = 124,
  [125] = 123,
  [126] = 123,
  [127] = 123,
  [128] = 124,
  [129] = 123,
  [130] = 123,
  [131] = 123,
  [132] = 124,
  [133] = 123,
  [134] = 123,
  [135] = 123,
  [136] = 136,
  [137] = 137,
  [138] = 136,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 146,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 150,
  [153] = 153,
  [154] = 153,
  [155] = 153,
  [156] = 156,
  [157] = 150,
  [158] = 151,
  [159] = 151,
  [160] = 150,
  [161] = 153,
  [162] = 153,
  [163] = 153,
  [164] = 149,
  [165] = 149,
  [166] = 149,
  [167] = 145,
  [168] = 150,
  [169] = 156,
  [170] = 170,
  [171] = 149,
  [172] = 145,
  [173] = 144,
  [174] = 174,
  [175] = 151,
  [176] = 176,
  [177] = 153,
  [178] = 153,
  [179] = 179,
  [180] = 180,
  [181] = 145,
  [182] = 153,
  [183] = 153,
  [184] = 156,
  [185] = 153,
  [186] = 151,
  [187] = 156,
  [188] = 153,
  [189] = 151,
  [190] = 151,
  [191] = 151,
  [192] = 151,
  [193] = 153,
  [194] = 153,
  [195] = 153,
  [196] = 176,
  [197] = 170,
  [198] = 153,
  [199] = 153,
  [200] = 153,
  [201] = 201,
  [202] = 201,
  [203] = 201,
  [204] = 201,
  [205] = 151,
  [206] = 201,
  [207] = 201,
  [208] = 153,
  [209] = 209,
  [210] = 201,
  [211] = 201,
  [212] = 201,
  [213] = 201,
  [214] = 214,
  [215] = 214,
  [216] = 214,
  [217] = 214,
  [218] = 214,
  [219] = 214,
  [220] = 214,
  [221] = 214,
  [222] = 214,
  [223] = 214,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 227,
  [229] = 227,
  [230] = 227,
  [231] = 227,
  [232] = 227,
  [233] = 227,
  [234] = 227,
  [235] = 227,
  [236] = 227,
  [237] = 237,
  [238] = 238,
  [239] = 238,
  [240] = 237,
  [241] = 238,
  [242] = 238,
  [243] = 237,
  [244] = 237,
  [245] = 237,
  [246] = 237,
  [247] = 238,
  [248] = 238,
  [249] = 249,
  [250] = 249,
  [251] = 249,
  [252] = 252,
  [253] = 249,
  [254] = 254,
  [255] = 249,
  [256] = 249,
  [257] = 254,
  [258] = 254,
  [259] = 259,
  [260] = 249,
  [261] = 252,
  [262] = 259,
  [263] = 249,
  [264] = 249,
  [265] = 265,
  [266] = 266,
  [267] = 266,
  [268] = 265,
  [269] = 269,
  [270] = 249,
  [271] = 269,
  [272] = 265,
  [273] = 269,
  [274] = 266,
  [275] = 275,
  [276] = 276,
  [277] = 276,
  [278] = 276,
  [279] = 276,
  [280] = 276,
  [281] = 276,
  [282] = 282,
  [283] = 276,
  [284] = 284,
  [285] = 285,
  [286] = 285,
  [287] = 285,
  [288] = 285,
  [289] = 285,
  [290] = 284,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 294,
  [301] = 284,
  [302] = 299,
  [303] = 303,
  [304] = 295,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 298,
  [313] = 295,
  [314] = 297,
  [315] = 315,
  [316] = 316,
  [317] = 298,
  [318] = 318,
  [319] = 319,
  [320] = 297,
  [321] = 321,
  [322] = 293,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 293,
  [328] = 328,
  [329] = 284,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 311,
  [339] = 298,
  [340] = 284,
  [341] = 337,
  [342] = 319,
  [343] = 318,
  [344] = 336,
  [345] = 284,
  [346] = 284,
  [347] = 321,
  [348] = 321,
  [349] = 349,
  [350] = 284,
  [351] = 351,
  [352] = 310,
  [353] = 316,
  [354] = 315,
  [355] = 284,
  [356] = 306,
  [357] = 284,
  [358] = 325,
  [359] = 330,
  [360] = 309,
  [361] = 326,
  [362] = 331,
  [363] = 326,
  [364] = 305,
  [365] = 328,
  [366] = 324,
  [367] = 334,
  [368] = 305,
  [369] = 332,
  [370] = 309,
  [371] = 310,
  [372] = 336,
  [373] = 349,
  [374] = 323,
  [375] = 311,
  [376] = 332,
  [377] = 307,
  [378] = 323,
  [379] = 334,
  [380] = 335,
  [381] = 349,
  [382] = 349,
  [383] = 319,
  [384] = 303,
  [385] = 349,
  [386] = 318,
  [387] = 325,
  [388] = 306,
  [389] = 330,
  [390] = 303,
  [391] = 308,
  [392] = 331,
  [393] = 337,
  [394] = 328,
  [395] = 284,
  [396] = 335,
  [397] = 295,
  [398] = 349,
  [399] = 308,
  [400] = 324,
  [401] = 307,
  [402] = 297,
  [403] = 315,
  [404] = 349,
  [405] = 293,
  [406] = 316,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 407,
  [411] = 407,
  [412] = 407,
  [413] = 407,
  [414] = 407,
  [415] = 407,
  [416] = 307,
  [417] = 321,
  [418] = 335,
  [419] = 419,
  [420] = 407,
  [421] = 303,
  [422] = 311,
  [423] = 332,
  [424] = 306,
  [425] = 407,
  [426] = 426,
  [427] = 427,
  [428] = 408,
  [429] = 308,
  [430] = 324,
  [431] = 407,
  [432] = 408,
  [433] = 330,
  [434] = 336,
  [435] = 407,
  [436] = 331,
  [437] = 407,
  [438] = 438,
  [439] = 325,
  [440] = 310,
  [441] = 309,
  [442] = 315,
  [443] = 337,
  [444] = 407,
  [445] = 318,
  [446] = 446,
  [447] = 446,
  [448] = 328,
  [449] = 316,
  [450] = 408,
  [451] = 407,
  [452] = 334,
  [453] = 407,
  [454] = 326,
  [455] = 427,
  [456] = 305,
  [457] = 408,
  [458] = 426,
  [459] = 319,
  [460] = 460,
  [461] = 407,
  [462] = 323,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 465,
  [467] = 465,
  [468] = 468,
  [469] = 465,
  [470] = 465,
  [471] = 471,
  [472] = 472,
  [473] = 472,
  [474] = 472,
  [475] = 472,
  [476] = 476,
  [477] = 472,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 480,
  [483] = 483,
  [484] = 479,
  [485] = 485,
  [486] = 486,
  [487] = 481,
  [488] = 478,
  [489] = 489,
  [490] = 490,
  [491] = 481,
  [492] = 480,
  [493] = 479,
  [494] = 483,
  [495] = 486,
  [496] = 489,
  [497] = 497,
  [498] = 478,
  [499] = 486,
  [500] = 483,
  [501] = 479,
  [502] = 481,
  [503] = 478,
  [504] = 483,
  [505] = 505,
  [506] = 506,
  [507] = 486,
  [508] = 483,
  [509] = 486,
  [510] = 490,
  [511] = 479,
  [512] = 512,
  [513] = 480,
  [514] = 514,
  [515] = 479,
  [516] = 483,
  [517] = 490,
  [518] = 478,
  [519] = 480,
  [520] = 481,
  [521] = 481,
  [522] = 522,
  [523] = 480,
  [524] = 478,
  [525] = 479,
  [526] = 505,
  [527] = 527,
  [528] = 489,
  [529] = 486,
  [530] = 478,
  [531] = 481,
  [532] = 532,
  [533] = 483,
  [534] = 490,
  [535] = 483,
  [536] = 486,
  [537] = 480,
  [538] = 479,
  [539] = 490,
  [540] = 485,
  [541] = 486,
  [542] = 486,
  [543] = 489,
  [544] = 478,
  [545] = 489,
  [546] = 481,
  [547] = 480,
  [548] = 478,
  [549] = 483,
  [550] = 483,
  [551] = 481,
  [552] = 479,
  [553] = 480,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 480,
  [558] = 481,
  [559] = 478,
  [560] = 560,
  [561] = 561,
  [562] = 486,
  [563] = 563,
  [564] = 479,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 566,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 576,
  [580] = 575,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 577,
  [587] = 571,
  [588] = 581,
  [589] = 585,
  [590] = 590,
  [591] = 571,
  [592] = 592,
  [593] = 568,
  [594] = 590,
  [595] = 595,
  [596] = 596,
  [597] = 595,
  [598] = 578,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 585,
  [603] = 603,
  [604] = 592,
  [605] = 605,
  [606] = 570,
  [607] = 607,
  [608] = 608,
  [609] = 599,
  [610] = 573,
  [611] = 574,
  [612] = 612,
  [613] = 605,
  [614] = 592,
  [615] = 615,
  [616] = 599,
  [617] = 571,
  [618] = 603,
  [619] = 600,
  [620] = 574,
  [621] = 575,
  [622] = 576,
  [623] = 566,
  [624] = 573,
  [625] = 567,
  [626] = 570,
  [627] = 596,
  [628] = 577,
  [629] = 601,
  [630] = 630,
  [631] = 601,
  [632] = 592,
  [633] = 596,
  [634] = 595,
  [635] = 596,
  [636] = 600,
  [637] = 601,
  [638] = 603,
  [639] = 568,
  [640] = 605,
  [641] = 570,
  [642] = 573,
  [643] = 568,
  [644] = 574,
  [645] = 592,
  [646] = 600,
  [647] = 571,
  [648] = 615,
  [649] = 599,
  [650] = 569,
  [651] = 605,
  [652] = 571,
  [653] = 603,
  [654] = 567,
  [655] = 601,
  [656] = 600,
  [657] = 595,
  [658] = 603,
  [659] = 590,
  [660] = 605,
  [661] = 630,
  [662] = 582,
  [663] = 585,
  [664] = 612,
  [665] = 582,
  [666] = 570,
  [667] = 596,
  [668] = 565,
  [669] = 581,
  [670] = 581,
  [671] = 577,
  [672] = 578,
  [673] = 565,
  [674] = 566,
  [675] = 568,
  [676] = 595,
  [677] = 582,
  [678] = 578,
  [679] = 590,
  [680] = 607,
  [681] = 575,
  [682] = 576,
  [683] = 683,
  [684] = 607,
  [685] = 571,
  [686] = 571,
  [687] = 573,
  [688] = 574,
  [689] = 577,
  [690] = 566,
  [691] = 571,
  [692] = 585,
  [693] = 568,
  [694] = 571,
  [695] = 590,
  [696] = 565,
  [697] = 566,
  [698] = 567,
  [699] = 565,
  [700] = 595,
  [701] = 600,
  [702] = 571,
  [703] = 571,
  [704] = 601,
  [705] = 565,
  [706] = 603,
  [707] = 707,
  [708] = 605,
  [709] = 599,
  [710] = 567,
  [711] = 569,
  [712] = 576,
  [713] = 571,
  [714] = 566,
  [715] = 577,
  [716] = 716,
  [717] = 569,
  [718] = 570,
  [719] = 565,
  [720] = 575,
  [721] = 573,
  [722] = 630,
  [723] = 577,
  [724] = 582,
  [725] = 725,
  [726] = 590,
  [727] = 577,
  [728] = 585,
  [729] = 607,
  [730] = 567,
  [731] = 607,
  [732] = 578,
  [733] = 575,
  [734] = 585,
  [735] = 565,
  [736] = 581,
  [737] = 737,
  [738] = 590,
  [739] = 596,
  [740] = 584,
  [741] = 576,
  [742] = 716,
  [743] = 595,
  [744] = 571,
  [745] = 585,
  [746] = 746,
  [747] = 568,
  [748] = 569,
  [749] = 569,
  [750] = 607,
  [751] = 578,
  [752] = 600,
  [753] = 565,
  [754] = 582,
  [755] = 601,
  [756] = 581,
  [757] = 596,
  [758] = 590,
  [759] = 576,
  [760] = 599,
  [761] = 615,
  [762] = 592,
  [763] = 574,
  [764] = 603,
  [765] = 571,
  [766] = 574,
  [767] = 592,
  [768] = 569,
  [769] = 584,
  [770] = 607,
  [771] = 573,
  [772] = 772,
  [773] = 599,
  [774] = 582,
  [775] = 570,
  [776] = 776,
  [777] = 605,
  [778] = 603,
  [779] = 601,
  [780] = 600,
  [781] = 566,
  [782] = 581,
  [783] = 595,
  [784] = 590,
  [785] = 582,
  [786] = 576,
  [787] = 565,
  [788] = 576,
  [789] = 575,
  [790] = 575,
  [791] = 595,
  [792] = 792,
  [793] = 585,
  [794] = 578,
  [795] = 630,
  [796] = 600,
  [797] = 578,
  [798] = 605,
  [799] = 567,
  [800] = 570,
  [801] = 573,
  [802] = 574,
  [803] = 592,
  [804] = 584,
  [805] = 578,
  [806] = 599,
  [807] = 581,
  [808] = 568,
  [809] = 601,
  [810] = 596,
  [811] = 569,
  [812] = 599,
  [813] = 592,
  [814] = 607,
  [815] = 569,
  [816] = 596,
  [817] = 603,
  [818] = 574,
  [819] = 605,
  [820] = 566,
  [821] = 577,
  [822] = 567,
  [823] = 578,
  [824] = 573,
  [825] = 630,
  [826] = 570,
  [827] = 570,
  [828] = 605,
  [829] = 603,
  [830] = 568,
  [831] = 607,
  [832] = 601,
  [833] = 581,
  [834] = 607,
  [835] = 600,
  [836] = 567,
  [837] = 569,
  [838] = 582,
  [839] = 839,
  [840] = 840,
  [841] = 595,
  [842] = 590,
  [843] = 573,
  [844] = 581,
  [845] = 574,
  [846] = 575,
  [847] = 585,
  [848] = 567,
  [849] = 592,
  [850] = 577,
  [851] = 582,
  [852] = 566,
  [853] = 571,
  [854] = 599,
  [855] = 584,
  [856] = 575,
  [857] = 568,
  [858] = 576,
  [859] = 596,
  [860] = 860,
  [861] = 860,
  [862] = 860,
  [863] = 863,
  [864] = 863,
  [865] = 863,
  [866] = 866,
  [867] = 866,
  [868] = 866,
  [869] = 869,
  [870] = 869,
  [871] = 869,
  [872] = 869,
  [873] = 869,
  [874] = 874,
  [875] = 874,
  [876] = 874,
  [877] = 877,
  [878] = 878,
  [879] = 878,
  [880] = 877,
  [881] = 878,
  [882] = 877,
  [883] = 883,
  [884] = 883,
  [885] = 883,
  [886] = 883,
  [887] = 883,
  [888] = 888,
  [889] = 889,
  [890] = 889,
  [891] = 891,
  [892] = 889,
  [893] = 889,
  [894] = 889,
  [895] = 888,
  [896] = 891,
  [897] = 889,
  [898] = 888,
  [899] = 891,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 900,
  [905] = 903,
  [906] = 906,
  [907] = 902,
  [908] = 902,
  [909] = 903,
  [910] = 903,
  [911] = 903,
  [912] = 901,
  [913] = 902,
  [914] = 903,
  [915] = 902,
  [916] = 903,
  [917] = 903,
  [918] = 918,
  [919] = 900,
  [920] = 903,
  [921] = 903,
  [922] = 903,
  [923] = 923,
  [924] = 923,
  [925] = 923,
  [926] = 923,
  [927] = 923,
  [928] = 900,
  [929] = 923,
  [930] = 930,
  [931] = 931,
  [932] = 903,
  [933] = 933,
  [934] = 903,
  [935] = 903,
  [936] = 933,
  [937] = 903,
  [938] = 903,
  [939] = 901,
  [940] = 906,
  [941] = 335,
  [942] = 337,
  [943] = 933,
  [944] = 903,
  [945] = 903,
  [946] = 946,
  [947] = 947,
  [948] = 337,
  [949] = 947,
  [950] = 903,
  [951] = 295,
  [952] = 947,
  [953] = 947,
  [954] = 947,
  [955] = 335,
  [956] = 335,
  [957] = 947,
  [958] = 335,
  [959] = 947,
  [960] = 334,
  [961] = 337,
  [962] = 947,
  [963] = 332,
  [964] = 337,
  [965] = 297,
  [966] = 947,
  [967] = 947,
  [968] = 933,
  [969] = 337,
  [970] = 310,
  [971] = 332,
  [972] = 334,
  [973] = 298,
  [974] = 297,
  [975] = 334,
  [976] = 295,
  [977] = 335,
  [978] = 325,
  [979] = 308,
  [980] = 332,
  [981] = 332,
  [982] = 335,
  [983] = 983,
  [984] = 297,
  [985] = 295,
  [986] = 334,
  [987] = 337,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 309,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 337,
  [1000] = 335,
  [1001] = 1001,
  [1002] = 335,
  [1003] = 334,
  [1004] = 332,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 337,
  [1008] = 1008,
  [1009] = 337,
  [1010] = 335,
  [1011] = 1008,
  [1012] = 946,
  [1013] = 1013,
  [1014] = 946,
  [1015] = 992,
  [1016] = 1005,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 332,
  [1022] = 1022,
  [1023] = 992,
  [1024] = 1024,
  [1025] = 946,
  [1026] = 1026,
  [1027] = 1008,
  [1028] = 1028,
  [1029] = 332,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 998,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 337,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 988,
  [1095] = 983,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 298,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1006,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 334,
  [1129] = 325,
  [1130] = 308,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 337,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 334,
  [1153] = 1153,
  [1154] = 332,
  [1155] = 990,
  [1156] = 1156,
  [1157] = 1008,
  [1158] = 334,
  [1159] = 993,
  [1160] = 1160,
  [1161] = 335,
  [1162] = 337,
  [1163] = 334,
  [1164] = 310,
  [1165] = 1165,
  [1166] = 310,
  [1167] = 309,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 334,
  [1171] = 1171,
  [1172] = 989,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 989,
  [1177] = 332,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 335,
  [1181] = 337,
  [1182] = 335,
  [1183] = 1006,
  [1184] = 1005,
  [1185] = 308,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 325,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 295,
  [1194] = 297,
  [1195] = 1195,
  [1196] = 1013,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 998,
  [1200] = 334,
  [1201] = 298,
  [1202] = 1001,
  [1203] = 997,
  [1204] = 988,
  [1205] = 332,
  [1206] = 309,
  [1207] = 983,
  [1208] = 996,
  [1209] = 1209,
  [1210] = 991,
  [1211] = 995,
  [1212] = 990,
  [1213] = 991,
  [1214] = 993,
  [1215] = 1013,
  [1216] = 1216,
  [1217] = 315,
  [1218] = 335,
  [1219] = 311,
  [1220] = 335,
  [1221] = 995,
  [1222] = 337,
  [1223] = 308,
  [1224] = 996,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 997,
  [1229] = 1229,
  [1230] = 325,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 307,
  [1234] = 1001,
  [1235] = 332,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 303,
  [1239] = 1070,
  [1240] = 1188,
  [1241] = 1028,
  [1242] = 1022,
  [1243] = 1001,
  [1244] = 998,
  [1245] = 1026,
  [1246] = 1005,
  [1247] = 1187,
  [1248] = 1020,
  [1249] = 1019,
  [1250] = 1188,
  [1251] = 1006,
  [1252] = 1102,
  [1253] = 1100,
  [1254] = 1191,
  [1255] = 1098,
  [1256] = 1097,
  [1257] = 1096,
  [1258] = 1017,
  [1259] = 1126,
  [1260] = 1017,
  [1261] = 1022,
  [1262] = 1024,
  [1263] = 1103,
  [1264] = 1195,
  [1265] = 1101,
  [1266] = 1126,
  [1267] = 1030,
  [1268] = 1098,
  [1269] = 991,
  [1270] = 325,
  [1271] = 1237,
  [1272] = 990,
  [1273] = 1232,
  [1274] = 1031,
  [1275] = 1236,
  [1276] = 1229,
  [1277] = 1032,
  [1278] = 308,
  [1279] = 1099,
  [1280] = 1034,
  [1281] = 1100,
  [1282] = 1092,
  [1283] = 1089,
  [1284] = 1102,
  [1285] = 1179,
  [1286] = 1178,
  [1287] = 1175,
  [1288] = 1035,
  [1289] = 1097,
  [1290] = 1019,
  [1291] = 1036,
  [1292] = 1020,
  [1293] = 1037,
  [1294] = 1093,
  [1295] = 1039,
  [1296] = 1041,
  [1297] = 1042,
  [1298] = 1086,
  [1299] = 1044,
  [1300] = 1045,
  [1301] = 1049,
  [1302] = 1088,
  [1303] = 1013,
  [1304] = 1085,
  [1305] = 1084,
  [1306] = 1082,
  [1307] = 1081,
  [1308] = 1078,
  [1309] = 1077,
  [1310] = 1209,
  [1311] = 1075,
  [1312] = 1096,
  [1313] = 1073,
  [1314] = 1107,
  [1315] = 1046,
  [1316] = 1066,
  [1317] = 310,
  [1318] = 1065,
  [1319] = 309,
  [1320] = 1063,
  [1321] = 1028,
  [1322] = 1047,
  [1323] = 1062,
  [1324] = 1061,
  [1325] = 1174,
  [1326] = 1060,
  [1327] = 1048,
  [1328] = 1092,
  [1329] = 303,
  [1330] = 1089,
  [1331] = 308,
  [1332] = 332,
  [1333] = 307,
  [1334] = 1049,
  [1335] = 1050,
  [1336] = 1053,
  [1337] = 1083,
  [1338] = 1173,
  [1339] = 1064,
  [1340] = 1171,
  [1341] = 1112,
  [1342] = 1026,
  [1343] = 325,
  [1344] = 334,
  [1345] = 1054,
  [1346] = 1231,
  [1347] = 1124,
  [1348] = 1109,
  [1349] = 1055,
  [1350] = 1231,
  [1351] = 1165,
  [1352] = 1056,
  [1353] = 1057,
  [1354] = 1160,
  [1355] = 1058,
  [1356] = 1059,
  [1357] = 1076,
  [1358] = 1068,
  [1359] = 1156,
  [1360] = 308,
  [1361] = 337,
  [1362] = 311,
  [1363] = 1150,
  [1364] = 1069,
  [1365] = 1071,
  [1366] = 1107,
  [1367] = 315,
  [1368] = 1072,
  [1369] = 1127,
  [1370] = 1110,
  [1371] = 1074,
  [1372] = 993,
  [1373] = 1109,
  [1374] = 298,
  [1375] = 1074,
  [1376] = 1376,
  [1377] = 1110,
  [1378] = 337,
  [1379] = 1053,
  [1380] = 1147,
  [1381] = 1076,
  [1382] = 334,
  [1383] = 1111,
  [1384] = 332,
  [1385] = 1064,
  [1386] = 1171,
  [1387] = 1113,
  [1388] = 1111,
  [1389] = 1113,
  [1390] = 1114,
  [1391] = 1114,
  [1392] = 1079,
  [1393] = 1112,
  [1394] = 332,
  [1395] = 1121,
  [1396] = 1072,
  [1397] = 1121,
  [1398] = 1122,
  [1399] = 1209,
  [1400] = 1145,
  [1401] = 1083,
  [1402] = 1140,
  [1403] = 1134,
  [1404] = 1133,
  [1405] = 1198,
  [1406] = 1131,
  [1407] = 1120,
  [1408] = 1088,
  [1409] = 1197,
  [1410] = 1093,
  [1411] = 1192,
  [1412] = 1190,
  [1413] = 1123,
  [1414] = 1099,
  [1415] = 1101,
  [1416] = 1119,
  [1417] = 1118,
  [1418] = 1103,
  [1419] = 1117,
  [1420] = 1071,
  [1421] = 1086,
  [1422] = 1069,
  [1423] = 1116,
  [1424] = 1127,
  [1425] = 1068,
  [1426] = 1229,
  [1427] = 1236,
  [1428] = 1059,
  [1429] = 1018,
  [1430] = 1085,
  [1431] = 1106,
  [1432] = 1232,
  [1433] = 1237,
  [1434] = 1030,
  [1435] = 1105,
  [1436] = 1104,
  [1437] = 1091,
  [1438] = 1090,
  [1439] = 1122,
  [1440] = 1087,
  [1441] = 1186,
  [1442] = 1080,
  [1443] = 1067,
  [1444] = 303,
  [1445] = 1031,
  [1446] = 1186,
  [1447] = 1125,
  [1448] = 1143,
  [1449] = 1139,
  [1450] = 1169,
  [1451] = 1051,
  [1452] = 1040,
  [1453] = 1038,
  [1454] = 307,
  [1455] = 1168,
  [1456] = 1033,
  [1457] = 334,
  [1458] = 1123,
  [1459] = 1173,
  [1460] = 1153,
  [1461] = 1132,
  [1462] = 1135,
  [1463] = 1136,
  [1464] = 1174,
  [1465] = 1084,
  [1466] = 1137,
  [1467] = 1138,
  [1468] = 1139,
  [1469] = 1032,
  [1470] = 1141,
  [1471] = 335,
  [1472] = 1058,
  [1473] = 1082,
  [1474] = 1142,
  [1475] = 1146,
  [1476] = 1148,
  [1477] = 332,
  [1478] = 1079,
  [1479] = 1151,
  [1480] = 1227,
  [1481] = 1081,
  [1482] = 1226,
  [1483] = 1225,
  [1484] = 1034,
  [1485] = 1216,
  [1486] = 1057,
  [1487] = 1056,
  [1488] = 1078,
  [1489] = 1077,
  [1490] = 1075,
  [1491] = 1055,
  [1492] = 1175,
  [1493] = 1073,
  [1494] = 1143,
  [1495] = 1178,
  [1496] = 1054,
  [1497] = 1179,
  [1498] = 1153,
  [1499] = 1135,
  [1500] = 1168,
  [1501] = 1066,
  [1502] = 1195,
  [1503] = 334,
  [1504] = 1065,
  [1505] = 1191,
  [1506] = 1169,
  [1507] = 1050,
  [1508] = 1024,
  [1509] = 1063,
  [1510] = 1035,
  [1511] = 1036,
  [1512] = 1037,
  [1513] = 1062,
  [1514] = 1187,
  [1515] = 1033,
  [1516] = 1048,
  [1517] = 1047,
  [1518] = 1038,
  [1519] = 1144,
  [1520] = 1040,
  [1521] = 1051,
  [1522] = 1039,
  [1523] = 997,
  [1524] = 1061,
  [1525] = 988,
  [1526] = 983,
  [1527] = 996,
  [1528] = 1067,
  [1529] = 995,
  [1530] = 1070,
  [1531] = 1080,
  [1532] = 1190,
  [1533] = 1151,
  [1534] = 1148,
  [1535] = 311,
  [1536] = 1087,
  [1537] = 1090,
  [1538] = 1091,
  [1539] = 315,
  [1540] = 1104,
  [1541] = 1146,
  [1542] = 1105,
  [1543] = 1198,
  [1544] = 1227,
  [1545] = 1142,
  [1546] = 1046,
  [1547] = 1141,
  [1548] = 1138,
  [1549] = 1137,
  [1550] = 1045,
  [1551] = 1136,
  [1552] = 1132,
  [1553] = 992,
  [1554] = 1106,
  [1555] = 1226,
  [1556] = 1125,
  [1557] = 1225,
  [1558] = 1044,
  [1559] = 1018,
  [1560] = 1216,
  [1561] = 1116,
  [1562] = 1060,
  [1563] = 1117,
  [1564] = 1118,
  [1565] = 989,
  [1566] = 1119,
  [1567] = 1197,
  [1568] = 335,
  [1569] = 1192,
  [1570] = 1144,
  [1571] = 1120,
  [1572] = 325,
  [1573] = 1165,
  [1574] = 1160,
  [1575] = 1124,
  [1576] = 1131,
  [1577] = 1133,
  [1578] = 1134,
  [1579] = 1140,
  [1580] = 1156,
  [1581] = 1145,
  [1582] = 1042,
  [1583] = 1147,
  [1584] = 1150,
  [1585] = 1041,
  [1586] = 1039,
  [1587] = 1048,
  [1588] = 1132,
  [1589] = 1136,
  [1590] = 1137,
  [1591] = 1138,
  [1592] = 1147,
  [1593] = 1145,
  [1594] = 1140,
  [1595] = 1134,
  [1596] = 1063,
  [1597] = 1133,
  [1598] = 325,
  [1599] = 1156,
  [1600] = 1160,
  [1601] = 1165,
  [1602] = 1066,
  [1603] = 1231,
  [1604] = 1030,
  [1605] = 1024,
  [1606] = 1022,
  [1607] = 1062,
  [1608] = 332,
  [1609] = 1061,
  [1610] = 1060,
  [1611] = 1100,
  [1612] = 1141,
  [1613] = 1054,
  [1614] = 1142,
  [1615] = 1073,
  [1616] = 1120,
  [1617] = 1173,
  [1618] = 1146,
  [1619] = 1135,
  [1620] = 1148,
  [1621] = 1050,
  [1622] = 1174,
  [1623] = 1049,
  [1624] = 1124,
  [1625] = 1065,
  [1626] = 1047,
  [1627] = 1151,
  [1628] = 1119,
  [1629] = 1118,
  [1630] = 1117,
  [1631] = 1116,
  [1632] = 1018,
  [1633] = 1237,
  [1634] = 1106,
  [1635] = 1046,
  [1636] = 1131,
  [1637] = 1105,
  [1638] = 1123,
  [1639] = 1122,
  [1640] = 1045,
  [1641] = 1044,
  [1642] = 1198,
  [1643] = 1232,
  [1644] = 1017,
  [1645] = 1042,
  [1646] = 1104,
  [1647] = 307,
  [1648] = 1091,
  [1649] = 1041,
  [1650] = 1031,
  [1651] = 1175,
  [1652] = 1197,
  [1653] = 1112,
  [1654] = 1114,
  [1655] = 1236,
  [1656] = 1033,
  [1657] = 1113,
  [1658] = 1111,
  [1659] = 1126,
  [1660] = 1110,
  [1661] = 1090,
  [1662] = 1087,
  [1663] = 1178,
  [1664] = 1179,
  [1665] = 1229,
  [1666] = 1079,
  [1667] = 1192,
  [1668] = 303,
  [1669] = 1171,
  [1670] = 1064,
  [1671] = 1053,
  [1672] = 1109,
  [1673] = 1038,
  [1674] = 1107,
  [1675] = 1076,
  [1676] = 1153,
  [1677] = 1102,
  [1678] = 1168,
  [1679] = 1216,
  [1680] = 1121,
  [1681] = 1150,
  [1682] = 1084,
  [1683] = 1098,
  [1684] = 1225,
  [1685] = 1037,
  [1686] = 1097,
  [1687] = 1036,
  [1688] = 1080,
  [1689] = 1055,
  [1690] = 1035,
  [1691] = 1056,
  [1692] = 1057,
  [1693] = 1096,
  [1694] = 1226,
  [1695] = 1227,
  [1696] = 1034,
  [1697] = 1092,
  [1698] = 1032,
  [1699] = 1089,
  [1700] = 315,
  [1701] = 1086,
  [1702] = 1085,
  [1703] = 1190,
  [1704] = 1070,
  [1705] = 1169,
  [1706] = 1083,
  [1707] = 1074,
  [1708] = 1067,
  [1709] = 1125,
  [1710] = 1143,
  [1711] = 308,
  [1712] = 1144,
  [1713] = 1139,
  [1714] = 1082,
  [1715] = 1209,
  [1716] = 1081,
  [1717] = 1187,
  [1718] = 1078,
  [1719] = 1188,
  [1720] = 1019,
  [1721] = 311,
  [1722] = 1088,
  [1723] = 1093,
  [1724] = 1099,
  [1725] = 1072,
  [1726] = 1101,
  [1727] = 1103,
  [1728] = 1051,
  [1729] = 1071,
  [1730] = 1186,
  [1731] = 1040,
  [1732] = 1069,
  [1733] = 1077,
  [1734] = 1075,
  [1735] = 1068,
  [1736] = 1020,
  [1737] = 1026,
  [1738] = 1059,
  [1739] = 1028,
  [1740] = 1191,
  [1741] = 1376,
  [1742] = 334,
  [1743] = 1195,
  [1744] = 1127,
  [1745] = 1058,
  [1746] = 1746,
  [1747] = 1746,
  [1748] = 1746,
  [1749] = 1746,
  [1750] = 1746,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1752,
  [1761] = 1759,
  [1762] = 1762,
  [1763] = 1759,
  [1764] = 1764,
  [1765] = 1759,
  [1766] = 1752,
  [1767] = 1752,
  [1768] = 1752,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1759,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1772,
  [1775] = 1772,
  [1776] = 1776,
  [1777] = 1776,
  [1778] = 1778,
  [1779] = 1776,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1781,
  [1783] = 1781,
  [1784] = 1778,
  [1785] = 1780,
  [1786] = 1786,
  [1787] = 1780,
  [1788] = 1781,
  [1789] = 1781,
  [1790] = 1781,
  [1791] = 1791,
  [1792] = 1791,
  [1793] = 1776,
  [1794] = 1780,
  [1795] = 1786,
  [1796] = 1791,
  [1797] = 1786,
  [1798] = 1776,
  [1799] = 1786,
  [1800] = 1780,
  [1801] = 1786,
  [1802] = 1780,
  [1803] = 1778,
  [1804] = 1780,
  [1805] = 1781,
  [1806] = 1786,
  [1807] = 1776,
  [1808] = 1778,
  [1809] = 1778,
  [1810] = 1778,
  [1811] = 1791,
  [1812] = 1791,
  [1813] = 1813,
  [1814] = 1791,
  [1815] = 1776,
  [1816] = 1786,
  [1817] = 1778,
  [1818] = 1791,
  [1819] = 1819,
  [1820] = 1819,
  [1821] = 1821,
  [1822] = 1819,
  [1823] = 1823,
  [1824] = 1819,
  [1825] = 1819,
  [1826] = 1823,
  [1827] = 1819,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1828,
  [1831] = 1829,
  [1832] = 1829,
  [1833] = 1829,
  [1834] = 1828,
  [1835] = 1828,
  [1836] = 1829,
  [1837] = 1828,
  [1838] = 1838,
  [1839] = 1838,
  [1840] = 1838,
  [1841] = 1838,
  [1842] = 1838,
  [1843] = 1838,
  [1844] = 1838,
  [1845] = 1838,
  [1846] = 1838,
  [1847] = 1838,
  [1848] = 1838,
  [1849] = 1838,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1852,
  [1855] = 1850,
  [1856] = 1853,
  [1857] = 1850,
  [1858] = 1851,
  [1859] = 1853,
  [1860] = 1850,
  [1861] = 1851,
  [1862] = 1850,
  [1863] = 1852,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1867,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1868,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1879,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1876,
  [1886] = 1869,
  [1887] = 1882,
  [1888] = 1888,
  [1889] = 1888,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1865,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1868,
  [1897] = 1891,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1884,
  [1901] = 1866,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1878,
  [1905] = 1898,
  [1906] = 1899,
  [1907] = 1899,
  [1908] = 1908,
  [1909] = 1898,
  [1910] = 1874,
  [1911] = 1899,
  [1912] = 1875,
  [1913] = 1866,
  [1914] = 1898,
  [1915] = 1873,
  [1916] = 1875,
  [1917] = 1872,
  [1918] = 1872,
  [1919] = 1874,
  [1920] = 1920,
  [1921] = 1871,
  [1922] = 1890,
  [1923] = 1871,
  [1924] = 1875,
  [1925] = 1882,
  [1926] = 1868,
  [1927] = 1871,
  [1928] = 1872,
  [1929] = 1873,
  [1930] = 1873,
  [1931] = 1869,
  [1932] = 1867,
  [1933] = 1933,
  [1934] = 1868,
  [1935] = 1878,
  [1936] = 1878,
  [1937] = 1869,
  [1938] = 1884,
  [1939] = 1939,
  [1940] = 1867,
  [1941] = 1941,
  [1942] = 1879,
  [1943] = 1903,
  [1944] = 1884,
  [1945] = 1866,
  [1946] = 1946,
  [1947] = 1875,
  [1948] = 1880,
  [1949] = 1874,
  [1950] = 1876,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1899,
  [1954] = 1954,
  [1955] = 1898,
  [1956] = 1903,
  [1957] = 1903,
  [1958] = 1874,
  [1959] = 1882,
  [1960] = 1865,
  [1961] = 1882,
  [1962] = 1865,
  [1963] = 1869,
  [1964] = 1882,
  [1965] = 1867,
  [1966] = 1884,
  [1967] = 1891,
  [1968] = 1968,
  [1969] = 1878,
  [1970] = 1873,
  [1971] = 1872,
  [1972] = 1865,
  [1973] = 1876,
  [1974] = 1871,
  [1975] = 1876,
  [1976] = 1903,
  [1977] = 1880,
  [1978] = 1903,
  [1979] = 1879,
  [1980] = 1879,
  [1981] = 1891,
  [1982] = 1880,
  [1983] = 1891,
  [1984] = 1880,
  [1985] = 1866,
  [1986] = 1866,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1989,
  [1991] = 1991,
  [1992] = 1991,
  [1993] = 1991,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1995,
  [1998] = 1988,
  [1999] = 1991,
  [2000] = 2000,
  [2001] = 1994,
  [2002] = 2002,
  [2003] = 2000,
  [2004] = 1991,
  [2005] = 1995,
  [2006] = 2000,
  [2007] = 1995,
  [2008] = 1994,
  [2009] = 1987,
  [2010] = 1994,
  [2011] = 1995,
  [2012] = 2000,
  [2013] = 1994,
  [2014] = 2000,
  [2015] = 2000,
  [2016] = 2000,
  [2017] = 2017,
  [2018] = 2017,
  [2019] = 2017,
  [2020] = 2000,
  [2021] = 2000,
  [2022] = 2000,
  [2023] = 1988,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2026,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2000,
  [2036] = 2036,
  [2037] = 2029,
  [2038] = 2026,
  [2039] = 2039,
  [2040] = 2026,
  [2041] = 2029,
  [2042] = 2029,
  [2043] = 2043,
  [2044] = 2026,
  [2045] = 2000,
  [2046] = 2033,
  [2047] = 2000,
  [2048] = 2030,
  [2049] = 2033,
  [2050] = 2030,
  [2051] = 1988,
  [2052] = 2000,
  [2053] = 2053,
  [2054] = 2029,
  [2055] = 2000,
  [2056] = 2056,
  [2057] = 2029,
  [2058] = 2026,
  [2059] = 2000,
  [2060] = 1144,
  [2061] = 2000,
  [2062] = 2000,
  [2063] = 2032,
  [2064] = 2002,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2032,
  [2068] = 2000,
  [2069] = 2000,
  [2070] = 2032,
  [2071] = 1987,
  [2072] = 2000,
  [2073] = 2000,
  [2074] = 2074,
  [2075] = 1127,
  [2076] = 2076,
  [2077] = 2076,
  [2078] = 2076,
  [2079] = 2079,
  [2080] = 2076,
  [2081] = 2065,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2065,
  [2085] = 2079,
  [2086] = 2032,
  [2087] = 2000,
  [2088] = 2032,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2076,
  [2093] = 2076,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2079,
  [2100] = 2076,
  [2101] = 2101,
  [2102] = 2076,
  [2103] = 2032,
  [2104] = 2032,
  [2105] = 2032,
  [2106] = 2076,
  [2107] = 2076,
  [2108] = 2079,
  [2109] = 2032,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2032,
  [2114] = 2032,
  [2115] = 2115,
  [2116] = 1175,
  [2117] = 2032,
  [2118] = 2118,
  [2119] = 1195,
  [2120] = 2118,
  [2121] = 2112,
  [2122] = 2079,
  [2123] = 2123,
  [2124] = 2079,
  [2125] = 2082,
  [2126] = 2032,
  [2127] = 2111,
  [2128] = 2118,
  [2129] = 2111,
  [2130] = 2082,
  [2131] = 2111,
  [2132] = 2111,
  [2133] = 1112,
  [2134] = 2094,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2118,
  [2140] = 2140,
  [2141] = 2079,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2096,
  [2145] = 2079,
  [2146] = 2074,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 1139,
  [2150] = 1143,
  [2151] = 2142,
  [2152] = 2137,
  [2153] = 1144,
  [2154] = 2136,
  [2155] = 2136,
  [2156] = 2034,
  [2157] = 1121,
  [2158] = 2025,
  [2159] = 2031,
  [2160] = 2028,
  [2161] = 2147,
  [2162] = 2082,
  [2163] = 2053,
  [2164] = 1127,
  [2165] = 2147,
  [2166] = 2138,
  [2167] = 2142,
  [2168] = 2118,
  [2169] = 2096,
  [2170] = 2101,
  [2171] = 2095,
  [2172] = 2136,
  [2173] = 2137,
  [2174] = 2036,
  [2175] = 2118,
  [2176] = 2043,
  [2177] = 2079,
  [2178] = 2147,
  [2179] = 2179,
  [2180] = 2142,
  [2181] = 2137,
  [2182] = 2182,
  [2183] = 2032,
  [2184] = 2136,
  [2185] = 2095,
  [2186] = 2032,
  [2187] = 2147,
  [2188] = 2142,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2136,
  [2192] = 2079,
  [2193] = 2137,
  [2194] = 2137,
  [2195] = 2089,
  [2196] = 2137,
  [2197] = 2197,
  [2198] = 2118,
  [2199] = 2199,
  [2200] = 2115,
  [2201] = 2137,
  [2202] = 2197,
  [2203] = 2118,
  [2204] = 2204,
  [2205] = 2079,
  [2206] = 2118,
  [2207] = 2074,
  [2208] = 2208,
  [2209] = 2137,
  [2210] = 2210,
  [2211] = 2089,
  [2212] = 2212,
  [2213] = 2137,
  [2214] = 2214,
  [2215] = 2118,
  [2216] = 2197,
  [2217] = 2217,
  [2218] = 2197,
  [2219] = 2074,
  [2220] = 2220,
  [2221] = 2197,
  [2222] = 2091,
  [2223] = 2136,
  [2224] = 2224,
  [2225] = 2136,
  [2226] = 2226,
  [2227] = 2123,
  [2228] = 2074,
  [2229] = 2136,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2096,
  [2235] = 2095,
  [2236] = 2094,
  [2237] = 2197,
  [2238] = 2136,
  [2239] = 2239,
  [2240] = 2239,
  [2241] = 2239,
  [2242] = 2242,
  [2243] = 2136,
  [2244] = 2244,
  [2245] = 2239,
  [2246] = 2118,
  [2247] = 2137,
  [2248] = 2248,
  [2249] = 2239,
  [2250] = 2074,
  [2251] = 2251,
  [2252] = 2239,
  [2253] = 2089,
  [2254] = 2137,
  [2255] = 2094,
  [2256] = 2136,
  [2257] = 2095,
  [2258] = 2239,
  [2259] = 2239,
  [2260] = 2096,
  [2261] = 2115,
  [2262] = 2074,
  [2263] = 2239,
  [2264] = 2137,
  [2265] = 2137,
  [2266] = 2135,
  [2267] = 2137,
  [2268] = 2101,
  [2269] = 2074,
  [2270] = 2136,
  [2271] = 2136,
  [2272] = 2136,
  [2273] = 2115,
  [2274] = 2136,
  [2275] = 2136,
  [2276] = 2136,
  [2277] = 2137,
  [2278] = 2137,
  [2279] = 2143,
  [2280] = 2137,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2283,
  [2285] = 2281,
  [2286] = 2281,
  [2287] = 2283,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2288,
  [2291] = 2283,
  [2292] = 2281,
  [2293] = 2123,
  [2294] = 2283,
  [2295] = 2282,
  [2296] = 2282,
  [2297] = 2281,
  [2298] = 2281,
  [2299] = 2220,
  [2300] = 2137,
  [2301] = 2282,
  [2302] = 2282,
  [2303] = 2288,
  [2304] = 2282,
  [2305] = 2288,
  [2306] = 2288,
  [2307] = 2282,
  [2308] = 2281,
  [2309] = 2074,
  [2310] = 2289,
  [2311] = 2289,
  [2312] = 2288,
  [2313] = 2074,
  [2314] = 2136,
  [2315] = 2282,
  [2316] = 2289,
  [2317] = 2289,
  [2318] = 2288,
  [2319] = 2283,
  [2320] = 2281,
  [2321] = 2283,
  [2322] = 2289,
  [2323] = 2281,
  [2324] = 2289,
  [2325] = 2283,
  [2326] = 2281,
  [2327] = 2074,
  [2328] = 2288,
  [2329] = 2283,
  [2330] = 2288,
  [2331] = 2282,
  [2332] = 2289,
  [2333] = 2283,
  [2334] = 2289,
  [2335] = 2335,
  [2336] = 2335,
  [2337] = 2335,
  [2338] = 2335,
  [2339] = 2335,
  [2340] = 2335,
  [2341] = 2335,
  [2342] = 2335,
  [2343] = 2335,
  [2344] = 2335,
  [2345] = 2345,
  [2346] = 2345,
  [2347] = 2345,
  [2348] = 2345,
  [2349] = 2349,
  [2350] = 2345,
  [2351] = 2345,
  [2352] = 2345,
  [2353] = 2345,
  [2354] = 2345,
  [2355] = 2355,
  [2356] = 2355,
  [2357] = 2355,
  [2358] = 2355,
  [2359] = 2355,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2360,
  [2363] = 2361,
  [2364] = 2364,
  [2365] = 2361,
  [2366] = 2364,
  [2367] = 2364,
  [2368] = 2360,
  [2369] = 2360,
  [2370] = 2364,
  [2371] = 2360,
  [2372] = 2364,
  [2373] = 2360,
  [2374] = 2361,
  [2375] = 2361,
  [2376] = 2361,
  [2377] = 2360,
  [2378] = 2361,
  [2379] = 2360,
  [2380] = 2360,
  [2381] = 2360,
  [2382] = 2361,
  [2383] = 2361,
  [2384] = 2360,
  [2385] = 2364,
  [2386] = 2361,
  [2387] = 2387,
  [2388] = 2364,
  [2389] = 2360,
  [2390] = 2360,
  [2391] = 2360,
  [2392] = 2361,
  [2393] = 2361,
  [2394] = 2361,
  [2395] = 2361,
  [2396] = 2361,
  [2397] = 2360,
  [2398] = 2361,
  [2399] = 2360,
  [2400] = 303,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 307,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 298,
  [2413] = 2413,
  [2414] = 2140,
  [2415] = 303,
  [2416] = 295,
  [2417] = 307,
  [2418] = 2148,
  [2419] = 2190,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 293,
  [2423] = 297,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 295,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 297,
  [2446] = 2446,
  [2447] = 1190,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 298,
  [2463] = 2463,
  [2464] = 2433,
  [2465] = 2465,
  [2466] = 2456,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2456,
  [2470] = 2214,
  [2471] = 309,
  [2472] = 310,
  [2473] = 2224,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2226,
  [2477] = 2477,
  [2478] = 2232,
  [2479] = 2433,
  [2480] = 2480,
  [2481] = 1198,
  [2482] = 2433,
  [2483] = 2483,
  [2484] = 1197,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2231,
  [2489] = 2233,
  [2490] = 2217,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2433,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2456,
  [2498] = 2498,
  [2499] = 2433,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 335,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 1186,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2230,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2212,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 337,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2456,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2204,
  [2531] = 2531,
  [2532] = 2199,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2433,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 1192,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2556,
  [2566] = 2566,
  [2567] = 332,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2560,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2408,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2404,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2407,
  [2598] = 308,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 334,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2568,
  [2608] = 2608,
  [2609] = 2572,
  [2610] = 2589,
  [2611] = 2594,
  [2612] = 2587,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2614,
  [2616] = 2603,
  [2617] = 2577,
  [2618] = 2559,
  [2619] = 2613,
  [2620] = 2605,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2409,
  [2626] = 311,
  [2627] = 2601,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2574,
  [2631] = 2631,
  [2632] = 2606,
  [2633] = 2595,
  [2634] = 2634,
  [2635] = 2586,
  [2636] = 2636,
  [2637] = 2579,
  [2638] = 2580,
  [2639] = 308,
  [2640] = 2640,
  [2641] = 2602,
  [2642] = 2603,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2585,
  [2646] = 2646,
  [2647] = 2587,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 332,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2599,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 310,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2558,
  [2662] = 2599,
  [2663] = 335,
  [2664] = 2560,
  [2665] = 2601,
  [2666] = 2406,
  [2667] = 2566,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 309,
  [2671] = 2652,
  [2672] = 2602,
  [2673] = 2583,
  [2674] = 2649,
  [2675] = 2652,
  [2676] = 2676,
  [2677] = 2603,
  [2678] = 2563,
  [2679] = 2640,
  [2680] = 2680,
  [2681] = 2585,
  [2682] = 334,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2580,
  [2688] = 2560,
  [2689] = 2556,
  [2690] = 2583,
  [2691] = 2577,
  [2692] = 2692,
  [2693] = 2643,
  [2694] = 311,
  [2695] = 2579,
  [2696] = 2669,
  [2697] = 2606,
  [2698] = 2698,
  [2699] = 2574,
  [2700] = 2640,
  [2701] = 2602,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2566,
  [2705] = 2705,
  [2706] = 2656,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2643,
  [2710] = 2710,
  [2711] = 2558,
  [2712] = 2559,
  [2713] = 2713,
  [2714] = 2568,
  [2715] = 2715,
  [2716] = 2572,
  [2717] = 2614,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2649,
  [2722] = 2722,
  [2723] = 2586,
  [2724] = 2558,
  [2725] = 2595,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2569,
  [2729] = 2577,
  [2730] = 2613,
  [2731] = 315,
  [2732] = 325,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 337,
  [2736] = 2736,
  [2737] = 2560,
  [2738] = 2577,
  [2739] = 2719,
  [2740] = 325,
  [2741] = 2719,
  [2742] = 2736,
  [2743] = 2589,
  [2744] = 2624,
  [2745] = 2561,
  [2746] = 2569,
  [2747] = 2561,
  [2748] = 2605,
  [2749] = 2624,
  [2750] = 2750,
  [2751] = 315,
  [2752] = 2577,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2594,
  [2757] = 2563,
  [2758] = 2603,
  [2759] = 2602,
  [2760] = 2558,
  [2761] = 2579,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2561,
  [2768] = 2718,
  [2769] = 2624,
  [2770] = 2631,
  [2771] = 2771,
  [2772] = 2501,
  [2773] = 2495,
  [2774] = 2563,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2775,
  [2779] = 2606,
  [2780] = 2410,
  [2781] = 2775,
  [2782] = 2782,
  [2783] = 2568,
  [2784] = 2656,
  [2785] = 2411,
  [2786] = 2190,
  [2787] = 2640,
  [2788] = 2572,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2649,
  [2792] = 2148,
  [2793] = 2736,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2421,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2624,
  [2800] = 2601,
  [2801] = 2585,
  [2802] = 2589,
  [2803] = 2803,
  [2804] = 2594,
  [2805] = 2805,
  [2806] = 2798,
  [2807] = 2566,
  [2808] = 2798,
  [2809] = 2775,
  [2810] = 2601,
  [2811] = 2606,
  [2812] = 2568,
  [2813] = 2595,
  [2814] = 2572,
  [2815] = 2587,
  [2816] = 2789,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2495,
  [2820] = 2420,
  [2821] = 2589,
  [2822] = 2594,
  [2823] = 2569,
  [2824] = 2580,
  [2825] = 2599,
  [2826] = 2561,
  [2827] = 2574,
  [2828] = 2771,
  [2829] = 2563,
  [2830] = 2640,
  [2831] = 2649,
  [2832] = 2566,
  [2833] = 2424,
  [2834] = 2599,
  [2835] = 2559,
  [2836] = 2614,
  [2837] = 2595,
  [2838] = 2613,
  [2839] = 2605,
  [2840] = 2587,
  [2841] = 2841,
  [2842] = 2775,
  [2843] = 2586,
  [2844] = 2585,
  [2845] = 2501,
  [2846] = 2669,
  [2847] = 2580,
  [2848] = 2719,
  [2849] = 2579,
  [2850] = 2574,
  [2851] = 2559,
  [2852] = 2790,
  [2853] = 2614,
  [2854] = 2426,
  [2855] = 2613,
  [2856] = 2771,
  [2857] = 2605,
  [2858] = 2586,
  [2859] = 2789,
  [2860] = 2583,
  [2861] = 2556,
  [2862] = 2652,
  [2863] = 2789,
  [2864] = 2643,
  [2865] = 2798,
  [2866] = 2789,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2762,
  [2870] = 2789,
  [2871] = 2771,
  [2872] = 2583,
  [2873] = 2798,
  [2874] = 2140,
  [2875] = 2875,
  [2876] = 2771,
  [2877] = 2795,
  [2878] = 2556,
  [2879] = 2569,
  [2880] = 2425,
  [2881] = 2652,
  [2882] = 2882,
  [2883] = 2643,
  [2884] = 2719,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2789,
  [2888] = 2413,
  [2889] = 2889,
  [2890] = 2583,
  [2891] = 2429,
  [2892] = 2492,
  [2893] = 2459,
  [2894] = 2460,
  [2895] = 2467,
  [2896] = 2498,
  [2897] = 2468,
  [2898] = 2898,
  [2899] = 2656,
  [2900] = 2668,
  [2901] = 2628,
  [2902] = 2902,
  [2903] = 2435,
  [2904] = 2904,
  [2905] = 2436,
  [2906] = 2441,
  [2907] = 2442,
  [2908] = 2764,
  [2909] = 2909,
  [2910] = 2608,
  [2911] = 2450,
  [2912] = 2608,
  [2913] = 2451,
  [2914] = 2736,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2669,
  [2918] = 2916,
  [2919] = 2643,
  [2920] = 2904,
  [2921] = 2921,
  [2922] = 2501,
  [2923] = 2495,
  [2924] = 2631,
  [2925] = 2925,
  [2926] = 2541,
  [2927] = 2927,
  [2928] = 2916,
  [2929] = 2909,
  [2930] = 2764,
  [2931] = 2921,
  [2932] = 2765,
  [2933] = 2508,
  [2934] = 2504,
  [2935] = 2668,
  [2936] = 2904,
  [2937] = 2475,
  [2938] = 2555,
  [2939] = 2531,
  [2940] = 2940,
  [2941] = 2432,
  [2942] = 2501,
  [2943] = 2495,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2495,
  [2951] = 2501,
  [2952] = 2952,
  [2953] = 2916,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2526,
  [2957] = 2553,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2718,
  [2963] = 2954,
  [2964] = 2548,
  [2965] = 2474,
  [2966] = 2966,
  [2967] = 2967,
  [2968] = 2916,
  [2969] = 2969,
  [2970] = 2512,
  [2971] = 2501,
  [2972] = 2495,
  [2973] = 2563,
  [2974] = 2640,
  [2975] = 2916,
  [2976] = 2649,
  [2977] = 2566,
  [2978] = 2898,
  [2979] = 1198,
  [2980] = 1197,
  [2981] = 2231,
  [2982] = 2233,
  [2983] = 2217,
  [2984] = 1192,
  [2985] = 2718,
  [2986] = 2199,
  [2987] = 2204,
  [2988] = 2212,
  [2989] = 2230,
  [2990] = 2232,
  [2991] = 2954,
  [2992] = 1190,
  [2993] = 2902,
  [2994] = 2954,
  [2995] = 2594,
  [2996] = 2589,
  [2997] = 2572,
  [2998] = 2568,
  [2999] = 2606,
  [3000] = 2226,
  [3001] = 2224,
  [3002] = 2214,
  [3003] = 1186,
  [3004] = 2902,
  [3005] = 2916,
  [3006] = 2954,
  [3007] = 2902,
  [3008] = 293,
  [3009] = 2554,
  [3010] = 2547,
  [3011] = 2545,
  [3012] = 2540,
  [3013] = 2538,
  [3014] = 2601,
  [3015] = 2599,
  [3016] = 2595,
  [3017] = 2587,
  [3018] = 2537,
  [3019] = 2528,
  [3020] = 2527,
  [3021] = 2525,
  [3022] = 2496,
  [3023] = 2486,
  [3024] = 2483,
  [3025] = 2480,
  [3026] = 2430,
  [3027] = 2434,
  [3028] = 2536,
  [3029] = 2544,
  [3030] = 2522,
  [3031] = 2518,
  [3032] = 2514,
  [3033] = 2500,
  [3034] = 2446,
  [3035] = 2585,
  [3036] = 2580,
  [3037] = 2579,
  [3038] = 2448,
  [3039] = 2449,
  [3040] = 2452,
  [3041] = 2902,
  [3042] = 2453,
  [3043] = 2454,
  [3044] = 2455,
  [3045] = 2437,
  [3046] = 2438,
  [3047] = 2439,
  [3048] = 2440,
  [3049] = 2443,
  [3050] = 2444,
  [3051] = 293,
  [3052] = 2457,
  [3053] = 2463,
  [3054] = 2465,
  [3055] = 2569,
  [3056] = 2902,
  [3057] = 2561,
  [3058] = 2624,
  [3059] = 2954,
  [3060] = 2719,
  [3061] = 2512,
  [3062] = 2628,
  [3063] = 2427,
  [3064] = 2458,
  [3065] = 2507,
  [3066] = 2485,
  [3067] = 2487,
  [3068] = 2502,
  [3069] = 2461,
  [3070] = 2477,
  [3071] = 2506,
  [3072] = 2505,
  [3073] = 2531,
  [3074] = 2491,
  [3075] = 2428,
  [3076] = 2493,
  [3077] = 2510,
  [3078] = 2511,
  [3079] = 2515,
  [3080] = 2516,
  [3081] = 2519,
  [3082] = 2520,
  [3083] = 2529,
  [3084] = 2523,
  [3085] = 2539,
  [3086] = 2533,
  [3087] = 2534,
  [3088] = 2535,
  [3089] = 2552,
  [3090] = 2574,
  [3091] = 2551,
  [3092] = 2559,
  [3093] = 2614,
  [3094] = 2613,
  [3095] = 2605,
  [3096] = 2550,
  [3097] = 2586,
  [3098] = 2556,
  [3099] = 2652,
  [3100] = 2546,
  [3101] = 2543,
  [3102] = 2628,
  [3103] = 2623,
  [3104] = 2561,
  [3105] = 2736,
  [3106] = 3106,
  [3107] = 2669,
  [3108] = 3108,
  [3109] = 2548,
  [3110] = 2654,
  [3111] = 2548,
  [3112] = 321,
  [3113] = 2624,
  [3114] = 3114,
  [3115] = 3106,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 2660,
  [3120] = 3120,
  [3121] = 2569,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 2868,
  [3125] = 2628,
  [3126] = 2596,
  [3127] = 2512,
  [3128] = 3114,
  [3129] = 3116,
  [3130] = 2629,
  [3131] = 3131,
  [3132] = 2592,
  [3133] = 2591,
  [3134] = 306,
  [3135] = 2628,
  [3136] = 2656,
  [3137] = 3114,
  [3138] = 2563,
  [3139] = 3116,
  [3140] = 2640,
  [3141] = 330,
  [3142] = 2649,
  [3143] = 3143,
  [3144] = 3106,
  [3145] = 2566,
  [3146] = 2588,
  [3147] = 331,
  [3148] = 328,
  [3149] = 3149,
  [3150] = 2584,
  [3151] = 2582,
  [3152] = 324,
  [3153] = 2581,
  [3154] = 3154,
  [3155] = 2797,
  [3156] = 2644,
  [3157] = 2648,
  [3158] = 2655,
  [3159] = 2658,
  [3160] = 2659,
  [3161] = 326,
  [3162] = 2719,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 2707,
  [3168] = 2559,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 3172,
  [3173] = 3106,
  [3174] = 2548,
  [3175] = 2608,
  [3176] = 3123,
  [3177] = 2676,
  [3178] = 3106,
  [3179] = 324,
  [3180] = 2698,
  [3181] = 2702,
  [3182] = 2501,
  [3183] = 336,
  [3184] = 2495,
  [3185] = 2652,
  [3186] = 2556,
  [3187] = 2583,
  [3188] = 2710,
  [3189] = 2715,
  [3190] = 2586,
  [3191] = 2605,
  [3192] = 319,
  [3193] = 3193,
  [3194] = 318,
  [3195] = 2613,
  [3196] = 2614,
  [3197] = 2559,
  [3198] = 3198,
  [3199] = 3108,
  [3200] = 2574,
  [3201] = 2579,
  [3202] = 2580,
  [3203] = 2585,
  [3204] = 2720,
  [3205] = 305,
  [3206] = 3206,
  [3207] = 2904,
  [3208] = 2722,
  [3209] = 2557,
  [3210] = 2587,
  [3211] = 2595,
  [3212] = 2599,
  [3213] = 2566,
  [3214] = 2601,
  [3215] = 3215,
  [3216] = 3216,
  [3217] = 2726,
  [3218] = 3218,
  [3219] = 3219,
  [3220] = 3220,
  [3221] = 316,
  [3222] = 2734,
  [3223] = 2750,
  [3224] = 2753,
  [3225] = 3225,
  [3226] = 306,
  [3227] = 3227,
  [3228] = 316,
  [3229] = 2733,
  [3230] = 2754,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3233,
  [3234] = 2606,
  [3235] = 326,
  [3236] = 2568,
  [3237] = 3149,
  [3238] = 2572,
  [3239] = 2649,
  [3240] = 2640,
  [3241] = 2563,
  [3242] = 2569,
  [3243] = 2501,
  [3244] = 2563,
  [3245] = 2495,
  [3246] = 305,
  [3247] = 3247,
  [3248] = 2561,
  [3249] = 2640,
  [3250] = 2649,
  [3251] = 2624,
  [3252] = 2589,
  [3253] = 2594,
  [3254] = 2719,
  [3255] = 2652,
  [3256] = 2566,
  [3257] = 2556,
  [3258] = 2755,
  [3259] = 3108,
  [3260] = 3260,
  [3261] = 2643,
  [3262] = 3227,
  [3263] = 2868,
  [3264] = 2589,
  [3265] = 2583,
  [3266] = 2586,
  [3267] = 2713,
  [3268] = 2572,
  [3269] = 323,
  [3270] = 336,
  [3271] = 2708,
  [3272] = 2568,
  [3273] = 3273,
  [3274] = 2606,
  [3275] = 3275,
  [3276] = 3114,
  [3277] = 3277,
  [3278] = 2705,
  [3279] = 3116,
  [3280] = 2605,
  [3281] = 2613,
  [3282] = 2614,
  [3283] = 2643,
  [3284] = 2692,
  [3285] = 318,
  [3286] = 319,
  [3287] = 2683,
  [3288] = 3227,
  [3289] = 2686,
  [3290] = 3108,
  [3291] = 2685,
  [3292] = 2684,
  [3293] = 2668,
  [3294] = 2904,
  [3295] = 3106,
  [3296] = 2651,
  [3297] = 2680,
  [3298] = 2576,
  [3299] = 2574,
  [3300] = 2575,
  [3301] = 2579,
  [3302] = 3106,
  [3303] = 3106,
  [3304] = 3304,
  [3305] = 323,
  [3306] = 3306,
  [3307] = 2915,
  [3308] = 3308,
  [3309] = 2580,
  [3310] = 2585,
  [3311] = 3311,
  [3312] = 2587,
  [3313] = 321,
  [3314] = 2601,
  [3315] = 2595,
  [3316] = 2599,
  [3317] = 2601,
  [3318] = 2606,
  [3319] = 2568,
  [3320] = 2572,
  [3321] = 2589,
  [3322] = 2594,
  [3323] = 2643,
  [3324] = 2599,
  [3325] = 2595,
  [3326] = 2587,
  [3327] = 3219,
  [3328] = 2585,
  [3329] = 2564,
  [3330] = 2608,
  [3331] = 2764,
  [3332] = 2580,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 2608,
  [3337] = 3337,
  [3338] = 3108,
  [3339] = 3339,
  [3340] = 2579,
  [3341] = 3227,
  [3342] = 2703,
  [3343] = 3116,
  [3344] = 3114,
  [3345] = 3345,
  [3346] = 2574,
  [3347] = 2559,
  [3348] = 2614,
  [3349] = 3225,
  [3350] = 2613,
  [3351] = 2605,
  [3352] = 3108,
  [3353] = 3227,
  [3354] = 3354,
  [3355] = 3198,
  [3356] = 3356,
  [3357] = 328,
  [3358] = 3358,
  [3359] = 2586,
  [3360] = 3218,
  [3361] = 2583,
  [3362] = 2556,
  [3363] = 2652,
  [3364] = 331,
  [3365] = 2915,
  [3366] = 2719,
  [3367] = 2531,
  [3368] = 2621,
  [3369] = 2718,
  [3370] = 2624,
  [3371] = 2561,
  [3372] = 2569,
  [3373] = 3106,
  [3374] = 2622,
  [3375] = 3227,
  [3376] = 3106,
  [3377] = 2634,
  [3378] = 2636,
  [3379] = 2594,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3227,
  [3384] = 3277,
  [3385] = 2646,
  [3386] = 3108,
  [3387] = 2904,
  [3388] = 330,
  [3389] = 3389,
  [3390] = 3390,
  [3391] = 2797,
  [3392] = 2628,
  [3393] = 2556,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3396,
  [3397] = 3396,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 2643,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3396,
  [3406] = 2583,
  [3407] = 2719,
  [3408] = 2599,
  [3409] = 2904,
  [3410] = 3410,
  [3411] = 2579,
  [3412] = 2594,
  [3413] = 2589,
  [3414] = 3403,
  [3415] = 3415,
  [3416] = 2572,
  [3417] = 3417,
  [3418] = 2614,
  [3419] = 2624,
  [3420] = 2613,
  [3421] = 2652,
  [3422] = 2531,
  [3423] = 2904,
  [3424] = 2605,
  [3425] = 2501,
  [3426] = 2512,
  [3427] = 2904,
  [3428] = 2668,
  [3429] = 3429,
  [3430] = 2559,
  [3431] = 2495,
  [3432] = 2574,
  [3433] = 3433,
  [3434] = 3396,
  [3435] = 3435,
  [3436] = 2608,
  [3437] = 3437,
  [3438] = 3396,
  [3439] = 3439,
  [3440] = 2585,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 2561,
  [3444] = 3444,
  [3445] = 3396,
  [3446] = 3446,
  [3447] = 2568,
  [3448] = 2736,
  [3449] = 3395,
  [3450] = 2548,
  [3451] = 2580,
  [3452] = 2668,
  [3453] = 2601,
  [3454] = 3454,
  [3455] = 2586,
  [3456] = 2915,
  [3457] = 2595,
  [3458] = 2606,
  [3459] = 3396,
  [3460] = 3454,
  [3461] = 2569,
  [3462] = 2587,
  [3463] = 2563,
  [3464] = 3439,
  [3465] = 2640,
  [3466] = 2868,
  [3467] = 2531,
  [3468] = 2649,
  [3469] = 3469,
  [3470] = 2548,
  [3471] = 2782,
  [3472] = 2566,
  [3473] = 3435,
  [3474] = 2904,
  [3475] = 3475,
  [3476] = 2669,
  [3477] = 2628,
  [3478] = 2868,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 2736,
  [3482] = 2668,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 2668,
  [3491] = 3491,
  [3492] = 2608,
  [3493] = 2656,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 2797,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 2531,
  [3501] = 3501,
  [3502] = 2904,
  [3503] = 3503,
  [3504] = 3504,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 2548,
  [3512] = 3114,
  [3513] = 2669,
  [3514] = 3508,
  [3515] = 3515,
  [3516] = 3114,
  [3517] = 3116,
  [3518] = 2656,
  [3519] = 3519,
  [3520] = 2548,
  [3521] = 2736,
  [3522] = 3114,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3116,
  [3526] = 3526,
  [3527] = 3116,
  [3528] = 2421,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 2915,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3381,
  [3535] = 3114,
  [3536] = 3116,
  [3537] = 3116,
  [3538] = 3114,
  [3539] = 3116,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 2548,
  [3544] = 3544,
  [3545] = 2548,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3114,
  [3550] = 3116,
  [3551] = 3551,
  [3552] = 3114,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3555,
  [3557] = 3555,
  [3558] = 3555,
  [3559] = 3555,
  [3560] = 3555,
  [3561] = 3561,
  [3562] = 3555,
  [3563] = 3555,
  [3564] = 3555,
  [3565] = 3555,
  [3566] = 335,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 334,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 332,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 337,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 335,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3592,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 337,
  [3596] = 3596,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3480,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3483,
  [3621] = 3621,
  [3622] = 3206,
  [3623] = 3273,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 332,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 334,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3117,
  [3637] = 3122,
  [3638] = 3638,
  [3639] = 3417,
  [3640] = 3640,
  [3641] = 3410,
  [3642] = 3400,
  [3643] = 3638,
  [3644] = 3439,
  [3645] = 3441,
  [3646] = 3429,
  [3647] = 3400,
  [3648] = 3454,
  [3649] = 3410,
  [3650] = 3435,
  [3651] = 3404,
  [3652] = 3652,
  [3653] = 2098,
  [3654] = 3654,
  [3655] = 3640,
  [3656] = 3439,
  [3657] = 3435,
  [3658] = 3658,
  [3659] = 3390,
  [3660] = 3403,
  [3661] = 3454,
  [3662] = 3403,
  [3663] = 3399,
  [3664] = 3469,
  [3665] = 3390,
  [3666] = 3666,
  [3667] = 3469,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3669,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3674,
  [3677] = 2090,
  [3678] = 3673,
  [3679] = 3668,
  [3680] = 3680,
  [3681] = 3673,
  [3682] = 2110,
  [3683] = 3680,
  [3684] = 3670,
  [3685] = 3674,
  [3686] = 3673,
  [3687] = 3672,
  [3688] = 3668,
  [3689] = 3680,
  [3690] = 3680,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3672,
  [3694] = 3674,
  [3695] = 3670,
  [3696] = 3674,
  [3697] = 3673,
  [3698] = 3669,
  [3699] = 3672,
  [3700] = 3700,
  [3701] = 3670,
  [3702] = 3668,
  [3703] = 3670,
  [3704] = 3674,
  [3705] = 3705,
  [3706] = 3680,
  [3707] = 3707,
  [3708] = 3680,
  [3709] = 3668,
  [3710] = 3668,
  [3711] = 3672,
  [3712] = 3669,
  [3713] = 3673,
  [3714] = 3669,
  [3715] = 3715,
  [3716] = 3672,
  [3717] = 3669,
  [3718] = 3670,
  [3719] = 3437,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3724,
  [3725] = 3725,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3733,
  [3734] = 3734,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 2182,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 2189,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3752,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3761,
  [3762] = 3762,
  [3763] = 3745,
  [3764] = 2190,
  [3765] = 3765,
  [3766] = 2179,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3760,
  [3770] = 3751,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3748,
  [3774] = 3774,
  [3775] = 2140,
  [3776] = 3776,
  [3777] = 3777,
  [3778] = 3761,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3742,
  [3784] = 3772,
  [3785] = 3785,
  [3786] = 3744,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3792,
  [3793] = 3754,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 3768,
  [3798] = 2148,
  [3799] = 3759,
  [3800] = 3800,
  [3801] = 2140,
  [3802] = 2407,
  [3803] = 2408,
  [3804] = 2190,
  [3805] = 2404,
  [3806] = 2148,
  [3807] = 303,
  [3808] = 307,
  [3809] = 2528,
  [3810] = 2523,
  [3811] = 2537,
  [3812] = 2546,
  [3813] = 2454,
  [3814] = 2453,
  [3815] = 2452,
  [3816] = 2550,
  [3817] = 2551,
  [3818] = 2449,
  [3819] = 2515,
  [3820] = 2448,
  [3821] = 2543,
  [3822] = 2446,
  [3823] = 2483,
  [3824] = 2545,
  [3825] = 2516,
  [3826] = 2486,
  [3827] = 2496,
  [3828] = 2552,
  [3829] = 2539,
  [3830] = 2465,
  [3831] = 2406,
  [3832] = 2463,
  [3833] = 2525,
  [3834] = 2529,
  [3835] = 2510,
  [3836] = 2457,
  [3837] = 2520,
  [3838] = 2511,
  [3839] = 2527,
  [3840] = 2540,
  [3841] = 2455,
  [3842] = 2538,
  [3843] = 2519,
  [3844] = 3844,
  [3845] = 3844,
  [3846] = 3844,
  [3847] = 3844,
  [3848] = 2426,
  [3849] = 3844,
  [3850] = 2217,
  [3851] = 2224,
  [3852] = 2232,
  [3853] = 2233,
  [3854] = 1192,
  [3855] = 2443,
  [3856] = 1198,
  [3857] = 2439,
  [3858] = 2214,
  [3859] = 2204,
  [3860] = 1197,
  [3861] = 2437,
  [3862] = 2451,
  [3863] = 2199,
  [3864] = 1186,
  [3865] = 1190,
  [3866] = 2408,
  [3867] = 2477,
  [3868] = 2212,
  [3869] = 2410,
  [3870] = 2226,
  [3871] = 2230,
  [3872] = 2404,
  [3873] = 2491,
  [3874] = 2231,
  [3875] = 2407,
  [3876] = 307,
  [3877] = 303,
  [3878] = 2425,
  [3879] = 2411,
  [3880] = 2424,
  [3881] = 2420,
  [3882] = 2413,
  [3883] = 2551,
  [3884] = 2555,
  [3885] = 2480,
  [3886] = 2430,
  [3887] = 2434,
  [3888] = 2463,
  [3889] = 2505,
  [3890] = 2429,
  [3891] = 3891,
  [3892] = 2468,
  [3893] = 2506,
  [3894] = 2502,
  [3895] = 2487,
  [3896] = 2485,
  [3897] = 2507,
  [3898] = 2467,
  [3899] = 3899,
  [3900] = 2460,
  [3901] = 3901,
  [3902] = 3891,
  [3903] = 2459,
  [3904] = 2492,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 2465,
  [3908] = 2457,
  [3909] = 2553,
  [3910] = 2432,
  [3911] = 3891,
  [3912] = 2435,
  [3913] = 2526,
  [3914] = 2455,
  [3915] = 2436,
  [3916] = 2441,
  [3917] = 2529,
  [3918] = 2442,
  [3919] = 2454,
  [3920] = 2453,
  [3921] = 2452,
  [3922] = 3899,
  [3923] = 2449,
  [3924] = 2448,
  [3925] = 3901,
  [3926] = 2408,
  [3927] = 2446,
  [3928] = 3891,
  [3929] = 2404,
  [3930] = 2554,
  [3931] = 2461,
  [3932] = 2450,
  [3933] = 2407,
  [3934] = 3905,
  [3935] = 3906,
  [3936] = 3906,
  [3937] = 2543,
  [3938] = 2546,
  [3939] = 2440,
  [3940] = 2550,
  [3941] = 3906,
  [3942] = 3905,
  [3943] = 2547,
  [3944] = 2552,
  [3945] = 3905,
  [3946] = 3901,
  [3947] = 3891,
  [3948] = 2539,
  [3949] = 2523,
  [3950] = 3899,
  [3951] = 3906,
  [3952] = 3905,
  [3953] = 2428,
  [3954] = 2520,
  [3955] = 2519,
  [3956] = 2500,
  [3957] = 2516,
  [3958] = 2515,
  [3959] = 2511,
  [3960] = 2493,
  [3961] = 2510,
  [3962] = 3901,
  [3963] = 3899,
  [3964] = 3901,
  [3965] = 2514,
  [3966] = 2438,
  [3967] = 2518,
  [3968] = 3891,
  [3969] = 2444,
  [3970] = 3891,
  [3971] = 2483,
  [3972] = 3899,
  [3973] = 2522,
  [3974] = 2544,
  [3975] = 2474,
  [3976] = 3891,
  [3977] = 2427,
  [3978] = 2536,
  [3979] = 2458,
  [3980] = 2535,
  [3981] = 3891,
  [3982] = 2534,
  [3983] = 2533,
  [3984] = 2545,
  [3985] = 2540,
  [3986] = 2538,
  [3987] = 2537,
  [3988] = 2528,
  [3989] = 2527,
  [3990] = 3891,
  [3991] = 2525,
  [3992] = 2496,
  [3993] = 2406,
  [3994] = 2486,
  [3995] = 3995,
  [3996] = 3996,
  [3997] = 3997,
  [3998] = 3997,
  [3999] = 3999,
  [4000] = 3995,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 3995,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 3995,
  [4008] = 3995,
  [4009] = 4009,
  [4010] = 4002,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 2426,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 4018,
  [4019] = 4002,
  [4020] = 4020,
  [4021] = 3997,
  [4022] = 4002,
  [4023] = 4023,
  [4024] = 4024,
  [4025] = 4025,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 4002,
  [4031] = 3997,
  [4032] = 3997,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 2546,
  [4036] = 2406,
  [4037] = 2231,
  [4038] = 2233,
  [4039] = 2217,
  [4040] = 2510,
  [4041] = 2511,
  [4042] = 2515,
  [4043] = 2516,
  [4044] = 2519,
  [4045] = 2520,
  [4046] = 2529,
  [4047] = 2410,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 2523,
  [4051] = 2539,
  [4052] = 2552,
  [4053] = 2551,
  [4054] = 4054,
  [4055] = 4055,
  [4056] = 2550,
  [4057] = 4057,
  [4058] = 2543,
  [4059] = 2451,
  [4060] = 4060,
  [4061] = 2140,
  [4062] = 2199,
  [4063] = 4063,
  [4064] = 2214,
  [4065] = 2204,
  [4066] = 2212,
  [4067] = 2224,
  [4068] = 2226,
  [4069] = 2230,
  [4070] = 2232,
  [4071] = 4071,
  [4072] = 2190,
  [4073] = 2148,
  [4074] = 2545,
  [4075] = 2540,
  [4076] = 2465,
  [4077] = 2463,
  [4078] = 2457,
  [4079] = 2455,
  [4080] = 2454,
  [4081] = 2453,
  [4082] = 2452,
  [4083] = 2449,
  [4084] = 2448,
  [4085] = 2446,
  [4086] = 2437,
  [4087] = 2439,
  [4088] = 2538,
  [4089] = 2443,
  [4090] = 2537,
  [4091] = 4033,
  [4092] = 2528,
  [4093] = 4093,
  [4094] = 2527,
  [4095] = 4095,
  [4096] = 2483,
  [4097] = 4097,
  [4098] = 2477,
  [4099] = 2486,
  [4100] = 2496,
  [4101] = 2525,
  [4102] = 2491,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4107,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 2424,
  [4111] = 4111,
  [4112] = 4112,
  [4113] = 2420,
  [4114] = 2425,
  [4115] = 4115,
  [4116] = 4105,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 2413,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 2426,
  [4124] = 4111,
  [4125] = 4125,
  [4126] = 4111,
  [4127] = 4127,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4105,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4105,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4105,
  [4140] = 4111,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4146,
  [4147] = 4111,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 2411,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 2444,
  [4155] = 2505,
  [4156] = 1190,
  [4157] = 2553,
  [4158] = 2526,
  [4159] = 4159,
  [4160] = 2485,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 2190,
  [4164] = 1198,
  [4165] = 2140,
  [4166] = 1197,
  [4167] = 2500,
  [4168] = 2434,
  [4169] = 4169,
  [4170] = 2491,
  [4171] = 2477,
  [4172] = 2430,
  [4173] = 2547,
  [4174] = 2514,
  [4175] = 2518,
  [4176] = 2480,
  [4177] = 2443,
  [4178] = 2439,
  [4179] = 2437,
  [4180] = 2507,
  [4181] = 2487,
  [4182] = 2522,
  [4183] = 2502,
  [4184] = 2442,
  [4185] = 2441,
  [4186] = 1192,
  [4187] = 2536,
  [4188] = 2436,
  [4189] = 2438,
  [4190] = 2555,
  [4191] = 2440,
  [4192] = 2506,
  [4193] = 2427,
  [4194] = 2458,
  [4195] = 2461,
  [4196] = 2450,
  [4197] = 1186,
  [4198] = 2435,
  [4199] = 2428,
  [4200] = 2493,
  [4201] = 2554,
  [4202] = 2432,
  [4203] = 2429,
  [4204] = 2533,
  [4205] = 2544,
  [4206] = 2492,
  [4207] = 2534,
  [4208] = 2148,
  [4209] = 2535,
  [4210] = 2474,
  [4211] = 2468,
  [4212] = 2459,
  [4213] = 4213,
  [4214] = 2460,
  [4215] = 2467,
  [4216] = 2451,
  [4217] = 2410,
  [4218] = 2420,
  [4219] = 2413,
  [4220] = 4220,
  [4221] = 2411,
  [4222] = 4222,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 2424,
  [4229] = 4229,
  [4230] = 4224,
  [4231] = 4231,
  [4232] = 4220,
  [4233] = 4233,
  [4234] = 4220,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4235,
  [4239] = 4033,
  [4240] = 4220,
  [4241] = 4235,
  [4242] = 4229,
  [4243] = 4220,
  [4244] = 4244,
  [4245] = 4235,
  [4246] = 4220,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4235,
  [4250] = 2425,
  [4251] = 4235,
  [4252] = 2429,
  [4253] = 4105,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4105,
  [4257] = 2553,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 1190,
  [4264] = 2226,
  [4265] = 2224,
  [4266] = 2214,
  [4267] = 2487,
  [4268] = 4105,
  [4269] = 4105,
  [4270] = 4270,
  [4271] = 2502,
  [4272] = 4105,
  [4273] = 4258,
  [4274] = 1192,
  [4275] = 2506,
  [4276] = 4248,
  [4277] = 4260,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 1197,
  [4281] = 2505,
  [4282] = 4282,
  [4283] = 1198,
  [4284] = 2217,
  [4285] = 4278,
  [4286] = 2474,
  [4287] = 4287,
  [4288] = 4278,
  [4289] = 4289,
  [4290] = 2232,
  [4291] = 4291,
  [4292] = 2230,
  [4293] = 2212,
  [4294] = 2204,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 2199,
  [4303] = 4303,
  [4304] = 4278,
  [4305] = 4305,
  [4306] = 2555,
  [4307] = 2536,
  [4308] = 4308,
  [4309] = 2544,
  [4310] = 4260,
  [4311] = 2522,
  [4312] = 2450,
  [4313] = 4301,
  [4314] = 2442,
  [4315] = 2441,
  [4316] = 2436,
  [4317] = 2435,
  [4318] = 2432,
  [4319] = 1186,
  [4320] = 2492,
  [4321] = 2459,
  [4322] = 2460,
  [4323] = 2467,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 2468,
  [4327] = 4327,
  [4328] = 2518,
  [4329] = 4262,
  [4330] = 4296,
  [4331] = 2514,
  [4332] = 4332,
  [4333] = 2554,
  [4334] = 4334,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4233,
  [4339] = 4105,
  [4340] = 4270,
  [4341] = 2547,
  [4342] = 4260,
  [4343] = 4258,
  [4344] = 2500,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4258,
  [4348] = 4348,
  [4349] = 4258,
  [4350] = 4350,
  [4351] = 2526,
  [4352] = 4350,
  [4353] = 4296,
  [4354] = 4354,
  [4355] = 4262,
  [4356] = 4278,
  [4357] = 4262,
  [4358] = 307,
  [4359] = 4262,
  [4360] = 2233,
  [4361] = 4258,
  [4362] = 2231,
  [4363] = 4260,
  [4364] = 4261,
  [4365] = 4350,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4270,
  [4369] = 4301,
  [4370] = 4259,
  [4371] = 4278,
  [4372] = 2485,
  [4373] = 4255,
  [4374] = 4278,
  [4375] = 4254,
  [4376] = 4296,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4279,
  [4380] = 4380,
  [4381] = 2480,
  [4382] = 2430,
  [4383] = 4301,
  [4384] = 4384,
  [4385] = 2434,
  [4386] = 4270,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 303,
  [4390] = 4296,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4287,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4270,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4105,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4225,
  [4411] = 4411,
  [4412] = 4350,
  [4413] = 4236,
  [4414] = 4262,
  [4415] = 4270,
  [4416] = 4350,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4260,
  [4422] = 4422,
  [4423] = 4393,
  [4424] = 2438,
  [4425] = 4348,
  [4426] = 2440,
  [4427] = 4301,
  [4428] = 2444,
  [4429] = 4301,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 2507,
  [4433] = 2427,
  [4434] = 2458,
  [4435] = 4435,
  [4436] = 2461,
  [4437] = 2535,
  [4438] = 4438,
  [4439] = 2428,
  [4440] = 2493,
  [4441] = 4441,
  [4442] = 4296,
  [4443] = 4443,
  [4444] = 2534,
  [4445] = 4295,
  [4446] = 2533,
  [4447] = 4447,
  [4448] = 4448,
  [4449] = 4236,
  [4450] = 4225,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4454,
  [4456] = 4456,
  [4457] = 4454,
  [4458] = 4448,
  [4459] = 4451,
  [4460] = 4460,
  [4461] = 297,
  [4462] = 295,
  [4463] = 4448,
  [4464] = 4464,
  [4465] = 4454,
  [4466] = 4448,
  [4467] = 4448,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 4448,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4448,
  [4478] = 4454,
  [4479] = 4448,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4454,
  [4483] = 4460,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4484,
  [4488] = 4488,
  [4489] = 4431,
  [4490] = 4490,
  [4491] = 335,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4494,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 4502,
  [4503] = 4485,
  [4504] = 4504,
  [4505] = 4505,
  [4506] = 4484,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 4509,
  [4510] = 4510,
  [4511] = 4511,
  [4512] = 4511,
  [4513] = 4488,
  [4514] = 4505,
  [4515] = 4515,
  [4516] = 4497,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4497,
  [4520] = 4520,
  [4521] = 4517,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4517,
  [4525] = 4525,
  [4526] = 4159,
  [4527] = 4497,
  [4528] = 4528,
  [4529] = 4520,
  [4530] = 4530,
  [4531] = 4476,
  [4532] = 4532,
  [4533] = 4488,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4484,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4515,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4539,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 335,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4563,
  [4564] = 4517,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4515,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4539,
  [4571] = 4497,
  [4572] = 4537,
  [4573] = 4485,
  [4574] = 4261,
  [4575] = 4259,
  [4576] = 4255,
  [4577] = 4254,
  [4578] = 4578,
  [4579] = 4393,
  [4580] = 4287,
  [4581] = 4581,
  [4582] = 4515,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4488,
  [4591] = 4494,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4598,
  [4599] = 4517,
  [4600] = 4497,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4517,
  [4607] = 4520,
  [4608] = 4486,
  [4609] = 4537,
  [4610] = 4520,
  [4611] = 4488,
  [4612] = 4612,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4539,
  [4616] = 4616,
  [4617] = 4490,
  [4618] = 4485,
  [4619] = 4619,
  [4620] = 4537,
  [4621] = 4621,
  [4622] = 4511,
  [4623] = 4297,
  [4624] = 4624,
  [4625] = 4505,
  [4626] = 4494,
  [4627] = 4627,
  [4628] = 337,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 2098,
  [4635] = 4505,
  [4636] = 4636,
  [4637] = 298,
  [4638] = 4486,
  [4639] = 4332,
  [4640] = 4640,
  [4641] = 4636,
  [4642] = 4308,
  [4643] = 4643,
  [4644] = 332,
  [4645] = 4511,
  [4646] = 4505,
  [4647] = 325,
  [4648] = 4648,
  [4649] = 4486,
  [4650] = 4494,
  [4651] = 4651,
  [4652] = 4485,
  [4653] = 4538,
  [4654] = 4654,
  [4655] = 310,
  [4656] = 309,
  [4657] = 4657,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4520,
  [4661] = 4661,
  [4662] = 4537,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4539,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4511,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4488,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 334,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4539,
  [4680] = 4680,
  [4681] = 308,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 4684,
  [4685] = 4399,
  [4686] = 4604,
  [4687] = 4687,
  [4688] = 4537,
  [4689] = 4689,
  [4690] = 4515,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4485,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 4161,
  [4702] = 4702,
  [4703] = 337,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4520,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4515,
  [4713] = 4713,
  [4714] = 4714,
  [4715] = 4627,
  [4716] = 4484,
  [4717] = 4717,
  [4718] = 4223,
  [4719] = 4619,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 4494,
  [4726] = 4726,
  [4727] = 4303,
  [4728] = 4728,
  [4729] = 4484,
  [4730] = 4511,
  [4731] = 4731,
  [4732] = 4505,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4486,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4525,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4684,
  [4755] = 4755,
  [4756] = 4534,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 933,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4766,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4213,
  [4773] = 4543,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 2110,
  [4778] = 4540,
  [4779] = 4759,
  [4780] = 4780,
  [4781] = 4753,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4775,
  [4785] = 4767,
  [4786] = 4775,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4760,
  [4790] = 4630,
  [4791] = 4757,
  [4792] = 4758,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4755,
  [4798] = 4753,
  [4799] = 334,
  [4800] = 2090,
  [4801] = 4546,
  [4802] = 4802,
  [4803] = 4734,
  [4804] = 4233,
  [4805] = 4663,
  [4806] = 4733,
  [4807] = 4807,
  [4808] = 4744,
  [4809] = 4659,
  [4810] = 4807,
  [4811] = 4723,
  [4812] = 4812,
  [4813] = 4658,
  [4814] = 4651,
  [4815] = 4815,
  [4816] = 4767,
  [4817] = 4740,
  [4818] = 4775,
  [4819] = 4760,
  [4820] = 4767,
  [4821] = 4821,
  [4822] = 4796,
  [4823] = 4760,
  [4824] = 4721,
  [4825] = 4825,
  [4826] = 4753,
  [4827] = 4757,
  [4828] = 4758,
  [4829] = 4760,
  [4830] = 4631,
  [4831] = 4831,
  [4832] = 4758,
  [4833] = 4763,
  [4834] = 4757,
  [4835] = 4775,
  [4836] = 4836,
  [4837] = 4759,
  [4838] = 4838,
  [4839] = 4762,
  [4840] = 4767,
  [4841] = 4841,
  [4842] = 4689,
  [4843] = 4766,
  [4844] = 4694,
  [4845] = 4782,
  [4846] = 332,
  [4847] = 4766,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4825,
  [4851] = 4851,
  [4852] = 4767,
  [4853] = 4853,
  [4854] = 4707,
  [4855] = 4753,
  [4856] = 4770,
  [4857] = 4831,
  [4858] = 4775,
  [4859] = 4760,
  [4860] = 4753,
  [4861] = 4853,
  [4862] = 4862,
  [4863] = 4767,
  [4864] = 4758,
  [4865] = 4865,
  [4866] = 4757,
  [4867] = 4460,
  [4868] = 4788,
  [4869] = 4770,
  [4870] = 4870,
  [4871] = 4451,
  [4872] = 4870,
  [4873] = 4765,
  [4874] = 4760,
  [4875] = 4794,
  [4876] = 4755,
  [4877] = 4788,
  [4878] = 4757,
  [4879] = 4753,
  [4880] = 4880,
  [4881] = 4770,
  [4882] = 4794,
  [4883] = 4753,
  [4884] = 4853,
  [4885] = 4788,
  [4886] = 4870,
  [4887] = 4812,
  [4888] = 4753,
  [4889] = 4775,
  [4890] = 4890,
  [4891] = 4891,
  [4892] = 4870,
  [4893] = 4815,
  [4894] = 4767,
  [4895] = 4891,
  [4896] = 4896,
  [4897] = 4759,
  [4898] = 4853,
  [4899] = 4793,
  [4900] = 4601,
  [4901] = 4476,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4853,
  [4905] = 4836,
  [4906] = 4767,
  [4907] = 4788,
  [4908] = 4870,
  [4909] = 4794,
  [4910] = 4910,
  [4911] = 4766,
  [4912] = 4912,
  [4913] = 4755,
  [4914] = 4633,
  [4915] = 4775,
  [4916] = 4853,
  [4917] = 4917,
  [4918] = 4632,
  [4919] = 4794,
  [4920] = 4788,
  [4921] = 4759,
  [4922] = 4248,
  [4923] = 4923,
  [4924] = 4755,
  [4925] = 4758,
  [4926] = 4926,
  [4927] = 4760,
  [4928] = 4629,
  [4929] = 4929,
  [4930] = 4774,
  [4931] = 4758,
  [4932] = 4793,
  [4933] = 4775,
  [4934] = 4760,
  [4935] = 4849,
  [4936] = 4757,
  [4937] = 4708,
  [4938] = 4755,
  [4939] = 4794,
  [4940] = 4793,
  [4941] = 4793,
  [4942] = 4793,
  [4943] = 4865,
  [4944] = 4890,
  [4945] = 4746,
  [4946] = 4770,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 311,
  [4952] = 315,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 2491,
  [4965] = 2477,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 1143,
  [4970] = 1139,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 1112,
  [4974] = 1121,
  [4975] = 1041,
  [4976] = 4976,
  [4977] = 297,
  [4978] = 295,
  [4979] = 1103,
  [4980] = 1099,
  [4981] = 1093,
  [4982] = 1088,
  [4983] = 1083,
  [4984] = 991,
  [4985] = 1079,
  [4986] = 1076,
  [4987] = 1071,
  [4988] = 1069,
  [4989] = 1068,
  [4990] = 1059,
  [4991] = 1058,
  [4992] = 1057,
  [4993] = 1056,
  [4994] = 1054,
  [4995] = 995,
  [4996] = 996,
  [4997] = 997,
  [4998] = 1050,
  [4999] = 1048,
  [5000] = 1047,
  [5001] = 5001,
  [5002] = 1046,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 4963,
  [5009] = 1045,
  [5010] = 1044,
  [5011] = 1042,
  [5012] = 1125,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 1039,
  [5016] = 1037,
  [5017] = 5017,
  [5018] = 1036,
  [5019] = 5019,
  [5020] = 1035,
  [5021] = 1031,
  [5022] = 1030,
  [5023] = 1001,
  [5024] = 1005,
  [5025] = 1006,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 1024,
  [5029] = 5029,
  [5030] = 4960,
  [5031] = 5031,
  [5032] = 1022,
  [5033] = 1017,
  [5034] = 1126,
  [5035] = 1019,
  [5036] = 4955,
  [5037] = 1020,
  [5038] = 1026,
  [5039] = 1028,
  [5040] = 1053,
  [5041] = 1064,
  [5042] = 1171,
  [5043] = 1169,
  [5044] = 1132,
  [5045] = 1136,
  [5046] = 1137,
  [5047] = 1138,
  [5048] = 992,
  [5049] = 1141,
  [5050] = 1142,
  [5051] = 1146,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 1148,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 1151,
  [5058] = 1153,
  [5059] = 1168,
  [5060] = 1191,
  [5061] = 1173,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 1174,
  [5065] = 1178,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 1179,
  [5069] = 5062,
  [5070] = 5070,
  [5071] = 1187,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 1188,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 4971,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5062,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 4961,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 4950,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 4968,
  [5096] = 5096,
  [5097] = 5062,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5084,
  [5101] = 4523,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5062,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 4968,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 4961,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5026,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5084,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 4971,
  [5140] = 4958,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 4963,
  [5156] = 5156,
  [5157] = 4960,
  [5158] = 5158,
  [5159] = 4955,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5112,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 4950,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 4568,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5128,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 4958,
  [5185] = 5185,
  [5186] = 4958,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5128,
  [5202] = 5165,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 4958,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5004,
  [5224] = 4950,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5055,
  [5228] = 5228,
  [5229] = 5112,
  [5230] = 5112,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 4958,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5128,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5235,
  [5249] = 5234,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 4955,
  [5256] = 5256,
  [5257] = 4960,
  [5258] = 5258,
  [5259] = 5182,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 4950,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5196,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5163,
  [5274] = 5062,
  [5275] = 4963,
  [5276] = 5150,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5132,
  [5280] = 5126,
  [5281] = 4955,
  [5282] = 4960,
  [5283] = 5121,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5093,
  [5287] = 5103,
  [5288] = 5126,
  [5289] = 5132,
  [5290] = 5235,
  [5291] = 5234,
  [5292] = 5163,
  [5293] = 5150,
  [5294] = 4492,
  [5295] = 5118,
  [5296] = 5110,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5125,
  [5300] = 5300,
  [5301] = 5084,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 4971,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5093,
  [5318] = 5318,
  [5319] = 5103,
  [5320] = 5320,
  [5321] = 5126,
  [5322] = 5132,
  [5323] = 5323,
  [5324] = 4961,
  [5325] = 5325,
  [5326] = 5235,
  [5327] = 5234,
  [5328] = 4968,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5163,
  [5332] = 5150,
  [5333] = 5063,
  [5334] = 5084,
  [5335] = 4902,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 4917,
  [5340] = 5125,
  [5341] = 4912,
  [5342] = 5342,
  [5343] = 5125,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5183,
  [5355] = 5103,
  [5356] = 4963,
  [5357] = 5357,
  [5358] = 5338,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5112,
  [5362] = 5362,
  [5363] = 5093,
  [5364] = 5103,
  [5365] = 5365,
  [5366] = 5126,
  [5367] = 5132,
  [5368] = 5368,
  [5369] = 5235,
  [5370] = 5234,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5107,
  [5374] = 5163,
  [5375] = 5150,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5125,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5297,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5084,
  [5388] = 5388,
  [5389] = 5298,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5368,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 5213,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5243,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5146,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 4968,
  [5413] = 4971,
  [5414] = 5414,
  [5415] = 4961,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5093,
  [5420] = 4961,
  [5421] = 4968,
  [5422] = 5085,
  [5423] = 5080,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 4971,
  [5427] = 5093,
  [5428] = 5103,
  [5429] = 5429,
  [5430] = 4698,
  [5431] = 4699,
  [5432] = 5126,
  [5433] = 5132,
  [5434] = 5434,
  [5435] = 5235,
  [5436] = 4780,
  [5437] = 5437,
  [5438] = 5234,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5163,
  [5443] = 5150,
  [5444] = 998,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 988,
  [5448] = 983,
  [5449] = 990,
  [5450] = 5450,
  [5451] = 5125,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 4963,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 4960,
  [5459] = 5459,
  [5460] = 4955,
  [5461] = 5461,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 4950,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5468,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5128,
  [5472] = 5472,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5475,
  [5476] = 5476,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5474,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5481,
  [5492] = 5492,
  [5493] = 946,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5495,
  [5497] = 5482,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5482,
  [5501] = 5501,
  [5502] = 5476,
  [5503] = 5490,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5489,
  [5509] = 5509,
  [5510] = 5478,
  [5511] = 5495,
  [5512] = 5482,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5490,
  [5516] = 5489,
  [5517] = 5495,
  [5518] = 5207,
  [5519] = 5519,
  [5520] = 5476,
  [5521] = 5499,
  [5522] = 5476,
  [5523] = 5490,
  [5524] = 5489,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5478,
  [5531] = 5529,
  [5532] = 5528,
  [5533] = 5495,
  [5534] = 5482,
  [5535] = 5489,
  [5536] = 5490,
  [5537] = 5509,
  [5538] = 5481,
  [5539] = 5490,
  [5540] = 5489,
  [5541] = 5509,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5529,
  [5545] = 5528,
  [5546] = 5495,
  [5547] = 5499,
  [5548] = 5490,
  [5549] = 5482,
  [5550] = 5489,
  [5551] = 5551,
  [5552] = 2182,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5492,
  [5557] = 5478,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5477,
  [5561] = 5480,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5490,
  [5566] = 5489,
  [5567] = 5504,
  [5568] = 5482,
  [5569] = 5495,
  [5570] = 5504,
  [5571] = 5571,
  [5572] = 5482,
  [5573] = 5495,
  [5574] = 5574,
  [5575] = 5505,
  [5576] = 5555,
  [5577] = 5577,
  [5578] = 5488,
  [5579] = 5495,
  [5580] = 5482,
  [5581] = 5485,
  [5582] = 5477,
  [5583] = 5490,
  [5584] = 5486,
  [5585] = 5488,
  [5586] = 5486,
  [5587] = 5587,
  [5588] = 5485,
  [5589] = 5489,
  [5590] = 5480,
  [5591] = 5480,
  [5592] = 5477,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5486,
  [5596] = 5485,
  [5597] = 5597,
  [5598] = 5485,
  [5599] = 5599,
  [5600] = 5486,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5488,
  [5604] = 5604,
  [5605] = 5481,
  [5606] = 5488,
  [5607] = 5475,
  [5608] = 5231,
  [5609] = 5609,
  [5610] = 5480,
  [5611] = 2179,
  [5612] = 5612,
  [5613] = 5499,
  [5614] = 5478,
  [5615] = 5485,
  [5616] = 5616,
  [5617] = 5477,
  [5618] = 5495,
  [5619] = 5486,
  [5620] = 5609,
  [5621] = 5482,
  [5622] = 5504,
  [5623] = 5495,
  [5624] = 5624,
  [5625] = 5476,
  [5626] = 5495,
  [5627] = 5627,
  [5628] = 5482,
  [5629] = 5482,
  [5630] = 5504,
  [5631] = 5504,
  [5632] = 5528,
  [5633] = 5529,
  [5634] = 5490,
  [5635] = 5489,
  [5636] = 5636,
  [5637] = 5492,
  [5638] = 5528,
  [5639] = 5529,
  [5640] = 5492,
  [5641] = 5485,
  [5642] = 5636,
  [5643] = 5499,
  [5644] = 5489,
  [5645] = 5490,
  [5646] = 5509,
  [5647] = 5492,
  [5648] = 5528,
  [5649] = 5529,
  [5650] = 5509,
  [5651] = 5529,
  [5652] = 5528,
  [5653] = 5509,
  [5654] = 5504,
  [5655] = 5482,
  [5656] = 5495,
  [5657] = 5481,
  [5658] = 2189,
  [5659] = 5659,
  [5660] = 5659,
  [5661] = 5490,
  [5662] = 5489,
  [5663] = 4523,
  [5664] = 5490,
  [5665] = 5489,
  [5666] = 5488,
  [5667] = 298,
  [5668] = 309,
  [5669] = 310,
  [5670] = 5486,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5674,
  [5675] = 5675,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 5678,
  [5679] = 5679,
  [5680] = 5680,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5689,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5671,
  [5694] = 5694,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5702,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5719,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5729,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5727,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5719,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5877,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 5895,
  [5896] = 5892,
  [5897] = 5897,
  [5898] = 5802,
  [5899] = 5760,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5902,
  [5903] = 5903,
  [5904] = 5801,
  [5905] = 5905,
  [5906] = 5891,
  [5907] = 5907,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 4601,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5796,
  [5914] = 5743,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5742,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5740,
  [5922] = 5922,
  [5923] = 5737,
  [5924] = 5924,
  [5925] = 5735,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5725,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5723,
  [5934] = 5722,
  [5935] = 5935,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5675,
  [5948] = 5676,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5231,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5800,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5671,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5701,
  [5979] = 1008,
  [5980] = 5702,
  [5981] = 5703,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5719,
  [5985] = 5985,
  [5986] = 5986,
  [5987] = 5987,
  [5988] = 5988,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 5703,
  [5992] = 5992,
  [5993] = 5702,
  [5994] = 5994,
  [5995] = 5995,
  [5996] = 5701,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 5671,
  [6007] = 5892,
  [6008] = 5891,
  [6009] = 5688,
  [6010] = 6010,
  [6011] = 5687,
  [6012] = 6012,
  [6013] = 5727,
  [6014] = 5685,
  [6015] = 5729,
  [6016] = 5800,
  [6017] = 5684,
  [6018] = 6018,
  [6019] = 5254,
  [6020] = 5729,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 5719,
  [6024] = 6024,
  [6025] = 5727,
  [6026] = 5207,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 5892,
  [6032] = 6032,
  [6033] = 5891,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 4543,
  [6038] = 6038,
  [6039] = 5800,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 992,
  [6047] = 5796,
  [6048] = 6048,
  [6049] = 5719,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 5801,
  [6053] = 5802,
  [6054] = 5676,
  [6055] = 5703,
  [6056] = 6056,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 5702,
  [6060] = 5701,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 5675,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6070,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 5892,
  [6076] = 5891,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 5722,
  [6091] = 6091,
  [6092] = 5676,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 5675,
  [6096] = 5723,
  [6097] = 5725,
  [6098] = 6098,
  [6099] = 5763,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 5735,
  [6105] = 5737,
  [6106] = 5740,
  [6107] = 5742,
  [6108] = 6108,
  [6109] = 989,
  [6110] = 6110,
  [6111] = 5743,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 5722,
  [6115] = 5723,
  [6116] = 1006,
  [6117] = 1005,
  [6118] = 5725,
  [6119] = 998,
  [6120] = 6038,
  [6121] = 1001,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 6102,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 5735,
  [6128] = 5760,
  [6129] = 5737,
  [6130] = 5740,
  [6131] = 5407,
  [6132] = 6132,
  [6133] = 4630,
  [6134] = 5742,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 5983,
  [6138] = 6138,
  [6139] = 5743,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 5800,
  [6143] = 5170,
  [6144] = 6144,
  [6145] = 6145,
  [6146] = 5760,
  [6147] = 6147,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 6153,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 5703,
  [6157] = 6157,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 6122,
  [6161] = 5743,
  [6162] = 6123,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 5742,
  [6166] = 6166,
  [6167] = 6167,
  [6168] = 5740,
  [6169] = 5760,
  [6170] = 5737,
  [6171] = 6171,
  [6172] = 5735,
  [6173] = 6173,
  [6174] = 6174,
  [6175] = 5763,
  [6176] = 5725,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 6179,
  [6180] = 5723,
  [6181] = 5722,
  [6182] = 6182,
  [6183] = 5722,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 5723,
  [6187] = 6187,
  [6188] = 5735,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 997,
  [6192] = 6192,
  [6193] = 6193,
  [6194] = 5675,
  [6195] = 5676,
  [6196] = 6196,
  [6197] = 6163,
  [6198] = 5737,
  [6199] = 6173,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 6177,
  [6203] = 6203,
  [6204] = 5740,
  [6205] = 5684,
  [6206] = 6206,
  [6207] = 5685,
  [6208] = 6208,
  [6209] = 5687,
  [6210] = 6179,
  [6211] = 5688,
  [6212] = 988,
  [6213] = 6213,
  [6214] = 5671,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 983,
  [6219] = 6219,
  [6220] = 996,
  [6221] = 6221,
  [6222] = 995,
  [6223] = 5701,
  [6224] = 6224,
  [6225] = 5702,
  [6226] = 5703,
  [6227] = 6227,
  [6228] = 6224,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6233,
  [6234] = 5791,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 5848,
  [6238] = 6233,
  [6239] = 6239,
  [6240] = 990,
  [6241] = 6241,
  [6242] = 991,
  [6243] = 6243,
  [6244] = 5791,
  [6245] = 6245,
  [6246] = 6083,
  [6247] = 6247,
  [6248] = 6086,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 4523,
  [6253] = 993,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 5727,
  [6259] = 6259,
  [6260] = 5729,
  [6261] = 6261,
  [6262] = 6262,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 5825,
  [6266] = 5729,
  [6267] = 4744,
  [6268] = 6268,
  [6269] = 5727,
  [6270] = 6270,
  [6271] = 1013,
  [6272] = 6272,
  [6273] = 6083,
  [6274] = 6086,
  [6275] = 6086,
  [6276] = 6276,
  [6277] = 6249,
  [6278] = 6256,
  [6279] = 6257,
  [6280] = 6280,
  [6281] = 6262,
  [6282] = 6282,
  [6283] = 5703,
  [6284] = 6284,
  [6285] = 6083,
  [6286] = 6286,
  [6287] = 5702,
  [6288] = 6086,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 1127,
  [6293] = 6293,
  [6294] = 5701,
  [6295] = 2214,
  [6296] = 1144,
  [6297] = 6297,
  [6298] = 6083,
  [6299] = 5825,
  [6300] = 6289,
  [6301] = 6301,
  [6302] = 6263,
  [6303] = 6303,
  [6304] = 6304,
  [6305] = 6305,
  [6306] = 6306,
  [6307] = 6291,
  [6308] = 6227,
  [6309] = 6309,
  [6310] = 6083,
  [6311] = 5891,
  [6312] = 5892,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 5878,
  [6316] = 6316,
  [6317] = 5802,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 5801,
  [6321] = 6321,
  [6322] = 5878,
  [6323] = 5796,
  [6324] = 5802,
  [6325] = 6325,
  [6326] = 5801,
  [6327] = 2468,
  [6328] = 2429,
  [6329] = 2224,
  [6330] = 5676,
  [6331] = 5675,
  [6332] = 6332,
  [6333] = 2226,
  [6334] = 2232,
  [6335] = 2230,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 2212,
  [6339] = 6339,
  [6340] = 2204,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 2199,
  [6344] = 2217,
  [6345] = 5740,
  [6346] = 6346,
  [6347] = 5737,
  [6348] = 2233,
  [6349] = 5735,
  [6350] = 6350,
  [6351] = 5725,
  [6352] = 2231,
  [6353] = 5796,
  [6354] = 6354,
  [6355] = 5723,
  [6356] = 5722,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 1024,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6364,
  [6365] = 6365,
  [6366] = 315,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 6372,
  [6373] = 6358,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 6378,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6362,
  [6385] = 6385,
  [6386] = 311,
  [6387] = 6387,
  [6388] = 6370,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 6371,
  [6395] = 6379,
  [6396] = 6396,
  [6397] = 6391,
  [6398] = 6381,
  [6399] = 6399,
  [6400] = 6381,
  [6401] = 6401,
  [6402] = 6402,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6405,
  [6407] = 6404,
  [6408] = 6408,
  [6409] = 6402,
  [6410] = 6385,
  [6411] = 6401,
  [6412] = 6396,
  [6413] = 6399,
  [6414] = 6414,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 6418,
  [6419] = 6415,
  [6420] = 6420,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6414,
  [6425] = 6393,
  [6426] = 308,
  [6427] = 6390,
  [6428] = 6389,
  [6429] = 6387,
  [6430] = 1054,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 3594,
  [6434] = 3571,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6377,
  [6438] = 3577,
  [6439] = 6415,
  [6440] = 6440,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6369,
  [6446] = 6367,
  [6447] = 6447,
  [6448] = 6360,
  [6449] = 6449,
  [6450] = 6361,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 3588,
  [6454] = 6454,
  [6455] = 6455,
  [6456] = 3609,
  [6457] = 6457,
  [6458] = 6417,
  [6459] = 6459,
  [6460] = 6365,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6414,
  [6464] = 6368,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6418,
  [6470] = 6372,
  [6471] = 6471,
  [6472] = 1103,
  [6473] = 6358,
  [6474] = 6374,
  [6475] = 3593,
  [6476] = 6375,
  [6477] = 6477,
  [6478] = 6376,
  [6479] = 3596,
  [6480] = 6480,
  [6481] = 6415,
  [6482] = 3617,
  [6483] = 6483,
  [6484] = 3568,
  [6485] = 6485,
  [6486] = 6420,
  [6487] = 6421,
  [6488] = 1101,
  [6489] = 1099,
  [6490] = 1093,
  [6491] = 6377,
  [6492] = 1088,
  [6493] = 6493,
  [6494] = 6422,
  [6495] = 1083,
  [6496] = 6496,
  [6497] = 6431,
  [6498] = 6496,
  [6499] = 6423,
  [6500] = 6422,
  [6501] = 6496,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6421,
  [6505] = 6420,
  [6506] = 6418,
  [6507] = 6417,
  [6508] = 6381,
  [6509] = 6509,
  [6510] = 6431,
  [6511] = 6414,
  [6512] = 3573,
  [6513] = 6391,
  [6514] = 1209,
  [6515] = 1079,
  [6516] = 6516,
  [6517] = 6379,
  [6518] = 6371,
  [6519] = 6370,
  [6520] = 6383,
  [6521] = 6385,
  [6522] = 6522,
  [6523] = 6415,
  [6524] = 1076,
  [6525] = 6455,
  [6526] = 1074,
  [6527] = 6376,
  [6528] = 6471,
  [6529] = 1072,
  [6530] = 6423,
  [6531] = 6375,
  [6532] = 1071,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 6403,
  [6536] = 6405,
  [6537] = 6537,
  [6538] = 1069,
  [6539] = 6404,
  [6540] = 6402,
  [6541] = 6401,
  [6542] = 6396,
  [6543] = 1068,
  [6544] = 1059,
  [6545] = 1058,
  [6546] = 1057,
  [6547] = 1056,
  [6548] = 6548,
  [6549] = 6376,
  [6550] = 6375,
  [6551] = 6534,
  [6552] = 6374,
  [6553] = 6537,
  [6554] = 1055,
  [6555] = 6393,
  [6556] = 3610,
  [6557] = 6390,
  [6558] = 6389,
  [6559] = 6387,
  [6560] = 6362,
  [6561] = 1231,
  [6562] = 6435,
  [6563] = 6376,
  [6564] = 6564,
  [6565] = 1229,
  [6566] = 6440,
  [6567] = 6442,
  [6568] = 6443,
  [6569] = 6444,
  [6570] = 6369,
  [6571] = 6367,
  [6572] = 6447,
  [6573] = 6360,
  [6574] = 6449,
  [6575] = 6575,
  [6576] = 6361,
  [6577] = 4780,
  [6578] = 6358,
  [6579] = 6372,
  [6580] = 6374,
  [6581] = 6581,
  [6582] = 6363,
  [6583] = 6364,
  [6584] = 6584,
  [6585] = 6365,
  [6586] = 6461,
  [6587] = 6462,
  [6588] = 1050,
  [6589] = 1049,
  [6590] = 6467,
  [6591] = 6591,
  [6592] = 6466,
  [6593] = 6368,
  [6594] = 6465,
  [6595] = 6466,
  [6596] = 6467,
  [6597] = 6414,
  [6598] = 6465,
  [6599] = 6416,
  [6600] = 6600,
  [6601] = 6358,
  [6602] = 6372,
  [6603] = 6358,
  [6604] = 6604,
  [6605] = 6374,
  [6606] = 6606,
  [6607] = 6375,
  [6608] = 6372,
  [6609] = 6609,
  [6610] = 6368,
  [6611] = 6457,
  [6612] = 1048,
  [6613] = 1047,
  [6614] = 6614,
  [6615] = 6615,
  [6616] = 1046,
  [6617] = 6462,
  [6618] = 6461,
  [6619] = 1045,
  [6620] = 1044,
  [6621] = 6581,
  [6622] = 6431,
  [6623] = 6365,
  [6624] = 6533,
  [6625] = 6496,
  [6626] = 6626,
  [6627] = 6383,
  [6628] = 1042,
  [6629] = 6629,
  [6630] = 6630,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6634,
  [6635] = 6423,
  [6636] = 3585,
  [6637] = 6637,
  [6638] = 3569,
  [6639] = 6385,
  [6640] = 6422,
  [6641] = 6641,
  [6642] = 6467,
  [6643] = 6421,
  [6644] = 6420,
  [6645] = 6418,
  [6646] = 6417,
  [6647] = 6381,
  [6648] = 6466,
  [6649] = 1041,
  [6650] = 1039,
  [6651] = 6651,
  [6652] = 1037,
  [6653] = 6465,
  [6654] = 3583,
  [6655] = 6655,
  [6656] = 1035,
  [6657] = 6632,
  [6658] = 6391,
  [6659] = 1034,
  [6660] = 1032,
  [6661] = 6368,
  [6662] = 6379,
  [6663] = 6663,
  [6664] = 1036,
  [6665] = 6371,
  [6666] = 6666,
  [6667] = 6370,
  [6668] = 6668,
  [6669] = 3605,
  [6670] = 6670,
  [6671] = 3607,
  [6672] = 6383,
  [6673] = 6673,
  [6674] = 6674,
  [6675] = 6385,
  [6676] = 1236,
  [6677] = 6677,
  [6678] = 1031,
  [6679] = 6462,
  [6680] = 6680,
  [6681] = 1232,
  [6682] = 6461,
  [6683] = 6683,
  [6684] = 1237,
  [6685] = 1030,
  [6686] = 6686,
  [6687] = 6449,
  [6688] = 1022,
  [6689] = 6403,
  [6690] = 6405,
  [6691] = 1017,
  [6692] = 6404,
  [6693] = 6693,
  [6694] = 6402,
  [6695] = 6695,
  [6696] = 6401,
  [6697] = 6396,
  [6698] = 1126,
  [6699] = 6365,
  [6700] = 1019,
  [6701] = 6629,
  [6702] = 1020,
  [6703] = 6630,
  [6704] = 1026,
  [6705] = 6631,
  [6706] = 1028,
  [6707] = 1148,
  [6708] = 1053,
  [6709] = 6393,
  [6710] = 6710,
  [6711] = 1064,
  [6712] = 6390,
  [6713] = 1171,
  [6714] = 6389,
  [6715] = 6715,
  [6716] = 6387,
  [6717] = 6362,
  [6718] = 1124,
  [6719] = 6435,
  [6720] = 6377,
  [6721] = 6673,
  [6722] = 6722,
  [6723] = 6440,
  [6724] = 6442,
  [6725] = 6443,
  [6726] = 6444,
  [6727] = 6369,
  [6728] = 6367,
  [6729] = 6447,
  [6730] = 6360,
  [6731] = 6449,
  [6732] = 6361,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 1165,
  [6736] = 6674,
  [6737] = 6737,
  [6738] = 6677,
  [6739] = 6739,
  [6740] = 1160,
  [6741] = 6741,
  [6742] = 6403,
  [6743] = 6663,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 1156,
  [6748] = 1150,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 3604,
  [6756] = 6756,
  [6757] = 3575,
  [6758] = 6405,
  [6759] = 6404,
  [6760] = 6663,
  [6761] = 6761,
  [6762] = 6402,
  [6763] = 6401,
  [6764] = 6739,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6365,
  [6768] = 6461,
  [6769] = 6462,
  [6770] = 1147,
  [6771] = 6396,
  [6772] = 6368,
  [6773] = 6465,
  [6774] = 6361,
  [6775] = 6466,
  [6776] = 6467,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6677,
  [6780] = 6780,
  [6781] = 6449,
  [6782] = 6360,
  [6783] = 1145,
  [6784] = 1140,
  [6785] = 1134,
  [6786] = 6786,
  [6787] = 6787,
  [6788] = 6788,
  [6789] = 1133,
  [6790] = 6790,
  [6791] = 6370,
  [6792] = 6372,
  [6793] = 325,
  [6794] = 1131,
  [6795] = 6374,
  [6796] = 6375,
  [6797] = 6376,
  [6798] = 6447,
  [6799] = 1120,
  [6800] = 6393,
  [6801] = 6414,
  [6802] = 1119,
  [6803] = 1118,
  [6804] = 6737,
  [6805] = 1117,
  [6806] = 4902,
  [6807] = 4912,
  [6808] = 4917,
  [6809] = 6754,
  [6810] = 6810,
  [6811] = 6361,
  [6812] = 6367,
  [6813] = 6449,
  [6814] = 6431,
  [6815] = 6496,
  [6816] = 6423,
  [6817] = 6422,
  [6818] = 1116,
  [6819] = 6421,
  [6820] = 6820,
  [6821] = 1018,
  [6822] = 6420,
  [6823] = 6418,
  [6824] = 6417,
  [6825] = 3618,
  [6826] = 6399,
  [6827] = 6381,
  [6828] = 6415,
  [6829] = 6363,
  [6830] = 6364,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 1106,
  [6835] = 6369,
  [6836] = 6739,
  [6837] = 6680,
  [6838] = 6360,
  [6839] = 6391,
  [6840] = 6379,
  [6841] = 6841,
  [6842] = 1104,
  [6843] = 6416,
  [6844] = 6371,
  [6845] = 6845,
  [6846] = 6457,
  [6847] = 1091,
  [6848] = 6363,
  [6849] = 1090,
  [6850] = 1216,
  [6851] = 1195,
  [6852] = 1191,
  [6853] = 1087,
  [6854] = 6533,
  [6855] = 6444,
  [6856] = 1188,
  [6857] = 6786,
  [6858] = 6443,
  [6859] = 1187,
  [6860] = 6860,
  [6861] = 1226,
  [6862] = 6442,
  [6863] = 1225,
  [6864] = 6632,
  [6865] = 6756,
  [6866] = 1179,
  [6867] = 1178,
  [6868] = 1175,
  [6869] = 1174,
  [6870] = 6440,
  [6871] = 6871,
  [6872] = 6674,
  [6873] = 1135,
  [6874] = 1080,
  [6875] = 6680,
  [6876] = 1173,
  [6877] = 1123,
  [6878] = 1122,
  [6879] = 1121,
  [6880] = 6695,
  [6881] = 1112,
  [6882] = 1114,
  [6883] = 6883,
  [6884] = 6884,
  [6885] = 1113,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6787,
  [6890] = 1227,
  [6891] = 6891,
  [6892] = 3591,
  [6893] = 6893,
  [6894] = 1110,
  [6895] = 3587,
  [6896] = 6896,
  [6897] = 1109,
  [6898] = 6390,
  [6899] = 6389,
  [6900] = 1107,
  [6901] = 1102,
  [6902] = 6387,
  [6903] = 6903,
  [6904] = 1100,
  [6905] = 6905,
  [6906] = 1098,
  [6907] = 1097,
  [6908] = 6908,
  [6909] = 6362,
  [6910] = 1070,
  [6911] = 1067,
  [6912] = 6435,
  [6913] = 1096,
  [6914] = 1092,
  [6915] = 1089,
  [6916] = 1086,
  [6917] = 1085,
  [6918] = 6377,
  [6919] = 6680,
  [6920] = 1084,
  [6921] = 1082,
  [6922] = 1081,
  [6923] = 6923,
  [6924] = 1078,
  [6925] = 1077,
  [6926] = 1075,
  [6927] = 6670,
  [6928] = 1073,
  [6929] = 3581,
  [6930] = 1125,
  [6931] = 6432,
  [6932] = 1143,
  [6933] = 6788,
  [6934] = 1139,
  [6935] = 6477,
  [6936] = 6695,
  [6937] = 1051,
  [6938] = 6938,
  [6939] = 6480,
  [6940] = 6483,
  [6941] = 1066,
  [6942] = 1040,
  [6943] = 6383,
  [6944] = 1038,
  [6945] = 6634,
  [6946] = 6946,
  [6947] = 6947,
  [6948] = 6948,
  [6949] = 6363,
  [6950] = 6364,
  [6951] = 6637,
  [6952] = 6385,
  [6953] = 1065,
  [6954] = 6790,
  [6955] = 6416,
  [6956] = 1033,
  [6957] = 6693,
  [6958] = 1063,
  [6959] = 6447,
  [6960] = 1132,
  [6961] = 1136,
  [6962] = 6962,
  [6963] = 6416,
  [6964] = 6377,
  [6965] = 6965,
  [6966] = 6457,
  [6967] = 1137,
  [6968] = 6435,
  [6969] = 1138,
  [6970] = 6362,
  [6971] = 6440,
  [6972] = 6695,
  [6973] = 1141,
  [6974] = 6533,
  [6975] = 6908,
  [6976] = 1142,
  [6977] = 6442,
  [6978] = 6387,
  [6979] = 6680,
  [6980] = 6389,
  [6981] = 1062,
  [6982] = 6674,
  [6983] = 6443,
  [6984] = 6632,
  [6985] = 1061,
  [6986] = 6403,
  [6987] = 6751,
  [6988] = 6741,
  [6989] = 6444,
  [6990] = 6674,
  [6991] = 6753,
  [6992] = 6390,
  [6993] = 6680,
  [6994] = 6886,
  [6995] = 6405,
  [6996] = 6404,
  [6997] = 1060,
  [6998] = 6695,
  [6999] = 6402,
  [7000] = 6401,
  [7001] = 1169,
  [7002] = 1168,
  [7003] = 7003,
  [7004] = 6369,
  [7005] = 6396,
  [7006] = 6820,
  [7007] = 1146,
  [7008] = 6896,
  [7009] = 1153,
  [7010] = 6893,
  [7011] = 6367,
  [7012] = 6891,
  [7013] = 6632,
  [7014] = 6888,
  [7015] = 6364,
  [7016] = 6887,
  [7017] = 1105,
  [7018] = 1151,
  [7019] = 7019,
  [7020] = 6533,
  [7021] = 6393,
  [7022] = 1111,
  [7023] = 6457,
  [7024] = 7024,
  [7025] = 7025,
  [7026] = 7026,
  [7027] = 6416,
  [7028] = 7028,
  [7029] = 7029,
  [7030] = 7030,
  [7031] = 7031,
  [7032] = 7032,
  [7033] = 7033,
  [7034] = 7034,
  [7035] = 7035,
  [7036] = 7036,
  [7037] = 7037,
  [7038] = 7038,
  [7039] = 7039,
  [7040] = 7040,
  [7041] = 7041,
  [7042] = 7042,
  [7043] = 7043,
  [7044] = 7044,
  [7045] = 7045,
  [7046] = 7046,
  [7047] = 7047,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 7050,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7047,
  [7056] = 7045,
  [7057] = 7054,
  [7058] = 7058,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 7040,
  [7062] = 7038,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7034,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 7032,
  [7072] = 7053,
  [7073] = 7073,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7080,
  [7081] = 7039,
  [7082] = 7036,
  [7083] = 7036,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 7075,
  [7087] = 7039,
  [7088] = 7032,
  [7089] = 7089,
  [7090] = 7038,
  [7091] = 7040,
  [7092] = 7041,
  [7093] = 7089,
  [7094] = 7094,
  [7095] = 7084,
  [7096] = 7045,
  [7097] = 7097,
  [7098] = 7047,
  [7099] = 7099,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7054,
  [7104] = 7104,
  [7105] = 7066,
  [7106] = 7065,
  [7107] = 7053,
  [7108] = 7054,
  [7109] = 7109,
  [7110] = 7047,
  [7111] = 7045,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 7040,
  [7115] = 7038,
  [7116] = 7034,
  [7117] = 7117,
  [7118] = 7032,
  [7119] = 7075,
  [7120] = 7120,
  [7121] = 7102,
  [7122] = 7101,
  [7123] = 7102,
  [7124] = 7036,
  [7125] = 7125,
  [7126] = 7039,
  [7127] = 7101,
  [7128] = 7041,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 7129,
  [7132] = 7094,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7097,
  [7136] = 7099,
  [7137] = 7100,
  [7138] = 7100,
  [7139] = 7100,
  [7140] = 7140,
  [7141] = 7099,
  [7142] = 7097,
  [7143] = 7054,
  [7144] = 7129,
  [7145] = 7099,
  [7146] = 7101,
  [7147] = 7102,
  [7148] = 7097,
  [7149] = 7094,
  [7150] = 7150,
  [7151] = 7094,
  [7152] = 7152,
  [7153] = 7153,
  [7154] = 7154,
  [7155] = 7155,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 7158,
  [7159] = 7159,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7162,
  [7163] = 7037,
  [7164] = 7033,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7030,
  [7170] = 7031,
  [7171] = 7035,
  [7172] = 7042,
  [7173] = 7043,
  [7174] = 7049,
  [7175] = 7120,
  [7176] = 7176,
  [7177] = 7050,
  [7178] = 7051,
  [7179] = 7179,
  [7180] = 7052,
  [7181] = 7181,
  [7182] = 7104,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7189,
  [7190] = 7186,
  [7191] = 7184,
  [7192] = 7176,
  [7193] = 7029,
  [7194] = 7185,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7089,
  [7198] = 7183,
  [7199] = 7084,
  [7200] = 7065,
  [7201] = 7053,
  [7202] = 7037,
  [7203] = 7033,
  [7204] = 7166,
  [7205] = 7205,
  [7206] = 7030,
  [7207] = 7031,
  [7208] = 7035,
  [7209] = 7167,
  [7210] = 7043,
  [7211] = 7049,
  [7212] = 7212,
  [7213] = 7050,
  [7214] = 7051,
  [7215] = 7215,
  [7216] = 7052,
  [7217] = 7155,
  [7218] = 7053,
  [7219] = 7219,
  [7220] = 7058,
  [7221] = 7059,
  [7222] = 7167,
  [7223] = 7060,
  [7224] = 7063,
  [7225] = 7176,
  [7226] = 7064,
  [7227] = 7070,
  [7228] = 7073,
  [7229] = 7054,
  [7230] = 7077,
  [7231] = 7078,
  [7232] = 7079,
  [7233] = 7058,
  [7234] = 7059,
  [7235] = 7184,
  [7236] = 7181,
  [7237] = 7060,
  [7238] = 7186,
  [7239] = 7040,
  [7240] = 7185,
  [7241] = 7183,
  [7242] = 7064,
  [7243] = 7070,
  [7244] = 7102,
  [7245] = 7101,
  [7246] = 7102,
  [7247] = 7129,
  [7248] = 7100,
  [7249] = 7099,
  [7250] = 7097,
  [7251] = 7073,
  [7252] = 7252,
  [7253] = 7160,
  [7254] = 7077,
  [7255] = 7078,
  [7256] = 7079,
  [7257] = 7101,
  [7258] = 7094,
  [7259] = 7047,
  [7260] = 7260,
  [7261] = 7129,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 7045,
  [7265] = 7134,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 7134,
  [7269] = 7166,
  [7270] = 7063,
  [7271] = 7271,
  [7272] = 7038,
  [7273] = 7042,
  [7274] = 7099,
  [7275] = 7097,
  [7276] = 7094,
  [7277] = 7150,
  [7278] = 7034,
  [7279] = 7181,
  [7280] = 7156,
  [7281] = 7281,
  [7282] = 7158,
  [7283] = 7161,
  [7284] = 7032,
  [7285] = 7179,
  [7286] = 7029,
  [7287] = 7162,
  [7288] = 7047,
  [7289] = 7100,
  [7290] = 7029,
  [7291] = 7179,
  [7292] = 7159,
  [7293] = 7075,
  [7294] = 7157,
  [7295] = 7181,
  [7296] = 7129,
  [7297] = 7036,
  [7298] = 7039,
  [7299] = 7041,
  [7300] = 7300,
  [7301] = 7183,
  [7302] = 7045,
  [7303] = 7179,
  [7304] = 7029,
  [7305] = 7185,
  [7306] = 7186,
  [7307] = 7184,
  [7308] = 7154,
  [7309] = 7176,
  [7310] = 7089,
  [7311] = 7084,
  [7312] = 7065,
  [7313] = 7037,
  [7314] = 7033,
  [7315] = 7166,
  [7316] = 7030,
  [7317] = 7031,
  [7318] = 7035,
  [7319] = 7040,
  [7320] = 7042,
  [7321] = 7153,
  [7322] = 7043,
  [7323] = 7049,
  [7324] = 7050,
  [7325] = 7051,
  [7326] = 7052,
  [7327] = 7179,
  [7328] = 7029,
  [7329] = 7058,
  [7330] = 7059,
  [7331] = 7060,
  [7332] = 7102,
  [7333] = 7101,
  [7334] = 7162,
  [7335] = 7100,
  [7336] = 7099,
  [7337] = 7097,
  [7338] = 7038,
  [7339] = 7063,
  [7340] = 7161,
  [7341] = 7158,
  [7342] = 7152,
  [7343] = 7064,
  [7344] = 7156,
  [7345] = 7094,
  [7346] = 7070,
  [7347] = 7150,
  [7348] = 7094,
  [7349] = 7349,
  [7350] = 7073,
  [7351] = 7179,
  [7352] = 7097,
  [7353] = 7099,
  [7354] = 7100,
  [7355] = 7355,
  [7356] = 7029,
  [7357] = 7077,
  [7358] = 7078,
  [7359] = 7125,
  [7360] = 7130,
  [7361] = 7079,
  [7362] = 7179,
  [7363] = 7162,
  [7364] = 7161,
  [7365] = 7158,
  [7366] = 7156,
  [7367] = 7029,
  [7368] = 7102,
  [7369] = 7152,
  [7370] = 7153,
  [7371] = 7154,
  [7372] = 7150,
  [7373] = 7094,
  [7374] = 7157,
  [7375] = 7101,
  [7376] = 7159,
  [7377] = 7160,
  [7378] = 7129,
  [7379] = 7120,
  [7380] = 7134,
  [7381] = 7100,
  [7382] = 7179,
  [7383] = 7104,
  [7384] = 7029,
  [7385] = 7034,
  [7386] = 7099,
  [7387] = 7097,
  [7388] = 7134,
  [7389] = 7150,
  [7390] = 7156,
  [7391] = 7158,
  [7392] = 7129,
  [7393] = 7161,
  [7394] = 7162,
  [7395] = 7125,
  [7396] = 7130,
  [7397] = 7094,
  [7398] = 7179,
  [7399] = 7349,
  [7400] = 7029,
  [7401] = 7032,
  [7402] = 7097,
  [7403] = 7099,
  [7404] = 7152,
  [7405] = 7153,
  [7406] = 7154,
  [7407] = 7029,
  [7408] = 7179,
  [7409] = 7157,
  [7410] = 7181,
  [7411] = 7159,
  [7412] = 7160,
  [7413] = 7183,
  [7414] = 7120,
  [7415] = 7415,
  [7416] = 7100,
  [7417] = 7104,
  [7418] = 7185,
  [7419] = 7186,
  [7420] = 7420,
  [7421] = 7184,
  [7422] = 7176,
  [7423] = 7125,
  [7424] = 7130,
  [7425] = 7089,
  [7426] = 7084,
  [7427] = 7181,
  [7428] = 7065,
  [7429] = 7179,
  [7430] = 7430,
  [7431] = 7152,
  [7432] = 7153,
  [7433] = 7154,
  [7434] = 7434,
  [7435] = 7165,
  [7436] = 7037,
  [7437] = 7157,
  [7438] = 7033,
  [7439] = 7159,
  [7440] = 7160,
  [7441] = 7166,
  [7442] = 7120,
  [7443] = 7030,
  [7444] = 7134,
  [7445] = 7104,
  [7446] = 7031,
  [7447] = 7075,
  [7448] = 7125,
  [7449] = 7130,
  [7450] = 7035,
  [7451] = 7042,
  [7452] = 7043,
  [7453] = 7049,
  [7454] = 7050,
  [7455] = 7153,
  [7456] = 7154,
  [7457] = 7457,
  [7458] = 7075,
  [7459] = 7157,
  [7460] = 7051,
  [7461] = 7159,
  [7462] = 7160,
  [7463] = 7463,
  [7464] = 7120,
  [7465] = 7104,
  [7466] = 7130,
  [7467] = 7052,
  [7468] = 7058,
  [7469] = 7059,
  [7470] = 7463,
  [7471] = 7457,
  [7472] = 7129,
  [7473] = 7060,
  [7474] = 7129,
  [7475] = 7101,
  [7476] = 7101,
  [7477] = 7477,
  [7478] = 7036,
  [7479] = 7102,
  [7480] = 7039,
  [7481] = 7125,
  [7482] = 7063,
  [7483] = 7165,
  [7484] = 7102,
  [7485] = 7064,
  [7486] = 7070,
  [7487] = 7041,
  [7488] = 7073,
  [7489] = 7077,
  [7490] = 7078,
  [7491] = 7463,
  [7492] = 7457,
  [7493] = 7079,
  [7494] = 7134,
  [7495] = 7165,
  [7496] = 7463,
  [7497] = 7457,
  [7498] = 7029,
  [7499] = 7179,
  [7500] = 7165,
  [7501] = 7463,
  [7502] = 7457,
  [7503] = 7181,
  [7504] = 7186,
  [7505] = 7165,
  [7506] = 7463,
  [7507] = 7457,
  [7508] = 7184,
  [7509] = 7509,
};

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8232
    ? (c < 160
      ? (c < ' '
        ? (c >= '\t' && c <= '\r')
        : c <= ' ')
      : (c <= 160 || (c < 8192
        ? c == 5760
        : c <= 8203)))
    : (c <= 8233 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym__glimmer_template_content_character_set_2(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < 11
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 8287
      ? (c < 8239
        ? (c >= 8232 && c <= 8233)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 5760
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '{'
        ? (c >= '[' && c <= '`')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 5760
    ? (c < '`'
      ? (c < 0
        ? c == 0
        : (c <= '@' || (c >= '[' && c <= '^')))
      : (c <= '`' || (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)))
    : (c <= 5760 || (c < 8287
      ? (c < 8239
        ? (c >= 8192 && c <= 8203)
        : c <= 8239)
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(867);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(482);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(533);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(286);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(730);
      if (lookahead == 'f') ADVANCE(716);
      if (lookahead == 'g') ADVANCE(736);
      if (lookahead == 'i') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(676);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(627);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(471);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(582);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(340)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(875);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '<') ADVANCE(419);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(418);
      if (lookahead != 0) ADVANCE(416);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(74)
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(339);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(534);
      if (lookahead != 0) ADVANCE(535);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(3)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(875);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != ';' &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(588);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(7)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(746);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(875);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(588);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(10)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(363);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(583);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(11)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(875);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(363);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(584);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(875);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(746);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(13)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ';' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(14)
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(638);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(15)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(16)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(17)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'o') ADVANCE(706);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(637);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(18)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(639);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(19)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < ')' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(20)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'e') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(248);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'o') ADVANCE(157);
      if (lookahead == 's') ADVANCE(91);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(471);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(21)
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(64);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(470);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(23)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(551);
      if (lookahead == 's') ADVANCE(536);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'i') ADVANCE(210);
      if (lookahead == 's') ADVANCE(91);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(363);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(886);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(204);
      if (lookahead == 'o') ADVANCE(157);
      if (lookahead == 's') ADVANCE(91);
      if (lookahead == 'w') ADVANCE(163);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(473);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(26)
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(551);
      if (lookahead == 'o') ADVANCE(544);
      if (lookahead == 's') ADVANCE(536);
      if (lookahead == '|') ADVANCE(472);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'i') ADVANCE(210);
      if (lookahead == 'o') ADVANCE(157);
      if (lookahead == 's') ADVANCE(91);
      if (lookahead == '|') ADVANCE(472);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(28)
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(549);
      if (lookahead == 's') ADVANCE(536);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '<') ADVANCE(492);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 's') ADVANCE(91);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(352);
      if (lookahead == '\\') ADVANCE(292);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(877);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(469);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(32)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(859);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(474);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(33)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '=' < lookahead) &&
          lookahead != '^') ADVANCE(875);
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(34)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(479);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(362);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(651);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(312);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(35)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 36:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(365);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(312);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(36)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 37:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(37)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 38:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(38)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 39:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(39)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(40)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(41)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(42)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(43)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(44)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(875);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(533);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(365);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(182);
      if (lookahead == 'd') ADVANCE(129);
      if (lookahead == 'e') ADVANCE(213);
      if (lookahead == 'f') ADVANCE(288);
      if (lookahead == 'i') ADVANCE(198);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(87);
      if (lookahead == 't') ADVANCE(303);
      if (lookahead == 'v') ADVANCE(94);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(474);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(365);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(182);
      if (lookahead == 'd') ADVANCE(129);
      if (lookahead == 'e') ADVANCE(213);
      if (lookahead == 'f') ADVANCE(288);
      if (lookahead == 'i') ADVANCE(198);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(87);
      if (lookahead == 't') ADVANCE(303);
      if (lookahead == 'v') ADVANCE(94);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(474);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(46)
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(365);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(884);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'c') ADVANCE(181);
      if (lookahead == 'e') ADVANCE(298);
      if (lookahead == 'i') ADVANCE(211);
      if (lookahead == 'o') ADVANCE(157);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(474);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(47)
      END_STATE();
    case 48:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '?') ADVANCE(63);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(869);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(48)
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 49:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(479);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(652);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(469);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(49)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 50:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == '-') ADVANCE(479);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(652);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(469);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(50)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '}' &&
          lookahead != '~') ADVANCE(875);
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '?') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(841);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(51)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(710);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(52)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 53:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(640);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(53)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '/') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(295);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(517);
      if (lookahead != 0) ADVANCE(518);
      END_STATE();
    case 55:
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '=') ADVANCE(365);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '?') ADVANCE(883);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(259);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'f') ADVANCE(248);
      if (lookahead == 'i') ADVANCE(212);
      if (lookahead == 'o') ADVANCE(157);
      if (lookahead == 'w') ADVANCE(163);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(469);
      if (lookahead == '}') ADVANCE(376);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(55)
      END_STATE();
    case 56:
      if (lookahead == '&') ADVANCE(464);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(861);
      if (lookahead == '|') ADVANCE(469);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(689);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(56)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 57:
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(295);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(523);
      if (lookahead != 0) ADVANCE(524);
      END_STATE();
    case 58:
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(530);
      END_STATE();
    case 59:
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '/') ADVANCE(529);
      if (lookahead != 0) ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(59);
      if (lookahead != 0) ADVANCE(60);
      END_STATE();
    case 61:
      if (lookahead == '+') ADVANCE(81);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '.') ADVANCE(425);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == 'e') ADVANCE(299);
      if (lookahead == '{') ADVANCE(374);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(61)
      END_STATE();
    case 62:
      if (lookahead == '.') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 63:
      if (lookahead == '.') ADVANCE(435);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '?') ADVANCE(502);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '?') ADVANCE(501);
      END_STATE();
    case 66:
      if (lookahead == '.') ADVANCE(453);
      END_STATE();
    case 67:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '<') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(861);
      if (lookahead == 'i') ADVANCE(752);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(688);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(67)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 68:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '>') ADVANCE(422);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(663);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(68)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 69:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(765);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(702);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(69)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 70:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(70)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 71:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'n') ADVANCE(687);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(643);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(71)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 72:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(720);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(72)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 73:
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(704);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(816);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(73)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(875);
      END_STATE();
    case 74:
      if (lookahead == '/') ADVANCE(58);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(74)
      END_STATE();
    case 75:
      if (lookahead == ':') ADVANCE(922);
      END_STATE();
    case 76:
      if (lookahead == ':') ADVANCE(921);
      END_STATE();
    case 77:
      if (lookahead == ':') ADVANCE(923);
      END_STATE();
    case 78:
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 79:
      if (lookahead == '>') ADVANCE(420);
      END_STATE();
    case 80:
      if (lookahead == '>') ADVANCE(421);
      END_STATE();
    case 81:
      if (lookahead == '?') ADVANCE(75);
      END_STATE();
    case 82:
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 83:
      if (lookahead == '\\') ADVANCE(292);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(877);
      END_STATE();
    case 84:
      if (lookahead == '\\') ADVANCE(338);
      if (lookahead == ']') ADVANCE(535);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead == 'l') ADVANCE(93);
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'e') ADVANCE(296);
      if (lookahead == 'u') ADVANCE(199);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(125);
      if (lookahead == 'q') ADVANCE(290);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(243);
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(278);
      if (lookahead == 't') ADVANCE(249);
      if (lookahead == 'y') ADVANCE(200);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(263);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(244);
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(185);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(207);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(289);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 107:
      if (lookahead == 'b') ADVANCE(262);
      if (lookahead == 'n') ADVANCE(300);
      if (lookahead == 's') ADVANCE(369);
      if (lookahead == 'w') ADVANCE(96);
      END_STATE();
    case 108:
      if (lookahead == 'b') ADVANCE(262);
      if (lookahead == 's') ADVANCE(369);
      END_STATE();
    case 109:
      if (lookahead == 'b') ADVANCE(262);
      if (lookahead == 's') ADVANCE(366);
      END_STATE();
    case 110:
      if (lookahead == 'b') ADVANCE(174);
      END_STATE();
    case 111:
      if (lookahead == 'b') ADVANCE(98);
      END_STATE();
    case 112:
      if (lookahead == 'b') ADVANCE(232);
      END_STATE();
    case 113:
      if (lookahead == 'b') ADVANCE(148);
      END_STATE();
    case 114:
      if (lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(162);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(272);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(275);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(149);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(140);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(186);
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(507);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(294);
      END_STATE();
    case 125:
      if (lookahead == 'd') ADVANCE(233);
      END_STATE();
    case 126:
      if (lookahead == 'd') ADVANCE(256);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(389);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(404);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(889);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(926);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(887);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(908);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(503);
      END_STATE();
    case 157:
      if (lookahead == 'f') ADVANCE(401);
      END_STATE();
    case 158:
      if (lookahead == 'f') ADVANCE(170);
      END_STATE();
    case 159:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 160:
      if (lookahead == 'g') ADVANCE(897);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(150);
      END_STATE();
    case 162:
      if (lookahead == 'h') ADVANCE(410);
      END_STATE();
    case 163:
      if (lookahead == 'h') ADVANCE(171);
      END_STATE();
    case 164:
      if (lookahead == 'i') ADVANCE(242);
      if (lookahead == 'k') ADVANCE(221);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'r') ADVANCE(230);
      if (lookahead == 'u') ADVANCE(214);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(123);
      END_STATE();
    case 167:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 168:
      if (lookahead == 'i') ADVANCE(260);
      END_STATE();
    case 169:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 170:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 172:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 173:
      if (lookahead == 'i') ADVANCE(254);
      END_STATE();
    case 174:
      if (lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 175:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(915);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(899);
      END_STATE();
    case 178:
      if (lookahead == 'l') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(287);
      if (lookahead == 'x') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(265);
      if (lookahead == 'x') ADVANCE(280);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 182:
      if (lookahead == 'l') ADVANCE(93);
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 186:
      if (lookahead == 'l') ADVANCE(99);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(274);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 189:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 191:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 192:
      if (lookahead == 'l') ADVANCE(152);
      if (lookahead == 'o') ADVANCE(252);
      END_STATE();
    case 193:
      if (lookahead == 'l') ADVANCE(106);
      END_STATE();
    case 194:
      if (lookahead == 'm') ADVANCE(235);
      END_STATE();
    case 195:
      if (lookahead == 'm') ADVANCE(919);
      END_STATE();
    case 196:
      if (lookahead == 'm') ADVANCE(379);
      END_STATE();
    case 197:
      if (lookahead == 'm') ADVANCE(236);
      if (lookahead == 'n') ADVANCE(400);
      if (lookahead == 's') ADVANCE(924);
      END_STATE();
    case 198:
      if (lookahead == 'm') ADVANCE(236);
      if (lookahead == 'n') ADVANCE(282);
      if (lookahead == 's') ADVANCE(924);
      END_STATE();
    case 199:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 200:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 201:
      if (lookahead == 'm') ADVANCE(143);
      END_STATE();
    case 202:
      if (lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 203:
      if (lookahead == 'm') ADVANCE(238);
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(238);
      if (lookahead == 'n') ADVANCE(399);
      if (lookahead == 's') ADVANCE(924);
      END_STATE();
    case 205:
      if (lookahead == 'm') ADVANCE(241);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(895);
      END_STATE();
    case 208:
      if (lookahead == 'n') ADVANCE(928);
      END_STATE();
    case 209:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 210:
      if (lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 212:
      if (lookahead == 'n') ADVANCE(395);
      if (lookahead == 's') ADVANCE(924);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(287);
      if (lookahead == 'x') ADVANCE(280);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 217:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 224:
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 225:
      if (lookahead == 'o') ADVANCE(297);
      END_STATE();
    case 226:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 227:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 228:
      if (lookahead == 'o') ADVANCE(227);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 230:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 231:
      if (lookahead == 'o') ADVANCE(250);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(177);
      END_STATE();
    case 233:
      if (lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 235:
      if (lookahead == 'p') ADVANCE(175);
      END_STATE();
    case 236:
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 237:
      if (lookahead == 'p') ADVANCE(231);
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 238:
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 239:
      if (lookahead == 'p') ADVANCE(133);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(105);
      END_STATE();
    case 241:
      if (lookahead == 'p') ADVANCE(193);
      END_STATE();
    case 242:
      if (lookahead == 'q') ADVANCE(291);
      END_STATE();
    case 243:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 244:
      if (lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 245:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 246:
      if (lookahead == 'r') ADVANCE(930);
      END_STATE();
    case 247:
      if (lookahead == 'r') ADVANCE(893);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(138);
      END_STATE();
    case 255:
      if (lookahead == 's') ADVANCE(428);
      END_STATE();
    case 256:
      if (lookahead == 's') ADVANCE(910);
      END_STATE();
    case 257:
      if (lookahead == 's') ADVANCE(905);
      END_STATE();
    case 258:
      if (lookahead == 's') ADVANCE(912);
      END_STATE();
    case 259:
      if (lookahead == 's') ADVANCE(366);
      END_STATE();
    case 260:
      if (lookahead == 's') ADVANCE(158);
      END_STATE();
    case 261:
      if (lookahead == 's') ADVANCE(240);
      END_STATE();
    case 262:
      if (lookahead == 's') ADVANCE(277);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(255);
      END_STATE();
    case 264:
      if (lookahead == 's') ADVANCE(131);
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(132);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(383);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(353);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(901);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(878);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(358);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(903);
      END_STATE();
    case 276:
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(251);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 281:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 285:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 286:
      if (lookahead == 'u') ADVANCE(305);
      if (lookahead == 'x') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 287:
      if (lookahead == 'u') ADVANCE(195);
      END_STATE();
    case 288:
      if (lookahead == 'u') ADVANCE(214);
      END_STATE();
    case 289:
      if (lookahead == 'u') ADVANCE(187);
      END_STATE();
    case 290:
      if (lookahead == 'u') ADVANCE(173);
      END_STATE();
    case 291:
      if (lookahead == 'u') ADVANCE(136);
      END_STATE();
    case 292:
      if (lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 293:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(190);
      END_STATE();
    case 295:
      if (lookahead == 'u') ADVANCE(308);
      if (lookahead == 'x') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 296:
      if (lookahead == 'v') ADVANCE(146);
      if (lookahead == 'w') ADVANCE(436);
      END_STATE();
    case 297:
      if (lookahead == 'w') ADVANCE(208);
      END_STATE();
    case 298:
      if (lookahead == 'x') ADVANCE(237);
      END_STATE();
    case 299:
      if (lookahead == 'x') ADVANCE(280);
      END_STATE();
    case 300:
      if (lookahead == 'y') ADVANCE(891);
      END_STATE();
    case 301:
      if (lookahead == 'y') ADVANCE(412);
      END_STATE();
    case 302:
      if (lookahead == 'y') ADVANCE(881);
      END_STATE();
    case 303:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 304:
      if (lookahead == '{') ADVANCE(532);
      END_STATE();
    case 305:
      if (lookahead == '{') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(335);
      END_STATE();
    case 306:
      if (lookahead == '{') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(336);
      END_STATE();
    case 307:
      if (lookahead == '{') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(337);
      END_STATE();
    case 308:
      if (lookahead == '{') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 309:
      if (lookahead == '}') ADVANCE(875);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(309);
      END_STATE();
    case 310:
      if (lookahead == '}') ADVANCE(877);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(310);
      END_STATE();
    case 311:
      if (lookahead == '}') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(311);
      END_STATE();
    case 312:
      if (lookahead == '}') ADVANCE(933);
      END_STATE();
    case 313:
      if (lookahead == '}') ADVANCE(526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(313);
      END_STATE();
    case 314:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      END_STATE();
    case 315:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(575);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(576);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(567);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(578);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(875);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(877);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(525);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(577);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(313);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(526);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(310);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(309);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(311);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 333:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 334:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 335:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(332);
      END_STATE();
    case 336:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 337:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(334);
      END_STATE();
    case 338:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 339:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(535);
      END_STATE();
    case 340:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '$') ADVANCE(867);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(482);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(730);
      if (lookahead == 'f') ADVANCE(716);
      if (lookahead == 'g') ADVANCE(736);
      if (lookahead == 'i') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(676);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(627);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(374);
      if (lookahead == '|') ADVANCE(471);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(582);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(340)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(875);
      END_STATE();
    case 341:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(363);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(585);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(341)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(875);
      END_STATE();
    case 342:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '%') ADVANCE(485);
      if (lookahead == '&') ADVANCE(466);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(493);
      if (lookahead == '=') ADVANCE(363);
      if (lookahead == '>') ADVANCE(424);
      if (lookahead == '?') ADVANCE(65);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '^') ADVANCE(467);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(472);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(587);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(342)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < ')' || ':' < lookahead) &&
          lookahead != ']') ADVANCE(875);
      END_STATE();
    case 343:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '$') ADVANCE(304);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(295);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'b') ADVANCE(228);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'd') ADVANCE(129);
      if (lookahead == 'e') ADVANCE(178);
      if (lookahead == 'f') ADVANCE(165);
      if (lookahead == 'g') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(110);
      if (lookahead == 'r') ADVANCE(130);
      if (lookahead == 's') ADVANCE(92);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(206);
      if (lookahead == 'v') ADVANCE(95);
      if (lookahead == 'w') ADVANCE(163);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(471);
      if (lookahead == '}') ADVANCE(376);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(344)
      END_STATE();
    case 344:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(388);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '$') ADVANCE(304);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(465);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == ')') ADVANCE(392);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ':') ADVANCE(407);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(490);
      if (lookahead == '=') ADVANCE(364);
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '?') ADVANCE(885);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == ']') ADVANCE(415);
      if (lookahead == '^') ADVANCE(468);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'b') ADVANCE(228);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'd') ADVANCE(129);
      if (lookahead == 'e') ADVANCE(178);
      if (lookahead == 'f') ADVANCE(165);
      if (lookahead == 'g') ADVANCE(184);
      if (lookahead == 'i') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(110);
      if (lookahead == 'r') ADVANCE(130);
      if (lookahead == 's') ADVANCE(92);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(206);
      if (lookahead == 'v') ADVANCE(95);
      if (lookahead == 'w') ADVANCE(163);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '|') ADVANCE(471);
      if (lookahead == '}') ADVANCE(376);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (sym__glimmer_template_content_character_set_1(lookahead)) SKIP(344)
      END_STATE();
    case 345:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(31);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(375);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(426);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(345)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 346:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(427);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(346)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 347:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(347)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 348:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(348)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 349:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(642);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(349)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 350:
      if (eof) ADVANCE(351);
      if (lookahead == '!') ADVANCE(387);
      if (lookahead == '"') ADVANCE(511);
      if (lookahead == '#') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '(') ADVANCE(391);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(318);
      if (lookahead == '/') ADVANCE(483);
      if (lookahead == '0') ADVANCE(565);
      if (lookahead == ';') ADVANCE(406);
      if (lookahead == '<') ADVANCE(494);
      if (lookahead == '@') ADVANCE(880);
      if (lookahead == '[') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '`') ADVANCE(531);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(642);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == '{') ADVANCE(373);
      if (lookahead == '}') ADVANCE(376);
      if (lookahead == '~') ADVANCE(506);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(350)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(875);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(352);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '=') ADVANCE(440);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(487);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(496);
      if (lookahead == '>') ADVANCE(434);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(434);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(773);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(216);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(932);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(498);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(846);
      if (lookahead == 't') ADVANCE(692);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(846);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(561);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(281);
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(530);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '<') ADVANCE(419);
      if (sym__glimmer_template_content_character_set_2(lookahead)) ADVANCE(418);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(416);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(285);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(458);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(459);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(450);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(451);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(446);
      if (lookahead == '>') ADVANCE(461);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(460);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(447);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(448);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(455);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(454);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(443);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(445);
      if (lookahead == '|') ADVANCE(457);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(445);
      if (lookahead == '|') ADVANCE(457);
      if (lookahead == '}') ADVANCE(933);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(456);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(456);
      if (lookahead == '}') ADVANCE(933);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(933);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(509);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(509);
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(509);
      if (lookahead == '=') ADVANCE(438);
      if (lookahead == '?') ADVANCE(75);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(510);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(510);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(510);
      if (lookahead == '=') ADVANCE(439);
      if (lookahead == '?') ADVANCE(76);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(530);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(530);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(463);
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(463);
      if (lookahead == '=') ADVANCE(495);
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(462);
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(462);
      if (lookahead == '=') ADVANCE(495);
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(497);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(499);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(452);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(518);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(513);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(516);
      if (lookahead == '/') ADVANCE(513);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(518);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(515);
      if (lookahead == '/') ADVANCE(518);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(516);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(515);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(516);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(514);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(517);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(518);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(518);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(519);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead == '/') ADVANCE(519);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(520);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(523);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(525);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(527);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(530);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(530);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(74)
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(339);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(534);
      if (lookahead != 0) ADVANCE(535);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(339);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(535);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(560);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(552);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(539);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(554);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(550);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(558);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(553);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(505);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(403);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(547);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(557);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(541);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(540);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(555);
      if (lookahead == 'n') ADVANCE(398);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(542);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(398);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(538);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(562);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(543);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(548);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(370);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(545);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(907);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(914);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(546);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(537);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(559);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(581);
      if (lookahead == '0') ADVANCE(578);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(315);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(314);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(316);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(324);
      if (lookahead == '_') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(564);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(567);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(581);
      if (lookahead == '0') ADVANCE(572);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(868);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(870);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(874);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(872);
      if (lookahead == 'n') ADVANCE(574);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(875);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(581);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(314);
      if (lookahead == '_') ADVANCE(317);
      if (lookahead == 'n') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(567);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(581);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(871);
      if (lookahead == 'n') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(875);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(868);
      if (lookahead == 'n') ADVANCE(574);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(569);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(875);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(870);
      if (lookahead == 'n') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(570);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(875);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(874);
      if (lookahead == 'n') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(571);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(875);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(872);
      if (lookahead == 'n') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(572);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(875);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '_') ADVANCE(873);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(875);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(315);
      if (lookahead == 'n') ADVANCE(564);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(575);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'n') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(576);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(324);
      if (lookahead == 'n') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(577);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(578);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(579);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(314);
      if (lookahead == '_') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(580);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$') ADVANCE(867);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(730);
      if (lookahead == 'f') ADVANCE(716);
      if (lookahead == 'g') ADVANCE(736);
      if (lookahead == 'i') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(676);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(627);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(582);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(875);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(583);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(584);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(585);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(648);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(587);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(588);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(756);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(589);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(759);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(746);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(590);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(591);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(592);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(649);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(593);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(594);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(595);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(652);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(596);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(652);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(597);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(598);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(617);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(599);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(600);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(601);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(602);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(673);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(603);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(604);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(605);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(606);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(618);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(607);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(608);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(609);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(642);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(610);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(642);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'f') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 'w') ADVANCE(714);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(611);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(630);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(612);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(613);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(859);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(614);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(651);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(615);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '0') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(616);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(825);
      if (lookahead == 'l') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(855);
      if (lookahead == 'u') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(857);
      if (lookahead == 'u') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(653);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(620);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(760);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'f') ADVANCE(850);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(843);
      if (lookahead == 't') ADVANCE(810);
      if (lookahead == 'y') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(843);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(671);
      if (lookahead == 'q') ADVANCE(852);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(671);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'y') ADVANCE(798);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(762);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'd') ADVANCE(693);
      if (lookahead == 'e') ADVANCE(860);
      if (lookahead == 'l') ADVANCE(674);
      if (lookahead == 'm') ADVANCE(781);
      if (lookahead == 'n') ADVANCE(619);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(827);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'o') ADVANCE(718);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(719);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(738);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(851);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(728);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(814);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(776);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 'o') ADVANCE(706);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == 's') ADVANCE(624);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(639);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(640);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(767);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(831);
      if (lookahead == 'l') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'b') ADVANCE(787);
      if (lookahead == 'n') ADVANCE(687);
      if (lookahead == 'o') ADVANCE(654);
      if (lookahead == 's') ADVANCE(830);
      if (lookahead == 'u') ADVANCE(766);
      if (lookahead == 'v') ADVANCE(782);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(643);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(826);
      if (lookahead == 'l') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(664);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(666);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'a') ADVANCE(667);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(824);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(367);
      if (lookahead == 'w') ADVANCE(631);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(824);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(368);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(824);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(866);
      if (lookahead == 'w') ADVANCE(631);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(824);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(866);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(824);
      if (lookahead == 'n') ADVANCE(862);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(727);
      if (lookahead == 'f') ADVANCE(402);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(727);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(634);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(791);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'b') ADVANCE(697);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(431);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(713);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == 'f') ADVANCE(633);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(737);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(837);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(786);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(663);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(840);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(698);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(685);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(686);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'c') ADVANCE(847);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'd') ADVANCE(508);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'd') ADVANCE(854);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'd') ADVANCE(792);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'd') ADVANCE(818);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(660);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(832);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(855);
      if (lookahead == 'u') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(625);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(409);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(390);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(361);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(405);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(890);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(927);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(888);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(909);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(918);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(372);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(856);
      if (lookahead == 'u') ADVANCE(749);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(861);
      if (lookahead == 'i') ADVANCE(752);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(861);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(662);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(823);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(806);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(661);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(775);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(807);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(819);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(808);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(788);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(626);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(838);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(779);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(765);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(754);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(802);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'e') ADVANCE(641);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(402);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(504);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(723);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(646);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'f') ADVANCE(809);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(710);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'g') ADVANCE(898);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'g') ADVANCE(700);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'h') ADVANCE(411);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'h') ADVANCE(724);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(803);
      if (lookahead == 'k') ADVANCE(777);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(774);
      if (lookahead == 'r') ADVANCE(789);
      if (lookahead == 'u') ADVANCE(771);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(774);
      if (lookahead == 'u') ADVANCE(771);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(669);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(833);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(822);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(772);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(696);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(743);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(793);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'i') ADVANCE(815);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'j') ADVANCE(690);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(916);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(900);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(828);
      if (lookahead == 'n') ADVANCE(849);
      if (lookahead == 'x') ADVANCE(796);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(828);
      if (lookahead == 'n') ADVANCE(849);
      if (lookahead == 'x') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(863);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(629);
      if (lookahead == 'o') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(629);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(864);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(783);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(635);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(732);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(839);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(705);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(703);
      if (lookahead == 'o') ADVANCE(813);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(703);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(680);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'l') ADVANCE(681);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(396);
      if (lookahead == 's') ADVANCE(925);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(397);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(920);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(380);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(657);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(656);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(800);
      if (lookahead == 'n') ADVANCE(397);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(800);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(691);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(701);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(799);
      if (lookahead == 'n') ADVANCE(396);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(799);
      if (lookahead == 'n') ADVANCE(397);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(799);
      if (lookahead == 'n') ADVANCE(845);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'm') ADVANCE(799);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(367);
      if (lookahead == 'w') ADVANCE(631);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(367);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(866);
      if (lookahead == 'w') ADVANCE(631);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == 's') ADVANCE(866);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(862);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(849);
      if (lookahead == 'x') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(849);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(715);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(896);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(929);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(433);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(397);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(668);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(711);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(658);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(632);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(672);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(665);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(784);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(735);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(848);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'n') ADVANCE(829);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(670);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(718);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(655);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(858);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(740);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(780);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(785);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(707);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(748);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(811);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(729);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(778);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(769);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'o') ADVANCE(813);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(741);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(790);
      if (lookahead == 't') ADVANCE(694);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(790);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(679);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(794);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(742);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'p') ADVANCE(647);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'q') ADVANCE(852);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'q') ADVANCE(853);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(712);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(382);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(709);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(931);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(894);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(789);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(722);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(835);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(645);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(836);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(683);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(684);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(704);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(816);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(429);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(911);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(906);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(913);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(368);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(708);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(801);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(842);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(677);
      if (lookahead == 't') ADVANCE(659);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(677);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(817);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(678);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 's') ADVANCE(834);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(810);
      if (lookahead == 'y') ADVANCE(750);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(659);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(384);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(394);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(386);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(354);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(378);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(902);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(879);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(359);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(904);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(841);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(812);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(721);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(694);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(692);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(636);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(725);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 't') ADVANCE(820);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(747);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(771);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(739);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(726);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(682);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'u') ADVANCE(744);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'v') ADVANCE(695);
      if (lookahead == 'w') ADVANCE(437);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'v') ADVANCE(695);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'w') ADVANCE(437);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'w') ADVANCE(768);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(796);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(797);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'x') ADVANCE(844);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(892);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(413);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(882);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(798);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 'y') ADVANCE(773);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '{') ADVANCE(532);
      if (!sym_identifier_character_set_5(lookahead)) ADVANCE(875);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(569);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (lookahead == 8232 ||
          lookahead == 8233) ADVANCE(869);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(875);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(570);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(568);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(572);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(571);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(292);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(877);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(435);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '?') ADVANCE(502);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(435);
      if (lookahead == '?') ADVANCE(501);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(563);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(293);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(875);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'g') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'k') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'w') ADVANCE(16);
      if (lookahead == 'y') ADVANCE(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8232 ||
          lookahead == 8233 ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'v') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(34);
      if (lookahead == 't') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(43);
      END_STATE();
    case 17:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 21:
      if (lookahead == 'b') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 24:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(53);
      END_STATE();
    case 28:
      if (lookahead == 'y') ADVANCE(54);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(59);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(63);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(70);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(77);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 57:
      if (lookahead == 'v') ADVANCE(84);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 59:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(91);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 72:
      if (lookahead == 'h') ADVANCE(97);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 75:
      if (lookahead == 'k') ADVANCE(100);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(101);
      END_STATE();
    case 77:
      if (lookahead == 'g') ADVANCE(102);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(105);
      END_STATE();
    case 81:
      if (lookahead == 'f') ADVANCE(106);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 86:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 87:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(112);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 90:
      if (lookahead == 'c') ADVANCE(114);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 92:
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 94:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 95:
      if (lookahead == 'f') ADVANCE(117);
      END_STATE();
    case 96:
      if (lookahead == 'g') ADVANCE(118);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 98:
      if (lookahead == 'd') ADVANCE(119);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 102:
      if (lookahead == 'g') ADVANCE(122);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(127);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 114:
      if (lookahead == 'h') ADVANCE(130);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 116:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 117:
      if (lookahead == 'i') ADVANCE(132);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 120:
      if (lookahead == 's') ADVANCE(133);
      END_STATE();
    case 121:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 132:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(145);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(146);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 345, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 345, .external_lex_state = 2},
  [5] = {.lex_state = 345, .external_lex_state = 2},
  [6] = {.lex_state = 345, .external_lex_state = 2},
  [7] = {.lex_state = 345, .external_lex_state = 2},
  [8] = {.lex_state = 345, .external_lex_state = 2},
  [9] = {.lex_state = 345, .external_lex_state = 2},
  [10] = {.lex_state = 345, .external_lex_state = 2},
  [11] = {.lex_state = 345, .external_lex_state = 2},
  [12] = {.lex_state = 37, .external_lex_state = 2},
  [13] = {.lex_state = 37, .external_lex_state = 2},
  [14] = {.lex_state = 37, .external_lex_state = 2},
  [15] = {.lex_state = 37, .external_lex_state = 2},
  [16] = {.lex_state = 37, .external_lex_state = 2},
  [17] = {.lex_state = 345, .external_lex_state = 2},
  [18] = {.lex_state = 345, .external_lex_state = 2},
  [19] = {.lex_state = 345, .external_lex_state = 2},
  [20] = {.lex_state = 345, .external_lex_state = 2},
  [21] = {.lex_state = 345, .external_lex_state = 2},
  [22] = {.lex_state = 345, .external_lex_state = 2},
  [23] = {.lex_state = 345, .external_lex_state = 2},
  [24] = {.lex_state = 345, .external_lex_state = 2},
  [25] = {.lex_state = 345, .external_lex_state = 2},
  [26] = {.lex_state = 345, .external_lex_state = 2},
  [27] = {.lex_state = 345, .external_lex_state = 2},
  [28] = {.lex_state = 345, .external_lex_state = 2},
  [29] = {.lex_state = 345, .external_lex_state = 2},
  [30] = {.lex_state = 345, .external_lex_state = 2},
  [31] = {.lex_state = 345, .external_lex_state = 2},
  [32] = {.lex_state = 345, .external_lex_state = 2},
  [33] = {.lex_state = 345, .external_lex_state = 2},
  [34] = {.lex_state = 345, .external_lex_state = 2},
  [35] = {.lex_state = 345, .external_lex_state = 2},
  [36] = {.lex_state = 345, .external_lex_state = 2},
  [37] = {.lex_state = 345, .external_lex_state = 2},
  [38] = {.lex_state = 345, .external_lex_state = 2},
  [39] = {.lex_state = 345, .external_lex_state = 2},
  [40] = {.lex_state = 345, .external_lex_state = 2},
  [41] = {.lex_state = 345, .external_lex_state = 2},
  [42] = {.lex_state = 345, .external_lex_state = 2},
  [43] = {.lex_state = 345, .external_lex_state = 2},
  [44] = {.lex_state = 345, .external_lex_state = 2},
  [45] = {.lex_state = 345, .external_lex_state = 2},
  [46] = {.lex_state = 345, .external_lex_state = 2},
  [47] = {.lex_state = 345, .external_lex_state = 2},
  [48] = {.lex_state = 345, .external_lex_state = 2},
  [49] = {.lex_state = 345, .external_lex_state = 2},
  [50] = {.lex_state = 345, .external_lex_state = 2},
  [51] = {.lex_state = 345, .external_lex_state = 2},
  [52] = {.lex_state = 345, .external_lex_state = 2},
  [53] = {.lex_state = 345, .external_lex_state = 2},
  [54] = {.lex_state = 345, .external_lex_state = 2},
  [55] = {.lex_state = 345, .external_lex_state = 2},
  [56] = {.lex_state = 345, .external_lex_state = 2},
  [57] = {.lex_state = 345, .external_lex_state = 2},
  [58] = {.lex_state = 345, .external_lex_state = 2},
  [59] = {.lex_state = 345, .external_lex_state = 2},
  [60] = {.lex_state = 345, .external_lex_state = 2},
  [61] = {.lex_state = 345, .external_lex_state = 2},
  [62] = {.lex_state = 345, .external_lex_state = 2},
  [63] = {.lex_state = 345, .external_lex_state = 2},
  [64] = {.lex_state = 345, .external_lex_state = 2},
  [65] = {.lex_state = 345, .external_lex_state = 2},
  [66] = {.lex_state = 345, .external_lex_state = 2},
  [67] = {.lex_state = 345, .external_lex_state = 2},
  [68] = {.lex_state = 345, .external_lex_state = 2},
  [69] = {.lex_state = 345, .external_lex_state = 2},
  [70] = {.lex_state = 345, .external_lex_state = 2},
  [71] = {.lex_state = 345, .external_lex_state = 2},
  [72] = {.lex_state = 345, .external_lex_state = 2},
  [73] = {.lex_state = 345, .external_lex_state = 2},
  [74] = {.lex_state = 345, .external_lex_state = 2},
  [75] = {.lex_state = 345, .external_lex_state = 2},
  [76] = {.lex_state = 345, .external_lex_state = 2},
  [77] = {.lex_state = 345, .external_lex_state = 2},
  [78] = {.lex_state = 345, .external_lex_state = 2},
  [79] = {.lex_state = 345, .external_lex_state = 2},
  [80] = {.lex_state = 345, .external_lex_state = 2},
  [81] = {.lex_state = 345, .external_lex_state = 2},
  [82] = {.lex_state = 345, .external_lex_state = 2},
  [83] = {.lex_state = 345, .external_lex_state = 2},
  [84] = {.lex_state = 345, .external_lex_state = 2},
  [85] = {.lex_state = 345, .external_lex_state = 2},
  [86] = {.lex_state = 345, .external_lex_state = 2},
  [87] = {.lex_state = 345, .external_lex_state = 2},
  [88] = {.lex_state = 345, .external_lex_state = 2},
  [89] = {.lex_state = 345, .external_lex_state = 2},
  [90] = {.lex_state = 345, .external_lex_state = 2},
  [91] = {.lex_state = 345, .external_lex_state = 2},
  [92] = {.lex_state = 345, .external_lex_state = 2},
  [93] = {.lex_state = 345, .external_lex_state = 2},
  [94] = {.lex_state = 345, .external_lex_state = 2},
  [95] = {.lex_state = 345, .external_lex_state = 2},
  [96] = {.lex_state = 345, .external_lex_state = 2},
  [97] = {.lex_state = 345, .external_lex_state = 2},
  [98] = {.lex_state = 345, .external_lex_state = 2},
  [99] = {.lex_state = 345, .external_lex_state = 2},
  [100] = {.lex_state = 345, .external_lex_state = 2},
  [101] = {.lex_state = 345, .external_lex_state = 2},
  [102] = {.lex_state = 345, .external_lex_state = 2},
  [103] = {.lex_state = 345, .external_lex_state = 2},
  [104] = {.lex_state = 345, .external_lex_state = 2},
  [105] = {.lex_state = 345, .external_lex_state = 2},
  [106] = {.lex_state = 345, .external_lex_state = 2},
  [107] = {.lex_state = 345, .external_lex_state = 2},
  [108] = {.lex_state = 345, .external_lex_state = 2},
  [109] = {.lex_state = 345, .external_lex_state = 2},
  [110] = {.lex_state = 345, .external_lex_state = 2},
  [111] = {.lex_state = 345, .external_lex_state = 2},
  [112] = {.lex_state = 345, .external_lex_state = 2},
  [113] = {.lex_state = 345, .external_lex_state = 2},
  [114] = {.lex_state = 345, .external_lex_state = 2},
  [115] = {.lex_state = 345, .external_lex_state = 2},
  [116] = {.lex_state = 345, .external_lex_state = 2},
  [117] = {.lex_state = 345, .external_lex_state = 2},
  [118] = {.lex_state = 345, .external_lex_state = 2},
  [119] = {.lex_state = 345, .external_lex_state = 2},
  [120] = {.lex_state = 345, .external_lex_state = 2},
  [121] = {.lex_state = 345, .external_lex_state = 2},
  [122] = {.lex_state = 345, .external_lex_state = 2},
  [123] = {.lex_state = 32, .external_lex_state = 2},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 32, .external_lex_state = 2},
  [126] = {.lex_state = 32, .external_lex_state = 2},
  [127] = {.lex_state = 32, .external_lex_state = 2},
  [128] = {.lex_state = 3, .external_lex_state = 4},
  [129] = {.lex_state = 32, .external_lex_state = 2},
  [130] = {.lex_state = 32, .external_lex_state = 2},
  [131] = {.lex_state = 32, .external_lex_state = 2},
  [132] = {.lex_state = 3, .external_lex_state = 4},
  [133] = {.lex_state = 32, .external_lex_state = 2},
  [134] = {.lex_state = 32, .external_lex_state = 2},
  [135] = {.lex_state = 32, .external_lex_state = 2},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 3},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 32, .external_lex_state = 2},
  [147] = {.lex_state = 32, .external_lex_state = 2},
  [148] = {.lex_state = 32, .external_lex_state = 2},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 32, .external_lex_state = 2},
  [151] = {.lex_state = 3, .external_lex_state = 3},
  [152] = {.lex_state = 32, .external_lex_state = 2},
  [153] = {.lex_state = 3, .external_lex_state = 3},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 3, .external_lex_state = 3},
  [156] = {.lex_state = 3, .external_lex_state = 3},
  [157] = {.lex_state = 32, .external_lex_state = 2},
  [158] = {.lex_state = 7, .external_lex_state = 4},
  [159] = {.lex_state = 3, .external_lex_state = 4},
  [160] = {.lex_state = 32, .external_lex_state = 2},
  [161] = {.lex_state = 7, .external_lex_state = 4},
  [162] = {.lex_state = 7, .external_lex_state = 4},
  [163] = {.lex_state = 3, .external_lex_state = 4},
  [164] = {.lex_state = 3, .external_lex_state = 4},
  [165] = {.lex_state = 3, .external_lex_state = 4},
  [166] = {.lex_state = 3, .external_lex_state = 4},
  [167] = {.lex_state = 3, .external_lex_state = 3},
  [168] = {.lex_state = 32, .external_lex_state = 2},
  [169] = {.lex_state = 3, .external_lex_state = 3},
  [170] = {.lex_state = 7, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 3},
  [173] = {.lex_state = 3, .external_lex_state = 3},
  [174] = {.lex_state = 3, .external_lex_state = 3},
  [175] = {.lex_state = 3, .external_lex_state = 3},
  [176] = {.lex_state = 3, .external_lex_state = 3},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 3, .external_lex_state = 3},
  [180] = {.lex_state = 3, .external_lex_state = 3},
  [181] = {.lex_state = 3, .external_lex_state = 3},
  [182] = {.lex_state = 8, .external_lex_state = 3},
  [183] = {.lex_state = 8, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 3},
  [185] = {.lex_state = 3, .external_lex_state = 4},
  [186] = {.lex_state = 8, .external_lex_state = 3},
  [187] = {.lex_state = 3, .external_lex_state = 3},
  [188] = {.lex_state = 3, .external_lex_state = 4},
  [189] = {.lex_state = 3, .external_lex_state = 4},
  [190] = {.lex_state = 3, .external_lex_state = 3},
  [191] = {.lex_state = 3, .external_lex_state = 3},
  [192] = {.lex_state = 7, .external_lex_state = 3},
  [193] = {.lex_state = 3, .external_lex_state = 3},
  [194] = {.lex_state = 3, .external_lex_state = 3},
  [195] = {.lex_state = 3, .external_lex_state = 3},
  [196] = {.lex_state = 3, .external_lex_state = 3},
  [197] = {.lex_state = 7, .external_lex_state = 3},
  [198] = {.lex_state = 7, .external_lex_state = 3},
  [199] = {.lex_state = 7, .external_lex_state = 3},
  [200] = {.lex_state = 3, .external_lex_state = 3},
  [201] = {.lex_state = 3, .external_lex_state = 3},
  [202] = {.lex_state = 3, .external_lex_state = 3},
  [203] = {.lex_state = 3, .external_lex_state = 3},
  [204] = {.lex_state = 3, .external_lex_state = 3},
  [205] = {.lex_state = 3, .external_lex_state = 3},
  [206] = {.lex_state = 3, .external_lex_state = 3},
  [207] = {.lex_state = 3, .external_lex_state = 3},
  [208] = {.lex_state = 3, .external_lex_state = 3},
  [209] = {.lex_state = 32, .external_lex_state = 2},
  [210] = {.lex_state = 3, .external_lex_state = 3},
  [211] = {.lex_state = 3, .external_lex_state = 3},
  [212] = {.lex_state = 3, .external_lex_state = 3},
  [213] = {.lex_state = 3, .external_lex_state = 3},
  [214] = {.lex_state = 32, .external_lex_state = 2},
  [215] = {.lex_state = 32, .external_lex_state = 2},
  [216] = {.lex_state = 32, .external_lex_state = 2},
  [217] = {.lex_state = 32, .external_lex_state = 2},
  [218] = {.lex_state = 32, .external_lex_state = 2},
  [219] = {.lex_state = 32, .external_lex_state = 2},
  [220] = {.lex_state = 32, .external_lex_state = 2},
  [221] = {.lex_state = 32, .external_lex_state = 2},
  [222] = {.lex_state = 32, .external_lex_state = 2},
  [223] = {.lex_state = 32, .external_lex_state = 2},
  [224] = {.lex_state = 32, .external_lex_state = 2},
  [225] = {.lex_state = 32, .external_lex_state = 2},
  [226] = {.lex_state = 32, .external_lex_state = 2},
  [227] = {.lex_state = 10, .external_lex_state = 4},
  [228] = {.lex_state = 9, .external_lex_state = 4},
  [229] = {.lex_state = 9, .external_lex_state = 3},
  [230] = {.lex_state = 9, .external_lex_state = 3},
  [231] = {.lex_state = 9, .external_lex_state = 4},
  [232] = {.lex_state = 13, .external_lex_state = 3},
  [233] = {.lex_state = 9, .external_lex_state = 3},
  [234] = {.lex_state = 9, .external_lex_state = 3},
  [235] = {.lex_state = 10, .external_lex_state = 3},
  [236] = {.lex_state = 9, .external_lex_state = 3},
  [237] = {.lex_state = 44, .external_lex_state = 2},
  [238] = {.lex_state = 44, .external_lex_state = 2},
  [239] = {.lex_state = 44, .external_lex_state = 2},
  [240] = {.lex_state = 44, .external_lex_state = 2},
  [241] = {.lex_state = 44, .external_lex_state = 2},
  [242] = {.lex_state = 44, .external_lex_state = 2},
  [243] = {.lex_state = 44, .external_lex_state = 2},
  [244] = {.lex_state = 44, .external_lex_state = 2},
  [245] = {.lex_state = 44, .external_lex_state = 2},
  [246] = {.lex_state = 44, .external_lex_state = 2},
  [247] = {.lex_state = 44, .external_lex_state = 2},
  [248] = {.lex_state = 44, .external_lex_state = 2},
  [249] = {.lex_state = 14, .external_lex_state = 3},
  [250] = {.lex_state = 14, .external_lex_state = 4},
  [251] = {.lex_state = 16, .external_lex_state = 4},
  [252] = {.lex_state = 14, .external_lex_state = 3},
  [253] = {.lex_state = 14, .external_lex_state = 3},
  [254] = {.lex_state = 14, .external_lex_state = 3},
  [255] = {.lex_state = 14, .external_lex_state = 4},
  [256] = {.lex_state = 17, .external_lex_state = 3},
  [257] = {.lex_state = 14, .external_lex_state = 3},
  [258] = {.lex_state = 14, .external_lex_state = 3},
  [259] = {.lex_state = 34, .external_lex_state = 2},
  [260] = {.lex_state = 16, .external_lex_state = 3},
  [261] = {.lex_state = 14, .external_lex_state = 3},
  [262] = {.lex_state = 34, .external_lex_state = 2},
  [263] = {.lex_state = 14, .external_lex_state = 3},
  [264] = {.lex_state = 14, .external_lex_state = 3},
  [265] = {.lex_state = 34, .external_lex_state = 2},
  [266] = {.lex_state = 34, .external_lex_state = 2},
  [267] = {.lex_state = 34, .external_lex_state = 2},
  [268] = {.lex_state = 34, .external_lex_state = 2},
  [269] = {.lex_state = 34, .external_lex_state = 2},
  [270] = {.lex_state = 14, .external_lex_state = 3},
  [271] = {.lex_state = 34, .external_lex_state = 2},
  [272] = {.lex_state = 34, .external_lex_state = 2},
  [273] = {.lex_state = 34, .external_lex_state = 2},
  [274] = {.lex_state = 34, .external_lex_state = 2},
  [275] = {.lex_state = 34, .external_lex_state = 2},
  [276] = {.lex_state = 34, .external_lex_state = 2},
  [277] = {.lex_state = 34, .external_lex_state = 2},
  [278] = {.lex_state = 34, .external_lex_state = 2},
  [279] = {.lex_state = 34, .external_lex_state = 2},
  [280] = {.lex_state = 34, .external_lex_state = 2},
  [281] = {.lex_state = 34, .external_lex_state = 2},
  [282] = {.lex_state = 34, .external_lex_state = 2},
  [283] = {.lex_state = 34, .external_lex_state = 2},
  [284] = {.lex_state = 33, .external_lex_state = 5},
  [285] = {.lex_state = 43, .external_lex_state = 2},
  [286] = {.lex_state = 43, .external_lex_state = 2},
  [287] = {.lex_state = 43, .external_lex_state = 2},
  [288] = {.lex_state = 43, .external_lex_state = 2},
  [289] = {.lex_state = 43, .external_lex_state = 2},
  [290] = {.lex_state = 33, .external_lex_state = 2},
  [291] = {.lex_state = 34, .external_lex_state = 2},
  [292] = {.lex_state = 34, .external_lex_state = 2},
  [293] = {.lex_state = 12, .external_lex_state = 4},
  [294] = {.lex_state = 34, .external_lex_state = 2},
  [295] = {.lex_state = 12, .external_lex_state = 4},
  [296] = {.lex_state = 34, .external_lex_state = 2},
  [297] = {.lex_state = 12, .external_lex_state = 4},
  [298] = {.lex_state = 12, .external_lex_state = 4},
  [299] = {.lex_state = 34, .external_lex_state = 2},
  [300] = {.lex_state = 34, .external_lex_state = 2},
  [301] = {.lex_state = 33, .external_lex_state = 2},
  [302] = {.lex_state = 34, .external_lex_state = 2},
  [303] = {.lex_state = 12, .external_lex_state = 4},
  [304] = {.lex_state = 342, .external_lex_state = 4},
  [305] = {.lex_state = 12, .external_lex_state = 4},
  [306] = {.lex_state = 12, .external_lex_state = 4},
  [307] = {.lex_state = 12, .external_lex_state = 4},
  [308] = {.lex_state = 12, .external_lex_state = 4},
  [309] = {.lex_state = 12, .external_lex_state = 4},
  [310] = {.lex_state = 12, .external_lex_state = 4},
  [311] = {.lex_state = 12, .external_lex_state = 4},
  [312] = {.lex_state = 342, .external_lex_state = 4},
  [313] = {.lex_state = 11, .external_lex_state = 4},
  [314] = {.lex_state = 11, .external_lex_state = 4},
  [315] = {.lex_state = 12, .external_lex_state = 4},
  [316] = {.lex_state = 12, .external_lex_state = 4},
  [317] = {.lex_state = 11, .external_lex_state = 4},
  [318] = {.lex_state = 12, .external_lex_state = 4},
  [319] = {.lex_state = 12, .external_lex_state = 4},
  [320] = {.lex_state = 342, .external_lex_state = 4},
  [321] = {.lex_state = 12, .external_lex_state = 4},
  [322] = {.lex_state = 342, .external_lex_state = 4},
  [323] = {.lex_state = 12, .external_lex_state = 4},
  [324] = {.lex_state = 12, .external_lex_state = 4},
  [325] = {.lex_state = 12, .external_lex_state = 4},
  [326] = {.lex_state = 12, .external_lex_state = 4},
  [327] = {.lex_state = 11, .external_lex_state = 4},
  [328] = {.lex_state = 12, .external_lex_state = 4},
  [329] = {.lex_state = 33, .external_lex_state = 2},
  [330] = {.lex_state = 12, .external_lex_state = 4},
  [331] = {.lex_state = 12, .external_lex_state = 4},
  [332] = {.lex_state = 12, .external_lex_state = 4},
  [333] = {.lex_state = 34, .external_lex_state = 2},
  [334] = {.lex_state = 12, .external_lex_state = 4},
  [335] = {.lex_state = 12, .external_lex_state = 4},
  [336] = {.lex_state = 12, .external_lex_state = 4},
  [337] = {.lex_state = 12, .external_lex_state = 4},
  [338] = {.lex_state = 11, .external_lex_state = 4},
  [339] = {.lex_state = 341, .external_lex_state = 4},
  [340] = {.lex_state = 33, .external_lex_state = 2},
  [341] = {.lex_state = 11, .external_lex_state = 4},
  [342] = {.lex_state = 342, .external_lex_state = 4},
  [343] = {.lex_state = 342, .external_lex_state = 4},
  [344] = {.lex_state = 11, .external_lex_state = 4},
  [345] = {.lex_state = 33, .external_lex_state = 2},
  [346] = {.lex_state = 33, .external_lex_state = 2},
  [347] = {.lex_state = 11, .external_lex_state = 4},
  [348] = {.lex_state = 342, .external_lex_state = 4},
  [349] = {.lex_state = 34, .external_lex_state = 2},
  [350] = {.lex_state = 33, .external_lex_state = 2},
  [351] = {.lex_state = 34, .external_lex_state = 2},
  [352] = {.lex_state = 11, .external_lex_state = 4},
  [353] = {.lex_state = 342, .external_lex_state = 4},
  [354] = {.lex_state = 342, .external_lex_state = 4},
  [355] = {.lex_state = 33, .external_lex_state = 2},
  [356] = {.lex_state = 342, .external_lex_state = 4},
  [357] = {.lex_state = 33, .external_lex_state = 2},
  [358] = {.lex_state = 342, .external_lex_state = 4},
  [359] = {.lex_state = 11, .external_lex_state = 4},
  [360] = {.lex_state = 11, .external_lex_state = 4},
  [361] = {.lex_state = 11, .external_lex_state = 4},
  [362] = {.lex_state = 11, .external_lex_state = 4},
  [363] = {.lex_state = 342, .external_lex_state = 4},
  [364] = {.lex_state = 342, .external_lex_state = 4},
  [365] = {.lex_state = 11, .external_lex_state = 4},
  [366] = {.lex_state = 342, .external_lex_state = 4},
  [367] = {.lex_state = 342, .external_lex_state = 4},
  [368] = {.lex_state = 11, .external_lex_state = 4},
  [369] = {.lex_state = 11, .external_lex_state = 4},
  [370] = {.lex_state = 342, .external_lex_state = 4},
  [371] = {.lex_state = 342, .external_lex_state = 4},
  [372] = {.lex_state = 342, .external_lex_state = 4},
  [373] = {.lex_state = 34, .external_lex_state = 2},
  [374] = {.lex_state = 11, .external_lex_state = 4},
  [375] = {.lex_state = 342, .external_lex_state = 4},
  [376] = {.lex_state = 342, .external_lex_state = 4},
  [377] = {.lex_state = 11, .external_lex_state = 4},
  [378] = {.lex_state = 342, .external_lex_state = 4},
  [379] = {.lex_state = 11, .external_lex_state = 4},
  [380] = {.lex_state = 342, .external_lex_state = 4},
  [381] = {.lex_state = 34, .external_lex_state = 2},
  [382] = {.lex_state = 34, .external_lex_state = 2},
  [383] = {.lex_state = 11, .external_lex_state = 4},
  [384] = {.lex_state = 342, .external_lex_state = 4},
  [385] = {.lex_state = 34, .external_lex_state = 2},
  [386] = {.lex_state = 11, .external_lex_state = 4},
  [387] = {.lex_state = 11, .external_lex_state = 4},
  [388] = {.lex_state = 11, .external_lex_state = 4},
  [389] = {.lex_state = 342, .external_lex_state = 4},
  [390] = {.lex_state = 11, .external_lex_state = 4},
  [391] = {.lex_state = 11, .external_lex_state = 4},
  [392] = {.lex_state = 342, .external_lex_state = 4},
  [393] = {.lex_state = 342, .external_lex_state = 4},
  [394] = {.lex_state = 342, .external_lex_state = 4},
  [395] = {.lex_state = 33, .external_lex_state = 2},
  [396] = {.lex_state = 11, .external_lex_state = 4},
  [397] = {.lex_state = 341, .external_lex_state = 4},
  [398] = {.lex_state = 34, .external_lex_state = 2},
  [399] = {.lex_state = 342, .external_lex_state = 4},
  [400] = {.lex_state = 11, .external_lex_state = 4},
  [401] = {.lex_state = 342, .external_lex_state = 4},
  [402] = {.lex_state = 341, .external_lex_state = 4},
  [403] = {.lex_state = 11, .external_lex_state = 4},
  [404] = {.lex_state = 34, .external_lex_state = 2},
  [405] = {.lex_state = 341, .external_lex_state = 4},
  [406] = {.lex_state = 11, .external_lex_state = 4},
  [407] = {.lex_state = 34, .external_lex_state = 2},
  [408] = {.lex_state = 34, .external_lex_state = 2},
  [409] = {.lex_state = 34, .external_lex_state = 2},
  [410] = {.lex_state = 34, .external_lex_state = 2},
  [411] = {.lex_state = 34, .external_lex_state = 2},
  [412] = {.lex_state = 34, .external_lex_state = 2},
  [413] = {.lex_state = 34, .external_lex_state = 2},
  [414] = {.lex_state = 34, .external_lex_state = 2},
  [415] = {.lex_state = 34, .external_lex_state = 2},
  [416] = {.lex_state = 341, .external_lex_state = 4},
  [417] = {.lex_state = 341, .external_lex_state = 4},
  [418] = {.lex_state = 341, .external_lex_state = 4},
  [419] = {.lex_state = 34, .external_lex_state = 2},
  [420] = {.lex_state = 34, .external_lex_state = 2},
  [421] = {.lex_state = 341, .external_lex_state = 4},
  [422] = {.lex_state = 341, .external_lex_state = 4},
  [423] = {.lex_state = 341, .external_lex_state = 4},
  [424] = {.lex_state = 341, .external_lex_state = 4},
  [425] = {.lex_state = 34, .external_lex_state = 2},
  [426] = {.lex_state = 3, .external_lex_state = 3},
  [427] = {.lex_state = 3, .external_lex_state = 3},
  [428] = {.lex_state = 34, .external_lex_state = 2},
  [429] = {.lex_state = 341, .external_lex_state = 4},
  [430] = {.lex_state = 341, .external_lex_state = 4},
  [431] = {.lex_state = 34, .external_lex_state = 2},
  [432] = {.lex_state = 34, .external_lex_state = 2},
  [433] = {.lex_state = 341, .external_lex_state = 4},
  [434] = {.lex_state = 341, .external_lex_state = 4},
  [435] = {.lex_state = 34, .external_lex_state = 2},
  [436] = {.lex_state = 341, .external_lex_state = 4},
  [437] = {.lex_state = 34, .external_lex_state = 2},
  [438] = {.lex_state = 34, .external_lex_state = 2},
  [439] = {.lex_state = 341, .external_lex_state = 4},
  [440] = {.lex_state = 341, .external_lex_state = 4},
  [441] = {.lex_state = 341, .external_lex_state = 4},
  [442] = {.lex_state = 341, .external_lex_state = 4},
  [443] = {.lex_state = 341, .external_lex_state = 4},
  [444] = {.lex_state = 34, .external_lex_state = 2},
  [445] = {.lex_state = 341, .external_lex_state = 4},
  [446] = {.lex_state = 34, .external_lex_state = 2},
  [447] = {.lex_state = 34, .external_lex_state = 2},
  [448] = {.lex_state = 341, .external_lex_state = 4},
  [449] = {.lex_state = 341, .external_lex_state = 4},
  [450] = {.lex_state = 34, .external_lex_state = 2},
  [451] = {.lex_state = 34, .external_lex_state = 2},
  [452] = {.lex_state = 341, .external_lex_state = 4},
  [453] = {.lex_state = 34, .external_lex_state = 2},
  [454] = {.lex_state = 341, .external_lex_state = 4},
  [455] = {.lex_state = 3, .external_lex_state = 3},
  [456] = {.lex_state = 341, .external_lex_state = 4},
  [457] = {.lex_state = 34, .external_lex_state = 2},
  [458] = {.lex_state = 3, .external_lex_state = 3},
  [459] = {.lex_state = 341, .external_lex_state = 4},
  [460] = {.lex_state = 34, .external_lex_state = 2},
  [461] = {.lex_state = 34, .external_lex_state = 2},
  [462] = {.lex_state = 341, .external_lex_state = 4},
  [463] = {.lex_state = 34, .external_lex_state = 2},
  [464] = {.lex_state = 34, .external_lex_state = 2},
  [465] = {.lex_state = 34, .external_lex_state = 5},
  [466] = {.lex_state = 34, .external_lex_state = 5},
  [467] = {.lex_state = 34, .external_lex_state = 5},
  [468] = {.lex_state = 34, .external_lex_state = 2},
  [469] = {.lex_state = 34, .external_lex_state = 5},
  [470] = {.lex_state = 34, .external_lex_state = 5},
  [471] = {.lex_state = 34, .external_lex_state = 2},
  [472] = {.lex_state = 34, .external_lex_state = 2},
  [473] = {.lex_state = 34, .external_lex_state = 2},
  [474] = {.lex_state = 34, .external_lex_state = 2},
  [475] = {.lex_state = 34, .external_lex_state = 2},
  [476] = {.lex_state = 43, .external_lex_state = 2},
  [477] = {.lex_state = 34, .external_lex_state = 2},
  [478] = {.lex_state = 34, .external_lex_state = 2},
  [479] = {.lex_state = 34, .external_lex_state = 2},
  [480] = {.lex_state = 34, .external_lex_state = 2},
  [481] = {.lex_state = 34, .external_lex_state = 2},
  [482] = {.lex_state = 34, .external_lex_state = 2},
  [483] = {.lex_state = 34, .external_lex_state = 2},
  [484] = {.lex_state = 34, .external_lex_state = 2},
  [485] = {.lex_state = 34, .external_lex_state = 2},
  [486] = {.lex_state = 34, .external_lex_state = 2},
  [487] = {.lex_state = 34, .external_lex_state = 2},
  [488] = {.lex_state = 34, .external_lex_state = 2},
  [489] = {.lex_state = 34, .external_lex_state = 2},
  [490] = {.lex_state = 34, .external_lex_state = 2},
  [491] = {.lex_state = 34, .external_lex_state = 2},
  [492] = {.lex_state = 34, .external_lex_state = 2},
  [493] = {.lex_state = 34, .external_lex_state = 2},
  [494] = {.lex_state = 34, .external_lex_state = 2},
  [495] = {.lex_state = 34, .external_lex_state = 2},
  [496] = {.lex_state = 34, .external_lex_state = 2},
  [497] = {.lex_state = 34, .external_lex_state = 2},
  [498] = {.lex_state = 34, .external_lex_state = 2},
  [499] = {.lex_state = 34, .external_lex_state = 2},
  [500] = {.lex_state = 34, .external_lex_state = 2},
  [501] = {.lex_state = 34, .external_lex_state = 2},
  [502] = {.lex_state = 34, .external_lex_state = 2},
  [503] = {.lex_state = 34, .external_lex_state = 2},
  [504] = {.lex_state = 34, .external_lex_state = 2},
  [505] = {.lex_state = 34, .external_lex_state = 2},
  [506] = {.lex_state = 34, .external_lex_state = 2},
  [507] = {.lex_state = 34, .external_lex_state = 2},
  [508] = {.lex_state = 34, .external_lex_state = 2},
  [509] = {.lex_state = 34, .external_lex_state = 2},
  [510] = {.lex_state = 34, .external_lex_state = 2},
  [511] = {.lex_state = 34, .external_lex_state = 2},
  [512] = {.lex_state = 34, .external_lex_state = 2},
  [513] = {.lex_state = 34, .external_lex_state = 2},
  [514] = {.lex_state = 34, .external_lex_state = 2},
  [515] = {.lex_state = 34, .external_lex_state = 2},
  [516] = {.lex_state = 34, .external_lex_state = 2},
  [517] = {.lex_state = 34, .external_lex_state = 2},
  [518] = {.lex_state = 34, .external_lex_state = 2},
  [519] = {.lex_state = 34, .external_lex_state = 2},
  [520] = {.lex_state = 34, .external_lex_state = 2},
  [521] = {.lex_state = 34, .external_lex_state = 2},
  [522] = {.lex_state = 34, .external_lex_state = 2},
  [523] = {.lex_state = 34, .external_lex_state = 2},
  [524] = {.lex_state = 34, .external_lex_state = 2},
  [525] = {.lex_state = 34, .external_lex_state = 2},
  [526] = {.lex_state = 34, .external_lex_state = 2},
  [527] = {.lex_state = 34, .external_lex_state = 2},
  [528] = {.lex_state = 34, .external_lex_state = 2},
  [529] = {.lex_state = 34, .external_lex_state = 2},
  [530] = {.lex_state = 34, .external_lex_state = 2},
  [531] = {.lex_state = 34, .external_lex_state = 2},
  [532] = {.lex_state = 34, .external_lex_state = 2},
  [533] = {.lex_state = 34, .external_lex_state = 2},
  [534] = {.lex_state = 34, .external_lex_state = 2},
  [535] = {.lex_state = 34, .external_lex_state = 2},
  [536] = {.lex_state = 34, .external_lex_state = 2},
  [537] = {.lex_state = 34, .external_lex_state = 2},
  [538] = {.lex_state = 34, .external_lex_state = 2},
  [539] = {.lex_state = 34, .external_lex_state = 2},
  [540] = {.lex_state = 34, .external_lex_state = 2},
  [541] = {.lex_state = 34, .external_lex_state = 2},
  [542] = {.lex_state = 34, .external_lex_state = 2},
  [543] = {.lex_state = 34, .external_lex_state = 2},
  [544] = {.lex_state = 34, .external_lex_state = 2},
  [545] = {.lex_state = 34, .external_lex_state = 2},
  [546] = {.lex_state = 34, .external_lex_state = 2},
  [547] = {.lex_state = 34, .external_lex_state = 2},
  [548] = {.lex_state = 34, .external_lex_state = 2},
  [549] = {.lex_state = 34, .external_lex_state = 2},
  [550] = {.lex_state = 34, .external_lex_state = 2},
  [551] = {.lex_state = 34, .external_lex_state = 2},
  [552] = {.lex_state = 34, .external_lex_state = 2},
  [553] = {.lex_state = 34, .external_lex_state = 2},
  [554] = {.lex_state = 34, .external_lex_state = 2},
  [555] = {.lex_state = 34, .external_lex_state = 2},
  [556] = {.lex_state = 34, .external_lex_state = 2},
  [557] = {.lex_state = 34, .external_lex_state = 2},
  [558] = {.lex_state = 34, .external_lex_state = 2},
  [559] = {.lex_state = 34, .external_lex_state = 2},
  [560] = {.lex_state = 34, .external_lex_state = 2},
  [561] = {.lex_state = 34, .external_lex_state = 2},
  [562] = {.lex_state = 34, .external_lex_state = 2},
  [563] = {.lex_state = 34, .external_lex_state = 2},
  [564] = {.lex_state = 34, .external_lex_state = 2},
  [565] = {.lex_state = 34, .external_lex_state = 2},
  [566] = {.lex_state = 34, .external_lex_state = 2},
  [567] = {.lex_state = 34, .external_lex_state = 2},
  [568] = {.lex_state = 34, .external_lex_state = 2},
  [569] = {.lex_state = 34, .external_lex_state = 2},
  [570] = {.lex_state = 34, .external_lex_state = 2},
  [571] = {.lex_state = 34, .external_lex_state = 2},
  [572] = {.lex_state = 34, .external_lex_state = 2},
  [573] = {.lex_state = 34, .external_lex_state = 2},
  [574] = {.lex_state = 34, .external_lex_state = 2},
  [575] = {.lex_state = 34, .external_lex_state = 2},
  [576] = {.lex_state = 34, .external_lex_state = 2},
  [577] = {.lex_state = 34, .external_lex_state = 2},
  [578] = {.lex_state = 34, .external_lex_state = 2},
  [579] = {.lex_state = 34, .external_lex_state = 2},
  [580] = {.lex_state = 34, .external_lex_state = 2},
  [581] = {.lex_state = 34, .external_lex_state = 2},
  [582] = {.lex_state = 34, .external_lex_state = 2},
  [583] = {.lex_state = 34, .external_lex_state = 2},
  [584] = {.lex_state = 34, .external_lex_state = 2},
  [585] = {.lex_state = 34, .external_lex_state = 2},
  [586] = {.lex_state = 34, .external_lex_state = 2},
  [587] = {.lex_state = 34, .external_lex_state = 2},
  [588] = {.lex_state = 34, .external_lex_state = 2},
  [589] = {.lex_state = 34, .external_lex_state = 2},
  [590] = {.lex_state = 34, .external_lex_state = 2},
  [591] = {.lex_state = 34, .external_lex_state = 2},
  [592] = {.lex_state = 34, .external_lex_state = 2},
  [593] = {.lex_state = 34, .external_lex_state = 2},
  [594] = {.lex_state = 34, .external_lex_state = 2},
  [595] = {.lex_state = 34, .external_lex_state = 2},
  [596] = {.lex_state = 34, .external_lex_state = 2},
  [597] = {.lex_state = 34, .external_lex_state = 2},
  [598] = {.lex_state = 34, .external_lex_state = 2},
  [599] = {.lex_state = 34, .external_lex_state = 2},
  [600] = {.lex_state = 34, .external_lex_state = 2},
  [601] = {.lex_state = 34, .external_lex_state = 2},
  [602] = {.lex_state = 34, .external_lex_state = 2},
  [603] = {.lex_state = 34, .external_lex_state = 2},
  [604] = {.lex_state = 34, .external_lex_state = 2},
  [605] = {.lex_state = 34, .external_lex_state = 2},
  [606] = {.lex_state = 34, .external_lex_state = 2},
  [607] = {.lex_state = 34, .external_lex_state = 2},
  [608] = {.lex_state = 34, .external_lex_state = 2},
  [609] = {.lex_state = 34, .external_lex_state = 2},
  [610] = {.lex_state = 34, .external_lex_state = 2},
  [611] = {.lex_state = 34, .external_lex_state = 2},
  [612] = {.lex_state = 34, .external_lex_state = 2},
  [613] = {.lex_state = 34, .external_lex_state = 2},
  [614] = {.lex_state = 34, .external_lex_state = 2},
  [615] = {.lex_state = 34, .external_lex_state = 2},
  [616] = {.lex_state = 34, .external_lex_state = 2},
  [617] = {.lex_state = 34, .external_lex_state = 2},
  [618] = {.lex_state = 34, .external_lex_state = 2},
  [619] = {.lex_state = 34, .external_lex_state = 2},
  [620] = {.lex_state = 34, .external_lex_state = 2},
  [621] = {.lex_state = 34, .external_lex_state = 2},
  [622] = {.lex_state = 34, .external_lex_state = 2},
  [623] = {.lex_state = 34, .external_lex_state = 2},
  [624] = {.lex_state = 34, .external_lex_state = 2},
  [625] = {.lex_state = 34, .external_lex_state = 2},
  [626] = {.lex_state = 34, .external_lex_state = 2},
  [627] = {.lex_state = 34, .external_lex_state = 2},
  [628] = {.lex_state = 34, .external_lex_state = 2},
  [629] = {.lex_state = 34, .external_lex_state = 2},
  [630] = {.lex_state = 34, .external_lex_state = 2},
  [631] = {.lex_state = 34, .external_lex_state = 2},
  [632] = {.lex_state = 34, .external_lex_state = 2},
  [633] = {.lex_state = 34, .external_lex_state = 2},
  [634] = {.lex_state = 34, .external_lex_state = 2},
  [635] = {.lex_state = 34, .external_lex_state = 2},
  [636] = {.lex_state = 34, .external_lex_state = 2},
  [637] = {.lex_state = 34, .external_lex_state = 2},
  [638] = {.lex_state = 34, .external_lex_state = 2},
  [639] = {.lex_state = 34, .external_lex_state = 2},
  [640] = {.lex_state = 34, .external_lex_state = 2},
  [641] = {.lex_state = 34, .external_lex_state = 2},
  [642] = {.lex_state = 34, .external_lex_state = 2},
  [643] = {.lex_state = 34, .external_lex_state = 2},
  [644] = {.lex_state = 34, .external_lex_state = 2},
  [645] = {.lex_state = 34, .external_lex_state = 2},
  [646] = {.lex_state = 34, .external_lex_state = 2},
  [647] = {.lex_state = 34, .external_lex_state = 2},
  [648] = {.lex_state = 34, .external_lex_state = 2},
  [649] = {.lex_state = 34, .external_lex_state = 2},
  [650] = {.lex_state = 34, .external_lex_state = 2},
  [651] = {.lex_state = 34, .external_lex_state = 2},
  [652] = {.lex_state = 34, .external_lex_state = 2},
  [653] = {.lex_state = 34, .external_lex_state = 2},
  [654] = {.lex_state = 34, .external_lex_state = 2},
  [655] = {.lex_state = 34, .external_lex_state = 2},
  [656] = {.lex_state = 34, .external_lex_state = 2},
  [657] = {.lex_state = 34, .external_lex_state = 2},
  [658] = {.lex_state = 34, .external_lex_state = 2},
  [659] = {.lex_state = 34, .external_lex_state = 2},
  [660] = {.lex_state = 34, .external_lex_state = 2},
  [661] = {.lex_state = 34, .external_lex_state = 2},
  [662] = {.lex_state = 34, .external_lex_state = 2},
  [663] = {.lex_state = 34, .external_lex_state = 2},
  [664] = {.lex_state = 34, .external_lex_state = 2},
  [665] = {.lex_state = 34, .external_lex_state = 2},
  [666] = {.lex_state = 34, .external_lex_state = 2},
  [667] = {.lex_state = 34, .external_lex_state = 2},
  [668] = {.lex_state = 34, .external_lex_state = 2},
  [669] = {.lex_state = 34, .external_lex_state = 2},
  [670] = {.lex_state = 34, .external_lex_state = 2},
  [671] = {.lex_state = 34, .external_lex_state = 2},
  [672] = {.lex_state = 34, .external_lex_state = 2},
  [673] = {.lex_state = 34, .external_lex_state = 2},
  [674] = {.lex_state = 34, .external_lex_state = 2},
  [675] = {.lex_state = 34, .external_lex_state = 2},
  [676] = {.lex_state = 34, .external_lex_state = 2},
  [677] = {.lex_state = 34, .external_lex_state = 2},
  [678] = {.lex_state = 34, .external_lex_state = 2},
  [679] = {.lex_state = 34, .external_lex_state = 2},
  [680] = {.lex_state = 34, .external_lex_state = 2},
  [681] = {.lex_state = 34, .external_lex_state = 2},
  [682] = {.lex_state = 34, .external_lex_state = 2},
  [683] = {.lex_state = 34, .external_lex_state = 2},
  [684] = {.lex_state = 34, .external_lex_state = 2},
  [685] = {.lex_state = 34, .external_lex_state = 2},
  [686] = {.lex_state = 34, .external_lex_state = 2},
  [687] = {.lex_state = 34, .external_lex_state = 2},
  [688] = {.lex_state = 34, .external_lex_state = 2},
  [689] = {.lex_state = 34, .external_lex_state = 2},
  [690] = {.lex_state = 34, .external_lex_state = 2},
  [691] = {.lex_state = 34, .external_lex_state = 2},
  [692] = {.lex_state = 34, .external_lex_state = 2},
  [693] = {.lex_state = 34, .external_lex_state = 2},
  [694] = {.lex_state = 34, .external_lex_state = 2},
  [695] = {.lex_state = 34, .external_lex_state = 2},
  [696] = {.lex_state = 34, .external_lex_state = 2},
  [697] = {.lex_state = 34, .external_lex_state = 2},
  [698] = {.lex_state = 34, .external_lex_state = 2},
  [699] = {.lex_state = 34, .external_lex_state = 2},
  [700] = {.lex_state = 34, .external_lex_state = 2},
  [701] = {.lex_state = 34, .external_lex_state = 2},
  [702] = {.lex_state = 34, .external_lex_state = 2},
  [703] = {.lex_state = 34, .external_lex_state = 2},
  [704] = {.lex_state = 34, .external_lex_state = 2},
  [705] = {.lex_state = 34, .external_lex_state = 2},
  [706] = {.lex_state = 34, .external_lex_state = 2},
  [707] = {.lex_state = 34, .external_lex_state = 2},
  [708] = {.lex_state = 34, .external_lex_state = 2},
  [709] = {.lex_state = 34, .external_lex_state = 2},
  [710] = {.lex_state = 34, .external_lex_state = 2},
  [711] = {.lex_state = 34, .external_lex_state = 2},
  [712] = {.lex_state = 34, .external_lex_state = 2},
  [713] = {.lex_state = 34, .external_lex_state = 2},
  [714] = {.lex_state = 34, .external_lex_state = 2},
  [715] = {.lex_state = 34, .external_lex_state = 2},
  [716] = {.lex_state = 34, .external_lex_state = 2},
  [717] = {.lex_state = 34, .external_lex_state = 2},
  [718] = {.lex_state = 34, .external_lex_state = 2},
  [719] = {.lex_state = 34, .external_lex_state = 2},
  [720] = {.lex_state = 34, .external_lex_state = 2},
  [721] = {.lex_state = 34, .external_lex_state = 2},
  [722] = {.lex_state = 34, .external_lex_state = 2},
  [723] = {.lex_state = 34, .external_lex_state = 2},
  [724] = {.lex_state = 34, .external_lex_state = 2},
  [725] = {.lex_state = 34, .external_lex_state = 2},
  [726] = {.lex_state = 34, .external_lex_state = 2},
  [727] = {.lex_state = 34, .external_lex_state = 2},
  [728] = {.lex_state = 34, .external_lex_state = 2},
  [729] = {.lex_state = 34, .external_lex_state = 2},
  [730] = {.lex_state = 34, .external_lex_state = 2},
  [731] = {.lex_state = 34, .external_lex_state = 2},
  [732] = {.lex_state = 34, .external_lex_state = 2},
  [733] = {.lex_state = 34, .external_lex_state = 2},
  [734] = {.lex_state = 34, .external_lex_state = 2},
  [735] = {.lex_state = 34, .external_lex_state = 2},
  [736] = {.lex_state = 34, .external_lex_state = 2},
  [737] = {.lex_state = 34, .external_lex_state = 2},
  [738] = {.lex_state = 34, .external_lex_state = 2},
  [739] = {.lex_state = 34, .external_lex_state = 2},
  [740] = {.lex_state = 34, .external_lex_state = 2},
  [741] = {.lex_state = 34, .external_lex_state = 2},
  [742] = {.lex_state = 34, .external_lex_state = 2},
  [743] = {.lex_state = 34, .external_lex_state = 2},
  [744] = {.lex_state = 34, .external_lex_state = 2},
  [745] = {.lex_state = 34, .external_lex_state = 2},
  [746] = {.lex_state = 34, .external_lex_state = 2},
  [747] = {.lex_state = 34, .external_lex_state = 2},
  [748] = {.lex_state = 34, .external_lex_state = 2},
  [749] = {.lex_state = 34, .external_lex_state = 2},
  [750] = {.lex_state = 34, .external_lex_state = 2},
  [751] = {.lex_state = 34, .external_lex_state = 2},
  [752] = {.lex_state = 34, .external_lex_state = 2},
  [753] = {.lex_state = 34, .external_lex_state = 2},
  [754] = {.lex_state = 34, .external_lex_state = 2},
  [755] = {.lex_state = 34, .external_lex_state = 2},
  [756] = {.lex_state = 34, .external_lex_state = 2},
  [757] = {.lex_state = 34, .external_lex_state = 2},
  [758] = {.lex_state = 34, .external_lex_state = 2},
  [759] = {.lex_state = 34, .external_lex_state = 2},
  [760] = {.lex_state = 34, .external_lex_state = 2},
  [761] = {.lex_state = 34, .external_lex_state = 2},
  [762] = {.lex_state = 34, .external_lex_state = 2},
  [763] = {.lex_state = 34, .external_lex_state = 2},
  [764] = {.lex_state = 34, .external_lex_state = 2},
  [765] = {.lex_state = 34, .external_lex_state = 2},
  [766] = {.lex_state = 34, .external_lex_state = 2},
  [767] = {.lex_state = 34, .external_lex_state = 2},
  [768] = {.lex_state = 34, .external_lex_state = 2},
  [769] = {.lex_state = 34, .external_lex_state = 2},
  [770] = {.lex_state = 34, .external_lex_state = 2},
  [771] = {.lex_state = 34, .external_lex_state = 2},
  [772] = {.lex_state = 34, .external_lex_state = 2},
  [773] = {.lex_state = 34, .external_lex_state = 2},
  [774] = {.lex_state = 34, .external_lex_state = 2},
  [775] = {.lex_state = 34, .external_lex_state = 2},
  [776] = {.lex_state = 34, .external_lex_state = 2},
  [777] = {.lex_state = 34, .external_lex_state = 2},
  [778] = {.lex_state = 34, .external_lex_state = 2},
  [779] = {.lex_state = 34, .external_lex_state = 2},
  [780] = {.lex_state = 34, .external_lex_state = 2},
  [781] = {.lex_state = 34, .external_lex_state = 2},
  [782] = {.lex_state = 34, .external_lex_state = 2},
  [783] = {.lex_state = 34, .external_lex_state = 2},
  [784] = {.lex_state = 34, .external_lex_state = 2},
  [785] = {.lex_state = 34, .external_lex_state = 2},
  [786] = {.lex_state = 34, .external_lex_state = 2},
  [787] = {.lex_state = 34, .external_lex_state = 2},
  [788] = {.lex_state = 34, .external_lex_state = 2},
  [789] = {.lex_state = 34, .external_lex_state = 2},
  [790] = {.lex_state = 34, .external_lex_state = 2},
  [791] = {.lex_state = 34, .external_lex_state = 2},
  [792] = {.lex_state = 34, .external_lex_state = 2},
  [793] = {.lex_state = 34, .external_lex_state = 2},
  [794] = {.lex_state = 34, .external_lex_state = 2},
  [795] = {.lex_state = 34, .external_lex_state = 2},
  [796] = {.lex_state = 34, .external_lex_state = 2},
  [797] = {.lex_state = 34, .external_lex_state = 2},
  [798] = {.lex_state = 34, .external_lex_state = 2},
  [799] = {.lex_state = 34, .external_lex_state = 2},
  [800] = {.lex_state = 34, .external_lex_state = 2},
  [801] = {.lex_state = 34, .external_lex_state = 2},
  [802] = {.lex_state = 34, .external_lex_state = 2},
  [803] = {.lex_state = 34, .external_lex_state = 2},
  [804] = {.lex_state = 34, .external_lex_state = 2},
  [805] = {.lex_state = 34, .external_lex_state = 2},
  [806] = {.lex_state = 34, .external_lex_state = 2},
  [807] = {.lex_state = 34, .external_lex_state = 2},
  [808] = {.lex_state = 34, .external_lex_state = 2},
  [809] = {.lex_state = 34, .external_lex_state = 2},
  [810] = {.lex_state = 34, .external_lex_state = 2},
  [811] = {.lex_state = 34, .external_lex_state = 2},
  [812] = {.lex_state = 34, .external_lex_state = 2},
  [813] = {.lex_state = 34, .external_lex_state = 2},
  [814] = {.lex_state = 34, .external_lex_state = 2},
  [815] = {.lex_state = 34, .external_lex_state = 2},
  [816] = {.lex_state = 34, .external_lex_state = 2},
  [817] = {.lex_state = 34, .external_lex_state = 2},
  [818] = {.lex_state = 34, .external_lex_state = 2},
  [819] = {.lex_state = 34, .external_lex_state = 2},
  [820] = {.lex_state = 34, .external_lex_state = 2},
  [821] = {.lex_state = 34, .external_lex_state = 2},
  [822] = {.lex_state = 34, .external_lex_state = 2},
  [823] = {.lex_state = 34, .external_lex_state = 2},
  [824] = {.lex_state = 34, .external_lex_state = 2},
  [825] = {.lex_state = 34, .external_lex_state = 2},
  [826] = {.lex_state = 34, .external_lex_state = 2},
  [827] = {.lex_state = 34, .external_lex_state = 2},
  [828] = {.lex_state = 34, .external_lex_state = 2},
  [829] = {.lex_state = 34, .external_lex_state = 2},
  [830] = {.lex_state = 34, .external_lex_state = 2},
  [831] = {.lex_state = 34, .external_lex_state = 2},
  [832] = {.lex_state = 34, .external_lex_state = 2},
  [833] = {.lex_state = 34, .external_lex_state = 2},
  [834] = {.lex_state = 34, .external_lex_state = 2},
  [835] = {.lex_state = 34, .external_lex_state = 2},
  [836] = {.lex_state = 34, .external_lex_state = 2},
  [837] = {.lex_state = 34, .external_lex_state = 2},
  [838] = {.lex_state = 34, .external_lex_state = 2},
  [839] = {.lex_state = 34, .external_lex_state = 2},
  [840] = {.lex_state = 34, .external_lex_state = 2},
  [841] = {.lex_state = 34, .external_lex_state = 2},
  [842] = {.lex_state = 34, .external_lex_state = 2},
  [843] = {.lex_state = 34, .external_lex_state = 2},
  [844] = {.lex_state = 34, .external_lex_state = 2},
  [845] = {.lex_state = 34, .external_lex_state = 2},
  [846] = {.lex_state = 34, .external_lex_state = 2},
  [847] = {.lex_state = 34, .external_lex_state = 2},
  [848] = {.lex_state = 34, .external_lex_state = 2},
  [849] = {.lex_state = 34, .external_lex_state = 2},
  [850] = {.lex_state = 34, .external_lex_state = 2},
  [851] = {.lex_state = 34, .external_lex_state = 2},
  [852] = {.lex_state = 34, .external_lex_state = 2},
  [853] = {.lex_state = 34, .external_lex_state = 2},
  [854] = {.lex_state = 34, .external_lex_state = 2},
  [855] = {.lex_state = 34, .external_lex_state = 2},
  [856] = {.lex_state = 34, .external_lex_state = 2},
  [857] = {.lex_state = 34, .external_lex_state = 2},
  [858] = {.lex_state = 34, .external_lex_state = 2},
  [859] = {.lex_state = 34, .external_lex_state = 2},
  [860] = {.lex_state = 343, .external_lex_state = 4},
  [861] = {.lex_state = 343, .external_lex_state = 4},
  [862] = {.lex_state = 343, .external_lex_state = 4},
  [863] = {.lex_state = 5, .external_lex_state = 4},
  [864] = {.lex_state = 5, .external_lex_state = 4},
  [865] = {.lex_state = 5, .external_lex_state = 4},
  [866] = {.lex_state = 343, .external_lex_state = 4},
  [867] = {.lex_state = 343, .external_lex_state = 4},
  [868] = {.lex_state = 343, .external_lex_state = 4},
  [869] = {.lex_state = 343, .external_lex_state = 4},
  [870] = {.lex_state = 343, .external_lex_state = 4},
  [871] = {.lex_state = 343, .external_lex_state = 4},
  [872] = {.lex_state = 343, .external_lex_state = 4},
  [873] = {.lex_state = 343, .external_lex_state = 4},
  [874] = {.lex_state = 6, .external_lex_state = 4},
  [875] = {.lex_state = 6, .external_lex_state = 4},
  [876] = {.lex_state = 6, .external_lex_state = 4},
  [877] = {.lex_state = 6, .external_lex_state = 4},
  [878] = {.lex_state = 6, .external_lex_state = 4},
  [879] = {.lex_state = 6, .external_lex_state = 4},
  [880] = {.lex_state = 6, .external_lex_state = 4},
  [881] = {.lex_state = 6, .external_lex_state = 4},
  [882] = {.lex_state = 6, .external_lex_state = 4},
  [883] = {.lex_state = 343, .external_lex_state = 4},
  [884] = {.lex_state = 343, .external_lex_state = 4},
  [885] = {.lex_state = 343, .external_lex_state = 4},
  [886] = {.lex_state = 343, .external_lex_state = 4},
  [887] = {.lex_state = 343, .external_lex_state = 4},
  [888] = {.lex_state = 6, .external_lex_state = 4},
  [889] = {.lex_state = 343, .external_lex_state = 4},
  [890] = {.lex_state = 343, .external_lex_state = 4},
  [891] = {.lex_state = 6, .external_lex_state = 4},
  [892] = {.lex_state = 343, .external_lex_state = 4},
  [893] = {.lex_state = 343, .external_lex_state = 4},
  [894] = {.lex_state = 343, .external_lex_state = 4},
  [895] = {.lex_state = 6, .external_lex_state = 4},
  [896] = {.lex_state = 6, .external_lex_state = 4},
  [897] = {.lex_state = 343, .external_lex_state = 4},
  [898] = {.lex_state = 6, .external_lex_state = 4},
  [899] = {.lex_state = 6, .external_lex_state = 4},
  [900] = {.lex_state = 20, .external_lex_state = 3},
  [901] = {.lex_state = 20, .external_lex_state = 3},
  [902] = {.lex_state = 20, .external_lex_state = 4},
  [903] = {.lex_state = 22, .external_lex_state = 4},
  [904] = {.lex_state = 20, .external_lex_state = 3},
  [905] = {.lex_state = 20, .external_lex_state = 4},
  [906] = {.lex_state = 22, .external_lex_state = 4},
  [907] = {.lex_state = 20, .external_lex_state = 4},
  [908] = {.lex_state = 20, .external_lex_state = 4},
  [909] = {.lex_state = 22, .external_lex_state = 4},
  [910] = {.lex_state = 20, .external_lex_state = 4},
  [911] = {.lex_state = 20, .external_lex_state = 3},
  [912] = {.lex_state = 20, .external_lex_state = 3},
  [913] = {.lex_state = 20, .external_lex_state = 4},
  [914] = {.lex_state = 20, .external_lex_state = 3},
  [915] = {.lex_state = 20, .external_lex_state = 4},
  [916] = {.lex_state = 23, .external_lex_state = 3},
  [917] = {.lex_state = 23, .external_lex_state = 3},
  [918] = {.lex_state = 20, .external_lex_state = 3},
  [919] = {.lex_state = 20, .external_lex_state = 3},
  [920] = {.lex_state = 20, .external_lex_state = 3},
  [921] = {.lex_state = 20, .external_lex_state = 3},
  [922] = {.lex_state = 20, .external_lex_state = 4},
  [923] = {.lex_state = 20, .external_lex_state = 4},
  [924] = {.lex_state = 20, .external_lex_state = 4},
  [925] = {.lex_state = 20, .external_lex_state = 4},
  [926] = {.lex_state = 20, .external_lex_state = 4},
  [927] = {.lex_state = 20, .external_lex_state = 4},
  [928] = {.lex_state = 20, .external_lex_state = 3},
  [929] = {.lex_state = 20, .external_lex_state = 4},
  [930] = {.lex_state = 20, .external_lex_state = 3},
  [931] = {.lex_state = 20, .external_lex_state = 3},
  [932] = {.lex_state = 20, .external_lex_state = 4},
  [933] = {.lex_state = 40, .external_lex_state = 2},
  [934] = {.lex_state = 22, .external_lex_state = 3},
  [935] = {.lex_state = 20, .external_lex_state = 3},
  [936] = {.lex_state = 39, .external_lex_state = 2},
  [937] = {.lex_state = 20, .external_lex_state = 3},
  [938] = {.lex_state = 20, .external_lex_state = 3},
  [939] = {.lex_state = 20, .external_lex_state = 3},
  [940] = {.lex_state = 22, .external_lex_state = 3},
  [941] = {.lex_state = 40, .external_lex_state = 5},
  [942] = {.lex_state = 40, .external_lex_state = 5},
  [943] = {.lex_state = 350, .external_lex_state = 2},
  [944] = {.lex_state = 22, .external_lex_state = 3},
  [945] = {.lex_state = 20, .external_lex_state = 3},
  [946] = {.lex_state = 42, .external_lex_state = 2},
  [947] = {.lex_state = 20, .external_lex_state = 3},
  [948] = {.lex_state = 350, .external_lex_state = 5},
  [949] = {.lex_state = 20, .external_lex_state = 3},
  [950] = {.lex_state = 20, .external_lex_state = 3},
  [951] = {.lex_state = 38, .external_lex_state = 2},
  [952] = {.lex_state = 20, .external_lex_state = 3},
  [953] = {.lex_state = 20, .external_lex_state = 3},
  [954] = {.lex_state = 20, .external_lex_state = 3},
  [955] = {.lex_state = 42, .external_lex_state = 5},
  [956] = {.lex_state = 39, .external_lex_state = 5},
  [957] = {.lex_state = 20, .external_lex_state = 3},
  [958] = {.lex_state = 350, .external_lex_state = 5},
  [959] = {.lex_state = 20, .external_lex_state = 3},
  [960] = {.lex_state = 40, .external_lex_state = 2},
  [961] = {.lex_state = 39, .external_lex_state = 5},
  [962] = {.lex_state = 20, .external_lex_state = 3},
  [963] = {.lex_state = 40, .external_lex_state = 2},
  [964] = {.lex_state = 42, .external_lex_state = 5},
  [965] = {.lex_state = 38, .external_lex_state = 2},
  [966] = {.lex_state = 20, .external_lex_state = 3},
  [967] = {.lex_state = 20, .external_lex_state = 3},
  [968] = {.lex_state = 349, .external_lex_state = 2},
  [969] = {.lex_state = 38, .external_lex_state = 5},
  [970] = {.lex_state = 38, .external_lex_state = 2},
  [971] = {.lex_state = 42, .external_lex_state = 2},
  [972] = {.lex_state = 350, .external_lex_state = 2},
  [973] = {.lex_state = 38, .external_lex_state = 2},
  [974] = {.lex_state = 37, .external_lex_state = 2},
  [975] = {.lex_state = 42, .external_lex_state = 2},
  [976] = {.lex_state = 37, .external_lex_state = 2},
  [977] = {.lex_state = 348, .external_lex_state = 5},
  [978] = {.lex_state = 38, .external_lex_state = 5},
  [979] = {.lex_state = 38, .external_lex_state = 5},
  [980] = {.lex_state = 38, .external_lex_state = 5},
  [981] = {.lex_state = 350, .external_lex_state = 2},
  [982] = {.lex_state = 38, .external_lex_state = 5},
  [983] = {.lex_state = 38, .external_lex_state = 5},
  [984] = {.lex_state = 346, .external_lex_state = 2},
  [985] = {.lex_state = 346, .external_lex_state = 2},
  [986] = {.lex_state = 38, .external_lex_state = 5},
  [987] = {.lex_state = 38, .external_lex_state = 5},
  [988] = {.lex_state = 38, .external_lex_state = 5},
  [989] = {.lex_state = 42, .external_lex_state = 2},
  [990] = {.lex_state = 38, .external_lex_state = 5},
  [991] = {.lex_state = 38, .external_lex_state = 5},
  [992] = {.lex_state = 38, .external_lex_state = 5},
  [993] = {.lex_state = 42, .external_lex_state = 2},
  [994] = {.lex_state = 38, .external_lex_state = 2},
  [995] = {.lex_state = 38, .external_lex_state = 5},
  [996] = {.lex_state = 38, .external_lex_state = 5},
  [997] = {.lex_state = 38, .external_lex_state = 5},
  [998] = {.lex_state = 38, .external_lex_state = 5},
  [999] = {.lex_state = 348, .external_lex_state = 5},
  [1000] = {.lex_state = 38, .external_lex_state = 5},
  [1001] = {.lex_state = 38, .external_lex_state = 5},
  [1002] = {.lex_state = 41, .external_lex_state = 5},
  [1003] = {.lex_state = 39, .external_lex_state = 2},
  [1004] = {.lex_state = 39, .external_lex_state = 2},
  [1005] = {.lex_state = 38, .external_lex_state = 5},
  [1006] = {.lex_state = 38, .external_lex_state = 5},
  [1007] = {.lex_state = 41, .external_lex_state = 5},
  [1008] = {.lex_state = 38, .external_lex_state = 2},
  [1009] = {.lex_state = 349, .external_lex_state = 5},
  [1010] = {.lex_state = 349, .external_lex_state = 5},
  [1011] = {.lex_state = 38, .external_lex_state = 2},
  [1012] = {.lex_state = 41, .external_lex_state = 2},
  [1013] = {.lex_state = 42, .external_lex_state = 2},
  [1014] = {.lex_state = 348, .external_lex_state = 2},
  [1015] = {.lex_state = 346, .external_lex_state = 5},
  [1016] = {.lex_state = 37, .external_lex_state = 5},
  [1017] = {.lex_state = 38, .external_lex_state = 2},
  [1018] = {.lex_state = 38, .external_lex_state = 2},
  [1019] = {.lex_state = 38, .external_lex_state = 2},
  [1020] = {.lex_state = 38, .external_lex_state = 2},
  [1021] = {.lex_state = 349, .external_lex_state = 2},
  [1022] = {.lex_state = 38, .external_lex_state = 2},
  [1023] = {.lex_state = 37, .external_lex_state = 5},
  [1024] = {.lex_state = 38, .external_lex_state = 2},
  [1025] = {.lex_state = 347, .external_lex_state = 2},
  [1026] = {.lex_state = 38, .external_lex_state = 2},
  [1027] = {.lex_state = 346, .external_lex_state = 2},
  [1028] = {.lex_state = 38, .external_lex_state = 2},
  [1029] = {.lex_state = 346, .external_lex_state = 5},
  [1030] = {.lex_state = 38, .external_lex_state = 2},
  [1031] = {.lex_state = 38, .external_lex_state = 2},
  [1032] = {.lex_state = 38, .external_lex_state = 2},
  [1033] = {.lex_state = 38, .external_lex_state = 2},
  [1034] = {.lex_state = 38, .external_lex_state = 2},
  [1035] = {.lex_state = 38, .external_lex_state = 2},
  [1036] = {.lex_state = 38, .external_lex_state = 2},
  [1037] = {.lex_state = 38, .external_lex_state = 2},
  [1038] = {.lex_state = 38, .external_lex_state = 2},
  [1039] = {.lex_state = 38, .external_lex_state = 2},
  [1040] = {.lex_state = 38, .external_lex_state = 2},
  [1041] = {.lex_state = 38, .external_lex_state = 2},
  [1042] = {.lex_state = 38, .external_lex_state = 2},
  [1043] = {.lex_state = 37, .external_lex_state = 5},
  [1044] = {.lex_state = 38, .external_lex_state = 2},
  [1045] = {.lex_state = 38, .external_lex_state = 2},
  [1046] = {.lex_state = 38, .external_lex_state = 2},
  [1047] = {.lex_state = 38, .external_lex_state = 2},
  [1048] = {.lex_state = 38, .external_lex_state = 2},
  [1049] = {.lex_state = 38, .external_lex_state = 2},
  [1050] = {.lex_state = 38, .external_lex_state = 2},
  [1051] = {.lex_state = 38, .external_lex_state = 2},
  [1052] = {.lex_state = 37, .external_lex_state = 5},
  [1053] = {.lex_state = 38, .external_lex_state = 2},
  [1054] = {.lex_state = 38, .external_lex_state = 2},
  [1055] = {.lex_state = 38, .external_lex_state = 2},
  [1056] = {.lex_state = 38, .external_lex_state = 2},
  [1057] = {.lex_state = 38, .external_lex_state = 2},
  [1058] = {.lex_state = 38, .external_lex_state = 2},
  [1059] = {.lex_state = 38, .external_lex_state = 2},
  [1060] = {.lex_state = 38, .external_lex_state = 2},
  [1061] = {.lex_state = 38, .external_lex_state = 2},
  [1062] = {.lex_state = 38, .external_lex_state = 2},
  [1063] = {.lex_state = 38, .external_lex_state = 2},
  [1064] = {.lex_state = 38, .external_lex_state = 2},
  [1065] = {.lex_state = 38, .external_lex_state = 2},
  [1066] = {.lex_state = 38, .external_lex_state = 2},
  [1067] = {.lex_state = 38, .external_lex_state = 2},
  [1068] = {.lex_state = 38, .external_lex_state = 2},
  [1069] = {.lex_state = 38, .external_lex_state = 2},
  [1070] = {.lex_state = 38, .external_lex_state = 2},
  [1071] = {.lex_state = 38, .external_lex_state = 2},
  [1072] = {.lex_state = 38, .external_lex_state = 2},
  [1073] = {.lex_state = 38, .external_lex_state = 2},
  [1074] = {.lex_state = 38, .external_lex_state = 2},
  [1075] = {.lex_state = 38, .external_lex_state = 2},
  [1076] = {.lex_state = 38, .external_lex_state = 2},
  [1077] = {.lex_state = 38, .external_lex_state = 2},
  [1078] = {.lex_state = 38, .external_lex_state = 2},
  [1079] = {.lex_state = 38, .external_lex_state = 2},
  [1080] = {.lex_state = 38, .external_lex_state = 2},
  [1081] = {.lex_state = 38, .external_lex_state = 2},
  [1082] = {.lex_state = 38, .external_lex_state = 2},
  [1083] = {.lex_state = 38, .external_lex_state = 2},
  [1084] = {.lex_state = 38, .external_lex_state = 2},
  [1085] = {.lex_state = 38, .external_lex_state = 2},
  [1086] = {.lex_state = 38, .external_lex_state = 2},
  [1087] = {.lex_state = 38, .external_lex_state = 2},
  [1088] = {.lex_state = 38, .external_lex_state = 2},
  [1089] = {.lex_state = 38, .external_lex_state = 2},
  [1090] = {.lex_state = 38, .external_lex_state = 2},
  [1091] = {.lex_state = 38, .external_lex_state = 2},
  [1092] = {.lex_state = 38, .external_lex_state = 2},
  [1093] = {.lex_state = 38, .external_lex_state = 2},
  [1094] = {.lex_state = 37, .external_lex_state = 5},
  [1095] = {.lex_state = 37, .external_lex_state = 5},
  [1096] = {.lex_state = 38, .external_lex_state = 2},
  [1097] = {.lex_state = 38, .external_lex_state = 2},
  [1098] = {.lex_state = 38, .external_lex_state = 2},
  [1099] = {.lex_state = 38, .external_lex_state = 2},
  [1100] = {.lex_state = 38, .external_lex_state = 2},
  [1101] = {.lex_state = 38, .external_lex_state = 2},
  [1102] = {.lex_state = 38, .external_lex_state = 2},
  [1103] = {.lex_state = 38, .external_lex_state = 2},
  [1104] = {.lex_state = 38, .external_lex_state = 2},
  [1105] = {.lex_state = 38, .external_lex_state = 2},
  [1106] = {.lex_state = 38, .external_lex_state = 2},
  [1107] = {.lex_state = 38, .external_lex_state = 2},
  [1108] = {.lex_state = 346, .external_lex_state = 2},
  [1109] = {.lex_state = 38, .external_lex_state = 2},
  [1110] = {.lex_state = 38, .external_lex_state = 2},
  [1111] = {.lex_state = 38, .external_lex_state = 2},
  [1112] = {.lex_state = 38, .external_lex_state = 2},
  [1113] = {.lex_state = 38, .external_lex_state = 2},
  [1114] = {.lex_state = 38, .external_lex_state = 2},
  [1115] = {.lex_state = 37, .external_lex_state = 5},
  [1116] = {.lex_state = 38, .external_lex_state = 2},
  [1117] = {.lex_state = 38, .external_lex_state = 2},
  [1118] = {.lex_state = 38, .external_lex_state = 2},
  [1119] = {.lex_state = 38, .external_lex_state = 2},
  [1120] = {.lex_state = 38, .external_lex_state = 2},
  [1121] = {.lex_state = 38, .external_lex_state = 2},
  [1122] = {.lex_state = 38, .external_lex_state = 2},
  [1123] = {.lex_state = 38, .external_lex_state = 2},
  [1124] = {.lex_state = 38, .external_lex_state = 2},
  [1125] = {.lex_state = 38, .external_lex_state = 2},
  [1126] = {.lex_state = 38, .external_lex_state = 2},
  [1127] = {.lex_state = 38, .external_lex_state = 2},
  [1128] = {.lex_state = 349, .external_lex_state = 2},
  [1129] = {.lex_state = 38, .external_lex_state = 2},
  [1130] = {.lex_state = 38, .external_lex_state = 2},
  [1131] = {.lex_state = 38, .external_lex_state = 2},
  [1132] = {.lex_state = 38, .external_lex_state = 2},
  [1133] = {.lex_state = 38, .external_lex_state = 2},
  [1134] = {.lex_state = 38, .external_lex_state = 2},
  [1135] = {.lex_state = 38, .external_lex_state = 2},
  [1136] = {.lex_state = 38, .external_lex_state = 2},
  [1137] = {.lex_state = 38, .external_lex_state = 2},
  [1138] = {.lex_state = 38, .external_lex_state = 2},
  [1139] = {.lex_state = 38, .external_lex_state = 2},
  [1140] = {.lex_state = 38, .external_lex_state = 2},
  [1141] = {.lex_state = 38, .external_lex_state = 2},
  [1142] = {.lex_state = 38, .external_lex_state = 2},
  [1143] = {.lex_state = 38, .external_lex_state = 2},
  [1144] = {.lex_state = 38, .external_lex_state = 2},
  [1145] = {.lex_state = 38, .external_lex_state = 2},
  [1146] = {.lex_state = 38, .external_lex_state = 2},
  [1147] = {.lex_state = 38, .external_lex_state = 2},
  [1148] = {.lex_state = 38, .external_lex_state = 2},
  [1149] = {.lex_state = 346, .external_lex_state = 5},
  [1150] = {.lex_state = 38, .external_lex_state = 2},
  [1151] = {.lex_state = 38, .external_lex_state = 2},
  [1152] = {.lex_state = 37, .external_lex_state = 5},
  [1153] = {.lex_state = 38, .external_lex_state = 2},
  [1154] = {.lex_state = 37, .external_lex_state = 5},
  [1155] = {.lex_state = 37, .external_lex_state = 5},
  [1156] = {.lex_state = 38, .external_lex_state = 2},
  [1157] = {.lex_state = 346, .external_lex_state = 2},
  [1158] = {.lex_state = 41, .external_lex_state = 2},
  [1159] = {.lex_state = 41, .external_lex_state = 2},
  [1160] = {.lex_state = 38, .external_lex_state = 2},
  [1161] = {.lex_state = 347, .external_lex_state = 5},
  [1162] = {.lex_state = 347, .external_lex_state = 5},
  [1163] = {.lex_state = 348, .external_lex_state = 2},
  [1164] = {.lex_state = 37, .external_lex_state = 2},
  [1165] = {.lex_state = 38, .external_lex_state = 2},
  [1166] = {.lex_state = 346, .external_lex_state = 2},
  [1167] = {.lex_state = 346, .external_lex_state = 2},
  [1168] = {.lex_state = 38, .external_lex_state = 2},
  [1169] = {.lex_state = 38, .external_lex_state = 2},
  [1170] = {.lex_state = 346, .external_lex_state = 5},
  [1171] = {.lex_state = 38, .external_lex_state = 2},
  [1172] = {.lex_state = 348, .external_lex_state = 2},
  [1173] = {.lex_state = 38, .external_lex_state = 2},
  [1174] = {.lex_state = 38, .external_lex_state = 2},
  [1175] = {.lex_state = 38, .external_lex_state = 2},
  [1176] = {.lex_state = 41, .external_lex_state = 2},
  [1177] = {.lex_state = 41, .external_lex_state = 2},
  [1178] = {.lex_state = 38, .external_lex_state = 2},
  [1179] = {.lex_state = 38, .external_lex_state = 2},
  [1180] = {.lex_state = 37, .external_lex_state = 5},
  [1181] = {.lex_state = 37, .external_lex_state = 5},
  [1182] = {.lex_state = 346, .external_lex_state = 5},
  [1183] = {.lex_state = 346, .external_lex_state = 5},
  [1184] = {.lex_state = 346, .external_lex_state = 5},
  [1185] = {.lex_state = 346, .external_lex_state = 5},
  [1186] = {.lex_state = 38, .external_lex_state = 2},
  [1187] = {.lex_state = 38, .external_lex_state = 2},
  [1188] = {.lex_state = 38, .external_lex_state = 2},
  [1189] = {.lex_state = 346, .external_lex_state = 5},
  [1190] = {.lex_state = 38, .external_lex_state = 2},
  [1191] = {.lex_state = 38, .external_lex_state = 2},
  [1192] = {.lex_state = 38, .external_lex_state = 2},
  [1193] = {.lex_state = 345, .external_lex_state = 2},
  [1194] = {.lex_state = 345, .external_lex_state = 2},
  [1195] = {.lex_state = 38, .external_lex_state = 2},
  [1196] = {.lex_state = 41, .external_lex_state = 2},
  [1197] = {.lex_state = 38, .external_lex_state = 2},
  [1198] = {.lex_state = 38, .external_lex_state = 2},
  [1199] = {.lex_state = 346, .external_lex_state = 5},
  [1200] = {.lex_state = 38, .external_lex_state = 2},
  [1201] = {.lex_state = 37, .external_lex_state = 2},
  [1202] = {.lex_state = 346, .external_lex_state = 5},
  [1203] = {.lex_state = 346, .external_lex_state = 5},
  [1204] = {.lex_state = 346, .external_lex_state = 5},
  [1205] = {.lex_state = 348, .external_lex_state = 2},
  [1206] = {.lex_state = 37, .external_lex_state = 2},
  [1207] = {.lex_state = 346, .external_lex_state = 5},
  [1208] = {.lex_state = 346, .external_lex_state = 5},
  [1209] = {.lex_state = 38, .external_lex_state = 2},
  [1210] = {.lex_state = 37, .external_lex_state = 5},
  [1211] = {.lex_state = 346, .external_lex_state = 5},
  [1212] = {.lex_state = 346, .external_lex_state = 5},
  [1213] = {.lex_state = 346, .external_lex_state = 5},
  [1214] = {.lex_state = 348, .external_lex_state = 2},
  [1215] = {.lex_state = 348, .external_lex_state = 2},
  [1216] = {.lex_state = 38, .external_lex_state = 2},
  [1217] = {.lex_state = 38, .external_lex_state = 2},
  [1218] = {.lex_state = 346, .external_lex_state = 5},
  [1219] = {.lex_state = 38, .external_lex_state = 2},
  [1220] = {.lex_state = 37, .external_lex_state = 5},
  [1221] = {.lex_state = 37, .external_lex_state = 5},
  [1222] = {.lex_state = 346, .external_lex_state = 5},
  [1223] = {.lex_state = 37, .external_lex_state = 5},
  [1224] = {.lex_state = 37, .external_lex_state = 5},
  [1225] = {.lex_state = 38, .external_lex_state = 2},
  [1226] = {.lex_state = 38, .external_lex_state = 2},
  [1227] = {.lex_state = 38, .external_lex_state = 2},
  [1228] = {.lex_state = 37, .external_lex_state = 5},
  [1229] = {.lex_state = 38, .external_lex_state = 2},
  [1230] = {.lex_state = 37, .external_lex_state = 5},
  [1231] = {.lex_state = 38, .external_lex_state = 2},
  [1232] = {.lex_state = 38, .external_lex_state = 2},
  [1233] = {.lex_state = 38, .external_lex_state = 2},
  [1234] = {.lex_state = 37, .external_lex_state = 5},
  [1235] = {.lex_state = 38, .external_lex_state = 2},
  [1236] = {.lex_state = 38, .external_lex_state = 2},
  [1237] = {.lex_state = 38, .external_lex_state = 2},
  [1238] = {.lex_state = 38, .external_lex_state = 2},
  [1239] = {.lex_state = 346, .external_lex_state = 2},
  [1240] = {.lex_state = 346, .external_lex_state = 2},
  [1241] = {.lex_state = 346, .external_lex_state = 2},
  [1242] = {.lex_state = 37, .external_lex_state = 2},
  [1243] = {.lex_state = 345, .external_lex_state = 5},
  [1244] = {.lex_state = 345, .external_lex_state = 5},
  [1245] = {.lex_state = 346, .external_lex_state = 2},
  [1246] = {.lex_state = 345, .external_lex_state = 5},
  [1247] = {.lex_state = 37, .external_lex_state = 2},
  [1248] = {.lex_state = 346, .external_lex_state = 2},
  [1249] = {.lex_state = 346, .external_lex_state = 2},
  [1250] = {.lex_state = 37, .external_lex_state = 2},
  [1251] = {.lex_state = 345, .external_lex_state = 5},
  [1252] = {.lex_state = 37, .external_lex_state = 2},
  [1253] = {.lex_state = 37, .external_lex_state = 2},
  [1254] = {.lex_state = 37, .external_lex_state = 2},
  [1255] = {.lex_state = 37, .external_lex_state = 2},
  [1256] = {.lex_state = 37, .external_lex_state = 2},
  [1257] = {.lex_state = 37, .external_lex_state = 2},
  [1258] = {.lex_state = 37, .external_lex_state = 2},
  [1259] = {.lex_state = 346, .external_lex_state = 2},
  [1260] = {.lex_state = 346, .external_lex_state = 2},
  [1261] = {.lex_state = 346, .external_lex_state = 2},
  [1262] = {.lex_state = 346, .external_lex_state = 2},
  [1263] = {.lex_state = 37, .external_lex_state = 2},
  [1264] = {.lex_state = 37, .external_lex_state = 2},
  [1265] = {.lex_state = 37, .external_lex_state = 2},
  [1266] = {.lex_state = 37, .external_lex_state = 2},
  [1267] = {.lex_state = 346, .external_lex_state = 2},
  [1268] = {.lex_state = 346, .external_lex_state = 2},
  [1269] = {.lex_state = 345, .external_lex_state = 5},
  [1270] = {.lex_state = 37, .external_lex_state = 2},
  [1271] = {.lex_state = 346, .external_lex_state = 2},
  [1272] = {.lex_state = 345, .external_lex_state = 5},
  [1273] = {.lex_state = 346, .external_lex_state = 2},
  [1274] = {.lex_state = 346, .external_lex_state = 2},
  [1275] = {.lex_state = 346, .external_lex_state = 2},
  [1276] = {.lex_state = 346, .external_lex_state = 2},
  [1277] = {.lex_state = 346, .external_lex_state = 2},
  [1278] = {.lex_state = 37, .external_lex_state = 2},
  [1279] = {.lex_state = 37, .external_lex_state = 2},
  [1280] = {.lex_state = 346, .external_lex_state = 2},
  [1281] = {.lex_state = 346, .external_lex_state = 2},
  [1282] = {.lex_state = 37, .external_lex_state = 2},
  [1283] = {.lex_state = 37, .external_lex_state = 2},
  [1284] = {.lex_state = 346, .external_lex_state = 2},
  [1285] = {.lex_state = 37, .external_lex_state = 2},
  [1286] = {.lex_state = 37, .external_lex_state = 2},
  [1287] = {.lex_state = 37, .external_lex_state = 2},
  [1288] = {.lex_state = 346, .external_lex_state = 2},
  [1289] = {.lex_state = 346, .external_lex_state = 2},
  [1290] = {.lex_state = 37, .external_lex_state = 2},
  [1291] = {.lex_state = 346, .external_lex_state = 2},
  [1292] = {.lex_state = 37, .external_lex_state = 2},
  [1293] = {.lex_state = 346, .external_lex_state = 2},
  [1294] = {.lex_state = 37, .external_lex_state = 2},
  [1295] = {.lex_state = 346, .external_lex_state = 2},
  [1296] = {.lex_state = 346, .external_lex_state = 2},
  [1297] = {.lex_state = 346, .external_lex_state = 2},
  [1298] = {.lex_state = 37, .external_lex_state = 2},
  [1299] = {.lex_state = 346, .external_lex_state = 2},
  [1300] = {.lex_state = 346, .external_lex_state = 2},
  [1301] = {.lex_state = 37, .external_lex_state = 2},
  [1302] = {.lex_state = 37, .external_lex_state = 2},
  [1303] = {.lex_state = 347, .external_lex_state = 2},
  [1304] = {.lex_state = 37, .external_lex_state = 2},
  [1305] = {.lex_state = 37, .external_lex_state = 2},
  [1306] = {.lex_state = 37, .external_lex_state = 2},
  [1307] = {.lex_state = 37, .external_lex_state = 2},
  [1308] = {.lex_state = 37, .external_lex_state = 2},
  [1309] = {.lex_state = 37, .external_lex_state = 2},
  [1310] = {.lex_state = 37, .external_lex_state = 2},
  [1311] = {.lex_state = 37, .external_lex_state = 2},
  [1312] = {.lex_state = 346, .external_lex_state = 2},
  [1313] = {.lex_state = 37, .external_lex_state = 2},
  [1314] = {.lex_state = 346, .external_lex_state = 2},
  [1315] = {.lex_state = 346, .external_lex_state = 2},
  [1316] = {.lex_state = 37, .external_lex_state = 2},
  [1317] = {.lex_state = 345, .external_lex_state = 2},
  [1318] = {.lex_state = 37, .external_lex_state = 2},
  [1319] = {.lex_state = 345, .external_lex_state = 2},
  [1320] = {.lex_state = 37, .external_lex_state = 2},
  [1321] = {.lex_state = 37, .external_lex_state = 2},
  [1322] = {.lex_state = 346, .external_lex_state = 2},
  [1323] = {.lex_state = 37, .external_lex_state = 2},
  [1324] = {.lex_state = 37, .external_lex_state = 2},
  [1325] = {.lex_state = 37, .external_lex_state = 2},
  [1326] = {.lex_state = 37, .external_lex_state = 2},
  [1327] = {.lex_state = 346, .external_lex_state = 2},
  [1328] = {.lex_state = 346, .external_lex_state = 2},
  [1329] = {.lex_state = 37, .external_lex_state = 2},
  [1330] = {.lex_state = 346, .external_lex_state = 2},
  [1331] = {.lex_state = 345, .external_lex_state = 5},
  [1332] = {.lex_state = 345, .external_lex_state = 5},
  [1333] = {.lex_state = 37, .external_lex_state = 2},
  [1334] = {.lex_state = 346, .external_lex_state = 2},
  [1335] = {.lex_state = 346, .external_lex_state = 2},
  [1336] = {.lex_state = 346, .external_lex_state = 2},
  [1337] = {.lex_state = 37, .external_lex_state = 2},
  [1338] = {.lex_state = 37, .external_lex_state = 2},
  [1339] = {.lex_state = 346, .external_lex_state = 2},
  [1340] = {.lex_state = 346, .external_lex_state = 2},
  [1341] = {.lex_state = 37, .external_lex_state = 2},
  [1342] = {.lex_state = 37, .external_lex_state = 2},
  [1343] = {.lex_state = 346, .external_lex_state = 2},
  [1344] = {.lex_state = 345, .external_lex_state = 5},
  [1345] = {.lex_state = 346, .external_lex_state = 2},
  [1346] = {.lex_state = 346, .external_lex_state = 2},
  [1347] = {.lex_state = 346, .external_lex_state = 2},
  [1348] = {.lex_state = 346, .external_lex_state = 2},
  [1349] = {.lex_state = 346, .external_lex_state = 2},
  [1350] = {.lex_state = 37, .external_lex_state = 2},
  [1351] = {.lex_state = 346, .external_lex_state = 2},
  [1352] = {.lex_state = 346, .external_lex_state = 2},
  [1353] = {.lex_state = 346, .external_lex_state = 2},
  [1354] = {.lex_state = 346, .external_lex_state = 2},
  [1355] = {.lex_state = 346, .external_lex_state = 2},
  [1356] = {.lex_state = 346, .external_lex_state = 2},
  [1357] = {.lex_state = 37, .external_lex_state = 2},
  [1358] = {.lex_state = 346, .external_lex_state = 2},
  [1359] = {.lex_state = 346, .external_lex_state = 2},
  [1360] = {.lex_state = 346, .external_lex_state = 2},
  [1361] = {.lex_state = 345, .external_lex_state = 5},
  [1362] = {.lex_state = 37, .external_lex_state = 2},
  [1363] = {.lex_state = 346, .external_lex_state = 2},
  [1364] = {.lex_state = 346, .external_lex_state = 2},
  [1365] = {.lex_state = 346, .external_lex_state = 2},
  [1366] = {.lex_state = 37, .external_lex_state = 2},
  [1367] = {.lex_state = 37, .external_lex_state = 2},
  [1368] = {.lex_state = 346, .external_lex_state = 2},
  [1369] = {.lex_state = 346, .external_lex_state = 2},
  [1370] = {.lex_state = 346, .external_lex_state = 2},
  [1371] = {.lex_state = 37, .external_lex_state = 2},
  [1372] = {.lex_state = 347, .external_lex_state = 2},
  [1373] = {.lex_state = 37, .external_lex_state = 2},
  [1374] = {.lex_state = 345, .external_lex_state = 2},
  [1375] = {.lex_state = 346, .external_lex_state = 2},
  [1376] = {.lex_state = 37, .external_lex_state = 2},
  [1377] = {.lex_state = 37, .external_lex_state = 2},
  [1378] = {.lex_state = 345, .external_lex_state = 5},
  [1379] = {.lex_state = 37, .external_lex_state = 2},
  [1380] = {.lex_state = 346, .external_lex_state = 2},
  [1381] = {.lex_state = 346, .external_lex_state = 2},
  [1382] = {.lex_state = 347, .external_lex_state = 2},
  [1383] = {.lex_state = 37, .external_lex_state = 2},
  [1384] = {.lex_state = 346, .external_lex_state = 2},
  [1385] = {.lex_state = 37, .external_lex_state = 2},
  [1386] = {.lex_state = 37, .external_lex_state = 2},
  [1387] = {.lex_state = 37, .external_lex_state = 2},
  [1388] = {.lex_state = 346, .external_lex_state = 2},
  [1389] = {.lex_state = 346, .external_lex_state = 2},
  [1390] = {.lex_state = 346, .external_lex_state = 2},
  [1391] = {.lex_state = 37, .external_lex_state = 2},
  [1392] = {.lex_state = 346, .external_lex_state = 2},
  [1393] = {.lex_state = 346, .external_lex_state = 2},
  [1394] = {.lex_state = 347, .external_lex_state = 2},
  [1395] = {.lex_state = 346, .external_lex_state = 2},
  [1396] = {.lex_state = 37, .external_lex_state = 2},
  [1397] = {.lex_state = 37, .external_lex_state = 2},
  [1398] = {.lex_state = 346, .external_lex_state = 2},
  [1399] = {.lex_state = 346, .external_lex_state = 2},
  [1400] = {.lex_state = 346, .external_lex_state = 2},
  [1401] = {.lex_state = 346, .external_lex_state = 2},
  [1402] = {.lex_state = 346, .external_lex_state = 2},
  [1403] = {.lex_state = 346, .external_lex_state = 2},
  [1404] = {.lex_state = 346, .external_lex_state = 2},
  [1405] = {.lex_state = 37, .external_lex_state = 2},
  [1406] = {.lex_state = 346, .external_lex_state = 2},
  [1407] = {.lex_state = 346, .external_lex_state = 2},
  [1408] = {.lex_state = 346, .external_lex_state = 2},
  [1409] = {.lex_state = 37, .external_lex_state = 2},
  [1410] = {.lex_state = 346, .external_lex_state = 2},
  [1411] = {.lex_state = 37, .external_lex_state = 2},
  [1412] = {.lex_state = 37, .external_lex_state = 2},
  [1413] = {.lex_state = 346, .external_lex_state = 2},
  [1414] = {.lex_state = 346, .external_lex_state = 2},
  [1415] = {.lex_state = 346, .external_lex_state = 2},
  [1416] = {.lex_state = 346, .external_lex_state = 2},
  [1417] = {.lex_state = 346, .external_lex_state = 2},
  [1418] = {.lex_state = 346, .external_lex_state = 2},
  [1419] = {.lex_state = 346, .external_lex_state = 2},
  [1420] = {.lex_state = 37, .external_lex_state = 2},
  [1421] = {.lex_state = 346, .external_lex_state = 2},
  [1422] = {.lex_state = 37, .external_lex_state = 2},
  [1423] = {.lex_state = 346, .external_lex_state = 2},
  [1424] = {.lex_state = 37, .external_lex_state = 2},
  [1425] = {.lex_state = 37, .external_lex_state = 2},
  [1426] = {.lex_state = 37, .external_lex_state = 2},
  [1427] = {.lex_state = 37, .external_lex_state = 2},
  [1428] = {.lex_state = 37, .external_lex_state = 2},
  [1429] = {.lex_state = 346, .external_lex_state = 2},
  [1430] = {.lex_state = 346, .external_lex_state = 2},
  [1431] = {.lex_state = 346, .external_lex_state = 2},
  [1432] = {.lex_state = 37, .external_lex_state = 2},
  [1433] = {.lex_state = 37, .external_lex_state = 2},
  [1434] = {.lex_state = 37, .external_lex_state = 2},
  [1435] = {.lex_state = 346, .external_lex_state = 2},
  [1436] = {.lex_state = 346, .external_lex_state = 2},
  [1437] = {.lex_state = 346, .external_lex_state = 2},
  [1438] = {.lex_state = 346, .external_lex_state = 2},
  [1439] = {.lex_state = 37, .external_lex_state = 2},
  [1440] = {.lex_state = 346, .external_lex_state = 2},
  [1441] = {.lex_state = 346, .external_lex_state = 2},
  [1442] = {.lex_state = 346, .external_lex_state = 2},
  [1443] = {.lex_state = 346, .external_lex_state = 2},
  [1444] = {.lex_state = 346, .external_lex_state = 2},
  [1445] = {.lex_state = 37, .external_lex_state = 2},
  [1446] = {.lex_state = 37, .external_lex_state = 2},
  [1447] = {.lex_state = 346, .external_lex_state = 2},
  [1448] = {.lex_state = 346, .external_lex_state = 2},
  [1449] = {.lex_state = 346, .external_lex_state = 2},
  [1450] = {.lex_state = 37, .external_lex_state = 2},
  [1451] = {.lex_state = 346, .external_lex_state = 2},
  [1452] = {.lex_state = 346, .external_lex_state = 2},
  [1453] = {.lex_state = 346, .external_lex_state = 2},
  [1454] = {.lex_state = 346, .external_lex_state = 2},
  [1455] = {.lex_state = 37, .external_lex_state = 2},
  [1456] = {.lex_state = 346, .external_lex_state = 2},
  [1457] = {.lex_state = 346, .external_lex_state = 2},
  [1458] = {.lex_state = 37, .external_lex_state = 2},
  [1459] = {.lex_state = 346, .external_lex_state = 2},
  [1460] = {.lex_state = 37, .external_lex_state = 2},
  [1461] = {.lex_state = 346, .external_lex_state = 2},
  [1462] = {.lex_state = 346, .external_lex_state = 2},
  [1463] = {.lex_state = 346, .external_lex_state = 2},
  [1464] = {.lex_state = 346, .external_lex_state = 2},
  [1465] = {.lex_state = 346, .external_lex_state = 2},
  [1466] = {.lex_state = 346, .external_lex_state = 2},
  [1467] = {.lex_state = 346, .external_lex_state = 2},
  [1468] = {.lex_state = 37, .external_lex_state = 2},
  [1469] = {.lex_state = 37, .external_lex_state = 2},
  [1470] = {.lex_state = 346, .external_lex_state = 2},
  [1471] = {.lex_state = 345, .external_lex_state = 5},
  [1472] = {.lex_state = 37, .external_lex_state = 2},
  [1473] = {.lex_state = 346, .external_lex_state = 2},
  [1474] = {.lex_state = 346, .external_lex_state = 2},
  [1475] = {.lex_state = 346, .external_lex_state = 2},
  [1476] = {.lex_state = 346, .external_lex_state = 2},
  [1477] = {.lex_state = 37, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 2},
  [1479] = {.lex_state = 346, .external_lex_state = 2},
  [1480] = {.lex_state = 37, .external_lex_state = 2},
  [1481] = {.lex_state = 346, .external_lex_state = 2},
  [1482] = {.lex_state = 37, .external_lex_state = 2},
  [1483] = {.lex_state = 37, .external_lex_state = 2},
  [1484] = {.lex_state = 37, .external_lex_state = 2},
  [1485] = {.lex_state = 37, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 2},
  [1487] = {.lex_state = 37, .external_lex_state = 2},
  [1488] = {.lex_state = 346, .external_lex_state = 2},
  [1489] = {.lex_state = 346, .external_lex_state = 2},
  [1490] = {.lex_state = 346, .external_lex_state = 2},
  [1491] = {.lex_state = 37, .external_lex_state = 2},
  [1492] = {.lex_state = 346, .external_lex_state = 2},
  [1493] = {.lex_state = 346, .external_lex_state = 2},
  [1494] = {.lex_state = 37, .external_lex_state = 2},
  [1495] = {.lex_state = 346, .external_lex_state = 2},
  [1496] = {.lex_state = 37, .external_lex_state = 2},
  [1497] = {.lex_state = 346, .external_lex_state = 2},
  [1498] = {.lex_state = 346, .external_lex_state = 2},
  [1499] = {.lex_state = 37, .external_lex_state = 2},
  [1500] = {.lex_state = 346, .external_lex_state = 2},
  [1501] = {.lex_state = 346, .external_lex_state = 2},
  [1502] = {.lex_state = 346, .external_lex_state = 2},
  [1503] = {.lex_state = 37, .external_lex_state = 2},
  [1504] = {.lex_state = 346, .external_lex_state = 2},
  [1505] = {.lex_state = 346, .external_lex_state = 2},
  [1506] = {.lex_state = 346, .external_lex_state = 2},
  [1507] = {.lex_state = 37, .external_lex_state = 2},
  [1508] = {.lex_state = 37, .external_lex_state = 2},
  [1509] = {.lex_state = 346, .external_lex_state = 2},
  [1510] = {.lex_state = 37, .external_lex_state = 2},
  [1511] = {.lex_state = 37, .external_lex_state = 2},
  [1512] = {.lex_state = 37, .external_lex_state = 2},
  [1513] = {.lex_state = 346, .external_lex_state = 2},
  [1514] = {.lex_state = 346, .external_lex_state = 2},
  [1515] = {.lex_state = 37, .external_lex_state = 2},
  [1516] = {.lex_state = 37, .external_lex_state = 2},
  [1517] = {.lex_state = 37, .external_lex_state = 2},
  [1518] = {.lex_state = 37, .external_lex_state = 2},
  [1519] = {.lex_state = 37, .external_lex_state = 2},
  [1520] = {.lex_state = 37, .external_lex_state = 2},
  [1521] = {.lex_state = 37, .external_lex_state = 2},
  [1522] = {.lex_state = 37, .external_lex_state = 2},
  [1523] = {.lex_state = 345, .external_lex_state = 5},
  [1524] = {.lex_state = 346, .external_lex_state = 2},
  [1525] = {.lex_state = 345, .external_lex_state = 5},
  [1526] = {.lex_state = 345, .external_lex_state = 5},
  [1527] = {.lex_state = 345, .external_lex_state = 5},
  [1528] = {.lex_state = 37, .external_lex_state = 2},
  [1529] = {.lex_state = 345, .external_lex_state = 5},
  [1530] = {.lex_state = 37, .external_lex_state = 2},
  [1531] = {.lex_state = 37, .external_lex_state = 2},
  [1532] = {.lex_state = 346, .external_lex_state = 2},
  [1533] = {.lex_state = 37, .external_lex_state = 2},
  [1534] = {.lex_state = 37, .external_lex_state = 2},
  [1535] = {.lex_state = 346, .external_lex_state = 2},
  [1536] = {.lex_state = 37, .external_lex_state = 2},
  [1537] = {.lex_state = 37, .external_lex_state = 2},
  [1538] = {.lex_state = 37, .external_lex_state = 2},
  [1539] = {.lex_state = 346, .external_lex_state = 2},
  [1540] = {.lex_state = 37, .external_lex_state = 2},
  [1541] = {.lex_state = 37, .external_lex_state = 2},
  [1542] = {.lex_state = 37, .external_lex_state = 2},
  [1543] = {.lex_state = 346, .external_lex_state = 2},
  [1544] = {.lex_state = 346, .external_lex_state = 2},
  [1545] = {.lex_state = 37, .external_lex_state = 2},
  [1546] = {.lex_state = 37, .external_lex_state = 2},
  [1547] = {.lex_state = 37, .external_lex_state = 2},
  [1548] = {.lex_state = 37, .external_lex_state = 2},
  [1549] = {.lex_state = 37, .external_lex_state = 2},
  [1550] = {.lex_state = 37, .external_lex_state = 2},
  [1551] = {.lex_state = 37, .external_lex_state = 2},
  [1552] = {.lex_state = 37, .external_lex_state = 2},
  [1553] = {.lex_state = 345, .external_lex_state = 5},
  [1554] = {.lex_state = 37, .external_lex_state = 2},
  [1555] = {.lex_state = 346, .external_lex_state = 2},
  [1556] = {.lex_state = 37, .external_lex_state = 2},
  [1557] = {.lex_state = 346, .external_lex_state = 2},
  [1558] = {.lex_state = 37, .external_lex_state = 2},
  [1559] = {.lex_state = 37, .external_lex_state = 2},
  [1560] = {.lex_state = 346, .external_lex_state = 2},
  [1561] = {.lex_state = 37, .external_lex_state = 2},
  [1562] = {.lex_state = 346, .external_lex_state = 2},
  [1563] = {.lex_state = 37, .external_lex_state = 2},
  [1564] = {.lex_state = 37, .external_lex_state = 2},
  [1565] = {.lex_state = 347, .external_lex_state = 2},
  [1566] = {.lex_state = 37, .external_lex_state = 2},
  [1567] = {.lex_state = 346, .external_lex_state = 2},
  [1568] = {.lex_state = 345, .external_lex_state = 5},
  [1569] = {.lex_state = 346, .external_lex_state = 2},
  [1570] = {.lex_state = 346, .external_lex_state = 2},
  [1571] = {.lex_state = 37, .external_lex_state = 2},
  [1572] = {.lex_state = 345, .external_lex_state = 5},
  [1573] = {.lex_state = 37, .external_lex_state = 2},
  [1574] = {.lex_state = 37, .external_lex_state = 2},
  [1575] = {.lex_state = 37, .external_lex_state = 2},
  [1576] = {.lex_state = 37, .external_lex_state = 2},
  [1577] = {.lex_state = 37, .external_lex_state = 2},
  [1578] = {.lex_state = 37, .external_lex_state = 2},
  [1579] = {.lex_state = 37, .external_lex_state = 2},
  [1580] = {.lex_state = 37, .external_lex_state = 2},
  [1581] = {.lex_state = 37, .external_lex_state = 2},
  [1582] = {.lex_state = 37, .external_lex_state = 2},
  [1583] = {.lex_state = 37, .external_lex_state = 2},
  [1584] = {.lex_state = 37, .external_lex_state = 2},
  [1585] = {.lex_state = 37, .external_lex_state = 2},
  [1586] = {.lex_state = 345, .external_lex_state = 2},
  [1587] = {.lex_state = 345, .external_lex_state = 2},
  [1588] = {.lex_state = 345, .external_lex_state = 2},
  [1589] = {.lex_state = 345, .external_lex_state = 2},
  [1590] = {.lex_state = 345, .external_lex_state = 2},
  [1591] = {.lex_state = 345, .external_lex_state = 2},
  [1592] = {.lex_state = 345, .external_lex_state = 2},
  [1593] = {.lex_state = 345, .external_lex_state = 2},
  [1594] = {.lex_state = 345, .external_lex_state = 2},
  [1595] = {.lex_state = 345, .external_lex_state = 2},
  [1596] = {.lex_state = 345, .external_lex_state = 2},
  [1597] = {.lex_state = 345, .external_lex_state = 2},
  [1598] = {.lex_state = 345, .external_lex_state = 2},
  [1599] = {.lex_state = 345, .external_lex_state = 2},
  [1600] = {.lex_state = 345, .external_lex_state = 2},
  [1601] = {.lex_state = 345, .external_lex_state = 2},
  [1602] = {.lex_state = 345, .external_lex_state = 2},
  [1603] = {.lex_state = 345, .external_lex_state = 2},
  [1604] = {.lex_state = 345, .external_lex_state = 2},
  [1605] = {.lex_state = 345, .external_lex_state = 2},
  [1606] = {.lex_state = 345, .external_lex_state = 2},
  [1607] = {.lex_state = 345, .external_lex_state = 2},
  [1608] = {.lex_state = 345, .external_lex_state = 2},
  [1609] = {.lex_state = 345, .external_lex_state = 2},
  [1610] = {.lex_state = 345, .external_lex_state = 2},
  [1611] = {.lex_state = 345, .external_lex_state = 2},
  [1612] = {.lex_state = 345, .external_lex_state = 2},
  [1613] = {.lex_state = 345, .external_lex_state = 2},
  [1614] = {.lex_state = 345, .external_lex_state = 2},
  [1615] = {.lex_state = 345, .external_lex_state = 2},
  [1616] = {.lex_state = 345, .external_lex_state = 2},
  [1617] = {.lex_state = 345, .external_lex_state = 2},
  [1618] = {.lex_state = 345, .external_lex_state = 2},
  [1619] = {.lex_state = 345, .external_lex_state = 2},
  [1620] = {.lex_state = 345, .external_lex_state = 2},
  [1621] = {.lex_state = 345, .external_lex_state = 2},
  [1622] = {.lex_state = 345, .external_lex_state = 2},
  [1623] = {.lex_state = 345, .external_lex_state = 2},
  [1624] = {.lex_state = 345, .external_lex_state = 2},
  [1625] = {.lex_state = 345, .external_lex_state = 2},
  [1626] = {.lex_state = 345, .external_lex_state = 2},
  [1627] = {.lex_state = 345, .external_lex_state = 2},
  [1628] = {.lex_state = 345, .external_lex_state = 2},
  [1629] = {.lex_state = 345, .external_lex_state = 2},
  [1630] = {.lex_state = 345, .external_lex_state = 2},
  [1631] = {.lex_state = 345, .external_lex_state = 2},
  [1632] = {.lex_state = 345, .external_lex_state = 2},
  [1633] = {.lex_state = 345, .external_lex_state = 2},
  [1634] = {.lex_state = 345, .external_lex_state = 2},
  [1635] = {.lex_state = 345, .external_lex_state = 2},
  [1636] = {.lex_state = 345, .external_lex_state = 2},
  [1637] = {.lex_state = 345, .external_lex_state = 2},
  [1638] = {.lex_state = 345, .external_lex_state = 2},
  [1639] = {.lex_state = 345, .external_lex_state = 2},
  [1640] = {.lex_state = 345, .external_lex_state = 2},
  [1641] = {.lex_state = 345, .external_lex_state = 2},
  [1642] = {.lex_state = 345, .external_lex_state = 2},
  [1643] = {.lex_state = 345, .external_lex_state = 2},
  [1644] = {.lex_state = 345, .external_lex_state = 2},
  [1645] = {.lex_state = 345, .external_lex_state = 2},
  [1646] = {.lex_state = 345, .external_lex_state = 2},
  [1647] = {.lex_state = 345, .external_lex_state = 2},
  [1648] = {.lex_state = 345, .external_lex_state = 2},
  [1649] = {.lex_state = 345, .external_lex_state = 2},
  [1650] = {.lex_state = 345, .external_lex_state = 2},
  [1651] = {.lex_state = 345, .external_lex_state = 2},
  [1652] = {.lex_state = 345, .external_lex_state = 2},
  [1653] = {.lex_state = 345, .external_lex_state = 2},
  [1654] = {.lex_state = 345, .external_lex_state = 2},
  [1655] = {.lex_state = 345, .external_lex_state = 2},
  [1656] = {.lex_state = 345, .external_lex_state = 2},
  [1657] = {.lex_state = 345, .external_lex_state = 2},
  [1658] = {.lex_state = 345, .external_lex_state = 2},
  [1659] = {.lex_state = 345, .external_lex_state = 2},
  [1660] = {.lex_state = 345, .external_lex_state = 2},
  [1661] = {.lex_state = 345, .external_lex_state = 2},
  [1662] = {.lex_state = 345, .external_lex_state = 2},
  [1663] = {.lex_state = 345, .external_lex_state = 2},
  [1664] = {.lex_state = 345, .external_lex_state = 2},
  [1665] = {.lex_state = 345, .external_lex_state = 2},
  [1666] = {.lex_state = 345, .external_lex_state = 2},
  [1667] = {.lex_state = 345, .external_lex_state = 2},
  [1668] = {.lex_state = 345, .external_lex_state = 2},
  [1669] = {.lex_state = 345, .external_lex_state = 2},
  [1670] = {.lex_state = 345, .external_lex_state = 2},
  [1671] = {.lex_state = 345, .external_lex_state = 2},
  [1672] = {.lex_state = 345, .external_lex_state = 2},
  [1673] = {.lex_state = 345, .external_lex_state = 2},
  [1674] = {.lex_state = 345, .external_lex_state = 2},
  [1675] = {.lex_state = 345, .external_lex_state = 2},
  [1676] = {.lex_state = 345, .external_lex_state = 2},
  [1677] = {.lex_state = 345, .external_lex_state = 2},
  [1678] = {.lex_state = 345, .external_lex_state = 2},
  [1679] = {.lex_state = 345, .external_lex_state = 2},
  [1680] = {.lex_state = 345, .external_lex_state = 2},
  [1681] = {.lex_state = 345, .external_lex_state = 2},
  [1682] = {.lex_state = 345, .external_lex_state = 2},
  [1683] = {.lex_state = 345, .external_lex_state = 2},
  [1684] = {.lex_state = 345, .external_lex_state = 2},
  [1685] = {.lex_state = 345, .external_lex_state = 2},
  [1686] = {.lex_state = 345, .external_lex_state = 2},
  [1687] = {.lex_state = 345, .external_lex_state = 2},
  [1688] = {.lex_state = 345, .external_lex_state = 2},
  [1689] = {.lex_state = 345, .external_lex_state = 2},
  [1690] = {.lex_state = 345, .external_lex_state = 2},
  [1691] = {.lex_state = 345, .external_lex_state = 2},
  [1692] = {.lex_state = 345, .external_lex_state = 2},
  [1693] = {.lex_state = 345, .external_lex_state = 2},
  [1694] = {.lex_state = 345, .external_lex_state = 2},
  [1695] = {.lex_state = 345, .external_lex_state = 2},
  [1696] = {.lex_state = 345, .external_lex_state = 2},
  [1697] = {.lex_state = 345, .external_lex_state = 2},
  [1698] = {.lex_state = 345, .external_lex_state = 2},
  [1699] = {.lex_state = 345, .external_lex_state = 2},
  [1700] = {.lex_state = 345, .external_lex_state = 2},
  [1701] = {.lex_state = 345, .external_lex_state = 2},
  [1702] = {.lex_state = 345, .external_lex_state = 2},
  [1703] = {.lex_state = 345, .external_lex_state = 2},
  [1704] = {.lex_state = 345, .external_lex_state = 2},
  [1705] = {.lex_state = 345, .external_lex_state = 2},
  [1706] = {.lex_state = 345, .external_lex_state = 2},
  [1707] = {.lex_state = 345, .external_lex_state = 2},
  [1708] = {.lex_state = 345, .external_lex_state = 2},
  [1709] = {.lex_state = 345, .external_lex_state = 2},
  [1710] = {.lex_state = 345, .external_lex_state = 2},
  [1711] = {.lex_state = 345, .external_lex_state = 2},
  [1712] = {.lex_state = 345, .external_lex_state = 2},
  [1713] = {.lex_state = 345, .external_lex_state = 2},
  [1714] = {.lex_state = 345, .external_lex_state = 2},
  [1715] = {.lex_state = 345, .external_lex_state = 2},
  [1716] = {.lex_state = 345, .external_lex_state = 2},
  [1717] = {.lex_state = 345, .external_lex_state = 2},
  [1718] = {.lex_state = 345, .external_lex_state = 2},
  [1719] = {.lex_state = 345, .external_lex_state = 2},
  [1720] = {.lex_state = 345, .external_lex_state = 2},
  [1721] = {.lex_state = 345, .external_lex_state = 2},
  [1722] = {.lex_state = 345, .external_lex_state = 2},
  [1723] = {.lex_state = 345, .external_lex_state = 2},
  [1724] = {.lex_state = 345, .external_lex_state = 2},
  [1725] = {.lex_state = 345, .external_lex_state = 2},
  [1726] = {.lex_state = 345, .external_lex_state = 2},
  [1727] = {.lex_state = 345, .external_lex_state = 2},
  [1728] = {.lex_state = 345, .external_lex_state = 2},
  [1729] = {.lex_state = 345, .external_lex_state = 2},
  [1730] = {.lex_state = 345, .external_lex_state = 2},
  [1731] = {.lex_state = 345, .external_lex_state = 2},
  [1732] = {.lex_state = 345, .external_lex_state = 2},
  [1733] = {.lex_state = 345, .external_lex_state = 2},
  [1734] = {.lex_state = 345, .external_lex_state = 2},
  [1735] = {.lex_state = 345, .external_lex_state = 2},
  [1736] = {.lex_state = 345, .external_lex_state = 2},
  [1737] = {.lex_state = 345, .external_lex_state = 2},
  [1738] = {.lex_state = 345, .external_lex_state = 2},
  [1739] = {.lex_state = 345, .external_lex_state = 2},
  [1740] = {.lex_state = 345, .external_lex_state = 2},
  [1741] = {.lex_state = 345, .external_lex_state = 2},
  [1742] = {.lex_state = 345, .external_lex_state = 2},
  [1743] = {.lex_state = 345, .external_lex_state = 2},
  [1744] = {.lex_state = 345, .external_lex_state = 2},
  [1745] = {.lex_state = 345, .external_lex_state = 2},
  [1746] = {.lex_state = 49, .external_lex_state = 2},
  [1747] = {.lex_state = 49, .external_lex_state = 2},
  [1748] = {.lex_state = 49, .external_lex_state = 2},
  [1749] = {.lex_state = 49, .external_lex_state = 2},
  [1750] = {.lex_state = 49, .external_lex_state = 2},
  [1751] = {.lex_state = 345, .external_lex_state = 2},
  [1752] = {.lex_state = 49, .external_lex_state = 2},
  [1753] = {.lex_state = 345, .external_lex_state = 2},
  [1754] = {.lex_state = 345, .external_lex_state = 2},
  [1755] = {.lex_state = 345, .external_lex_state = 2},
  [1756] = {.lex_state = 345, .external_lex_state = 2},
  [1757] = {.lex_state = 345, .external_lex_state = 2},
  [1758] = {.lex_state = 345, .external_lex_state = 2},
  [1759] = {.lex_state = 49, .external_lex_state = 2},
  [1760] = {.lex_state = 49, .external_lex_state = 2},
  [1761] = {.lex_state = 49, .external_lex_state = 2},
  [1762] = {.lex_state = 345, .external_lex_state = 2},
  [1763] = {.lex_state = 49, .external_lex_state = 2},
  [1764] = {.lex_state = 345, .external_lex_state = 2},
  [1765] = {.lex_state = 49, .external_lex_state = 2},
  [1766] = {.lex_state = 49, .external_lex_state = 2},
  [1767] = {.lex_state = 49, .external_lex_state = 2},
  [1768] = {.lex_state = 49, .external_lex_state = 2},
  [1769] = {.lex_state = 345, .external_lex_state = 2},
  [1770] = {.lex_state = 345, .external_lex_state = 2},
  [1771] = {.lex_state = 49, .external_lex_state = 2},
  [1772] = {.lex_state = 50, .external_lex_state = 2},
  [1773] = {.lex_state = 49, .external_lex_state = 2},
  [1774] = {.lex_state = 50, .external_lex_state = 2},
  [1775] = {.lex_state = 50, .external_lex_state = 2},
  [1776] = {.lex_state = 50, .external_lex_state = 2},
  [1777] = {.lex_state = 50, .external_lex_state = 2},
  [1778] = {.lex_state = 50, .external_lex_state = 2},
  [1779] = {.lex_state = 50, .external_lex_state = 2},
  [1780] = {.lex_state = 50, .external_lex_state = 2},
  [1781] = {.lex_state = 50, .external_lex_state = 2},
  [1782] = {.lex_state = 50, .external_lex_state = 2},
  [1783] = {.lex_state = 50, .external_lex_state = 2},
  [1784] = {.lex_state = 50, .external_lex_state = 2},
  [1785] = {.lex_state = 50, .external_lex_state = 2},
  [1786] = {.lex_state = 50, .external_lex_state = 2},
  [1787] = {.lex_state = 50, .external_lex_state = 2},
  [1788] = {.lex_state = 50, .external_lex_state = 2},
  [1789] = {.lex_state = 50, .external_lex_state = 2},
  [1790] = {.lex_state = 50, .external_lex_state = 2},
  [1791] = {.lex_state = 50, .external_lex_state = 2},
  [1792] = {.lex_state = 50, .external_lex_state = 2},
  [1793] = {.lex_state = 50, .external_lex_state = 2},
  [1794] = {.lex_state = 50, .external_lex_state = 2},
  [1795] = {.lex_state = 50, .external_lex_state = 2},
  [1796] = {.lex_state = 50, .external_lex_state = 2},
  [1797] = {.lex_state = 50, .external_lex_state = 2},
  [1798] = {.lex_state = 50, .external_lex_state = 2},
  [1799] = {.lex_state = 50, .external_lex_state = 2},
  [1800] = {.lex_state = 50, .external_lex_state = 2},
  [1801] = {.lex_state = 50, .external_lex_state = 2},
  [1802] = {.lex_state = 50, .external_lex_state = 2},
  [1803] = {.lex_state = 50, .external_lex_state = 2},
  [1804] = {.lex_state = 50, .external_lex_state = 2},
  [1805] = {.lex_state = 50, .external_lex_state = 2},
  [1806] = {.lex_state = 50, .external_lex_state = 2},
  [1807] = {.lex_state = 50, .external_lex_state = 2},
  [1808] = {.lex_state = 50, .external_lex_state = 2},
  [1809] = {.lex_state = 50, .external_lex_state = 2},
  [1810] = {.lex_state = 50, .external_lex_state = 2},
  [1811] = {.lex_state = 50, .external_lex_state = 2},
  [1812] = {.lex_state = 50, .external_lex_state = 2},
  [1813] = {.lex_state = 50, .external_lex_state = 2},
  [1814] = {.lex_state = 50, .external_lex_state = 2},
  [1815] = {.lex_state = 50, .external_lex_state = 2},
  [1816] = {.lex_state = 50, .external_lex_state = 2},
  [1817] = {.lex_state = 50, .external_lex_state = 2},
  [1818] = {.lex_state = 50, .external_lex_state = 2},
  [1819] = {.lex_state = 50, .external_lex_state = 2},
  [1820] = {.lex_state = 50, .external_lex_state = 2},
  [1821] = {.lex_state = 50, .external_lex_state = 2},
  [1822] = {.lex_state = 50, .external_lex_state = 2},
  [1823] = {.lex_state = 50, .external_lex_state = 2},
  [1824] = {.lex_state = 50, .external_lex_state = 2},
  [1825] = {.lex_state = 50, .external_lex_state = 2},
  [1826] = {.lex_state = 50, .external_lex_state = 2},
  [1827] = {.lex_state = 50, .external_lex_state = 2},
  [1828] = {.lex_state = 49, .external_lex_state = 2},
  [1829] = {.lex_state = 49, .external_lex_state = 2},
  [1830] = {.lex_state = 49, .external_lex_state = 2},
  [1831] = {.lex_state = 49, .external_lex_state = 2},
  [1832] = {.lex_state = 49, .external_lex_state = 2},
  [1833] = {.lex_state = 49, .external_lex_state = 2},
  [1834] = {.lex_state = 49, .external_lex_state = 2},
  [1835] = {.lex_state = 49, .external_lex_state = 2},
  [1836] = {.lex_state = 49, .external_lex_state = 2},
  [1837] = {.lex_state = 49, .external_lex_state = 2},
  [1838] = {.lex_state = 35, .external_lex_state = 2},
  [1839] = {.lex_state = 35, .external_lex_state = 2},
  [1840] = {.lex_state = 35, .external_lex_state = 2},
  [1841] = {.lex_state = 35, .external_lex_state = 2},
  [1842] = {.lex_state = 35, .external_lex_state = 2},
  [1843] = {.lex_state = 35, .external_lex_state = 2},
  [1844] = {.lex_state = 35, .external_lex_state = 2},
  [1845] = {.lex_state = 35, .external_lex_state = 2},
  [1846] = {.lex_state = 35, .external_lex_state = 2},
  [1847] = {.lex_state = 35, .external_lex_state = 2},
  [1848] = {.lex_state = 35, .external_lex_state = 2},
  [1849] = {.lex_state = 35, .external_lex_state = 2},
  [1850] = {.lex_state = 49, .external_lex_state = 2},
  [1851] = {.lex_state = 15, .external_lex_state = 4},
  [1852] = {.lex_state = 15, .external_lex_state = 4},
  [1853] = {.lex_state = 15, .external_lex_state = 4},
  [1854] = {.lex_state = 15, .external_lex_state = 4},
  [1855] = {.lex_state = 49, .external_lex_state = 2},
  [1856] = {.lex_state = 15, .external_lex_state = 4},
  [1857] = {.lex_state = 49, .external_lex_state = 2},
  [1858] = {.lex_state = 15, .external_lex_state = 4},
  [1859] = {.lex_state = 15, .external_lex_state = 4},
  [1860] = {.lex_state = 49, .external_lex_state = 2},
  [1861] = {.lex_state = 15, .external_lex_state = 4},
  [1862] = {.lex_state = 49, .external_lex_state = 2},
  [1863] = {.lex_state = 15, .external_lex_state = 4},
  [1864] = {.lex_state = 49, .external_lex_state = 2},
  [1865] = {.lex_state = 49, .external_lex_state = 2},
  [1866] = {.lex_state = 49, .external_lex_state = 2},
  [1867] = {.lex_state = 49, .external_lex_state = 2},
  [1868] = {.lex_state = 49, .external_lex_state = 2},
  [1869] = {.lex_state = 49, .external_lex_state = 2},
  [1870] = {.lex_state = 49, .external_lex_state = 2},
  [1871] = {.lex_state = 49, .external_lex_state = 2},
  [1872] = {.lex_state = 49, .external_lex_state = 2},
  [1873] = {.lex_state = 49, .external_lex_state = 2},
  [1874] = {.lex_state = 49, .external_lex_state = 2},
  [1875] = {.lex_state = 49, .external_lex_state = 2},
  [1876] = {.lex_state = 49, .external_lex_state = 2},
  [1877] = {.lex_state = 49, .external_lex_state = 2},
  [1878] = {.lex_state = 49, .external_lex_state = 2},
  [1879] = {.lex_state = 49, .external_lex_state = 2},
  [1880] = {.lex_state = 49, .external_lex_state = 2},
  [1881] = {.lex_state = 49, .external_lex_state = 2},
  [1882] = {.lex_state = 49, .external_lex_state = 2},
  [1883] = {.lex_state = 49, .external_lex_state = 2},
  [1884] = {.lex_state = 49, .external_lex_state = 2},
  [1885] = {.lex_state = 49, .external_lex_state = 2},
  [1886] = {.lex_state = 49, .external_lex_state = 2},
  [1887] = {.lex_state = 49, .external_lex_state = 2},
  [1888] = {.lex_state = 49, .external_lex_state = 2},
  [1889] = {.lex_state = 49, .external_lex_state = 2},
  [1890] = {.lex_state = 49, .external_lex_state = 2},
  [1891] = {.lex_state = 49, .external_lex_state = 2},
  [1892] = {.lex_state = 49, .external_lex_state = 2},
  [1893] = {.lex_state = 49, .external_lex_state = 2},
  [1894] = {.lex_state = 49, .external_lex_state = 2},
  [1895] = {.lex_state = 49, .external_lex_state = 2},
  [1896] = {.lex_state = 49, .external_lex_state = 2},
  [1897] = {.lex_state = 49, .external_lex_state = 2},
  [1898] = {.lex_state = 49, .external_lex_state = 2},
  [1899] = {.lex_state = 49, .external_lex_state = 2},
  [1900] = {.lex_state = 49, .external_lex_state = 2},
  [1901] = {.lex_state = 49, .external_lex_state = 2},
  [1902] = {.lex_state = 49, .external_lex_state = 2},
  [1903] = {.lex_state = 49, .external_lex_state = 2},
  [1904] = {.lex_state = 49, .external_lex_state = 2},
  [1905] = {.lex_state = 49, .external_lex_state = 2},
  [1906] = {.lex_state = 49, .external_lex_state = 2},
  [1907] = {.lex_state = 49, .external_lex_state = 2},
  [1908] = {.lex_state = 49, .external_lex_state = 2},
  [1909] = {.lex_state = 49, .external_lex_state = 2},
  [1910] = {.lex_state = 49, .external_lex_state = 2},
  [1911] = {.lex_state = 49, .external_lex_state = 2},
  [1912] = {.lex_state = 49, .external_lex_state = 2},
  [1913] = {.lex_state = 49, .external_lex_state = 2},
  [1914] = {.lex_state = 49, .external_lex_state = 2},
  [1915] = {.lex_state = 49, .external_lex_state = 2},
  [1916] = {.lex_state = 49, .external_lex_state = 2},
  [1917] = {.lex_state = 49, .external_lex_state = 2},
  [1918] = {.lex_state = 49, .external_lex_state = 2},
  [1919] = {.lex_state = 49, .external_lex_state = 2},
  [1920] = {.lex_state = 49, .external_lex_state = 2},
  [1921] = {.lex_state = 49, .external_lex_state = 2},
  [1922] = {.lex_state = 49, .external_lex_state = 2},
  [1923] = {.lex_state = 49, .external_lex_state = 2},
  [1924] = {.lex_state = 49, .external_lex_state = 2},
  [1925] = {.lex_state = 49, .external_lex_state = 2},
  [1926] = {.lex_state = 49, .external_lex_state = 2},
  [1927] = {.lex_state = 49, .external_lex_state = 2},
  [1928] = {.lex_state = 49, .external_lex_state = 2},
  [1929] = {.lex_state = 49, .external_lex_state = 2},
  [1930] = {.lex_state = 49, .external_lex_state = 2},
  [1931] = {.lex_state = 49, .external_lex_state = 2},
  [1932] = {.lex_state = 49, .external_lex_state = 2},
  [1933] = {.lex_state = 49, .external_lex_state = 2},
  [1934] = {.lex_state = 49, .external_lex_state = 2},
  [1935] = {.lex_state = 49, .external_lex_state = 2},
  [1936] = {.lex_state = 49, .external_lex_state = 2},
  [1937] = {.lex_state = 49, .external_lex_state = 2},
  [1938] = {.lex_state = 49, .external_lex_state = 2},
  [1939] = {.lex_state = 49, .external_lex_state = 2},
  [1940] = {.lex_state = 49, .external_lex_state = 2},
  [1941] = {.lex_state = 49, .external_lex_state = 2},
  [1942] = {.lex_state = 49, .external_lex_state = 2},
  [1943] = {.lex_state = 49, .external_lex_state = 2},
  [1944] = {.lex_state = 49, .external_lex_state = 2},
  [1945] = {.lex_state = 49, .external_lex_state = 2},
  [1946] = {.lex_state = 49, .external_lex_state = 2},
  [1947] = {.lex_state = 49, .external_lex_state = 2},
  [1948] = {.lex_state = 49, .external_lex_state = 2},
  [1949] = {.lex_state = 49, .external_lex_state = 2},
  [1950] = {.lex_state = 49, .external_lex_state = 2},
  [1951] = {.lex_state = 49, .external_lex_state = 2},
  [1952] = {.lex_state = 49, .external_lex_state = 2},
  [1953] = {.lex_state = 49, .external_lex_state = 2},
  [1954] = {.lex_state = 49, .external_lex_state = 2},
  [1955] = {.lex_state = 49, .external_lex_state = 2},
  [1956] = {.lex_state = 49, .external_lex_state = 2},
  [1957] = {.lex_state = 49, .external_lex_state = 2},
  [1958] = {.lex_state = 49, .external_lex_state = 2},
  [1959] = {.lex_state = 49, .external_lex_state = 2},
  [1960] = {.lex_state = 49, .external_lex_state = 2},
  [1961] = {.lex_state = 49, .external_lex_state = 2},
  [1962] = {.lex_state = 49, .external_lex_state = 2},
  [1963] = {.lex_state = 49, .external_lex_state = 2},
  [1964] = {.lex_state = 49, .external_lex_state = 2},
  [1965] = {.lex_state = 49, .external_lex_state = 2},
  [1966] = {.lex_state = 49, .external_lex_state = 2},
  [1967] = {.lex_state = 49, .external_lex_state = 2},
  [1968] = {.lex_state = 49, .external_lex_state = 2},
  [1969] = {.lex_state = 49, .external_lex_state = 2},
  [1970] = {.lex_state = 49, .external_lex_state = 2},
  [1971] = {.lex_state = 49, .external_lex_state = 2},
  [1972] = {.lex_state = 49, .external_lex_state = 2},
  [1973] = {.lex_state = 49, .external_lex_state = 2},
  [1974] = {.lex_state = 49, .external_lex_state = 2},
  [1975] = {.lex_state = 49, .external_lex_state = 2},
  [1976] = {.lex_state = 49, .external_lex_state = 2},
  [1977] = {.lex_state = 49, .external_lex_state = 2},
  [1978] = {.lex_state = 49, .external_lex_state = 2},
  [1979] = {.lex_state = 49, .external_lex_state = 2},
  [1980] = {.lex_state = 49, .external_lex_state = 2},
  [1981] = {.lex_state = 49, .external_lex_state = 2},
  [1982] = {.lex_state = 49, .external_lex_state = 2},
  [1983] = {.lex_state = 49, .external_lex_state = 2},
  [1984] = {.lex_state = 49, .external_lex_state = 2},
  [1985] = {.lex_state = 49, .external_lex_state = 2},
  [1986] = {.lex_state = 49, .external_lex_state = 2},
  [1987] = {.lex_state = 15, .external_lex_state = 3},
  [1988] = {.lex_state = 15, .external_lex_state = 3},
  [1989] = {.lex_state = 35, .external_lex_state = 2},
  [1990] = {.lex_state = 35, .external_lex_state = 2},
  [1991] = {.lex_state = 15, .external_lex_state = 4},
  [1992] = {.lex_state = 15, .external_lex_state = 4},
  [1993] = {.lex_state = 15, .external_lex_state = 4},
  [1994] = {.lex_state = 15, .external_lex_state = 4},
  [1995] = {.lex_state = 15, .external_lex_state = 4},
  [1996] = {.lex_state = 18, .external_lex_state = 4},
  [1997] = {.lex_state = 15, .external_lex_state = 4},
  [1998] = {.lex_state = 15, .external_lex_state = 3},
  [1999] = {.lex_state = 15, .external_lex_state = 4},
  [2000] = {.lex_state = 15, .external_lex_state = 4},
  [2001] = {.lex_state = 15, .external_lex_state = 4},
  [2002] = {.lex_state = 18, .external_lex_state = 4},
  [2003] = {.lex_state = 15, .external_lex_state = 3},
  [2004] = {.lex_state = 15, .external_lex_state = 4},
  [2005] = {.lex_state = 15, .external_lex_state = 4},
  [2006] = {.lex_state = 15, .external_lex_state = 3},
  [2007] = {.lex_state = 15, .external_lex_state = 4},
  [2008] = {.lex_state = 15, .external_lex_state = 4},
  [2009] = {.lex_state = 15, .external_lex_state = 3},
  [2010] = {.lex_state = 15, .external_lex_state = 4},
  [2011] = {.lex_state = 15, .external_lex_state = 4},
  [2012] = {.lex_state = 15, .external_lex_state = 4},
  [2013] = {.lex_state = 15, .external_lex_state = 4},
  [2014] = {.lex_state = 18, .external_lex_state = 4},
  [2015] = {.lex_state = 18, .external_lex_state = 4},
  [2016] = {.lex_state = 15, .external_lex_state = 3},
  [2017] = {.lex_state = 15, .external_lex_state = 4},
  [2018] = {.lex_state = 15, .external_lex_state = 4},
  [2019] = {.lex_state = 15, .external_lex_state = 4},
  [2020] = {.lex_state = 19, .external_lex_state = 3},
  [2021] = {.lex_state = 19, .external_lex_state = 3},
  [2022] = {.lex_state = 15, .external_lex_state = 3},
  [2023] = {.lex_state = 15, .external_lex_state = 3},
  [2024] = {.lex_state = 15, .external_lex_state = 3},
  [2025] = {.lex_state = 21, .external_lex_state = 3},
  [2026] = {.lex_state = 15, .external_lex_state = 4},
  [2027] = {.lex_state = 15, .external_lex_state = 4},
  [2028] = {.lex_state = 21, .external_lex_state = 3},
  [2029] = {.lex_state = 15, .external_lex_state = 4},
  [2030] = {.lex_state = 21, .external_lex_state = 4},
  [2031] = {.lex_state = 21, .external_lex_state = 3},
  [2032] = {.lex_state = 21, .external_lex_state = 4},
  [2033] = {.lex_state = 21, .external_lex_state = 4},
  [2034] = {.lex_state = 21, .external_lex_state = 3},
  [2035] = {.lex_state = 15, .external_lex_state = 4},
  [2036] = {.lex_state = 21, .external_lex_state = 3},
  [2037] = {.lex_state = 15, .external_lex_state = 4},
  [2038] = {.lex_state = 15, .external_lex_state = 4},
  [2039] = {.lex_state = 15, .external_lex_state = 3},
  [2040] = {.lex_state = 15, .external_lex_state = 4},
  [2041] = {.lex_state = 15, .external_lex_state = 4},
  [2042] = {.lex_state = 15, .external_lex_state = 4},
  [2043] = {.lex_state = 21, .external_lex_state = 3},
  [2044] = {.lex_state = 15, .external_lex_state = 4},
  [2045] = {.lex_state = 15, .external_lex_state = 4},
  [2046] = {.lex_state = 21, .external_lex_state = 4},
  [2047] = {.lex_state = 15, .external_lex_state = 4},
  [2048] = {.lex_state = 21, .external_lex_state = 4},
  [2049] = {.lex_state = 21, .external_lex_state = 4},
  [2050] = {.lex_state = 21, .external_lex_state = 4},
  [2051] = {.lex_state = 15, .external_lex_state = 3},
  [2052] = {.lex_state = 15, .external_lex_state = 4},
  [2053] = {.lex_state = 21, .external_lex_state = 3},
  [2054] = {.lex_state = 15, .external_lex_state = 4},
  [2055] = {.lex_state = 15, .external_lex_state = 4},
  [2056] = {.lex_state = 15, .external_lex_state = 3},
  [2057] = {.lex_state = 15, .external_lex_state = 4},
  [2058] = {.lex_state = 15, .external_lex_state = 4},
  [2059] = {.lex_state = 15, .external_lex_state = 4},
  [2060] = {.lex_state = 21, .external_lex_state = 3},
  [2061] = {.lex_state = 15, .external_lex_state = 3},
  [2062] = {.lex_state = 18, .external_lex_state = 3},
  [2063] = {.lex_state = 21, .external_lex_state = 4},
  [2064] = {.lex_state = 18, .external_lex_state = 3},
  [2065] = {.lex_state = 21, .external_lex_state = 4},
  [2066] = {.lex_state = 21, .external_lex_state = 3},
  [2067] = {.lex_state = 21, .external_lex_state = 3},
  [2068] = {.lex_state = 18, .external_lex_state = 3},
  [2069] = {.lex_state = 15, .external_lex_state = 3},
  [2070] = {.lex_state = 21, .external_lex_state = 4},
  [2071] = {.lex_state = 15, .external_lex_state = 3},
  [2072] = {.lex_state = 15, .external_lex_state = 3},
  [2073] = {.lex_state = 15, .external_lex_state = 3},
  [2074] = {.lex_state = 21, .external_lex_state = 3},
  [2075] = {.lex_state = 21, .external_lex_state = 3},
  [2076] = {.lex_state = 15, .external_lex_state = 3},
  [2077] = {.lex_state = 15, .external_lex_state = 3},
  [2078] = {.lex_state = 15, .external_lex_state = 3},
  [2079] = {.lex_state = 21, .external_lex_state = 4},
  [2080] = {.lex_state = 15, .external_lex_state = 3},
  [2081] = {.lex_state = 21, .external_lex_state = 3},
  [2082] = {.lex_state = 21, .external_lex_state = 4},
  [2083] = {.lex_state = 18, .external_lex_state = 3},
  [2084] = {.lex_state = 21, .external_lex_state = 3},
  [2085] = {.lex_state = 21, .external_lex_state = 4},
  [2086] = {.lex_state = 21, .external_lex_state = 3},
  [2087] = {.lex_state = 15, .external_lex_state = 3},
  [2088] = {.lex_state = 21, .external_lex_state = 3},
  [2089] = {.lex_state = 21, .external_lex_state = 3},
  [2090] = {.lex_state = 34, .external_lex_state = 2},
  [2091] = {.lex_state = 21, .external_lex_state = 3},
  [2092] = {.lex_state = 15, .external_lex_state = 3},
  [2093] = {.lex_state = 15, .external_lex_state = 3},
  [2094] = {.lex_state = 21, .external_lex_state = 3},
  [2095] = {.lex_state = 21, .external_lex_state = 3},
  [2096] = {.lex_state = 21, .external_lex_state = 3},
  [2097] = {.lex_state = 34, .external_lex_state = 2},
  [2098] = {.lex_state = 34, .external_lex_state = 2},
  [2099] = {.lex_state = 21, .external_lex_state = 3},
  [2100] = {.lex_state = 15, .external_lex_state = 3},
  [2101] = {.lex_state = 21, .external_lex_state = 3},
  [2102] = {.lex_state = 15, .external_lex_state = 3},
  [2103] = {.lex_state = 21, .external_lex_state = 3},
  [2104] = {.lex_state = 21, .external_lex_state = 4},
  [2105] = {.lex_state = 21, .external_lex_state = 3},
  [2106] = {.lex_state = 15, .external_lex_state = 3},
  [2107] = {.lex_state = 15, .external_lex_state = 3},
  [2108] = {.lex_state = 21, .external_lex_state = 3},
  [2109] = {.lex_state = 21, .external_lex_state = 3},
  [2110] = {.lex_state = 34, .external_lex_state = 2},
  [2111] = {.lex_state = 15, .external_lex_state = 4},
  [2112] = {.lex_state = 21, .external_lex_state = 3},
  [2113] = {.lex_state = 21, .external_lex_state = 3},
  [2114] = {.lex_state = 21, .external_lex_state = 3},
  [2115] = {.lex_state = 21, .external_lex_state = 3},
  [2116] = {.lex_state = 34, .external_lex_state = 2},
  [2117] = {.lex_state = 21, .external_lex_state = 3},
  [2118] = {.lex_state = 21, .external_lex_state = 3},
  [2119] = {.lex_state = 34, .external_lex_state = 2},
  [2120] = {.lex_state = 21, .external_lex_state = 4},
  [2121] = {.lex_state = 21, .external_lex_state = 3},
  [2122] = {.lex_state = 21, .external_lex_state = 4},
  [2123] = {.lex_state = 21, .external_lex_state = 3},
  [2124] = {.lex_state = 21, .external_lex_state = 3},
  [2125] = {.lex_state = 21, .external_lex_state = 3},
  [2126] = {.lex_state = 21, .external_lex_state = 3},
  [2127] = {.lex_state = 15, .external_lex_state = 4},
  [2128] = {.lex_state = 21, .external_lex_state = 4},
  [2129] = {.lex_state = 15, .external_lex_state = 4},
  [2130] = {.lex_state = 21, .external_lex_state = 3},
  [2131] = {.lex_state = 15, .external_lex_state = 4},
  [2132] = {.lex_state = 15, .external_lex_state = 4},
  [2133] = {.lex_state = 34, .external_lex_state = 2},
  [2134] = {.lex_state = 21, .external_lex_state = 3},
  [2135] = {.lex_state = 21, .external_lex_state = 4},
  [2136] = {.lex_state = 21, .external_lex_state = 4},
  [2137] = {.lex_state = 21, .external_lex_state = 4},
  [2138] = {.lex_state = 21, .external_lex_state = 3},
  [2139] = {.lex_state = 21, .external_lex_state = 4},
  [2140] = {.lex_state = 34, .external_lex_state = 2},
  [2141] = {.lex_state = 21, .external_lex_state = 3},
  [2142] = {.lex_state = 21, .external_lex_state = 4},
  [2143] = {.lex_state = 21, .external_lex_state = 4},
  [2144] = {.lex_state = 21, .external_lex_state = 4},
  [2145] = {.lex_state = 21, .external_lex_state = 3},
  [2146] = {.lex_state = 21, .external_lex_state = 4},
  [2147] = {.lex_state = 21, .external_lex_state = 4},
  [2148] = {.lex_state = 34, .external_lex_state = 2},
  [2149] = {.lex_state = 34, .external_lex_state = 2},
  [2150] = {.lex_state = 34, .external_lex_state = 2},
  [2151] = {.lex_state = 21, .external_lex_state = 4},
  [2152] = {.lex_state = 21, .external_lex_state = 3},
  [2153] = {.lex_state = 21, .external_lex_state = 4},
  [2154] = {.lex_state = 21, .external_lex_state = 3},
  [2155] = {.lex_state = 21, .external_lex_state = 4},
  [2156] = {.lex_state = 21, .external_lex_state = 4},
  [2157] = {.lex_state = 34, .external_lex_state = 2},
  [2158] = {.lex_state = 21, .external_lex_state = 4},
  [2159] = {.lex_state = 21, .external_lex_state = 4},
  [2160] = {.lex_state = 21, .external_lex_state = 4},
  [2161] = {.lex_state = 21, .external_lex_state = 4},
  [2162] = {.lex_state = 21, .external_lex_state = 3},
  [2163] = {.lex_state = 21, .external_lex_state = 4},
  [2164] = {.lex_state = 21, .external_lex_state = 4},
  [2165] = {.lex_state = 21, .external_lex_state = 4},
  [2166] = {.lex_state = 21, .external_lex_state = 3},
  [2167] = {.lex_state = 21, .external_lex_state = 4},
  [2168] = {.lex_state = 21, .external_lex_state = 3},
  [2169] = {.lex_state = 21, .external_lex_state = 4},
  [2170] = {.lex_state = 21, .external_lex_state = 3},
  [2171] = {.lex_state = 21, .external_lex_state = 4},
  [2172] = {.lex_state = 21, .external_lex_state = 4},
  [2173] = {.lex_state = 21, .external_lex_state = 4},
  [2174] = {.lex_state = 21, .external_lex_state = 4},
  [2175] = {.lex_state = 21, .external_lex_state = 3},
  [2176] = {.lex_state = 21, .external_lex_state = 4},
  [2177] = {.lex_state = 21, .external_lex_state = 3},
  [2178] = {.lex_state = 21, .external_lex_state = 4},
  [2179] = {.lex_state = 34, .external_lex_state = 2},
  [2180] = {.lex_state = 21, .external_lex_state = 4},
  [2181] = {.lex_state = 21, .external_lex_state = 4},
  [2182] = {.lex_state = 34, .external_lex_state = 2},
  [2183] = {.lex_state = 21, .external_lex_state = 3},
  [2184] = {.lex_state = 21, .external_lex_state = 4},
  [2185] = {.lex_state = 21, .external_lex_state = 4},
  [2186] = {.lex_state = 21, .external_lex_state = 3},
  [2187] = {.lex_state = 21, .external_lex_state = 4},
  [2188] = {.lex_state = 21, .external_lex_state = 4},
  [2189] = {.lex_state = 34, .external_lex_state = 2},
  [2190] = {.lex_state = 34, .external_lex_state = 2},
  [2191] = {.lex_state = 21, .external_lex_state = 3},
  [2192] = {.lex_state = 21, .external_lex_state = 3},
  [2193] = {.lex_state = 21, .external_lex_state = 3},
  [2194] = {.lex_state = 21, .external_lex_state = 4},
  [2195] = {.lex_state = 21, .external_lex_state = 3},
  [2196] = {.lex_state = 21, .external_lex_state = 3},
  [2197] = {.lex_state = 15, .external_lex_state = 4},
  [2198] = {.lex_state = 21, .external_lex_state = 3},
  [2199] = {.lex_state = 34, .external_lex_state = 2},
  [2200] = {.lex_state = 21, .external_lex_state = 3},
  [2201] = {.lex_state = 21, .external_lex_state = 3},
  [2202] = {.lex_state = 15, .external_lex_state = 4},
  [2203] = {.lex_state = 21, .external_lex_state = 3},
  [2204] = {.lex_state = 34, .external_lex_state = 2},
  [2205] = {.lex_state = 21, .external_lex_state = 3},
  [2206] = {.lex_state = 21, .external_lex_state = 3},
  [2207] = {.lex_state = 21, .external_lex_state = 3},
  [2208] = {.lex_state = 21, .external_lex_state = 3},
  [2209] = {.lex_state = 21, .external_lex_state = 3},
  [2210] = {.lex_state = 21, .external_lex_state = 3},
  [2211] = {.lex_state = 21, .external_lex_state = 3},
  [2212] = {.lex_state = 34, .external_lex_state = 2},
  [2213] = {.lex_state = 21, .external_lex_state = 3},
  [2214] = {.lex_state = 34, .external_lex_state = 2},
  [2215] = {.lex_state = 21, .external_lex_state = 3},
  [2216] = {.lex_state = 15, .external_lex_state = 4},
  [2217] = {.lex_state = 34, .external_lex_state = 2},
  [2218] = {.lex_state = 15, .external_lex_state = 4},
  [2219] = {.lex_state = 21, .external_lex_state = 4},
  [2220] = {.lex_state = 21, .external_lex_state = 4},
  [2221] = {.lex_state = 15, .external_lex_state = 4},
  [2222] = {.lex_state = 21, .external_lex_state = 3},
  [2223] = {.lex_state = 21, .external_lex_state = 3},
  [2224] = {.lex_state = 34, .external_lex_state = 2},
  [2225] = {.lex_state = 21, .external_lex_state = 3},
  [2226] = {.lex_state = 34, .external_lex_state = 2},
  [2227] = {.lex_state = 21, .external_lex_state = 3},
  [2228] = {.lex_state = 21, .external_lex_state = 4},
  [2229] = {.lex_state = 21, .external_lex_state = 3},
  [2230] = {.lex_state = 34, .external_lex_state = 2},
  [2231] = {.lex_state = 34, .external_lex_state = 2},
  [2232] = {.lex_state = 34, .external_lex_state = 2},
  [2233] = {.lex_state = 34, .external_lex_state = 2},
  [2234] = {.lex_state = 21, .external_lex_state = 3},
  [2235] = {.lex_state = 21, .external_lex_state = 3},
  [2236] = {.lex_state = 21, .external_lex_state = 3},
  [2237] = {.lex_state = 15, .external_lex_state = 4},
  [2238] = {.lex_state = 21, .external_lex_state = 3},
  [2239] = {.lex_state = 35, .external_lex_state = 2},
  [2240] = {.lex_state = 35, .external_lex_state = 2},
  [2241] = {.lex_state = 35, .external_lex_state = 2},
  [2242] = {.lex_state = 21, .external_lex_state = 3},
  [2243] = {.lex_state = 21, .external_lex_state = 4},
  [2244] = {.lex_state = 21, .external_lex_state = 3},
  [2245] = {.lex_state = 35, .external_lex_state = 2},
  [2246] = {.lex_state = 21, .external_lex_state = 3},
  [2247] = {.lex_state = 21, .external_lex_state = 4},
  [2248] = {.lex_state = 21, .external_lex_state = 3},
  [2249] = {.lex_state = 35, .external_lex_state = 2},
  [2250] = {.lex_state = 21, .external_lex_state = 3},
  [2251] = {.lex_state = 21, .external_lex_state = 3},
  [2252] = {.lex_state = 35, .external_lex_state = 2},
  [2253] = {.lex_state = 21, .external_lex_state = 3},
  [2254] = {.lex_state = 21, .external_lex_state = 4},
  [2255] = {.lex_state = 21, .external_lex_state = 3},
  [2256] = {.lex_state = 21, .external_lex_state = 4},
  [2257] = {.lex_state = 21, .external_lex_state = 4},
  [2258] = {.lex_state = 35, .external_lex_state = 2},
  [2259] = {.lex_state = 35, .external_lex_state = 2},
  [2260] = {.lex_state = 21, .external_lex_state = 4},
  [2261] = {.lex_state = 21, .external_lex_state = 3},
  [2262] = {.lex_state = 21, .external_lex_state = 3},
  [2263] = {.lex_state = 35, .external_lex_state = 2},
  [2264] = {.lex_state = 21, .external_lex_state = 3},
  [2265] = {.lex_state = 21, .external_lex_state = 3},
  [2266] = {.lex_state = 21, .external_lex_state = 3},
  [2267] = {.lex_state = 21, .external_lex_state = 3},
  [2268] = {.lex_state = 21, .external_lex_state = 3},
  [2269] = {.lex_state = 21, .external_lex_state = 4},
  [2270] = {.lex_state = 21, .external_lex_state = 3},
  [2271] = {.lex_state = 21, .external_lex_state = 3},
  [2272] = {.lex_state = 21, .external_lex_state = 3},
  [2273] = {.lex_state = 21, .external_lex_state = 3},
  [2274] = {.lex_state = 21, .external_lex_state = 3},
  [2275] = {.lex_state = 21, .external_lex_state = 3},
  [2276] = {.lex_state = 21, .external_lex_state = 3},
  [2277] = {.lex_state = 21, .external_lex_state = 3},
  [2278] = {.lex_state = 21, .external_lex_state = 3},
  [2279] = {.lex_state = 21, .external_lex_state = 3},
  [2280] = {.lex_state = 21, .external_lex_state = 3},
  [2281] = {.lex_state = 21, .external_lex_state = 3},
  [2282] = {.lex_state = 35, .external_lex_state = 2},
  [2283] = {.lex_state = 21, .external_lex_state = 3},
  [2284] = {.lex_state = 21, .external_lex_state = 3},
  [2285] = {.lex_state = 21, .external_lex_state = 3},
  [2286] = {.lex_state = 21, .external_lex_state = 3},
  [2287] = {.lex_state = 21, .external_lex_state = 3},
  [2288] = {.lex_state = 35, .external_lex_state = 2},
  [2289] = {.lex_state = 35, .external_lex_state = 2},
  [2290] = {.lex_state = 35, .external_lex_state = 2},
  [2291] = {.lex_state = 21, .external_lex_state = 3},
  [2292] = {.lex_state = 21, .external_lex_state = 3},
  [2293] = {.lex_state = 21, .external_lex_state = 3},
  [2294] = {.lex_state = 21, .external_lex_state = 3},
  [2295] = {.lex_state = 35, .external_lex_state = 2},
  [2296] = {.lex_state = 35, .external_lex_state = 2},
  [2297] = {.lex_state = 21, .external_lex_state = 3},
  [2298] = {.lex_state = 21, .external_lex_state = 3},
  [2299] = {.lex_state = 21, .external_lex_state = 3},
  [2300] = {.lex_state = 21, .external_lex_state = 3},
  [2301] = {.lex_state = 35, .external_lex_state = 2},
  [2302] = {.lex_state = 35, .external_lex_state = 2},
  [2303] = {.lex_state = 35, .external_lex_state = 2},
  [2304] = {.lex_state = 35, .external_lex_state = 2},
  [2305] = {.lex_state = 35, .external_lex_state = 2},
  [2306] = {.lex_state = 35, .external_lex_state = 2},
  [2307] = {.lex_state = 35, .external_lex_state = 2},
  [2308] = {.lex_state = 21, .external_lex_state = 3},
  [2309] = {.lex_state = 21, .external_lex_state = 3},
  [2310] = {.lex_state = 35, .external_lex_state = 2},
  [2311] = {.lex_state = 35, .external_lex_state = 2},
  [2312] = {.lex_state = 35, .external_lex_state = 2},
  [2313] = {.lex_state = 21, .external_lex_state = 3},
  [2314] = {.lex_state = 21, .external_lex_state = 3},
  [2315] = {.lex_state = 35, .external_lex_state = 2},
  [2316] = {.lex_state = 35, .external_lex_state = 2},
  [2317] = {.lex_state = 35, .external_lex_state = 2},
  [2318] = {.lex_state = 35, .external_lex_state = 2},
  [2319] = {.lex_state = 21, .external_lex_state = 3},
  [2320] = {.lex_state = 21, .external_lex_state = 3},
  [2321] = {.lex_state = 21, .external_lex_state = 3},
  [2322] = {.lex_state = 35, .external_lex_state = 2},
  [2323] = {.lex_state = 21, .external_lex_state = 3},
  [2324] = {.lex_state = 35, .external_lex_state = 2},
  [2325] = {.lex_state = 21, .external_lex_state = 3},
  [2326] = {.lex_state = 21, .external_lex_state = 3},
  [2327] = {.lex_state = 21, .external_lex_state = 3},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 21, .external_lex_state = 3},
  [2330] = {.lex_state = 35, .external_lex_state = 2},
  [2331] = {.lex_state = 35, .external_lex_state = 2},
  [2332] = {.lex_state = 35, .external_lex_state = 2},
  [2333] = {.lex_state = 21, .external_lex_state = 3},
  [2334] = {.lex_state = 35, .external_lex_state = 2},
  [2335] = {.lex_state = 21, .external_lex_state = 3},
  [2336] = {.lex_state = 21, .external_lex_state = 3},
  [2337] = {.lex_state = 21, .external_lex_state = 3},
  [2338] = {.lex_state = 21, .external_lex_state = 3},
  [2339] = {.lex_state = 21, .external_lex_state = 3},
  [2340] = {.lex_state = 21, .external_lex_state = 3},
  [2341] = {.lex_state = 21, .external_lex_state = 3},
  [2342] = {.lex_state = 21, .external_lex_state = 3},
  [2343] = {.lex_state = 21, .external_lex_state = 3},
  [2344] = {.lex_state = 21, .external_lex_state = 3},
  [2345] = {.lex_state = 35, .external_lex_state = 2},
  [2346] = {.lex_state = 35, .external_lex_state = 2},
  [2347] = {.lex_state = 35, .external_lex_state = 2},
  [2348] = {.lex_state = 35, .external_lex_state = 2},
  [2349] = {.lex_state = 35, .external_lex_state = 2},
  [2350] = {.lex_state = 35, .external_lex_state = 2},
  [2351] = {.lex_state = 35, .external_lex_state = 2},
  [2352] = {.lex_state = 35, .external_lex_state = 2},
  [2353] = {.lex_state = 35, .external_lex_state = 2},
  [2354] = {.lex_state = 35, .external_lex_state = 2},
  [2355] = {.lex_state = 45, .external_lex_state = 5},
  [2356] = {.lex_state = 45, .external_lex_state = 5},
  [2357] = {.lex_state = 45, .external_lex_state = 5},
  [2358] = {.lex_state = 45, .external_lex_state = 5},
  [2359] = {.lex_state = 45, .external_lex_state = 5},
  [2360] = {.lex_state = 35, .external_lex_state = 2},
  [2361] = {.lex_state = 35, .external_lex_state = 2},
  [2362] = {.lex_state = 35, .external_lex_state = 2},
  [2363] = {.lex_state = 35, .external_lex_state = 2},
  [2364] = {.lex_state = 36, .external_lex_state = 2},
  [2365] = {.lex_state = 35, .external_lex_state = 2},
  [2366] = {.lex_state = 36, .external_lex_state = 2},
  [2367] = {.lex_state = 36, .external_lex_state = 2},
  [2368] = {.lex_state = 35, .external_lex_state = 2},
  [2369] = {.lex_state = 35, .external_lex_state = 2},
  [2370] = {.lex_state = 36, .external_lex_state = 2},
  [2371] = {.lex_state = 35, .external_lex_state = 2},
  [2372] = {.lex_state = 36, .external_lex_state = 2},
  [2373] = {.lex_state = 35, .external_lex_state = 2},
  [2374] = {.lex_state = 35, .external_lex_state = 2},
  [2375] = {.lex_state = 35, .external_lex_state = 2},
  [2376] = {.lex_state = 35, .external_lex_state = 2},
  [2377] = {.lex_state = 35, .external_lex_state = 2},
  [2378] = {.lex_state = 35, .external_lex_state = 2},
  [2379] = {.lex_state = 35, .external_lex_state = 2},
  [2380] = {.lex_state = 35, .external_lex_state = 2},
  [2381] = {.lex_state = 35, .external_lex_state = 2},
  [2382] = {.lex_state = 35, .external_lex_state = 2},
  [2383] = {.lex_state = 35, .external_lex_state = 2},
  [2384] = {.lex_state = 35, .external_lex_state = 2},
  [2385] = {.lex_state = 36, .external_lex_state = 2},
  [2386] = {.lex_state = 35, .external_lex_state = 2},
  [2387] = {.lex_state = 35, .external_lex_state = 2},
  [2388] = {.lex_state = 36, .external_lex_state = 2},
  [2389] = {.lex_state = 35, .external_lex_state = 2},
  [2390] = {.lex_state = 35, .external_lex_state = 2},
  [2391] = {.lex_state = 35, .external_lex_state = 2},
  [2392] = {.lex_state = 35, .external_lex_state = 2},
  [2393] = {.lex_state = 35, .external_lex_state = 2},
  [2394] = {.lex_state = 35, .external_lex_state = 2},
  [2395] = {.lex_state = 35, .external_lex_state = 2},
  [2396] = {.lex_state = 35, .external_lex_state = 2},
  [2397] = {.lex_state = 35, .external_lex_state = 2},
  [2398] = {.lex_state = 35, .external_lex_state = 2},
  [2399] = {.lex_state = 35, .external_lex_state = 2},
  [2400] = {.lex_state = 26, .external_lex_state = 4},
  [2401] = {.lex_state = 45, .external_lex_state = 5},
  [2402] = {.lex_state = 45, .external_lex_state = 5},
  [2403] = {.lex_state = 26, .external_lex_state = 4},
  [2404] = {.lex_state = 26, .external_lex_state = 3},
  [2405] = {.lex_state = 36, .external_lex_state = 2},
  [2406] = {.lex_state = 26, .external_lex_state = 3},
  [2407] = {.lex_state = 26, .external_lex_state = 3},
  [2408] = {.lex_state = 26, .external_lex_state = 3},
  [2409] = {.lex_state = 26, .external_lex_state = 3},
  [2410] = {.lex_state = 26, .external_lex_state = 3},
  [2411] = {.lex_state = 26, .external_lex_state = 3},
  [2412] = {.lex_state = 26, .external_lex_state = 4},
  [2413] = {.lex_state = 26, .external_lex_state = 3},
  [2414] = {.lex_state = 26, .external_lex_state = 3},
  [2415] = {.lex_state = 26, .external_lex_state = 3},
  [2416] = {.lex_state = 26, .external_lex_state = 4},
  [2417] = {.lex_state = 26, .external_lex_state = 3},
  [2418] = {.lex_state = 26, .external_lex_state = 3},
  [2419] = {.lex_state = 26, .external_lex_state = 3},
  [2420] = {.lex_state = 26, .external_lex_state = 3},
  [2421] = {.lex_state = 26, .external_lex_state = 3},
  [2422] = {.lex_state = 26, .external_lex_state = 4},
  [2423] = {.lex_state = 26, .external_lex_state = 4},
  [2424] = {.lex_state = 26, .external_lex_state = 3},
  [2425] = {.lex_state = 26, .external_lex_state = 3},
  [2426] = {.lex_state = 26, .external_lex_state = 3},
  [2427] = {.lex_state = 26, .external_lex_state = 3},
  [2428] = {.lex_state = 26, .external_lex_state = 3},
  [2429] = {.lex_state = 26, .external_lex_state = 3},
  [2430] = {.lex_state = 26, .external_lex_state = 3},
  [2431] = {.lex_state = 26, .external_lex_state = 3},
  [2432] = {.lex_state = 26, .external_lex_state = 3},
  [2433] = {.lex_state = 26, .external_lex_state = 3},
  [2434] = {.lex_state = 26, .external_lex_state = 3},
  [2435] = {.lex_state = 26, .external_lex_state = 3},
  [2436] = {.lex_state = 26, .external_lex_state = 3},
  [2437] = {.lex_state = 26, .external_lex_state = 3},
  [2438] = {.lex_state = 26, .external_lex_state = 3},
  [2439] = {.lex_state = 26, .external_lex_state = 3},
  [2440] = {.lex_state = 26, .external_lex_state = 3},
  [2441] = {.lex_state = 26, .external_lex_state = 3},
  [2442] = {.lex_state = 26, .external_lex_state = 3},
  [2443] = {.lex_state = 26, .external_lex_state = 3},
  [2444] = {.lex_state = 26, .external_lex_state = 3},
  [2445] = {.lex_state = 26, .external_lex_state = 3},
  [2446] = {.lex_state = 26, .external_lex_state = 3},
  [2447] = {.lex_state = 26, .external_lex_state = 3},
  [2448] = {.lex_state = 26, .external_lex_state = 3},
  [2449] = {.lex_state = 26, .external_lex_state = 3},
  [2450] = {.lex_state = 26, .external_lex_state = 3},
  [2451] = {.lex_state = 26, .external_lex_state = 3},
  [2452] = {.lex_state = 26, .external_lex_state = 3},
  [2453] = {.lex_state = 26, .external_lex_state = 3},
  [2454] = {.lex_state = 26, .external_lex_state = 3},
  [2455] = {.lex_state = 26, .external_lex_state = 3},
  [2456] = {.lex_state = 36, .external_lex_state = 5},
  [2457] = {.lex_state = 26, .external_lex_state = 3},
  [2458] = {.lex_state = 26, .external_lex_state = 3},
  [2459] = {.lex_state = 26, .external_lex_state = 3},
  [2460] = {.lex_state = 26, .external_lex_state = 3},
  [2461] = {.lex_state = 26, .external_lex_state = 3},
  [2462] = {.lex_state = 26, .external_lex_state = 3},
  [2463] = {.lex_state = 26, .external_lex_state = 3},
  [2464] = {.lex_state = 26, .external_lex_state = 3},
  [2465] = {.lex_state = 26, .external_lex_state = 3},
  [2466] = {.lex_state = 36, .external_lex_state = 5},
  [2467] = {.lex_state = 26, .external_lex_state = 3},
  [2468] = {.lex_state = 26, .external_lex_state = 3},
  [2469] = {.lex_state = 36, .external_lex_state = 5},
  [2470] = {.lex_state = 26, .external_lex_state = 3},
  [2471] = {.lex_state = 26, .external_lex_state = 4},
  [2472] = {.lex_state = 26, .external_lex_state = 4},
  [2473] = {.lex_state = 26, .external_lex_state = 3},
  [2474] = {.lex_state = 26, .external_lex_state = 3},
  [2475] = {.lex_state = 26, .external_lex_state = 3},
  [2476] = {.lex_state = 26, .external_lex_state = 3},
  [2477] = {.lex_state = 26, .external_lex_state = 3},
  [2478] = {.lex_state = 26, .external_lex_state = 3},
  [2479] = {.lex_state = 26, .external_lex_state = 3},
  [2480] = {.lex_state = 26, .external_lex_state = 3},
  [2481] = {.lex_state = 26, .external_lex_state = 3},
  [2482] = {.lex_state = 26, .external_lex_state = 3},
  [2483] = {.lex_state = 26, .external_lex_state = 3},
  [2484] = {.lex_state = 26, .external_lex_state = 3},
  [2485] = {.lex_state = 26, .external_lex_state = 3},
  [2486] = {.lex_state = 26, .external_lex_state = 3},
  [2487] = {.lex_state = 26, .external_lex_state = 3},
  [2488] = {.lex_state = 26, .external_lex_state = 3},
  [2489] = {.lex_state = 26, .external_lex_state = 3},
  [2490] = {.lex_state = 26, .external_lex_state = 3},
  [2491] = {.lex_state = 26, .external_lex_state = 3},
  [2492] = {.lex_state = 26, .external_lex_state = 3},
  [2493] = {.lex_state = 26, .external_lex_state = 3},
  [2494] = {.lex_state = 26, .external_lex_state = 3},
  [2495] = {.lex_state = 26, .external_lex_state = 3},
  [2496] = {.lex_state = 26, .external_lex_state = 3},
  [2497] = {.lex_state = 36, .external_lex_state = 5},
  [2498] = {.lex_state = 26, .external_lex_state = 3},
  [2499] = {.lex_state = 26, .external_lex_state = 3},
  [2500] = {.lex_state = 26, .external_lex_state = 3},
  [2501] = {.lex_state = 26, .external_lex_state = 3},
  [2502] = {.lex_state = 26, .external_lex_state = 3},
  [2503] = {.lex_state = 26, .external_lex_state = 4},
  [2504] = {.lex_state = 26, .external_lex_state = 3},
  [2505] = {.lex_state = 26, .external_lex_state = 3},
  [2506] = {.lex_state = 26, .external_lex_state = 3},
  [2507] = {.lex_state = 26, .external_lex_state = 3},
  [2508] = {.lex_state = 26, .external_lex_state = 3},
  [2509] = {.lex_state = 26, .external_lex_state = 3},
  [2510] = {.lex_state = 26, .external_lex_state = 3},
  [2511] = {.lex_state = 26, .external_lex_state = 3},
  [2512] = {.lex_state = 26, .external_lex_state = 3},
  [2513] = {.lex_state = 26, .external_lex_state = 3},
  [2514] = {.lex_state = 26, .external_lex_state = 3},
  [2515] = {.lex_state = 26, .external_lex_state = 3},
  [2516] = {.lex_state = 26, .external_lex_state = 3},
  [2517] = {.lex_state = 26, .external_lex_state = 3},
  [2518] = {.lex_state = 26, .external_lex_state = 3},
  [2519] = {.lex_state = 26, .external_lex_state = 3},
  [2520] = {.lex_state = 26, .external_lex_state = 3},
  [2521] = {.lex_state = 26, .external_lex_state = 4},
  [2522] = {.lex_state = 26, .external_lex_state = 3},
  [2523] = {.lex_state = 26, .external_lex_state = 3},
  [2524] = {.lex_state = 36, .external_lex_state = 5},
  [2525] = {.lex_state = 26, .external_lex_state = 3},
  [2526] = {.lex_state = 26, .external_lex_state = 3},
  [2527] = {.lex_state = 26, .external_lex_state = 3},
  [2528] = {.lex_state = 26, .external_lex_state = 3},
  [2529] = {.lex_state = 26, .external_lex_state = 3},
  [2530] = {.lex_state = 26, .external_lex_state = 3},
  [2531] = {.lex_state = 26, .external_lex_state = 3},
  [2532] = {.lex_state = 26, .external_lex_state = 3},
  [2533] = {.lex_state = 26, .external_lex_state = 3},
  [2534] = {.lex_state = 26, .external_lex_state = 3},
  [2535] = {.lex_state = 26, .external_lex_state = 3},
  [2536] = {.lex_state = 26, .external_lex_state = 3},
  [2537] = {.lex_state = 26, .external_lex_state = 3},
  [2538] = {.lex_state = 26, .external_lex_state = 3},
  [2539] = {.lex_state = 26, .external_lex_state = 3},
  [2540] = {.lex_state = 26, .external_lex_state = 3},
  [2541] = {.lex_state = 26, .external_lex_state = 3},
  [2542] = {.lex_state = 26, .external_lex_state = 3},
  [2543] = {.lex_state = 26, .external_lex_state = 3},
  [2544] = {.lex_state = 26, .external_lex_state = 3},
  [2545] = {.lex_state = 26, .external_lex_state = 3},
  [2546] = {.lex_state = 26, .external_lex_state = 3},
  [2547] = {.lex_state = 26, .external_lex_state = 3},
  [2548] = {.lex_state = 26, .external_lex_state = 3},
  [2549] = {.lex_state = 26, .external_lex_state = 3},
  [2550] = {.lex_state = 26, .external_lex_state = 3},
  [2551] = {.lex_state = 26, .external_lex_state = 3},
  [2552] = {.lex_state = 26, .external_lex_state = 3},
  [2553] = {.lex_state = 26, .external_lex_state = 3},
  [2554] = {.lex_state = 26, .external_lex_state = 3},
  [2555] = {.lex_state = 26, .external_lex_state = 3},
  [2556] = {.lex_state = 26, .external_lex_state = 3},
  [2557] = {.lex_state = 26, .external_lex_state = 3},
  [2558] = {.lex_state = 36, .external_lex_state = 5},
  [2559] = {.lex_state = 26, .external_lex_state = 3},
  [2560] = {.lex_state = 36, .external_lex_state = 5},
  [2561] = {.lex_state = 26, .external_lex_state = 4},
  [2562] = {.lex_state = 26, .external_lex_state = 4},
  [2563] = {.lex_state = 26, .external_lex_state = 4},
  [2564] = {.lex_state = 26, .external_lex_state = 3},
  [2565] = {.lex_state = 26, .external_lex_state = 4},
  [2566] = {.lex_state = 26, .external_lex_state = 4},
  [2567] = {.lex_state = 26, .external_lex_state = 3},
  [2568] = {.lex_state = 26, .external_lex_state = 4},
  [2569] = {.lex_state = 26, .external_lex_state = 4},
  [2570] = {.lex_state = 36, .external_lex_state = 5},
  [2571] = {.lex_state = 26, .external_lex_state = 4},
  [2572] = {.lex_state = 26, .external_lex_state = 4},
  [2573] = {.lex_state = 26, .external_lex_state = 4},
  [2574] = {.lex_state = 26, .external_lex_state = 3},
  [2575] = {.lex_state = 26, .external_lex_state = 3},
  [2576] = {.lex_state = 26, .external_lex_state = 3},
  [2577] = {.lex_state = 26, .external_lex_state = 4},
  [2578] = {.lex_state = 26, .external_lex_state = 4},
  [2579] = {.lex_state = 26, .external_lex_state = 3},
  [2580] = {.lex_state = 26, .external_lex_state = 3},
  [2581] = {.lex_state = 26, .external_lex_state = 3},
  [2582] = {.lex_state = 26, .external_lex_state = 3},
  [2583] = {.lex_state = 26, .external_lex_state = 4},
  [2584] = {.lex_state = 26, .external_lex_state = 3},
  [2585] = {.lex_state = 26, .external_lex_state = 3},
  [2586] = {.lex_state = 26, .external_lex_state = 4},
  [2587] = {.lex_state = 26, .external_lex_state = 3},
  [2588] = {.lex_state = 26, .external_lex_state = 3},
  [2589] = {.lex_state = 26, .external_lex_state = 4},
  [2590] = {.lex_state = 26, .external_lex_state = 4},
  [2591] = {.lex_state = 26, .external_lex_state = 3},
  [2592] = {.lex_state = 26, .external_lex_state = 3},
  [2593] = {.lex_state = 26, .external_lex_state = 4},
  [2594] = {.lex_state = 26, .external_lex_state = 4},
  [2595] = {.lex_state = 26, .external_lex_state = 3},
  [2596] = {.lex_state = 26, .external_lex_state = 3},
  [2597] = {.lex_state = 26, .external_lex_state = 4},
  [2598] = {.lex_state = 26, .external_lex_state = 4},
  [2599] = {.lex_state = 26, .external_lex_state = 3},
  [2600] = {.lex_state = 36, .external_lex_state = 5},
  [2601] = {.lex_state = 26, .external_lex_state = 3},
  [2602] = {.lex_state = 26, .external_lex_state = 4},
  [2603] = {.lex_state = 26, .external_lex_state = 4},
  [2604] = {.lex_state = 26, .external_lex_state = 3},
  [2605] = {.lex_state = 26, .external_lex_state = 4},
  [2606] = {.lex_state = 26, .external_lex_state = 3},
  [2607] = {.lex_state = 26, .external_lex_state = 3},
  [2608] = {.lex_state = 26, .external_lex_state = 3},
  [2609] = {.lex_state = 26, .external_lex_state = 3},
  [2610] = {.lex_state = 26, .external_lex_state = 3},
  [2611] = {.lex_state = 26, .external_lex_state = 3},
  [2612] = {.lex_state = 26, .external_lex_state = 4},
  [2613] = {.lex_state = 26, .external_lex_state = 4},
  [2614] = {.lex_state = 26, .external_lex_state = 3},
  [2615] = {.lex_state = 26, .external_lex_state = 4},
  [2616] = {.lex_state = 26, .external_lex_state = 4},
  [2617] = {.lex_state = 26, .external_lex_state = 4},
  [2618] = {.lex_state = 26, .external_lex_state = 4},
  [2619] = {.lex_state = 26, .external_lex_state = 3},
  [2620] = {.lex_state = 26, .external_lex_state = 3},
  [2621] = {.lex_state = 26, .external_lex_state = 3},
  [2622] = {.lex_state = 26, .external_lex_state = 3},
  [2623] = {.lex_state = 26, .external_lex_state = 3},
  [2624] = {.lex_state = 26, .external_lex_state = 4},
  [2625] = {.lex_state = 26, .external_lex_state = 4},
  [2626] = {.lex_state = 26, .external_lex_state = 3},
  [2627] = {.lex_state = 26, .external_lex_state = 4},
  [2628] = {.lex_state = 26, .external_lex_state = 3},
  [2629] = {.lex_state = 26, .external_lex_state = 3},
  [2630] = {.lex_state = 26, .external_lex_state = 4},
  [2631] = {.lex_state = 26, .external_lex_state = 3},
  [2632] = {.lex_state = 26, .external_lex_state = 4},
  [2633] = {.lex_state = 26, .external_lex_state = 4},
  [2634] = {.lex_state = 26, .external_lex_state = 3},
  [2635] = {.lex_state = 26, .external_lex_state = 3},
  [2636] = {.lex_state = 26, .external_lex_state = 3},
  [2637] = {.lex_state = 26, .external_lex_state = 4},
  [2638] = {.lex_state = 26, .external_lex_state = 4},
  [2639] = {.lex_state = 26, .external_lex_state = 3},
  [2640] = {.lex_state = 26, .external_lex_state = 4},
  [2641] = {.lex_state = 26, .external_lex_state = 4},
  [2642] = {.lex_state = 26, .external_lex_state = 4},
  [2643] = {.lex_state = 26, .external_lex_state = 3},
  [2644] = {.lex_state = 26, .external_lex_state = 3},
  [2645] = {.lex_state = 26, .external_lex_state = 4},
  [2646] = {.lex_state = 26, .external_lex_state = 3},
  [2647] = {.lex_state = 26, .external_lex_state = 4},
  [2648] = {.lex_state = 26, .external_lex_state = 3},
  [2649] = {.lex_state = 26, .external_lex_state = 4},
  [2650] = {.lex_state = 26, .external_lex_state = 4},
  [2651] = {.lex_state = 26, .external_lex_state = 3},
  [2652] = {.lex_state = 26, .external_lex_state = 4},
  [2653] = {.lex_state = 26, .external_lex_state = 4},
  [2654] = {.lex_state = 26, .external_lex_state = 3},
  [2655] = {.lex_state = 26, .external_lex_state = 3},
  [2656] = {.lex_state = 26, .external_lex_state = 3},
  [2657] = {.lex_state = 26, .external_lex_state = 3},
  [2658] = {.lex_state = 26, .external_lex_state = 3},
  [2659] = {.lex_state = 26, .external_lex_state = 3},
  [2660] = {.lex_state = 26, .external_lex_state = 3},
  [2661] = {.lex_state = 36, .external_lex_state = 5},
  [2662] = {.lex_state = 26, .external_lex_state = 4},
  [2663] = {.lex_state = 26, .external_lex_state = 4},
  [2664] = {.lex_state = 36, .external_lex_state = 5},
  [2665] = {.lex_state = 26, .external_lex_state = 4},
  [2666] = {.lex_state = 26, .external_lex_state = 4},
  [2667] = {.lex_state = 26, .external_lex_state = 3},
  [2668] = {.lex_state = 26, .external_lex_state = 3},
  [2669] = {.lex_state = 26, .external_lex_state = 3},
  [2670] = {.lex_state = 26, .external_lex_state = 3},
  [2671] = {.lex_state = 26, .external_lex_state = 4},
  [2672] = {.lex_state = 26, .external_lex_state = 4},
  [2673] = {.lex_state = 26, .external_lex_state = 3},
  [2674] = {.lex_state = 26, .external_lex_state = 3},
  [2675] = {.lex_state = 26, .external_lex_state = 3},
  [2676] = {.lex_state = 26, .external_lex_state = 3},
  [2677] = {.lex_state = 26, .external_lex_state = 4},
  [2678] = {.lex_state = 26, .external_lex_state = 4},
  [2679] = {.lex_state = 26, .external_lex_state = 3},
  [2680] = {.lex_state = 26, .external_lex_state = 3},
  [2681] = {.lex_state = 26, .external_lex_state = 4},
  [2682] = {.lex_state = 26, .external_lex_state = 4},
  [2683] = {.lex_state = 26, .external_lex_state = 3},
  [2684] = {.lex_state = 26, .external_lex_state = 3},
  [2685] = {.lex_state = 26, .external_lex_state = 3},
  [2686] = {.lex_state = 26, .external_lex_state = 3},
  [2687] = {.lex_state = 26, .external_lex_state = 4},
  [2688] = {.lex_state = 36, .external_lex_state = 5},
  [2689] = {.lex_state = 26, .external_lex_state = 4},
  [2690] = {.lex_state = 26, .external_lex_state = 4},
  [2691] = {.lex_state = 26, .external_lex_state = 4},
  [2692] = {.lex_state = 26, .external_lex_state = 3},
  [2693] = {.lex_state = 26, .external_lex_state = 4},
  [2694] = {.lex_state = 26, .external_lex_state = 4},
  [2695] = {.lex_state = 26, .external_lex_state = 4},
  [2696] = {.lex_state = 26, .external_lex_state = 3},
  [2697] = {.lex_state = 26, .external_lex_state = 4},
  [2698] = {.lex_state = 26, .external_lex_state = 3},
  [2699] = {.lex_state = 26, .external_lex_state = 4},
  [2700] = {.lex_state = 26, .external_lex_state = 4},
  [2701] = {.lex_state = 26, .external_lex_state = 4},
  [2702] = {.lex_state = 26, .external_lex_state = 3},
  [2703] = {.lex_state = 26, .external_lex_state = 3},
  [2704] = {.lex_state = 26, .external_lex_state = 4},
  [2705] = {.lex_state = 26, .external_lex_state = 3},
  [2706] = {.lex_state = 26, .external_lex_state = 3},
  [2707] = {.lex_state = 26, .external_lex_state = 3},
  [2708] = {.lex_state = 26, .external_lex_state = 3},
  [2709] = {.lex_state = 26, .external_lex_state = 4},
  [2710] = {.lex_state = 26, .external_lex_state = 3},
  [2711] = {.lex_state = 36, .external_lex_state = 5},
  [2712] = {.lex_state = 26, .external_lex_state = 4},
  [2713] = {.lex_state = 26, .external_lex_state = 3},
  [2714] = {.lex_state = 26, .external_lex_state = 4},
  [2715] = {.lex_state = 26, .external_lex_state = 3},
  [2716] = {.lex_state = 26, .external_lex_state = 4},
  [2717] = {.lex_state = 26, .external_lex_state = 4},
  [2718] = {.lex_state = 26, .external_lex_state = 4},
  [2719] = {.lex_state = 26, .external_lex_state = 4},
  [2720] = {.lex_state = 26, .external_lex_state = 3},
  [2721] = {.lex_state = 26, .external_lex_state = 4},
  [2722] = {.lex_state = 26, .external_lex_state = 3},
  [2723] = {.lex_state = 26, .external_lex_state = 4},
  [2724] = {.lex_state = 36, .external_lex_state = 5},
  [2725] = {.lex_state = 26, .external_lex_state = 4},
  [2726] = {.lex_state = 26, .external_lex_state = 3},
  [2727] = {.lex_state = 26, .external_lex_state = 4},
  [2728] = {.lex_state = 26, .external_lex_state = 4},
  [2729] = {.lex_state = 26, .external_lex_state = 4},
  [2730] = {.lex_state = 26, .external_lex_state = 4},
  [2731] = {.lex_state = 26, .external_lex_state = 3},
  [2732] = {.lex_state = 26, .external_lex_state = 3},
  [2733] = {.lex_state = 26, .external_lex_state = 3},
  [2734] = {.lex_state = 26, .external_lex_state = 3},
  [2735] = {.lex_state = 26, .external_lex_state = 4},
  [2736] = {.lex_state = 26, .external_lex_state = 3},
  [2737] = {.lex_state = 36, .external_lex_state = 5},
  [2738] = {.lex_state = 26, .external_lex_state = 4},
  [2739] = {.lex_state = 26, .external_lex_state = 4},
  [2740] = {.lex_state = 26, .external_lex_state = 4},
  [2741] = {.lex_state = 26, .external_lex_state = 3},
  [2742] = {.lex_state = 26, .external_lex_state = 3},
  [2743] = {.lex_state = 26, .external_lex_state = 4},
  [2744] = {.lex_state = 26, .external_lex_state = 3},
  [2745] = {.lex_state = 26, .external_lex_state = 3},
  [2746] = {.lex_state = 26, .external_lex_state = 3},
  [2747] = {.lex_state = 26, .external_lex_state = 4},
  [2748] = {.lex_state = 26, .external_lex_state = 4},
  [2749] = {.lex_state = 26, .external_lex_state = 4},
  [2750] = {.lex_state = 26, .external_lex_state = 3},
  [2751] = {.lex_state = 26, .external_lex_state = 4},
  [2752] = {.lex_state = 26, .external_lex_state = 4},
  [2753] = {.lex_state = 26, .external_lex_state = 3},
  [2754] = {.lex_state = 26, .external_lex_state = 3},
  [2755] = {.lex_state = 26, .external_lex_state = 3},
  [2756] = {.lex_state = 26, .external_lex_state = 4},
  [2757] = {.lex_state = 26, .external_lex_state = 3},
  [2758] = {.lex_state = 26, .external_lex_state = 4},
  [2759] = {.lex_state = 26, .external_lex_state = 4},
  [2760] = {.lex_state = 36, .external_lex_state = 5},
  [2761] = {.lex_state = 26, .external_lex_state = 3},
  [2762] = {.lex_state = 26, .external_lex_state = 3},
  [2763] = {.lex_state = 26, .external_lex_state = 3},
  [2764] = {.lex_state = 26, .external_lex_state = 4},
  [2765] = {.lex_state = 26, .external_lex_state = 3},
  [2766] = {.lex_state = 35, .external_lex_state = 5},
  [2767] = {.lex_state = 26, .external_lex_state = 3},
  [2768] = {.lex_state = 26, .external_lex_state = 4},
  [2769] = {.lex_state = 26, .external_lex_state = 3},
  [2770] = {.lex_state = 26, .external_lex_state = 4},
  [2771] = {.lex_state = 26, .external_lex_state = 4},
  [2772] = {.lex_state = 26, .external_lex_state = 4},
  [2773] = {.lex_state = 26, .external_lex_state = 4},
  [2774] = {.lex_state = 26, .external_lex_state = 3},
  [2775] = {.lex_state = 36, .external_lex_state = 5},
  [2776] = {.lex_state = 26, .external_lex_state = 3},
  [2777] = {.lex_state = 26, .external_lex_state = 3},
  [2778] = {.lex_state = 36, .external_lex_state = 5},
  [2779] = {.lex_state = 26, .external_lex_state = 3},
  [2780] = {.lex_state = 26, .external_lex_state = 4},
  [2781] = {.lex_state = 36, .external_lex_state = 5},
  [2782] = {.lex_state = 26, .external_lex_state = 3},
  [2783] = {.lex_state = 26, .external_lex_state = 3},
  [2784] = {.lex_state = 26, .external_lex_state = 3},
  [2785] = {.lex_state = 26, .external_lex_state = 4},
  [2786] = {.lex_state = 26, .external_lex_state = 4},
  [2787] = {.lex_state = 26, .external_lex_state = 3},
  [2788] = {.lex_state = 26, .external_lex_state = 3},
  [2789] = {.lex_state = 26, .external_lex_state = 3},
  [2790] = {.lex_state = 26, .external_lex_state = 3},
  [2791] = {.lex_state = 26, .external_lex_state = 3},
  [2792] = {.lex_state = 26, .external_lex_state = 4},
  [2793] = {.lex_state = 26, .external_lex_state = 3},
  [2794] = {.lex_state = 26, .external_lex_state = 3},
  [2795] = {.lex_state = 26, .external_lex_state = 3},
  [2796] = {.lex_state = 26, .external_lex_state = 4},
  [2797] = {.lex_state = 26, .external_lex_state = 3},
  [2798] = {.lex_state = 26, .external_lex_state = 3},
  [2799] = {.lex_state = 26, .external_lex_state = 3},
  [2800] = {.lex_state = 26, .external_lex_state = 3},
  [2801] = {.lex_state = 26, .external_lex_state = 3},
  [2802] = {.lex_state = 26, .external_lex_state = 3},
  [2803] = {.lex_state = 26, .external_lex_state = 3},
  [2804] = {.lex_state = 26, .external_lex_state = 3},
  [2805] = {.lex_state = 26, .external_lex_state = 3},
  [2806] = {.lex_state = 26, .external_lex_state = 3},
  [2807] = {.lex_state = 26, .external_lex_state = 3},
  [2808] = {.lex_state = 26, .external_lex_state = 3},
  [2809] = {.lex_state = 36, .external_lex_state = 5},
  [2810] = {.lex_state = 26, .external_lex_state = 3},
  [2811] = {.lex_state = 26, .external_lex_state = 3},
  [2812] = {.lex_state = 26, .external_lex_state = 3},
  [2813] = {.lex_state = 26, .external_lex_state = 3},
  [2814] = {.lex_state = 26, .external_lex_state = 3},
  [2815] = {.lex_state = 26, .external_lex_state = 3},
  [2816] = {.lex_state = 26, .external_lex_state = 3},
  [2817] = {.lex_state = 26, .external_lex_state = 3},
  [2818] = {.lex_state = 26, .external_lex_state = 3},
  [2819] = {.lex_state = 26, .external_lex_state = 4},
  [2820] = {.lex_state = 26, .external_lex_state = 4},
  [2821] = {.lex_state = 26, .external_lex_state = 3},
  [2822] = {.lex_state = 26, .external_lex_state = 3},
  [2823] = {.lex_state = 26, .external_lex_state = 3},
  [2824] = {.lex_state = 26, .external_lex_state = 3},
  [2825] = {.lex_state = 26, .external_lex_state = 3},
  [2826] = {.lex_state = 26, .external_lex_state = 3},
  [2827] = {.lex_state = 26, .external_lex_state = 3},
  [2828] = {.lex_state = 26, .external_lex_state = 4},
  [2829] = {.lex_state = 26, .external_lex_state = 3},
  [2830] = {.lex_state = 26, .external_lex_state = 3},
  [2831] = {.lex_state = 26, .external_lex_state = 3},
  [2832] = {.lex_state = 26, .external_lex_state = 3},
  [2833] = {.lex_state = 26, .external_lex_state = 4},
  [2834] = {.lex_state = 26, .external_lex_state = 3},
  [2835] = {.lex_state = 26, .external_lex_state = 3},
  [2836] = {.lex_state = 26, .external_lex_state = 3},
  [2837] = {.lex_state = 26, .external_lex_state = 3},
  [2838] = {.lex_state = 26, .external_lex_state = 3},
  [2839] = {.lex_state = 26, .external_lex_state = 3},
  [2840] = {.lex_state = 26, .external_lex_state = 3},
  [2841] = {.lex_state = 26, .external_lex_state = 3},
  [2842] = {.lex_state = 36, .external_lex_state = 5},
  [2843] = {.lex_state = 26, .external_lex_state = 3},
  [2844] = {.lex_state = 26, .external_lex_state = 3},
  [2845] = {.lex_state = 26, .external_lex_state = 4},
  [2846] = {.lex_state = 26, .external_lex_state = 3},
  [2847] = {.lex_state = 26, .external_lex_state = 3},
  [2848] = {.lex_state = 26, .external_lex_state = 3},
  [2849] = {.lex_state = 26, .external_lex_state = 3},
  [2850] = {.lex_state = 26, .external_lex_state = 3},
  [2851] = {.lex_state = 26, .external_lex_state = 3},
  [2852] = {.lex_state = 26, .external_lex_state = 3},
  [2853] = {.lex_state = 26, .external_lex_state = 3},
  [2854] = {.lex_state = 26, .external_lex_state = 4},
  [2855] = {.lex_state = 26, .external_lex_state = 3},
  [2856] = {.lex_state = 26, .external_lex_state = 4},
  [2857] = {.lex_state = 26, .external_lex_state = 3},
  [2858] = {.lex_state = 26, .external_lex_state = 3},
  [2859] = {.lex_state = 26, .external_lex_state = 3},
  [2860] = {.lex_state = 26, .external_lex_state = 3},
  [2861] = {.lex_state = 26, .external_lex_state = 3},
  [2862] = {.lex_state = 26, .external_lex_state = 3},
  [2863] = {.lex_state = 26, .external_lex_state = 3},
  [2864] = {.lex_state = 26, .external_lex_state = 3},
  [2865] = {.lex_state = 26, .external_lex_state = 3},
  [2866] = {.lex_state = 26, .external_lex_state = 3},
  [2867] = {.lex_state = 35, .external_lex_state = 5},
  [2868] = {.lex_state = 26, .external_lex_state = 3},
  [2869] = {.lex_state = 26, .external_lex_state = 3},
  [2870] = {.lex_state = 26, .external_lex_state = 3},
  [2871] = {.lex_state = 26, .external_lex_state = 4},
  [2872] = {.lex_state = 26, .external_lex_state = 3},
  [2873] = {.lex_state = 26, .external_lex_state = 3},
  [2874] = {.lex_state = 26, .external_lex_state = 4},
  [2875] = {.lex_state = 26, .external_lex_state = 3},
  [2876] = {.lex_state = 26, .external_lex_state = 4},
  [2877] = {.lex_state = 26, .external_lex_state = 3},
  [2878] = {.lex_state = 26, .external_lex_state = 3},
  [2879] = {.lex_state = 26, .external_lex_state = 3},
  [2880] = {.lex_state = 26, .external_lex_state = 4},
  [2881] = {.lex_state = 26, .external_lex_state = 3},
  [2882] = {.lex_state = 26, .external_lex_state = 3},
  [2883] = {.lex_state = 26, .external_lex_state = 3},
  [2884] = {.lex_state = 26, .external_lex_state = 3},
  [2885] = {.lex_state = 26, .external_lex_state = 3},
  [2886] = {.lex_state = 36, .external_lex_state = 5},
  [2887] = {.lex_state = 26, .external_lex_state = 3},
  [2888] = {.lex_state = 26, .external_lex_state = 4},
  [2889] = {.lex_state = 26, .external_lex_state = 3},
  [2890] = {.lex_state = 26, .external_lex_state = 4},
  [2891] = {.lex_state = 26, .external_lex_state = 4},
  [2892] = {.lex_state = 26, .external_lex_state = 4},
  [2893] = {.lex_state = 26, .external_lex_state = 4},
  [2894] = {.lex_state = 26, .external_lex_state = 4},
  [2895] = {.lex_state = 26, .external_lex_state = 4},
  [2896] = {.lex_state = 26, .external_lex_state = 4},
  [2897] = {.lex_state = 26, .external_lex_state = 4},
  [2898] = {.lex_state = 36, .external_lex_state = 2},
  [2899] = {.lex_state = 26, .external_lex_state = 4},
  [2900] = {.lex_state = 26, .external_lex_state = 4},
  [2901] = {.lex_state = 26, .external_lex_state = 4},
  [2902] = {.lex_state = 26, .external_lex_state = 4},
  [2903] = {.lex_state = 26, .external_lex_state = 4},
  [2904] = {.lex_state = 26, .external_lex_state = 4},
  [2905] = {.lex_state = 26, .external_lex_state = 4},
  [2906] = {.lex_state = 26, .external_lex_state = 4},
  [2907] = {.lex_state = 26, .external_lex_state = 4},
  [2908] = {.lex_state = 26, .external_lex_state = 3},
  [2909] = {.lex_state = 26, .external_lex_state = 3},
  [2910] = {.lex_state = 26, .external_lex_state = 4},
  [2911] = {.lex_state = 26, .external_lex_state = 4},
  [2912] = {.lex_state = 26, .external_lex_state = 4},
  [2913] = {.lex_state = 26, .external_lex_state = 4},
  [2914] = {.lex_state = 26, .external_lex_state = 4},
  [2915] = {.lex_state = 24, .external_lex_state = 3},
  [2916] = {.lex_state = 36, .external_lex_state = 2},
  [2917] = {.lex_state = 26, .external_lex_state = 4},
  [2918] = {.lex_state = 36, .external_lex_state = 2},
  [2919] = {.lex_state = 26, .external_lex_state = 4},
  [2920] = {.lex_state = 26, .external_lex_state = 3},
  [2921] = {.lex_state = 26, .external_lex_state = 3},
  [2922] = {.lex_state = 26, .external_lex_state = 3},
  [2923] = {.lex_state = 26, .external_lex_state = 3},
  [2924] = {.lex_state = 26, .external_lex_state = 3},
  [2925] = {.lex_state = 35, .external_lex_state = 5},
  [2926] = {.lex_state = 26, .external_lex_state = 4},
  [2927] = {.lex_state = 36, .external_lex_state = 5},
  [2928] = {.lex_state = 36, .external_lex_state = 2},
  [2929] = {.lex_state = 26, .external_lex_state = 3},
  [2930] = {.lex_state = 26, .external_lex_state = 3},
  [2931] = {.lex_state = 26, .external_lex_state = 3},
  [2932] = {.lex_state = 26, .external_lex_state = 3},
  [2933] = {.lex_state = 26, .external_lex_state = 4},
  [2934] = {.lex_state = 26, .external_lex_state = 4},
  [2935] = {.lex_state = 26, .external_lex_state = 4},
  [2936] = {.lex_state = 26, .external_lex_state = 4},
  [2937] = {.lex_state = 26, .external_lex_state = 4},
  [2938] = {.lex_state = 26, .external_lex_state = 4},
  [2939] = {.lex_state = 26, .external_lex_state = 4},
  [2940] = {.lex_state = 26, .external_lex_state = 3},
  [2941] = {.lex_state = 26, .external_lex_state = 4},
  [2942] = {.lex_state = 26, .external_lex_state = 3},
  [2943] = {.lex_state = 26, .external_lex_state = 3},
  [2944] = {.lex_state = 36, .external_lex_state = 5},
  [2945] = {.lex_state = 35, .external_lex_state = 5},
  [2946] = {.lex_state = 35, .external_lex_state = 5},
  [2947] = {.lex_state = 36, .external_lex_state = 5},
  [2948] = {.lex_state = 35, .external_lex_state = 5},
  [2949] = {.lex_state = 36, .external_lex_state = 5},
  [2950] = {.lex_state = 26, .external_lex_state = 3},
  [2951] = {.lex_state = 26, .external_lex_state = 3},
  [2952] = {.lex_state = 26, .external_lex_state = 3},
  [2953] = {.lex_state = 36, .external_lex_state = 2},
  [2954] = {.lex_state = 26, .external_lex_state = 4},
  [2955] = {.lex_state = 26, .external_lex_state = 3},
  [2956] = {.lex_state = 26, .external_lex_state = 4},
  [2957] = {.lex_state = 26, .external_lex_state = 4},
  [2958] = {.lex_state = 36, .external_lex_state = 5},
  [2959] = {.lex_state = 35, .external_lex_state = 5},
  [2960] = {.lex_state = 35, .external_lex_state = 5},
  [2961] = {.lex_state = 26, .external_lex_state = 4},
  [2962] = {.lex_state = 26, .external_lex_state = 3},
  [2963] = {.lex_state = 26, .external_lex_state = 4},
  [2964] = {.lex_state = 26, .external_lex_state = 4},
  [2965] = {.lex_state = 26, .external_lex_state = 4},
  [2966] = {.lex_state = 36, .external_lex_state = 5},
  [2967] = {.lex_state = 36, .external_lex_state = 5},
  [2968] = {.lex_state = 36, .external_lex_state = 2},
  [2969] = {.lex_state = 36, .external_lex_state = 5},
  [2970] = {.lex_state = 26, .external_lex_state = 4},
  [2971] = {.lex_state = 26, .external_lex_state = 3},
  [2972] = {.lex_state = 26, .external_lex_state = 3},
  [2973] = {.lex_state = 26, .external_lex_state = 4},
  [2974] = {.lex_state = 26, .external_lex_state = 4},
  [2975] = {.lex_state = 36, .external_lex_state = 2},
  [2976] = {.lex_state = 26, .external_lex_state = 4},
  [2977] = {.lex_state = 26, .external_lex_state = 4},
  [2978] = {.lex_state = 36, .external_lex_state = 2},
  [2979] = {.lex_state = 26, .external_lex_state = 4},
  [2980] = {.lex_state = 26, .external_lex_state = 4},
  [2981] = {.lex_state = 26, .external_lex_state = 4},
  [2982] = {.lex_state = 26, .external_lex_state = 4},
  [2983] = {.lex_state = 26, .external_lex_state = 4},
  [2984] = {.lex_state = 26, .external_lex_state = 4},
  [2985] = {.lex_state = 26, .external_lex_state = 3},
  [2986] = {.lex_state = 26, .external_lex_state = 4},
  [2987] = {.lex_state = 26, .external_lex_state = 4},
  [2988] = {.lex_state = 26, .external_lex_state = 4},
  [2989] = {.lex_state = 26, .external_lex_state = 4},
  [2990] = {.lex_state = 26, .external_lex_state = 4},
  [2991] = {.lex_state = 26, .external_lex_state = 4},
  [2992] = {.lex_state = 26, .external_lex_state = 4},
  [2993] = {.lex_state = 26, .external_lex_state = 4},
  [2994] = {.lex_state = 26, .external_lex_state = 4},
  [2995] = {.lex_state = 26, .external_lex_state = 4},
  [2996] = {.lex_state = 26, .external_lex_state = 4},
  [2997] = {.lex_state = 26, .external_lex_state = 4},
  [2998] = {.lex_state = 26, .external_lex_state = 4},
  [2999] = {.lex_state = 26, .external_lex_state = 4},
  [3000] = {.lex_state = 26, .external_lex_state = 4},
  [3001] = {.lex_state = 26, .external_lex_state = 4},
  [3002] = {.lex_state = 26, .external_lex_state = 4},
  [3003] = {.lex_state = 26, .external_lex_state = 4},
  [3004] = {.lex_state = 26, .external_lex_state = 4},
  [3005] = {.lex_state = 36, .external_lex_state = 2},
  [3006] = {.lex_state = 26, .external_lex_state = 4},
  [3007] = {.lex_state = 26, .external_lex_state = 4},
  [3008] = {.lex_state = 26, .external_lex_state = 4},
  [3009] = {.lex_state = 26, .external_lex_state = 4},
  [3010] = {.lex_state = 26, .external_lex_state = 4},
  [3011] = {.lex_state = 26, .external_lex_state = 4},
  [3012] = {.lex_state = 26, .external_lex_state = 4},
  [3013] = {.lex_state = 26, .external_lex_state = 4},
  [3014] = {.lex_state = 26, .external_lex_state = 4},
  [3015] = {.lex_state = 26, .external_lex_state = 4},
  [3016] = {.lex_state = 26, .external_lex_state = 4},
  [3017] = {.lex_state = 26, .external_lex_state = 4},
  [3018] = {.lex_state = 26, .external_lex_state = 4},
  [3019] = {.lex_state = 26, .external_lex_state = 4},
  [3020] = {.lex_state = 26, .external_lex_state = 4},
  [3021] = {.lex_state = 26, .external_lex_state = 4},
  [3022] = {.lex_state = 26, .external_lex_state = 4},
  [3023] = {.lex_state = 26, .external_lex_state = 4},
  [3024] = {.lex_state = 26, .external_lex_state = 4},
  [3025] = {.lex_state = 26, .external_lex_state = 4},
  [3026] = {.lex_state = 26, .external_lex_state = 4},
  [3027] = {.lex_state = 26, .external_lex_state = 4},
  [3028] = {.lex_state = 26, .external_lex_state = 4},
  [3029] = {.lex_state = 26, .external_lex_state = 4},
  [3030] = {.lex_state = 26, .external_lex_state = 4},
  [3031] = {.lex_state = 26, .external_lex_state = 4},
  [3032] = {.lex_state = 26, .external_lex_state = 4},
  [3033] = {.lex_state = 26, .external_lex_state = 4},
  [3034] = {.lex_state = 26, .external_lex_state = 4},
  [3035] = {.lex_state = 26, .external_lex_state = 4},
  [3036] = {.lex_state = 26, .external_lex_state = 4},
  [3037] = {.lex_state = 26, .external_lex_state = 4},
  [3038] = {.lex_state = 26, .external_lex_state = 4},
  [3039] = {.lex_state = 26, .external_lex_state = 4},
  [3040] = {.lex_state = 26, .external_lex_state = 4},
  [3041] = {.lex_state = 26, .external_lex_state = 4},
  [3042] = {.lex_state = 26, .external_lex_state = 4},
  [3043] = {.lex_state = 26, .external_lex_state = 4},
  [3044] = {.lex_state = 26, .external_lex_state = 4},
  [3045] = {.lex_state = 26, .external_lex_state = 4},
  [3046] = {.lex_state = 26, .external_lex_state = 4},
  [3047] = {.lex_state = 26, .external_lex_state = 4},
  [3048] = {.lex_state = 26, .external_lex_state = 4},
  [3049] = {.lex_state = 26, .external_lex_state = 4},
  [3050] = {.lex_state = 26, .external_lex_state = 4},
  [3051] = {.lex_state = 26, .external_lex_state = 4},
  [3052] = {.lex_state = 26, .external_lex_state = 4},
  [3053] = {.lex_state = 26, .external_lex_state = 4},
  [3054] = {.lex_state = 26, .external_lex_state = 4},
  [3055] = {.lex_state = 26, .external_lex_state = 4},
  [3056] = {.lex_state = 26, .external_lex_state = 4},
  [3057] = {.lex_state = 26, .external_lex_state = 4},
  [3058] = {.lex_state = 26, .external_lex_state = 4},
  [3059] = {.lex_state = 26, .external_lex_state = 4},
  [3060] = {.lex_state = 26, .external_lex_state = 4},
  [3061] = {.lex_state = 26, .external_lex_state = 4},
  [3062] = {.lex_state = 26, .external_lex_state = 4},
  [3063] = {.lex_state = 26, .external_lex_state = 4},
  [3064] = {.lex_state = 26, .external_lex_state = 4},
  [3065] = {.lex_state = 26, .external_lex_state = 4},
  [3066] = {.lex_state = 26, .external_lex_state = 4},
  [3067] = {.lex_state = 26, .external_lex_state = 4},
  [3068] = {.lex_state = 26, .external_lex_state = 4},
  [3069] = {.lex_state = 26, .external_lex_state = 4},
  [3070] = {.lex_state = 26, .external_lex_state = 4},
  [3071] = {.lex_state = 26, .external_lex_state = 4},
  [3072] = {.lex_state = 26, .external_lex_state = 4},
  [3073] = {.lex_state = 26, .external_lex_state = 4},
  [3074] = {.lex_state = 26, .external_lex_state = 4},
  [3075] = {.lex_state = 26, .external_lex_state = 4},
  [3076] = {.lex_state = 26, .external_lex_state = 4},
  [3077] = {.lex_state = 26, .external_lex_state = 4},
  [3078] = {.lex_state = 26, .external_lex_state = 4},
  [3079] = {.lex_state = 26, .external_lex_state = 4},
  [3080] = {.lex_state = 26, .external_lex_state = 4},
  [3081] = {.lex_state = 26, .external_lex_state = 4},
  [3082] = {.lex_state = 26, .external_lex_state = 4},
  [3083] = {.lex_state = 26, .external_lex_state = 4},
  [3084] = {.lex_state = 26, .external_lex_state = 4},
  [3085] = {.lex_state = 26, .external_lex_state = 4},
  [3086] = {.lex_state = 26, .external_lex_state = 4},
  [3087] = {.lex_state = 26, .external_lex_state = 4},
  [3088] = {.lex_state = 26, .external_lex_state = 4},
  [3089] = {.lex_state = 26, .external_lex_state = 4},
  [3090] = {.lex_state = 26, .external_lex_state = 4},
  [3091] = {.lex_state = 26, .external_lex_state = 4},
  [3092] = {.lex_state = 26, .external_lex_state = 4},
  [3093] = {.lex_state = 26, .external_lex_state = 4},
  [3094] = {.lex_state = 26, .external_lex_state = 4},
  [3095] = {.lex_state = 26, .external_lex_state = 4},
  [3096] = {.lex_state = 26, .external_lex_state = 4},
  [3097] = {.lex_state = 26, .external_lex_state = 4},
  [3098] = {.lex_state = 26, .external_lex_state = 4},
  [3099] = {.lex_state = 26, .external_lex_state = 4},
  [3100] = {.lex_state = 26, .external_lex_state = 4},
  [3101] = {.lex_state = 26, .external_lex_state = 4},
  [3102] = {.lex_state = 26, .external_lex_state = 3},
  [3103] = {.lex_state = 26, .external_lex_state = 4},
  [3104] = {.lex_state = 26, .external_lex_state = 3},
  [3105] = {.lex_state = 26, .external_lex_state = 4},
  [3106] = {.lex_state = 26, .external_lex_state = 3},
  [3107] = {.lex_state = 26, .external_lex_state = 4},
  [3108] = {.lex_state = 36, .external_lex_state = 2},
  [3109] = {.lex_state = 26, .external_lex_state = 3},
  [3110] = {.lex_state = 26, .external_lex_state = 4},
  [3111] = {.lex_state = 26, .external_lex_state = 4},
  [3112] = {.lex_state = 26, .external_lex_state = 4},
  [3113] = {.lex_state = 26, .external_lex_state = 3},
  [3114] = {.lex_state = 36, .external_lex_state = 5},
  [3115] = {.lex_state = 26, .external_lex_state = 3},
  [3116] = {.lex_state = 36, .external_lex_state = 5},
  [3117] = {.lex_state = 36, .external_lex_state = 5},
  [3118] = {.lex_state = 36, .external_lex_state = 5},
  [3119] = {.lex_state = 26, .external_lex_state = 4},
  [3120] = {.lex_state = 36, .external_lex_state = 5},
  [3121] = {.lex_state = 26, .external_lex_state = 3},
  [3122] = {.lex_state = 36, .external_lex_state = 5},
  [3123] = {.lex_state = 26, .external_lex_state = 3},
  [3124] = {.lex_state = 26, .external_lex_state = 4},
  [3125] = {.lex_state = 26, .external_lex_state = 3},
  [3126] = {.lex_state = 26, .external_lex_state = 4},
  [3127] = {.lex_state = 26, .external_lex_state = 3},
  [3128] = {.lex_state = 36, .external_lex_state = 5},
  [3129] = {.lex_state = 36, .external_lex_state = 5},
  [3130] = {.lex_state = 26, .external_lex_state = 4},
  [3131] = {.lex_state = 26, .external_lex_state = 4},
  [3132] = {.lex_state = 26, .external_lex_state = 4},
  [3133] = {.lex_state = 26, .external_lex_state = 4},
  [3134] = {.lex_state = 26, .external_lex_state = 4},
  [3135] = {.lex_state = 26, .external_lex_state = 3},
  [3136] = {.lex_state = 26, .external_lex_state = 4},
  [3137] = {.lex_state = 36, .external_lex_state = 5},
  [3138] = {.lex_state = 26, .external_lex_state = 3},
  [3139] = {.lex_state = 36, .external_lex_state = 5},
  [3140] = {.lex_state = 26, .external_lex_state = 3},
  [3141] = {.lex_state = 26, .external_lex_state = 4},
  [3142] = {.lex_state = 26, .external_lex_state = 3},
  [3143] = {.lex_state = 36, .external_lex_state = 5},
  [3144] = {.lex_state = 26, .external_lex_state = 3},
  [3145] = {.lex_state = 26, .external_lex_state = 3},
  [3146] = {.lex_state = 26, .external_lex_state = 4},
  [3147] = {.lex_state = 26, .external_lex_state = 4},
  [3148] = {.lex_state = 26, .external_lex_state = 4},
  [3149] = {.lex_state = 26, .external_lex_state = 3},
  [3150] = {.lex_state = 26, .external_lex_state = 4},
  [3151] = {.lex_state = 26, .external_lex_state = 4},
  [3152] = {.lex_state = 26, .external_lex_state = 4},
  [3153] = {.lex_state = 26, .external_lex_state = 4},
  [3154] = {.lex_state = 26, .external_lex_state = 3},
  [3155] = {.lex_state = 26, .external_lex_state = 3},
  [3156] = {.lex_state = 26, .external_lex_state = 4},
  [3157] = {.lex_state = 26, .external_lex_state = 4},
  [3158] = {.lex_state = 26, .external_lex_state = 4},
  [3159] = {.lex_state = 26, .external_lex_state = 4},
  [3160] = {.lex_state = 26, .external_lex_state = 4},
  [3161] = {.lex_state = 26, .external_lex_state = 4},
  [3162] = {.lex_state = 26, .external_lex_state = 3},
  [3163] = {.lex_state = 36, .external_lex_state = 5},
  [3164] = {.lex_state = 36, .external_lex_state = 5},
  [3165] = {.lex_state = 36, .external_lex_state = 5},
  [3166] = {.lex_state = 26, .external_lex_state = 3},
  [3167] = {.lex_state = 26, .external_lex_state = 4},
  [3168] = {.lex_state = 26, .external_lex_state = 3},
  [3169] = {.lex_state = 26, .external_lex_state = 3},
  [3170] = {.lex_state = 26, .external_lex_state = 3},
  [3171] = {.lex_state = 26, .external_lex_state = 3},
  [3172] = {.lex_state = 26, .external_lex_state = 3},
  [3173] = {.lex_state = 26, .external_lex_state = 3},
  [3174] = {.lex_state = 26, .external_lex_state = 4},
  [3175] = {.lex_state = 26, .external_lex_state = 3},
  [3176] = {.lex_state = 26, .external_lex_state = 3},
  [3177] = {.lex_state = 26, .external_lex_state = 4},
  [3178] = {.lex_state = 26, .external_lex_state = 3},
  [3179] = {.lex_state = 26, .external_lex_state = 4},
  [3180] = {.lex_state = 26, .external_lex_state = 4},
  [3181] = {.lex_state = 26, .external_lex_state = 4},
  [3182] = {.lex_state = 26, .external_lex_state = 4},
  [3183] = {.lex_state = 26, .external_lex_state = 4},
  [3184] = {.lex_state = 26, .external_lex_state = 4},
  [3185] = {.lex_state = 26, .external_lex_state = 3},
  [3186] = {.lex_state = 26, .external_lex_state = 3},
  [3187] = {.lex_state = 26, .external_lex_state = 3},
  [3188] = {.lex_state = 26, .external_lex_state = 4},
  [3189] = {.lex_state = 26, .external_lex_state = 4},
  [3190] = {.lex_state = 26, .external_lex_state = 3},
  [3191] = {.lex_state = 26, .external_lex_state = 3},
  [3192] = {.lex_state = 26, .external_lex_state = 4},
  [3193] = {.lex_state = 36, .external_lex_state = 5},
  [3194] = {.lex_state = 26, .external_lex_state = 4},
  [3195] = {.lex_state = 26, .external_lex_state = 3},
  [3196] = {.lex_state = 26, .external_lex_state = 3},
  [3197] = {.lex_state = 26, .external_lex_state = 3},
  [3198] = {.lex_state = 36, .external_lex_state = 5},
  [3199] = {.lex_state = 36, .external_lex_state = 2},
  [3200] = {.lex_state = 26, .external_lex_state = 3},
  [3201] = {.lex_state = 26, .external_lex_state = 3},
  [3202] = {.lex_state = 26, .external_lex_state = 3},
  [3203] = {.lex_state = 26, .external_lex_state = 3},
  [3204] = {.lex_state = 26, .external_lex_state = 4},
  [3205] = {.lex_state = 26, .external_lex_state = 4},
  [3206] = {.lex_state = 36, .external_lex_state = 5},
  [3207] = {.lex_state = 26, .external_lex_state = 3},
  [3208] = {.lex_state = 26, .external_lex_state = 4},
  [3209] = {.lex_state = 26, .external_lex_state = 4},
  [3210] = {.lex_state = 26, .external_lex_state = 3},
  [3211] = {.lex_state = 26, .external_lex_state = 3},
  [3212] = {.lex_state = 26, .external_lex_state = 3},
  [3213] = {.lex_state = 26, .external_lex_state = 3},
  [3214] = {.lex_state = 26, .external_lex_state = 3},
  [3215] = {.lex_state = 36, .external_lex_state = 5},
  [3216] = {.lex_state = 36, .external_lex_state = 5},
  [3217] = {.lex_state = 26, .external_lex_state = 4},
  [3218] = {.lex_state = 36, .external_lex_state = 5},
  [3219] = {.lex_state = 36, .external_lex_state = 5},
  [3220] = {.lex_state = 36, .external_lex_state = 5},
  [3221] = {.lex_state = 26, .external_lex_state = 4},
  [3222] = {.lex_state = 26, .external_lex_state = 4},
  [3223] = {.lex_state = 26, .external_lex_state = 4},
  [3224] = {.lex_state = 26, .external_lex_state = 4},
  [3225] = {.lex_state = 36, .external_lex_state = 5},
  [3226] = {.lex_state = 26, .external_lex_state = 4},
  [3227] = {.lex_state = 36, .external_lex_state = 2},
  [3228] = {.lex_state = 26, .external_lex_state = 4},
  [3229] = {.lex_state = 26, .external_lex_state = 4},
  [3230] = {.lex_state = 26, .external_lex_state = 4},
  [3231] = {.lex_state = 26, .external_lex_state = 3},
  [3232] = {.lex_state = 26, .external_lex_state = 3},
  [3233] = {.lex_state = 26, .external_lex_state = 3},
  [3234] = {.lex_state = 26, .external_lex_state = 3},
  [3235] = {.lex_state = 26, .external_lex_state = 4},
  [3236] = {.lex_state = 26, .external_lex_state = 3},
  [3237] = {.lex_state = 26, .external_lex_state = 3},
  [3238] = {.lex_state = 26, .external_lex_state = 3},
  [3239] = {.lex_state = 26, .external_lex_state = 3},
  [3240] = {.lex_state = 26, .external_lex_state = 3},
  [3241] = {.lex_state = 26, .external_lex_state = 3},
  [3242] = {.lex_state = 26, .external_lex_state = 3},
  [3243] = {.lex_state = 26, .external_lex_state = 3},
  [3244] = {.lex_state = 26, .external_lex_state = 3},
  [3245] = {.lex_state = 26, .external_lex_state = 3},
  [3246] = {.lex_state = 26, .external_lex_state = 4},
  [3247] = {.lex_state = 26, .external_lex_state = 3},
  [3248] = {.lex_state = 26, .external_lex_state = 3},
  [3249] = {.lex_state = 26, .external_lex_state = 3},
  [3250] = {.lex_state = 26, .external_lex_state = 3},
  [3251] = {.lex_state = 26, .external_lex_state = 3},
  [3252] = {.lex_state = 26, .external_lex_state = 3},
  [3253] = {.lex_state = 26, .external_lex_state = 3},
  [3254] = {.lex_state = 26, .external_lex_state = 3},
  [3255] = {.lex_state = 26, .external_lex_state = 3},
  [3256] = {.lex_state = 26, .external_lex_state = 3},
  [3257] = {.lex_state = 26, .external_lex_state = 3},
  [3258] = {.lex_state = 26, .external_lex_state = 4},
  [3259] = {.lex_state = 36, .external_lex_state = 2},
  [3260] = {.lex_state = 36, .external_lex_state = 5},
  [3261] = {.lex_state = 26, .external_lex_state = 3},
  [3262] = {.lex_state = 36, .external_lex_state = 2},
  [3263] = {.lex_state = 26, .external_lex_state = 4},
  [3264] = {.lex_state = 26, .external_lex_state = 3},
  [3265] = {.lex_state = 26, .external_lex_state = 3},
  [3266] = {.lex_state = 26, .external_lex_state = 3},
  [3267] = {.lex_state = 26, .external_lex_state = 4},
  [3268] = {.lex_state = 26, .external_lex_state = 3},
  [3269] = {.lex_state = 26, .external_lex_state = 4},
  [3270] = {.lex_state = 26, .external_lex_state = 4},
  [3271] = {.lex_state = 26, .external_lex_state = 4},
  [3272] = {.lex_state = 26, .external_lex_state = 3},
  [3273] = {.lex_state = 36, .external_lex_state = 5},
  [3274] = {.lex_state = 26, .external_lex_state = 3},
  [3275] = {.lex_state = 26, .external_lex_state = 4},
  [3276] = {.lex_state = 36, .external_lex_state = 5},
  [3277] = {.lex_state = 26, .external_lex_state = 3},
  [3278] = {.lex_state = 26, .external_lex_state = 4},
  [3279] = {.lex_state = 36, .external_lex_state = 5},
  [3280] = {.lex_state = 26, .external_lex_state = 3},
  [3281] = {.lex_state = 26, .external_lex_state = 3},
  [3282] = {.lex_state = 26, .external_lex_state = 3},
  [3283] = {.lex_state = 26, .external_lex_state = 3},
  [3284] = {.lex_state = 26, .external_lex_state = 4},
  [3285] = {.lex_state = 26, .external_lex_state = 4},
  [3286] = {.lex_state = 26, .external_lex_state = 4},
  [3287] = {.lex_state = 26, .external_lex_state = 4},
  [3288] = {.lex_state = 36, .external_lex_state = 2},
  [3289] = {.lex_state = 26, .external_lex_state = 4},
  [3290] = {.lex_state = 36, .external_lex_state = 2},
  [3291] = {.lex_state = 26, .external_lex_state = 4},
  [3292] = {.lex_state = 26, .external_lex_state = 4},
  [3293] = {.lex_state = 26, .external_lex_state = 3},
  [3294] = {.lex_state = 26, .external_lex_state = 3},
  [3295] = {.lex_state = 26, .external_lex_state = 3},
  [3296] = {.lex_state = 26, .external_lex_state = 4},
  [3297] = {.lex_state = 26, .external_lex_state = 4},
  [3298] = {.lex_state = 26, .external_lex_state = 4},
  [3299] = {.lex_state = 26, .external_lex_state = 3},
  [3300] = {.lex_state = 26, .external_lex_state = 4},
  [3301] = {.lex_state = 26, .external_lex_state = 3},
  [3302] = {.lex_state = 26, .external_lex_state = 3},
  [3303] = {.lex_state = 26, .external_lex_state = 3},
  [3304] = {.lex_state = 36, .external_lex_state = 5},
  [3305] = {.lex_state = 26, .external_lex_state = 4},
  [3306] = {.lex_state = 36, .external_lex_state = 5},
  [3307] = {.lex_state = 27, .external_lex_state = 4},
  [3308] = {.lex_state = 36, .external_lex_state = 5},
  [3309] = {.lex_state = 26, .external_lex_state = 3},
  [3310] = {.lex_state = 26, .external_lex_state = 3},
  [3311] = {.lex_state = 36, .external_lex_state = 5},
  [3312] = {.lex_state = 26, .external_lex_state = 3},
  [3313] = {.lex_state = 26, .external_lex_state = 4},
  [3314] = {.lex_state = 26, .external_lex_state = 3},
  [3315] = {.lex_state = 26, .external_lex_state = 3},
  [3316] = {.lex_state = 26, .external_lex_state = 3},
  [3317] = {.lex_state = 26, .external_lex_state = 3},
  [3318] = {.lex_state = 26, .external_lex_state = 3},
  [3319] = {.lex_state = 26, .external_lex_state = 3},
  [3320] = {.lex_state = 26, .external_lex_state = 3},
  [3321] = {.lex_state = 26, .external_lex_state = 3},
  [3322] = {.lex_state = 26, .external_lex_state = 3},
  [3323] = {.lex_state = 26, .external_lex_state = 3},
  [3324] = {.lex_state = 26, .external_lex_state = 3},
  [3325] = {.lex_state = 26, .external_lex_state = 3},
  [3326] = {.lex_state = 26, .external_lex_state = 3},
  [3327] = {.lex_state = 36, .external_lex_state = 5},
  [3328] = {.lex_state = 26, .external_lex_state = 3},
  [3329] = {.lex_state = 26, .external_lex_state = 4},
  [3330] = {.lex_state = 26, .external_lex_state = 3},
  [3331] = {.lex_state = 26, .external_lex_state = 3},
  [3332] = {.lex_state = 26, .external_lex_state = 3},
  [3333] = {.lex_state = 36, .external_lex_state = 5},
  [3334] = {.lex_state = 36, .external_lex_state = 5},
  [3335] = {.lex_state = 36, .external_lex_state = 5},
  [3336] = {.lex_state = 26, .external_lex_state = 3},
  [3337] = {.lex_state = 36, .external_lex_state = 5},
  [3338] = {.lex_state = 36, .external_lex_state = 2},
  [3339] = {.lex_state = 36, .external_lex_state = 2},
  [3340] = {.lex_state = 26, .external_lex_state = 3},
  [3341] = {.lex_state = 36, .external_lex_state = 2},
  [3342] = {.lex_state = 26, .external_lex_state = 4},
  [3343] = {.lex_state = 36, .external_lex_state = 5},
  [3344] = {.lex_state = 36, .external_lex_state = 5},
  [3345] = {.lex_state = 36, .external_lex_state = 5},
  [3346] = {.lex_state = 26, .external_lex_state = 3},
  [3347] = {.lex_state = 26, .external_lex_state = 3},
  [3348] = {.lex_state = 26, .external_lex_state = 3},
  [3349] = {.lex_state = 36, .external_lex_state = 5},
  [3350] = {.lex_state = 26, .external_lex_state = 3},
  [3351] = {.lex_state = 26, .external_lex_state = 3},
  [3352] = {.lex_state = 36, .external_lex_state = 2},
  [3353] = {.lex_state = 36, .external_lex_state = 2},
  [3354] = {.lex_state = 26, .external_lex_state = 3},
  [3355] = {.lex_state = 36, .external_lex_state = 5},
  [3356] = {.lex_state = 36, .external_lex_state = 5},
  [3357] = {.lex_state = 26, .external_lex_state = 4},
  [3358] = {.lex_state = 36, .external_lex_state = 5},
  [3359] = {.lex_state = 26, .external_lex_state = 3},
  [3360] = {.lex_state = 36, .external_lex_state = 5},
  [3361] = {.lex_state = 26, .external_lex_state = 3},
  [3362] = {.lex_state = 26, .external_lex_state = 3},
  [3363] = {.lex_state = 26, .external_lex_state = 3},
  [3364] = {.lex_state = 26, .external_lex_state = 4},
  [3365] = {.lex_state = 24, .external_lex_state = 4},
  [3366] = {.lex_state = 26, .external_lex_state = 3},
  [3367] = {.lex_state = 26, .external_lex_state = 3},
  [3368] = {.lex_state = 26, .external_lex_state = 4},
  [3369] = {.lex_state = 26, .external_lex_state = 3},
  [3370] = {.lex_state = 26, .external_lex_state = 3},
  [3371] = {.lex_state = 26, .external_lex_state = 3},
  [3372] = {.lex_state = 26, .external_lex_state = 3},
  [3373] = {.lex_state = 26, .external_lex_state = 3},
  [3374] = {.lex_state = 26, .external_lex_state = 4},
  [3375] = {.lex_state = 36, .external_lex_state = 2},
  [3376] = {.lex_state = 26, .external_lex_state = 3},
  [3377] = {.lex_state = 26, .external_lex_state = 4},
  [3378] = {.lex_state = 26, .external_lex_state = 4},
  [3379] = {.lex_state = 26, .external_lex_state = 3},
  [3380] = {.lex_state = 36, .external_lex_state = 5},
  [3381] = {.lex_state = 26, .external_lex_state = 4},
  [3382] = {.lex_state = 26, .external_lex_state = 3},
  [3383] = {.lex_state = 36, .external_lex_state = 2},
  [3384] = {.lex_state = 26, .external_lex_state = 3},
  [3385] = {.lex_state = 26, .external_lex_state = 4},
  [3386] = {.lex_state = 36, .external_lex_state = 2},
  [3387] = {.lex_state = 26, .external_lex_state = 4},
  [3388] = {.lex_state = 26, .external_lex_state = 4},
  [3389] = {.lex_state = 36, .external_lex_state = 5},
  [3390] = {.lex_state = 36, .external_lex_state = 5},
  [3391] = {.lex_state = 26, .external_lex_state = 3},
  [3392] = {.lex_state = 26, .external_lex_state = 4},
  [3393] = {.lex_state = 26, .external_lex_state = 3},
  [3394] = {.lex_state = 36, .external_lex_state = 5},
  [3395] = {.lex_state = 26, .external_lex_state = 3},
  [3396] = {.lex_state = 36, .external_lex_state = 2},
  [3397] = {.lex_state = 36, .external_lex_state = 2},
  [3398] = {.lex_state = 36, .external_lex_state = 5},
  [3399] = {.lex_state = 36, .external_lex_state = 5},
  [3400] = {.lex_state = 36, .external_lex_state = 5},
  [3401] = {.lex_state = 36, .external_lex_state = 5},
  [3402] = {.lex_state = 26, .external_lex_state = 3},
  [3403] = {.lex_state = 36, .external_lex_state = 5},
  [3404] = {.lex_state = 36, .external_lex_state = 5},
  [3405] = {.lex_state = 36, .external_lex_state = 2},
  [3406] = {.lex_state = 26, .external_lex_state = 3},
  [3407] = {.lex_state = 26, .external_lex_state = 3},
  [3408] = {.lex_state = 26, .external_lex_state = 3},
  [3409] = {.lex_state = 26, .external_lex_state = 3},
  [3410] = {.lex_state = 36, .external_lex_state = 5},
  [3411] = {.lex_state = 26, .external_lex_state = 3},
  [3412] = {.lex_state = 26, .external_lex_state = 3},
  [3413] = {.lex_state = 26, .external_lex_state = 3},
  [3414] = {.lex_state = 36, .external_lex_state = 5},
  [3415] = {.lex_state = 36, .external_lex_state = 2},
  [3416] = {.lex_state = 26, .external_lex_state = 3},
  [3417] = {.lex_state = 36, .external_lex_state = 5},
  [3418] = {.lex_state = 26, .external_lex_state = 3},
  [3419] = {.lex_state = 26, .external_lex_state = 3},
  [3420] = {.lex_state = 26, .external_lex_state = 3},
  [3421] = {.lex_state = 26, .external_lex_state = 3},
  [3422] = {.lex_state = 26, .external_lex_state = 3},
  [3423] = {.lex_state = 26, .external_lex_state = 3},
  [3424] = {.lex_state = 26, .external_lex_state = 3},
  [3425] = {.lex_state = 26, .external_lex_state = 3},
  [3426] = {.lex_state = 26, .external_lex_state = 3},
  [3427] = {.lex_state = 26, .external_lex_state = 3},
  [3428] = {.lex_state = 26, .external_lex_state = 4},
  [3429] = {.lex_state = 36, .external_lex_state = 5},
  [3430] = {.lex_state = 26, .external_lex_state = 3},
  [3431] = {.lex_state = 26, .external_lex_state = 3},
  [3432] = {.lex_state = 26, .external_lex_state = 3},
  [3433] = {.lex_state = 36, .external_lex_state = 5},
  [3434] = {.lex_state = 36, .external_lex_state = 2},
  [3435] = {.lex_state = 36, .external_lex_state = 5},
  [3436] = {.lex_state = 26, .external_lex_state = 4},
  [3437] = {.lex_state = 36, .external_lex_state = 5},
  [3438] = {.lex_state = 36, .external_lex_state = 2},
  [3439] = {.lex_state = 36, .external_lex_state = 5},
  [3440] = {.lex_state = 26, .external_lex_state = 3},
  [3441] = {.lex_state = 36, .external_lex_state = 5},
  [3442] = {.lex_state = 36, .external_lex_state = 5},
  [3443] = {.lex_state = 26, .external_lex_state = 3},
  [3444] = {.lex_state = 36, .external_lex_state = 5},
  [3445] = {.lex_state = 36, .external_lex_state = 2},
  [3446] = {.lex_state = 36, .external_lex_state = 2},
  [3447] = {.lex_state = 26, .external_lex_state = 3},
  [3448] = {.lex_state = 26, .external_lex_state = 3},
  [3449] = {.lex_state = 26, .external_lex_state = 3},
  [3450] = {.lex_state = 26, .external_lex_state = 3},
  [3451] = {.lex_state = 26, .external_lex_state = 3},
  [3452] = {.lex_state = 26, .external_lex_state = 3},
  [3453] = {.lex_state = 26, .external_lex_state = 3},
  [3454] = {.lex_state = 36, .external_lex_state = 5},
  [3455] = {.lex_state = 26, .external_lex_state = 3},
  [3456] = {.lex_state = 29, .external_lex_state = 3},
  [3457] = {.lex_state = 26, .external_lex_state = 3},
  [3458] = {.lex_state = 26, .external_lex_state = 3},
  [3459] = {.lex_state = 36, .external_lex_state = 2},
  [3460] = {.lex_state = 36, .external_lex_state = 5},
  [3461] = {.lex_state = 26, .external_lex_state = 3},
  [3462] = {.lex_state = 26, .external_lex_state = 3},
  [3463] = {.lex_state = 26, .external_lex_state = 3},
  [3464] = {.lex_state = 36, .external_lex_state = 5},
  [3465] = {.lex_state = 26, .external_lex_state = 3},
  [3466] = {.lex_state = 26, .external_lex_state = 3},
  [3467] = {.lex_state = 26, .external_lex_state = 4},
  [3468] = {.lex_state = 26, .external_lex_state = 3},
  [3469] = {.lex_state = 36, .external_lex_state = 5},
  [3470] = {.lex_state = 26, .external_lex_state = 3},
  [3471] = {.lex_state = 26, .external_lex_state = 3},
  [3472] = {.lex_state = 26, .external_lex_state = 3},
  [3473] = {.lex_state = 36, .external_lex_state = 5},
  [3474] = {.lex_state = 26, .external_lex_state = 3},
  [3475] = {.lex_state = 35, .external_lex_state = 5},
  [3476] = {.lex_state = 26, .external_lex_state = 3},
  [3477] = {.lex_state = 26, .external_lex_state = 3},
  [3478] = {.lex_state = 26, .external_lex_state = 4},
  [3479] = {.lex_state = 26, .external_lex_state = 3},
  [3480] = {.lex_state = 36, .external_lex_state = 5},
  [3481] = {.lex_state = 26, .external_lex_state = 3},
  [3482] = {.lex_state = 26, .external_lex_state = 3},
  [3483] = {.lex_state = 36, .external_lex_state = 5},
  [3484] = {.lex_state = 35, .external_lex_state = 5},
  [3485] = {.lex_state = 36, .external_lex_state = 5},
  [3486] = {.lex_state = 26, .external_lex_state = 3},
  [3487] = {.lex_state = 26, .external_lex_state = 3},
  [3488] = {.lex_state = 26, .external_lex_state = 3},
  [3489] = {.lex_state = 26, .external_lex_state = 3},
  [3490] = {.lex_state = 26, .external_lex_state = 3},
  [3491] = {.lex_state = 36, .external_lex_state = 2},
  [3492] = {.lex_state = 26, .external_lex_state = 3},
  [3493] = {.lex_state = 26, .external_lex_state = 3},
  [3494] = {.lex_state = 36, .external_lex_state = 5},
  [3495] = {.lex_state = 26, .external_lex_state = 3},
  [3496] = {.lex_state = 36, .external_lex_state = 5},
  [3497] = {.lex_state = 26, .external_lex_state = 3},
  [3498] = {.lex_state = 26, .external_lex_state = 3},
  [3499] = {.lex_state = 36, .external_lex_state = 2},
  [3500] = {.lex_state = 26, .external_lex_state = 3},
  [3501] = {.lex_state = 35, .external_lex_state = 2},
  [3502] = {.lex_state = 26, .external_lex_state = 3},
  [3503] = {.lex_state = 36, .external_lex_state = 5},
  [3504] = {.lex_state = 36, .external_lex_state = 2},
  [3505] = {.lex_state = 26, .external_lex_state = 3},
  [3506] = {.lex_state = 35, .external_lex_state = 5},
  [3507] = {.lex_state = 35, .external_lex_state = 5},
  [3508] = {.lex_state = 35, .external_lex_state = 5},
  [3509] = {.lex_state = 35, .external_lex_state = 5},
  [3510] = {.lex_state = 36, .external_lex_state = 5},
  [3511] = {.lex_state = 26, .external_lex_state = 4},
  [3512] = {.lex_state = 36, .external_lex_state = 2},
  [3513] = {.lex_state = 26, .external_lex_state = 3},
  [3514] = {.lex_state = 36, .external_lex_state = 5},
  [3515] = {.lex_state = 36, .external_lex_state = 5},
  [3516] = {.lex_state = 36, .external_lex_state = 2},
  [3517] = {.lex_state = 36, .external_lex_state = 2},
  [3518] = {.lex_state = 26, .external_lex_state = 3},
  [3519] = {.lex_state = 36, .external_lex_state = 2},
  [3520] = {.lex_state = 26, .external_lex_state = 3},
  [3521] = {.lex_state = 26, .external_lex_state = 3},
  [3522] = {.lex_state = 36, .external_lex_state = 2},
  [3523] = {.lex_state = 36, .external_lex_state = 5},
  [3524] = {.lex_state = 36, .external_lex_state = 5},
  [3525] = {.lex_state = 36, .external_lex_state = 2},
  [3526] = {.lex_state = 36, .external_lex_state = 5},
  [3527] = {.lex_state = 36, .external_lex_state = 2},
  [3528] = {.lex_state = 26, .external_lex_state = 3},
  [3529] = {.lex_state = 36, .external_lex_state = 5},
  [3530] = {.lex_state = 36, .external_lex_state = 2},
  [3531] = {.lex_state = 27, .external_lex_state = 3},
  [3532] = {.lex_state = 36, .external_lex_state = 2},
  [3533] = {.lex_state = 36, .external_lex_state = 5},
  [3534] = {.lex_state = 26, .external_lex_state = 3},
  [3535] = {.lex_state = 36, .external_lex_state = 2},
  [3536] = {.lex_state = 36, .external_lex_state = 2},
  [3537] = {.lex_state = 36, .external_lex_state = 2},
  [3538] = {.lex_state = 36, .external_lex_state = 2},
  [3539] = {.lex_state = 36, .external_lex_state = 2},
  [3540] = {.lex_state = 36, .external_lex_state = 5},
  [3541] = {.lex_state = 36, .external_lex_state = 5},
  [3542] = {.lex_state = 36, .external_lex_state = 5},
  [3543] = {.lex_state = 26, .external_lex_state = 3},
  [3544] = {.lex_state = 36, .external_lex_state = 5},
  [3545] = {.lex_state = 26, .external_lex_state = 3},
  [3546] = {.lex_state = 36, .external_lex_state = 5},
  [3547] = {.lex_state = 36, .external_lex_state = 5},
  [3548] = {.lex_state = 36, .external_lex_state = 5},
  [3549] = {.lex_state = 36, .external_lex_state = 2},
  [3550] = {.lex_state = 36, .external_lex_state = 2},
  [3551] = {.lex_state = 36, .external_lex_state = 5},
  [3552] = {.lex_state = 36, .external_lex_state = 2},
  [3553] = {.lex_state = 36, .external_lex_state = 5},
  [3554] = {.lex_state = 36, .external_lex_state = 5},
  [3555] = {.lex_state = 26, .external_lex_state = 3},
  [3556] = {.lex_state = 26, .external_lex_state = 3},
  [3557] = {.lex_state = 26, .external_lex_state = 3},
  [3558] = {.lex_state = 26, .external_lex_state = 3},
  [3559] = {.lex_state = 26, .external_lex_state = 3},
  [3560] = {.lex_state = 26, .external_lex_state = 3},
  [3561] = {.lex_state = 36, .external_lex_state = 2},
  [3562] = {.lex_state = 26, .external_lex_state = 3},
  [3563] = {.lex_state = 26, .external_lex_state = 3},
  [3564] = {.lex_state = 26, .external_lex_state = 3},
  [3565] = {.lex_state = 26, .external_lex_state = 3},
  [3566] = {.lex_state = 35, .external_lex_state = 5},
  [3567] = {.lex_state = 35, .external_lex_state = 5},
  [3568] = {.lex_state = 35, .external_lex_state = 5},
  [3569] = {.lex_state = 35, .external_lex_state = 5},
  [3570] = {.lex_state = 35, .external_lex_state = 5},
  [3571] = {.lex_state = 35, .external_lex_state = 5},
  [3572] = {.lex_state = 35, .external_lex_state = 5},
  [3573] = {.lex_state = 35, .external_lex_state = 5},
  [3574] = {.lex_state = 35, .external_lex_state = 5},
  [3575] = {.lex_state = 35, .external_lex_state = 5},
  [3576] = {.lex_state = 35, .external_lex_state = 5},
  [3577] = {.lex_state = 35, .external_lex_state = 5},
  [3578] = {.lex_state = 36, .external_lex_state = 2},
  [3579] = {.lex_state = 35, .external_lex_state = 5},
  [3580] = {.lex_state = 35, .external_lex_state = 5},
  [3581] = {.lex_state = 35, .external_lex_state = 5},
  [3582] = {.lex_state = 35, .external_lex_state = 5},
  [3583] = {.lex_state = 35, .external_lex_state = 5},
  [3584] = {.lex_state = 35, .external_lex_state = 5},
  [3585] = {.lex_state = 35, .external_lex_state = 5},
  [3586] = {.lex_state = 35, .external_lex_state = 5},
  [3587] = {.lex_state = 35, .external_lex_state = 5},
  [3588] = {.lex_state = 35, .external_lex_state = 5},
  [3589] = {.lex_state = 35, .external_lex_state = 5},
  [3590] = {.lex_state = 35, .external_lex_state = 5},
  [3591] = {.lex_state = 35, .external_lex_state = 5},
  [3592] = {.lex_state = 35, .external_lex_state = 5},
  [3593] = {.lex_state = 35, .external_lex_state = 5},
  [3594] = {.lex_state = 35, .external_lex_state = 5},
  [3595] = {.lex_state = 35, .external_lex_state = 5},
  [3596] = {.lex_state = 35, .external_lex_state = 5},
  [3597] = {.lex_state = 35, .external_lex_state = 5},
  [3598] = {.lex_state = 35, .external_lex_state = 5},
  [3599] = {.lex_state = 35, .external_lex_state = 5},
  [3600] = {.lex_state = 35, .external_lex_state = 5},
  [3601] = {.lex_state = 35, .external_lex_state = 5},
  [3602] = {.lex_state = 35, .external_lex_state = 5},
  [3603] = {.lex_state = 35, .external_lex_state = 5},
  [3604] = {.lex_state = 35, .external_lex_state = 5},
  [3605] = {.lex_state = 35, .external_lex_state = 5},
  [3606] = {.lex_state = 35, .external_lex_state = 5},
  [3607] = {.lex_state = 35, .external_lex_state = 5},
  [3608] = {.lex_state = 35, .external_lex_state = 5},
  [3609] = {.lex_state = 35, .external_lex_state = 5},
  [3610] = {.lex_state = 35, .external_lex_state = 5},
  [3611] = {.lex_state = 35, .external_lex_state = 5},
  [3612] = {.lex_state = 35, .external_lex_state = 5},
  [3613] = {.lex_state = 35, .external_lex_state = 5},
  [3614] = {.lex_state = 35, .external_lex_state = 5},
  [3615] = {.lex_state = 35, .external_lex_state = 5},
  [3616] = {.lex_state = 36, .external_lex_state = 2},
  [3617] = {.lex_state = 35, .external_lex_state = 5},
  [3618] = {.lex_state = 35, .external_lex_state = 5},
  [3619] = {.lex_state = 35, .external_lex_state = 5},
  [3620] = {.lex_state = 36, .external_lex_state = 2},
  [3621] = {.lex_state = 36, .external_lex_state = 2},
  [3622] = {.lex_state = 36, .external_lex_state = 2},
  [3623] = {.lex_state = 36, .external_lex_state = 2},
  [3624] = {.lex_state = 36, .external_lex_state = 2},
  [3625] = {.lex_state = 35, .external_lex_state = 2},
  [3626] = {.lex_state = 36, .external_lex_state = 2},
  [3627] = {.lex_state = 35, .external_lex_state = 2},
  [3628] = {.lex_state = 36, .external_lex_state = 2},
  [3629] = {.lex_state = 35, .external_lex_state = 2},
  [3630] = {.lex_state = 36, .external_lex_state = 2},
  [3631] = {.lex_state = 35, .external_lex_state = 2},
  [3632] = {.lex_state = 35, .external_lex_state = 2},
  [3633] = {.lex_state = 35, .external_lex_state = 2},
  [3634] = {.lex_state = 36, .external_lex_state = 2},
  [3635] = {.lex_state = 35, .external_lex_state = 2},
  [3636] = {.lex_state = 36, .external_lex_state = 2},
  [3637] = {.lex_state = 36, .external_lex_state = 2},
  [3638] = {.lex_state = 36, .external_lex_state = 2},
  [3639] = {.lex_state = 36, .external_lex_state = 2},
  [3640] = {.lex_state = 36, .external_lex_state = 2},
  [3641] = {.lex_state = 36, .external_lex_state = 2},
  [3642] = {.lex_state = 36, .external_lex_state = 2},
  [3643] = {.lex_state = 36, .external_lex_state = 2},
  [3644] = {.lex_state = 36, .external_lex_state = 2},
  [3645] = {.lex_state = 36, .external_lex_state = 2},
  [3646] = {.lex_state = 36, .external_lex_state = 2},
  [3647] = {.lex_state = 36, .external_lex_state = 2},
  [3648] = {.lex_state = 36, .external_lex_state = 2},
  [3649] = {.lex_state = 36, .external_lex_state = 2},
  [3650] = {.lex_state = 36, .external_lex_state = 2},
  [3651] = {.lex_state = 36, .external_lex_state = 2},
  [3652] = {.lex_state = 36, .external_lex_state = 2},
  [3653] = {.lex_state = 35, .external_lex_state = 2},
  [3654] = {.lex_state = 36, .external_lex_state = 2},
  [3655] = {.lex_state = 36, .external_lex_state = 2},
  [3656] = {.lex_state = 36, .external_lex_state = 2},
  [3657] = {.lex_state = 36, .external_lex_state = 2},
  [3658] = {.lex_state = 35, .external_lex_state = 2},
  [3659] = {.lex_state = 36, .external_lex_state = 2},
  [3660] = {.lex_state = 36, .external_lex_state = 2},
  [3661] = {.lex_state = 36, .external_lex_state = 2},
  [3662] = {.lex_state = 36, .external_lex_state = 2},
  [3663] = {.lex_state = 36, .external_lex_state = 2},
  [3664] = {.lex_state = 36, .external_lex_state = 2},
  [3665] = {.lex_state = 36, .external_lex_state = 2},
  [3666] = {.lex_state = 35, .external_lex_state = 2},
  [3667] = {.lex_state = 36, .external_lex_state = 2},
  [3668] = {.lex_state = 36, .external_lex_state = 2},
  [3669] = {.lex_state = 343, .external_lex_state = 2},
  [3670] = {.lex_state = 36, .external_lex_state = 2},
  [3671] = {.lex_state = 343, .external_lex_state = 2},
  [3672] = {.lex_state = 36, .external_lex_state = 2},
  [3673] = {.lex_state = 343, .external_lex_state = 2},
  [3674] = {.lex_state = 36, .external_lex_state = 2},
  [3675] = {.lex_state = 36, .external_lex_state = 2},
  [3676] = {.lex_state = 36, .external_lex_state = 2},
  [3677] = {.lex_state = 35, .external_lex_state = 2},
  [3678] = {.lex_state = 343, .external_lex_state = 2},
  [3679] = {.lex_state = 36, .external_lex_state = 2},
  [3680] = {.lex_state = 36, .external_lex_state = 2},
  [3681] = {.lex_state = 343, .external_lex_state = 2},
  [3682] = {.lex_state = 35, .external_lex_state = 2},
  [3683] = {.lex_state = 36, .external_lex_state = 2},
  [3684] = {.lex_state = 36, .external_lex_state = 2},
  [3685] = {.lex_state = 36, .external_lex_state = 2},
  [3686] = {.lex_state = 343, .external_lex_state = 2},
  [3687] = {.lex_state = 36, .external_lex_state = 2},
  [3688] = {.lex_state = 36, .external_lex_state = 2},
  [3689] = {.lex_state = 36, .external_lex_state = 2},
  [3690] = {.lex_state = 36, .external_lex_state = 2},
  [3691] = {.lex_state = 36, .external_lex_state = 2},
  [3692] = {.lex_state = 36, .external_lex_state = 2},
  [3693] = {.lex_state = 36, .external_lex_state = 2},
  [3694] = {.lex_state = 36, .external_lex_state = 2},
  [3695] = {.lex_state = 36, .external_lex_state = 2},
  [3696] = {.lex_state = 36, .external_lex_state = 2},
  [3697] = {.lex_state = 343, .external_lex_state = 2},
  [3698] = {.lex_state = 343, .external_lex_state = 2},
  [3699] = {.lex_state = 36, .external_lex_state = 2},
  [3700] = {.lex_state = 36, .external_lex_state = 2},
  [3701] = {.lex_state = 36, .external_lex_state = 2},
  [3702] = {.lex_state = 36, .external_lex_state = 2},
  [3703] = {.lex_state = 36, .external_lex_state = 2},
  [3704] = {.lex_state = 36, .external_lex_state = 2},
  [3705] = {.lex_state = 35, .external_lex_state = 2},
  [3706] = {.lex_state = 36, .external_lex_state = 2},
  [3707] = {.lex_state = 35, .external_lex_state = 2},
  [3708] = {.lex_state = 36, .external_lex_state = 2},
  [3709] = {.lex_state = 36, .external_lex_state = 2},
  [3710] = {.lex_state = 36, .external_lex_state = 2},
  [3711] = {.lex_state = 36, .external_lex_state = 2},
  [3712] = {.lex_state = 343, .external_lex_state = 2},
  [3713] = {.lex_state = 343, .external_lex_state = 2},
  [3714] = {.lex_state = 343, .external_lex_state = 2},
  [3715] = {.lex_state = 36, .external_lex_state = 2},
  [3716] = {.lex_state = 36, .external_lex_state = 2},
  [3717] = {.lex_state = 343, .external_lex_state = 2},
  [3718] = {.lex_state = 36, .external_lex_state = 2},
  [3719] = {.lex_state = 36, .external_lex_state = 2},
  [3720] = {.lex_state = 36, .external_lex_state = 2},
  [3721] = {.lex_state = 36, .external_lex_state = 2},
  [3722] = {.lex_state = 36, .external_lex_state = 2},
  [3723] = {.lex_state = 36, .external_lex_state = 2},
  [3724] = {.lex_state = 36, .external_lex_state = 2},
  [3725] = {.lex_state = 36, .external_lex_state = 2},
  [3726] = {.lex_state = 36, .external_lex_state = 2},
  [3727] = {.lex_state = 36, .external_lex_state = 2},
  [3728] = {.lex_state = 36, .external_lex_state = 2},
  [3729] = {.lex_state = 36, .external_lex_state = 2},
  [3730] = {.lex_state = 36, .external_lex_state = 2},
  [3731] = {.lex_state = 36, .external_lex_state = 2},
  [3732] = {.lex_state = 36, .external_lex_state = 2},
  [3733] = {.lex_state = 36, .external_lex_state = 2},
  [3734] = {.lex_state = 36, .external_lex_state = 2},
  [3735] = {.lex_state = 36, .external_lex_state = 2},
  [3736] = {.lex_state = 36, .external_lex_state = 2},
  [3737] = {.lex_state = 36, .external_lex_state = 2},
  [3738] = {.lex_state = 36, .external_lex_state = 2},
  [3739] = {.lex_state = 36, .external_lex_state = 2},
  [3740] = {.lex_state = 36, .external_lex_state = 2},
  [3741] = {.lex_state = 36, .external_lex_state = 2},
  [3742] = {.lex_state = 36, .external_lex_state = 2},
  [3743] = {.lex_state = 36, .external_lex_state = 2},
  [3744] = {.lex_state = 36, .external_lex_state = 2},
  [3745] = {.lex_state = 36, .external_lex_state = 2},
  [3746] = {.lex_state = 35, .external_lex_state = 2},
  [3747] = {.lex_state = 36, .external_lex_state = 2},
  [3748] = {.lex_state = 36, .external_lex_state = 2},
  [3749] = {.lex_state = 36, .external_lex_state = 2},
  [3750] = {.lex_state = 36, .external_lex_state = 2},
  [3751] = {.lex_state = 36, .external_lex_state = 2},
  [3752] = {.lex_state = 36, .external_lex_state = 2},
  [3753] = {.lex_state = 36, .external_lex_state = 2},
  [3754] = {.lex_state = 36, .external_lex_state = 2},
  [3755] = {.lex_state = 35, .external_lex_state = 2},
  [3756] = {.lex_state = 36, .external_lex_state = 2},
  [3757] = {.lex_state = 36, .external_lex_state = 2},
  [3758] = {.lex_state = 36, .external_lex_state = 2},
  [3759] = {.lex_state = 36, .external_lex_state = 2},
  [3760] = {.lex_state = 36, .external_lex_state = 2},
  [3761] = {.lex_state = 36, .external_lex_state = 2},
  [3762] = {.lex_state = 36, .external_lex_state = 2},
  [3763] = {.lex_state = 36, .external_lex_state = 2},
  [3764] = {.lex_state = 35, .external_lex_state = 2},
  [3765] = {.lex_state = 36, .external_lex_state = 2},
  [3766] = {.lex_state = 35, .external_lex_state = 2},
  [3767] = {.lex_state = 36, .external_lex_state = 2},
  [3768] = {.lex_state = 36, .external_lex_state = 2},
  [3769] = {.lex_state = 36, .external_lex_state = 2},
  [3770] = {.lex_state = 36, .external_lex_state = 2},
  [3771] = {.lex_state = 36, .external_lex_state = 2},
  [3772] = {.lex_state = 36, .external_lex_state = 2},
  [3773] = {.lex_state = 36, .external_lex_state = 2},
  [3774] = {.lex_state = 36, .external_lex_state = 2},
  [3775] = {.lex_state = 35, .external_lex_state = 2},
  [3776] = {.lex_state = 36, .external_lex_state = 2},
  [3777] = {.lex_state = 36, .external_lex_state = 2},
  [3778] = {.lex_state = 36, .external_lex_state = 2},
  [3779] = {.lex_state = 36, .external_lex_state = 2},
  [3780] = {.lex_state = 36, .external_lex_state = 2},
  [3781] = {.lex_state = 36, .external_lex_state = 2},
  [3782] = {.lex_state = 36, .external_lex_state = 2},
  [3783] = {.lex_state = 36, .external_lex_state = 2},
  [3784] = {.lex_state = 36, .external_lex_state = 2},
  [3785] = {.lex_state = 36, .external_lex_state = 2},
  [3786] = {.lex_state = 36, .external_lex_state = 2},
  [3787] = {.lex_state = 36, .external_lex_state = 2},
  [3788] = {.lex_state = 36, .external_lex_state = 2},
  [3789] = {.lex_state = 36, .external_lex_state = 2},
  [3790] = {.lex_state = 36, .external_lex_state = 2},
  [3791] = {.lex_state = 36, .external_lex_state = 2},
  [3792] = {.lex_state = 36, .external_lex_state = 2},
  [3793] = {.lex_state = 36, .external_lex_state = 2},
  [3794] = {.lex_state = 36, .external_lex_state = 2},
  [3795] = {.lex_state = 36, .external_lex_state = 2},
  [3796] = {.lex_state = 36, .external_lex_state = 2},
  [3797] = {.lex_state = 36, .external_lex_state = 2},
  [3798] = {.lex_state = 35, .external_lex_state = 2},
  [3799] = {.lex_state = 36, .external_lex_state = 2},
  [3800] = {.lex_state = 70, .external_lex_state = 2},
  [3801] = {.lex_state = 47, .external_lex_state = 2},
  [3802] = {.lex_state = 47, .external_lex_state = 2},
  [3803] = {.lex_state = 47, .external_lex_state = 2},
  [3804] = {.lex_state = 47, .external_lex_state = 2},
  [3805] = {.lex_state = 47, .external_lex_state = 2},
  [3806] = {.lex_state = 47, .external_lex_state = 2},
  [3807] = {.lex_state = 55, .external_lex_state = 2},
  [3808] = {.lex_state = 55, .external_lex_state = 2},
  [3809] = {.lex_state = 47, .external_lex_state = 2},
  [3810] = {.lex_state = 47, .external_lex_state = 2},
  [3811] = {.lex_state = 47, .external_lex_state = 2},
  [3812] = {.lex_state = 47, .external_lex_state = 2},
  [3813] = {.lex_state = 47, .external_lex_state = 2},
  [3814] = {.lex_state = 47, .external_lex_state = 2},
  [3815] = {.lex_state = 47, .external_lex_state = 2},
  [3816] = {.lex_state = 47, .external_lex_state = 2},
  [3817] = {.lex_state = 47, .external_lex_state = 2},
  [3818] = {.lex_state = 47, .external_lex_state = 2},
  [3819] = {.lex_state = 47, .external_lex_state = 2},
  [3820] = {.lex_state = 47, .external_lex_state = 2},
  [3821] = {.lex_state = 47, .external_lex_state = 2},
  [3822] = {.lex_state = 47, .external_lex_state = 2},
  [3823] = {.lex_state = 47, .external_lex_state = 2},
  [3824] = {.lex_state = 47, .external_lex_state = 2},
  [3825] = {.lex_state = 47, .external_lex_state = 2},
  [3826] = {.lex_state = 47, .external_lex_state = 2},
  [3827] = {.lex_state = 47, .external_lex_state = 2},
  [3828] = {.lex_state = 47, .external_lex_state = 2},
  [3829] = {.lex_state = 47, .external_lex_state = 2},
  [3830] = {.lex_state = 47, .external_lex_state = 2},
  [3831] = {.lex_state = 55, .external_lex_state = 2},
  [3832] = {.lex_state = 47, .external_lex_state = 2},
  [3833] = {.lex_state = 47, .external_lex_state = 2},
  [3834] = {.lex_state = 47, .external_lex_state = 2},
  [3835] = {.lex_state = 47, .external_lex_state = 2},
  [3836] = {.lex_state = 47, .external_lex_state = 2},
  [3837] = {.lex_state = 47, .external_lex_state = 2},
  [3838] = {.lex_state = 47, .external_lex_state = 2},
  [3839] = {.lex_state = 47, .external_lex_state = 2},
  [3840] = {.lex_state = 47, .external_lex_state = 2},
  [3841] = {.lex_state = 47, .external_lex_state = 2},
  [3842] = {.lex_state = 47, .external_lex_state = 2},
  [3843] = {.lex_state = 47, .external_lex_state = 2},
  [3844] = {.lex_state = 51, .external_lex_state = 2},
  [3845] = {.lex_state = 51, .external_lex_state = 2},
  [3846] = {.lex_state = 51, .external_lex_state = 2},
  [3847] = {.lex_state = 51, .external_lex_state = 2},
  [3848] = {.lex_state = 55, .external_lex_state = 2},
  [3849] = {.lex_state = 51, .external_lex_state = 2},
  [3850] = {.lex_state = 55, .external_lex_state = 2},
  [3851] = {.lex_state = 55, .external_lex_state = 2},
  [3852] = {.lex_state = 55, .external_lex_state = 2},
  [3853] = {.lex_state = 55, .external_lex_state = 2},
  [3854] = {.lex_state = 55, .external_lex_state = 2},
  [3855] = {.lex_state = 47, .external_lex_state = 2},
  [3856] = {.lex_state = 55, .external_lex_state = 2},
  [3857] = {.lex_state = 47, .external_lex_state = 2},
  [3858] = {.lex_state = 55, .external_lex_state = 2},
  [3859] = {.lex_state = 55, .external_lex_state = 2},
  [3860] = {.lex_state = 55, .external_lex_state = 2},
  [3861] = {.lex_state = 47, .external_lex_state = 2},
  [3862] = {.lex_state = 47, .external_lex_state = 2},
  [3863] = {.lex_state = 55, .external_lex_state = 2},
  [3864] = {.lex_state = 55, .external_lex_state = 2},
  [3865] = {.lex_state = 55, .external_lex_state = 2},
  [3866] = {.lex_state = 47, .external_lex_state = 5},
  [3867] = {.lex_state = 55, .external_lex_state = 2},
  [3868] = {.lex_state = 55, .external_lex_state = 2},
  [3869] = {.lex_state = 55, .external_lex_state = 2},
  [3870] = {.lex_state = 55, .external_lex_state = 2},
  [3871] = {.lex_state = 55, .external_lex_state = 2},
  [3872] = {.lex_state = 47, .external_lex_state = 5},
  [3873] = {.lex_state = 55, .external_lex_state = 2},
  [3874] = {.lex_state = 55, .external_lex_state = 2},
  [3875] = {.lex_state = 47, .external_lex_state = 5},
  [3876] = {.lex_state = 45, .external_lex_state = 5},
  [3877] = {.lex_state = 45, .external_lex_state = 5},
  [3878] = {.lex_state = 55, .external_lex_state = 2},
  [3879] = {.lex_state = 55, .external_lex_state = 2},
  [3880] = {.lex_state = 55, .external_lex_state = 2},
  [3881] = {.lex_state = 55, .external_lex_state = 2},
  [3882] = {.lex_state = 55, .external_lex_state = 2},
  [3883] = {.lex_state = 47, .external_lex_state = 5},
  [3884] = {.lex_state = 55, .external_lex_state = 2},
  [3885] = {.lex_state = 55, .external_lex_state = 2},
  [3886] = {.lex_state = 55, .external_lex_state = 2},
  [3887] = {.lex_state = 55, .external_lex_state = 2},
  [3888] = {.lex_state = 47, .external_lex_state = 5},
  [3889] = {.lex_state = 55, .external_lex_state = 2},
  [3890] = {.lex_state = 55, .external_lex_state = 2},
  [3891] = {.lex_state = 343, .external_lex_state = 2},
  [3892] = {.lex_state = 55, .external_lex_state = 2},
  [3893] = {.lex_state = 55, .external_lex_state = 2},
  [3894] = {.lex_state = 55, .external_lex_state = 2},
  [3895] = {.lex_state = 55, .external_lex_state = 2},
  [3896] = {.lex_state = 55, .external_lex_state = 2},
  [3897] = {.lex_state = 55, .external_lex_state = 2},
  [3898] = {.lex_state = 55, .external_lex_state = 2},
  [3899] = {.lex_state = 343, .external_lex_state = 2},
  [3900] = {.lex_state = 55, .external_lex_state = 2},
  [3901] = {.lex_state = 343, .external_lex_state = 2},
  [3902] = {.lex_state = 343, .external_lex_state = 2},
  [3903] = {.lex_state = 55, .external_lex_state = 2},
  [3904] = {.lex_state = 55, .external_lex_state = 2},
  [3905] = {.lex_state = 343, .external_lex_state = 2},
  [3906] = {.lex_state = 343, .external_lex_state = 2},
  [3907] = {.lex_state = 47, .external_lex_state = 5},
  [3908] = {.lex_state = 47, .external_lex_state = 5},
  [3909] = {.lex_state = 55, .external_lex_state = 2},
  [3910] = {.lex_state = 55, .external_lex_state = 2},
  [3911] = {.lex_state = 343, .external_lex_state = 2},
  [3912] = {.lex_state = 55, .external_lex_state = 2},
  [3913] = {.lex_state = 55, .external_lex_state = 2},
  [3914] = {.lex_state = 47, .external_lex_state = 5},
  [3915] = {.lex_state = 55, .external_lex_state = 2},
  [3916] = {.lex_state = 55, .external_lex_state = 2},
  [3917] = {.lex_state = 47, .external_lex_state = 5},
  [3918] = {.lex_state = 55, .external_lex_state = 2},
  [3919] = {.lex_state = 47, .external_lex_state = 5},
  [3920] = {.lex_state = 47, .external_lex_state = 5},
  [3921] = {.lex_state = 47, .external_lex_state = 5},
  [3922] = {.lex_state = 343, .external_lex_state = 2},
  [3923] = {.lex_state = 47, .external_lex_state = 5},
  [3924] = {.lex_state = 47, .external_lex_state = 5},
  [3925] = {.lex_state = 343, .external_lex_state = 2},
  [3926] = {.lex_state = 47, .external_lex_state = 6},
  [3927] = {.lex_state = 47, .external_lex_state = 5},
  [3928] = {.lex_state = 343, .external_lex_state = 2},
  [3929] = {.lex_state = 47, .external_lex_state = 6},
  [3930] = {.lex_state = 55, .external_lex_state = 2},
  [3931] = {.lex_state = 55, .external_lex_state = 2},
  [3932] = {.lex_state = 55, .external_lex_state = 2},
  [3933] = {.lex_state = 47, .external_lex_state = 6},
  [3934] = {.lex_state = 343, .external_lex_state = 2},
  [3935] = {.lex_state = 343, .external_lex_state = 2},
  [3936] = {.lex_state = 343, .external_lex_state = 2},
  [3937] = {.lex_state = 47, .external_lex_state = 5},
  [3938] = {.lex_state = 47, .external_lex_state = 5},
  [3939] = {.lex_state = 55, .external_lex_state = 2},
  [3940] = {.lex_state = 47, .external_lex_state = 5},
  [3941] = {.lex_state = 343, .external_lex_state = 2},
  [3942] = {.lex_state = 343, .external_lex_state = 2},
  [3943] = {.lex_state = 55, .external_lex_state = 2},
  [3944] = {.lex_state = 47, .external_lex_state = 5},
  [3945] = {.lex_state = 343, .external_lex_state = 2},
  [3946] = {.lex_state = 343, .external_lex_state = 2},
  [3947] = {.lex_state = 343, .external_lex_state = 2},
  [3948] = {.lex_state = 47, .external_lex_state = 5},
  [3949] = {.lex_state = 47, .external_lex_state = 5},
  [3950] = {.lex_state = 343, .external_lex_state = 2},
  [3951] = {.lex_state = 343, .external_lex_state = 2},
  [3952] = {.lex_state = 343, .external_lex_state = 2},
  [3953] = {.lex_state = 55, .external_lex_state = 2},
  [3954] = {.lex_state = 47, .external_lex_state = 5},
  [3955] = {.lex_state = 47, .external_lex_state = 5},
  [3956] = {.lex_state = 55, .external_lex_state = 2},
  [3957] = {.lex_state = 47, .external_lex_state = 5},
  [3958] = {.lex_state = 47, .external_lex_state = 5},
  [3959] = {.lex_state = 47, .external_lex_state = 5},
  [3960] = {.lex_state = 55, .external_lex_state = 2},
  [3961] = {.lex_state = 47, .external_lex_state = 5},
  [3962] = {.lex_state = 343, .external_lex_state = 2},
  [3963] = {.lex_state = 343, .external_lex_state = 2},
  [3964] = {.lex_state = 343, .external_lex_state = 2},
  [3965] = {.lex_state = 55, .external_lex_state = 2},
  [3966] = {.lex_state = 55, .external_lex_state = 2},
  [3967] = {.lex_state = 55, .external_lex_state = 2},
  [3968] = {.lex_state = 343, .external_lex_state = 2},
  [3969] = {.lex_state = 55, .external_lex_state = 2},
  [3970] = {.lex_state = 343, .external_lex_state = 2},
  [3971] = {.lex_state = 47, .external_lex_state = 5},
  [3972] = {.lex_state = 343, .external_lex_state = 2},
  [3973] = {.lex_state = 55, .external_lex_state = 2},
  [3974] = {.lex_state = 55, .external_lex_state = 2},
  [3975] = {.lex_state = 55, .external_lex_state = 2},
  [3976] = {.lex_state = 343, .external_lex_state = 2},
  [3977] = {.lex_state = 55, .external_lex_state = 2},
  [3978] = {.lex_state = 55, .external_lex_state = 2},
  [3979] = {.lex_state = 55, .external_lex_state = 2},
  [3980] = {.lex_state = 55, .external_lex_state = 2},
  [3981] = {.lex_state = 343, .external_lex_state = 2},
  [3982] = {.lex_state = 55, .external_lex_state = 2},
  [3983] = {.lex_state = 55, .external_lex_state = 2},
  [3984] = {.lex_state = 47, .external_lex_state = 5},
  [3985] = {.lex_state = 47, .external_lex_state = 5},
  [3986] = {.lex_state = 47, .external_lex_state = 5},
  [3987] = {.lex_state = 47, .external_lex_state = 5},
  [3988] = {.lex_state = 47, .external_lex_state = 5},
  [3989] = {.lex_state = 47, .external_lex_state = 5},
  [3990] = {.lex_state = 343, .external_lex_state = 2},
  [3991] = {.lex_state = 47, .external_lex_state = 5},
  [3992] = {.lex_state = 47, .external_lex_state = 5},
  [3993] = {.lex_state = 45, .external_lex_state = 5},
  [3994] = {.lex_state = 47, .external_lex_state = 5},
  [3995] = {.lex_state = 45, .external_lex_state = 5},
  [3996] = {.lex_state = 45, .external_lex_state = 5},
  [3997] = {.lex_state = 71, .external_lex_state = 2},
  [3998] = {.lex_state = 71, .external_lex_state = 2},
  [3999] = {.lex_state = 45, .external_lex_state = 5},
  [4000] = {.lex_state = 45, .external_lex_state = 5},
  [4001] = {.lex_state = 45, .external_lex_state = 5},
  [4002] = {.lex_state = 52, .external_lex_state = 2},
  [4003] = {.lex_state = 45, .external_lex_state = 5},
  [4004] = {.lex_state = 45, .external_lex_state = 5},
  [4005] = {.lex_state = 45, .external_lex_state = 5},
  [4006] = {.lex_state = 45, .external_lex_state = 5},
  [4007] = {.lex_state = 45, .external_lex_state = 5},
  [4008] = {.lex_state = 45, .external_lex_state = 5},
  [4009] = {.lex_state = 45, .external_lex_state = 5},
  [4010] = {.lex_state = 52, .external_lex_state = 2},
  [4011] = {.lex_state = 45, .external_lex_state = 5},
  [4012] = {.lex_state = 45, .external_lex_state = 5},
  [4013] = {.lex_state = 45, .external_lex_state = 5},
  [4014] = {.lex_state = 45, .external_lex_state = 5},
  [4015] = {.lex_state = 45, .external_lex_state = 5},
  [4016] = {.lex_state = 45, .external_lex_state = 5},
  [4017] = {.lex_state = 45, .external_lex_state = 5},
  [4018] = {.lex_state = 45, .external_lex_state = 5},
  [4019] = {.lex_state = 52, .external_lex_state = 2},
  [4020] = {.lex_state = 45, .external_lex_state = 5},
  [4021] = {.lex_state = 71, .external_lex_state = 2},
  [4022] = {.lex_state = 52, .external_lex_state = 2},
  [4023] = {.lex_state = 45, .external_lex_state = 5},
  [4024] = {.lex_state = 45, .external_lex_state = 5},
  [4025] = {.lex_state = 45, .external_lex_state = 5},
  [4026] = {.lex_state = 45, .external_lex_state = 5},
  [4027] = {.lex_state = 45, .external_lex_state = 5},
  [4028] = {.lex_state = 45, .external_lex_state = 5},
  [4029] = {.lex_state = 45, .external_lex_state = 5},
  [4030] = {.lex_state = 52, .external_lex_state = 2},
  [4031] = {.lex_state = 71, .external_lex_state = 2},
  [4032] = {.lex_state = 71, .external_lex_state = 2},
  [4033] = {.lex_state = 45, .external_lex_state = 2},
  [4034] = {.lex_state = 45, .external_lex_state = 5},
  [4035] = {.lex_state = 47, .external_lex_state = 6},
  [4036] = {.lex_state = 45, .external_lex_state = 6},
  [4037] = {.lex_state = 45, .external_lex_state = 5},
  [4038] = {.lex_state = 45, .external_lex_state = 5},
  [4039] = {.lex_state = 45, .external_lex_state = 5},
  [4040] = {.lex_state = 47, .external_lex_state = 6},
  [4041] = {.lex_state = 47, .external_lex_state = 6},
  [4042] = {.lex_state = 47, .external_lex_state = 6},
  [4043] = {.lex_state = 47, .external_lex_state = 6},
  [4044] = {.lex_state = 47, .external_lex_state = 6},
  [4045] = {.lex_state = 47, .external_lex_state = 6},
  [4046] = {.lex_state = 47, .external_lex_state = 6},
  [4047] = {.lex_state = 45, .external_lex_state = 5},
  [4048] = {.lex_state = 45, .external_lex_state = 5},
  [4049] = {.lex_state = 45, .external_lex_state = 5},
  [4050] = {.lex_state = 47, .external_lex_state = 6},
  [4051] = {.lex_state = 47, .external_lex_state = 6},
  [4052] = {.lex_state = 47, .external_lex_state = 6},
  [4053] = {.lex_state = 47, .external_lex_state = 6},
  [4054] = {.lex_state = 45, .external_lex_state = 5},
  [4055] = {.lex_state = 45, .external_lex_state = 5},
  [4056] = {.lex_state = 47, .external_lex_state = 6},
  [4057] = {.lex_state = 45, .external_lex_state = 5},
  [4058] = {.lex_state = 47, .external_lex_state = 6},
  [4059] = {.lex_state = 47, .external_lex_state = 5},
  [4060] = {.lex_state = 45, .external_lex_state = 5},
  [4061] = {.lex_state = 47, .external_lex_state = 5},
  [4062] = {.lex_state = 45, .external_lex_state = 5},
  [4063] = {.lex_state = 45, .external_lex_state = 5},
  [4064] = {.lex_state = 45, .external_lex_state = 5},
  [4065] = {.lex_state = 45, .external_lex_state = 5},
  [4066] = {.lex_state = 45, .external_lex_state = 5},
  [4067] = {.lex_state = 45, .external_lex_state = 5},
  [4068] = {.lex_state = 45, .external_lex_state = 5},
  [4069] = {.lex_state = 45, .external_lex_state = 5},
  [4070] = {.lex_state = 45, .external_lex_state = 5},
  [4071] = {.lex_state = 45, .external_lex_state = 5},
  [4072] = {.lex_state = 47, .external_lex_state = 5},
  [4073] = {.lex_state = 47, .external_lex_state = 5},
  [4074] = {.lex_state = 47, .external_lex_state = 6},
  [4075] = {.lex_state = 47, .external_lex_state = 6},
  [4076] = {.lex_state = 47, .external_lex_state = 6},
  [4077] = {.lex_state = 47, .external_lex_state = 6},
  [4078] = {.lex_state = 47, .external_lex_state = 6},
  [4079] = {.lex_state = 47, .external_lex_state = 6},
  [4080] = {.lex_state = 47, .external_lex_state = 6},
  [4081] = {.lex_state = 47, .external_lex_state = 6},
  [4082] = {.lex_state = 47, .external_lex_state = 6},
  [4083] = {.lex_state = 47, .external_lex_state = 6},
  [4084] = {.lex_state = 47, .external_lex_state = 6},
  [4085] = {.lex_state = 47, .external_lex_state = 6},
  [4086] = {.lex_state = 47, .external_lex_state = 5},
  [4087] = {.lex_state = 47, .external_lex_state = 5},
  [4088] = {.lex_state = 47, .external_lex_state = 6},
  [4089] = {.lex_state = 47, .external_lex_state = 5},
  [4090] = {.lex_state = 47, .external_lex_state = 6},
  [4091] = {.lex_state = 45, .external_lex_state = 5},
  [4092] = {.lex_state = 47, .external_lex_state = 6},
  [4093] = {.lex_state = 45, .external_lex_state = 5},
  [4094] = {.lex_state = 47, .external_lex_state = 6},
  [4095] = {.lex_state = 45, .external_lex_state = 5},
  [4096] = {.lex_state = 47, .external_lex_state = 6},
  [4097] = {.lex_state = 45, .external_lex_state = 2},
  [4098] = {.lex_state = 45, .external_lex_state = 5},
  [4099] = {.lex_state = 47, .external_lex_state = 6},
  [4100] = {.lex_state = 47, .external_lex_state = 6},
  [4101] = {.lex_state = 47, .external_lex_state = 6},
  [4102] = {.lex_state = 45, .external_lex_state = 5},
  [4103] = {.lex_state = 45, .external_lex_state = 5},
  [4104] = {.lex_state = 45, .external_lex_state = 5},
  [4105] = {.lex_state = 45, .external_lex_state = 5},
  [4106] = {.lex_state = 45, .external_lex_state = 5},
  [4107] = {.lex_state = 45, .external_lex_state = 5},
  [4108] = {.lex_state = 45, .external_lex_state = 5},
  [4109] = {.lex_state = 45, .external_lex_state = 5},
  [4110] = {.lex_state = 45, .external_lex_state = 5},
  [4111] = {.lex_state = 51, .external_lex_state = 2},
  [4112] = {.lex_state = 45, .external_lex_state = 5},
  [4113] = {.lex_state = 45, .external_lex_state = 5},
  [4114] = {.lex_state = 45, .external_lex_state = 5},
  [4115] = {.lex_state = 45, .external_lex_state = 5},
  [4116] = {.lex_state = 45, .external_lex_state = 5},
  [4117] = {.lex_state = 45, .external_lex_state = 5},
  [4118] = {.lex_state = 45, .external_lex_state = 5},
  [4119] = {.lex_state = 45, .external_lex_state = 5},
  [4120] = {.lex_state = 45, .external_lex_state = 5},
  [4121] = {.lex_state = 45, .external_lex_state = 5},
  [4122] = {.lex_state = 45, .external_lex_state = 5},
  [4123] = {.lex_state = 45, .external_lex_state = 6},
  [4124] = {.lex_state = 51, .external_lex_state = 2},
  [4125] = {.lex_state = 45, .external_lex_state = 5},
  [4126] = {.lex_state = 51, .external_lex_state = 2},
  [4127] = {.lex_state = 45, .external_lex_state = 2},
  [4128] = {.lex_state = 45, .external_lex_state = 5},
  [4129] = {.lex_state = 45, .external_lex_state = 5},
  [4130] = {.lex_state = 45, .external_lex_state = 5},
  [4131] = {.lex_state = 45, .external_lex_state = 5},
  [4132] = {.lex_state = 45, .external_lex_state = 5},
  [4133] = {.lex_state = 45, .external_lex_state = 5},
  [4134] = {.lex_state = 45, .external_lex_state = 5},
  [4135] = {.lex_state = 45, .external_lex_state = 5},
  [4136] = {.lex_state = 45, .external_lex_state = 5},
  [4137] = {.lex_state = 45, .external_lex_state = 5},
  [4138] = {.lex_state = 45, .external_lex_state = 5},
  [4139] = {.lex_state = 45, .external_lex_state = 5},
  [4140] = {.lex_state = 51, .external_lex_state = 2},
  [4141] = {.lex_state = 45, .external_lex_state = 5},
  [4142] = {.lex_state = 45, .external_lex_state = 5},
  [4143] = {.lex_state = 45, .external_lex_state = 5},
  [4144] = {.lex_state = 45, .external_lex_state = 5},
  [4145] = {.lex_state = 45, .external_lex_state = 5},
  [4146] = {.lex_state = 45, .external_lex_state = 5},
  [4147] = {.lex_state = 51, .external_lex_state = 2},
  [4148] = {.lex_state = 45, .external_lex_state = 5},
  [4149] = {.lex_state = 45, .external_lex_state = 5},
  [4150] = {.lex_state = 45, .external_lex_state = 5},
  [4151] = {.lex_state = 45, .external_lex_state = 5},
  [4152] = {.lex_state = 45, .external_lex_state = 5},
  [4153] = {.lex_state = 45, .external_lex_state = 5},
  [4154] = {.lex_state = 45, .external_lex_state = 5},
  [4155] = {.lex_state = 45, .external_lex_state = 5},
  [4156] = {.lex_state = 45, .external_lex_state = 5},
  [4157] = {.lex_state = 45, .external_lex_state = 5},
  [4158] = {.lex_state = 45, .external_lex_state = 5},
  [4159] = {.lex_state = 45, .external_lex_state = 5},
  [4160] = {.lex_state = 45, .external_lex_state = 5},
  [4161] = {.lex_state = 45, .external_lex_state = 5},
  [4162] = {.lex_state = 45, .external_lex_state = 5},
  [4163] = {.lex_state = 47, .external_lex_state = 6},
  [4164] = {.lex_state = 45, .external_lex_state = 5},
  [4165] = {.lex_state = 47, .external_lex_state = 6},
  [4166] = {.lex_state = 45, .external_lex_state = 5},
  [4167] = {.lex_state = 45, .external_lex_state = 5},
  [4168] = {.lex_state = 45, .external_lex_state = 5},
  [4169] = {.lex_state = 51, .external_lex_state = 2},
  [4170] = {.lex_state = 45, .external_lex_state = 6},
  [4171] = {.lex_state = 45, .external_lex_state = 6},
  [4172] = {.lex_state = 45, .external_lex_state = 5},
  [4173] = {.lex_state = 45, .external_lex_state = 5},
  [4174] = {.lex_state = 45, .external_lex_state = 5},
  [4175] = {.lex_state = 45, .external_lex_state = 5},
  [4176] = {.lex_state = 45, .external_lex_state = 5},
  [4177] = {.lex_state = 47, .external_lex_state = 6},
  [4178] = {.lex_state = 47, .external_lex_state = 6},
  [4179] = {.lex_state = 47, .external_lex_state = 6},
  [4180] = {.lex_state = 45, .external_lex_state = 5},
  [4181] = {.lex_state = 45, .external_lex_state = 5},
  [4182] = {.lex_state = 45, .external_lex_state = 5},
  [4183] = {.lex_state = 45, .external_lex_state = 5},
  [4184] = {.lex_state = 45, .external_lex_state = 5},
  [4185] = {.lex_state = 45, .external_lex_state = 5},
  [4186] = {.lex_state = 45, .external_lex_state = 5},
  [4187] = {.lex_state = 45, .external_lex_state = 5},
  [4188] = {.lex_state = 45, .external_lex_state = 5},
  [4189] = {.lex_state = 45, .external_lex_state = 5},
  [4190] = {.lex_state = 45, .external_lex_state = 5},
  [4191] = {.lex_state = 45, .external_lex_state = 5},
  [4192] = {.lex_state = 45, .external_lex_state = 5},
  [4193] = {.lex_state = 45, .external_lex_state = 5},
  [4194] = {.lex_state = 45, .external_lex_state = 5},
  [4195] = {.lex_state = 45, .external_lex_state = 5},
  [4196] = {.lex_state = 45, .external_lex_state = 5},
  [4197] = {.lex_state = 45, .external_lex_state = 5},
  [4198] = {.lex_state = 45, .external_lex_state = 5},
  [4199] = {.lex_state = 45, .external_lex_state = 5},
  [4200] = {.lex_state = 45, .external_lex_state = 5},
  [4201] = {.lex_state = 45, .external_lex_state = 5},
  [4202] = {.lex_state = 45, .external_lex_state = 5},
  [4203] = {.lex_state = 45, .external_lex_state = 5},
  [4204] = {.lex_state = 45, .external_lex_state = 5},
  [4205] = {.lex_state = 45, .external_lex_state = 5},
  [4206] = {.lex_state = 45, .external_lex_state = 5},
  [4207] = {.lex_state = 45, .external_lex_state = 5},
  [4208] = {.lex_state = 47, .external_lex_state = 6},
  [4209] = {.lex_state = 45, .external_lex_state = 5},
  [4210] = {.lex_state = 45, .external_lex_state = 5},
  [4211] = {.lex_state = 45, .external_lex_state = 5},
  [4212] = {.lex_state = 45, .external_lex_state = 5},
  [4213] = {.lex_state = 45, .external_lex_state = 5},
  [4214] = {.lex_state = 45, .external_lex_state = 5},
  [4215] = {.lex_state = 45, .external_lex_state = 5},
  [4216] = {.lex_state = 47, .external_lex_state = 6},
  [4217] = {.lex_state = 45, .external_lex_state = 6},
  [4218] = {.lex_state = 45, .external_lex_state = 6},
  [4219] = {.lex_state = 45, .external_lex_state = 6},
  [4220] = {.lex_state = 67, .external_lex_state = 2},
  [4221] = {.lex_state = 45, .external_lex_state = 6},
  [4222] = {.lex_state = 67, .external_lex_state = 2},
  [4223] = {.lex_state = 45, .external_lex_state = 5},
  [4224] = {.lex_state = 67, .external_lex_state = 2},
  [4225] = {.lex_state = 343, .external_lex_state = 5},
  [4226] = {.lex_state = 53, .external_lex_state = 2},
  [4227] = {.lex_state = 47, .external_lex_state = 5},
  [4228] = {.lex_state = 45, .external_lex_state = 6},
  [4229] = {.lex_state = 67, .external_lex_state = 2},
  [4230] = {.lex_state = 67, .external_lex_state = 2},
  [4231] = {.lex_state = 51, .external_lex_state = 2},
  [4232] = {.lex_state = 67, .external_lex_state = 2},
  [4233] = {.lex_state = 343, .external_lex_state = 5},
  [4234] = {.lex_state = 67, .external_lex_state = 2},
  [4235] = {.lex_state = 67, .external_lex_state = 2},
  [4236] = {.lex_state = 45, .external_lex_state = 5},
  [4237] = {.lex_state = 47, .external_lex_state = 5},
  [4238] = {.lex_state = 67, .external_lex_state = 2},
  [4239] = {.lex_state = 45, .external_lex_state = 2},
  [4240] = {.lex_state = 67, .external_lex_state = 2},
  [4241] = {.lex_state = 67, .external_lex_state = 2},
  [4242] = {.lex_state = 67, .external_lex_state = 2},
  [4243] = {.lex_state = 67, .external_lex_state = 2},
  [4244] = {.lex_state = 51, .external_lex_state = 2},
  [4245] = {.lex_state = 67, .external_lex_state = 2},
  [4246] = {.lex_state = 67, .external_lex_state = 2},
  [4247] = {.lex_state = 51, .external_lex_state = 2},
  [4248] = {.lex_state = 343, .external_lex_state = 5},
  [4249] = {.lex_state = 67, .external_lex_state = 2},
  [4250] = {.lex_state = 45, .external_lex_state = 6},
  [4251] = {.lex_state = 67, .external_lex_state = 2},
  [4252] = {.lex_state = 45, .external_lex_state = 6},
  [4253] = {.lex_state = 45, .external_lex_state = 2},
  [4254] = {.lex_state = 45, .external_lex_state = 2},
  [4255] = {.lex_state = 45, .external_lex_state = 2},
  [4256] = {.lex_state = 45, .external_lex_state = 2},
  [4257] = {.lex_state = 45, .external_lex_state = 6},
  [4258] = {.lex_state = 45, .external_lex_state = 2},
  [4259] = {.lex_state = 45, .external_lex_state = 2},
  [4260] = {.lex_state = 45, .external_lex_state = 2},
  [4261] = {.lex_state = 45, .external_lex_state = 2},
  [4262] = {.lex_state = 45, .external_lex_state = 2},
  [4263] = {.lex_state = 45, .external_lex_state = 6},
  [4264] = {.lex_state = 45, .external_lex_state = 6},
  [4265] = {.lex_state = 45, .external_lex_state = 6},
  [4266] = {.lex_state = 45, .external_lex_state = 6},
  [4267] = {.lex_state = 45, .external_lex_state = 6},
  [4268] = {.lex_state = 45, .external_lex_state = 2},
  [4269] = {.lex_state = 45, .external_lex_state = 2},
  [4270] = {.lex_state = 45, .external_lex_state = 2},
  [4271] = {.lex_state = 45, .external_lex_state = 6},
  [4272] = {.lex_state = 45, .external_lex_state = 2},
  [4273] = {.lex_state = 45, .external_lex_state = 2},
  [4274] = {.lex_state = 45, .external_lex_state = 6},
  [4275] = {.lex_state = 45, .external_lex_state = 6},
  [4276] = {.lex_state = 343, .external_lex_state = 6},
  [4277] = {.lex_state = 45, .external_lex_state = 2},
  [4278] = {.lex_state = 47, .external_lex_state = 2},
  [4279] = {.lex_state = 45, .external_lex_state = 2},
  [4280] = {.lex_state = 45, .external_lex_state = 6},
  [4281] = {.lex_state = 45, .external_lex_state = 6},
  [4282] = {.lex_state = 45, .external_lex_state = 5},
  [4283] = {.lex_state = 45, .external_lex_state = 6},
  [4284] = {.lex_state = 45, .external_lex_state = 6},
  [4285] = {.lex_state = 47, .external_lex_state = 2},
  [4286] = {.lex_state = 45, .external_lex_state = 6},
  [4287] = {.lex_state = 45, .external_lex_state = 2},
  [4288] = {.lex_state = 47, .external_lex_state = 2},
  [4289] = {.lex_state = 45, .external_lex_state = 5},
  [4290] = {.lex_state = 45, .external_lex_state = 6},
  [4291] = {.lex_state = 51, .external_lex_state = 2},
  [4292] = {.lex_state = 45, .external_lex_state = 6},
  [4293] = {.lex_state = 45, .external_lex_state = 6},
  [4294] = {.lex_state = 45, .external_lex_state = 6},
  [4295] = {.lex_state = 47, .external_lex_state = 2},
  [4296] = {.lex_state = 45, .external_lex_state = 2},
  [4297] = {.lex_state = 55, .external_lex_state = 2},
  [4298] = {.lex_state = 45, .external_lex_state = 5},
  [4299] = {.lex_state = 45, .external_lex_state = 5},
  [4300] = {.lex_state = 45, .external_lex_state = 5},
  [4301] = {.lex_state = 45, .external_lex_state = 2},
  [4302] = {.lex_state = 45, .external_lex_state = 6},
  [4303] = {.lex_state = 55, .external_lex_state = 2},
  [4304] = {.lex_state = 47, .external_lex_state = 2},
  [4305] = {.lex_state = 45, .external_lex_state = 5},
  [4306] = {.lex_state = 45, .external_lex_state = 6},
  [4307] = {.lex_state = 45, .external_lex_state = 6},
  [4308] = {.lex_state = 55, .external_lex_state = 2},
  [4309] = {.lex_state = 45, .external_lex_state = 6},
  [4310] = {.lex_state = 45, .external_lex_state = 2},
  [4311] = {.lex_state = 45, .external_lex_state = 6},
  [4312] = {.lex_state = 45, .external_lex_state = 6},
  [4313] = {.lex_state = 45, .external_lex_state = 2},
  [4314] = {.lex_state = 45, .external_lex_state = 6},
  [4315] = {.lex_state = 45, .external_lex_state = 6},
  [4316] = {.lex_state = 45, .external_lex_state = 6},
  [4317] = {.lex_state = 45, .external_lex_state = 6},
  [4318] = {.lex_state = 45, .external_lex_state = 6},
  [4319] = {.lex_state = 45, .external_lex_state = 6},
  [4320] = {.lex_state = 45, .external_lex_state = 6},
  [4321] = {.lex_state = 45, .external_lex_state = 6},
  [4322] = {.lex_state = 45, .external_lex_state = 6},
  [4323] = {.lex_state = 45, .external_lex_state = 6},
  [4324] = {.lex_state = 45, .external_lex_state = 5},
  [4325] = {.lex_state = 45, .external_lex_state = 5},
  [4326] = {.lex_state = 45, .external_lex_state = 6},
  [4327] = {.lex_state = 45, .external_lex_state = 5},
  [4328] = {.lex_state = 45, .external_lex_state = 6},
  [4329] = {.lex_state = 45, .external_lex_state = 2},
  [4330] = {.lex_state = 45, .external_lex_state = 2},
  [4331] = {.lex_state = 45, .external_lex_state = 6},
  [4332] = {.lex_state = 55, .external_lex_state = 2},
  [4333] = {.lex_state = 45, .external_lex_state = 6},
  [4334] = {.lex_state = 45, .external_lex_state = 5},
  [4335] = {.lex_state = 45, .external_lex_state = 5},
  [4336] = {.lex_state = 45, .external_lex_state = 5},
  [4337] = {.lex_state = 45, .external_lex_state = 5},
  [4338] = {.lex_state = 343, .external_lex_state = 6},
  [4339] = {.lex_state = 45, .external_lex_state = 2},
  [4340] = {.lex_state = 45, .external_lex_state = 2},
  [4341] = {.lex_state = 45, .external_lex_state = 6},
  [4342] = {.lex_state = 45, .external_lex_state = 2},
  [4343] = {.lex_state = 45, .external_lex_state = 2},
  [4344] = {.lex_state = 45, .external_lex_state = 6},
  [4345] = {.lex_state = 51, .external_lex_state = 2},
  [4346] = {.lex_state = 45, .external_lex_state = 5},
  [4347] = {.lex_state = 45, .external_lex_state = 2},
  [4348] = {.lex_state = 45, .external_lex_state = 2},
  [4349] = {.lex_state = 45, .external_lex_state = 2},
  [4350] = {.lex_state = 47, .external_lex_state = 2},
  [4351] = {.lex_state = 45, .external_lex_state = 6},
  [4352] = {.lex_state = 47, .external_lex_state = 2},
  [4353] = {.lex_state = 45, .external_lex_state = 2},
  [4354] = {.lex_state = 45, .external_lex_state = 5},
  [4355] = {.lex_state = 45, .external_lex_state = 2},
  [4356] = {.lex_state = 47, .external_lex_state = 2},
  [4357] = {.lex_state = 45, .external_lex_state = 2},
  [4358] = {.lex_state = 45, .external_lex_state = 6},
  [4359] = {.lex_state = 45, .external_lex_state = 2},
  [4360] = {.lex_state = 45, .external_lex_state = 6},
  [4361] = {.lex_state = 45, .external_lex_state = 2},
  [4362] = {.lex_state = 45, .external_lex_state = 6},
  [4363] = {.lex_state = 45, .external_lex_state = 2},
  [4364] = {.lex_state = 343, .external_lex_state = 5},
  [4365] = {.lex_state = 47, .external_lex_state = 2},
  [4366] = {.lex_state = 45, .external_lex_state = 5},
  [4367] = {.lex_state = 45, .external_lex_state = 5},
  [4368] = {.lex_state = 45, .external_lex_state = 2},
  [4369] = {.lex_state = 45, .external_lex_state = 2},
  [4370] = {.lex_state = 343, .external_lex_state = 5},
  [4371] = {.lex_state = 47, .external_lex_state = 2},
  [4372] = {.lex_state = 45, .external_lex_state = 6},
  [4373] = {.lex_state = 343, .external_lex_state = 5},
  [4374] = {.lex_state = 47, .external_lex_state = 2},
  [4375] = {.lex_state = 343, .external_lex_state = 5},
  [4376] = {.lex_state = 45, .external_lex_state = 2},
  [4377] = {.lex_state = 45, .external_lex_state = 5},
  [4378] = {.lex_state = 45, .external_lex_state = 5},
  [4379] = {.lex_state = 45, .external_lex_state = 2},
  [4380] = {.lex_state = 45, .external_lex_state = 5},
  [4381] = {.lex_state = 45, .external_lex_state = 6},
  [4382] = {.lex_state = 45, .external_lex_state = 6},
  [4383] = {.lex_state = 45, .external_lex_state = 2},
  [4384] = {.lex_state = 45, .external_lex_state = 5},
  [4385] = {.lex_state = 45, .external_lex_state = 6},
  [4386] = {.lex_state = 45, .external_lex_state = 2},
  [4387] = {.lex_state = 45, .external_lex_state = 5},
  [4388] = {.lex_state = 45, .external_lex_state = 5},
  [4389] = {.lex_state = 45, .external_lex_state = 6},
  [4390] = {.lex_state = 45, .external_lex_state = 2},
  [4391] = {.lex_state = 45, .external_lex_state = 5},
  [4392] = {.lex_state = 45, .external_lex_state = 5},
  [4393] = {.lex_state = 343, .external_lex_state = 5},
  [4394] = {.lex_state = 343, .external_lex_state = 5},
  [4395] = {.lex_state = 45, .external_lex_state = 5},
  [4396] = {.lex_state = 45, .external_lex_state = 5},
  [4397] = {.lex_state = 45, .external_lex_state = 5},
  [4398] = {.lex_state = 45, .external_lex_state = 5},
  [4399] = {.lex_state = 55, .external_lex_state = 2},
  [4400] = {.lex_state = 45, .external_lex_state = 5},
  [4401] = {.lex_state = 45, .external_lex_state = 5},
  [4402] = {.lex_state = 45, .external_lex_state = 2},
  [4403] = {.lex_state = 45, .external_lex_state = 5},
  [4404] = {.lex_state = 45, .external_lex_state = 5},
  [4405] = {.lex_state = 45, .external_lex_state = 2},
  [4406] = {.lex_state = 45, .external_lex_state = 5},
  [4407] = {.lex_state = 45, .external_lex_state = 5},
  [4408] = {.lex_state = 45, .external_lex_state = 5},
  [4409] = {.lex_state = 45, .external_lex_state = 2},
  [4410] = {.lex_state = 343, .external_lex_state = 2},
  [4411] = {.lex_state = 45, .external_lex_state = 5},
  [4412] = {.lex_state = 47, .external_lex_state = 2},
  [4413] = {.lex_state = 45, .external_lex_state = 2},
  [4414] = {.lex_state = 45, .external_lex_state = 2},
  [4415] = {.lex_state = 45, .external_lex_state = 2},
  [4416] = {.lex_state = 47, .external_lex_state = 2},
  [4417] = {.lex_state = 51, .external_lex_state = 2},
  [4418] = {.lex_state = 45, .external_lex_state = 5},
  [4419] = {.lex_state = 47, .external_lex_state = 5},
  [4420] = {.lex_state = 45, .external_lex_state = 5},
  [4421] = {.lex_state = 45, .external_lex_state = 2},
  [4422] = {.lex_state = 45, .external_lex_state = 5},
  [4423] = {.lex_state = 45, .external_lex_state = 2},
  [4424] = {.lex_state = 45, .external_lex_state = 6},
  [4425] = {.lex_state = 45, .external_lex_state = 2},
  [4426] = {.lex_state = 45, .external_lex_state = 6},
  [4427] = {.lex_state = 45, .external_lex_state = 2},
  [4428] = {.lex_state = 45, .external_lex_state = 6},
  [4429] = {.lex_state = 45, .external_lex_state = 2},
  [4430] = {.lex_state = 47, .external_lex_state = 5},
  [4431] = {.lex_state = 55, .external_lex_state = 2},
  [4432] = {.lex_state = 45, .external_lex_state = 6},
  [4433] = {.lex_state = 45, .external_lex_state = 6},
  [4434] = {.lex_state = 45, .external_lex_state = 6},
  [4435] = {.lex_state = 45, .external_lex_state = 5},
  [4436] = {.lex_state = 45, .external_lex_state = 6},
  [4437] = {.lex_state = 45, .external_lex_state = 6},
  [4438] = {.lex_state = 45, .external_lex_state = 5},
  [4439] = {.lex_state = 45, .external_lex_state = 6},
  [4440] = {.lex_state = 45, .external_lex_state = 6},
  [4441] = {.lex_state = 45, .external_lex_state = 5},
  [4442] = {.lex_state = 45, .external_lex_state = 2},
  [4443] = {.lex_state = 45, .external_lex_state = 5},
  [4444] = {.lex_state = 45, .external_lex_state = 6},
  [4445] = {.lex_state = 47, .external_lex_state = 2},
  [4446] = {.lex_state = 45, .external_lex_state = 6},
  [4447] = {.lex_state = 61, .external_lex_state = 2},
  [4448] = {.lex_state = 343, .external_lex_state = 7},
  [4449] = {.lex_state = 45, .external_lex_state = 6},
  [4450] = {.lex_state = 343, .external_lex_state = 6},
  [4451] = {.lex_state = 343, .external_lex_state = 5},
  [4452] = {.lex_state = 45, .external_lex_state = 5},
  [4453] = {.lex_state = 45, .external_lex_state = 5},
  [4454] = {.lex_state = 69, .external_lex_state = 2},
  [4455] = {.lex_state = 69, .external_lex_state = 2},
  [4456] = {.lex_state = 61, .external_lex_state = 2},
  [4457] = {.lex_state = 69, .external_lex_state = 2},
  [4458] = {.lex_state = 343, .external_lex_state = 7},
  [4459] = {.lex_state = 45, .external_lex_state = 2},
  [4460] = {.lex_state = 45, .external_lex_state = 2},
  [4461] = {.lex_state = 343, .external_lex_state = 5},
  [4462] = {.lex_state = 343, .external_lex_state = 5},
  [4463] = {.lex_state = 343, .external_lex_state = 7},
  [4464] = {.lex_state = 61, .external_lex_state = 2},
  [4465] = {.lex_state = 69, .external_lex_state = 2},
  [4466] = {.lex_state = 343, .external_lex_state = 7},
  [4467] = {.lex_state = 343, .external_lex_state = 7},
  [4468] = {.lex_state = 61, .external_lex_state = 2},
  [4469] = {.lex_state = 61, .external_lex_state = 2},
  [4470] = {.lex_state = 45, .external_lex_state = 5},
  [4471] = {.lex_state = 61, .external_lex_state = 2},
  [4472] = {.lex_state = 51, .external_lex_state = 2},
  [4473] = {.lex_state = 45, .external_lex_state = 5},
  [4474] = {.lex_state = 343, .external_lex_state = 7},
  [4475] = {.lex_state = 61, .external_lex_state = 2},
  [4476] = {.lex_state = 343, .external_lex_state = 5},
  [4477] = {.lex_state = 343, .external_lex_state = 7},
  [4478] = {.lex_state = 69, .external_lex_state = 2},
  [4479] = {.lex_state = 343, .external_lex_state = 7},
  [4480] = {.lex_state = 61, .external_lex_state = 2},
  [4481] = {.lex_state = 61, .external_lex_state = 2},
  [4482] = {.lex_state = 69, .external_lex_state = 2},
  [4483] = {.lex_state = 343, .external_lex_state = 5},
  [4484] = {.lex_state = 48, .external_lex_state = 2},
  [4485] = {.lex_state = 343, .external_lex_state = 2},
  [4486] = {.lex_state = 72, .external_lex_state = 2},
  [4487] = {.lex_state = 48, .external_lex_state = 2},
  [4488] = {.lex_state = 48, .external_lex_state = 2},
  [4489] = {.lex_state = 47, .external_lex_state = 5},
  [4490] = {.lex_state = 343, .external_lex_state = 2},
  [4491] = {.lex_state = 343, .external_lex_state = 5},
  [4492] = {.lex_state = 47, .external_lex_state = 5},
  [4493] = {.lex_state = 343, .external_lex_state = 5},
  [4494] = {.lex_state = 343, .external_lex_state = 2},
  [4495] = {.lex_state = 343, .external_lex_state = 5},
  [4496] = {.lex_state = 45, .external_lex_state = 2},
  [4497] = {.lex_state = 48, .external_lex_state = 2},
  [4498] = {.lex_state = 343, .external_lex_state = 2},
  [4499] = {.lex_state = 343, .external_lex_state = 5},
  [4500] = {.lex_state = 343, .external_lex_state = 5},
  [4501] = {.lex_state = 343, .external_lex_state = 5},
  [4502] = {.lex_state = 343, .external_lex_state = 5},
  [4503] = {.lex_state = 343, .external_lex_state = 2},
  [4504] = {.lex_state = 343, .external_lex_state = 5},
  [4505] = {.lex_state = 48, .external_lex_state = 2},
  [4506] = {.lex_state = 48, .external_lex_state = 2},
  [4507] = {.lex_state = 343, .external_lex_state = 5},
  [4508] = {.lex_state = 343, .external_lex_state = 5},
  [4509] = {.lex_state = 343, .external_lex_state = 5},
  [4510] = {.lex_state = 343, .external_lex_state = 5},
  [4511] = {.lex_state = 61, .external_lex_state = 2},
  [4512] = {.lex_state = 61, .external_lex_state = 2},
  [4513] = {.lex_state = 48, .external_lex_state = 2},
  [4514] = {.lex_state = 48, .external_lex_state = 2},
  [4515] = {.lex_state = 343, .external_lex_state = 2},
  [4516] = {.lex_state = 48, .external_lex_state = 2},
  [4517] = {.lex_state = 48, .external_lex_state = 2},
  [4518] = {.lex_state = 343, .external_lex_state = 5},
  [4519] = {.lex_state = 48, .external_lex_state = 2},
  [4520] = {.lex_state = 343, .external_lex_state = 2},
  [4521] = {.lex_state = 48, .external_lex_state = 2},
  [4522] = {.lex_state = 45, .external_lex_state = 2},
  [4523] = {.lex_state = 45, .external_lex_state = 2},
  [4524] = {.lex_state = 48, .external_lex_state = 2},
  [4525] = {.lex_state = 343, .external_lex_state = 2},
  [4526] = {.lex_state = 45, .external_lex_state = 2},
  [4527] = {.lex_state = 48, .external_lex_state = 2},
  [4528] = {.lex_state = 343, .external_lex_state = 5},
  [4529] = {.lex_state = 343, .external_lex_state = 2},
  [4530] = {.lex_state = 343, .external_lex_state = 5},
  [4531] = {.lex_state = 343, .external_lex_state = 2},
  [4532] = {.lex_state = 343, .external_lex_state = 5},
  [4533] = {.lex_state = 48, .external_lex_state = 2},
  [4534] = {.lex_state = 343, .external_lex_state = 5},
  [4535] = {.lex_state = 343, .external_lex_state = 5},
  [4536] = {.lex_state = 343, .external_lex_state = 5},
  [4537] = {.lex_state = 343, .external_lex_state = 2},
  [4538] = {.lex_state = 48, .external_lex_state = 2},
  [4539] = {.lex_state = 343, .external_lex_state = 2},
  [4540] = {.lex_state = 343, .external_lex_state = 5},
  [4541] = {.lex_state = 343, .external_lex_state = 2},
  [4542] = {.lex_state = 343, .external_lex_state = 5},
  [4543] = {.lex_state = 343, .external_lex_state = 5},
  [4544] = {.lex_state = 343, .external_lex_state = 5},
  [4545] = {.lex_state = 343, .external_lex_state = 5},
  [4546] = {.lex_state = 343, .external_lex_state = 5},
  [4547] = {.lex_state = 343, .external_lex_state = 5},
  [4548] = {.lex_state = 48, .external_lex_state = 2},
  [4549] = {.lex_state = 343, .external_lex_state = 5},
  [4550] = {.lex_state = 343, .external_lex_state = 5},
  [4551] = {.lex_state = 343, .external_lex_state = 5},
  [4552] = {.lex_state = 343, .external_lex_state = 2},
  [4553] = {.lex_state = 343, .external_lex_state = 5},
  [4554] = {.lex_state = 343, .external_lex_state = 5},
  [4555] = {.lex_state = 343, .external_lex_state = 2},
  [4556] = {.lex_state = 343, .external_lex_state = 5},
  [4557] = {.lex_state = 343, .external_lex_state = 5},
  [4558] = {.lex_state = 343, .external_lex_state = 5},
  [4559] = {.lex_state = 343, .external_lex_state = 5},
  [4560] = {.lex_state = 343, .external_lex_state = 5},
  [4561] = {.lex_state = 343, .external_lex_state = 5},
  [4562] = {.lex_state = 343, .external_lex_state = 5},
  [4563] = {.lex_state = 343, .external_lex_state = 5},
  [4564] = {.lex_state = 48, .external_lex_state = 2},
  [4565] = {.lex_state = 343, .external_lex_state = 5},
  [4566] = {.lex_state = 343, .external_lex_state = 5},
  [4567] = {.lex_state = 343, .external_lex_state = 2},
  [4568] = {.lex_state = 45, .external_lex_state = 2},
  [4569] = {.lex_state = 343, .external_lex_state = 5},
  [4570] = {.lex_state = 343, .external_lex_state = 2},
  [4571] = {.lex_state = 48, .external_lex_state = 2},
  [4572] = {.lex_state = 343, .external_lex_state = 2},
  [4573] = {.lex_state = 343, .external_lex_state = 2},
  [4574] = {.lex_state = 343, .external_lex_state = 6},
  [4575] = {.lex_state = 343, .external_lex_state = 6},
  [4576] = {.lex_state = 343, .external_lex_state = 6},
  [4577] = {.lex_state = 343, .external_lex_state = 6},
  [4578] = {.lex_state = 343, .external_lex_state = 5},
  [4579] = {.lex_state = 343, .external_lex_state = 6},
  [4580] = {.lex_state = 343, .external_lex_state = 6},
  [4581] = {.lex_state = 343, .external_lex_state = 5},
  [4582] = {.lex_state = 343, .external_lex_state = 2},
  [4583] = {.lex_state = 343, .external_lex_state = 5},
  [4584] = {.lex_state = 343, .external_lex_state = 5},
  [4585] = {.lex_state = 343, .external_lex_state = 5},
  [4586] = {.lex_state = 45, .external_lex_state = 2},
  [4587] = {.lex_state = 343, .external_lex_state = 5},
  [4588] = {.lex_state = 45, .external_lex_state = 2},
  [4589] = {.lex_state = 343, .external_lex_state = 5},
  [4590] = {.lex_state = 48, .external_lex_state = 2},
  [4591] = {.lex_state = 343, .external_lex_state = 2},
  [4592] = {.lex_state = 343, .external_lex_state = 5},
  [4593] = {.lex_state = 343, .external_lex_state = 5},
  [4594] = {.lex_state = 343, .external_lex_state = 5},
  [4595] = {.lex_state = 343, .external_lex_state = 5},
  [4596] = {.lex_state = 343, .external_lex_state = 5},
  [4597] = {.lex_state = 343, .external_lex_state = 5},
  [4598] = {.lex_state = 343, .external_lex_state = 5},
  [4599] = {.lex_state = 48, .external_lex_state = 2},
  [4600] = {.lex_state = 48, .external_lex_state = 2},
  [4601] = {.lex_state = 343, .external_lex_state = 5},
  [4602] = {.lex_state = 343, .external_lex_state = 5},
  [4603] = {.lex_state = 343, .external_lex_state = 5},
  [4604] = {.lex_state = 343, .external_lex_state = 2},
  [4605] = {.lex_state = 343, .external_lex_state = 5},
  [4606] = {.lex_state = 48, .external_lex_state = 2},
  [4607] = {.lex_state = 343, .external_lex_state = 2},
  [4608] = {.lex_state = 72, .external_lex_state = 2},
  [4609] = {.lex_state = 343, .external_lex_state = 2},
  [4610] = {.lex_state = 343, .external_lex_state = 2},
  [4611] = {.lex_state = 48, .external_lex_state = 2},
  [4612] = {.lex_state = 56, .external_lex_state = 2},
  [4613] = {.lex_state = 343, .external_lex_state = 5},
  [4614] = {.lex_state = 343, .external_lex_state = 5},
  [4615] = {.lex_state = 343, .external_lex_state = 2},
  [4616] = {.lex_state = 343, .external_lex_state = 5},
  [4617] = {.lex_state = 343, .external_lex_state = 2},
  [4618] = {.lex_state = 343, .external_lex_state = 2},
  [4619] = {.lex_state = 48, .external_lex_state = 2},
  [4620] = {.lex_state = 343, .external_lex_state = 2},
  [4621] = {.lex_state = 343, .external_lex_state = 5},
  [4622] = {.lex_state = 61, .external_lex_state = 2},
  [4623] = {.lex_state = 47, .external_lex_state = 5},
  [4624] = {.lex_state = 45, .external_lex_state = 2},
  [4625] = {.lex_state = 48, .external_lex_state = 2},
  [4626] = {.lex_state = 343, .external_lex_state = 2},
  [4627] = {.lex_state = 343, .external_lex_state = 2},
  [4628] = {.lex_state = 343, .external_lex_state = 5},
  [4629] = {.lex_state = 343, .external_lex_state = 5},
  [4630] = {.lex_state = 343, .external_lex_state = 5},
  [4631] = {.lex_state = 343, .external_lex_state = 5},
  [4632] = {.lex_state = 343, .external_lex_state = 5},
  [4633] = {.lex_state = 343, .external_lex_state = 5},
  [4634] = {.lex_state = 343, .external_lex_state = 2},
  [4635] = {.lex_state = 48, .external_lex_state = 2},
  [4636] = {.lex_state = 48, .external_lex_state = 2},
  [4637] = {.lex_state = 343, .external_lex_state = 5},
  [4638] = {.lex_state = 72, .external_lex_state = 2},
  [4639] = {.lex_state = 47, .external_lex_state = 5},
  [4640] = {.lex_state = 343, .external_lex_state = 5},
  [4641] = {.lex_state = 48, .external_lex_state = 2},
  [4642] = {.lex_state = 47, .external_lex_state = 5},
  [4643] = {.lex_state = 343, .external_lex_state = 5},
  [4644] = {.lex_state = 343, .external_lex_state = 5},
  [4645] = {.lex_state = 61, .external_lex_state = 2},
  [4646] = {.lex_state = 48, .external_lex_state = 2},
  [4647] = {.lex_state = 343, .external_lex_state = 5},
  [4648] = {.lex_state = 343, .external_lex_state = 5},
  [4649] = {.lex_state = 72, .external_lex_state = 2},
  [4650] = {.lex_state = 343, .external_lex_state = 2},
  [4651] = {.lex_state = 343, .external_lex_state = 5},
  [4652] = {.lex_state = 343, .external_lex_state = 2},
  [4653] = {.lex_state = 48, .external_lex_state = 2},
  [4654] = {.lex_state = 343, .external_lex_state = 5},
  [4655] = {.lex_state = 343, .external_lex_state = 5},
  [4656] = {.lex_state = 343, .external_lex_state = 5},
  [4657] = {.lex_state = 343, .external_lex_state = 5},
  [4658] = {.lex_state = 343, .external_lex_state = 5},
  [4659] = {.lex_state = 343, .external_lex_state = 5},
  [4660] = {.lex_state = 343, .external_lex_state = 2},
  [4661] = {.lex_state = 45, .external_lex_state = 2},
  [4662] = {.lex_state = 343, .external_lex_state = 2},
  [4663] = {.lex_state = 343, .external_lex_state = 5},
  [4664] = {.lex_state = 343, .external_lex_state = 5},
  [4665] = {.lex_state = 343, .external_lex_state = 2},
  [4666] = {.lex_state = 343, .external_lex_state = 5},
  [4667] = {.lex_state = 343, .external_lex_state = 5},
  [4668] = {.lex_state = 343, .external_lex_state = 5},
  [4669] = {.lex_state = 343, .external_lex_state = 5},
  [4670] = {.lex_state = 61, .external_lex_state = 2},
  [4671] = {.lex_state = 343, .external_lex_state = 5},
  [4672] = {.lex_state = 343, .external_lex_state = 5},
  [4673] = {.lex_state = 48, .external_lex_state = 2},
  [4674] = {.lex_state = 343, .external_lex_state = 5},
  [4675] = {.lex_state = 343, .external_lex_state = 5},
  [4676] = {.lex_state = 343, .external_lex_state = 5},
  [4677] = {.lex_state = 343, .external_lex_state = 5},
  [4678] = {.lex_state = 343, .external_lex_state = 5},
  [4679] = {.lex_state = 343, .external_lex_state = 2},
  [4680] = {.lex_state = 61, .external_lex_state = 2},
  [4681] = {.lex_state = 343, .external_lex_state = 5},
  [4682] = {.lex_state = 343, .external_lex_state = 5},
  [4683] = {.lex_state = 343, .external_lex_state = 5},
  [4684] = {.lex_state = 343, .external_lex_state = 5},
  [4685] = {.lex_state = 47, .external_lex_state = 5},
  [4686] = {.lex_state = 343, .external_lex_state = 2},
  [4687] = {.lex_state = 343, .external_lex_state = 5},
  [4688] = {.lex_state = 343, .external_lex_state = 2},
  [4689] = {.lex_state = 343, .external_lex_state = 5},
  [4690] = {.lex_state = 343, .external_lex_state = 2},
  [4691] = {.lex_state = 343, .external_lex_state = 5},
  [4692] = {.lex_state = 48, .external_lex_state = 2},
  [4693] = {.lex_state = 48, .external_lex_state = 2},
  [4694] = {.lex_state = 343, .external_lex_state = 5},
  [4695] = {.lex_state = 343, .external_lex_state = 2},
  [4696] = {.lex_state = 48, .external_lex_state = 2},
  [4697] = {.lex_state = 343, .external_lex_state = 5},
  [4698] = {.lex_state = 47, .external_lex_state = 5},
  [4699] = {.lex_state = 47, .external_lex_state = 5},
  [4700] = {.lex_state = 343, .external_lex_state = 5},
  [4701] = {.lex_state = 45, .external_lex_state = 2},
  [4702] = {.lex_state = 51, .external_lex_state = 2},
  [4703] = {.lex_state = 343, .external_lex_state = 5},
  [4704] = {.lex_state = 343, .external_lex_state = 5},
  [4705] = {.lex_state = 343, .external_lex_state = 5},
  [4706] = {.lex_state = 343, .external_lex_state = 2},
  [4707] = {.lex_state = 343, .external_lex_state = 5},
  [4708] = {.lex_state = 343, .external_lex_state = 5},
  [4709] = {.lex_state = 343, .external_lex_state = 5},
  [4710] = {.lex_state = 343, .external_lex_state = 5},
  [4711] = {.lex_state = 343, .external_lex_state = 5},
  [4712] = {.lex_state = 343, .external_lex_state = 2},
  [4713] = {.lex_state = 343, .external_lex_state = 5},
  [4714] = {.lex_state = 343, .external_lex_state = 5},
  [4715] = {.lex_state = 343, .external_lex_state = 2},
  [4716] = {.lex_state = 48, .external_lex_state = 2},
  [4717] = {.lex_state = 343, .external_lex_state = 5},
  [4718] = {.lex_state = 45, .external_lex_state = 2},
  [4719] = {.lex_state = 48, .external_lex_state = 2},
  [4720] = {.lex_state = 343, .external_lex_state = 5},
  [4721] = {.lex_state = 343, .external_lex_state = 5},
  [4722] = {.lex_state = 343, .external_lex_state = 5},
  [4723] = {.lex_state = 343, .external_lex_state = 5},
  [4724] = {.lex_state = 343, .external_lex_state = 5},
  [4725] = {.lex_state = 343, .external_lex_state = 2},
  [4726] = {.lex_state = 343, .external_lex_state = 2},
  [4727] = {.lex_state = 47, .external_lex_state = 5},
  [4728] = {.lex_state = 343, .external_lex_state = 5},
  [4729] = {.lex_state = 48, .external_lex_state = 2},
  [4730] = {.lex_state = 61, .external_lex_state = 2},
  [4731] = {.lex_state = 343, .external_lex_state = 5},
  [4732] = {.lex_state = 48, .external_lex_state = 2},
  [4733] = {.lex_state = 343, .external_lex_state = 5},
  [4734] = {.lex_state = 343, .external_lex_state = 5},
  [4735] = {.lex_state = 72, .external_lex_state = 2},
  [4736] = {.lex_state = 343, .external_lex_state = 5},
  [4737] = {.lex_state = 343, .external_lex_state = 5},
  [4738] = {.lex_state = 343, .external_lex_state = 5},
  [4739] = {.lex_state = 343, .external_lex_state = 5},
  [4740] = {.lex_state = 343, .external_lex_state = 5},
  [4741] = {.lex_state = 343, .external_lex_state = 5},
  [4742] = {.lex_state = 343, .external_lex_state = 5},
  [4743] = {.lex_state = 343, .external_lex_state = 5},
  [4744] = {.lex_state = 343, .external_lex_state = 5},
  [4745] = {.lex_state = 343, .external_lex_state = 5},
  [4746] = {.lex_state = 343, .external_lex_state = 5},
  [4747] = {.lex_state = 343, .external_lex_state = 5},
  [4748] = {.lex_state = 343, .external_lex_state = 5},
  [4749] = {.lex_state = 343, .external_lex_state = 5},
  [4750] = {.lex_state = 343, .external_lex_state = 5},
  [4751] = {.lex_state = 343, .external_lex_state = 2},
  [4752] = {.lex_state = 343, .external_lex_state = 5},
  [4753] = {.lex_state = 343, .external_lex_state = 5},
  [4754] = {.lex_state = 343, .external_lex_state = 6},
  [4755] = {.lex_state = 48, .external_lex_state = 2},
  [4756] = {.lex_state = 343, .external_lex_state = 6},
  [4757] = {.lex_state = 45, .external_lex_state = 2},
  [4758] = {.lex_state = 45, .external_lex_state = 2},
  [4759] = {.lex_state = 343, .external_lex_state = 2},
  [4760] = {.lex_state = 343, .external_lex_state = 5},
  [4761] = {.lex_state = 343, .external_lex_state = 2},
  [4762] = {.lex_state = 48, .external_lex_state = 2},
  [4763] = {.lex_state = 45, .external_lex_state = 2},
  [4764] = {.lex_state = 343, .external_lex_state = 2},
  [4765] = {.lex_state = 45, .external_lex_state = 2},
  [4766] = {.lex_state = 343, .external_lex_state = 2},
  [4767] = {.lex_state = 343, .external_lex_state = 5},
  [4768] = {.lex_state = 343, .external_lex_state = 2},
  [4769] = {.lex_state = 343, .external_lex_state = 2},
  [4770] = {.lex_state = 343, .external_lex_state = 2},
  [4771] = {.lex_state = 45, .external_lex_state = 2},
  [4772] = {.lex_state = 45, .external_lex_state = 2},
  [4773] = {.lex_state = 343, .external_lex_state = 6},
  [4774] = {.lex_state = 45, .external_lex_state = 2},
  [4775] = {.lex_state = 343, .external_lex_state = 5},
  [4776] = {.lex_state = 61, .external_lex_state = 2},
  [4777] = {.lex_state = 343, .external_lex_state = 2},
  [4778] = {.lex_state = 343, .external_lex_state = 6},
  [4779] = {.lex_state = 343, .external_lex_state = 2},
  [4780] = {.lex_state = 343, .external_lex_state = 5},
  [4781] = {.lex_state = 343, .external_lex_state = 5},
  [4782] = {.lex_state = 45, .external_lex_state = 2},
  [4783] = {.lex_state = 45, .external_lex_state = 2},
  [4784] = {.lex_state = 343, .external_lex_state = 5},
  [4785] = {.lex_state = 343, .external_lex_state = 5},
  [4786] = {.lex_state = 343, .external_lex_state = 5},
  [4787] = {.lex_state = 45, .external_lex_state = 2},
  [4788] = {.lex_state = 48, .external_lex_state = 2},
  [4789] = {.lex_state = 343, .external_lex_state = 5},
  [4790] = {.lex_state = 343, .external_lex_state = 6},
  [4791] = {.lex_state = 45, .external_lex_state = 2},
  [4792] = {.lex_state = 45, .external_lex_state = 2},
  [4793] = {.lex_state = 48, .external_lex_state = 2},
  [4794] = {.lex_state = 48, .external_lex_state = 2},
  [4795] = {.lex_state = 45, .external_lex_state = 2},
  [4796] = {.lex_state = 343, .external_lex_state = 7},
  [4797] = {.lex_state = 48, .external_lex_state = 2},
  [4798] = {.lex_state = 343, .external_lex_state = 5},
  [4799] = {.lex_state = 343, .external_lex_state = 2},
  [4800] = {.lex_state = 343, .external_lex_state = 2},
  [4801] = {.lex_state = 343, .external_lex_state = 6},
  [4802] = {.lex_state = 45, .external_lex_state = 2},
  [4803] = {.lex_state = 343, .external_lex_state = 6},
  [4804] = {.lex_state = 343, .external_lex_state = 2},
  [4805] = {.lex_state = 343, .external_lex_state = 6},
  [4806] = {.lex_state = 343, .external_lex_state = 6},
  [4807] = {.lex_state = 45, .external_lex_state = 2},
  [4808] = {.lex_state = 343, .external_lex_state = 6},
  [4809] = {.lex_state = 343, .external_lex_state = 6},
  [4810] = {.lex_state = 45, .external_lex_state = 2},
  [4811] = {.lex_state = 343, .external_lex_state = 6},
  [4812] = {.lex_state = 45, .external_lex_state = 2},
  [4813] = {.lex_state = 343, .external_lex_state = 6},
  [4814] = {.lex_state = 343, .external_lex_state = 6},
  [4815] = {.lex_state = 45, .external_lex_state = 2},
  [4816] = {.lex_state = 343, .external_lex_state = 5},
  [4817] = {.lex_state = 343, .external_lex_state = 6},
  [4818] = {.lex_state = 343, .external_lex_state = 5},
  [4819] = {.lex_state = 343, .external_lex_state = 5},
  [4820] = {.lex_state = 343, .external_lex_state = 5},
  [4821] = {.lex_state = 45, .external_lex_state = 2},
  [4822] = {.lex_state = 343, .external_lex_state = 7},
  [4823] = {.lex_state = 343, .external_lex_state = 5},
  [4824] = {.lex_state = 343, .external_lex_state = 6},
  [4825] = {.lex_state = 45, .external_lex_state = 2},
  [4826] = {.lex_state = 343, .external_lex_state = 5},
  [4827] = {.lex_state = 45, .external_lex_state = 2},
  [4828] = {.lex_state = 45, .external_lex_state = 2},
  [4829] = {.lex_state = 343, .external_lex_state = 5},
  [4830] = {.lex_state = 343, .external_lex_state = 6},
  [4831] = {.lex_state = 45, .external_lex_state = 2},
  [4832] = {.lex_state = 45, .external_lex_state = 2},
  [4833] = {.lex_state = 45, .external_lex_state = 2},
  [4834] = {.lex_state = 45, .external_lex_state = 2},
  [4835] = {.lex_state = 343, .external_lex_state = 5},
  [4836] = {.lex_state = 45, .external_lex_state = 2},
  [4837] = {.lex_state = 343, .external_lex_state = 2},
  [4838] = {.lex_state = 45, .external_lex_state = 2},
  [4839] = {.lex_state = 48, .external_lex_state = 2},
  [4840] = {.lex_state = 343, .external_lex_state = 5},
  [4841] = {.lex_state = 45, .external_lex_state = 2},
  [4842] = {.lex_state = 343, .external_lex_state = 6},
  [4843] = {.lex_state = 343, .external_lex_state = 2},
  [4844] = {.lex_state = 343, .external_lex_state = 6},
  [4845] = {.lex_state = 45, .external_lex_state = 2},
  [4846] = {.lex_state = 343, .external_lex_state = 2},
  [4847] = {.lex_state = 343, .external_lex_state = 2},
  [4848] = {.lex_state = 45, .external_lex_state = 2},
  [4849] = {.lex_state = 343, .external_lex_state = 7},
  [4850] = {.lex_state = 45, .external_lex_state = 2},
  [4851] = {.lex_state = 45, .external_lex_state = 2},
  [4852] = {.lex_state = 343, .external_lex_state = 5},
  [4853] = {.lex_state = 48, .external_lex_state = 2},
  [4854] = {.lex_state = 343, .external_lex_state = 6},
  [4855] = {.lex_state = 343, .external_lex_state = 5},
  [4856] = {.lex_state = 343, .external_lex_state = 2},
  [4857] = {.lex_state = 45, .external_lex_state = 2},
  [4858] = {.lex_state = 343, .external_lex_state = 5},
  [4859] = {.lex_state = 343, .external_lex_state = 5},
  [4860] = {.lex_state = 343, .external_lex_state = 5},
  [4861] = {.lex_state = 48, .external_lex_state = 2},
  [4862] = {.lex_state = 45, .external_lex_state = 2},
  [4863] = {.lex_state = 343, .external_lex_state = 5},
  [4864] = {.lex_state = 45, .external_lex_state = 2},
  [4865] = {.lex_state = 48, .external_lex_state = 2},
  [4866] = {.lex_state = 45, .external_lex_state = 2},
  [4867] = {.lex_state = 343, .external_lex_state = 6},
  [4868] = {.lex_state = 48, .external_lex_state = 2},
  [4869] = {.lex_state = 343, .external_lex_state = 2},
  [4870] = {.lex_state = 48, .external_lex_state = 2},
  [4871] = {.lex_state = 343, .external_lex_state = 6},
  [4872] = {.lex_state = 48, .external_lex_state = 2},
  [4873] = {.lex_state = 45, .external_lex_state = 2},
  [4874] = {.lex_state = 343, .external_lex_state = 5},
  [4875] = {.lex_state = 48, .external_lex_state = 2},
  [4876] = {.lex_state = 48, .external_lex_state = 2},
  [4877] = {.lex_state = 48, .external_lex_state = 2},
  [4878] = {.lex_state = 45, .external_lex_state = 2},
  [4879] = {.lex_state = 343, .external_lex_state = 5},
  [4880] = {.lex_state = 343, .external_lex_state = 7},
  [4881] = {.lex_state = 343, .external_lex_state = 2},
  [4882] = {.lex_state = 48, .external_lex_state = 2},
  [4883] = {.lex_state = 343, .external_lex_state = 5},
  [4884] = {.lex_state = 48, .external_lex_state = 2},
  [4885] = {.lex_state = 48, .external_lex_state = 2},
  [4886] = {.lex_state = 48, .external_lex_state = 2},
  [4887] = {.lex_state = 45, .external_lex_state = 2},
  [4888] = {.lex_state = 343, .external_lex_state = 5},
  [4889] = {.lex_state = 343, .external_lex_state = 5},
  [4890] = {.lex_state = 45, .external_lex_state = 2},
  [4891] = {.lex_state = 45, .external_lex_state = 2},
  [4892] = {.lex_state = 48, .external_lex_state = 2},
  [4893] = {.lex_state = 45, .external_lex_state = 2},
  [4894] = {.lex_state = 343, .external_lex_state = 5},
  [4895] = {.lex_state = 45, .external_lex_state = 2},
  [4896] = {.lex_state = 45, .external_lex_state = 2},
  [4897] = {.lex_state = 343, .external_lex_state = 2},
  [4898] = {.lex_state = 48, .external_lex_state = 2},
  [4899] = {.lex_state = 48, .external_lex_state = 2},
  [4900] = {.lex_state = 343, .external_lex_state = 6},
  [4901] = {.lex_state = 343, .external_lex_state = 6},
  [4902] = {.lex_state = 343, .external_lex_state = 5},
  [4903] = {.lex_state = 48, .external_lex_state = 2},
  [4904] = {.lex_state = 48, .external_lex_state = 2},
  [4905] = {.lex_state = 45, .external_lex_state = 2},
  [4906] = {.lex_state = 343, .external_lex_state = 5},
  [4907] = {.lex_state = 48, .external_lex_state = 2},
  [4908] = {.lex_state = 48, .external_lex_state = 2},
  [4909] = {.lex_state = 48, .external_lex_state = 2},
  [4910] = {.lex_state = 48, .external_lex_state = 2},
  [4911] = {.lex_state = 343, .external_lex_state = 2},
  [4912] = {.lex_state = 343, .external_lex_state = 5},
  [4913] = {.lex_state = 48, .external_lex_state = 2},
  [4914] = {.lex_state = 343, .external_lex_state = 6},
  [4915] = {.lex_state = 343, .external_lex_state = 5},
  [4916] = {.lex_state = 48, .external_lex_state = 2},
  [4917] = {.lex_state = 343, .external_lex_state = 5},
  [4918] = {.lex_state = 343, .external_lex_state = 6},
  [4919] = {.lex_state = 48, .external_lex_state = 2},
  [4920] = {.lex_state = 48, .external_lex_state = 2},
  [4921] = {.lex_state = 343, .external_lex_state = 2},
  [4922] = {.lex_state = 343, .external_lex_state = 2},
  [4923] = {.lex_state = 61, .external_lex_state = 2},
  [4924] = {.lex_state = 48, .external_lex_state = 2},
  [4925] = {.lex_state = 45, .external_lex_state = 2},
  [4926] = {.lex_state = 343, .external_lex_state = 5},
  [4927] = {.lex_state = 343, .external_lex_state = 5},
  [4928] = {.lex_state = 343, .external_lex_state = 6},
  [4929] = {.lex_state = 45, .external_lex_state = 2},
  [4930] = {.lex_state = 45, .external_lex_state = 2},
  [4931] = {.lex_state = 45, .external_lex_state = 2},
  [4932] = {.lex_state = 48, .external_lex_state = 2},
  [4933] = {.lex_state = 343, .external_lex_state = 5},
  [4934] = {.lex_state = 343, .external_lex_state = 5},
  [4935] = {.lex_state = 343, .external_lex_state = 7},
  [4936] = {.lex_state = 45, .external_lex_state = 2},
  [4937] = {.lex_state = 343, .external_lex_state = 6},
  [4938] = {.lex_state = 48, .external_lex_state = 2},
  [4939] = {.lex_state = 48, .external_lex_state = 2},
  [4940] = {.lex_state = 48, .external_lex_state = 2},
  [4941] = {.lex_state = 48, .external_lex_state = 2},
  [4942] = {.lex_state = 48, .external_lex_state = 2},
  [4943] = {.lex_state = 48, .external_lex_state = 2},
  [4944] = {.lex_state = 45, .external_lex_state = 2},
  [4945] = {.lex_state = 343, .external_lex_state = 6},
  [4946] = {.lex_state = 343, .external_lex_state = 2},
  [4947] = {.lex_state = 343, .external_lex_state = 5},
  [4948] = {.lex_state = 45, .external_lex_state = 2},
  [4949] = {.lex_state = 343, .external_lex_state = 5},
  [4950] = {.lex_state = 61, .external_lex_state = 2},
  [4951] = {.lex_state = 343, .external_lex_state = 5},
  [4952] = {.lex_state = 343, .external_lex_state = 5},
  [4953] = {.lex_state = 343, .external_lex_state = 5},
  [4954] = {.lex_state = 343, .external_lex_state = 5},
  [4955] = {.lex_state = 343, .external_lex_state = 6},
  [4956] = {.lex_state = 343, .external_lex_state = 5},
  [4957] = {.lex_state = 343, .external_lex_state = 5},
  [4958] = {.lex_state = 343, .external_lex_state = 6},
  [4959] = {.lex_state = 343, .external_lex_state = 5},
  [4960] = {.lex_state = 45, .external_lex_state = 5},
  [4961] = {.lex_state = 343, .external_lex_state = 6},
  [4962] = {.lex_state = 45, .external_lex_state = 2},
  [4963] = {.lex_state = 343, .external_lex_state = 6},
  [4964] = {.lex_state = 61, .external_lex_state = 2},
  [4965] = {.lex_state = 61, .external_lex_state = 2},
  [4966] = {.lex_state = 343, .external_lex_state = 5},
  [4967] = {.lex_state = 343, .external_lex_state = 5},
  [4968] = {.lex_state = 45, .external_lex_state = 5},
  [4969] = {.lex_state = 343, .external_lex_state = 5},
  [4970] = {.lex_state = 343, .external_lex_state = 5},
  [4971] = {.lex_state = 343, .external_lex_state = 2},
  [4972] = {.lex_state = 343, .external_lex_state = 5},
  [4973] = {.lex_state = 343, .external_lex_state = 5},
  [4974] = {.lex_state = 343, .external_lex_state = 5},
  [4975] = {.lex_state = 343, .external_lex_state = 5},
  [4976] = {.lex_state = 343, .external_lex_state = 5},
  [4977] = {.lex_state = 343, .external_lex_state = 2},
  [4978] = {.lex_state = 343, .external_lex_state = 2},
  [4979] = {.lex_state = 343, .external_lex_state = 5},
  [4980] = {.lex_state = 343, .external_lex_state = 5},
  [4981] = {.lex_state = 343, .external_lex_state = 5},
  [4982] = {.lex_state = 343, .external_lex_state = 5},
  [4983] = {.lex_state = 343, .external_lex_state = 5},
  [4984] = {.lex_state = 343, .external_lex_state = 5},
  [4985] = {.lex_state = 343, .external_lex_state = 5},
  [4986] = {.lex_state = 343, .external_lex_state = 5},
  [4987] = {.lex_state = 343, .external_lex_state = 5},
  [4988] = {.lex_state = 343, .external_lex_state = 5},
  [4989] = {.lex_state = 343, .external_lex_state = 5},
  [4990] = {.lex_state = 343, .external_lex_state = 5},
  [4991] = {.lex_state = 343, .external_lex_state = 5},
  [4992] = {.lex_state = 343, .external_lex_state = 5},
  [4993] = {.lex_state = 343, .external_lex_state = 5},
  [4994] = {.lex_state = 343, .external_lex_state = 5},
  [4995] = {.lex_state = 343, .external_lex_state = 5},
  [4996] = {.lex_state = 343, .external_lex_state = 5},
  [4997] = {.lex_state = 343, .external_lex_state = 5},
  [4998] = {.lex_state = 343, .external_lex_state = 5},
  [4999] = {.lex_state = 343, .external_lex_state = 5},
  [5000] = {.lex_state = 343, .external_lex_state = 5},
  [5001] = {.lex_state = 343, .external_lex_state = 5},
  [5002] = {.lex_state = 343, .external_lex_state = 5},
  [5003] = {.lex_state = 343, .external_lex_state = 5},
  [5004] = {.lex_state = 45, .external_lex_state = 2},
  [5005] = {.lex_state = 343, .external_lex_state = 5},
  [5006] = {.lex_state = 343, .external_lex_state = 5},
  [5007] = {.lex_state = 343, .external_lex_state = 5},
  [5008] = {.lex_state = 343, .external_lex_state = 6},
  [5009] = {.lex_state = 343, .external_lex_state = 5},
  [5010] = {.lex_state = 343, .external_lex_state = 5},
  [5011] = {.lex_state = 343, .external_lex_state = 5},
  [5012] = {.lex_state = 343, .external_lex_state = 5},
  [5013] = {.lex_state = 343, .external_lex_state = 5},
  [5014] = {.lex_state = 343, .external_lex_state = 5},
  [5015] = {.lex_state = 343, .external_lex_state = 5},
  [5016] = {.lex_state = 343, .external_lex_state = 5},
  [5017] = {.lex_state = 343, .external_lex_state = 5},
  [5018] = {.lex_state = 343, .external_lex_state = 5},
  [5019] = {.lex_state = 343, .external_lex_state = 5},
  [5020] = {.lex_state = 343, .external_lex_state = 5},
  [5021] = {.lex_state = 343, .external_lex_state = 5},
  [5022] = {.lex_state = 343, .external_lex_state = 5},
  [5023] = {.lex_state = 343, .external_lex_state = 5},
  [5024] = {.lex_state = 343, .external_lex_state = 5},
  [5025] = {.lex_state = 343, .external_lex_state = 5},
  [5026] = {.lex_state = 45, .external_lex_state = 2},
  [5027] = {.lex_state = 343, .external_lex_state = 5},
  [5028] = {.lex_state = 343, .external_lex_state = 5},
  [5029] = {.lex_state = 343, .external_lex_state = 5},
  [5030] = {.lex_state = 45, .external_lex_state = 5},
  [5031] = {.lex_state = 343, .external_lex_state = 5},
  [5032] = {.lex_state = 343, .external_lex_state = 5},
  [5033] = {.lex_state = 343, .external_lex_state = 5},
  [5034] = {.lex_state = 343, .external_lex_state = 5},
  [5035] = {.lex_state = 343, .external_lex_state = 5},
  [5036] = {.lex_state = 343, .external_lex_state = 6},
  [5037] = {.lex_state = 343, .external_lex_state = 5},
  [5038] = {.lex_state = 343, .external_lex_state = 5},
  [5039] = {.lex_state = 343, .external_lex_state = 5},
  [5040] = {.lex_state = 343, .external_lex_state = 5},
  [5041] = {.lex_state = 343, .external_lex_state = 5},
  [5042] = {.lex_state = 343, .external_lex_state = 5},
  [5043] = {.lex_state = 343, .external_lex_state = 5},
  [5044] = {.lex_state = 343, .external_lex_state = 5},
  [5045] = {.lex_state = 343, .external_lex_state = 5},
  [5046] = {.lex_state = 343, .external_lex_state = 5},
  [5047] = {.lex_state = 343, .external_lex_state = 5},
  [5048] = {.lex_state = 343, .external_lex_state = 5},
  [5049] = {.lex_state = 343, .external_lex_state = 5},
  [5050] = {.lex_state = 343, .external_lex_state = 5},
  [5051] = {.lex_state = 343, .external_lex_state = 5},
  [5052] = {.lex_state = 343, .external_lex_state = 5},
  [5053] = {.lex_state = 343, .external_lex_state = 5},
  [5054] = {.lex_state = 343, .external_lex_state = 5},
  [5055] = {.lex_state = 45, .external_lex_state = 2},
  [5056] = {.lex_state = 343, .external_lex_state = 5},
  [5057] = {.lex_state = 343, .external_lex_state = 5},
  [5058] = {.lex_state = 343, .external_lex_state = 5},
  [5059] = {.lex_state = 343, .external_lex_state = 5},
  [5060] = {.lex_state = 343, .external_lex_state = 5},
  [5061] = {.lex_state = 343, .external_lex_state = 5},
  [5062] = {.lex_state = 343, .external_lex_state = 2},
  [5063] = {.lex_state = 45, .external_lex_state = 2},
  [5064] = {.lex_state = 343, .external_lex_state = 5},
  [5065] = {.lex_state = 343, .external_lex_state = 5},
  [5066] = {.lex_state = 343, .external_lex_state = 5},
  [5067] = {.lex_state = 343, .external_lex_state = 5},
  [5068] = {.lex_state = 343, .external_lex_state = 5},
  [5069] = {.lex_state = 343, .external_lex_state = 2},
  [5070] = {.lex_state = 343, .external_lex_state = 5},
  [5071] = {.lex_state = 343, .external_lex_state = 5},
  [5072] = {.lex_state = 343, .external_lex_state = 5},
  [5073] = {.lex_state = 343, .external_lex_state = 5},
  [5074] = {.lex_state = 343, .external_lex_state = 5},
  [5075] = {.lex_state = 343, .external_lex_state = 5},
  [5076] = {.lex_state = 55, .external_lex_state = 2},
  [5077] = {.lex_state = 343, .external_lex_state = 5},
  [5078] = {.lex_state = 343, .external_lex_state = 2},
  [5079] = {.lex_state = 343, .external_lex_state = 5},
  [5080] = {.lex_state = 45, .external_lex_state = 2},
  [5081] = {.lex_state = 343, .external_lex_state = 5},
  [5082] = {.lex_state = 343, .external_lex_state = 5},
  [5083] = {.lex_state = 343, .external_lex_state = 2},
  [5084] = {.lex_state = 45, .external_lex_state = 5},
  [5085] = {.lex_state = 45, .external_lex_state = 2},
  [5086] = {.lex_state = 343, .external_lex_state = 5},
  [5087] = {.lex_state = 343, .external_lex_state = 5},
  [5088] = {.lex_state = 343, .external_lex_state = 6},
  [5089] = {.lex_state = 47, .external_lex_state = 2},
  [5090] = {.lex_state = 343, .external_lex_state = 5},
  [5091] = {.lex_state = 343, .external_lex_state = 5},
  [5092] = {.lex_state = 61, .external_lex_state = 2},
  [5093] = {.lex_state = 45, .external_lex_state = 2},
  [5094] = {.lex_state = 343, .external_lex_state = 5},
  [5095] = {.lex_state = 45, .external_lex_state = 5},
  [5096] = {.lex_state = 343, .external_lex_state = 5},
  [5097] = {.lex_state = 343, .external_lex_state = 2},
  [5098] = {.lex_state = 343, .external_lex_state = 5},
  [5099] = {.lex_state = 343, .external_lex_state = 5},
  [5100] = {.lex_state = 45, .external_lex_state = 5},
  [5101] = {.lex_state = 45, .external_lex_state = 2},
  [5102] = {.lex_state = 45, .external_lex_state = 2},
  [5103] = {.lex_state = 45, .external_lex_state = 2},
  [5104] = {.lex_state = 343, .external_lex_state = 5},
  [5105] = {.lex_state = 343, .external_lex_state = 5},
  [5106] = {.lex_state = 343, .external_lex_state = 5},
  [5107] = {.lex_state = 45, .external_lex_state = 2},
  [5108] = {.lex_state = 343, .external_lex_state = 5},
  [5109] = {.lex_state = 343, .external_lex_state = 5},
  [5110] = {.lex_state = 45, .external_lex_state = 2},
  [5111] = {.lex_state = 343, .external_lex_state = 5},
  [5112] = {.lex_state = 343, .external_lex_state = 8},
  [5113] = {.lex_state = 343, .external_lex_state = 5},
  [5114] = {.lex_state = 343, .external_lex_state = 5},
  [5115] = {.lex_state = 343, .external_lex_state = 5},
  [5116] = {.lex_state = 343, .external_lex_state = 2},
  [5117] = {.lex_state = 343, .external_lex_state = 5},
  [5118] = {.lex_state = 45, .external_lex_state = 2},
  [5119] = {.lex_state = 45, .external_lex_state = 5},
  [5120] = {.lex_state = 343, .external_lex_state = 5},
  [5121] = {.lex_state = 45, .external_lex_state = 2},
  [5122] = {.lex_state = 343, .external_lex_state = 5},
  [5123] = {.lex_state = 47, .external_lex_state = 2},
  [5124] = {.lex_state = 343, .external_lex_state = 6},
  [5125] = {.lex_state = 45, .external_lex_state = 2},
  [5126] = {.lex_state = 45, .external_lex_state = 2},
  [5127] = {.lex_state = 45, .external_lex_state = 2},
  [5128] = {.lex_state = 343, .external_lex_state = 8},
  [5129] = {.lex_state = 343, .external_lex_state = 5},
  [5130] = {.lex_state = 343, .external_lex_state = 5},
  [5131] = {.lex_state = 45, .external_lex_state = 2},
  [5132] = {.lex_state = 45, .external_lex_state = 2},
  [5133] = {.lex_state = 343, .external_lex_state = 5},
  [5134] = {.lex_state = 45, .external_lex_state = 2},
  [5135] = {.lex_state = 343, .external_lex_state = 5},
  [5136] = {.lex_state = 45, .external_lex_state = 5},
  [5137] = {.lex_state = 343, .external_lex_state = 5},
  [5138] = {.lex_state = 343, .external_lex_state = 5},
  [5139] = {.lex_state = 343, .external_lex_state = 2},
  [5140] = {.lex_state = 343, .external_lex_state = 6},
  [5141] = {.lex_state = 343, .external_lex_state = 5},
  [5142] = {.lex_state = 343, .external_lex_state = 5},
  [5143] = {.lex_state = 343, .external_lex_state = 5},
  [5144] = {.lex_state = 48, .external_lex_state = 2},
  [5145] = {.lex_state = 343, .external_lex_state = 5},
  [5146] = {.lex_state = 45, .external_lex_state = 2},
  [5147] = {.lex_state = 343, .external_lex_state = 5},
  [5148] = {.lex_state = 343, .external_lex_state = 5},
  [5149] = {.lex_state = 343, .external_lex_state = 5},
  [5150] = {.lex_state = 343, .external_lex_state = 2},
  [5151] = {.lex_state = 343, .external_lex_state = 5},
  [5152] = {.lex_state = 343, .external_lex_state = 5},
  [5153] = {.lex_state = 48, .external_lex_state = 2},
  [5154] = {.lex_state = 343, .external_lex_state = 5},
  [5155] = {.lex_state = 343, .external_lex_state = 6},
  [5156] = {.lex_state = 343, .external_lex_state = 5},
  [5157] = {.lex_state = 45, .external_lex_state = 5},
  [5158] = {.lex_state = 343, .external_lex_state = 5},
  [5159] = {.lex_state = 343, .external_lex_state = 6},
  [5160] = {.lex_state = 343, .external_lex_state = 5},
  [5161] = {.lex_state = 343, .external_lex_state = 5},
  [5162] = {.lex_state = 343, .external_lex_state = 5},
  [5163] = {.lex_state = 45, .external_lex_state = 2},
  [5164] = {.lex_state = 343, .external_lex_state = 8},
  [5165] = {.lex_state = 343, .external_lex_state = 2},
  [5166] = {.lex_state = 343, .external_lex_state = 5},
  [5167] = {.lex_state = 343, .external_lex_state = 5},
  [5168] = {.lex_state = 61, .external_lex_state = 2},
  [5169] = {.lex_state = 343, .external_lex_state = 5},
  [5170] = {.lex_state = 343, .external_lex_state = 2},
  [5171] = {.lex_state = 343, .external_lex_state = 5},
  [5172] = {.lex_state = 343, .external_lex_state = 2},
  [5173] = {.lex_state = 343, .external_lex_state = 5},
  [5174] = {.lex_state = 343, .external_lex_state = 5},
  [5175] = {.lex_state = 343, .external_lex_state = 8},
  [5176] = {.lex_state = 45, .external_lex_state = 2},
  [5177] = {.lex_state = 45, .external_lex_state = 2},
  [5178] = {.lex_state = 343, .external_lex_state = 5},
  [5179] = {.lex_state = 343, .external_lex_state = 5},
  [5180] = {.lex_state = 343, .external_lex_state = 5},
  [5181] = {.lex_state = 343, .external_lex_state = 5},
  [5182] = {.lex_state = 45, .external_lex_state = 2},
  [5183] = {.lex_state = 343, .external_lex_state = 2},
  [5184] = {.lex_state = 343, .external_lex_state = 6},
  [5185] = {.lex_state = 343, .external_lex_state = 5},
  [5186] = {.lex_state = 343, .external_lex_state = 6},
  [5187] = {.lex_state = 343, .external_lex_state = 5},
  [5188] = {.lex_state = 343, .external_lex_state = 5},
  [5189] = {.lex_state = 343, .external_lex_state = 5},
  [5190] = {.lex_state = 343, .external_lex_state = 5},
  [5191] = {.lex_state = 343, .external_lex_state = 5},
  [5192] = {.lex_state = 343, .external_lex_state = 5},
  [5193] = {.lex_state = 343, .external_lex_state = 5},
  [5194] = {.lex_state = 45, .external_lex_state = 2},
  [5195] = {.lex_state = 343, .external_lex_state = 5},
  [5196] = {.lex_state = 343, .external_lex_state = 2},
  [5197] = {.lex_state = 343, .external_lex_state = 5},
  [5198] = {.lex_state = 343, .external_lex_state = 5},
  [5199] = {.lex_state = 343, .external_lex_state = 5},
  [5200] = {.lex_state = 343, .external_lex_state = 5},
  [5201] = {.lex_state = 343, .external_lex_state = 8},
  [5202] = {.lex_state = 343, .external_lex_state = 2},
  [5203] = {.lex_state = 343, .external_lex_state = 5},
  [5204] = {.lex_state = 45, .external_lex_state = 2},
  [5205] = {.lex_state = 343, .external_lex_state = 5},
  [5206] = {.lex_state = 343, .external_lex_state = 5},
  [5207] = {.lex_state = 343, .external_lex_state = 2},
  [5208] = {.lex_state = 343, .external_lex_state = 5},
  [5209] = {.lex_state = 343, .external_lex_state = 5},
  [5210] = {.lex_state = 343, .external_lex_state = 6},
  [5211] = {.lex_state = 343, .external_lex_state = 5},
  [5212] = {.lex_state = 343, .external_lex_state = 5},
  [5213] = {.lex_state = 45, .external_lex_state = 2},
  [5214] = {.lex_state = 343, .external_lex_state = 5},
  [5215] = {.lex_state = 343, .external_lex_state = 5},
  [5216] = {.lex_state = 343, .external_lex_state = 5},
  [5217] = {.lex_state = 343, .external_lex_state = 5},
  [5218] = {.lex_state = 343, .external_lex_state = 5},
  [5219] = {.lex_state = 343, .external_lex_state = 5},
  [5220] = {.lex_state = 343, .external_lex_state = 5},
  [5221] = {.lex_state = 343, .external_lex_state = 5},
  [5222] = {.lex_state = 343, .external_lex_state = 5},
  [5223] = {.lex_state = 45, .external_lex_state = 2},
  [5224] = {.lex_state = 61, .external_lex_state = 2},
  [5225] = {.lex_state = 343, .external_lex_state = 5},
  [5226] = {.lex_state = 343, .external_lex_state = 5},
  [5227] = {.lex_state = 45, .external_lex_state = 2},
  [5228] = {.lex_state = 45, .external_lex_state = 2},
  [5229] = {.lex_state = 343, .external_lex_state = 8},
  [5230] = {.lex_state = 343, .external_lex_state = 8},
  [5231] = {.lex_state = 343, .external_lex_state = 2},
  [5232] = {.lex_state = 343, .external_lex_state = 5},
  [5233] = {.lex_state = 343, .external_lex_state = 5},
  [5234] = {.lex_state = 45, .external_lex_state = 2},
  [5235] = {.lex_state = 45, .external_lex_state = 2},
  [5236] = {.lex_state = 343, .external_lex_state = 6},
  [5237] = {.lex_state = 343, .external_lex_state = 5},
  [5238] = {.lex_state = 343, .external_lex_state = 5},
  [5239] = {.lex_state = 343, .external_lex_state = 5},
  [5240] = {.lex_state = 45, .external_lex_state = 2},
  [5241] = {.lex_state = 45, .external_lex_state = 2},
  [5242] = {.lex_state = 343, .external_lex_state = 5},
  [5243] = {.lex_state = 45, .external_lex_state = 2},
  [5244] = {.lex_state = 343, .external_lex_state = 8},
  [5245] = {.lex_state = 343, .external_lex_state = 5},
  [5246] = {.lex_state = 343, .external_lex_state = 5},
  [5247] = {.lex_state = 343, .external_lex_state = 5},
  [5248] = {.lex_state = 45, .external_lex_state = 2},
  [5249] = {.lex_state = 45, .external_lex_state = 2},
  [5250] = {.lex_state = 343, .external_lex_state = 5},
  [5251] = {.lex_state = 343, .external_lex_state = 5},
  [5252] = {.lex_state = 343, .external_lex_state = 5},
  [5253] = {.lex_state = 343, .external_lex_state = 5},
  [5254] = {.lex_state = 343, .external_lex_state = 2},
  [5255] = {.lex_state = 343, .external_lex_state = 6},
  [5256] = {.lex_state = 343, .external_lex_state = 5},
  [5257] = {.lex_state = 45, .external_lex_state = 5},
  [5258] = {.lex_state = 343, .external_lex_state = 5},
  [5259] = {.lex_state = 45, .external_lex_state = 2},
  [5260] = {.lex_state = 343, .external_lex_state = 5},
  [5261] = {.lex_state = 343, .external_lex_state = 5},
  [5262] = {.lex_state = 343, .external_lex_state = 5},
  [5263] = {.lex_state = 343, .external_lex_state = 5},
  [5264] = {.lex_state = 61, .external_lex_state = 2},
  [5265] = {.lex_state = 343, .external_lex_state = 5},
  [5266] = {.lex_state = 343, .external_lex_state = 5},
  [5267] = {.lex_state = 45, .external_lex_state = 2},
  [5268] = {.lex_state = 343, .external_lex_state = 5},
  [5269] = {.lex_state = 343, .external_lex_state = 2},
  [5270] = {.lex_state = 343, .external_lex_state = 5},
  [5271] = {.lex_state = 343, .external_lex_state = 5},
  [5272] = {.lex_state = 343, .external_lex_state = 5},
  [5273] = {.lex_state = 45, .external_lex_state = 2},
  [5274] = {.lex_state = 343, .external_lex_state = 2},
  [5275] = {.lex_state = 343, .external_lex_state = 6},
  [5276] = {.lex_state = 343, .external_lex_state = 2},
  [5277] = {.lex_state = 343, .external_lex_state = 5},
  [5278] = {.lex_state = 48, .external_lex_state = 2},
  [5279] = {.lex_state = 45, .external_lex_state = 2},
  [5280] = {.lex_state = 45, .external_lex_state = 2},
  [5281] = {.lex_state = 343, .external_lex_state = 6},
  [5282] = {.lex_state = 45, .external_lex_state = 5},
  [5283] = {.lex_state = 45, .external_lex_state = 2},
  [5284] = {.lex_state = 343, .external_lex_state = 5},
  [5285] = {.lex_state = 343, .external_lex_state = 5},
  [5286] = {.lex_state = 45, .external_lex_state = 2},
  [5287] = {.lex_state = 45, .external_lex_state = 2},
  [5288] = {.lex_state = 45, .external_lex_state = 2},
  [5289] = {.lex_state = 45, .external_lex_state = 2},
  [5290] = {.lex_state = 45, .external_lex_state = 2},
  [5291] = {.lex_state = 45, .external_lex_state = 2},
  [5292] = {.lex_state = 45, .external_lex_state = 2},
  [5293] = {.lex_state = 343, .external_lex_state = 2},
  [5294] = {.lex_state = 47, .external_lex_state = 2},
  [5295] = {.lex_state = 45, .external_lex_state = 2},
  [5296] = {.lex_state = 45, .external_lex_state = 2},
  [5297] = {.lex_state = 343, .external_lex_state = 2},
  [5298] = {.lex_state = 343, .external_lex_state = 2},
  [5299] = {.lex_state = 45, .external_lex_state = 2},
  [5300] = {.lex_state = 343, .external_lex_state = 5},
  [5301] = {.lex_state = 45, .external_lex_state = 5},
  [5302] = {.lex_state = 343, .external_lex_state = 5},
  [5303] = {.lex_state = 343, .external_lex_state = 5},
  [5304] = {.lex_state = 343, .external_lex_state = 5},
  [5305] = {.lex_state = 343, .external_lex_state = 5},
  [5306] = {.lex_state = 343, .external_lex_state = 5},
  [5307] = {.lex_state = 343, .external_lex_state = 5},
  [5308] = {.lex_state = 343, .external_lex_state = 5},
  [5309] = {.lex_state = 343, .external_lex_state = 5},
  [5310] = {.lex_state = 343, .external_lex_state = 5},
  [5311] = {.lex_state = 343, .external_lex_state = 2},
  [5312] = {.lex_state = 343, .external_lex_state = 5},
  [5313] = {.lex_state = 61, .external_lex_state = 2},
  [5314] = {.lex_state = 343, .external_lex_state = 5},
  [5315] = {.lex_state = 343, .external_lex_state = 5},
  [5316] = {.lex_state = 343, .external_lex_state = 5},
  [5317] = {.lex_state = 45, .external_lex_state = 2},
  [5318] = {.lex_state = 343, .external_lex_state = 5},
  [5319] = {.lex_state = 45, .external_lex_state = 2},
  [5320] = {.lex_state = 343, .external_lex_state = 5},
  [5321] = {.lex_state = 45, .external_lex_state = 2},
  [5322] = {.lex_state = 45, .external_lex_state = 2},
  [5323] = {.lex_state = 343, .external_lex_state = 5},
  [5324] = {.lex_state = 343, .external_lex_state = 6},
  [5325] = {.lex_state = 343, .external_lex_state = 5},
  [5326] = {.lex_state = 45, .external_lex_state = 2},
  [5327] = {.lex_state = 45, .external_lex_state = 2},
  [5328] = {.lex_state = 45, .external_lex_state = 5},
  [5329] = {.lex_state = 343, .external_lex_state = 5},
  [5330] = {.lex_state = 343, .external_lex_state = 5},
  [5331] = {.lex_state = 45, .external_lex_state = 2},
  [5332] = {.lex_state = 343, .external_lex_state = 2},
  [5333] = {.lex_state = 45, .external_lex_state = 2},
  [5334] = {.lex_state = 45, .external_lex_state = 5},
  [5335] = {.lex_state = 343, .external_lex_state = 6},
  [5336] = {.lex_state = 343, .external_lex_state = 5},
  [5337] = {.lex_state = 343, .external_lex_state = 5},
  [5338] = {.lex_state = 45, .external_lex_state = 2},
  [5339] = {.lex_state = 343, .external_lex_state = 6},
  [5340] = {.lex_state = 45, .external_lex_state = 2},
  [5341] = {.lex_state = 343, .external_lex_state = 6},
  [5342] = {.lex_state = 45, .external_lex_state = 2},
  [5343] = {.lex_state = 45, .external_lex_state = 2},
  [5344] = {.lex_state = 343, .external_lex_state = 5},
  [5345] = {.lex_state = 343, .external_lex_state = 5},
  [5346] = {.lex_state = 45, .external_lex_state = 2},
  [5347] = {.lex_state = 45, .external_lex_state = 2},
  [5348] = {.lex_state = 45, .external_lex_state = 2},
  [5349] = {.lex_state = 343, .external_lex_state = 5},
  [5350] = {.lex_state = 343, .external_lex_state = 5},
  [5351] = {.lex_state = 343, .external_lex_state = 5},
  [5352] = {.lex_state = 343, .external_lex_state = 5},
  [5353] = {.lex_state = 45, .external_lex_state = 2},
  [5354] = {.lex_state = 343, .external_lex_state = 2},
  [5355] = {.lex_state = 45, .external_lex_state = 2},
  [5356] = {.lex_state = 343, .external_lex_state = 6},
  [5357] = {.lex_state = 343, .external_lex_state = 5},
  [5358] = {.lex_state = 45, .external_lex_state = 2},
  [5359] = {.lex_state = 343, .external_lex_state = 5},
  [5360] = {.lex_state = 343, .external_lex_state = 5},
  [5361] = {.lex_state = 343, .external_lex_state = 8},
  [5362] = {.lex_state = 343, .external_lex_state = 5},
  [5363] = {.lex_state = 45, .external_lex_state = 2},
  [5364] = {.lex_state = 45, .external_lex_state = 2},
  [5365] = {.lex_state = 343, .external_lex_state = 5},
  [5366] = {.lex_state = 45, .external_lex_state = 2},
  [5367] = {.lex_state = 45, .external_lex_state = 2},
  [5368] = {.lex_state = 45, .external_lex_state = 2},
  [5369] = {.lex_state = 45, .external_lex_state = 2},
  [5370] = {.lex_state = 45, .external_lex_state = 2},
  [5371] = {.lex_state = 45, .external_lex_state = 2},
  [5372] = {.lex_state = 343, .external_lex_state = 5},
  [5373] = {.lex_state = 45, .external_lex_state = 2},
  [5374] = {.lex_state = 45, .external_lex_state = 2},
  [5375] = {.lex_state = 343, .external_lex_state = 2},
  [5376] = {.lex_state = 45, .external_lex_state = 2},
  [5377] = {.lex_state = 343, .external_lex_state = 5},
  [5378] = {.lex_state = 343, .external_lex_state = 5},
  [5379] = {.lex_state = 45, .external_lex_state = 2},
  [5380] = {.lex_state = 343, .external_lex_state = 5},
  [5381] = {.lex_state = 45, .external_lex_state = 2},
  [5382] = {.lex_state = 343, .external_lex_state = 2},
  [5383] = {.lex_state = 343, .external_lex_state = 2},
  [5384] = {.lex_state = 343, .external_lex_state = 5},
  [5385] = {.lex_state = 343, .external_lex_state = 5},
  [5386] = {.lex_state = 343, .external_lex_state = 5},
  [5387] = {.lex_state = 45, .external_lex_state = 5},
  [5388] = {.lex_state = 343, .external_lex_state = 5},
  [5389] = {.lex_state = 343, .external_lex_state = 2},
  [5390] = {.lex_state = 45, .external_lex_state = 2},
  [5391] = {.lex_state = 343, .external_lex_state = 5},
  [5392] = {.lex_state = 45, .external_lex_state = 2},
  [5393] = {.lex_state = 45, .external_lex_state = 2},
  [5394] = {.lex_state = 45, .external_lex_state = 2},
  [5395] = {.lex_state = 343, .external_lex_state = 8},
  [5396] = {.lex_state = 45, .external_lex_state = 2},
  [5397] = {.lex_state = 45, .external_lex_state = 2},
  [5398] = {.lex_state = 45, .external_lex_state = 2},
  [5399] = {.lex_state = 45, .external_lex_state = 2},
  [5400] = {.lex_state = 343, .external_lex_state = 5},
  [5401] = {.lex_state = 45, .external_lex_state = 2},
  [5402] = {.lex_state = 45, .external_lex_state = 2},
  [5403] = {.lex_state = 343, .external_lex_state = 5},
  [5404] = {.lex_state = 343, .external_lex_state = 5},
  [5405] = {.lex_state = 45, .external_lex_state = 2},
  [5406] = {.lex_state = 343, .external_lex_state = 5},
  [5407] = {.lex_state = 343, .external_lex_state = 2},
  [5408] = {.lex_state = 343, .external_lex_state = 5},
  [5409] = {.lex_state = 343, .external_lex_state = 5},
  [5410] = {.lex_state = 343, .external_lex_state = 5},
  [5411] = {.lex_state = 343, .external_lex_state = 5},
  [5412] = {.lex_state = 45, .external_lex_state = 5},
  [5413] = {.lex_state = 343, .external_lex_state = 2},
  [5414] = {.lex_state = 343, .external_lex_state = 5},
  [5415] = {.lex_state = 343, .external_lex_state = 6},
  [5416] = {.lex_state = 48, .external_lex_state = 2},
  [5417] = {.lex_state = 343, .external_lex_state = 5},
  [5418] = {.lex_state = 343, .external_lex_state = 5},
  [5419] = {.lex_state = 45, .external_lex_state = 2},
  [5420] = {.lex_state = 343, .external_lex_state = 6},
  [5421] = {.lex_state = 45, .external_lex_state = 5},
  [5422] = {.lex_state = 45, .external_lex_state = 2},
  [5423] = {.lex_state = 45, .external_lex_state = 2},
  [5424] = {.lex_state = 343, .external_lex_state = 5},
  [5425] = {.lex_state = 343, .external_lex_state = 5},
  [5426] = {.lex_state = 343, .external_lex_state = 2},
  [5427] = {.lex_state = 45, .external_lex_state = 2},
  [5428] = {.lex_state = 45, .external_lex_state = 2},
  [5429] = {.lex_state = 343, .external_lex_state = 5},
  [5430] = {.lex_state = 47, .external_lex_state = 2},
  [5431] = {.lex_state = 47, .external_lex_state = 2},
  [5432] = {.lex_state = 45, .external_lex_state = 2},
  [5433] = {.lex_state = 45, .external_lex_state = 2},
  [5434] = {.lex_state = 343, .external_lex_state = 5},
  [5435] = {.lex_state = 45, .external_lex_state = 2},
  [5436] = {.lex_state = 343, .external_lex_state = 6},
  [5437] = {.lex_state = 343, .external_lex_state = 5},
  [5438] = {.lex_state = 45, .external_lex_state = 2},
  [5439] = {.lex_state = 343, .external_lex_state = 5},
  [5440] = {.lex_state = 343, .external_lex_state = 5},
  [5441] = {.lex_state = 343, .external_lex_state = 5},
  [5442] = {.lex_state = 45, .external_lex_state = 2},
  [5443] = {.lex_state = 343, .external_lex_state = 2},
  [5444] = {.lex_state = 343, .external_lex_state = 5},
  [5445] = {.lex_state = 343, .external_lex_state = 5},
  [5446] = {.lex_state = 47, .external_lex_state = 5},
  [5447] = {.lex_state = 343, .external_lex_state = 5},
  [5448] = {.lex_state = 343, .external_lex_state = 5},
  [5449] = {.lex_state = 343, .external_lex_state = 5},
  [5450] = {.lex_state = 47, .external_lex_state = 5},
  [5451] = {.lex_state = 45, .external_lex_state = 2},
  [5452] = {.lex_state = 343, .external_lex_state = 5},
  [5453] = {.lex_state = 343, .external_lex_state = 5},
  [5454] = {.lex_state = 343, .external_lex_state = 6},
  [5455] = {.lex_state = 343, .external_lex_state = 5},
  [5456] = {.lex_state = 343, .external_lex_state = 5},
  [5457] = {.lex_state = 343, .external_lex_state = 5},
  [5458] = {.lex_state = 45, .external_lex_state = 5},
  [5459] = {.lex_state = 343, .external_lex_state = 5},
  [5460] = {.lex_state = 343, .external_lex_state = 6},
  [5461] = {.lex_state = 343, .external_lex_state = 5},
  [5462] = {.lex_state = 343, .external_lex_state = 5},
  [5463] = {.lex_state = 343, .external_lex_state = 5},
  [5464] = {.lex_state = 61, .external_lex_state = 2},
  [5465] = {.lex_state = 343, .external_lex_state = 5},
  [5466] = {.lex_state = 343, .external_lex_state = 5},
  [5467] = {.lex_state = 343, .external_lex_state = 5},
  [5468] = {.lex_state = 343, .external_lex_state = 5},
  [5469] = {.lex_state = 343, .external_lex_state = 5},
  [5470] = {.lex_state = 343, .external_lex_state = 5},
  [5471] = {.lex_state = 343, .external_lex_state = 8},
  [5472] = {.lex_state = 343, .external_lex_state = 5},
  [5473] = {.lex_state = 343, .external_lex_state = 5},
  [5474] = {.lex_state = 68, .external_lex_state = 2},
  [5475] = {.lex_state = 1, .external_lex_state = 2},
  [5476] = {.lex_state = 45, .external_lex_state = 2},
  [5477] = {.lex_state = 45, .external_lex_state = 2},
  [5478] = {.lex_state = 45, .external_lex_state = 2},
  [5479] = {.lex_state = 47, .external_lex_state = 2},
  [5480] = {.lex_state = 45, .external_lex_state = 2},
  [5481] = {.lex_state = 45, .external_lex_state = 2},
  [5482] = {.lex_state = 54, .external_lex_state = 9},
  [5483] = {.lex_state = 24, .external_lex_state = 2},
  [5484] = {.lex_state = 343, .external_lex_state = 7},
  [5485] = {.lex_state = 343, .external_lex_state = 5},
  [5486] = {.lex_state = 343, .external_lex_state = 5},
  [5487] = {.lex_state = 68, .external_lex_state = 2},
  [5488] = {.lex_state = 343, .external_lex_state = 5},
  [5489] = {.lex_state = 54, .external_lex_state = 9},
  [5490] = {.lex_state = 57, .external_lex_state = 9},
  [5491] = {.lex_state = 45, .external_lex_state = 2},
  [5492] = {.lex_state = 45, .external_lex_state = 2},
  [5493] = {.lex_state = 343, .external_lex_state = 2},
  [5494] = {.lex_state = 45, .external_lex_state = 2},
  [5495] = {.lex_state = 57, .external_lex_state = 9},
  [5496] = {.lex_state = 57, .external_lex_state = 9},
  [5497] = {.lex_state = 54, .external_lex_state = 9},
  [5498] = {.lex_state = 343, .external_lex_state = 7},
  [5499] = {.lex_state = 45, .external_lex_state = 2},
  [5500] = {.lex_state = 54, .external_lex_state = 9},
  [5501] = {.lex_state = 45, .external_lex_state = 2},
  [5502] = {.lex_state = 45, .external_lex_state = 2},
  [5503] = {.lex_state = 57, .external_lex_state = 9},
  [5504] = {.lex_state = 45, .external_lex_state = 2},
  [5505] = {.lex_state = 343, .external_lex_state = 2},
  [5506] = {.lex_state = 45, .external_lex_state = 2},
  [5507] = {.lex_state = 45, .external_lex_state = 2},
  [5508] = {.lex_state = 54, .external_lex_state = 9},
  [5509] = {.lex_state = 343, .external_lex_state = 5},
  [5510] = {.lex_state = 45, .external_lex_state = 2},
  [5511] = {.lex_state = 57, .external_lex_state = 9},
  [5512] = {.lex_state = 54, .external_lex_state = 9},
  [5513] = {.lex_state = 343, .external_lex_state = 2},
  [5514] = {.lex_state = 45, .external_lex_state = 2},
  [5515] = {.lex_state = 57, .external_lex_state = 9},
  [5516] = {.lex_state = 54, .external_lex_state = 9},
  [5517] = {.lex_state = 57, .external_lex_state = 9},
  [5518] = {.lex_state = 343, .external_lex_state = 5},
  [5519] = {.lex_state = 343, .external_lex_state = 2},
  [5520] = {.lex_state = 45, .external_lex_state = 2},
  [5521] = {.lex_state = 45, .external_lex_state = 2},
  [5522] = {.lex_state = 45, .external_lex_state = 2},
  [5523] = {.lex_state = 57, .external_lex_state = 9},
  [5524] = {.lex_state = 54, .external_lex_state = 9},
  [5525] = {.lex_state = 343, .external_lex_state = 5},
  [5526] = {.lex_state = 343, .external_lex_state = 2},
  [5527] = {.lex_state = 24, .external_lex_state = 2},
  [5528] = {.lex_state = 343, .external_lex_state = 5},
  [5529] = {.lex_state = 343, .external_lex_state = 5},
  [5530] = {.lex_state = 45, .external_lex_state = 2},
  [5531] = {.lex_state = 343, .external_lex_state = 5},
  [5532] = {.lex_state = 343, .external_lex_state = 5},
  [5533] = {.lex_state = 57, .external_lex_state = 9},
  [5534] = {.lex_state = 54, .external_lex_state = 9},
  [5535] = {.lex_state = 54, .external_lex_state = 9},
  [5536] = {.lex_state = 57, .external_lex_state = 9},
  [5537] = {.lex_state = 343, .external_lex_state = 5},
  [5538] = {.lex_state = 45, .external_lex_state = 2},
  [5539] = {.lex_state = 57, .external_lex_state = 9},
  [5540] = {.lex_state = 54, .external_lex_state = 9},
  [5541] = {.lex_state = 343, .external_lex_state = 5},
  [5542] = {.lex_state = 343, .external_lex_state = 2},
  [5543] = {.lex_state = 45, .external_lex_state = 2},
  [5544] = {.lex_state = 343, .external_lex_state = 5},
  [5545] = {.lex_state = 343, .external_lex_state = 5},
  [5546] = {.lex_state = 57, .external_lex_state = 9},
  [5547] = {.lex_state = 45, .external_lex_state = 2},
  [5548] = {.lex_state = 57, .external_lex_state = 9},
  [5549] = {.lex_state = 54, .external_lex_state = 9},
  [5550] = {.lex_state = 54, .external_lex_state = 9},
  [5551] = {.lex_state = 48, .external_lex_state = 2},
  [5552] = {.lex_state = 343, .external_lex_state = 2},
  [5553] = {.lex_state = 57, .external_lex_state = 9},
  [5554] = {.lex_state = 54, .external_lex_state = 9},
  [5555] = {.lex_state = 68, .external_lex_state = 2},
  [5556] = {.lex_state = 45, .external_lex_state = 2},
  [5557] = {.lex_state = 45, .external_lex_state = 2},
  [5558] = {.lex_state = 343, .external_lex_state = 2},
  [5559] = {.lex_state = 45, .external_lex_state = 2},
  [5560] = {.lex_state = 45, .external_lex_state = 2},
  [5561] = {.lex_state = 45, .external_lex_state = 2},
  [5562] = {.lex_state = 343, .external_lex_state = 2},
  [5563] = {.lex_state = 343, .external_lex_state = 2},
  [5564] = {.lex_state = 343, .external_lex_state = 6},
  [5565] = {.lex_state = 57, .external_lex_state = 9},
  [5566] = {.lex_state = 54, .external_lex_state = 9},
  [5567] = {.lex_state = 45, .external_lex_state = 2},
  [5568] = {.lex_state = 54, .external_lex_state = 9},
  [5569] = {.lex_state = 57, .external_lex_state = 9},
  [5570] = {.lex_state = 45, .external_lex_state = 2},
  [5571] = {.lex_state = 45, .external_lex_state = 2},
  [5572] = {.lex_state = 54, .external_lex_state = 9},
  [5573] = {.lex_state = 57, .external_lex_state = 9},
  [5574] = {.lex_state = 45, .external_lex_state = 2},
  [5575] = {.lex_state = 343, .external_lex_state = 2},
  [5576] = {.lex_state = 68, .external_lex_state = 2},
  [5577] = {.lex_state = 343, .external_lex_state = 2},
  [5578] = {.lex_state = 343, .external_lex_state = 5},
  [5579] = {.lex_state = 57, .external_lex_state = 9},
  [5580] = {.lex_state = 54, .external_lex_state = 9},
  [5581] = {.lex_state = 343, .external_lex_state = 5},
  [5582] = {.lex_state = 45, .external_lex_state = 2},
  [5583] = {.lex_state = 57, .external_lex_state = 9},
  [5584] = {.lex_state = 343, .external_lex_state = 5},
  [5585] = {.lex_state = 343, .external_lex_state = 5},
  [5586] = {.lex_state = 343, .external_lex_state = 5},
  [5587] = {.lex_state = 45, .external_lex_state = 2},
  [5588] = {.lex_state = 343, .external_lex_state = 5},
  [5589] = {.lex_state = 54, .external_lex_state = 9},
  [5590] = {.lex_state = 45, .external_lex_state = 2},
  [5591] = {.lex_state = 45, .external_lex_state = 2},
  [5592] = {.lex_state = 45, .external_lex_state = 2},
  [5593] = {.lex_state = 45, .external_lex_state = 2},
  [5594] = {.lex_state = 45, .external_lex_state = 2},
  [5595] = {.lex_state = 343, .external_lex_state = 5},
  [5596] = {.lex_state = 343, .external_lex_state = 5},
  [5597] = {.lex_state = 48, .external_lex_state = 2},
  [5598] = {.lex_state = 343, .external_lex_state = 5},
  [5599] = {.lex_state = 24, .external_lex_state = 2},
  [5600] = {.lex_state = 343, .external_lex_state = 5},
  [5601] = {.lex_state = 21, .external_lex_state = 2},
  [5602] = {.lex_state = 24, .external_lex_state = 2},
  [5603] = {.lex_state = 343, .external_lex_state = 5},
  [5604] = {.lex_state = 24, .external_lex_state = 2},
  [5605] = {.lex_state = 45, .external_lex_state = 2},
  [5606] = {.lex_state = 343, .external_lex_state = 5},
  [5607] = {.lex_state = 1, .external_lex_state = 2},
  [5608] = {.lex_state = 343, .external_lex_state = 5},
  [5609] = {.lex_state = 343, .external_lex_state = 2},
  [5610] = {.lex_state = 45, .external_lex_state = 2},
  [5611] = {.lex_state = 343, .external_lex_state = 2},
  [5612] = {.lex_state = 343, .external_lex_state = 7},
  [5613] = {.lex_state = 45, .external_lex_state = 2},
  [5614] = {.lex_state = 45, .external_lex_state = 2},
  [5615] = {.lex_state = 343, .external_lex_state = 5},
  [5616] = {.lex_state = 343, .external_lex_state = 7},
  [5617] = {.lex_state = 45, .external_lex_state = 2},
  [5618] = {.lex_state = 57, .external_lex_state = 9},
  [5619] = {.lex_state = 343, .external_lex_state = 5},
  [5620] = {.lex_state = 343, .external_lex_state = 2},
  [5621] = {.lex_state = 54, .external_lex_state = 9},
  [5622] = {.lex_state = 45, .external_lex_state = 2},
  [5623] = {.lex_state = 57, .external_lex_state = 9},
  [5624] = {.lex_state = 45, .external_lex_state = 2},
  [5625] = {.lex_state = 45, .external_lex_state = 2},
  [5626] = {.lex_state = 57, .external_lex_state = 9},
  [5627] = {.lex_state = 45, .external_lex_state = 2},
  [5628] = {.lex_state = 54, .external_lex_state = 9},
  [5629] = {.lex_state = 54, .external_lex_state = 9},
  [5630] = {.lex_state = 45, .external_lex_state = 2},
  [5631] = {.lex_state = 45, .external_lex_state = 2},
  [5632] = {.lex_state = 343, .external_lex_state = 5},
  [5633] = {.lex_state = 343, .external_lex_state = 5},
  [5634] = {.lex_state = 57, .external_lex_state = 9},
  [5635] = {.lex_state = 54, .external_lex_state = 9},
  [5636] = {.lex_state = 343, .external_lex_state = 2},
  [5637] = {.lex_state = 45, .external_lex_state = 2},
  [5638] = {.lex_state = 343, .external_lex_state = 5},
  [5639] = {.lex_state = 343, .external_lex_state = 5},
  [5640] = {.lex_state = 45, .external_lex_state = 2},
  [5641] = {.lex_state = 343, .external_lex_state = 5},
  [5642] = {.lex_state = 343, .external_lex_state = 2},
  [5643] = {.lex_state = 45, .external_lex_state = 2},
  [5644] = {.lex_state = 54, .external_lex_state = 9},
  [5645] = {.lex_state = 57, .external_lex_state = 9},
  [5646] = {.lex_state = 343, .external_lex_state = 5},
  [5647] = {.lex_state = 45, .external_lex_state = 2},
  [5648] = {.lex_state = 343, .external_lex_state = 5},
  [5649] = {.lex_state = 343, .external_lex_state = 5},
  [5650] = {.lex_state = 343, .external_lex_state = 5},
  [5651] = {.lex_state = 343, .external_lex_state = 5},
  [5652] = {.lex_state = 343, .external_lex_state = 5},
  [5653] = {.lex_state = 343, .external_lex_state = 5},
  [5654] = {.lex_state = 45, .external_lex_state = 2},
  [5655] = {.lex_state = 54, .external_lex_state = 9},
  [5656] = {.lex_state = 57, .external_lex_state = 9},
  [5657] = {.lex_state = 45, .external_lex_state = 2},
  [5658] = {.lex_state = 343, .external_lex_state = 2},
  [5659] = {.lex_state = 1, .external_lex_state = 2},
  [5660] = {.lex_state = 1, .external_lex_state = 2},
  [5661] = {.lex_state = 57, .external_lex_state = 9},
  [5662] = {.lex_state = 54, .external_lex_state = 9},
  [5663] = {.lex_state = 343, .external_lex_state = 2},
  [5664] = {.lex_state = 57, .external_lex_state = 9},
  [5665] = {.lex_state = 54, .external_lex_state = 9},
  [5666] = {.lex_state = 343, .external_lex_state = 5},
  [5667] = {.lex_state = 343, .external_lex_state = 2},
  [5668] = {.lex_state = 343, .external_lex_state = 2},
  [5669] = {.lex_state = 343, .external_lex_state = 2},
  [5670] = {.lex_state = 343, .external_lex_state = 5},
  [5671] = {.lex_state = 343, .external_lex_state = 2},
  [5672] = {.lex_state = 343, .external_lex_state = 5},
  [5673] = {.lex_state = 343, .external_lex_state = 5},
  [5674] = {.lex_state = 343, .external_lex_state = 5},
  [5675] = {.lex_state = 343, .external_lex_state = 5},
  [5676] = {.lex_state = 343, .external_lex_state = 5},
  [5677] = {.lex_state = 343, .external_lex_state = 5},
  [5678] = {.lex_state = 343, .external_lex_state = 5},
  [5679] = {.lex_state = 343, .external_lex_state = 5},
  [5680] = {.lex_state = 343, .external_lex_state = 5},
  [5681] = {.lex_state = 343, .external_lex_state = 5},
  [5682] = {.lex_state = 343, .external_lex_state = 5},
  [5683] = {.lex_state = 343, .external_lex_state = 5},
  [5684] = {.lex_state = 48, .external_lex_state = 2},
  [5685] = {.lex_state = 48, .external_lex_state = 2},
  [5686] = {.lex_state = 343, .external_lex_state = 5},
  [5687] = {.lex_state = 48, .external_lex_state = 2},
  [5688] = {.lex_state = 48, .external_lex_state = 2},
  [5689] = {.lex_state = 343, .external_lex_state = 5},
  [5690] = {.lex_state = 343, .external_lex_state = 5},
  [5691] = {.lex_state = 343, .external_lex_state = 5},
  [5692] = {.lex_state = 343, .external_lex_state = 5},
  [5693] = {.lex_state = 343, .external_lex_state = 2},
  [5694] = {.lex_state = 343, .external_lex_state = 5},
  [5695] = {.lex_state = 343, .external_lex_state = 5},
  [5696] = {.lex_state = 343, .external_lex_state = 5},
  [5697] = {.lex_state = 343, .external_lex_state = 5},
  [5698] = {.lex_state = 343, .external_lex_state = 5},
  [5699] = {.lex_state = 343, .external_lex_state = 5},
  [5700] = {.lex_state = 343, .external_lex_state = 5},
  [5701] = {.lex_state = 24, .external_lex_state = 2},
  [5702] = {.lex_state = 343, .external_lex_state = 2},
  [5703] = {.lex_state = 343, .external_lex_state = 2},
  [5704] = {.lex_state = 343, .external_lex_state = 5},
  [5705] = {.lex_state = 343, .external_lex_state = 5},
  [5706] = {.lex_state = 343, .external_lex_state = 5},
  [5707] = {.lex_state = 343, .external_lex_state = 5},
  [5708] = {.lex_state = 343, .external_lex_state = 5},
  [5709] = {.lex_state = 343, .external_lex_state = 5},
  [5710] = {.lex_state = 343, .external_lex_state = 5},
  [5711] = {.lex_state = 343, .external_lex_state = 5},
  [5712] = {.lex_state = 343, .external_lex_state = 5},
  [5713] = {.lex_state = 343, .external_lex_state = 5},
  [5714] = {.lex_state = 343, .external_lex_state = 2},
  [5715] = {.lex_state = 343, .external_lex_state = 5},
  [5716] = {.lex_state = 343, .external_lex_state = 5},
  [5717] = {.lex_state = 343, .external_lex_state = 5},
  [5718] = {.lex_state = 343, .external_lex_state = 5},
  [5719] = {.lex_state = 343, .external_lex_state = 2},
  [5720] = {.lex_state = 343, .external_lex_state = 5},
  [5721] = {.lex_state = 343, .external_lex_state = 5},
  [5722] = {.lex_state = 343, .external_lex_state = 2},
  [5723] = {.lex_state = 343, .external_lex_state = 2},
  [5724] = {.lex_state = 343, .external_lex_state = 5},
  [5725] = {.lex_state = 24, .external_lex_state = 2},
  [5726] = {.lex_state = 343, .external_lex_state = 5},
  [5727] = {.lex_state = 343, .external_lex_state = 2},
  [5728] = {.lex_state = 343, .external_lex_state = 5},
  [5729] = {.lex_state = 343, .external_lex_state = 2},
  [5730] = {.lex_state = 343, .external_lex_state = 5},
  [5731] = {.lex_state = 343, .external_lex_state = 5},
  [5732] = {.lex_state = 343, .external_lex_state = 5},
  [5733] = {.lex_state = 343, .external_lex_state = 5},
  [5734] = {.lex_state = 343, .external_lex_state = 5},
  [5735] = {.lex_state = 45, .external_lex_state = 2},
  [5736] = {.lex_state = 343, .external_lex_state = 5},
  [5737] = {.lex_state = 45, .external_lex_state = 2},
  [5738] = {.lex_state = 343, .external_lex_state = 5},
  [5739] = {.lex_state = 343, .external_lex_state = 5},
  [5740] = {.lex_state = 45, .external_lex_state = 2},
  [5741] = {.lex_state = 343, .external_lex_state = 5},
  [5742] = {.lex_state = 45, .external_lex_state = 2},
  [5743] = {.lex_state = 343, .external_lex_state = 2},
  [5744] = {.lex_state = 343, .external_lex_state = 5},
  [5745] = {.lex_state = 343, .external_lex_state = 5},
  [5746] = {.lex_state = 343, .external_lex_state = 5},
  [5747] = {.lex_state = 343, .external_lex_state = 5},
  [5748] = {.lex_state = 343, .external_lex_state = 5},
  [5749] = {.lex_state = 343, .external_lex_state = 5},
  [5750] = {.lex_state = 343, .external_lex_state = 5},
  [5751] = {.lex_state = 343, .external_lex_state = 2},
  [5752] = {.lex_state = 343, .external_lex_state = 5},
  [5753] = {.lex_state = 343, .external_lex_state = 5},
  [5754] = {.lex_state = 343, .external_lex_state = 5},
  [5755] = {.lex_state = 343, .external_lex_state = 5},
  [5756] = {.lex_state = 343, .external_lex_state = 5},
  [5757] = {.lex_state = 343, .external_lex_state = 5},
  [5758] = {.lex_state = 343, .external_lex_state = 2},
  [5759] = {.lex_state = 343, .external_lex_state = 5},
  [5760] = {.lex_state = 343, .external_lex_state = 2},
  [5761] = {.lex_state = 343, .external_lex_state = 5},
  [5762] = {.lex_state = 343, .external_lex_state = 5},
  [5763] = {.lex_state = 343, .external_lex_state = 2},
  [5764] = {.lex_state = 343, .external_lex_state = 5},
  [5765] = {.lex_state = 343, .external_lex_state = 5},
  [5766] = {.lex_state = 68, .external_lex_state = 2},
  [5767] = {.lex_state = 343, .external_lex_state = 8},
  [5768] = {.lex_state = 343, .external_lex_state = 5},
  [5769] = {.lex_state = 343, .external_lex_state = 5},
  [5770] = {.lex_state = 343, .external_lex_state = 5},
  [5771] = {.lex_state = 343, .external_lex_state = 5},
  [5772] = {.lex_state = 343, .external_lex_state = 5},
  [5773] = {.lex_state = 343, .external_lex_state = 5},
  [5774] = {.lex_state = 343, .external_lex_state = 5},
  [5775] = {.lex_state = 343, .external_lex_state = 5},
  [5776] = {.lex_state = 343, .external_lex_state = 5},
  [5777] = {.lex_state = 343, .external_lex_state = 5},
  [5778] = {.lex_state = 343, .external_lex_state = 5},
  [5779] = {.lex_state = 343, .external_lex_state = 5},
  [5780] = {.lex_state = 343, .external_lex_state = 5},
  [5781] = {.lex_state = 343, .external_lex_state = 5},
  [5782] = {.lex_state = 343, .external_lex_state = 5},
  [5783] = {.lex_state = 343, .external_lex_state = 5},
  [5784] = {.lex_state = 343, .external_lex_state = 5},
  [5785] = {.lex_state = 343, .external_lex_state = 5},
  [5786] = {.lex_state = 343, .external_lex_state = 5},
  [5787] = {.lex_state = 343, .external_lex_state = 5},
  [5788] = {.lex_state = 343, .external_lex_state = 5},
  [5789] = {.lex_state = 343, .external_lex_state = 5},
  [5790] = {.lex_state = 343, .external_lex_state = 5},
  [5791] = {.lex_state = 343, .external_lex_state = 2},
  [5792] = {.lex_state = 343, .external_lex_state = 5},
  [5793] = {.lex_state = 343, .external_lex_state = 2},
  [5794] = {.lex_state = 343, .external_lex_state = 5},
  [5795] = {.lex_state = 343, .external_lex_state = 5},
  [5796] = {.lex_state = 343, .external_lex_state = 2},
  [5797] = {.lex_state = 343, .external_lex_state = 5},
  [5798] = {.lex_state = 343, .external_lex_state = 5},
  [5799] = {.lex_state = 343, .external_lex_state = 5},
  [5800] = {.lex_state = 73, .external_lex_state = 2},
  [5801] = {.lex_state = 48, .external_lex_state = 5},
  [5802] = {.lex_state = 48, .external_lex_state = 5},
  [5803] = {.lex_state = 343, .external_lex_state = 5},
  [5804] = {.lex_state = 343, .external_lex_state = 5},
  [5805] = {.lex_state = 343, .external_lex_state = 5},
  [5806] = {.lex_state = 343, .external_lex_state = 5},
  [5807] = {.lex_state = 343, .external_lex_state = 5},
  [5808] = {.lex_state = 343, .external_lex_state = 5},
  [5809] = {.lex_state = 343, .external_lex_state = 2},
  [5810] = {.lex_state = 343, .external_lex_state = 5},
  [5811] = {.lex_state = 343, .external_lex_state = 5},
  [5812] = {.lex_state = 343, .external_lex_state = 5},
  [5813] = {.lex_state = 343, .external_lex_state = 5},
  [5814] = {.lex_state = 343, .external_lex_state = 5},
  [5815] = {.lex_state = 343, .external_lex_state = 5},
  [5816] = {.lex_state = 343, .external_lex_state = 5},
  [5817] = {.lex_state = 343, .external_lex_state = 5},
  [5818] = {.lex_state = 343, .external_lex_state = 5},
  [5819] = {.lex_state = 343, .external_lex_state = 5},
  [5820] = {.lex_state = 343, .external_lex_state = 5},
  [5821] = {.lex_state = 343, .external_lex_state = 5},
  [5822] = {.lex_state = 343, .external_lex_state = 5},
  [5823] = {.lex_state = 343, .external_lex_state = 5},
  [5824] = {.lex_state = 343, .external_lex_state = 5},
  [5825] = {.lex_state = 343, .external_lex_state = 2},
  [5826] = {.lex_state = 343, .external_lex_state = 5},
  [5827] = {.lex_state = 343, .external_lex_state = 5},
  [5828] = {.lex_state = 343, .external_lex_state = 5},
  [5829] = {.lex_state = 343, .external_lex_state = 5},
  [5830] = {.lex_state = 24, .external_lex_state = 2},
  [5831] = {.lex_state = 343, .external_lex_state = 5},
  [5832] = {.lex_state = 343, .external_lex_state = 5},
  [5833] = {.lex_state = 343, .external_lex_state = 5},
  [5834] = {.lex_state = 343, .external_lex_state = 5},
  [5835] = {.lex_state = 343, .external_lex_state = 5},
  [5836] = {.lex_state = 343, .external_lex_state = 5},
  [5837] = {.lex_state = 343, .external_lex_state = 2},
  [5838] = {.lex_state = 343, .external_lex_state = 5},
  [5839] = {.lex_state = 343, .external_lex_state = 5},
  [5840] = {.lex_state = 343, .external_lex_state = 5},
  [5841] = {.lex_state = 343, .external_lex_state = 5},
  [5842] = {.lex_state = 343, .external_lex_state = 5},
  [5843] = {.lex_state = 343, .external_lex_state = 5},
  [5844] = {.lex_state = 343, .external_lex_state = 5},
  [5845] = {.lex_state = 343, .external_lex_state = 5},
  [5846] = {.lex_state = 343, .external_lex_state = 5},
  [5847] = {.lex_state = 343, .external_lex_state = 5},
  [5848] = {.lex_state = 68, .external_lex_state = 2},
  [5849] = {.lex_state = 343, .external_lex_state = 5},
  [5850] = {.lex_state = 343, .external_lex_state = 5},
  [5851] = {.lex_state = 343, .external_lex_state = 5},
  [5852] = {.lex_state = 343, .external_lex_state = 5},
  [5853] = {.lex_state = 343, .external_lex_state = 5},
  [5854] = {.lex_state = 343, .external_lex_state = 5},
  [5855] = {.lex_state = 343, .external_lex_state = 5},
  [5856] = {.lex_state = 343, .external_lex_state = 5},
  [5857] = {.lex_state = 343, .external_lex_state = 5},
  [5858] = {.lex_state = 343, .external_lex_state = 5},
  [5859] = {.lex_state = 343, .external_lex_state = 5},
  [5860] = {.lex_state = 343, .external_lex_state = 5},
  [5861] = {.lex_state = 343, .external_lex_state = 5},
  [5862] = {.lex_state = 343, .external_lex_state = 5},
  [5863] = {.lex_state = 343, .external_lex_state = 5},
  [5864] = {.lex_state = 343, .external_lex_state = 5},
  [5865] = {.lex_state = 343, .external_lex_state = 5},
  [5866] = {.lex_state = 343, .external_lex_state = 5},
  [5867] = {.lex_state = 343, .external_lex_state = 5},
  [5868] = {.lex_state = 343, .external_lex_state = 5},
  [5869] = {.lex_state = 343, .external_lex_state = 2},
  [5870] = {.lex_state = 343, .external_lex_state = 5},
  [5871] = {.lex_state = 343, .external_lex_state = 5},
  [5872] = {.lex_state = 343, .external_lex_state = 5},
  [5873] = {.lex_state = 343, .external_lex_state = 5},
  [5874] = {.lex_state = 343, .external_lex_state = 5},
  [5875] = {.lex_state = 343, .external_lex_state = 5},
  [5876] = {.lex_state = 343, .external_lex_state = 5},
  [5877] = {.lex_state = 343, .external_lex_state = 5},
  [5878] = {.lex_state = 48, .external_lex_state = 2},
  [5879] = {.lex_state = 343, .external_lex_state = 5},
  [5880] = {.lex_state = 343, .external_lex_state = 5},
  [5881] = {.lex_state = 343, .external_lex_state = 5},
  [5882] = {.lex_state = 343, .external_lex_state = 5},
  [5883] = {.lex_state = 343, .external_lex_state = 5},
  [5884] = {.lex_state = 343, .external_lex_state = 5},
  [5885] = {.lex_state = 343, .external_lex_state = 5},
  [5886] = {.lex_state = 343, .external_lex_state = 5},
  [5887] = {.lex_state = 343, .external_lex_state = 5},
  [5888] = {.lex_state = 343, .external_lex_state = 5},
  [5889] = {.lex_state = 343, .external_lex_state = 5},
  [5890] = {.lex_state = 343, .external_lex_state = 5},
  [5891] = {.lex_state = 48, .external_lex_state = 2},
  [5892] = {.lex_state = 21, .external_lex_state = 2},
  [5893] = {.lex_state = 343, .external_lex_state = 5},
  [5894] = {.lex_state = 343, .external_lex_state = 5},
  [5895] = {.lex_state = 343, .external_lex_state = 5},
  [5896] = {.lex_state = 21, .external_lex_state = 2},
  [5897] = {.lex_state = 343, .external_lex_state = 5},
  [5898] = {.lex_state = 48, .external_lex_state = 5},
  [5899] = {.lex_state = 343, .external_lex_state = 2},
  [5900] = {.lex_state = 343, .external_lex_state = 5},
  [5901] = {.lex_state = 343, .external_lex_state = 5},
  [5902] = {.lex_state = 343, .external_lex_state = 5},
  [5903] = {.lex_state = 343, .external_lex_state = 5},
  [5904] = {.lex_state = 48, .external_lex_state = 5},
  [5905] = {.lex_state = 343, .external_lex_state = 5},
  [5906] = {.lex_state = 48, .external_lex_state = 2},
  [5907] = {.lex_state = 343, .external_lex_state = 5},
  [5908] = {.lex_state = 343, .external_lex_state = 5},
  [5909] = {.lex_state = 343, .external_lex_state = 5},
  [5910] = {.lex_state = 343, .external_lex_state = 2},
  [5911] = {.lex_state = 343, .external_lex_state = 5},
  [5912] = {.lex_state = 343, .external_lex_state = 5},
  [5913] = {.lex_state = 343, .external_lex_state = 2},
  [5914] = {.lex_state = 343, .external_lex_state = 2},
  [5915] = {.lex_state = 343, .external_lex_state = 5},
  [5916] = {.lex_state = 343, .external_lex_state = 5},
  [5917] = {.lex_state = 343, .external_lex_state = 5},
  [5918] = {.lex_state = 45, .external_lex_state = 2},
  [5919] = {.lex_state = 343, .external_lex_state = 5},
  [5920] = {.lex_state = 343, .external_lex_state = 5},
  [5921] = {.lex_state = 45, .external_lex_state = 2},
  [5922] = {.lex_state = 343, .external_lex_state = 5},
  [5923] = {.lex_state = 45, .external_lex_state = 2},
  [5924] = {.lex_state = 343, .external_lex_state = 5},
  [5925] = {.lex_state = 45, .external_lex_state = 2},
  [5926] = {.lex_state = 343, .external_lex_state = 5},
  [5927] = {.lex_state = 343, .external_lex_state = 5},
  [5928] = {.lex_state = 343, .external_lex_state = 5},
  [5929] = {.lex_state = 24, .external_lex_state = 2},
  [5930] = {.lex_state = 343, .external_lex_state = 5},
  [5931] = {.lex_state = 343, .external_lex_state = 5},
  [5932] = {.lex_state = 343, .external_lex_state = 5},
  [5933] = {.lex_state = 343, .external_lex_state = 2},
  [5934] = {.lex_state = 343, .external_lex_state = 2},
  [5935] = {.lex_state = 343, .external_lex_state = 5},
  [5936] = {.lex_state = 343, .external_lex_state = 5},
  [5937] = {.lex_state = 343, .external_lex_state = 5},
  [5938] = {.lex_state = 343, .external_lex_state = 5},
  [5939] = {.lex_state = 343, .external_lex_state = 5},
  [5940] = {.lex_state = 343, .external_lex_state = 5},
  [5941] = {.lex_state = 343, .external_lex_state = 5},
  [5942] = {.lex_state = 343, .external_lex_state = 5},
  [5943] = {.lex_state = 343, .external_lex_state = 5},
  [5944] = {.lex_state = 343, .external_lex_state = 5},
  [5945] = {.lex_state = 343, .external_lex_state = 5},
  [5946] = {.lex_state = 343, .external_lex_state = 5},
  [5947] = {.lex_state = 343, .external_lex_state = 5},
  [5948] = {.lex_state = 343, .external_lex_state = 5},
  [5949] = {.lex_state = 343, .external_lex_state = 5},
  [5950] = {.lex_state = 343, .external_lex_state = 5},
  [5951] = {.lex_state = 343, .external_lex_state = 2},
  [5952] = {.lex_state = 343, .external_lex_state = 5},
  [5953] = {.lex_state = 343, .external_lex_state = 5},
  [5954] = {.lex_state = 343, .external_lex_state = 5},
  [5955] = {.lex_state = 343, .external_lex_state = 5},
  [5956] = {.lex_state = 343, .external_lex_state = 5},
  [5957] = {.lex_state = 343, .external_lex_state = 5},
  [5958] = {.lex_state = 343, .external_lex_state = 5},
  [5959] = {.lex_state = 343, .external_lex_state = 5},
  [5960] = {.lex_state = 343, .external_lex_state = 5},
  [5961] = {.lex_state = 343, .external_lex_state = 5},
  [5962] = {.lex_state = 343, .external_lex_state = 5},
  [5963] = {.lex_state = 343, .external_lex_state = 5},
  [5964] = {.lex_state = 343, .external_lex_state = 2},
  [5965] = {.lex_state = 343, .external_lex_state = 5},
  [5966] = {.lex_state = 73, .external_lex_state = 2},
  [5967] = {.lex_state = 343, .external_lex_state = 5},
  [5968] = {.lex_state = 343, .external_lex_state = 2},
  [5969] = {.lex_state = 343, .external_lex_state = 2},
  [5970] = {.lex_state = 343, .external_lex_state = 5},
  [5971] = {.lex_state = 343, .external_lex_state = 2},
  [5972] = {.lex_state = 343, .external_lex_state = 5},
  [5973] = {.lex_state = 343, .external_lex_state = 5},
  [5974] = {.lex_state = 45, .external_lex_state = 2},
  [5975] = {.lex_state = 51, .external_lex_state = 2},
  [5976] = {.lex_state = 343, .external_lex_state = 5},
  [5977] = {.lex_state = 343, .external_lex_state = 5},
  [5978] = {.lex_state = 24, .external_lex_state = 2},
  [5979] = {.lex_state = 343, .external_lex_state = 2},
  [5980] = {.lex_state = 343, .external_lex_state = 2},
  [5981] = {.lex_state = 343, .external_lex_state = 2},
  [5982] = {.lex_state = 343, .external_lex_state = 5},
  [5983] = {.lex_state = 47, .external_lex_state = 2},
  [5984] = {.lex_state = 343, .external_lex_state = 2},
  [5985] = {.lex_state = 343, .external_lex_state = 5},
  [5986] = {.lex_state = 343, .external_lex_state = 5},
  [5987] = {.lex_state = 51, .external_lex_state = 2},
  [5988] = {.lex_state = 343, .external_lex_state = 2},
  [5989] = {.lex_state = 343, .external_lex_state = 5},
  [5990] = {.lex_state = 343, .external_lex_state = 5},
  [5991] = {.lex_state = 343, .external_lex_state = 2},
  [5992] = {.lex_state = 343, .external_lex_state = 5},
  [5993] = {.lex_state = 343, .external_lex_state = 2},
  [5994] = {.lex_state = 343, .external_lex_state = 5},
  [5995] = {.lex_state = 343, .external_lex_state = 5},
  [5996] = {.lex_state = 24, .external_lex_state = 2},
  [5997] = {.lex_state = 343, .external_lex_state = 5},
  [5998] = {.lex_state = 343, .external_lex_state = 5},
  [5999] = {.lex_state = 343, .external_lex_state = 5},
  [6000] = {.lex_state = 45, .external_lex_state = 2},
  [6001] = {.lex_state = 343, .external_lex_state = 5},
  [6002] = {.lex_state = 343, .external_lex_state = 5},
  [6003] = {.lex_state = 343, .external_lex_state = 5},
  [6004] = {.lex_state = 343, .external_lex_state = 5},
  [6005] = {.lex_state = 45, .external_lex_state = 2},
  [6006] = {.lex_state = 343, .external_lex_state = 2},
  [6007] = {.lex_state = 21, .external_lex_state = 2},
  [6008] = {.lex_state = 48, .external_lex_state = 2},
  [6009] = {.lex_state = 48, .external_lex_state = 2},
  [6010] = {.lex_state = 343, .external_lex_state = 5},
  [6011] = {.lex_state = 48, .external_lex_state = 2},
  [6012] = {.lex_state = 343, .external_lex_state = 5},
  [6013] = {.lex_state = 343, .external_lex_state = 2},
  [6014] = {.lex_state = 48, .external_lex_state = 2},
  [6015] = {.lex_state = 343, .external_lex_state = 2},
  [6016] = {.lex_state = 73, .external_lex_state = 2},
  [6017] = {.lex_state = 48, .external_lex_state = 2},
  [6018] = {.lex_state = 343, .external_lex_state = 5},
  [6019] = {.lex_state = 61, .external_lex_state = 2},
  [6020] = {.lex_state = 343, .external_lex_state = 2},
  [6021] = {.lex_state = 343, .external_lex_state = 5},
  [6022] = {.lex_state = 343, .external_lex_state = 5},
  [6023] = {.lex_state = 343, .external_lex_state = 2},
  [6024] = {.lex_state = 343, .external_lex_state = 5},
  [6025] = {.lex_state = 343, .external_lex_state = 2},
  [6026] = {.lex_state = 343, .external_lex_state = 2},
  [6027] = {.lex_state = 343, .external_lex_state = 2},
  [6028] = {.lex_state = 343, .external_lex_state = 5},
  [6029] = {.lex_state = 343, .external_lex_state = 5},
  [6030] = {.lex_state = 343, .external_lex_state = 5},
  [6031] = {.lex_state = 21, .external_lex_state = 2},
  [6032] = {.lex_state = 343, .external_lex_state = 5},
  [6033] = {.lex_state = 48, .external_lex_state = 2},
  [6034] = {.lex_state = 343, .external_lex_state = 2},
  [6035] = {.lex_state = 343, .external_lex_state = 5},
  [6036] = {.lex_state = 343, .external_lex_state = 5},
  [6037] = {.lex_state = 343, .external_lex_state = 2},
  [6038] = {.lex_state = 343, .external_lex_state = 2},
  [6039] = {.lex_state = 73, .external_lex_state = 2},
  [6040] = {.lex_state = 343, .external_lex_state = 5},
  [6041] = {.lex_state = 343, .external_lex_state = 5},
  [6042] = {.lex_state = 343, .external_lex_state = 5},
  [6043] = {.lex_state = 343, .external_lex_state = 5},
  [6044] = {.lex_state = 343, .external_lex_state = 2},
  [6045] = {.lex_state = 343, .external_lex_state = 5},
  [6046] = {.lex_state = 343, .external_lex_state = 5},
  [6047] = {.lex_state = 343, .external_lex_state = 2},
  [6048] = {.lex_state = 343, .external_lex_state = 5},
  [6049] = {.lex_state = 343, .external_lex_state = 2},
  [6050] = {.lex_state = 343, .external_lex_state = 5},
  [6051] = {.lex_state = 343, .external_lex_state = 5},
  [6052] = {.lex_state = 48, .external_lex_state = 5},
  [6053] = {.lex_state = 48, .external_lex_state = 5},
  [6054] = {.lex_state = 343, .external_lex_state = 5},
  [6055] = {.lex_state = 343, .external_lex_state = 2},
  [6056] = {.lex_state = 343, .external_lex_state = 5},
  [6057] = {.lex_state = 343, .external_lex_state = 5},
  [6058] = {.lex_state = 343, .external_lex_state = 5},
  [6059] = {.lex_state = 343, .external_lex_state = 2},
  [6060] = {.lex_state = 24, .external_lex_state = 2},
  [6061] = {.lex_state = 343, .external_lex_state = 5},
  [6062] = {.lex_state = 343, .external_lex_state = 5},
  [6063] = {.lex_state = 343, .external_lex_state = 5},
  [6064] = {.lex_state = 343, .external_lex_state = 5},
  [6065] = {.lex_state = 343, .external_lex_state = 2},
  [6066] = {.lex_state = 343, .external_lex_state = 5},
  [6067] = {.lex_state = 51, .external_lex_state = 2},
  [6068] = {.lex_state = 343, .external_lex_state = 5},
  [6069] = {.lex_state = 51, .external_lex_state = 2},
  [6070] = {.lex_state = 21, .external_lex_state = 2},
  [6071] = {.lex_state = 343, .external_lex_state = 5},
  [6072] = {.lex_state = 343, .external_lex_state = 5},
  [6073] = {.lex_state = 343, .external_lex_state = 5},
  [6074] = {.lex_state = 343, .external_lex_state = 5},
  [6075] = {.lex_state = 21, .external_lex_state = 2},
  [6076] = {.lex_state = 48, .external_lex_state = 2},
  [6077] = {.lex_state = 343, .external_lex_state = 5},
  [6078] = {.lex_state = 343, .external_lex_state = 5},
  [6079] = {.lex_state = 343, .external_lex_state = 5},
  [6080] = {.lex_state = 343, .external_lex_state = 2},
  [6081] = {.lex_state = 343, .external_lex_state = 5},
  [6082] = {.lex_state = 343, .external_lex_state = 5},
  [6083] = {.lex_state = 45, .external_lex_state = 2},
  [6084] = {.lex_state = 343, .external_lex_state = 5},
  [6085] = {.lex_state = 21, .external_lex_state = 2},
  [6086] = {.lex_state = 343, .external_lex_state = 2},
  [6087] = {.lex_state = 343, .external_lex_state = 5},
  [6088] = {.lex_state = 1, .external_lex_state = 2},
  [6089] = {.lex_state = 343, .external_lex_state = 5},
  [6090] = {.lex_state = 343, .external_lex_state = 2},
  [6091] = {.lex_state = 343, .external_lex_state = 5},
  [6092] = {.lex_state = 343, .external_lex_state = 5},
  [6093] = {.lex_state = 343, .external_lex_state = 5},
  [6094] = {.lex_state = 343, .external_lex_state = 5},
  [6095] = {.lex_state = 343, .external_lex_state = 5},
  [6096] = {.lex_state = 343, .external_lex_state = 2},
  [6097] = {.lex_state = 24, .external_lex_state = 2},
  [6098] = {.lex_state = 343, .external_lex_state = 5},
  [6099] = {.lex_state = 343, .external_lex_state = 2},
  [6100] = {.lex_state = 343, .external_lex_state = 5},
  [6101] = {.lex_state = 343, .external_lex_state = 5},
  [6102] = {.lex_state = 45, .external_lex_state = 2},
  [6103] = {.lex_state = 343, .external_lex_state = 5},
  [6104] = {.lex_state = 45, .external_lex_state = 2},
  [6105] = {.lex_state = 45, .external_lex_state = 2},
  [6106] = {.lex_state = 45, .external_lex_state = 2},
  [6107] = {.lex_state = 45, .external_lex_state = 2},
  [6108] = {.lex_state = 343, .external_lex_state = 5},
  [6109] = {.lex_state = 343, .external_lex_state = 2},
  [6110] = {.lex_state = 343, .external_lex_state = 8},
  [6111] = {.lex_state = 343, .external_lex_state = 2},
  [6112] = {.lex_state = 343, .external_lex_state = 5},
  [6113] = {.lex_state = 343, .external_lex_state = 2},
  [6114] = {.lex_state = 343, .external_lex_state = 2},
  [6115] = {.lex_state = 343, .external_lex_state = 2},
  [6116] = {.lex_state = 343, .external_lex_state = 5},
  [6117] = {.lex_state = 343, .external_lex_state = 5},
  [6118] = {.lex_state = 24, .external_lex_state = 2},
  [6119] = {.lex_state = 343, .external_lex_state = 5},
  [6120] = {.lex_state = 343, .external_lex_state = 2},
  [6121] = {.lex_state = 343, .external_lex_state = 5},
  [6122] = {.lex_state = 343, .external_lex_state = 2},
  [6123] = {.lex_state = 343, .external_lex_state = 2},
  [6124] = {.lex_state = 45, .external_lex_state = 2},
  [6125] = {.lex_state = 343, .external_lex_state = 2},
  [6126] = {.lex_state = 343, .external_lex_state = 2},
  [6127] = {.lex_state = 45, .external_lex_state = 2},
  [6128] = {.lex_state = 343, .external_lex_state = 2},
  [6129] = {.lex_state = 45, .external_lex_state = 2},
  [6130] = {.lex_state = 45, .external_lex_state = 2},
  [6131] = {.lex_state = 61, .external_lex_state = 2},
  [6132] = {.lex_state = 48, .external_lex_state = 2},
  [6133] = {.lex_state = 343, .external_lex_state = 2},
  [6134] = {.lex_state = 45, .external_lex_state = 2},
  [6135] = {.lex_state = 343, .external_lex_state = 5},
  [6136] = {.lex_state = 343, .external_lex_state = 5},
  [6137] = {.lex_state = 47, .external_lex_state = 2},
  [6138] = {.lex_state = 343, .external_lex_state = 5},
  [6139] = {.lex_state = 343, .external_lex_state = 2},
  [6140] = {.lex_state = 343, .external_lex_state = 5},
  [6141] = {.lex_state = 343, .external_lex_state = 5},
  [6142] = {.lex_state = 73, .external_lex_state = 2},
  [6143] = {.lex_state = 61, .external_lex_state = 2},
  [6144] = {.lex_state = 343, .external_lex_state = 5},
  [6145] = {.lex_state = 343, .external_lex_state = 5},
  [6146] = {.lex_state = 343, .external_lex_state = 2},
  [6147] = {.lex_state = 343, .external_lex_state = 2},
  [6148] = {.lex_state = 343, .external_lex_state = 5},
  [6149] = {.lex_state = 343, .external_lex_state = 5},
  [6150] = {.lex_state = 343, .external_lex_state = 5},
  [6151] = {.lex_state = 21, .external_lex_state = 2},
  [6152] = {.lex_state = 343, .external_lex_state = 5},
  [6153] = {.lex_state = 343, .external_lex_state = 2},
  [6154] = {.lex_state = 343, .external_lex_state = 2},
  [6155] = {.lex_state = 343, .external_lex_state = 5},
  [6156] = {.lex_state = 343, .external_lex_state = 2},
  [6157] = {.lex_state = 343, .external_lex_state = 2},
  [6158] = {.lex_state = 343, .external_lex_state = 5},
  [6159] = {.lex_state = 343, .external_lex_state = 2},
  [6160] = {.lex_state = 343, .external_lex_state = 2},
  [6161] = {.lex_state = 343, .external_lex_state = 2},
  [6162] = {.lex_state = 343, .external_lex_state = 2},
  [6163] = {.lex_state = 343, .external_lex_state = 2},
  [6164] = {.lex_state = 343, .external_lex_state = 5},
  [6165] = {.lex_state = 45, .external_lex_state = 2},
  [6166] = {.lex_state = 343, .external_lex_state = 5},
  [6167] = {.lex_state = 343, .external_lex_state = 5},
  [6168] = {.lex_state = 45, .external_lex_state = 2},
  [6169] = {.lex_state = 343, .external_lex_state = 2},
  [6170] = {.lex_state = 45, .external_lex_state = 2},
  [6171] = {.lex_state = 343, .external_lex_state = 5},
  [6172] = {.lex_state = 45, .external_lex_state = 2},
  [6173] = {.lex_state = 343, .external_lex_state = 2},
  [6174] = {.lex_state = 343, .external_lex_state = 5},
  [6175] = {.lex_state = 343, .external_lex_state = 2},
  [6176] = {.lex_state = 24, .external_lex_state = 2},
  [6177] = {.lex_state = 343, .external_lex_state = 2},
  [6178] = {.lex_state = 343, .external_lex_state = 5},
  [6179] = {.lex_state = 343, .external_lex_state = 2},
  [6180] = {.lex_state = 343, .external_lex_state = 2},
  [6181] = {.lex_state = 343, .external_lex_state = 2},
  [6182] = {.lex_state = 343, .external_lex_state = 5},
  [6183] = {.lex_state = 343, .external_lex_state = 2},
  [6184] = {.lex_state = 343, .external_lex_state = 5},
  [6185] = {.lex_state = 343, .external_lex_state = 5},
  [6186] = {.lex_state = 343, .external_lex_state = 2},
  [6187] = {.lex_state = 21, .external_lex_state = 2},
  [6188] = {.lex_state = 45, .external_lex_state = 2},
  [6189] = {.lex_state = 343, .external_lex_state = 5},
  [6190] = {.lex_state = 343, .external_lex_state = 2},
  [6191] = {.lex_state = 343, .external_lex_state = 5},
  [6192] = {.lex_state = 343, .external_lex_state = 5},
  [6193] = {.lex_state = 343, .external_lex_state = 5},
  [6194] = {.lex_state = 343, .external_lex_state = 5},
  [6195] = {.lex_state = 343, .external_lex_state = 5},
  [6196] = {.lex_state = 343, .external_lex_state = 5},
  [6197] = {.lex_state = 343, .external_lex_state = 2},
  [6198] = {.lex_state = 45, .external_lex_state = 2},
  [6199] = {.lex_state = 343, .external_lex_state = 2},
  [6200] = {.lex_state = 343, .external_lex_state = 5},
  [6201] = {.lex_state = 343, .external_lex_state = 5},
  [6202] = {.lex_state = 343, .external_lex_state = 2},
  [6203] = {.lex_state = 343, .external_lex_state = 5},
  [6204] = {.lex_state = 45, .external_lex_state = 2},
  [6205] = {.lex_state = 48, .external_lex_state = 2},
  [6206] = {.lex_state = 343, .external_lex_state = 5},
  [6207] = {.lex_state = 48, .external_lex_state = 2},
  [6208] = {.lex_state = 343, .external_lex_state = 5},
  [6209] = {.lex_state = 48, .external_lex_state = 2},
  [6210] = {.lex_state = 343, .external_lex_state = 2},
  [6211] = {.lex_state = 48, .external_lex_state = 2},
  [6212] = {.lex_state = 343, .external_lex_state = 5},
  [6213] = {.lex_state = 343, .external_lex_state = 5},
  [6214] = {.lex_state = 343, .external_lex_state = 2},
  [6215] = {.lex_state = 343, .external_lex_state = 5},
  [6216] = {.lex_state = 343, .external_lex_state = 2},
  [6217] = {.lex_state = 343, .external_lex_state = 5},
  [6218] = {.lex_state = 343, .external_lex_state = 5},
  [6219] = {.lex_state = 343, .external_lex_state = 5},
  [6220] = {.lex_state = 343, .external_lex_state = 5},
  [6221] = {.lex_state = 343, .external_lex_state = 5},
  [6222] = {.lex_state = 343, .external_lex_state = 5},
  [6223] = {.lex_state = 24, .external_lex_state = 2},
  [6224] = {.lex_state = 48, .external_lex_state = 2},
  [6225] = {.lex_state = 343, .external_lex_state = 2},
  [6226] = {.lex_state = 343, .external_lex_state = 2},
  [6227] = {.lex_state = 343, .external_lex_state = 2},
  [6228] = {.lex_state = 48, .external_lex_state = 2},
  [6229] = {.lex_state = 343, .external_lex_state = 5},
  [6230] = {.lex_state = 57, .external_lex_state = 9},
  [6231] = {.lex_state = 54, .external_lex_state = 9},
  [6232] = {.lex_state = 343, .external_lex_state = 5},
  [6233] = {.lex_state = 45, .external_lex_state = 2},
  [6234] = {.lex_state = 343, .external_lex_state = 2},
  [6235] = {.lex_state = 343, .external_lex_state = 2},
  [6236] = {.lex_state = 343, .external_lex_state = 5},
  [6237] = {.lex_state = 68, .external_lex_state = 2},
  [6238] = {.lex_state = 45, .external_lex_state = 2},
  [6239] = {.lex_state = 343, .external_lex_state = 5},
  [6240] = {.lex_state = 343, .external_lex_state = 5},
  [6241] = {.lex_state = 343, .external_lex_state = 5},
  [6242] = {.lex_state = 343, .external_lex_state = 5},
  [6243] = {.lex_state = 343, .external_lex_state = 5},
  [6244] = {.lex_state = 343, .external_lex_state = 2},
  [6245] = {.lex_state = 343, .external_lex_state = 5},
  [6246] = {.lex_state = 45, .external_lex_state = 2},
  [6247] = {.lex_state = 343, .external_lex_state = 5},
  [6248] = {.lex_state = 343, .external_lex_state = 2},
  [6249] = {.lex_state = 343, .external_lex_state = 2},
  [6250] = {.lex_state = 343, .external_lex_state = 5},
  [6251] = {.lex_state = 343, .external_lex_state = 5},
  [6252] = {.lex_state = 343, .external_lex_state = 2},
  [6253] = {.lex_state = 343, .external_lex_state = 2},
  [6254] = {.lex_state = 343, .external_lex_state = 5},
  [6255] = {.lex_state = 343, .external_lex_state = 5},
  [6256] = {.lex_state = 343, .external_lex_state = 2},
  [6257] = {.lex_state = 343, .external_lex_state = 2},
  [6258] = {.lex_state = 343, .external_lex_state = 2},
  [6259] = {.lex_state = 343, .external_lex_state = 5},
  [6260] = {.lex_state = 343, .external_lex_state = 2},
  [6261] = {.lex_state = 343, .external_lex_state = 5},
  [6262] = {.lex_state = 343, .external_lex_state = 2},
  [6263] = {.lex_state = 343, .external_lex_state = 2},
  [6264] = {.lex_state = 343, .external_lex_state = 5},
  [6265] = {.lex_state = 343, .external_lex_state = 2},
  [6266] = {.lex_state = 343, .external_lex_state = 2},
  [6267] = {.lex_state = 343, .external_lex_state = 2},
  [6268] = {.lex_state = 343, .external_lex_state = 5},
  [6269] = {.lex_state = 343, .external_lex_state = 2},
  [6270] = {.lex_state = 343, .external_lex_state = 5},
  [6271] = {.lex_state = 343, .external_lex_state = 2},
  [6272] = {.lex_state = 343, .external_lex_state = 5},
  [6273] = {.lex_state = 45, .external_lex_state = 2},
  [6274] = {.lex_state = 343, .external_lex_state = 2},
  [6275] = {.lex_state = 343, .external_lex_state = 2},
  [6276] = {.lex_state = 343, .external_lex_state = 5},
  [6277] = {.lex_state = 343, .external_lex_state = 2},
  [6278] = {.lex_state = 343, .external_lex_state = 2},
  [6279] = {.lex_state = 343, .external_lex_state = 2},
  [6280] = {.lex_state = 343, .external_lex_state = 5},
  [6281] = {.lex_state = 343, .external_lex_state = 2},
  [6282] = {.lex_state = 343, .external_lex_state = 5},
  [6283] = {.lex_state = 343, .external_lex_state = 2},
  [6284] = {.lex_state = 343, .external_lex_state = 5},
  [6285] = {.lex_state = 45, .external_lex_state = 2},
  [6286] = {.lex_state = 343, .external_lex_state = 5},
  [6287] = {.lex_state = 343, .external_lex_state = 2},
  [6288] = {.lex_state = 343, .external_lex_state = 2},
  [6289] = {.lex_state = 343, .external_lex_state = 2},
  [6290] = {.lex_state = 343, .external_lex_state = 5},
  [6291] = {.lex_state = 343, .external_lex_state = 2},
  [6292] = {.lex_state = 343, .external_lex_state = 2},
  [6293] = {.lex_state = 343, .external_lex_state = 5},
  [6294] = {.lex_state = 24, .external_lex_state = 2},
  [6295] = {.lex_state = 24, .external_lex_state = 2},
  [6296] = {.lex_state = 343, .external_lex_state = 2},
  [6297] = {.lex_state = 343, .external_lex_state = 5},
  [6298] = {.lex_state = 45, .external_lex_state = 2},
  [6299] = {.lex_state = 343, .external_lex_state = 2},
  [6300] = {.lex_state = 343, .external_lex_state = 2},
  [6301] = {.lex_state = 343, .external_lex_state = 5},
  [6302] = {.lex_state = 343, .external_lex_state = 2},
  [6303] = {.lex_state = 343, .external_lex_state = 5},
  [6304] = {.lex_state = 343, .external_lex_state = 5},
  [6305] = {.lex_state = 343, .external_lex_state = 5},
  [6306] = {.lex_state = 343, .external_lex_state = 5},
  [6307] = {.lex_state = 343, .external_lex_state = 2},
  [6308] = {.lex_state = 343, .external_lex_state = 2},
  [6309] = {.lex_state = 343, .external_lex_state = 5},
  [6310] = {.lex_state = 45, .external_lex_state = 2},
  [6311] = {.lex_state = 48, .external_lex_state = 2},
  [6312] = {.lex_state = 21, .external_lex_state = 2},
  [6313] = {.lex_state = 343, .external_lex_state = 5},
  [6314] = {.lex_state = 343, .external_lex_state = 5},
  [6315] = {.lex_state = 48, .external_lex_state = 2},
  [6316] = {.lex_state = 343, .external_lex_state = 5},
  [6317] = {.lex_state = 48, .external_lex_state = 5},
  [6318] = {.lex_state = 343, .external_lex_state = 5},
  [6319] = {.lex_state = 343, .external_lex_state = 5},
  [6320] = {.lex_state = 48, .external_lex_state = 5},
  [6321] = {.lex_state = 343, .external_lex_state = 5},
  [6322] = {.lex_state = 48, .external_lex_state = 2},
  [6323] = {.lex_state = 343, .external_lex_state = 2},
  [6324] = {.lex_state = 48, .external_lex_state = 5},
  [6325] = {.lex_state = 343, .external_lex_state = 5},
  [6326] = {.lex_state = 48, .external_lex_state = 5},
  [6327] = {.lex_state = 24, .external_lex_state = 2},
  [6328] = {.lex_state = 24, .external_lex_state = 2},
  [6329] = {.lex_state = 24, .external_lex_state = 2},
  [6330] = {.lex_state = 343, .external_lex_state = 5},
  [6331] = {.lex_state = 343, .external_lex_state = 5},
  [6332] = {.lex_state = 343, .external_lex_state = 5},
  [6333] = {.lex_state = 24, .external_lex_state = 2},
  [6334] = {.lex_state = 24, .external_lex_state = 2},
  [6335] = {.lex_state = 24, .external_lex_state = 2},
  [6336] = {.lex_state = 343, .external_lex_state = 5},
  [6337] = {.lex_state = 343, .external_lex_state = 5},
  [6338] = {.lex_state = 24, .external_lex_state = 2},
  [6339] = {.lex_state = 343, .external_lex_state = 5},
  [6340] = {.lex_state = 24, .external_lex_state = 2},
  [6341] = {.lex_state = 343, .external_lex_state = 5},
  [6342] = {.lex_state = 343, .external_lex_state = 5},
  [6343] = {.lex_state = 24, .external_lex_state = 2},
  [6344] = {.lex_state = 24, .external_lex_state = 2},
  [6345] = {.lex_state = 45, .external_lex_state = 2},
  [6346] = {.lex_state = 343, .external_lex_state = 5},
  [6347] = {.lex_state = 45, .external_lex_state = 2},
  [6348] = {.lex_state = 24, .external_lex_state = 2},
  [6349] = {.lex_state = 45, .external_lex_state = 2},
  [6350] = {.lex_state = 343, .external_lex_state = 5},
  [6351] = {.lex_state = 24, .external_lex_state = 2},
  [6352] = {.lex_state = 24, .external_lex_state = 2},
  [6353] = {.lex_state = 343, .external_lex_state = 2},
  [6354] = {.lex_state = 343, .external_lex_state = 5},
  [6355] = {.lex_state = 343, .external_lex_state = 2},
  [6356] = {.lex_state = 343, .external_lex_state = 2},
  [6357] = {.lex_state = 343, .external_lex_state = 5},
  [6358] = {.lex_state = 343, .external_lex_state = 5},
  [6359] = {.lex_state = 343, .external_lex_state = 2},
  [6360] = {.lex_state = 343, .external_lex_state = 2},
  [6361] = {.lex_state = 343, .external_lex_state = 5},
  [6362] = {.lex_state = 343, .external_lex_state = 2},
  [6363] = {.lex_state = 343, .external_lex_state = 2},
  [6364] = {.lex_state = 343, .external_lex_state = 2},
  [6365] = {.lex_state = 343, .external_lex_state = 2},
  [6366] = {.lex_state = 343, .external_lex_state = 2},
  [6367] = {.lex_state = 343, .external_lex_state = 2},
  [6368] = {.lex_state = 343, .external_lex_state = 2},
  [6369] = {.lex_state = 343, .external_lex_state = 2},
  [6370] = {.lex_state = 343, .external_lex_state = 2},
  [6371] = {.lex_state = 343, .external_lex_state = 2},
  [6372] = {.lex_state = 343, .external_lex_state = 5},
  [6373] = {.lex_state = 343, .external_lex_state = 5},
  [6374] = {.lex_state = 343, .external_lex_state = 5},
  [6375] = {.lex_state = 343, .external_lex_state = 2},
  [6376] = {.lex_state = 343, .external_lex_state = 2},
  [6377] = {.lex_state = 343, .external_lex_state = 2},
  [6378] = {.lex_state = 343, .external_lex_state = 2},
  [6379] = {.lex_state = 343, .external_lex_state = 2},
  [6380] = {.lex_state = 343, .external_lex_state = 2},
  [6381] = {.lex_state = 343, .external_lex_state = 5},
  [6382] = {.lex_state = 343, .external_lex_state = 2},
  [6383] = {.lex_state = 343, .external_lex_state = 2},
  [6384] = {.lex_state = 343, .external_lex_state = 2},
  [6385] = {.lex_state = 343, .external_lex_state = 2},
  [6386] = {.lex_state = 343, .external_lex_state = 2},
  [6387] = {.lex_state = 343, .external_lex_state = 2},
  [6388] = {.lex_state = 343, .external_lex_state = 2},
  [6389] = {.lex_state = 343, .external_lex_state = 2},
  [6390] = {.lex_state = 343, .external_lex_state = 2},
  [6391] = {.lex_state = 343, .external_lex_state = 5},
  [6392] = {.lex_state = 1, .external_lex_state = 2},
  [6393] = {.lex_state = 343, .external_lex_state = 2},
  [6394] = {.lex_state = 343, .external_lex_state = 2},
  [6395] = {.lex_state = 343, .external_lex_state = 2},
  [6396] = {.lex_state = 343, .external_lex_state = 2},
  [6397] = {.lex_state = 343, .external_lex_state = 5},
  [6398] = {.lex_state = 343, .external_lex_state = 5},
  [6399] = {.lex_state = 343, .external_lex_state = 2},
  [6400] = {.lex_state = 343, .external_lex_state = 5},
  [6401] = {.lex_state = 343, .external_lex_state = 2},
  [6402] = {.lex_state = 343, .external_lex_state = 2},
  [6403] = {.lex_state = 343, .external_lex_state = 2},
  [6404] = {.lex_state = 343, .external_lex_state = 2},
  [6405] = {.lex_state = 343, .external_lex_state = 2},
  [6406] = {.lex_state = 343, .external_lex_state = 2},
  [6407] = {.lex_state = 343, .external_lex_state = 2},
  [6408] = {.lex_state = 343, .external_lex_state = 2},
  [6409] = {.lex_state = 343, .external_lex_state = 2},
  [6410] = {.lex_state = 343, .external_lex_state = 2},
  [6411] = {.lex_state = 343, .external_lex_state = 2},
  [6412] = {.lex_state = 343, .external_lex_state = 2},
  [6413] = {.lex_state = 343, .external_lex_state = 2},
  [6414] = {.lex_state = 48, .external_lex_state = 2},
  [6415] = {.lex_state = 48, .external_lex_state = 2},
  [6416] = {.lex_state = 343, .external_lex_state = 2},
  [6417] = {.lex_state = 343, .external_lex_state = 5},
  [6418] = {.lex_state = 343, .external_lex_state = 5},
  [6419] = {.lex_state = 48, .external_lex_state = 2},
  [6420] = {.lex_state = 343, .external_lex_state = 2},
  [6421] = {.lex_state = 343, .external_lex_state = 2},
  [6422] = {.lex_state = 343, .external_lex_state = 5},
  [6423] = {.lex_state = 343, .external_lex_state = 5},
  [6424] = {.lex_state = 48, .external_lex_state = 2},
  [6425] = {.lex_state = 343, .external_lex_state = 2},
  [6426] = {.lex_state = 343, .external_lex_state = 2},
  [6427] = {.lex_state = 343, .external_lex_state = 2},
  [6428] = {.lex_state = 343, .external_lex_state = 2},
  [6429] = {.lex_state = 343, .external_lex_state = 2},
  [6430] = {.lex_state = 343, .external_lex_state = 2},
  [6431] = {.lex_state = 343, .external_lex_state = 5},
  [6432] = {.lex_state = 343, .external_lex_state = 2},
  [6433] = {.lex_state = 343, .external_lex_state = 2},
  [6434] = {.lex_state = 343, .external_lex_state = 2},
  [6435] = {.lex_state = 48, .external_lex_state = 2},
  [6436] = {.lex_state = 343, .external_lex_state = 2},
  [6437] = {.lex_state = 343, .external_lex_state = 2},
  [6438] = {.lex_state = 343, .external_lex_state = 2},
  [6439] = {.lex_state = 48, .external_lex_state = 2},
  [6440] = {.lex_state = 48, .external_lex_state = 2},
  [6441] = {.lex_state = 343, .external_lex_state = 2},
  [6442] = {.lex_state = 48, .external_lex_state = 2},
  [6443] = {.lex_state = 48, .external_lex_state = 2},
  [6444] = {.lex_state = 48, .external_lex_state = 2},
  [6445] = {.lex_state = 343, .external_lex_state = 2},
  [6446] = {.lex_state = 343, .external_lex_state = 2},
  [6447] = {.lex_state = 343, .external_lex_state = 5},
  [6448] = {.lex_state = 343, .external_lex_state = 2},
  [6449] = {.lex_state = 343, .external_lex_state = 5},
  [6450] = {.lex_state = 343, .external_lex_state = 5},
  [6451] = {.lex_state = 343, .external_lex_state = 2},
  [6452] = {.lex_state = 343, .external_lex_state = 2},
  [6453] = {.lex_state = 343, .external_lex_state = 2},
  [6454] = {.lex_state = 343, .external_lex_state = 2},
  [6455] = {.lex_state = 343, .external_lex_state = 2},
  [6456] = {.lex_state = 343, .external_lex_state = 2},
  [6457] = {.lex_state = 343, .external_lex_state = 2},
  [6458] = {.lex_state = 343, .external_lex_state = 5},
  [6459] = {.lex_state = 343, .external_lex_state = 2},
  [6460] = {.lex_state = 343, .external_lex_state = 2},
  [6461] = {.lex_state = 343, .external_lex_state = 2},
  [6462] = {.lex_state = 343, .external_lex_state = 2},
  [6463] = {.lex_state = 48, .external_lex_state = 2},
  [6464] = {.lex_state = 343, .external_lex_state = 2},
  [6465] = {.lex_state = 343, .external_lex_state = 5},
  [6466] = {.lex_state = 343, .external_lex_state = 5},
  [6467] = {.lex_state = 343, .external_lex_state = 5},
  [6468] = {.lex_state = 343, .external_lex_state = 2},
  [6469] = {.lex_state = 343, .external_lex_state = 5},
  [6470] = {.lex_state = 343, .external_lex_state = 5},
  [6471] = {.lex_state = 343, .external_lex_state = 2},
  [6472] = {.lex_state = 343, .external_lex_state = 2},
  [6473] = {.lex_state = 343, .external_lex_state = 5},
  [6474] = {.lex_state = 343, .external_lex_state = 5},
  [6475] = {.lex_state = 343, .external_lex_state = 2},
  [6476] = {.lex_state = 343, .external_lex_state = 2},
  [6477] = {.lex_state = 343, .external_lex_state = 2},
  [6478] = {.lex_state = 343, .external_lex_state = 2},
  [6479] = {.lex_state = 343, .external_lex_state = 2},
  [6480] = {.lex_state = 343, .external_lex_state = 2},
  [6481] = {.lex_state = 48, .external_lex_state = 2},
  [6482] = {.lex_state = 343, .external_lex_state = 2},
  [6483] = {.lex_state = 343, .external_lex_state = 2},
  [6484] = {.lex_state = 343, .external_lex_state = 2},
  [6485] = {.lex_state = 343, .external_lex_state = 2},
  [6486] = {.lex_state = 343, .external_lex_state = 2},
  [6487] = {.lex_state = 343, .external_lex_state = 2},
  [6488] = {.lex_state = 343, .external_lex_state = 2},
  [6489] = {.lex_state = 343, .external_lex_state = 2},
  [6490] = {.lex_state = 343, .external_lex_state = 2},
  [6491] = {.lex_state = 343, .external_lex_state = 2},
  [6492] = {.lex_state = 343, .external_lex_state = 2},
  [6493] = {.lex_state = 343, .external_lex_state = 2},
  [6494] = {.lex_state = 343, .external_lex_state = 5},
  [6495] = {.lex_state = 343, .external_lex_state = 2},
  [6496] = {.lex_state = 343, .external_lex_state = 5},
  [6497] = {.lex_state = 343, .external_lex_state = 5},
  [6498] = {.lex_state = 343, .external_lex_state = 5},
  [6499] = {.lex_state = 343, .external_lex_state = 5},
  [6500] = {.lex_state = 343, .external_lex_state = 5},
  [6501] = {.lex_state = 343, .external_lex_state = 5},
  [6502] = {.lex_state = 343, .external_lex_state = 2},
  [6503] = {.lex_state = 343, .external_lex_state = 2},
  [6504] = {.lex_state = 343, .external_lex_state = 2},
  [6505] = {.lex_state = 343, .external_lex_state = 2},
  [6506] = {.lex_state = 343, .external_lex_state = 5},
  [6507] = {.lex_state = 343, .external_lex_state = 5},
  [6508] = {.lex_state = 343, .external_lex_state = 5},
  [6509] = {.lex_state = 343, .external_lex_state = 2},
  [6510] = {.lex_state = 343, .external_lex_state = 5},
  [6511] = {.lex_state = 48, .external_lex_state = 2},
  [6512] = {.lex_state = 343, .external_lex_state = 2},
  [6513] = {.lex_state = 343, .external_lex_state = 5},
  [6514] = {.lex_state = 343, .external_lex_state = 2},
  [6515] = {.lex_state = 343, .external_lex_state = 2},
  [6516] = {.lex_state = 343, .external_lex_state = 2},
  [6517] = {.lex_state = 343, .external_lex_state = 2},
  [6518] = {.lex_state = 343, .external_lex_state = 2},
  [6519] = {.lex_state = 343, .external_lex_state = 2},
  [6520] = {.lex_state = 343, .external_lex_state = 2},
  [6521] = {.lex_state = 343, .external_lex_state = 2},
  [6522] = {.lex_state = 343, .external_lex_state = 2},
  [6523] = {.lex_state = 48, .external_lex_state = 2},
  [6524] = {.lex_state = 343, .external_lex_state = 2},
  [6525] = {.lex_state = 343, .external_lex_state = 2},
  [6526] = {.lex_state = 343, .external_lex_state = 2},
  [6527] = {.lex_state = 343, .external_lex_state = 2},
  [6528] = {.lex_state = 343, .external_lex_state = 2},
  [6529] = {.lex_state = 343, .external_lex_state = 2},
  [6530] = {.lex_state = 343, .external_lex_state = 5},
  [6531] = {.lex_state = 343, .external_lex_state = 2},
  [6532] = {.lex_state = 343, .external_lex_state = 2},
  [6533] = {.lex_state = 343, .external_lex_state = 2},
  [6534] = {.lex_state = 48, .external_lex_state = 2},
  [6535] = {.lex_state = 343, .external_lex_state = 2},
  [6536] = {.lex_state = 343, .external_lex_state = 2},
  [6537] = {.lex_state = 48, .external_lex_state = 2},
  [6538] = {.lex_state = 343, .external_lex_state = 2},
  [6539] = {.lex_state = 343, .external_lex_state = 2},
  [6540] = {.lex_state = 343, .external_lex_state = 2},
  [6541] = {.lex_state = 343, .external_lex_state = 2},
  [6542] = {.lex_state = 343, .external_lex_state = 2},
  [6543] = {.lex_state = 343, .external_lex_state = 2},
  [6544] = {.lex_state = 343, .external_lex_state = 2},
  [6545] = {.lex_state = 343, .external_lex_state = 2},
  [6546] = {.lex_state = 343, .external_lex_state = 2},
  [6547] = {.lex_state = 343, .external_lex_state = 2},
  [6548] = {.lex_state = 343, .external_lex_state = 2},
  [6549] = {.lex_state = 343, .external_lex_state = 2},
  [6550] = {.lex_state = 343, .external_lex_state = 2},
  [6551] = {.lex_state = 48, .external_lex_state = 2},
  [6552] = {.lex_state = 343, .external_lex_state = 5},
  [6553] = {.lex_state = 48, .external_lex_state = 2},
  [6554] = {.lex_state = 343, .external_lex_state = 2},
  [6555] = {.lex_state = 343, .external_lex_state = 2},
  [6556] = {.lex_state = 343, .external_lex_state = 2},
  [6557] = {.lex_state = 343, .external_lex_state = 2},
  [6558] = {.lex_state = 343, .external_lex_state = 2},
  [6559] = {.lex_state = 343, .external_lex_state = 2},
  [6560] = {.lex_state = 343, .external_lex_state = 2},
  [6561] = {.lex_state = 343, .external_lex_state = 2},
  [6562] = {.lex_state = 48, .external_lex_state = 2},
  [6563] = {.lex_state = 343, .external_lex_state = 2},
  [6564] = {.lex_state = 1, .external_lex_state = 2},
  [6565] = {.lex_state = 343, .external_lex_state = 2},
  [6566] = {.lex_state = 48, .external_lex_state = 2},
  [6567] = {.lex_state = 48, .external_lex_state = 2},
  [6568] = {.lex_state = 48, .external_lex_state = 2},
  [6569] = {.lex_state = 48, .external_lex_state = 2},
  [6570] = {.lex_state = 343, .external_lex_state = 2},
  [6571] = {.lex_state = 343, .external_lex_state = 2},
  [6572] = {.lex_state = 343, .external_lex_state = 5},
  [6573] = {.lex_state = 343, .external_lex_state = 2},
  [6574] = {.lex_state = 343, .external_lex_state = 5},
  [6575] = {.lex_state = 343, .external_lex_state = 2},
  [6576] = {.lex_state = 343, .external_lex_state = 5},
  [6577] = {.lex_state = 343, .external_lex_state = 2},
  [6578] = {.lex_state = 343, .external_lex_state = 5},
  [6579] = {.lex_state = 343, .external_lex_state = 5},
  [6580] = {.lex_state = 343, .external_lex_state = 5},
  [6581] = {.lex_state = 343, .external_lex_state = 2},
  [6582] = {.lex_state = 343, .external_lex_state = 2},
  [6583] = {.lex_state = 343, .external_lex_state = 2},
  [6584] = {.lex_state = 343, .external_lex_state = 2},
  [6585] = {.lex_state = 343, .external_lex_state = 2},
  [6586] = {.lex_state = 343, .external_lex_state = 2},
  [6587] = {.lex_state = 343, .external_lex_state = 2},
  [6588] = {.lex_state = 343, .external_lex_state = 2},
  [6589] = {.lex_state = 343, .external_lex_state = 2},
  [6590] = {.lex_state = 343, .external_lex_state = 5},
  [6591] = {.lex_state = 343, .external_lex_state = 2},
  [6592] = {.lex_state = 343, .external_lex_state = 5},
  [6593] = {.lex_state = 343, .external_lex_state = 2},
  [6594] = {.lex_state = 343, .external_lex_state = 5},
  [6595] = {.lex_state = 343, .external_lex_state = 5},
  [6596] = {.lex_state = 343, .external_lex_state = 5},
  [6597] = {.lex_state = 48, .external_lex_state = 2},
  [6598] = {.lex_state = 343, .external_lex_state = 5},
  [6599] = {.lex_state = 343, .external_lex_state = 2},
  [6600] = {.lex_state = 343, .external_lex_state = 2},
  [6601] = {.lex_state = 343, .external_lex_state = 5},
  [6602] = {.lex_state = 343, .external_lex_state = 5},
  [6603] = {.lex_state = 343, .external_lex_state = 5},
  [6604] = {.lex_state = 343, .external_lex_state = 2},
  [6605] = {.lex_state = 343, .external_lex_state = 5},
  [6606] = {.lex_state = 343, .external_lex_state = 2},
  [6607] = {.lex_state = 343, .external_lex_state = 2},
  [6608] = {.lex_state = 343, .external_lex_state = 5},
  [6609] = {.lex_state = 343, .external_lex_state = 2},
  [6610] = {.lex_state = 343, .external_lex_state = 2},
  [6611] = {.lex_state = 343, .external_lex_state = 2},
  [6612] = {.lex_state = 343, .external_lex_state = 2},
  [6613] = {.lex_state = 343, .external_lex_state = 2},
  [6614] = {.lex_state = 343, .external_lex_state = 2},
  [6615] = {.lex_state = 343, .external_lex_state = 2},
  [6616] = {.lex_state = 343, .external_lex_state = 2},
  [6617] = {.lex_state = 343, .external_lex_state = 2},
  [6618] = {.lex_state = 343, .external_lex_state = 2},
  [6619] = {.lex_state = 343, .external_lex_state = 2},
  [6620] = {.lex_state = 343, .external_lex_state = 2},
  [6621] = {.lex_state = 343, .external_lex_state = 2},
  [6622] = {.lex_state = 343, .external_lex_state = 5},
  [6623] = {.lex_state = 343, .external_lex_state = 2},
  [6624] = {.lex_state = 343, .external_lex_state = 2},
  [6625] = {.lex_state = 343, .external_lex_state = 5},
  [6626] = {.lex_state = 343, .external_lex_state = 2},
  [6627] = {.lex_state = 343, .external_lex_state = 2},
  [6628] = {.lex_state = 343, .external_lex_state = 2},
  [6629] = {.lex_state = 343, .external_lex_state = 2},
  [6630] = {.lex_state = 343, .external_lex_state = 2},
  [6631] = {.lex_state = 343, .external_lex_state = 2},
  [6632] = {.lex_state = 343, .external_lex_state = 2},
  [6633] = {.lex_state = 343, .external_lex_state = 5},
  [6634] = {.lex_state = 343, .external_lex_state = 2},
  [6635] = {.lex_state = 343, .external_lex_state = 5},
  [6636] = {.lex_state = 343, .external_lex_state = 2},
  [6637] = {.lex_state = 343, .external_lex_state = 2},
  [6638] = {.lex_state = 343, .external_lex_state = 2},
  [6639] = {.lex_state = 343, .external_lex_state = 2},
  [6640] = {.lex_state = 343, .external_lex_state = 5},
  [6641] = {.lex_state = 343, .external_lex_state = 2},
  [6642] = {.lex_state = 343, .external_lex_state = 5},
  [6643] = {.lex_state = 343, .external_lex_state = 2},
  [6644] = {.lex_state = 343, .external_lex_state = 2},
  [6645] = {.lex_state = 343, .external_lex_state = 5},
  [6646] = {.lex_state = 343, .external_lex_state = 5},
  [6647] = {.lex_state = 343, .external_lex_state = 5},
  [6648] = {.lex_state = 343, .external_lex_state = 5},
  [6649] = {.lex_state = 343, .external_lex_state = 2},
  [6650] = {.lex_state = 343, .external_lex_state = 2},
  [6651] = {.lex_state = 343, .external_lex_state = 2},
  [6652] = {.lex_state = 343, .external_lex_state = 2},
  [6653] = {.lex_state = 343, .external_lex_state = 5},
  [6654] = {.lex_state = 343, .external_lex_state = 2},
  [6655] = {.lex_state = 343, .external_lex_state = 2},
  [6656] = {.lex_state = 343, .external_lex_state = 2},
  [6657] = {.lex_state = 343, .external_lex_state = 2},
  [6658] = {.lex_state = 343, .external_lex_state = 5},
  [6659] = {.lex_state = 343, .external_lex_state = 2},
  [6660] = {.lex_state = 343, .external_lex_state = 2},
  [6661] = {.lex_state = 343, .external_lex_state = 2},
  [6662] = {.lex_state = 343, .external_lex_state = 2},
  [6663] = {.lex_state = 48, .external_lex_state = 2},
  [6664] = {.lex_state = 343, .external_lex_state = 2},
  [6665] = {.lex_state = 343, .external_lex_state = 2},
  [6666] = {.lex_state = 343, .external_lex_state = 2},
  [6667] = {.lex_state = 343, .external_lex_state = 2},
  [6668] = {.lex_state = 343, .external_lex_state = 2},
  [6669] = {.lex_state = 343, .external_lex_state = 2},
  [6670] = {.lex_state = 343, .external_lex_state = 2},
  [6671] = {.lex_state = 343, .external_lex_state = 2},
  [6672] = {.lex_state = 343, .external_lex_state = 2},
  [6673] = {.lex_state = 343, .external_lex_state = 2},
  [6674] = {.lex_state = 343, .external_lex_state = 2},
  [6675] = {.lex_state = 343, .external_lex_state = 2},
  [6676] = {.lex_state = 343, .external_lex_state = 2},
  [6677] = {.lex_state = 48, .external_lex_state = 2},
  [6678] = {.lex_state = 343, .external_lex_state = 2},
  [6679] = {.lex_state = 343, .external_lex_state = 2},
  [6680] = {.lex_state = 48, .external_lex_state = 2},
  [6681] = {.lex_state = 343, .external_lex_state = 2},
  [6682] = {.lex_state = 343, .external_lex_state = 2},
  [6683] = {.lex_state = 343, .external_lex_state = 2},
  [6684] = {.lex_state = 343, .external_lex_state = 2},
  [6685] = {.lex_state = 343, .external_lex_state = 2},
  [6686] = {.lex_state = 343, .external_lex_state = 2},
  [6687] = {.lex_state = 343, .external_lex_state = 5},
  [6688] = {.lex_state = 343, .external_lex_state = 2},
  [6689] = {.lex_state = 343, .external_lex_state = 2},
  [6690] = {.lex_state = 343, .external_lex_state = 2},
  [6691] = {.lex_state = 343, .external_lex_state = 2},
  [6692] = {.lex_state = 343, .external_lex_state = 2},
  [6693] = {.lex_state = 343, .external_lex_state = 2},
  [6694] = {.lex_state = 343, .external_lex_state = 2},
  [6695] = {.lex_state = 343, .external_lex_state = 2},
  [6696] = {.lex_state = 343, .external_lex_state = 2},
  [6697] = {.lex_state = 343, .external_lex_state = 2},
  [6698] = {.lex_state = 343, .external_lex_state = 2},
  [6699] = {.lex_state = 343, .external_lex_state = 2},
  [6700] = {.lex_state = 343, .external_lex_state = 2},
  [6701] = {.lex_state = 343, .external_lex_state = 2},
  [6702] = {.lex_state = 343, .external_lex_state = 2},
  [6703] = {.lex_state = 343, .external_lex_state = 2},
  [6704] = {.lex_state = 343, .external_lex_state = 2},
  [6705] = {.lex_state = 343, .external_lex_state = 2},
  [6706] = {.lex_state = 343, .external_lex_state = 2},
  [6707] = {.lex_state = 343, .external_lex_state = 2},
  [6708] = {.lex_state = 343, .external_lex_state = 2},
  [6709] = {.lex_state = 343, .external_lex_state = 2},
  [6710] = {.lex_state = 343, .external_lex_state = 2},
  [6711] = {.lex_state = 343, .external_lex_state = 2},
  [6712] = {.lex_state = 343, .external_lex_state = 2},
  [6713] = {.lex_state = 343, .external_lex_state = 2},
  [6714] = {.lex_state = 343, .external_lex_state = 2},
  [6715] = {.lex_state = 343, .external_lex_state = 2},
  [6716] = {.lex_state = 343, .external_lex_state = 2},
  [6717] = {.lex_state = 343, .external_lex_state = 2},
  [6718] = {.lex_state = 343, .external_lex_state = 2},
  [6719] = {.lex_state = 48, .external_lex_state = 2},
  [6720] = {.lex_state = 343, .external_lex_state = 2},
  [6721] = {.lex_state = 343, .external_lex_state = 2},
  [6722] = {.lex_state = 343, .external_lex_state = 2},
  [6723] = {.lex_state = 48, .external_lex_state = 2},
  [6724] = {.lex_state = 48, .external_lex_state = 2},
  [6725] = {.lex_state = 48, .external_lex_state = 2},
  [6726] = {.lex_state = 48, .external_lex_state = 2},
  [6727] = {.lex_state = 343, .external_lex_state = 2},
  [6728] = {.lex_state = 343, .external_lex_state = 2},
  [6729] = {.lex_state = 343, .external_lex_state = 5},
  [6730] = {.lex_state = 343, .external_lex_state = 2},
  [6731] = {.lex_state = 343, .external_lex_state = 5},
  [6732] = {.lex_state = 343, .external_lex_state = 5},
  [6733] = {.lex_state = 343, .external_lex_state = 2},
  [6734] = {.lex_state = 47, .external_lex_state = 2},
  [6735] = {.lex_state = 343, .external_lex_state = 2},
  [6736] = {.lex_state = 343, .external_lex_state = 2},
  [6737] = {.lex_state = 343, .external_lex_state = 2},
  [6738] = {.lex_state = 48, .external_lex_state = 2},
  [6739] = {.lex_state = 48, .external_lex_state = 2},
  [6740] = {.lex_state = 343, .external_lex_state = 2},
  [6741] = {.lex_state = 343, .external_lex_state = 2},
  [6742] = {.lex_state = 343, .external_lex_state = 2},
  [6743] = {.lex_state = 48, .external_lex_state = 2},
  [6744] = {.lex_state = 343, .external_lex_state = 2},
  [6745] = {.lex_state = 47, .external_lex_state = 2},
  [6746] = {.lex_state = 45, .external_lex_state = 2},
  [6747] = {.lex_state = 343, .external_lex_state = 2},
  [6748] = {.lex_state = 343, .external_lex_state = 2},
  [6749] = {.lex_state = 343, .external_lex_state = 2},
  [6750] = {.lex_state = 343, .external_lex_state = 2},
  [6751] = {.lex_state = 343, .external_lex_state = 2},
  [6752] = {.lex_state = 343, .external_lex_state = 2},
  [6753] = {.lex_state = 343, .external_lex_state = 2},
  [6754] = {.lex_state = 343, .external_lex_state = 2},
  [6755] = {.lex_state = 343, .external_lex_state = 2},
  [6756] = {.lex_state = 343, .external_lex_state = 2},
  [6757] = {.lex_state = 343, .external_lex_state = 2},
  [6758] = {.lex_state = 343, .external_lex_state = 2},
  [6759] = {.lex_state = 343, .external_lex_state = 2},
  [6760] = {.lex_state = 48, .external_lex_state = 2},
  [6761] = {.lex_state = 343, .external_lex_state = 2},
  [6762] = {.lex_state = 343, .external_lex_state = 2},
  [6763] = {.lex_state = 343, .external_lex_state = 2},
  [6764] = {.lex_state = 48, .external_lex_state = 2},
  [6765] = {.lex_state = 343, .external_lex_state = 2},
  [6766] = {.lex_state = 343, .external_lex_state = 2},
  [6767] = {.lex_state = 343, .external_lex_state = 2},
  [6768] = {.lex_state = 343, .external_lex_state = 2},
  [6769] = {.lex_state = 343, .external_lex_state = 2},
  [6770] = {.lex_state = 343, .external_lex_state = 2},
  [6771] = {.lex_state = 343, .external_lex_state = 2},
  [6772] = {.lex_state = 343, .external_lex_state = 2},
  [6773] = {.lex_state = 343, .external_lex_state = 5},
  [6774] = {.lex_state = 343, .external_lex_state = 5},
  [6775] = {.lex_state = 343, .external_lex_state = 5},
  [6776] = {.lex_state = 343, .external_lex_state = 5},
  [6777] = {.lex_state = 343, .external_lex_state = 2},
  [6778] = {.lex_state = 343, .external_lex_state = 2},
  [6779] = {.lex_state = 48, .external_lex_state = 2},
  [6780] = {.lex_state = 45, .external_lex_state = 2},
  [6781] = {.lex_state = 343, .external_lex_state = 5},
  [6782] = {.lex_state = 343, .external_lex_state = 2},
  [6783] = {.lex_state = 343, .external_lex_state = 2},
  [6784] = {.lex_state = 343, .external_lex_state = 2},
  [6785] = {.lex_state = 343, .external_lex_state = 2},
  [6786] = {.lex_state = 343, .external_lex_state = 2},
  [6787] = {.lex_state = 343, .external_lex_state = 2},
  [6788] = {.lex_state = 343, .external_lex_state = 2},
  [6789] = {.lex_state = 343, .external_lex_state = 2},
  [6790] = {.lex_state = 343, .external_lex_state = 2},
  [6791] = {.lex_state = 343, .external_lex_state = 2},
  [6792] = {.lex_state = 343, .external_lex_state = 5},
  [6793] = {.lex_state = 343, .external_lex_state = 2},
  [6794] = {.lex_state = 343, .external_lex_state = 2},
  [6795] = {.lex_state = 343, .external_lex_state = 5},
  [6796] = {.lex_state = 343, .external_lex_state = 2},
  [6797] = {.lex_state = 343, .external_lex_state = 2},
  [6798] = {.lex_state = 343, .external_lex_state = 5},
  [6799] = {.lex_state = 343, .external_lex_state = 2},
  [6800] = {.lex_state = 343, .external_lex_state = 2},
  [6801] = {.lex_state = 48, .external_lex_state = 2},
  [6802] = {.lex_state = 343, .external_lex_state = 2},
  [6803] = {.lex_state = 343, .external_lex_state = 2},
  [6804] = {.lex_state = 343, .external_lex_state = 2},
  [6805] = {.lex_state = 343, .external_lex_state = 2},
  [6806] = {.lex_state = 343, .external_lex_state = 2},
  [6807] = {.lex_state = 343, .external_lex_state = 2},
  [6808] = {.lex_state = 343, .external_lex_state = 2},
  [6809] = {.lex_state = 343, .external_lex_state = 2},
  [6810] = {.lex_state = 343, .external_lex_state = 5},
  [6811] = {.lex_state = 343, .external_lex_state = 5},
  [6812] = {.lex_state = 343, .external_lex_state = 2},
  [6813] = {.lex_state = 343, .external_lex_state = 5},
  [6814] = {.lex_state = 343, .external_lex_state = 5},
  [6815] = {.lex_state = 343, .external_lex_state = 5},
  [6816] = {.lex_state = 343, .external_lex_state = 5},
  [6817] = {.lex_state = 343, .external_lex_state = 5},
  [6818] = {.lex_state = 343, .external_lex_state = 2},
  [6819] = {.lex_state = 343, .external_lex_state = 2},
  [6820] = {.lex_state = 343, .external_lex_state = 2},
  [6821] = {.lex_state = 343, .external_lex_state = 2},
  [6822] = {.lex_state = 343, .external_lex_state = 2},
  [6823] = {.lex_state = 343, .external_lex_state = 5},
  [6824] = {.lex_state = 343, .external_lex_state = 5},
  [6825] = {.lex_state = 343, .external_lex_state = 2},
  [6826] = {.lex_state = 343, .external_lex_state = 2},
  [6827] = {.lex_state = 343, .external_lex_state = 5},
  [6828] = {.lex_state = 48, .external_lex_state = 2},
  [6829] = {.lex_state = 343, .external_lex_state = 2},
  [6830] = {.lex_state = 343, .external_lex_state = 2},
  [6831] = {.lex_state = 343, .external_lex_state = 2},
  [6832] = {.lex_state = 343, .external_lex_state = 2},
  [6833] = {.lex_state = 343, .external_lex_state = 2},
  [6834] = {.lex_state = 343, .external_lex_state = 2},
  [6835] = {.lex_state = 343, .external_lex_state = 2},
  [6836] = {.lex_state = 48, .external_lex_state = 2},
  [6837] = {.lex_state = 48, .external_lex_state = 2},
  [6838] = {.lex_state = 343, .external_lex_state = 2},
  [6839] = {.lex_state = 343, .external_lex_state = 5},
  [6840] = {.lex_state = 343, .external_lex_state = 2},
  [6841] = {.lex_state = 47, .external_lex_state = 2},
  [6842] = {.lex_state = 343, .external_lex_state = 2},
  [6843] = {.lex_state = 343, .external_lex_state = 2},
  [6844] = {.lex_state = 343, .external_lex_state = 2},
  [6845] = {.lex_state = 343, .external_lex_state = 2},
  [6846] = {.lex_state = 343, .external_lex_state = 2},
  [6847] = {.lex_state = 343, .external_lex_state = 2},
  [6848] = {.lex_state = 343, .external_lex_state = 2},
  [6849] = {.lex_state = 343, .external_lex_state = 2},
  [6850] = {.lex_state = 343, .external_lex_state = 2},
  [6851] = {.lex_state = 343, .external_lex_state = 2},
  [6852] = {.lex_state = 343, .external_lex_state = 2},
  [6853] = {.lex_state = 343, .external_lex_state = 2},
  [6854] = {.lex_state = 343, .external_lex_state = 2},
  [6855] = {.lex_state = 48, .external_lex_state = 2},
  [6856] = {.lex_state = 343, .external_lex_state = 2},
  [6857] = {.lex_state = 343, .external_lex_state = 2},
  [6858] = {.lex_state = 48, .external_lex_state = 2},
  [6859] = {.lex_state = 343, .external_lex_state = 2},
  [6860] = {.lex_state = 343, .external_lex_state = 2},
  [6861] = {.lex_state = 343, .external_lex_state = 2},
  [6862] = {.lex_state = 48, .external_lex_state = 2},
  [6863] = {.lex_state = 343, .external_lex_state = 2},
  [6864] = {.lex_state = 343, .external_lex_state = 2},
  [6865] = {.lex_state = 343, .external_lex_state = 2},
  [6866] = {.lex_state = 343, .external_lex_state = 2},
  [6867] = {.lex_state = 343, .external_lex_state = 2},
  [6868] = {.lex_state = 343, .external_lex_state = 2},
  [6869] = {.lex_state = 343, .external_lex_state = 2},
  [6870] = {.lex_state = 48, .external_lex_state = 2},
  [6871] = {.lex_state = 343, .external_lex_state = 2},
  [6872] = {.lex_state = 343, .external_lex_state = 2},
  [6873] = {.lex_state = 343, .external_lex_state = 2},
  [6874] = {.lex_state = 343, .external_lex_state = 2},
  [6875] = {.lex_state = 48, .external_lex_state = 2},
  [6876] = {.lex_state = 343, .external_lex_state = 2},
  [6877] = {.lex_state = 343, .external_lex_state = 2},
  [6878] = {.lex_state = 343, .external_lex_state = 2},
  [6879] = {.lex_state = 343, .external_lex_state = 2},
  [6880] = {.lex_state = 343, .external_lex_state = 2},
  [6881] = {.lex_state = 343, .external_lex_state = 2},
  [6882] = {.lex_state = 343, .external_lex_state = 2},
  [6883] = {.lex_state = 343, .external_lex_state = 2},
  [6884] = {.lex_state = 343, .external_lex_state = 2},
  [6885] = {.lex_state = 343, .external_lex_state = 2},
  [6886] = {.lex_state = 343, .external_lex_state = 2},
  [6887] = {.lex_state = 343, .external_lex_state = 2},
  [6888] = {.lex_state = 343, .external_lex_state = 2},
  [6889] = {.lex_state = 343, .external_lex_state = 2},
  [6890] = {.lex_state = 343, .external_lex_state = 2},
  [6891] = {.lex_state = 343, .external_lex_state = 2},
  [6892] = {.lex_state = 343, .external_lex_state = 2},
  [6893] = {.lex_state = 343, .external_lex_state = 2},
  [6894] = {.lex_state = 343, .external_lex_state = 2},
  [6895] = {.lex_state = 343, .external_lex_state = 2},
  [6896] = {.lex_state = 343, .external_lex_state = 2},
  [6897] = {.lex_state = 343, .external_lex_state = 2},
  [6898] = {.lex_state = 343, .external_lex_state = 2},
  [6899] = {.lex_state = 343, .external_lex_state = 2},
  [6900] = {.lex_state = 343, .external_lex_state = 2},
  [6901] = {.lex_state = 343, .external_lex_state = 2},
  [6902] = {.lex_state = 343, .external_lex_state = 2},
  [6903] = {.lex_state = 343, .external_lex_state = 2},
  [6904] = {.lex_state = 343, .external_lex_state = 2},
  [6905] = {.lex_state = 343, .external_lex_state = 2},
  [6906] = {.lex_state = 343, .external_lex_state = 2},
  [6907] = {.lex_state = 343, .external_lex_state = 2},
  [6908] = {.lex_state = 343, .external_lex_state = 2},
  [6909] = {.lex_state = 343, .external_lex_state = 2},
  [6910] = {.lex_state = 343, .external_lex_state = 2},
  [6911] = {.lex_state = 343, .external_lex_state = 2},
  [6912] = {.lex_state = 48, .external_lex_state = 2},
  [6913] = {.lex_state = 343, .external_lex_state = 2},
  [6914] = {.lex_state = 343, .external_lex_state = 2},
  [6915] = {.lex_state = 343, .external_lex_state = 2},
  [6916] = {.lex_state = 343, .external_lex_state = 2},
  [6917] = {.lex_state = 343, .external_lex_state = 2},
  [6918] = {.lex_state = 343, .external_lex_state = 2},
  [6919] = {.lex_state = 48, .external_lex_state = 2},
  [6920] = {.lex_state = 343, .external_lex_state = 2},
  [6921] = {.lex_state = 343, .external_lex_state = 2},
  [6922] = {.lex_state = 343, .external_lex_state = 2},
  [6923] = {.lex_state = 45, .external_lex_state = 2},
  [6924] = {.lex_state = 343, .external_lex_state = 2},
  [6925] = {.lex_state = 343, .external_lex_state = 2},
  [6926] = {.lex_state = 343, .external_lex_state = 2},
  [6927] = {.lex_state = 343, .external_lex_state = 2},
  [6928] = {.lex_state = 343, .external_lex_state = 2},
  [6929] = {.lex_state = 343, .external_lex_state = 2},
  [6930] = {.lex_state = 343, .external_lex_state = 2},
  [6931] = {.lex_state = 343, .external_lex_state = 2},
  [6932] = {.lex_state = 343, .external_lex_state = 2},
  [6933] = {.lex_state = 343, .external_lex_state = 2},
  [6934] = {.lex_state = 343, .external_lex_state = 2},
  [6935] = {.lex_state = 343, .external_lex_state = 2},
  [6936] = {.lex_state = 343, .external_lex_state = 2},
  [6937] = {.lex_state = 343, .external_lex_state = 2},
  [6938] = {.lex_state = 45, .external_lex_state = 2},
  [6939] = {.lex_state = 343, .external_lex_state = 2},
  [6940] = {.lex_state = 343, .external_lex_state = 2},
  [6941] = {.lex_state = 343, .external_lex_state = 2},
  [6942] = {.lex_state = 343, .external_lex_state = 2},
  [6943] = {.lex_state = 343, .external_lex_state = 2},
  [6944] = {.lex_state = 343, .external_lex_state = 2},
  [6945] = {.lex_state = 343, .external_lex_state = 2},
  [6946] = {.lex_state = 343, .external_lex_state = 2},
  [6947] = {.lex_state = 343, .external_lex_state = 2},
  [6948] = {.lex_state = 343, .external_lex_state = 2},
  [6949] = {.lex_state = 343, .external_lex_state = 2},
  [6950] = {.lex_state = 343, .external_lex_state = 2},
  [6951] = {.lex_state = 343, .external_lex_state = 2},
  [6952] = {.lex_state = 343, .external_lex_state = 2},
  [6953] = {.lex_state = 343, .external_lex_state = 2},
  [6954] = {.lex_state = 343, .external_lex_state = 2},
  [6955] = {.lex_state = 343, .external_lex_state = 2},
  [6956] = {.lex_state = 343, .external_lex_state = 2},
  [6957] = {.lex_state = 343, .external_lex_state = 2},
  [6958] = {.lex_state = 343, .external_lex_state = 2},
  [6959] = {.lex_state = 343, .external_lex_state = 5},
  [6960] = {.lex_state = 343, .external_lex_state = 2},
  [6961] = {.lex_state = 343, .external_lex_state = 2},
  [6962] = {.lex_state = 343, .external_lex_state = 2},
  [6963] = {.lex_state = 343, .external_lex_state = 2},
  [6964] = {.lex_state = 343, .external_lex_state = 2},
  [6965] = {.lex_state = 45, .external_lex_state = 2},
  [6966] = {.lex_state = 343, .external_lex_state = 2},
  [6967] = {.lex_state = 343, .external_lex_state = 2},
  [6968] = {.lex_state = 48, .external_lex_state = 2},
  [6969] = {.lex_state = 343, .external_lex_state = 2},
  [6970] = {.lex_state = 343, .external_lex_state = 2},
  [6971] = {.lex_state = 48, .external_lex_state = 2},
  [6972] = {.lex_state = 343, .external_lex_state = 2},
  [6973] = {.lex_state = 343, .external_lex_state = 2},
  [6974] = {.lex_state = 343, .external_lex_state = 2},
  [6975] = {.lex_state = 343, .external_lex_state = 2},
  [6976] = {.lex_state = 343, .external_lex_state = 2},
  [6977] = {.lex_state = 48, .external_lex_state = 2},
  [6978] = {.lex_state = 343, .external_lex_state = 2},
  [6979] = {.lex_state = 48, .external_lex_state = 2},
  [6980] = {.lex_state = 343, .external_lex_state = 2},
  [6981] = {.lex_state = 343, .external_lex_state = 2},
  [6982] = {.lex_state = 343, .external_lex_state = 2},
  [6983] = {.lex_state = 48, .external_lex_state = 2},
  [6984] = {.lex_state = 343, .external_lex_state = 2},
  [6985] = {.lex_state = 343, .external_lex_state = 2},
  [6986] = {.lex_state = 343, .external_lex_state = 2},
  [6987] = {.lex_state = 343, .external_lex_state = 2},
  [6988] = {.lex_state = 343, .external_lex_state = 2},
  [6989] = {.lex_state = 48, .external_lex_state = 2},
  [6990] = {.lex_state = 343, .external_lex_state = 2},
  [6991] = {.lex_state = 343, .external_lex_state = 2},
  [6992] = {.lex_state = 343, .external_lex_state = 2},
  [6993] = {.lex_state = 48, .external_lex_state = 2},
  [6994] = {.lex_state = 343, .external_lex_state = 2},
  [6995] = {.lex_state = 343, .external_lex_state = 2},
  [6996] = {.lex_state = 343, .external_lex_state = 2},
  [6997] = {.lex_state = 343, .external_lex_state = 2},
  [6998] = {.lex_state = 343, .external_lex_state = 2},
  [6999] = {.lex_state = 343, .external_lex_state = 2},
  [7000] = {.lex_state = 343, .external_lex_state = 2},
  [7001] = {.lex_state = 343, .external_lex_state = 2},
  [7002] = {.lex_state = 343, .external_lex_state = 2},
  [7003] = {.lex_state = 343, .external_lex_state = 2},
  [7004] = {.lex_state = 343, .external_lex_state = 2},
  [7005] = {.lex_state = 343, .external_lex_state = 2},
  [7006] = {.lex_state = 343, .external_lex_state = 2},
  [7007] = {.lex_state = 343, .external_lex_state = 2},
  [7008] = {.lex_state = 343, .external_lex_state = 2},
  [7009] = {.lex_state = 343, .external_lex_state = 2},
  [7010] = {.lex_state = 343, .external_lex_state = 2},
  [7011] = {.lex_state = 343, .external_lex_state = 2},
  [7012] = {.lex_state = 343, .external_lex_state = 2},
  [7013] = {.lex_state = 343, .external_lex_state = 2},
  [7014] = {.lex_state = 343, .external_lex_state = 2},
  [7015] = {.lex_state = 343, .external_lex_state = 2},
  [7016] = {.lex_state = 343, .external_lex_state = 2},
  [7017] = {.lex_state = 343, .external_lex_state = 2},
  [7018] = {.lex_state = 343, .external_lex_state = 2},
  [7019] = {.lex_state = 343, .external_lex_state = 2},
  [7020] = {.lex_state = 343, .external_lex_state = 2},
  [7021] = {.lex_state = 343, .external_lex_state = 2},
  [7022] = {.lex_state = 343, .external_lex_state = 2},
  [7023] = {.lex_state = 343, .external_lex_state = 2},
  [7024] = {.lex_state = 343, .external_lex_state = 2},
  [7025] = {.lex_state = 343, .external_lex_state = 2},
  [7026] = {.lex_state = 343, .external_lex_state = 2},
  [7027] = {.lex_state = 343, .external_lex_state = 2},
  [7028] = {.lex_state = 343, .external_lex_state = 2},
  [7029] = {.lex_state = 48, .external_lex_state = 2},
  [7030] = {.lex_state = 343, .external_lex_state = 2},
  [7031] = {.lex_state = 343, .external_lex_state = 2},
  [7032] = {.lex_state = 48, .external_lex_state = 2},
  [7033] = {.lex_state = 343, .external_lex_state = 2},
  [7034] = {.lex_state = 343, .external_lex_state = 2},
  [7035] = {.lex_state = 343, .external_lex_state = 2},
  [7036] = {.lex_state = 48, .external_lex_state = 2},
  [7037] = {.lex_state = 343, .external_lex_state = 2},
  [7038] = {.lex_state = 343, .external_lex_state = 2},
  [7039] = {.lex_state = 48, .external_lex_state = 2},
  [7040] = {.lex_state = 48, .external_lex_state = 2},
  [7041] = {.lex_state = 2, .external_lex_state = 2},
  [7042] = {.lex_state = 343, .external_lex_state = 2},
  [7043] = {.lex_state = 343, .external_lex_state = 2},
  [7044] = {.lex_state = 343, .external_lex_state = 2},
  [7045] = {.lex_state = 48, .external_lex_state = 2},
  [7046] = {.lex_state = 343, .external_lex_state = 2},
  [7047] = {.lex_state = 48, .external_lex_state = 2},
  [7048] = {.lex_state = 343, .external_lex_state = 2},
  [7049] = {.lex_state = 343, .external_lex_state = 2},
  [7050] = {.lex_state = 343, .external_lex_state = 2},
  [7051] = {.lex_state = 343, .external_lex_state = 2},
  [7052] = {.lex_state = 343, .external_lex_state = 2},
  [7053] = {.lex_state = 343, .external_lex_state = 2},
  [7054] = {.lex_state = 48, .external_lex_state = 2},
  [7055] = {.lex_state = 48, .external_lex_state = 2},
  [7056] = {.lex_state = 48, .external_lex_state = 2},
  [7057] = {.lex_state = 48, .external_lex_state = 2},
  [7058] = {.lex_state = 343, .external_lex_state = 2},
  [7059] = {.lex_state = 343, .external_lex_state = 2},
  [7060] = {.lex_state = 343, .external_lex_state = 2},
  [7061] = {.lex_state = 48, .external_lex_state = 2},
  [7062] = {.lex_state = 343, .external_lex_state = 2},
  [7063] = {.lex_state = 343, .external_lex_state = 2},
  [7064] = {.lex_state = 343, .external_lex_state = 2},
  [7065] = {.lex_state = 343, .external_lex_state = 2},
  [7066] = {.lex_state = 343, .external_lex_state = 2},
  [7067] = {.lex_state = 343, .external_lex_state = 2},
  [7068] = {.lex_state = 343, .external_lex_state = 2},
  [7069] = {.lex_state = 343, .external_lex_state = 2},
  [7070] = {.lex_state = 343, .external_lex_state = 2},
  [7071] = {.lex_state = 48, .external_lex_state = 2},
  [7072] = {.lex_state = 343, .external_lex_state = 2},
  [7073] = {.lex_state = 343, .external_lex_state = 2},
  [7074] = {.lex_state = 343, .external_lex_state = 2},
  [7075] = {.lex_state = 48, .external_lex_state = 2},
  [7076] = {.lex_state = 21, .external_lex_state = 2},
  [7077] = {.lex_state = 343, .external_lex_state = 2},
  [7078] = {.lex_state = 343, .external_lex_state = 2},
  [7079] = {.lex_state = 343, .external_lex_state = 2},
  [7080] = {.lex_state = 343, .external_lex_state = 2},
  [7081] = {.lex_state = 48, .external_lex_state = 2},
  [7082] = {.lex_state = 48, .external_lex_state = 2},
  [7083] = {.lex_state = 48, .external_lex_state = 2},
  [7084] = {.lex_state = 343, .external_lex_state = 2},
  [7085] = {.lex_state = 343, .external_lex_state = 2},
  [7086] = {.lex_state = 48, .external_lex_state = 2},
  [7087] = {.lex_state = 48, .external_lex_state = 2},
  [7088] = {.lex_state = 48, .external_lex_state = 2},
  [7089] = {.lex_state = 343, .external_lex_state = 2},
  [7090] = {.lex_state = 343, .external_lex_state = 2},
  [7091] = {.lex_state = 48, .external_lex_state = 2},
  [7092] = {.lex_state = 2, .external_lex_state = 2},
  [7093] = {.lex_state = 343, .external_lex_state = 2},
  [7094] = {.lex_state = 343, .external_lex_state = 2},
  [7095] = {.lex_state = 343, .external_lex_state = 2},
  [7096] = {.lex_state = 48, .external_lex_state = 2},
  [7097] = {.lex_state = 343, .external_lex_state = 2},
  [7098] = {.lex_state = 48, .external_lex_state = 2},
  [7099] = {.lex_state = 343, .external_lex_state = 2},
  [7100] = {.lex_state = 343, .external_lex_state = 2},
  [7101] = {.lex_state = 343, .external_lex_state = 2},
  [7102] = {.lex_state = 47, .external_lex_state = 2},
  [7103] = {.lex_state = 48, .external_lex_state = 2},
  [7104] = {.lex_state = 343, .external_lex_state = 2},
  [7105] = {.lex_state = 343, .external_lex_state = 2},
  [7106] = {.lex_state = 343, .external_lex_state = 2},
  [7107] = {.lex_state = 343, .external_lex_state = 2},
  [7108] = {.lex_state = 48, .external_lex_state = 2},
  [7109] = {.lex_state = 343, .external_lex_state = 2},
  [7110] = {.lex_state = 48, .external_lex_state = 2},
  [7111] = {.lex_state = 48, .external_lex_state = 2},
  [7112] = {.lex_state = 343, .external_lex_state = 2},
  [7113] = {.lex_state = 343, .external_lex_state = 2},
  [7114] = {.lex_state = 48, .external_lex_state = 2},
  [7115] = {.lex_state = 343, .external_lex_state = 2},
  [7116] = {.lex_state = 343, .external_lex_state = 2},
  [7117] = {.lex_state = 343, .external_lex_state = 2},
  [7118] = {.lex_state = 48, .external_lex_state = 2},
  [7119] = {.lex_state = 48, .external_lex_state = 2},
  [7120] = {.lex_state = 48, .external_lex_state = 2},
  [7121] = {.lex_state = 47, .external_lex_state = 2},
  [7122] = {.lex_state = 343, .external_lex_state = 2},
  [7123] = {.lex_state = 47, .external_lex_state = 2},
  [7124] = {.lex_state = 48, .external_lex_state = 2},
  [7125] = {.lex_state = 343, .external_lex_state = 2},
  [7126] = {.lex_state = 48, .external_lex_state = 2},
  [7127] = {.lex_state = 343, .external_lex_state = 2},
  [7128] = {.lex_state = 2, .external_lex_state = 2},
  [7129] = {.lex_state = 343, .external_lex_state = 2},
  [7130] = {.lex_state = 343, .external_lex_state = 2},
  [7131] = {.lex_state = 343, .external_lex_state = 2},
  [7132] = {.lex_state = 343, .external_lex_state = 2},
  [7133] = {.lex_state = 343, .external_lex_state = 2},
  [7134] = {.lex_state = 343, .external_lex_state = 2},
  [7135] = {.lex_state = 343, .external_lex_state = 2},
  [7136] = {.lex_state = 343, .external_lex_state = 2},
  [7137] = {.lex_state = 343, .external_lex_state = 2},
  [7138] = {.lex_state = 343, .external_lex_state = 2},
  [7139] = {.lex_state = 343, .external_lex_state = 2},
  [7140] = {.lex_state = 343, .external_lex_state = 2},
  [7141] = {.lex_state = 343, .external_lex_state = 2},
  [7142] = {.lex_state = 343, .external_lex_state = 2},
  [7143] = {.lex_state = 48, .external_lex_state = 2},
  [7144] = {.lex_state = 343, .external_lex_state = 2},
  [7145] = {.lex_state = 343, .external_lex_state = 2},
  [7146] = {.lex_state = 343, .external_lex_state = 2},
  [7147] = {.lex_state = 47, .external_lex_state = 2},
  [7148] = {.lex_state = 343, .external_lex_state = 2},
  [7149] = {.lex_state = 343, .external_lex_state = 2},
  [7150] = {.lex_state = 45, .external_lex_state = 2},
  [7151] = {.lex_state = 343, .external_lex_state = 2},
  [7152] = {.lex_state = 343, .external_lex_state = 2},
  [7153] = {.lex_state = 48, .external_lex_state = 2},
  [7154] = {.lex_state = 343, .external_lex_state = 2},
  [7155] = {.lex_state = 343, .external_lex_state = 2},
  [7156] = {.lex_state = 343, .external_lex_state = 2},
  [7157] = {.lex_state = 343, .external_lex_state = 2},
  [7158] = {.lex_state = 48, .external_lex_state = 2},
  [7159] = {.lex_state = 48, .external_lex_state = 2},
  [7160] = {.lex_state = 343, .external_lex_state = 2},
  [7161] = {.lex_state = 343, .external_lex_state = 2},
  [7162] = {.lex_state = 343, .external_lex_state = 2},
  [7163] = {.lex_state = 343, .external_lex_state = 2},
  [7164] = {.lex_state = 343, .external_lex_state = 2},
  [7165] = {.lex_state = 48, .external_lex_state = 2},
  [7166] = {.lex_state = 343, .external_lex_state = 2},
  [7167] = {.lex_state = 48, .external_lex_state = 2},
  [7168] = {.lex_state = 343, .external_lex_state = 2},
  [7169] = {.lex_state = 343, .external_lex_state = 2},
  [7170] = {.lex_state = 343, .external_lex_state = 2},
  [7171] = {.lex_state = 343, .external_lex_state = 2},
  [7172] = {.lex_state = 343, .external_lex_state = 2},
  [7173] = {.lex_state = 343, .external_lex_state = 2},
  [7174] = {.lex_state = 343, .external_lex_state = 2},
  [7175] = {.lex_state = 48, .external_lex_state = 2},
  [7176] = {.lex_state = 343, .external_lex_state = 2},
  [7177] = {.lex_state = 343, .external_lex_state = 2},
  [7178] = {.lex_state = 343, .external_lex_state = 2},
  [7179] = {.lex_state = 48, .external_lex_state = 2},
  [7180] = {.lex_state = 343, .external_lex_state = 2},
  [7181] = {.lex_state = 343, .external_lex_state = 2},
  [7182] = {.lex_state = 343, .external_lex_state = 2},
  [7183] = {.lex_state = 343, .external_lex_state = 2},
  [7184] = {.lex_state = 48, .external_lex_state = 2},
  [7185] = {.lex_state = 343, .external_lex_state = 2},
  [7186] = {.lex_state = 48, .external_lex_state = 2},
  [7187] = {.lex_state = 343, .external_lex_state = 2},
  [7188] = {.lex_state = 343, .external_lex_state = 2},
  [7189] = {.lex_state = 343, .external_lex_state = 2},
  [7190] = {.lex_state = 48, .external_lex_state = 2},
  [7191] = {.lex_state = 48, .external_lex_state = 2},
  [7192] = {.lex_state = 343, .external_lex_state = 2},
  [7193] = {.lex_state = 48, .external_lex_state = 2},
  [7194] = {.lex_state = 343, .external_lex_state = 2},
  [7195] = {.lex_state = 343, .external_lex_state = 2},
  [7196] = {.lex_state = 343, .external_lex_state = 2},
  [7197] = {.lex_state = 343, .external_lex_state = 2},
  [7198] = {.lex_state = 343, .external_lex_state = 2},
  [7199] = {.lex_state = 343, .external_lex_state = 2},
  [7200] = {.lex_state = 343, .external_lex_state = 2},
  [7201] = {.lex_state = 343, .external_lex_state = 2},
  [7202] = {.lex_state = 343, .external_lex_state = 2},
  [7203] = {.lex_state = 343, .external_lex_state = 2},
  [7204] = {.lex_state = 343, .external_lex_state = 2},
  [7205] = {.lex_state = 343, .external_lex_state = 2},
  [7206] = {.lex_state = 343, .external_lex_state = 2},
  [7207] = {.lex_state = 343, .external_lex_state = 2},
  [7208] = {.lex_state = 343, .external_lex_state = 2},
  [7209] = {.lex_state = 48, .external_lex_state = 2},
  [7210] = {.lex_state = 343, .external_lex_state = 2},
  [7211] = {.lex_state = 343, .external_lex_state = 2},
  [7212] = {.lex_state = 343, .external_lex_state = 2},
  [7213] = {.lex_state = 343, .external_lex_state = 2},
  [7214] = {.lex_state = 343, .external_lex_state = 2},
  [7215] = {.lex_state = 48, .external_lex_state = 2},
  [7216] = {.lex_state = 343, .external_lex_state = 2},
  [7217] = {.lex_state = 343, .external_lex_state = 2},
  [7218] = {.lex_state = 343, .external_lex_state = 2},
  [7219] = {.lex_state = 343, .external_lex_state = 2},
  [7220] = {.lex_state = 343, .external_lex_state = 2},
  [7221] = {.lex_state = 343, .external_lex_state = 2},
  [7222] = {.lex_state = 48, .external_lex_state = 2},
  [7223] = {.lex_state = 343, .external_lex_state = 2},
  [7224] = {.lex_state = 343, .external_lex_state = 2},
  [7225] = {.lex_state = 343, .external_lex_state = 2},
  [7226] = {.lex_state = 343, .external_lex_state = 2},
  [7227] = {.lex_state = 343, .external_lex_state = 2},
  [7228] = {.lex_state = 343, .external_lex_state = 2},
  [7229] = {.lex_state = 48, .external_lex_state = 2},
  [7230] = {.lex_state = 343, .external_lex_state = 2},
  [7231] = {.lex_state = 343, .external_lex_state = 2},
  [7232] = {.lex_state = 343, .external_lex_state = 2},
  [7233] = {.lex_state = 343, .external_lex_state = 2},
  [7234] = {.lex_state = 343, .external_lex_state = 2},
  [7235] = {.lex_state = 48, .external_lex_state = 2},
  [7236] = {.lex_state = 343, .external_lex_state = 2},
  [7237] = {.lex_state = 343, .external_lex_state = 2},
  [7238] = {.lex_state = 48, .external_lex_state = 2},
  [7239] = {.lex_state = 48, .external_lex_state = 2},
  [7240] = {.lex_state = 343, .external_lex_state = 2},
  [7241] = {.lex_state = 343, .external_lex_state = 2},
  [7242] = {.lex_state = 343, .external_lex_state = 2},
  [7243] = {.lex_state = 343, .external_lex_state = 2},
  [7244] = {.lex_state = 47, .external_lex_state = 2},
  [7245] = {.lex_state = 343, .external_lex_state = 2},
  [7246] = {.lex_state = 47, .external_lex_state = 2},
  [7247] = {.lex_state = 343, .external_lex_state = 2},
  [7248] = {.lex_state = 343, .external_lex_state = 2},
  [7249] = {.lex_state = 343, .external_lex_state = 2},
  [7250] = {.lex_state = 343, .external_lex_state = 2},
  [7251] = {.lex_state = 343, .external_lex_state = 2},
  [7252] = {.lex_state = 343, .external_lex_state = 2},
  [7253] = {.lex_state = 343, .external_lex_state = 2},
  [7254] = {.lex_state = 343, .external_lex_state = 2},
  [7255] = {.lex_state = 343, .external_lex_state = 2},
  [7256] = {.lex_state = 343, .external_lex_state = 2},
  [7257] = {.lex_state = 343, .external_lex_state = 2},
  [7258] = {.lex_state = 343, .external_lex_state = 2},
  [7259] = {.lex_state = 48, .external_lex_state = 2},
  [7260] = {.lex_state = 21, .external_lex_state = 2},
  [7261] = {.lex_state = 343, .external_lex_state = 2},
  [7262] = {.lex_state = 343, .external_lex_state = 2},
  [7263] = {.lex_state = 343, .external_lex_state = 2},
  [7264] = {.lex_state = 48, .external_lex_state = 2},
  [7265] = {.lex_state = 343, .external_lex_state = 2},
  [7266] = {.lex_state = 343, .external_lex_state = 2},
  [7267] = {.lex_state = 343, .external_lex_state = 2},
  [7268] = {.lex_state = 343, .external_lex_state = 2},
  [7269] = {.lex_state = 343, .external_lex_state = 2},
  [7270] = {.lex_state = 343, .external_lex_state = 2},
  [7271] = {.lex_state = 343, .external_lex_state = 2},
  [7272] = {.lex_state = 343, .external_lex_state = 2},
  [7273] = {.lex_state = 343, .external_lex_state = 2},
  [7274] = {.lex_state = 343, .external_lex_state = 2},
  [7275] = {.lex_state = 343, .external_lex_state = 2},
  [7276] = {.lex_state = 343, .external_lex_state = 2},
  [7277] = {.lex_state = 45, .external_lex_state = 2},
  [7278] = {.lex_state = 343, .external_lex_state = 2},
  [7279] = {.lex_state = 343, .external_lex_state = 2},
  [7280] = {.lex_state = 343, .external_lex_state = 2},
  [7281] = {.lex_state = 343, .external_lex_state = 2},
  [7282] = {.lex_state = 48, .external_lex_state = 2},
  [7283] = {.lex_state = 343, .external_lex_state = 2},
  [7284] = {.lex_state = 48, .external_lex_state = 2},
  [7285] = {.lex_state = 48, .external_lex_state = 2},
  [7286] = {.lex_state = 48, .external_lex_state = 2},
  [7287] = {.lex_state = 343, .external_lex_state = 2},
  [7288] = {.lex_state = 48, .external_lex_state = 2},
  [7289] = {.lex_state = 343, .external_lex_state = 2},
  [7290] = {.lex_state = 48, .external_lex_state = 2},
  [7291] = {.lex_state = 48, .external_lex_state = 2},
  [7292] = {.lex_state = 48, .external_lex_state = 2},
  [7293] = {.lex_state = 48, .external_lex_state = 2},
  [7294] = {.lex_state = 343, .external_lex_state = 2},
  [7295] = {.lex_state = 343, .external_lex_state = 2},
  [7296] = {.lex_state = 343, .external_lex_state = 2},
  [7297] = {.lex_state = 48, .external_lex_state = 2},
  [7298] = {.lex_state = 48, .external_lex_state = 2},
  [7299] = {.lex_state = 2, .external_lex_state = 2},
  [7300] = {.lex_state = 343, .external_lex_state = 2},
  [7301] = {.lex_state = 343, .external_lex_state = 2},
  [7302] = {.lex_state = 48, .external_lex_state = 2},
  [7303] = {.lex_state = 48, .external_lex_state = 2},
  [7304] = {.lex_state = 48, .external_lex_state = 2},
  [7305] = {.lex_state = 343, .external_lex_state = 2},
  [7306] = {.lex_state = 48, .external_lex_state = 2},
  [7307] = {.lex_state = 48, .external_lex_state = 2},
  [7308] = {.lex_state = 343, .external_lex_state = 2},
  [7309] = {.lex_state = 343, .external_lex_state = 2},
  [7310] = {.lex_state = 343, .external_lex_state = 2},
  [7311] = {.lex_state = 343, .external_lex_state = 2},
  [7312] = {.lex_state = 343, .external_lex_state = 2},
  [7313] = {.lex_state = 343, .external_lex_state = 2},
  [7314] = {.lex_state = 343, .external_lex_state = 2},
  [7315] = {.lex_state = 343, .external_lex_state = 2},
  [7316] = {.lex_state = 343, .external_lex_state = 2},
  [7317] = {.lex_state = 343, .external_lex_state = 2},
  [7318] = {.lex_state = 343, .external_lex_state = 2},
  [7319] = {.lex_state = 48, .external_lex_state = 2},
  [7320] = {.lex_state = 343, .external_lex_state = 2},
  [7321] = {.lex_state = 48, .external_lex_state = 2},
  [7322] = {.lex_state = 343, .external_lex_state = 2},
  [7323] = {.lex_state = 343, .external_lex_state = 2},
  [7324] = {.lex_state = 343, .external_lex_state = 2},
  [7325] = {.lex_state = 343, .external_lex_state = 2},
  [7326] = {.lex_state = 343, .external_lex_state = 2},
  [7327] = {.lex_state = 48, .external_lex_state = 2},
  [7328] = {.lex_state = 48, .external_lex_state = 2},
  [7329] = {.lex_state = 343, .external_lex_state = 2},
  [7330] = {.lex_state = 343, .external_lex_state = 2},
  [7331] = {.lex_state = 343, .external_lex_state = 2},
  [7332] = {.lex_state = 47, .external_lex_state = 2},
  [7333] = {.lex_state = 343, .external_lex_state = 2},
  [7334] = {.lex_state = 343, .external_lex_state = 2},
  [7335] = {.lex_state = 343, .external_lex_state = 2},
  [7336] = {.lex_state = 343, .external_lex_state = 2},
  [7337] = {.lex_state = 343, .external_lex_state = 2},
  [7338] = {.lex_state = 343, .external_lex_state = 2},
  [7339] = {.lex_state = 343, .external_lex_state = 2},
  [7340] = {.lex_state = 343, .external_lex_state = 2},
  [7341] = {.lex_state = 48, .external_lex_state = 2},
  [7342] = {.lex_state = 343, .external_lex_state = 2},
  [7343] = {.lex_state = 343, .external_lex_state = 2},
  [7344] = {.lex_state = 343, .external_lex_state = 2},
  [7345] = {.lex_state = 343, .external_lex_state = 2},
  [7346] = {.lex_state = 343, .external_lex_state = 2},
  [7347] = {.lex_state = 45, .external_lex_state = 2},
  [7348] = {.lex_state = 343, .external_lex_state = 2},
  [7349] = {.lex_state = 343, .external_lex_state = 2},
  [7350] = {.lex_state = 343, .external_lex_state = 2},
  [7351] = {.lex_state = 48, .external_lex_state = 2},
  [7352] = {.lex_state = 343, .external_lex_state = 2},
  [7353] = {.lex_state = 343, .external_lex_state = 2},
  [7354] = {.lex_state = 343, .external_lex_state = 2},
  [7355] = {.lex_state = 343, .external_lex_state = 2},
  [7356] = {.lex_state = 48, .external_lex_state = 2},
  [7357] = {.lex_state = 343, .external_lex_state = 2},
  [7358] = {.lex_state = 343, .external_lex_state = 2},
  [7359] = {.lex_state = 343, .external_lex_state = 2},
  [7360] = {.lex_state = 343, .external_lex_state = 2},
  [7361] = {.lex_state = 343, .external_lex_state = 2},
  [7362] = {.lex_state = 48, .external_lex_state = 2},
  [7363] = {.lex_state = 343, .external_lex_state = 2},
  [7364] = {.lex_state = 343, .external_lex_state = 2},
  [7365] = {.lex_state = 48, .external_lex_state = 2},
  [7366] = {.lex_state = 343, .external_lex_state = 2},
  [7367] = {.lex_state = 48, .external_lex_state = 2},
  [7368] = {.lex_state = 47, .external_lex_state = 2},
  [7369] = {.lex_state = 343, .external_lex_state = 2},
  [7370] = {.lex_state = 48, .external_lex_state = 2},
  [7371] = {.lex_state = 343, .external_lex_state = 2},
  [7372] = {.lex_state = 45, .external_lex_state = 2},
  [7373] = {.lex_state = 343, .external_lex_state = 2},
  [7374] = {.lex_state = 343, .external_lex_state = 2},
  [7375] = {.lex_state = 343, .external_lex_state = 2},
  [7376] = {.lex_state = 48, .external_lex_state = 2},
  [7377] = {.lex_state = 343, .external_lex_state = 2},
  [7378] = {.lex_state = 343, .external_lex_state = 2},
  [7379] = {.lex_state = 48, .external_lex_state = 2},
  [7380] = {.lex_state = 343, .external_lex_state = 2},
  [7381] = {.lex_state = 343, .external_lex_state = 2},
  [7382] = {.lex_state = 48, .external_lex_state = 2},
  [7383] = {.lex_state = 343, .external_lex_state = 2},
  [7384] = {.lex_state = 48, .external_lex_state = 2},
  [7385] = {.lex_state = 343, .external_lex_state = 2},
  [7386] = {.lex_state = 343, .external_lex_state = 2},
  [7387] = {.lex_state = 343, .external_lex_state = 2},
  [7388] = {.lex_state = 343, .external_lex_state = 2},
  [7389] = {.lex_state = 45, .external_lex_state = 2},
  [7390] = {.lex_state = 343, .external_lex_state = 2},
  [7391] = {.lex_state = 48, .external_lex_state = 2},
  [7392] = {.lex_state = 343, .external_lex_state = 2},
  [7393] = {.lex_state = 343, .external_lex_state = 2},
  [7394] = {.lex_state = 343, .external_lex_state = 2},
  [7395] = {.lex_state = 343, .external_lex_state = 2},
  [7396] = {.lex_state = 343, .external_lex_state = 2},
  [7397] = {.lex_state = 343, .external_lex_state = 2},
  [7398] = {.lex_state = 48, .external_lex_state = 2},
  [7399] = {.lex_state = 343, .external_lex_state = 2},
  [7400] = {.lex_state = 48, .external_lex_state = 2},
  [7401] = {.lex_state = 48, .external_lex_state = 2},
  [7402] = {.lex_state = 343, .external_lex_state = 2},
  [7403] = {.lex_state = 343, .external_lex_state = 2},
  [7404] = {.lex_state = 343, .external_lex_state = 2},
  [7405] = {.lex_state = 48, .external_lex_state = 2},
  [7406] = {.lex_state = 343, .external_lex_state = 2},
  [7407] = {.lex_state = 48, .external_lex_state = 2},
  [7408] = {.lex_state = 48, .external_lex_state = 2},
  [7409] = {.lex_state = 343, .external_lex_state = 2},
  [7410] = {.lex_state = 343, .external_lex_state = 2},
  [7411] = {.lex_state = 48, .external_lex_state = 2},
  [7412] = {.lex_state = 343, .external_lex_state = 2},
  [7413] = {.lex_state = 343, .external_lex_state = 2},
  [7414] = {.lex_state = 48, .external_lex_state = 2},
  [7415] = {.lex_state = 343, .external_lex_state = 2},
  [7416] = {.lex_state = 343, .external_lex_state = 2},
  [7417] = {.lex_state = 343, .external_lex_state = 2},
  [7418] = {.lex_state = 343, .external_lex_state = 2},
  [7419] = {.lex_state = 48, .external_lex_state = 2},
  [7420] = {.lex_state = 21, .external_lex_state = 2},
  [7421] = {.lex_state = 48, .external_lex_state = 2},
  [7422] = {.lex_state = 343, .external_lex_state = 2},
  [7423] = {.lex_state = 343, .external_lex_state = 2},
  [7424] = {.lex_state = 343, .external_lex_state = 2},
  [7425] = {.lex_state = 343, .external_lex_state = 2},
  [7426] = {.lex_state = 343, .external_lex_state = 2},
  [7427] = {.lex_state = 343, .external_lex_state = 2},
  [7428] = {.lex_state = 343, .external_lex_state = 2},
  [7429] = {.lex_state = 48, .external_lex_state = 2},
  [7430] = {.lex_state = 48, .external_lex_state = 2},
  [7431] = {.lex_state = 343, .external_lex_state = 2},
  [7432] = {.lex_state = 48, .external_lex_state = 2},
  [7433] = {.lex_state = 343, .external_lex_state = 2},
  [7434] = {.lex_state = 343, .external_lex_state = 2},
  [7435] = {.lex_state = 48, .external_lex_state = 2},
  [7436] = {.lex_state = 343, .external_lex_state = 2},
  [7437] = {.lex_state = 343, .external_lex_state = 2},
  [7438] = {.lex_state = 343, .external_lex_state = 2},
  [7439] = {.lex_state = 48, .external_lex_state = 2},
  [7440] = {.lex_state = 343, .external_lex_state = 2},
  [7441] = {.lex_state = 343, .external_lex_state = 2},
  [7442] = {.lex_state = 48, .external_lex_state = 2},
  [7443] = {.lex_state = 343, .external_lex_state = 2},
  [7444] = {.lex_state = 343, .external_lex_state = 2},
  [7445] = {.lex_state = 343, .external_lex_state = 2},
  [7446] = {.lex_state = 343, .external_lex_state = 2},
  [7447] = {.lex_state = 48, .external_lex_state = 2},
  [7448] = {.lex_state = 343, .external_lex_state = 2},
  [7449] = {.lex_state = 343, .external_lex_state = 2},
  [7450] = {.lex_state = 343, .external_lex_state = 2},
  [7451] = {.lex_state = 343, .external_lex_state = 2},
  [7452] = {.lex_state = 343, .external_lex_state = 2},
  [7453] = {.lex_state = 343, .external_lex_state = 2},
  [7454] = {.lex_state = 343, .external_lex_state = 2},
  [7455] = {.lex_state = 48, .external_lex_state = 2},
  [7456] = {.lex_state = 343, .external_lex_state = 2},
  [7457] = {.lex_state = 343, .external_lex_state = 2},
  [7458] = {.lex_state = 48, .external_lex_state = 2},
  [7459] = {.lex_state = 343, .external_lex_state = 2},
  [7460] = {.lex_state = 343, .external_lex_state = 2},
  [7461] = {.lex_state = 48, .external_lex_state = 2},
  [7462] = {.lex_state = 343, .external_lex_state = 2},
  [7463] = {.lex_state = 48, .external_lex_state = 2},
  [7464] = {.lex_state = 48, .external_lex_state = 2},
  [7465] = {.lex_state = 343, .external_lex_state = 2},
  [7466] = {.lex_state = 343, .external_lex_state = 2},
  [7467] = {.lex_state = 343, .external_lex_state = 2},
  [7468] = {.lex_state = 343, .external_lex_state = 2},
  [7469] = {.lex_state = 343, .external_lex_state = 2},
  [7470] = {.lex_state = 48, .external_lex_state = 2},
  [7471] = {.lex_state = 343, .external_lex_state = 2},
  [7472] = {.lex_state = 343, .external_lex_state = 2},
  [7473] = {.lex_state = 343, .external_lex_state = 2},
  [7474] = {.lex_state = 343, .external_lex_state = 2},
  [7475] = {.lex_state = 343, .external_lex_state = 2},
  [7476] = {.lex_state = 343, .external_lex_state = 2},
  [7477] = {.lex_state = 343, .external_lex_state = 2},
  [7478] = {.lex_state = 48, .external_lex_state = 2},
  [7479] = {.lex_state = 47, .external_lex_state = 2},
  [7480] = {.lex_state = 48, .external_lex_state = 2},
  [7481] = {.lex_state = 343, .external_lex_state = 2},
  [7482] = {.lex_state = 343, .external_lex_state = 2},
  [7483] = {.lex_state = 48, .external_lex_state = 2},
  [7484] = {.lex_state = 47, .external_lex_state = 2},
  [7485] = {.lex_state = 343, .external_lex_state = 2},
  [7486] = {.lex_state = 343, .external_lex_state = 2},
  [7487] = {.lex_state = 2, .external_lex_state = 2},
  [7488] = {.lex_state = 343, .external_lex_state = 2},
  [7489] = {.lex_state = 343, .external_lex_state = 2},
  [7490] = {.lex_state = 343, .external_lex_state = 2},
  [7491] = {.lex_state = 48, .external_lex_state = 2},
  [7492] = {.lex_state = 343, .external_lex_state = 2},
  [7493] = {.lex_state = 343, .external_lex_state = 2},
  [7494] = {.lex_state = 343, .external_lex_state = 2},
  [7495] = {.lex_state = 48, .external_lex_state = 2},
  [7496] = {.lex_state = 48, .external_lex_state = 2},
  [7497] = {.lex_state = 343, .external_lex_state = 2},
  [7498] = {.lex_state = 48, .external_lex_state = 2},
  [7499] = {.lex_state = 48, .external_lex_state = 2},
  [7500] = {.lex_state = 48, .external_lex_state = 2},
  [7501] = {.lex_state = 48, .external_lex_state = 2},
  [7502] = {.lex_state = 343, .external_lex_state = 2},
  [7503] = {.lex_state = 343, .external_lex_state = 2},
  [7504] = {.lex_state = 48, .external_lex_state = 2},
  [7505] = {.lex_state = 48, .external_lex_state = 2},
  [7506] = {.lex_state = 48, .external_lex_state = 2},
  [7507] = {.lex_state = 343, .external_lex_state = 2},
  [7508] = {.lex_state = 48, .external_lex_state = 2},
  [7509] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(7477),
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(1),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(186),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(192),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(186),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(192),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6307),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_export] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(273),
    [anon_sym_namespace] = ACTIONS(275),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(283),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_readonly] = ACTIONS(287),
    [anon_sym_get] = ACTIONS(289),
    [anon_sym_set] = ACTIONS(289),
    [anon_sym_declare] = ACTIONS(291),
    [anon_sym_public] = ACTIONS(293),
    [anon_sym_private] = ACTIONS(293),
    [anon_sym_protected] = ACTIONS(293),
    [anon_sym_override] = ACTIONS(295),
    [anon_sym_module] = ACTIONS(297),
    [anon_sym_any] = ACTIONS(299),
    [anon_sym_number] = ACTIONS(299),
    [anon_sym_boolean] = ACTIONS(299),
    [anon_sym_string] = ACTIONS(299),
    [anon_sym_symbol] = ACTIONS(299),
    [anon_sym_object] = ACTIONS(299),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6307),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(301),
    [anon_sym_export] = ACTIONS(303),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(305),
    [anon_sym_namespace] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(313),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_readonly] = ACTIONS(317),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_public] = ACTIONS(323),
    [anon_sym_private] = ACTIONS(323),
    [anon_sym_protected] = ACTIONS(323),
    [anon_sym_override] = ACTIONS(325),
    [anon_sym_module] = ACTIONS(327),
    [anon_sym_any] = ACTIONS(329),
    [anon_sym_number] = ACTIONS(329),
    [anon_sym_boolean] = ACTIONS(329),
    [anon_sym_string] = ACTIONS(329),
    [anon_sym_symbol] = ACTIONS(329),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7434),
    [sym_spread_element] = STATE(6291),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3131),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4522),
    [sym_computed_property_name] = STATE(4526),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_accessibility_modifier] = STATE(3691),
    [sym_override_modifier] = STATE(3738),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(219),
    [anon_sym_export] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(235),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(239),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(243),
    [sym_private_property_identifier] = ACTIONS(245),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_readonly] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(251),
    [anon_sym_set] = ACTIONS(251),
    [anon_sym_declare] = ACTIONS(253),
    [anon_sym_public] = ACTIONS(255),
    [anon_sym_private] = ACTIONS(255),
    [anon_sym_protected] = ACTIONS(255),
    [anon_sym_override] = ACTIONS(257),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_any] = ACTIONS(261),
    [anon_sym_number] = ACTIONS(261),
    [anon_sym_boolean] = ACTIONS(261),
    [anon_sym_string] = ACTIONS(261),
    [anon_sym_symbol] = ACTIONS(261),
    [anon_sym_object] = ACTIONS(261),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1376),
    [sym_declaration] = STATE(1376),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1376),
    [sym_expression_statement] = STATE(1376),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_for_statement] = STATE(1376),
    [sym_for_in_statement] = STATE(1376),
    [sym_while_statement] = STATE(1376),
    [sym_do_statement] = STATE(1376),
    [sym_try_statement] = STATE(1376),
    [sym_with_statement] = STATE(1376),
    [sym_break_statement] = STATE(1376),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1376),
    [sym_return_statement] = STATE(1376),
    [sym_throw_statement] = STATE(1376),
    [sym_empty_statement] = STATE(1376),
    [sym_labeled_statement] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(335),
    [anon_sym_export] = ACTIONS(338),
    [anon_sym_default] = ACTIONS(341),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_namespace] = ACTIONS(346),
    [anon_sym_LBRACE] = ACTIONS(349),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(352),
    [anon_sym_import] = ACTIONS(355),
    [anon_sym_var] = ACTIONS(358),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_const] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_switch] = ACTIONS(370),
    [anon_sym_for] = ACTIONS(373),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_await] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(382),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(388),
    [anon_sym_with] = ACTIONS(391),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(397),
    [anon_sym_debugger] = ACTIONS(400),
    [anon_sym_return] = ACTIONS(403),
    [anon_sym_throw] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_yield] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(415),
    [anon_sym_LTtemplate_GT] = ACTIONS(418),
    [anon_sym_class] = ACTIONS(421),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(427),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_using] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(352),
    [anon_sym_DASH] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_LT] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(352),
    [anon_sym_void] = ACTIONS(352),
    [anon_sym_delete] = ACTIONS(352),
    [anon_sym_PLUS_PLUS] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(448),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(451),
    [sym_number] = ACTIONS(454),
    [sym_private_property_identifier] = ACTIONS(457),
    [sym_this] = ACTIONS(454),
    [sym_super] = ACTIONS(454),
    [sym_true] = ACTIONS(454),
    [sym_false] = ACTIONS(454),
    [sym_null] = ACTIONS(454),
    [sym_undefined] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(466),
    [anon_sym_readonly] = ACTIONS(466),
    [anon_sym_get] = ACTIONS(466),
    [anon_sym_set] = ACTIONS(466),
    [anon_sym_declare] = ACTIONS(469),
    [anon_sym_public] = ACTIONS(466),
    [anon_sym_private] = ACTIONS(466),
    [anon_sym_protected] = ACTIONS(466),
    [anon_sym_override] = ACTIONS(466),
    [anon_sym_module] = ACTIONS(472),
    [anon_sym_any] = ACTIONS(466),
    [anon_sym_number] = ACTIONS(466),
    [anon_sym_boolean] = ACTIONS(466),
    [anon_sym_string] = ACTIONS(466),
    [anon_sym_symbol] = ACTIONS(466),
    [anon_sym_object] = ACTIONS(466),
    [anon_sym_abstract] = ACTIONS(475),
    [anon_sym_interface] = ACTIONS(478),
    [anon_sym_enum] = ACTIONS(481),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1376),
    [sym_declaration] = STATE(1376),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1376),
    [sym_expression_statement] = STATE(1376),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_for_statement] = STATE(1376),
    [sym_for_in_statement] = STATE(1376),
    [sym_while_statement] = STATE(1376),
    [sym_do_statement] = STATE(1376),
    [sym_try_statement] = STATE(1376),
    [sym_with_statement] = STATE(1376),
    [sym_break_statement] = STATE(1376),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1376),
    [sym_return_statement] = STATE(1376),
    [sym_throw_statement] = STATE(1376),
    [sym_empty_statement] = STATE(1376),
    [sym_labeled_statement] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(488),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(488),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1376),
    [sym_declaration] = STATE(1376),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1376),
    [sym_expression_statement] = STATE(1376),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_for_statement] = STATE(1376),
    [sym_for_in_statement] = STATE(1376),
    [sym_while_statement] = STATE(1376),
    [sym_do_statement] = STATE(1376),
    [sym_try_statement] = STATE(1376),
    [sym_with_statement] = STATE(1376),
    [sym_break_statement] = STATE(1376),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1376),
    [sym_return_statement] = STATE(1376),
    [sym_throw_statement] = STATE(1376),
    [sym_empty_statement] = STATE(1376),
    [sym_labeled_statement] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1376),
    [sym_declaration] = STATE(1376),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1376),
    [sym_expression_statement] = STATE(1376),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_for_statement] = STATE(1376),
    [sym_for_in_statement] = STATE(1376),
    [sym_while_statement] = STATE(1376),
    [sym_do_statement] = STATE(1376),
    [sym_try_statement] = STATE(1376),
    [sym_with_statement] = STATE(1376),
    [sym_break_statement] = STATE(1376),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1376),
    [sym_return_statement] = STATE(1376),
    [sym_throw_statement] = STATE(1376),
    [sym_empty_statement] = STATE(1376),
    [sym_labeled_statement] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1376),
    [sym_declaration] = STATE(1376),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1376),
    [sym_expression_statement] = STATE(1376),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1376),
    [sym_if_statement] = STATE(1376),
    [sym_switch_statement] = STATE(1376),
    [sym_for_statement] = STATE(1376),
    [sym_for_in_statement] = STATE(1376),
    [sym_while_statement] = STATE(1376),
    [sym_do_statement] = STATE(1376),
    [sym_try_statement] = STATE(1376),
    [sym_with_statement] = STATE(1376),
    [sym_break_statement] = STATE(1376),
    [sym_continue_statement] = STATE(1376),
    [sym_debugger_statement] = STATE(1376),
    [sym_return_statement] = STATE(1376),
    [sym_throw_statement] = STATE(1376),
    [sym_empty_statement] = STATE(1376),
    [sym_labeled_statement] = STATE(1376),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(554),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(556),
    [sym_identifier] = ACTIONS(558),
    [anon_sym_export] = ACTIONS(561),
    [anon_sym_type] = ACTIONS(564),
    [anon_sym_namespace] = ACTIONS(567),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(352),
    [anon_sym_import] = ACTIONS(573),
    [anon_sym_var] = ACTIONS(576),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_const] = ACTIONS(582),
    [anon_sym_BANG] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(585),
    [anon_sym_switch] = ACTIONS(588),
    [anon_sym_for] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_await] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(594),
    [anon_sym_do] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(600),
    [anon_sym_with] = ACTIONS(603),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(609),
    [anon_sym_debugger] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(615),
    [anon_sym_throw] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(621),
    [anon_sym_yield] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(415),
    [anon_sym_LTtemplate_GT] = ACTIONS(418),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(633),
    [anon_sym_using] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(352),
    [anon_sym_DASH] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_LT] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(352),
    [anon_sym_void] = ACTIONS(352),
    [anon_sym_delete] = ACTIONS(352),
    [anon_sym_PLUS_PLUS] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(448),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(451),
    [sym_number] = ACTIONS(454),
    [sym_private_property_identifier] = ACTIONS(457),
    [sym_this] = ACTIONS(454),
    [sym_super] = ACTIONS(454),
    [sym_true] = ACTIONS(454),
    [sym_false] = ACTIONS(454),
    [sym_null] = ACTIONS(454),
    [sym_undefined] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(639),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(645),
    [anon_sym_interface] = ACTIONS(648),
    [anon_sym_enum] = ACTIONS(651),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(654),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(686),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(32),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(698),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(734),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(752),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(36),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(756),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [ts_builtin_sym_end] = ACTIONS(686),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(6953),
    [sym_declaration] = STATE(6953),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6953),
    [sym_expression_statement] = STATE(6953),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6953),
    [sym_if_statement] = STATE(6953),
    [sym_switch_statement] = STATE(6953),
    [sym_for_statement] = STATE(6953),
    [sym_for_in_statement] = STATE(6953),
    [sym_while_statement] = STATE(6953),
    [sym_do_statement] = STATE(6953),
    [sym_try_statement] = STATE(6953),
    [sym_with_statement] = STATE(6953),
    [sym_break_statement] = STATE(6953),
    [sym_continue_statement] = STATE(6953),
    [sym_debugger_statement] = STATE(6953),
    [sym_return_statement] = STATE(6953),
    [sym_throw_statement] = STATE(6953),
    [sym_empty_statement] = STATE(6953),
    [sym_labeled_statement] = STATE(6953),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(1499),
    [sym_declaration] = STATE(1499),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1499),
    [sym_expression_statement] = STATE(1499),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1499),
    [sym_if_statement] = STATE(1499),
    [sym_switch_statement] = STATE(1499),
    [sym_for_statement] = STATE(1499),
    [sym_for_in_statement] = STATE(1499),
    [sym_while_statement] = STATE(1499),
    [sym_do_statement] = STATE(1499),
    [sym_try_statement] = STATE(1499),
    [sym_with_statement] = STATE(1499),
    [sym_break_statement] = STATE(1499),
    [sym_continue_statement] = STATE(1499),
    [sym_debugger_statement] = STATE(1499),
    [sym_return_statement] = STATE(1499),
    [sym_throw_statement] = STATE(1499),
    [sym_empty_statement] = STATE(1499),
    [sym_labeled_statement] = STATE(1499),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(7278),
    [sym_declaration] = STATE(7278),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(7278),
    [sym_expression_statement] = STATE(7278),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(7278),
    [sym_if_statement] = STATE(7278),
    [sym_switch_statement] = STATE(7278),
    [sym_for_statement] = STATE(7278),
    [sym_for_in_statement] = STATE(7278),
    [sym_while_statement] = STATE(7278),
    [sym_do_statement] = STATE(7278),
    [sym_try_statement] = STATE(7278),
    [sym_with_statement] = STATE(7278),
    [sym_break_statement] = STATE(7278),
    [sym_continue_statement] = STATE(7278),
    [sym_debugger_statement] = STATE(7278),
    [sym_return_statement] = STATE(7278),
    [sym_throw_statement] = STATE(7278),
    [sym_empty_statement] = STATE(7278),
    [sym_labeled_statement] = STATE(7278),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1346),
    [sym_declaration] = STATE(1346),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1346),
    [sym_expression_statement] = STATE(1346),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_switch_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_for_in_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_do_statement] = STATE(1346),
    [sym_try_statement] = STATE(1346),
    [sym_with_statement] = STATE(1346),
    [sym_break_statement] = STATE(1346),
    [sym_continue_statement] = STATE(1346),
    [sym_debugger_statement] = STATE(1346),
    [sym_return_statement] = STATE(1346),
    [sym_throw_statement] = STATE(1346),
    [sym_empty_statement] = STATE(1346),
    [sym_labeled_statement] = STATE(1346),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(6514),
    [sym_declaration] = STATE(6514),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6514),
    [sym_expression_statement] = STATE(6514),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6514),
    [sym_if_statement] = STATE(6514),
    [sym_switch_statement] = STATE(6514),
    [sym_for_statement] = STATE(6514),
    [sym_for_in_statement] = STATE(6514),
    [sym_while_statement] = STATE(6514),
    [sym_do_statement] = STATE(6514),
    [sym_try_statement] = STATE(6514),
    [sym_with_statement] = STATE(6514),
    [sym_break_statement] = STATE(6514),
    [sym_continue_statement] = STATE(6514),
    [sym_debugger_statement] = STATE(6514),
    [sym_return_statement] = STATE(6514),
    [sym_throw_statement] = STATE(6514),
    [sym_empty_statement] = STATE(6514),
    [sym_labeled_statement] = STATE(6514),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1531),
    [sym_declaration] = STATE(1536),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1537),
    [sym_expression_statement] = STATE(1538),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1540),
    [sym_if_statement] = STATE(1542),
    [sym_switch_statement] = STATE(1554),
    [sym_for_statement] = STATE(1559),
    [sym_for_in_statement] = STATE(1561),
    [sym_while_statement] = STATE(1563),
    [sym_do_statement] = STATE(1564),
    [sym_try_statement] = STATE(1566),
    [sym_with_statement] = STATE(1571),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1579),
    [sym_throw_statement] = STATE(1581),
    [sym_empty_statement] = STATE(1583),
    [sym_labeled_statement] = STATE(1584),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(7385),
    [sym_declaration] = STATE(7385),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(7385),
    [sym_expression_statement] = STATE(7385),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(7385),
    [sym_if_statement] = STATE(7385),
    [sym_switch_statement] = STATE(7385),
    [sym_for_statement] = STATE(7385),
    [sym_for_in_statement] = STATE(7385),
    [sym_while_statement] = STATE(7385),
    [sym_do_statement] = STATE(7385),
    [sym_try_statement] = STATE(7385),
    [sym_with_statement] = STATE(7385),
    [sym_break_statement] = STATE(7385),
    [sym_continue_statement] = STATE(7385),
    [sym_debugger_statement] = STATE(7385),
    [sym_return_statement] = STATE(7385),
    [sym_throw_statement] = STATE(7385),
    [sym_empty_statement] = STATE(7385),
    [sym_labeled_statement] = STATE(7385),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(7116),
    [sym_declaration] = STATE(7116),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(7116),
    [sym_expression_statement] = STATE(7116),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(7116),
    [sym_if_statement] = STATE(7116),
    [sym_switch_statement] = STATE(7116),
    [sym_for_statement] = STATE(7116),
    [sym_for_in_statement] = STATE(7116),
    [sym_while_statement] = STATE(7116),
    [sym_do_statement] = STATE(7116),
    [sym_try_statement] = STATE(7116),
    [sym_with_statement] = STATE(7116),
    [sym_break_statement] = STATE(7116),
    [sym_continue_statement] = STATE(7116),
    [sym_debugger_statement] = STATE(7116),
    [sym_return_statement] = STATE(7116),
    [sym_throw_statement] = STATE(7116),
    [sym_empty_statement] = STATE(7116),
    [sym_labeled_statement] = STATE(7116),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(1275),
    [sym_declaration] = STATE(1275),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1275),
    [sym_expression_statement] = STATE(1275),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1275),
    [sym_if_statement] = STATE(1275),
    [sym_switch_statement] = STATE(1275),
    [sym_for_statement] = STATE(1275),
    [sym_for_in_statement] = STATE(1275),
    [sym_while_statement] = STATE(1275),
    [sym_do_statement] = STATE(1275),
    [sym_try_statement] = STATE(1275),
    [sym_with_statement] = STATE(1275),
    [sym_break_statement] = STATE(1275),
    [sym_continue_statement] = STATE(1275),
    [sym_debugger_statement] = STATE(1275),
    [sym_return_statement] = STATE(1275),
    [sym_throw_statement] = STATE(1275),
    [sym_empty_statement] = STATE(1275),
    [sym_labeled_statement] = STATE(1275),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1209),
    [sym_declaration] = STATE(1209),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1209),
    [sym_expression_statement] = STATE(1209),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1209),
    [sym_if_statement] = STATE(1209),
    [sym_switch_statement] = STATE(1209),
    [sym_for_statement] = STATE(1209),
    [sym_for_in_statement] = STATE(1209),
    [sym_while_statement] = STATE(1209),
    [sym_do_statement] = STATE(1209),
    [sym_try_statement] = STATE(1209),
    [sym_with_statement] = STATE(1209),
    [sym_break_statement] = STATE(1209),
    [sym_continue_statement] = STATE(1209),
    [sym_debugger_statement] = STATE(1209),
    [sym_return_statement] = STATE(1209),
    [sym_throw_statement] = STATE(1209),
    [sym_empty_statement] = STATE(1209),
    [sym_labeled_statement] = STATE(1209),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1603),
    [sym_declaration] = STATE(1603),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1603),
    [sym_expression_statement] = STATE(1603),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1603),
    [sym_if_statement] = STATE(1603),
    [sym_switch_statement] = STATE(1603),
    [sym_for_statement] = STATE(1603),
    [sym_for_in_statement] = STATE(1603),
    [sym_while_statement] = STATE(1603),
    [sym_do_statement] = STATE(1603),
    [sym_try_statement] = STATE(1603),
    [sym_with_statement] = STATE(1603),
    [sym_break_statement] = STATE(1603),
    [sym_continue_statement] = STATE(1603),
    [sym_debugger_statement] = STATE(1603),
    [sym_return_statement] = STATE(1603),
    [sym_throw_statement] = STATE(1603),
    [sym_empty_statement] = STATE(1603),
    [sym_labeled_statement] = STATE(1603),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(6874),
    [sym_declaration] = STATE(6853),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6849),
    [sym_expression_statement] = STATE(6847),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6842),
    [sym_if_statement] = STATE(7017),
    [sym_switch_statement] = STATE(6834),
    [sym_for_statement] = STATE(6821),
    [sym_for_in_statement] = STATE(6818),
    [sym_while_statement] = STATE(6805),
    [sym_do_statement] = STATE(6803),
    [sym_try_statement] = STATE(6802),
    [sym_with_statement] = STATE(6799),
    [sym_break_statement] = STATE(6794),
    [sym_continue_statement] = STATE(6789),
    [sym_debugger_statement] = STATE(6785),
    [sym_return_statement] = STATE(6784),
    [sym_throw_statement] = STATE(6783),
    [sym_empty_statement] = STATE(6770),
    [sym_labeled_statement] = STATE(6748),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(1231),
    [sym_declaration] = STATE(1231),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1231),
    [sym_expression_statement] = STATE(1231),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1231),
    [sym_if_statement] = STATE(1231),
    [sym_switch_statement] = STATE(1231),
    [sym_for_statement] = STATE(1231),
    [sym_for_in_statement] = STATE(1231),
    [sym_while_statement] = STATE(1231),
    [sym_do_statement] = STATE(1231),
    [sym_try_statement] = STATE(1231),
    [sym_with_statement] = STATE(1231),
    [sym_break_statement] = STATE(1231),
    [sym_continue_statement] = STATE(1231),
    [sym_debugger_statement] = STATE(1231),
    [sym_return_statement] = STATE(1231),
    [sym_throw_statement] = STATE(1231),
    [sym_empty_statement] = STATE(1231),
    [sym_labeled_statement] = STATE(1231),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1236),
    [sym_declaration] = STATE(1236),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1236),
    [sym_expression_statement] = STATE(1236),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1236),
    [sym_if_statement] = STATE(1236),
    [sym_switch_statement] = STATE(1236),
    [sym_for_statement] = STATE(1236),
    [sym_for_in_statement] = STATE(1236),
    [sym_while_statement] = STATE(1236),
    [sym_do_statement] = STATE(1236),
    [sym_try_statement] = STATE(1236),
    [sym_with_statement] = STATE(1236),
    [sym_break_statement] = STATE(1236),
    [sym_continue_statement] = STATE(1236),
    [sym_debugger_statement] = STATE(1236),
    [sym_return_statement] = STATE(1236),
    [sym_throw_statement] = STATE(1236),
    [sym_empty_statement] = STATE(1236),
    [sym_labeled_statement] = STATE(1236),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1080),
    [sym_declaration] = STATE(1087),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1090),
    [sym_expression_statement] = STATE(1091),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1104),
    [sym_if_statement] = STATE(1105),
    [sym_switch_statement] = STATE(1106),
    [sym_for_statement] = STATE(1018),
    [sym_for_in_statement] = STATE(1116),
    [sym_while_statement] = STATE(1117),
    [sym_do_statement] = STATE(1118),
    [sym_try_statement] = STATE(1119),
    [sym_with_statement] = STATE(1120),
    [sym_break_statement] = STATE(1131),
    [sym_continue_statement] = STATE(1133),
    [sym_debugger_statement] = STATE(1134),
    [sym_return_statement] = STATE(1140),
    [sym_throw_statement] = STATE(1145),
    [sym_empty_statement] = STATE(1147),
    [sym_labeled_statement] = STATE(1150),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(1065),
    [sym_declaration] = STATE(1065),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1065),
    [sym_expression_statement] = STATE(1065),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1065),
    [sym_if_statement] = STATE(1065),
    [sym_switch_statement] = STATE(1065),
    [sym_for_statement] = STATE(1065),
    [sym_for_in_statement] = STATE(1065),
    [sym_while_statement] = STATE(1065),
    [sym_do_statement] = STATE(1065),
    [sym_try_statement] = STATE(1065),
    [sym_with_statement] = STATE(1065),
    [sym_break_statement] = STATE(1065),
    [sym_continue_statement] = STATE(1065),
    [sym_debugger_statement] = STATE(1065),
    [sym_return_statement] = STATE(1065),
    [sym_throw_statement] = STATE(1065),
    [sym_empty_statement] = STATE(1065),
    [sym_labeled_statement] = STATE(1065),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1073),
    [sym_declaration] = STATE(1073),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1073),
    [sym_expression_statement] = STATE(1073),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1073),
    [sym_if_statement] = STATE(1073),
    [sym_switch_statement] = STATE(1073),
    [sym_for_statement] = STATE(1073),
    [sym_for_in_statement] = STATE(1073),
    [sym_while_statement] = STATE(1073),
    [sym_do_statement] = STATE(1073),
    [sym_try_statement] = STATE(1073),
    [sym_with_statement] = STATE(1073),
    [sym_break_statement] = STATE(1073),
    [sym_continue_statement] = STATE(1073),
    [sym_debugger_statement] = STATE(1073),
    [sym_return_statement] = STATE(1073),
    [sym_throw_statement] = STATE(1073),
    [sym_empty_statement] = STATE(1073),
    [sym_labeled_statement] = STATE(1073),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1113),
    [sym_declaration] = STATE(1111),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1110),
    [sym_expression_statement] = STATE(1109),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1107),
    [sym_if_statement] = STATE(1102),
    [sym_switch_statement] = STATE(1100),
    [sym_for_statement] = STATE(1098),
    [sym_for_in_statement] = STATE(1097),
    [sym_while_statement] = STATE(1096),
    [sym_do_statement] = STATE(1092),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1086),
    [sym_break_statement] = STATE(1085),
    [sym_continue_statement] = STATE(1084),
    [sym_debugger_statement] = STATE(1082),
    [sym_return_statement] = STATE(1081),
    [sym_throw_statement] = STATE(1078),
    [sym_empty_statement] = STATE(1077),
    [sym_labeled_statement] = STATE(1075),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1625),
    [sym_declaration] = STATE(1625),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1625),
    [sym_expression_statement] = STATE(1625),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1625),
    [sym_if_statement] = STATE(1625),
    [sym_switch_statement] = STATE(1625),
    [sym_for_statement] = STATE(1625),
    [sym_for_in_statement] = STATE(1625),
    [sym_while_statement] = STATE(1625),
    [sym_do_statement] = STATE(1625),
    [sym_try_statement] = STATE(1625),
    [sym_with_statement] = STATE(1625),
    [sym_break_statement] = STATE(1625),
    [sym_continue_statement] = STATE(1625),
    [sym_debugger_statement] = STATE(1625),
    [sym_return_statement] = STATE(1625),
    [sym_throw_statement] = STATE(1625),
    [sym_empty_statement] = STATE(1625),
    [sym_labeled_statement] = STATE(1625),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(1399),
    [sym_declaration] = STATE(1399),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1399),
    [sym_expression_statement] = STATE(1399),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1399),
    [sym_if_statement] = STATE(1399),
    [sym_switch_statement] = STATE(1399),
    [sym_for_statement] = STATE(1399),
    [sym_for_in_statement] = STATE(1399),
    [sym_while_statement] = STATE(1399),
    [sym_do_statement] = STATE(1399),
    [sym_try_statement] = STATE(1399),
    [sym_with_statement] = STATE(1399),
    [sym_break_statement] = STATE(1399),
    [sym_continue_statement] = STATE(1399),
    [sym_debugger_statement] = STATE(1399),
    [sym_return_statement] = STATE(1399),
    [sym_throw_statement] = STATE(1399),
    [sym_empty_statement] = STATE(1399),
    [sym_labeled_statement] = STATE(1399),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1615),
    [sym_declaration] = STATE(1615),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1615),
    [sym_expression_statement] = STATE(1615),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1615),
    [sym_if_statement] = STATE(1615),
    [sym_switch_statement] = STATE(1615),
    [sym_for_statement] = STATE(1615),
    [sym_for_in_statement] = STATE(1615),
    [sym_while_statement] = STATE(1615),
    [sym_do_statement] = STATE(1615),
    [sym_try_statement] = STATE(1615),
    [sym_with_statement] = STATE(1615),
    [sym_break_statement] = STATE(1615),
    [sym_continue_statement] = STATE(1615),
    [sym_debugger_statement] = STATE(1615),
    [sym_return_statement] = STATE(1615),
    [sym_throw_statement] = STATE(1615),
    [sym_empty_statement] = STATE(1615),
    [sym_labeled_statement] = STATE(1615),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(6676),
    [sym_declaration] = STATE(6676),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6676),
    [sym_expression_statement] = STATE(6676),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6676),
    [sym_if_statement] = STATE(6676),
    [sym_switch_statement] = STATE(6676),
    [sym_for_statement] = STATE(6676),
    [sym_for_in_statement] = STATE(6676),
    [sym_while_statement] = STATE(6676),
    [sym_do_statement] = STATE(6676),
    [sym_try_statement] = STATE(6676),
    [sym_with_statement] = STATE(6676),
    [sym_break_statement] = STATE(6676),
    [sym_continue_statement] = STATE(6676),
    [sym_debugger_statement] = STATE(6676),
    [sym_return_statement] = STATE(6676),
    [sym_throw_statement] = STATE(6676),
    [sym_empty_statement] = STATE(6676),
    [sym_labeled_statement] = STATE(6676),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(1135),
    [sym_declaration] = STATE(1135),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1135),
    [sym_expression_statement] = STATE(1135),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1135),
    [sym_if_statement] = STATE(1135),
    [sym_switch_statement] = STATE(1135),
    [sym_for_statement] = STATE(1135),
    [sym_for_in_statement] = STATE(1135),
    [sym_while_statement] = STATE(1135),
    [sym_do_statement] = STATE(1135),
    [sym_try_statement] = STATE(1135),
    [sym_with_statement] = STATE(1135),
    [sym_break_statement] = STATE(1135),
    [sym_continue_statement] = STATE(1135),
    [sym_debugger_statement] = STATE(1135),
    [sym_return_statement] = STATE(1135),
    [sym_throw_statement] = STATE(1135),
    [sym_empty_statement] = STATE(1135),
    [sym_labeled_statement] = STATE(1135),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(1715),
    [sym_declaration] = STATE(1715),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1715),
    [sym_expression_statement] = STATE(1715),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1715),
    [sym_if_statement] = STATE(1715),
    [sym_switch_statement] = STATE(1715),
    [sym_for_statement] = STATE(1715),
    [sym_for_in_statement] = STATE(1715),
    [sym_while_statement] = STATE(1715),
    [sym_do_statement] = STATE(1715),
    [sym_try_statement] = STATE(1715),
    [sym_with_statement] = STATE(1715),
    [sym_break_statement] = STATE(1715),
    [sym_continue_statement] = STATE(1715),
    [sym_debugger_statement] = STATE(1715),
    [sym_return_statement] = STATE(1715),
    [sym_throw_statement] = STATE(1715),
    [sym_empty_statement] = STATE(1715),
    [sym_labeled_statement] = STATE(1715),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(1157),
    [sym_declaration] = STATE(1157),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1157),
    [sym_expression_statement] = STATE(1157),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1157),
    [sym_if_statement] = STATE(1157),
    [sym_switch_statement] = STATE(1157),
    [sym_for_statement] = STATE(1157),
    [sym_for_in_statement] = STATE(1157),
    [sym_while_statement] = STATE(1157),
    [sym_do_statement] = STATE(1157),
    [sym_try_statement] = STATE(1157),
    [sym_with_statement] = STATE(1157),
    [sym_break_statement] = STATE(1157),
    [sym_continue_statement] = STATE(1157),
    [sym_debugger_statement] = STATE(1157),
    [sym_return_statement] = STATE(1157),
    [sym_throw_statement] = STATE(1157),
    [sym_empty_statement] = STATE(1157),
    [sym_labeled_statement] = STATE(1157),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(6873),
    [sym_declaration] = STATE(6873),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6873),
    [sym_expression_statement] = STATE(6873),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6873),
    [sym_if_statement] = STATE(6873),
    [sym_switch_statement] = STATE(6873),
    [sym_for_statement] = STATE(6873),
    [sym_for_in_statement] = STATE(6873),
    [sym_while_statement] = STATE(6873),
    [sym_do_statement] = STATE(6873),
    [sym_try_statement] = STATE(6873),
    [sym_with_statement] = STATE(6873),
    [sym_break_statement] = STATE(6873),
    [sym_continue_statement] = STATE(6873),
    [sym_debugger_statement] = STATE(6873),
    [sym_return_statement] = STATE(6873),
    [sym_throw_statement] = STATE(6873),
    [sym_empty_statement] = STATE(6873),
    [sym_labeled_statement] = STATE(6873),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(1504),
    [sym_declaration] = STATE(1504),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1504),
    [sym_expression_statement] = STATE(1504),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1504),
    [sym_if_statement] = STATE(1504),
    [sym_switch_statement] = STATE(1504),
    [sym_for_statement] = STATE(1504),
    [sym_for_in_statement] = STATE(1504),
    [sym_while_statement] = STATE(1504),
    [sym_do_statement] = STATE(1504),
    [sym_try_statement] = STATE(1504),
    [sym_with_statement] = STATE(1504),
    [sym_break_statement] = STATE(1504),
    [sym_continue_statement] = STATE(1504),
    [sym_debugger_statement] = STATE(1504),
    [sym_return_statement] = STATE(1504),
    [sym_throw_statement] = STATE(1504),
    [sym_empty_statement] = STATE(1504),
    [sym_labeled_statement] = STATE(1504),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1462),
    [sym_declaration] = STATE(1462),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1462),
    [sym_expression_statement] = STATE(1462),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1462),
    [sym_if_statement] = STATE(1462),
    [sym_switch_statement] = STATE(1462),
    [sym_for_statement] = STATE(1462),
    [sym_for_in_statement] = STATE(1462),
    [sym_while_statement] = STATE(1462),
    [sym_do_statement] = STATE(1462),
    [sym_try_statement] = STATE(1462),
    [sym_with_statement] = STATE(1462),
    [sym_break_statement] = STATE(1462),
    [sym_continue_statement] = STATE(1462),
    [sym_debugger_statement] = STATE(1462),
    [sym_return_statement] = STATE(1462),
    [sym_throw_statement] = STATE(1462),
    [sym_empty_statement] = STATE(1462),
    [sym_labeled_statement] = STATE(1462),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(1619),
    [sym_declaration] = STATE(1619),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1619),
    [sym_expression_statement] = STATE(1619),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1619),
    [sym_if_statement] = STATE(1619),
    [sym_switch_statement] = STATE(1619),
    [sym_for_statement] = STATE(1619),
    [sym_for_in_statement] = STATE(1619),
    [sym_while_statement] = STATE(1619),
    [sym_do_statement] = STATE(1619),
    [sym_try_statement] = STATE(1619),
    [sym_with_statement] = STATE(1619),
    [sym_break_statement] = STATE(1619),
    [sym_continue_statement] = STATE(1619),
    [sym_debugger_statement] = STATE(1619),
    [sym_return_statement] = STATE(1619),
    [sym_throw_statement] = STATE(1619),
    [sym_empty_statement] = STATE(1619),
    [sym_labeled_statement] = STATE(1619),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(1655),
    [sym_declaration] = STATE(1655),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1655),
    [sym_expression_statement] = STATE(1655),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1655),
    [sym_if_statement] = STATE(1655),
    [sym_switch_statement] = STATE(1655),
    [sym_for_statement] = STATE(1655),
    [sym_for_in_statement] = STATE(1655),
    [sym_while_statement] = STATE(1655),
    [sym_do_statement] = STATE(1655),
    [sym_try_statement] = STATE(1655),
    [sym_with_statement] = STATE(1655),
    [sym_break_statement] = STATE(1655),
    [sym_continue_statement] = STATE(1655),
    [sym_debugger_statement] = STATE(1655),
    [sym_return_statement] = STATE(1655),
    [sym_throw_statement] = STATE(1655),
    [sym_empty_statement] = STATE(1655),
    [sym_labeled_statement] = STATE(1655),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(1350),
    [sym_declaration] = STATE(1350),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1350),
    [sym_expression_statement] = STATE(1350),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1350),
    [sym_if_statement] = STATE(1350),
    [sym_switch_statement] = STATE(1350),
    [sym_for_statement] = STATE(1350),
    [sym_for_in_statement] = STATE(1350),
    [sym_while_statement] = STATE(1350),
    [sym_do_statement] = STATE(1350),
    [sym_try_statement] = STATE(1350),
    [sym_with_statement] = STATE(1350),
    [sym_break_statement] = STATE(1350),
    [sym_continue_statement] = STATE(1350),
    [sym_debugger_statement] = STATE(1350),
    [sym_return_statement] = STATE(1350),
    [sym_throw_statement] = STATE(1350),
    [sym_empty_statement] = STATE(1350),
    [sym_labeled_statement] = STATE(1350),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(1657),
    [sym_declaration] = STATE(1658),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1660),
    [sym_expression_statement] = STATE(1672),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1674),
    [sym_if_statement] = STATE(1677),
    [sym_switch_statement] = STATE(1611),
    [sym_for_statement] = STATE(1683),
    [sym_for_in_statement] = STATE(1686),
    [sym_while_statement] = STATE(1693),
    [sym_do_statement] = STATE(1697),
    [sym_try_statement] = STATE(1699),
    [sym_with_statement] = STATE(1701),
    [sym_break_statement] = STATE(1702),
    [sym_continue_statement] = STATE(1682),
    [sym_debugger_statement] = STATE(1714),
    [sym_return_statement] = STATE(1716),
    [sym_throw_statement] = STATE(1718),
    [sym_empty_statement] = STATE(1733),
    [sym_labeled_statement] = STATE(1734),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(1493),
    [sym_declaration] = STATE(1493),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1493),
    [sym_expression_statement] = STATE(1493),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1493),
    [sym_if_statement] = STATE(1493),
    [sym_switch_statement] = STATE(1493),
    [sym_for_statement] = STATE(1493),
    [sym_for_in_statement] = STATE(1493),
    [sym_while_statement] = STATE(1493),
    [sym_do_statement] = STATE(1493),
    [sym_try_statement] = STATE(1493),
    [sym_with_statement] = STATE(1493),
    [sym_break_statement] = STATE(1493),
    [sym_continue_statement] = STATE(1493),
    [sym_debugger_statement] = STATE(1493),
    [sym_return_statement] = STATE(1493),
    [sym_throw_statement] = STATE(1493),
    [sym_empty_statement] = STATE(1493),
    [sym_labeled_statement] = STATE(1493),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(7068),
    [sym_declaration] = STATE(7068),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(7068),
    [sym_expression_statement] = STATE(7068),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(7068),
    [sym_if_statement] = STATE(7068),
    [sym_switch_statement] = STATE(7068),
    [sym_for_statement] = STATE(7068),
    [sym_for_in_statement] = STATE(7068),
    [sym_while_statement] = STATE(7068),
    [sym_do_statement] = STATE(7068),
    [sym_try_statement] = STATE(7068),
    [sym_with_statement] = STATE(7068),
    [sym_break_statement] = STATE(7068),
    [sym_continue_statement] = STATE(7068),
    [sym_debugger_statement] = STATE(7068),
    [sym_return_statement] = STATE(7068),
    [sym_throw_statement] = STATE(7068),
    [sym_empty_statement] = STATE(7068),
    [sym_labeled_statement] = STATE(7068),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(1027),
    [sym_declaration] = STATE(1027),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1027),
    [sym_expression_statement] = STATE(1027),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1027),
    [sym_if_statement] = STATE(1027),
    [sym_switch_statement] = STATE(1027),
    [sym_for_statement] = STATE(1027),
    [sym_for_in_statement] = STATE(1027),
    [sym_while_statement] = STATE(1027),
    [sym_do_statement] = STATE(1027),
    [sym_try_statement] = STATE(1027),
    [sym_with_statement] = STATE(1027),
    [sym_break_statement] = STATE(1027),
    [sym_continue_statement] = STATE(1027),
    [sym_debugger_statement] = STATE(1027),
    [sym_return_statement] = STATE(1027),
    [sym_throw_statement] = STATE(1027),
    [sym_empty_statement] = STATE(1027),
    [sym_labeled_statement] = STATE(1027),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(1011),
    [sym_declaration] = STATE(1011),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1011),
    [sym_expression_statement] = STATE(1011),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1011),
    [sym_if_statement] = STATE(1011),
    [sym_switch_statement] = STATE(1011),
    [sym_for_statement] = STATE(1011),
    [sym_for_in_statement] = STATE(1011),
    [sym_while_statement] = STATE(1011),
    [sym_do_statement] = STATE(1011),
    [sym_try_statement] = STATE(1011),
    [sym_with_statement] = STATE(1011),
    [sym_break_statement] = STATE(1011),
    [sym_continue_statement] = STATE(1011),
    [sym_debugger_statement] = STATE(1011),
    [sym_return_statement] = STATE(1011),
    [sym_throw_statement] = STATE(1011),
    [sym_empty_statement] = STATE(1011),
    [sym_labeled_statement] = STATE(1011),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1688),
    [sym_declaration] = STATE(1662),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1661),
    [sym_expression_statement] = STATE(1648),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_statement_block] = STATE(1646),
    [sym_if_statement] = STATE(1637),
    [sym_switch_statement] = STATE(1634),
    [sym_for_statement] = STATE(1632),
    [sym_for_in_statement] = STATE(1631),
    [sym_while_statement] = STATE(1630),
    [sym_do_statement] = STATE(1629),
    [sym_try_statement] = STATE(1628),
    [sym_with_statement] = STATE(1616),
    [sym_break_statement] = STATE(1636),
    [sym_continue_statement] = STATE(1597),
    [sym_debugger_statement] = STATE(1595),
    [sym_return_statement] = STATE(1594),
    [sym_throw_statement] = STATE(1593),
    [sym_empty_statement] = STATE(1592),
    [sym_labeled_statement] = STATE(1681),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2691),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6398),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4921),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(97),
    [anon_sym_readonly] = ACTIONS(97),
    [anon_sym_get] = ACTIONS(97),
    [anon_sym_set] = ACTIONS(97),
    [anon_sym_declare] = ACTIONS(99),
    [anon_sym_public] = ACTIONS(97),
    [anon_sym_private] = ACTIONS(97),
    [anon_sym_protected] = ACTIONS(97),
    [anon_sym_override] = ACTIONS(97),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_any] = ACTIONS(97),
    [anon_sym_number] = ACTIONS(97),
    [anon_sym_boolean] = ACTIONS(97),
    [anon_sym_string] = ACTIONS(97),
    [anon_sym_symbol] = ACTIONS(97),
    [anon_sym_object] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(1008),
    [sym_declaration] = STATE(1008),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1008),
    [sym_expression_statement] = STATE(1008),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_statement_block] = STATE(1008),
    [sym_if_statement] = STATE(1008),
    [sym_switch_statement] = STATE(1008),
    [sym_for_statement] = STATE(1008),
    [sym_for_in_statement] = STATE(1008),
    [sym_while_statement] = STATE(1008),
    [sym_do_statement] = STATE(1008),
    [sym_try_statement] = STATE(1008),
    [sym_with_statement] = STATE(1008),
    [sym_break_statement] = STATE(1008),
    [sym_continue_statement] = STATE(1008),
    [sym_debugger_statement] = STATE(1008),
    [sym_return_statement] = STATE(1008),
    [sym_throw_statement] = STATE(1008),
    [sym_empty_statement] = STATE(1008),
    [sym_labeled_statement] = STATE(1008),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2738),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4897),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(892),
    [anon_sym_type] = ACTIONS(894),
    [anon_sym_namespace] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(910),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(918),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(922),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_debugger] = ACTIONS(926),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(942),
    [anon_sym_readonly] = ACTIONS(942),
    [anon_sym_get] = ACTIONS(942),
    [anon_sym_set] = ACTIONS(942),
    [anon_sym_declare] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(942),
    [anon_sym_private] = ACTIONS(942),
    [anon_sym_protected] = ACTIONS(942),
    [anon_sym_override] = ACTIONS(942),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(942),
    [anon_sym_number] = ACTIONS(942),
    [anon_sym_boolean] = ACTIONS(942),
    [anon_sym_string] = ACTIONS(942),
    [anon_sym_symbol] = ACTIONS(942),
    [anon_sym_object] = ACTIONS(942),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(1442),
    [sym_declaration] = STATE(1440),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1438),
    [sym_expression_statement] = STATE(1437),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1436),
    [sym_if_statement] = STATE(1435),
    [sym_switch_statement] = STATE(1431),
    [sym_for_statement] = STATE(1429),
    [sym_for_in_statement] = STATE(1423),
    [sym_while_statement] = STATE(1419),
    [sym_do_statement] = STATE(1417),
    [sym_try_statement] = STATE(1416),
    [sym_with_statement] = STATE(1407),
    [sym_break_statement] = STATE(1406),
    [sym_continue_statement] = STATE(1404),
    [sym_debugger_statement] = STATE(1403),
    [sym_return_statement] = STATE(1402),
    [sym_throw_statement] = STATE(1400),
    [sym_empty_statement] = STATE(1380),
    [sym_labeled_statement] = STATE(1363),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(1427),
    [sym_declaration] = STATE(1427),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1427),
    [sym_expression_statement] = STATE(1427),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym_switch_statement] = STATE(1427),
    [sym_for_statement] = STATE(1427),
    [sym_for_in_statement] = STATE(1427),
    [sym_while_statement] = STATE(1427),
    [sym_do_statement] = STATE(1427),
    [sym_try_statement] = STATE(1427),
    [sym_with_statement] = STATE(1427),
    [sym_break_statement] = STATE(1427),
    [sym_continue_statement] = STATE(1427),
    [sym_debugger_statement] = STATE(1427),
    [sym_return_statement] = STATE(1427),
    [sym_throw_statement] = STATE(1427),
    [sym_empty_statement] = STATE(1427),
    [sym_labeled_statement] = STATE(1427),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(6928),
    [sym_declaration] = STATE(6928),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6928),
    [sym_expression_statement] = STATE(6928),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6928),
    [sym_if_statement] = STATE(6928),
    [sym_switch_statement] = STATE(6928),
    [sym_for_statement] = STATE(6928),
    [sym_for_in_statement] = STATE(6928),
    [sym_while_statement] = STATE(6928),
    [sym_do_statement] = STATE(6928),
    [sym_try_statement] = STATE(6928),
    [sym_with_statement] = STATE(6928),
    [sym_break_statement] = STATE(6928),
    [sym_continue_statement] = STATE(6928),
    [sym_debugger_statement] = STATE(6928),
    [sym_return_statement] = STATE(6928),
    [sym_throw_statement] = STATE(6928),
    [sym_empty_statement] = STATE(6928),
    [sym_labeled_statement] = STATE(6928),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(5979),
    [sym_declaration] = STATE(5979),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(5979),
    [sym_expression_statement] = STATE(5979),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(5979),
    [sym_if_statement] = STATE(5979),
    [sym_switch_statement] = STATE(5979),
    [sym_for_statement] = STATE(5979),
    [sym_for_in_statement] = STATE(5979),
    [sym_while_statement] = STATE(5979),
    [sym_do_statement] = STATE(5979),
    [sym_try_statement] = STATE(5979),
    [sym_with_statement] = STATE(5979),
    [sym_break_statement] = STATE(5979),
    [sym_continue_statement] = STATE(5979),
    [sym_debugger_statement] = STATE(5979),
    [sym_return_statement] = STATE(5979),
    [sym_throw_statement] = STATE(5979),
    [sym_empty_statement] = STATE(5979),
    [sym_labeled_statement] = STATE(5979),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(1318),
    [sym_declaration] = STATE(1318),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1318),
    [sym_expression_statement] = STATE(1318),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_switch_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_for_in_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_do_statement] = STATE(1318),
    [sym_try_statement] = STATE(1318),
    [sym_with_statement] = STATE(1318),
    [sym_break_statement] = STATE(1318),
    [sym_continue_statement] = STATE(1318),
    [sym_debugger_statement] = STATE(1318),
    [sym_return_statement] = STATE(1318),
    [sym_throw_statement] = STATE(1318),
    [sym_empty_statement] = STATE(1318),
    [sym_labeled_statement] = STATE(1318),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(6561),
    [sym_declaration] = STATE(6561),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6561),
    [sym_expression_statement] = STATE(6561),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6561),
    [sym_if_statement] = STATE(6561),
    [sym_switch_statement] = STATE(6561),
    [sym_for_statement] = STATE(6561),
    [sym_for_in_statement] = STATE(6561),
    [sym_while_statement] = STATE(6561),
    [sym_do_statement] = STATE(6561),
    [sym_try_statement] = STATE(6561),
    [sym_with_statement] = STATE(6561),
    [sym_break_statement] = STATE(6561),
    [sym_continue_statement] = STATE(6561),
    [sym_debugger_statement] = STATE(6561),
    [sym_return_statement] = STATE(6561),
    [sym_throw_statement] = STATE(6561),
    [sym_empty_statement] = STATE(6561),
    [sym_labeled_statement] = STATE(6561),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(1389),
    [sym_declaration] = STATE(1388),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1370),
    [sym_expression_statement] = STATE(1348),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_statement_block] = STATE(1314),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1281),
    [sym_for_statement] = STATE(1268),
    [sym_for_in_statement] = STATE(1289),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1328),
    [sym_try_statement] = STATE(1330),
    [sym_with_statement] = STATE(1421),
    [sym_break_statement] = STATE(1430),
    [sym_continue_statement] = STATE(1465),
    [sym_debugger_statement] = STATE(1473),
    [sym_return_statement] = STATE(1481),
    [sym_throw_statement] = STATE(1488),
    [sym_empty_statement] = STATE(1489),
    [sym_labeled_statement] = STATE(1490),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2617),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6827),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_export] = ACTIONS(828),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_namespace] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(840),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(854),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_debugger] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(872),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(878),
    [anon_sym_readonly] = ACTIONS(878),
    [anon_sym_get] = ACTIONS(878),
    [anon_sym_set] = ACTIONS(878),
    [anon_sym_declare] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(878),
    [anon_sym_private] = ACTIONS(878),
    [anon_sym_protected] = ACTIONS(878),
    [anon_sym_override] = ACTIONS(878),
    [anon_sym_module] = ACTIONS(882),
    [anon_sym_any] = ACTIONS(878),
    [anon_sym_number] = ACTIONS(878),
    [anon_sym_boolean] = ACTIONS(878),
    [anon_sym_string] = ACTIONS(878),
    [anon_sym_symbol] = ACTIONS(878),
    [anon_sym_object] = ACTIONS(878),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(1310),
    [sym_declaration] = STATE(1310),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1310),
    [sym_expression_statement] = STATE(1310),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1310),
    [sym_if_statement] = STATE(1310),
    [sym_switch_statement] = STATE(1310),
    [sym_for_statement] = STATE(1310),
    [sym_for_in_statement] = STATE(1310),
    [sym_while_statement] = STATE(1310),
    [sym_do_statement] = STATE(1310),
    [sym_try_statement] = STATE(1310),
    [sym_with_statement] = STATE(1310),
    [sym_break_statement] = STATE(1310),
    [sym_continue_statement] = STATE(1310),
    [sym_debugger_statement] = STATE(1310),
    [sym_return_statement] = STATE(1310),
    [sym_throw_statement] = STATE(1310),
    [sym_empty_statement] = STATE(1310),
    [sym_labeled_statement] = STATE(1310),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(6885),
    [sym_declaration] = STATE(7022),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(6894),
    [sym_expression_statement] = STATE(6897),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(6900),
    [sym_if_statement] = STATE(6901),
    [sym_switch_statement] = STATE(6904),
    [sym_for_statement] = STATE(6906),
    [sym_for_in_statement] = STATE(6907),
    [sym_while_statement] = STATE(6913),
    [sym_do_statement] = STATE(6914),
    [sym_try_statement] = STATE(6915),
    [sym_with_statement] = STATE(6916),
    [sym_break_statement] = STATE(6917),
    [sym_continue_statement] = STATE(6920),
    [sym_debugger_statement] = STATE(6921),
    [sym_return_statement] = STATE(6922),
    [sym_throw_statement] = STATE(6924),
    [sym_empty_statement] = STATE(6925),
    [sym_labeled_statement] = STATE(6926),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(7034),
    [sym_declaration] = STATE(7034),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(7034),
    [sym_expression_statement] = STATE(7034),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_statement_block] = STATE(7034),
    [sym_if_statement] = STATE(7034),
    [sym_switch_statement] = STATE(7034),
    [sym_for_statement] = STATE(7034),
    [sym_for_in_statement] = STATE(7034),
    [sym_while_statement] = STATE(7034),
    [sym_do_statement] = STATE(7034),
    [sym_try_statement] = STATE(7034),
    [sym_with_statement] = STATE(7034),
    [sym_break_statement] = STATE(7034),
    [sym_continue_statement] = STATE(7034),
    [sym_debugger_statement] = STATE(7034),
    [sym_return_statement] = STATE(7034),
    [sym_throw_statement] = STATE(7034),
    [sym_empty_statement] = STATE(7034),
    [sym_labeled_statement] = STATE(7034),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6400),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4779),
    [sym_identifier] = ACTIONS(762),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_namespace] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(782),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(794),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(808),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(814),
    [anon_sym_readonly] = ACTIONS(814),
    [anon_sym_get] = ACTIONS(814),
    [anon_sym_set] = ACTIONS(814),
    [anon_sym_declare] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(814),
    [anon_sym_private] = ACTIONS(814),
    [anon_sym_protected] = ACTIONS(814),
    [anon_sym_override] = ACTIONS(814),
    [anon_sym_module] = ACTIONS(818),
    [anon_sym_any] = ACTIONS(814),
    [anon_sym_number] = ACTIONS(814),
    [anon_sym_boolean] = ACTIONS(814),
    [anon_sym_string] = ACTIONS(814),
    [anon_sym_symbol] = ACTIONS(814),
    [anon_sym_object] = ACTIONS(814),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(1313),
    [sym_declaration] = STATE(1313),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1313),
    [sym_expression_statement] = STATE(1313),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1313),
    [sym_if_statement] = STATE(1313),
    [sym_switch_statement] = STATE(1313),
    [sym_for_statement] = STATE(1313),
    [sym_for_in_statement] = STATE(1313),
    [sym_while_statement] = STATE(1313),
    [sym_do_statement] = STATE(1313),
    [sym_try_statement] = STATE(1313),
    [sym_with_statement] = STATE(1313),
    [sym_break_statement] = STATE(1313),
    [sym_continue_statement] = STATE(1313),
    [sym_debugger_statement] = STATE(1313),
    [sym_return_statement] = STATE(1313),
    [sym_throw_statement] = STATE(1313),
    [sym_empty_statement] = STATE(1313),
    [sym_labeled_statement] = STATE(1313),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(1387),
    [sym_declaration] = STATE(1383),
    [sym_import] = STATE(4295),
    [sym_import_statement] = STATE(1377),
    [sym_expression_statement] = STATE(1373),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_statement_block] = STATE(1366),
    [sym_if_statement] = STATE(1252),
    [sym_switch_statement] = STATE(1253),
    [sym_for_statement] = STATE(1255),
    [sym_for_in_statement] = STATE(1256),
    [sym_while_statement] = STATE(1257),
    [sym_do_statement] = STATE(1282),
    [sym_try_statement] = STATE(1283),
    [sym_with_statement] = STATE(1298),
    [sym_break_statement] = STATE(1304),
    [sym_continue_statement] = STATE(1305),
    [sym_debugger_statement] = STATE(1306),
    [sym_return_statement] = STATE(1307),
    [sym_throw_statement] = STATE(1308),
    [sym_empty_statement] = STATE(1309),
    [sym_labeled_statement] = STATE(1311),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2729),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6508),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(4837),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_type] = ACTIONS(490),
    [anon_sym_namespace] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_switch] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(514),
    [anon_sym_with] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_get] = ACTIONS(538),
    [anon_sym_set] = ACTIONS(538),
    [anon_sym_declare] = ACTIONS(540),
    [anon_sym_public] = ACTIONS(538),
    [anon_sym_private] = ACTIONS(538),
    [anon_sym_protected] = ACTIONS(538),
    [anon_sym_override] = ACTIONS(538),
    [anon_sym_module] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(538),
    [anon_sym_number] = ACTIONS(538),
    [anon_sym_boolean] = ACTIONS(538),
    [anon_sym_string] = ACTIONS(538),
    [anon_sym_symbol] = ACTIONS(538),
    [anon_sym_object] = ACTIONS(538),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(974),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1035),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1039),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6257),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6256),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(5743),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(1047),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6257),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6256),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(5382),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(954),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(978),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(998),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1000),
    [anon_sym_number] = ACTIONS(1000),
    [anon_sym_boolean] = ACTIONS(1000),
    [anon_sym_string] = ACTIONS(1000),
    [anon_sym_symbol] = ACTIONS(1000),
    [anon_sym_object] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5342),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5371),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1083),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5346),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5381),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1087),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5127),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5399),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(166),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1091),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(1103),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2200),
    [sym_subscript_expression] = STATE(2200),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5101),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7265),
    [sym_string] = STATE(3175),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2200),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5560),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(732),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2200),
    [sym_subscript_expression] = STATE(2200),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5101),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7265),
    [sym_string] = STATE(3175),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2200),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5617),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(732),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2200),
    [sym_subscript_expression] = STATE(2200),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5101),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7388),
    [sym_string] = STATE(3175),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2200),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5560),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(732),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1119),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1169),
    [anon_sym_number] = ACTIONS(1169),
    [anon_sym_boolean] = ACTIONS(1169),
    [anon_sym_string] = ACTIONS(1169),
    [anon_sym_symbol] = ACTIONS(1169),
    [anon_sym_object] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5617),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5560),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5592),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5582),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1223),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_object] = ACTIONS(1213),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1227),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(5269),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym__type] = STATE(5477),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_typeof] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(142),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(152),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(164),
    [anon_sym_DASH] = ACTIONS(164),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(190),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(1177),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(196),
    [anon_sym_number] = ACTIONS(196),
    [anon_sym_boolean] = ACTIONS(196),
    [anon_sym_string] = ACTIONS(196),
    [anon_sym_symbol] = ACTIONS(196),
    [anon_sym_object] = ACTIONS(196),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1021),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1027),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_readonly] = ACTIONS(1004),
    [anon_sym_get] = ACTIONS(1004),
    [anon_sym_set] = ACTIONS(1004),
    [anon_sym_declare] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_override] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_any] = ACTIONS(1004),
    [anon_sym_number] = ACTIONS(1004),
    [anon_sym_boolean] = ACTIONS(1004),
    [anon_sym_string] = ACTIONS(1004),
    [anon_sym_symbol] = ACTIONS(1004),
    [anon_sym_object] = ACTIONS(1004),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1243),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1243),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_readonly] = ACTIONS(1203),
    [anon_sym_get] = ACTIONS(1203),
    [anon_sym_set] = ACTIONS(1203),
    [anon_sym_declare] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_override] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_any] = ACTIONS(1203),
    [anon_sym_number] = ACTIONS(1203),
    [anon_sym_boolean] = ACTIONS(1203),
    [anon_sym_string] = ACTIONS(1203),
    [anon_sym_symbol] = ACTIONS(1203),
    [anon_sym_object] = ACTIONS(1203),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1279),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1281),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_readonly] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
    [anon_sym_declare] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_override] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_any] = ACTIONS(1273),
    [anon_sym_number] = ACTIONS(1273),
    [anon_sym_boolean] = ACTIONS(1273),
    [anon_sym_string] = ACTIONS(1273),
    [anon_sym_symbol] = ACTIONS(1273),
    [anon_sym_object] = ACTIONS(1273),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5297),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6693),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1273),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1279),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1281),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_readonly] = ACTIONS(1273),
    [anon_sym_get] = ACTIONS(1273),
    [anon_sym_set] = ACTIONS(1273),
    [anon_sym_declare] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_override] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_any] = ACTIONS(1273),
    [anon_sym_number] = ACTIONS(1273),
    [anon_sym_boolean] = ACTIONS(1273),
    [anon_sym_string] = ACTIONS(1273),
    [anon_sym_symbol] = ACTIONS(1273),
    [anon_sym_object] = ACTIONS(1273),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_export] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1185),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(1185),
    [anon_sym_set] = ACTIONS(1185),
    [anon_sym_declare] = ACTIONS(1185),
    [anon_sym_public] = ACTIONS(1185),
    [anon_sym_private] = ACTIONS(1185),
    [anon_sym_protected] = ACTIONS(1185),
    [anon_sym_override] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(1185),
    [anon_sym_any] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_boolean] = ACTIONS(1185),
    [anon_sym_string] = ACTIONS(1185),
    [anon_sym_symbol] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1295),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1297),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1289),
    [anon_sym_readonly] = ACTIONS(1289),
    [anon_sym_get] = ACTIONS(1289),
    [anon_sym_set] = ACTIONS(1289),
    [anon_sym_declare] = ACTIONS(1289),
    [anon_sym_public] = ACTIONS(1289),
    [anon_sym_private] = ACTIONS(1289),
    [anon_sym_protected] = ACTIONS(1289),
    [anon_sym_override] = ACTIONS(1289),
    [anon_sym_module] = ACTIONS(1289),
    [anon_sym_any] = ACTIONS(1289),
    [anon_sym_number] = ACTIONS(1289),
    [anon_sym_boolean] = ACTIONS(1289),
    [anon_sym_string] = ACTIONS(1289),
    [anon_sym_symbol] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2146),
    [sym_expression] = STATE(3449),
    [sym_primary_expression] = STATE(2625),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2146),
    [sym_subscript_expression] = STATE(2146),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2146),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1287),
    [anon_sym_export] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1295),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1297),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1289),
    [anon_sym_readonly] = ACTIONS(1289),
    [anon_sym_get] = ACTIONS(1289),
    [anon_sym_set] = ACTIONS(1289),
    [anon_sym_declare] = ACTIONS(1289),
    [anon_sym_public] = ACTIONS(1289),
    [anon_sym_private] = ACTIONS(1289),
    [anon_sym_protected] = ACTIONS(1289),
    [anon_sym_override] = ACTIONS(1289),
    [anon_sym_module] = ACTIONS(1289),
    [anon_sym_any] = ACTIONS(1289),
    [anon_sym_number] = ACTIONS(1289),
    [anon_sym_boolean] = ACTIONS(1289),
    [anon_sym_string] = ACTIONS(1289),
    [anon_sym_symbol] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_object] = ACTIONS(1315),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1248),
    [anon_sym_readonly] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_declare] = ACTIONS(1248),
    [anon_sym_public] = ACTIONS(1248),
    [anon_sym_private] = ACTIONS(1248),
    [anon_sym_protected] = ACTIONS(1248),
    [anon_sym_override] = ACTIONS(1248),
    [anon_sym_module] = ACTIONS(1248),
    [anon_sym_any] = ACTIONS(1248),
    [anon_sym_number] = ACTIONS(1248),
    [anon_sym_boolean] = ACTIONS(1248),
    [anon_sym_string] = ACTIONS(1248),
    [anon_sym_symbol] = ACTIONS(1248),
    [anon_sym_object] = ACTIONS(1248),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_object] = ACTIONS(1315),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1307),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5383),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6957),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1339),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(4365),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6860),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7115),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2912),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5196),
    [sym_pattern] = STATE(6080),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4225),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4476),
    [sym__type] = STATE(4236),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6673),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1355),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(1363),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1365),
    [sym_number] = ACTIONS(1367),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1369),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_undefined] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(1377),
    [anon_sym_number] = ACTIONS(1377),
    [anon_sym_boolean] = ACTIONS(1377),
    [anon_sym_string] = ACTIONS(1377),
    [anon_sym_symbol] = ACTIONS(1377),
    [anon_sym_object] = ACTIONS(1377),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2409),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(4352),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2673),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2608),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1407),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1417),
    [sym_number] = ACTIONS(1419),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1421),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_null] = ACTIONS(1419),
    [sym_undefined] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1425),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(4352),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2872),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2608),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(732),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1429),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1435),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1439),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1417),
    [sym_number] = ACTIONS(1419),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(1421),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_null] = ACTIONS(1419),
    [sym_undefined] = ACTIONS(1443),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1447),
    [anon_sym_number] = ACTIONS(1447),
    [anon_sym_boolean] = ACTIONS(1447),
    [anon_sym_string] = ACTIONS(1447),
    [anon_sym_symbol] = ACTIONS(1447),
    [anon_sym_object] = ACTIONS(1447),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(4412),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3406),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3330),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1449),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_typeof] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1457),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1459),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1461),
    [sym_number] = ACTIONS(1463),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_null] = ACTIONS(1463),
    [sym_undefined] = ACTIONS(1467),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1471),
    [anon_sym_number] = ACTIONS(1471),
    [anon_sym_boolean] = ACTIONS(1471),
    [anon_sym_string] = ACTIONS(1471),
    [anon_sym_symbol] = ACTIONS(1471),
    [anon_sym_object] = ACTIONS(1471),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(4416),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(2910),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4936),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(751),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_typeof] = ACTIONS(1481),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1495),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1501),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1515),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1517),
    [anon_sym_number] = ACTIONS(1517),
    [anon_sym_boolean] = ACTIONS(1517),
    [anon_sym_string] = ACTIONS(1517),
    [anon_sym_symbol] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(4352),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2860),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2608),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(598),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1541),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1417),
    [sym_number] = ACTIONS(1419),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(1421),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_null] = ACTIONS(1419),
    [sym_undefined] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1551),
    [anon_sym_number] = ACTIONS(1551),
    [anon_sym_boolean] = ACTIONS(1551),
    [anon_sym_string] = ACTIONS(1551),
    [anon_sym_symbol] = ACTIONS(1551),
    [anon_sym_object] = ACTIONS(1551),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(4412),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3330),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(578),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1575),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1577),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1461),
    [sym_number] = ACTIONS(1463),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_null] = ACTIONS(1463),
    [sym_undefined] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1587),
    [anon_sym_number] = ACTIONS(1587),
    [anon_sym_boolean] = ACTIONS(1587),
    [anon_sym_string] = ACTIONS(1587),
    [anon_sym_symbol] = ACTIONS(1587),
    [anon_sym_object] = ACTIONS(1587),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(4412),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3330),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(805),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_typeof] = ACTIONS(1595),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1605),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1611),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1461),
    [sym_number] = ACTIONS(1463),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_null] = ACTIONS(1463),
    [sym_undefined] = ACTIONS(1617),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1621),
    [anon_sym_number] = ACTIONS(1621),
    [anon_sym_boolean] = ACTIONS(1621),
    [anon_sym_string] = ACTIONS(1621),
    [anon_sym_symbol] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(1621),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(4350),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3436),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4936),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(823),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_typeof] = ACTIONS(1631),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1649),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1653),
    [sym_number] = ACTIONS(1655),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(1659),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_null] = ACTIONS(1655),
    [sym_undefined] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1665),
    [anon_sym_number] = ACTIONS(1665),
    [anon_sym_boolean] = ACTIONS(1665),
    [anon_sym_string] = ACTIONS(1665),
    [anon_sym_symbol] = ACTIONS(1665),
    [anon_sym_object] = ACTIONS(1665),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(4416),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(2910),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4936),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(797),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1667),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_typeof] = ACTIONS(1673),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1677),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(1681),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1505),
    [sym_number] = ACTIONS(1507),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_null] = ACTIONS(1507),
    [sym_undefined] = ACTIONS(1683),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1685),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1687),
    [anon_sym_number] = ACTIONS(1687),
    [anon_sym_boolean] = ACTIONS(1687),
    [anon_sym_string] = ACTIONS(1687),
    [anon_sym_symbol] = ACTIONS(1687),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(4412),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3330),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(794),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_typeof] = ACTIONS(1695),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1711),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1461),
    [sym_number] = ACTIONS(1463),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_null] = ACTIONS(1463),
    [sym_undefined] = ACTIONS(1717),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7168),
    [sym_string] = STATE(3175),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(6107),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(5392),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(5494),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1723),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1151),
    [sym_number] = ACTIONS(1153),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_undefined] = ACTIONS(1735),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1425),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2293),
    [sym_subscript_expression] = STATE(2293),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4568),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3492),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2293),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5390),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(678),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1745),
    [anon_sym_typeof] = ACTIONS(1747),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1749),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1751),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(171),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1757),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_undefined] = ACTIONS(1763),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1767),
    [anon_sym_number] = ACTIONS(1767),
    [anon_sym_boolean] = ACTIONS(1767),
    [anon_sym_string] = ACTIONS(1767),
    [anon_sym_symbol] = ACTIONS(1767),
    [anon_sym_object] = ACTIONS(1767),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_nested_identifier] = STATE(7338),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2227),
    [sym_subscript_expression] = STATE(2227),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5172),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(3336),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(5269),
    [sym_non_null_expression] = STATE(2227),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5390),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_type_arguments] = STATE(672),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6721),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_typeof] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(988),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(180),
    [sym_number] = ACTIONS(182),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(994),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(182),
    [sym_false] = ACTIONS(182),
    [sym_null] = ACTIONS(182),
    [sym_undefined] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1785),
    [anon_sym_number] = ACTIONS(1785),
    [anon_sym_boolean] = ACTIONS(1785),
    [anon_sym_string] = ACTIONS(1785),
    [anon_sym_symbol] = ACTIONS(1785),
    [anon_sym_object] = ACTIONS(1785),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2700),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2640),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2679),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(1807),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2787),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1823),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__automatic_semicolon] = ACTIONS(1797),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2830),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_satisfies] = ACTIONS(1791),
    [anon_sym_implements] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3249),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3140),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3240),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_of] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3465),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_QMARK_DOT] = ACTIONS(1791),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_AMP_AMP] = ACTIONS(1791),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_PERCENT] = ACTIONS(1791),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1791),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_QMARK_QMARK] = ACTIONS(1791),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_satisfies] = ACTIONS(1791),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_declaration] = STATE(5034),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(5060),
    [sym_lexical_declaration] = STATE(5060),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3006),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(5060),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(5060),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(5060),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(5060),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(5060),
    [sym_abstract_class_declaration] = STATE(5060),
    [sym_module] = STATE(5060),
    [sym_internal_module] = STATE(3134),
    [sym_import_alias] = STATE(5060),
    [sym_interface_declaration] = STATE(5060),
    [sym_enum_declaration] = STATE(5060),
    [sym_type_alias_declaration] = STATE(5060),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5375),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1873),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1881),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1885),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_declaration] = STATE(6869),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3056),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1891),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_declaration] = STATE(1464),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3041),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5443),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1911),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_declaration] = STATE(1266),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2994),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5332),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1915),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1919),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_declaration] = STATE(5064),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(5060),
    [sym_lexical_declaration] = STATE(5060),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3007),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(5060),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(5060),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(5060),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(5060),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(5060),
    [sym_abstract_class_declaration] = STATE(5060),
    [sym_module] = STATE(5060),
    [sym_internal_module] = STATE(3134),
    [sym_import_alias] = STATE(5060),
    [sym_interface_declaration] = STATE(5060),
    [sym_enum_declaration] = STATE(5060),
    [sym_type_alias_declaration] = STATE(5060),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5375),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1873),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1881),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1885),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_declaration] = STATE(1622),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2902),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5150),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1939),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_declaration] = STATE(1259),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3059),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1505),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1505),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(356),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5443),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(838),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(870),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1911),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(888),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_declaration] = STATE(6698),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2963),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(6852),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(6852),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(3226),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5276),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1891),
    [anon_sym_var] = ACTIONS(774),
    [anon_sym_let] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_function] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_interface] = ACTIONS(822),
    [anon_sym_enum] = ACTIONS(824),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_declaration] = STATE(1126),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2991),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5293),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_declaration] = STATE(1659),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2954),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1740),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1740),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(424),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5150),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1931),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1939),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(103),
    [anon_sym_interface] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(107),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_declaration] = STATE(1174),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2993),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1191),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1191),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(306),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5293),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1947),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(1951),
    [anon_sym_function] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_interface] = ACTIONS(950),
    [anon_sym_enum] = ACTIONS(952),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_declaration] = STATE(1325),
    [sym_import] = STATE(4295),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3004),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_class_declaration] = STATE(1254),
    [sym_function_expression] = STATE(3110),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function] = STATE(3110),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_function_signature] = STATE(1254),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(388),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5332),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1915),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1919),
    [anon_sym_var] = ACTIONS(498),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(534),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_abstract] = ACTIONS(544),
    [anon_sym_interface] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(249),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(250),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(251),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(252),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(253),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(254),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(255),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(256),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(257),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4206),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(258),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2200),
    [sym_subscript_expression] = STATE(2200),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5101),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7388),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2200),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(260),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(261),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2200),
    [sym_subscript_expression] = STATE(2200),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5101),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7265),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2200),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2007),
    [anon_sym_export] = ACTIONS(1121),
    [anon_sym_type] = ACTIONS(1121),
    [anon_sym_namespace] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_override] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(1121),
    [anon_sym_number] = ACTIONS(1121),
    [anon_sym_boolean] = ACTIONS(1121),
    [anon_sym_string] = ACTIONS(1121),
    [anon_sym_symbol] = ACTIONS(1121),
    [anon_sym_object] = ACTIONS(1121),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(263),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(264),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6299),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(5825),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(270),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(6265),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2763),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6257),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6256),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6257),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6256),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2043),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2053),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2852),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6257),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6256),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2057),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym__formal_parameter] = STATE(7019),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5102),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(460),
    [sym_override_modifier] = STATE(463),
    [sym_required_parameter] = STATE(6493),
    [sym_optional_parameter] = STATE(6493),
    [sym__parameter_name] = STATE(4588),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2790),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6279),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6278),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2059),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_extends] = ACTIONS(2061),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2061),
    [sym__automatic_semicolon] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(428),
    [sym_variable_declaration] = STATE(428),
    [sym_lexical_declaration] = STATE(428),
    [sym_empty_statement] = STATE(428),
    [sym_parenthesized_expression] = STATE(2220),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2220),
    [sym_subscript_expression] = STATE(2220),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(6137),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2220),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(450),
    [sym_variable_declaration] = STATE(450),
    [sym_lexical_declaration] = STATE(450),
    [sym_empty_statement] = STATE(450),
    [sym_parenthesized_expression] = STATE(2220),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2220),
    [sym_subscript_expression] = STATE(2220),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(6137),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2220),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(408),
    [sym_variable_declaration] = STATE(408),
    [sym_lexical_declaration] = STATE(408),
    [sym_empty_statement] = STATE(408),
    [sym_parenthesized_expression] = STATE(2220),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2220),
    [sym_subscript_expression] = STATE(2220),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(6137),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2220),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(457),
    [sym_variable_declaration] = STATE(457),
    [sym_lexical_declaration] = STATE(457),
    [sym_empty_statement] = STATE(457),
    [sym_parenthesized_expression] = STATE(2220),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2220),
    [sym_subscript_expression] = STATE(2220),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(6137),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2220),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(432),
    [sym_variable_declaration] = STATE(432),
    [sym_lexical_declaration] = STATE(432),
    [sym_empty_statement] = STATE(432),
    [sym_parenthesized_expression] = STATE(2220),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2220),
    [sym_subscript_expression] = STATE(2220),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(6137),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2220),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2067),
    [anon_sym_type] = ACTIONS(2067),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(2087),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2067),
    [anon_sym_readonly] = ACTIONS(2067),
    [anon_sym_get] = ACTIONS(2067),
    [anon_sym_set] = ACTIONS(2067),
    [anon_sym_declare] = ACTIONS(2067),
    [anon_sym_public] = ACTIONS(2067),
    [anon_sym_private] = ACTIONS(2067),
    [anon_sym_protected] = ACTIONS(2067),
    [anon_sym_override] = ACTIONS(2067),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(2067),
    [anon_sym_number] = ACTIONS(2067),
    [anon_sym_boolean] = ACTIONS(2067),
    [anon_sym_string] = ACTIONS(2067),
    [anon_sym_symbol] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(2067),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(2061),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2273),
    [sym_subscript_expression] = STATE(2273),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(6252),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2273),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_mapped_type_clause] = STATE(7044),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2091),
    [anon_sym_type] = ACTIONS(2091),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2091),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2103),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2091),
    [anon_sym_readonly] = ACTIONS(2091),
    [anon_sym_get] = ACTIONS(2091),
    [anon_sym_set] = ACTIONS(2091),
    [anon_sym_declare] = ACTIONS(2091),
    [anon_sym_public] = ACTIONS(2091),
    [anon_sym_private] = ACTIONS(2091),
    [anon_sym_protected] = ACTIONS(2091),
    [anon_sym_override] = ACTIONS(2091),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_any] = ACTIONS(2091),
    [anon_sym_number] = ACTIONS(2091),
    [anon_sym_boolean] = ACTIONS(2091),
    [anon_sym_string] = ACTIONS(2091),
    [anon_sym_symbol] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2091),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6683),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6126),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6125),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2109),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_comment] = STATE(293),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_EQ] = ACTIONS(2116),
    [anon_sym_as] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2114),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2114),
    [anon_sym_DOT] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2114),
    [anon_sym_PIPE_PIPE] = ACTIONS(2114),
    [anon_sym_GT_GT] = ACTIONS(2114),
    [anon_sym_GT_GT_GT] = ACTIONS(2114),
    [anon_sym_LT_LT] = ACTIONS(2114),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2114),
    [anon_sym_PIPE] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_STAR_STAR] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_QMARK_QMARK] = ACTIONS(2114),
    [anon_sym_instanceof] = ACTIONS(2114),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2114),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2118),
    [sym__ternary_qmark] = ACTIONS(2120),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6281),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5642),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_pattern_repeat1] = STATE(6277),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2122),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_statement_block] = STATE(311),
    [sym_comment] = STATE(295),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2126),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2128),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3277),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2273),
    [sym_subscript_expression] = STATE(2273),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(6252),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2273),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_export] = ACTIONS(2134),
    [anon_sym_type] = ACTIONS(2134),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2138),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2107),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_readonly] = ACTIONS(2134),
    [anon_sym_get] = ACTIONS(2134),
    [anon_sym_set] = ACTIONS(2134),
    [anon_sym_declare] = ACTIONS(2134),
    [anon_sym_public] = ACTIONS(2134),
    [anon_sym_private] = ACTIONS(2134),
    [anon_sym_protected] = ACTIONS(2134),
    [anon_sym_override] = ACTIONS(2134),
    [anon_sym_module] = ACTIONS(2134),
    [anon_sym_any] = ACTIONS(2134),
    [anon_sym_number] = ACTIONS(2134),
    [anon_sym_boolean] = ACTIONS(2134),
    [anon_sym_string] = ACTIONS(2134),
    [anon_sym_symbol] = ACTIONS(2134),
    [anon_sym_object] = ACTIONS(2134),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_statement_block] = STATE(311),
    [sym_comment] = STATE(297),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2126),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2142),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_statement_block] = STATE(311),
    [sym_comment] = STATE(298),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2126),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6683),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6126),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6125),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2144),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6262),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5636),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_pattern_repeat1] = STATE(6249),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2097),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2101),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6683),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_spread_element] = STATE(6126),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6125),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2109),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_RBRACK] = ACTIONS(2148),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_comment] = STATE(303),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_DOT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_PIPE_PIPE] = ACTIONS(2152),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2152),
    [anon_sym_STAR_STAR] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2152),
    [anon_sym_GT_EQ] = ACTIONS(2152),
    [anon_sym_QMARK_QMARK] = ACTIONS(2152),
    [anon_sym_instanceof] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2154),
    [sym__ternary_qmark] = ACTIONS(2154),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_statement_block] = STATE(375),
    [sym_comment] = STATE(304),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2158),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_comment] = STATE(305),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2162),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2162),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_QMARK_QMARK] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2162),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2164),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_comment] = STATE(306),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym__ternary_qmark] = ACTIONS(2172),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_comment] = STATE(307),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym__ternary_qmark] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_comment] = STATE(308),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_comment] = STATE(309),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_STAR_STAR] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_QMARK_QMARK] = ACTIONS(2182),
    [anon_sym_instanceof] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2184),
    [sym__ternary_qmark] = ACTIONS(2184),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_comment] = STATE(310),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_comment] = STATE(311),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_statement_block] = STATE(375),
    [sym_comment] = STATE(312),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_statement_block] = STATE(338),
    [sym_comment] = STATE(313),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_statement_block] = STATE(338),
    [sym_comment] = STATE(314),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_comment] = STATE(315),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_QMARK_QMARK] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2202),
    [sym__ternary_qmark] = ACTIONS(2202),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_comment] = STATE(316),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_DOT] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_PIPE_PIPE] = ACTIONS(2206),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2206),
    [anon_sym_LT_LT] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2206),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2206),
    [anon_sym_STAR_STAR] = ACTIONS(2206),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2206),
    [anon_sym_GT_EQ] = ACTIONS(2206),
    [anon_sym_QMARK_QMARK] = ACTIONS(2206),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2206),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2208),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_statement_block] = STATE(338),
    [sym_comment] = STATE(317),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_comment] = STATE(318),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2214),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_STAR_STAR] = ACTIONS(2214),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2214),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_QMARK_QMARK] = ACTIONS(2214),
    [anon_sym_instanceof] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2214),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2216),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_comment] = STATE(319),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_as] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_DOT] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_QMARK_DOT] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2222),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_STAR_STAR] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2222),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_QMARK_QMARK] = ACTIONS(2222),
    [anon_sym_instanceof] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_satisfies] = ACTIONS(2222),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2224),
    [sym__ternary_qmark] = ACTIONS(2226),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_statement_block] = STATE(375),
    [sym_comment] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_comment] = STATE(321),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_QMARK_DOT] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2232),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_QMARK_QMARK] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_satisfies] = ACTIONS(2232),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2234),
    [sym__ternary_qmark] = ACTIONS(2236),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_comment] = STATE(322),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_EQ] = ACTIONS(2116),
    [anon_sym_as] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2114),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2114),
    [anon_sym_DOT] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2114),
    [anon_sym_PIPE_PIPE] = ACTIONS(2114),
    [anon_sym_GT_GT] = ACTIONS(2114),
    [anon_sym_GT_GT_GT] = ACTIONS(2114),
    [anon_sym_LT_LT] = ACTIONS(2114),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2114),
    [anon_sym_PIPE] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_STAR_STAR] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_QMARK_QMARK] = ACTIONS(2114),
    [anon_sym_instanceof] = ACTIONS(2114),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2114),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2240),
    [sym__ternary_qmark] = ACTIONS(2120),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_comment] = STATE(323),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_as] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_QMARK_DOT] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_QMARK_QMARK] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_satisfies] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2246),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_comment] = STATE(324),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym__ternary_qmark] = ACTIONS(2256),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_comment] = STATE(325),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_QMARK_QMARK] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2264),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2266),
    [sym__ternary_qmark] = ACTIONS(2268),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_comment] = STATE(327),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_EQ] = ACTIONS(2116),
    [anon_sym_as] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2114),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2114),
    [anon_sym_DOT] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2114),
    [anon_sym_PIPE_PIPE] = ACTIONS(2114),
    [anon_sym_GT_GT] = ACTIONS(2114),
    [anon_sym_GT_GT_GT] = ACTIONS(2114),
    [anon_sym_LT_LT] = ACTIONS(2114),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2114),
    [anon_sym_PIPE] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_STAR_STAR] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_QMARK_QMARK] = ACTIONS(2114),
    [anon_sym_instanceof] = ACTIONS(2114),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2114),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym__ternary_qmark] = ACTIONS(2120),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_comment] = STATE(328),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_comment] = STATE(330),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_comment] = STATE(331),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_comment] = STATE(332),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6683),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6125),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_RBRACK] = ACTIONS(2300),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_comment] = STATE(334),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2302),
    [anon_sym_LT_LT] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2302),
    [anon_sym_STAR_STAR] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2302),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_QMARK_QMARK] = ACTIONS(2302),
    [anon_sym_instanceof] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym__ternary_qmark] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2306),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_comment] = STATE(336),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym__ternary_qmark] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_comment] = STATE(337),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_as] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2112),
    [anon_sym_PIPE_PIPE] = ACTIONS(2112),
    [anon_sym_GT_GT] = ACTIONS(2112),
    [anon_sym_GT_GT_GT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_AMP] = ACTIONS(2112),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_PIPE] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2112),
    [anon_sym_STAR_STAR] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2112),
    [anon_sym_GT_EQ] = ACTIONS(2112),
    [anon_sym_QMARK_QMARK] = ACTIONS(2112),
    [anon_sym_instanceof] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2316),
    [sym__ternary_qmark] = ACTIONS(2238),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_comment] = STATE(338),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(339),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(340),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_comment] = STATE(341),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_as] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2112),
    [anon_sym_PIPE_PIPE] = ACTIONS(2112),
    [anon_sym_GT_GT] = ACTIONS(2112),
    [anon_sym_GT_GT_GT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_AMP] = ACTIONS(2112),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_PIPE] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2112),
    [anon_sym_STAR_STAR] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2112),
    [anon_sym_GT_EQ] = ACTIONS(2112),
    [anon_sym_QMARK_QMARK] = ACTIONS(2112),
    [anon_sym_instanceof] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2320),
    [sym__ternary_qmark] = ACTIONS(2238),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_comment] = STATE(342),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_as] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_DOT] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_QMARK_DOT] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2222),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_STAR_STAR] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2222),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_QMARK_QMARK] = ACTIONS(2222),
    [anon_sym_instanceof] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_satisfies] = ACTIONS(2222),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2324),
    [sym__ternary_qmark] = ACTIONS(2226),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_comment] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2214),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_STAR_STAR] = ACTIONS(2214),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2214),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_QMARK_QMARK] = ACTIONS(2214),
    [anon_sym_instanceof] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2214),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2328),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_comment] = STATE(344),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(346),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_QMARK_DOT] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2232),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_QMARK_QMARK] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_satisfies] = ACTIONS(2232),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2332),
    [sym__ternary_qmark] = ACTIONS(2236),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_comment] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_QMARK_DOT] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2232),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_QMARK_QMARK] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_satisfies] = ACTIONS(2232),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2236),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2887),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(5723),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(349),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(5722),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(350),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(351),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(2189),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(4948),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_accessibility_modifier] = STATE(419),
    [sym_override_modifier] = STATE(468),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(2097),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2346),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2348),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_DOT] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_PIPE_PIPE] = ACTIONS(2206),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2206),
    [anon_sym_LT_LT] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2206),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2206),
    [anon_sym_STAR_STAR] = ACTIONS(2206),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2206),
    [anon_sym_GT_EQ] = ACTIONS(2206),
    [anon_sym_QMARK_QMARK] = ACTIONS(2206),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2206),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_QMARK_QMARK] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2202),
    [sym__ternary_qmark] = ACTIONS(2202),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(355),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_comment] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym__ternary_qmark] = ACTIONS(2172),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(357),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_STAR_STAR] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_QMARK_QMARK] = ACTIONS(2182),
    [anon_sym_instanceof] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2184),
    [sym__ternary_qmark] = ACTIONS(2184),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_comment] = STATE(361),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_QMARK_QMARK] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2264),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym__ternary_qmark] = ACTIONS(2268),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_QMARK_QMARK] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2264),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2364),
    [sym__ternary_qmark] = ACTIONS(2268),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2162),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2162),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_QMARK_QMARK] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2162),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2370),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2374),
    [sym__ternary_qmark] = ACTIONS(2256),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2302),
    [anon_sym_LT_LT] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2302),
    [anon_sym_STAR_STAR] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2302),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_QMARK_QMARK] = ACTIONS(2302),
    [anon_sym_instanceof] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym__ternary_qmark] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2162),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2162),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_QMARK_QMARK] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2162),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2376),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_STAR_STAR] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_QMARK_QMARK] = ACTIONS(2182),
    [anon_sym_instanceof] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2184),
    [sym__ternary_qmark] = ACTIONS(2184),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2380),
    [sym__ternary_qmark] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2859),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(5933),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(373),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(5934),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_comment] = STATE(374),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_as] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_QMARK_DOT] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_QMARK_QMARK] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_satisfies] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2384),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym__ternary_qmark] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_comment] = STATE(378),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_as] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_QMARK_DOT] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_QMARK_QMARK] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_satisfies] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2388),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2302),
    [anon_sym_LT_LT] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2302),
    [anon_sym_STAR_STAR] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2302),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_QMARK_QMARK] = ACTIONS(2302),
    [anon_sym_instanceof] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym__ternary_qmark] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_comment] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2390),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2789),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6096),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(381),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6090),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2392),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2863),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6180),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(382),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6181),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_comment] = STATE(383),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_as] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_DOT] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_QMARK_DOT] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2222),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_STAR_STAR] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2222),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_QMARK_QMARK] = ACTIONS(2222),
    [anon_sym_instanceof] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_satisfies] = ACTIONS(2222),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2396),
    [sym__ternary_qmark] = ACTIONS(2226),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_DOT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_PIPE_PIPE] = ACTIONS(2152),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2152),
    [anon_sym_STAR_STAR] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2152),
    [anon_sym_GT_EQ] = ACTIONS(2152),
    [anon_sym_QMARK_QMARK] = ACTIONS(2152),
    [anon_sym_instanceof] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2154),
    [sym__ternary_qmark] = ACTIONS(2154),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2866),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6186),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(385),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6183),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2398),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_comment] = STATE(386),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2214),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_STAR_STAR] = ACTIONS(2214),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2214),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_QMARK_QMARK] = ACTIONS(2214),
    [anon_sym_instanceof] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2214),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2400),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym__ternary_qmark] = ACTIONS(2172),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2404),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_DOT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_PIPE_PIPE] = ACTIONS(2152),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2152),
    [anon_sym_STAR_STAR] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2152),
    [anon_sym_GT_EQ] = ACTIONS(2152),
    [anon_sym_QMARK_QMARK] = ACTIONS(2152),
    [anon_sym_instanceof] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2154),
    [sym__ternary_qmark] = ACTIONS(2154),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2408),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_as] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2112),
    [anon_sym_PIPE_PIPE] = ACTIONS(2112),
    [anon_sym_GT_GT] = ACTIONS(2112),
    [anon_sym_GT_GT_GT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_AMP] = ACTIONS(2112),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_PIPE] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2112),
    [anon_sym_STAR_STAR] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2112),
    [anon_sym_GT_EQ] = ACTIONS(2112),
    [anon_sym_QMARK_QMARK] = ACTIONS(2112),
    [anon_sym_instanceof] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2410),
    [sym__ternary_qmark] = ACTIONS(2238),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3145),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2061),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(2061),
    [anon_sym_PIPE] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [anon_sym_extends] = ACTIONS(2061),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2416),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2816),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6355),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(398),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6356),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2420),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_comment] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2422),
    [sym__ternary_qmark] = ACTIONS(2256),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym__ternary_qmark] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_statement_block] = STATE(422),
    [sym_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_as] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_in] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_QMARK_DOT] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_AMP_AMP] = ACTIONS(2124),
    [anon_sym_PIPE_PIPE] = ACTIONS(2124),
    [anon_sym_GT_GT] = ACTIONS(2124),
    [anon_sym_GT_GT_GT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_AMP] = ACTIONS(2124),
    [anon_sym_CARET] = ACTIONS(2124),
    [anon_sym_PIPE] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_PERCENT] = ACTIONS(2124),
    [anon_sym_STAR_STAR] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ] = ACTIONS(2124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ] = ACTIONS(2124),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2124),
    [anon_sym_GT_EQ] = ACTIONS(2124),
    [anon_sym_QMARK_QMARK] = ACTIONS(2124),
    [anon_sym_instanceof] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_satisfies] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym__automatic_semicolon] = ACTIONS(2130),
    [sym__ternary_qmark] = ACTIONS(2130),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_QMARK_QMARK] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2202),
    [sym__ternary_qmark] = ACTIONS(2202),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2870),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6115),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [aux_sym_array_repeat1] = STATE(6114),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_EQ] = ACTIONS(2116),
    [anon_sym_as] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2114),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2114),
    [anon_sym_DOT] = ACTIONS(2114),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2114),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2114),
    [anon_sym_PIPE_PIPE] = ACTIONS(2114),
    [anon_sym_GT_GT] = ACTIONS(2114),
    [anon_sym_GT_GT_GT] = ACTIONS(2114),
    [anon_sym_LT_LT] = ACTIONS(2114),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2114),
    [anon_sym_PIPE] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_STAR_STAR] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ] = ACTIONS(2114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_QMARK_QMARK] = ACTIONS(2114),
    [anon_sym_instanceof] = ACTIONS(2114),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2114),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2428),
    [sym__ternary_qmark] = ACTIONS(2120),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_comment] = STATE(406),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_DOT] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_PIPE_PIPE] = ACTIONS(2206),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2206),
    [anon_sym_LT_LT] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2206),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2206),
    [anon_sym_STAR_STAR] = ACTIONS(2206),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2206),
    [anon_sym_GT_EQ] = ACTIONS(2206),
    [anon_sym_QMARK_QMARK] = ACTIONS(2206),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2206),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(4285),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(407),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2432),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(475),
    [sym_empty_statement] = STATE(475),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6860),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(409),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6080),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(4288),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(410),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(4288),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(411),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(4278),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(412),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(4278),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(413),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(4356),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(414),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(4374),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(415),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_comment] = STATE(416),
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_as] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_in] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_GT] = ACTIONS(2174),
    [anon_sym_DOT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_QMARK_DOT] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_AMP_AMP] = ACTIONS(2174),
    [anon_sym_PIPE_PIPE] = ACTIONS(2174),
    [anon_sym_GT_GT] = ACTIONS(2174),
    [anon_sym_GT_GT_GT] = ACTIONS(2174),
    [anon_sym_LT_LT] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_STAR_STAR] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ] = ACTIONS(2174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_QMARK_QMARK] = ACTIONS(2174),
    [anon_sym_instanceof] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_satisfies] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym__automatic_semicolon] = ACTIONS(2176),
    [sym__ternary_qmark] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_comment] = STATE(417),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_as] = ACTIONS(2232),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_in] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_QMARK_DOT] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_AMP_AMP] = ACTIONS(2232),
    [anon_sym_PIPE_PIPE] = ACTIONS(2232),
    [anon_sym_GT_GT] = ACTIONS(2232),
    [anon_sym_GT_GT_GT] = ACTIONS(2232),
    [anon_sym_LT_LT] = ACTIONS(2232),
    [anon_sym_AMP] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2232),
    [anon_sym_PIPE] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_STAR_STAR] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ] = ACTIONS(2232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_QMARK_QMARK] = ACTIONS(2232),
    [anon_sym_instanceof] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_satisfies] = ACTIONS(2232),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2446),
    [sym__ternary_qmark] = ACTIONS(2236),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_comment] = STATE(418),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2448),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5347),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_override_modifier] = STATE(464),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2452),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(4278),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(420),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_as] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_COMMA] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_in] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_DOT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_QMARK_DOT] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_AMP_AMP] = ACTIONS(2152),
    [anon_sym_PIPE_PIPE] = ACTIONS(2152),
    [anon_sym_GT_GT] = ACTIONS(2152),
    [anon_sym_GT_GT_GT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_AMP] = ACTIONS(2152),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_PIPE] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2152),
    [anon_sym_STAR_STAR] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ] = ACTIONS(2152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2152),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2152),
    [anon_sym_GT_EQ] = ACTIONS(2152),
    [anon_sym_QMARK_QMARK] = ACTIONS(2152),
    [anon_sym_instanceof] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_satisfies] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym__automatic_semicolon] = ACTIONS(2154),
    [sym__ternary_qmark] = ACTIONS(2154),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_as] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_in] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_GT] = ACTIONS(2190),
    [anon_sym_DOT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_QMARK_DOT] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_AMP_AMP] = ACTIONS(2190),
    [anon_sym_PIPE_PIPE] = ACTIONS(2190),
    [anon_sym_GT_GT] = ACTIONS(2190),
    [anon_sym_GT_GT_GT] = ACTIONS(2190),
    [anon_sym_LT_LT] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_STAR_STAR] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ] = ACTIONS(2190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_QMARK_QMARK] = ACTIONS(2190),
    [anon_sym_instanceof] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_satisfies] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym__automatic_semicolon] = ACTIONS(2192),
    [sym__ternary_qmark] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_comment] = STATE(423),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_as] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_in] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_GT] = ACTIONS(2296),
    [anon_sym_DOT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_QMARK_DOT] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_AMP_AMP] = ACTIONS(2296),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_GT_GT] = ACTIONS(2296),
    [anon_sym_GT_GT_GT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_AMP] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_STAR_STAR] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ] = ACTIONS(2296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_QMARK_QMARK] = ACTIONS(2296),
    [anon_sym_instanceof] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_satisfies] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym__ternary_qmark] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_comment] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_as] = ACTIONS(2170),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_in] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_DOT] = ACTIONS(2170),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_QMARK_DOT] = ACTIONS(2170),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_AMP_AMP] = ACTIONS(2170),
    [anon_sym_PIPE_PIPE] = ACTIONS(2170),
    [anon_sym_GT_GT] = ACTIONS(2170),
    [anon_sym_GT_GT_GT] = ACTIONS(2170),
    [anon_sym_LT_LT] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_STAR_STAR] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ] = ACTIONS(2170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_QMARK_QMARK] = ACTIONS(2170),
    [anon_sym_instanceof] = ACTIONS(2170),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_satisfies] = ACTIONS(2170),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym__automatic_semicolon] = ACTIONS(2172),
    [sym__ternary_qmark] = ACTIONS(2172),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(4371),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(425),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_import] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_await] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LTtemplate_GT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_void] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2460),
    [sym_number] = ACTIONS(2460),
    [sym_private_property_identifier] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [sym_super] = ACTIONS(2460),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [sym_null] = ACTIONS(2460),
    [sym_undefined] = ACTIONS(2460),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(477),
    [sym_empty_statement] = STATE(477),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(428),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_comment] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_as] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_in] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_QMARK_DOT] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [anon_sym_GT_GT] = ACTIONS(2178),
    [anon_sym_GT_GT_GT] = ACTIONS(2178),
    [anon_sym_LT_LT] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_CARET] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_PERCENT] = ACTIONS(2178),
    [anon_sym_STAR_STAR] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2178),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_QMARK_QMARK] = ACTIONS(2178),
    [anon_sym_instanceof] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_satisfies] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym__ternary_qmark] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_as] = ACTIONS(2252),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_in] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2252),
    [anon_sym_DOT] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_QMARK_DOT] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2252),
    [anon_sym_PIPE_PIPE] = ACTIONS(2252),
    [anon_sym_GT_GT] = ACTIONS(2252),
    [anon_sym_GT_GT_GT] = ACTIONS(2252),
    [anon_sym_LT_LT] = ACTIONS(2252),
    [anon_sym_AMP] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2252),
    [anon_sym_PIPE] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_STAR_STAR] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ] = ACTIONS(2252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_QMARK_QMARK] = ACTIONS(2252),
    [anon_sym_instanceof] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_satisfies] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym__ternary_qmark] = ACTIONS(2256),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(4288),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(431),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(474),
    [sym_empty_statement] = STATE(474),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(432),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_as] = ACTIONS(2282),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_in] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_DOT] = ACTIONS(2282),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_QMARK_DOT] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2282),
    [anon_sym_PIPE_PIPE] = ACTIONS(2282),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2282),
    [anon_sym_LT_LT] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2282),
    [anon_sym_STAR_STAR] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_QMARK_QMARK] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_satisfies] = ACTIONS(2282),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2466),
    [sym__ternary_qmark] = ACTIONS(2286),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_as] = ACTIONS(2310),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_QMARK_DOT] = ACTIONS(2310),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [anon_sym_GT_GT] = ACTIONS(2310),
    [anon_sym_GT_GT_GT] = ACTIONS(2310),
    [anon_sym_LT_LT] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_PERCENT] = ACTIONS(2310),
    [anon_sym_STAR_STAR] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2310),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_QMARK_QMARK] = ACTIONS(2310),
    [anon_sym_instanceof] = ACTIONS(2310),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(2310),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2468),
    [sym__ternary_qmark] = ACTIONS(2314),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(4356),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(435),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_as] = ACTIONS(2290),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_in] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_DOT] = ACTIONS(2290),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_QMARK_DOT] = ACTIONS(2290),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_AMP_AMP] = ACTIONS(2290),
    [anon_sym_PIPE_PIPE] = ACTIONS(2290),
    [anon_sym_GT_GT] = ACTIONS(2290),
    [anon_sym_GT_GT_GT] = ACTIONS(2290),
    [anon_sym_LT_LT] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_PERCENT] = ACTIONS(2290),
    [anon_sym_STAR_STAR] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2290),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2290),
    [anon_sym_GT_EQ] = ACTIONS(2290),
    [anon_sym_QMARK_QMARK] = ACTIONS(2290),
    [anon_sym_instanceof] = ACTIONS(2290),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_satisfies] = ACTIONS(2290),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym__ternary_qmark] = ACTIONS(2294),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(4278),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(437),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_assignment_pattern] = STATE(6860),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2261),
    [sym_subscript_expression] = STATE(2261),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5663),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(438),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(6080),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2261),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_namespace] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2047),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_readonly] = ACTIONS(956),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_override] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_any] = ACTIONS(956),
    [anon_sym_number] = ACTIONS(956),
    [anon_sym_boolean] = ACTIONS(956),
    [anon_sym_string] = ACTIONS(956),
    [anon_sym_symbol] = ACTIONS(956),
    [anon_sym_object] = ACTIONS(956),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_as] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_COMMA] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_in] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_DOT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_QMARK_DOT] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_AMP_AMP] = ACTIONS(2258),
    [anon_sym_PIPE_PIPE] = ACTIONS(2258),
    [anon_sym_GT_GT] = ACTIONS(2258),
    [anon_sym_GT_GT_GT] = ACTIONS(2258),
    [anon_sym_LT_LT] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2258),
    [anon_sym_STAR_STAR] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ] = ACTIONS(2258),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2258),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2258),
    [anon_sym_GT_EQ] = ACTIONS(2258),
    [anon_sym_QMARK_QMARK] = ACTIONS(2258),
    [anon_sym_instanceof] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_satisfies] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym__ternary_qmark] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_as] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_QMARK_DOT] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_AMP_AMP] = ACTIONS(2186),
    [anon_sym_PIPE_PIPE] = ACTIONS(2186),
    [anon_sym_GT_GT] = ACTIONS(2186),
    [anon_sym_GT_GT_GT] = ACTIONS(2186),
    [anon_sym_LT_LT] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_STAR_STAR] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ] = ACTIONS(2186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_QMARK_QMARK] = ACTIONS(2186),
    [anon_sym_instanceof] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_satisfies] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym__automatic_semicolon] = ACTIONS(2188),
    [sym__ternary_qmark] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_as] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_QMARK_DOT] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2182),
    [anon_sym_GT_GT] = ACTIONS(2182),
    [anon_sym_GT_GT_GT] = ACTIONS(2182),
    [anon_sym_LT_LT] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2182),
    [anon_sym_STAR_STAR] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_QMARK_QMARK] = ACTIONS(2182),
    [anon_sym_instanceof] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_satisfies] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym__automatic_semicolon] = ACTIONS(2184),
    [sym__ternary_qmark] = ACTIONS(2184),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_as] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_in] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_QMARK_DOT] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_GT_GT_GT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_STAR_STAR] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_QMARK_QMARK] = ACTIONS(2200),
    [anon_sym_instanceof] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_satisfies] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym__automatic_semicolon] = ACTIONS(2202),
    [sym__ternary_qmark] = ACTIONS(2202),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_as] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_COMMA] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_in] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2112),
    [anon_sym_DOT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_QMARK_DOT] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_AMP_AMP] = ACTIONS(2112),
    [anon_sym_PIPE_PIPE] = ACTIONS(2112),
    [anon_sym_GT_GT] = ACTIONS(2112),
    [anon_sym_GT_GT_GT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_AMP] = ACTIONS(2112),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_PIPE] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2112),
    [anon_sym_STAR_STAR] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ] = ACTIONS(2112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ] = ACTIONS(2112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2112),
    [anon_sym_GT_EQ] = ACTIONS(2112),
    [anon_sym_QMARK_QMARK] = ACTIONS(2112),
    [anon_sym_instanceof] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_satisfies] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2238),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(4304),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(444),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3872),
    [sym__type_query_subscript_expression] = STATE(3866),
    [sym__type_query_call_expression] = STATE(4059),
    [sym__type_query_instantiation_expression] = STATE(4196),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_as] = ACTIONS(2214),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_DOT] = ACTIONS(2214),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_QMARK_DOT] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_AMP_AMP] = ACTIONS(2214),
    [anon_sym_PIPE_PIPE] = ACTIONS(2214),
    [anon_sym_GT_GT] = ACTIONS(2214),
    [anon_sym_GT_GT_GT] = ACTIONS(2214),
    [anon_sym_LT_LT] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_PERCENT] = ACTIONS(2214),
    [anon_sym_STAR_STAR] = ACTIONS(2214),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LT_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ] = ACTIONS(2214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2214),
    [anon_sym_GT_EQ] = ACTIONS(2214),
    [anon_sym_QMARK_QMARK] = ACTIONS(2214),
    [anon_sym_instanceof] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_satisfies] = ACTIONS(2214),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2480),
    [sym__ternary_qmark] = ACTIONS(2218),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2921),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_spread_element] = STATE(6126),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(446),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(2482),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2931),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_spread_element] = STATE(6126),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(447),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_as] = ACTIONS(2274),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_QMARK_DOT] = ACTIONS(2274),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_STAR_STAR] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_QMARK_QMARK] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_satisfies] = ACTIONS(2274),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2486),
    [sym__ternary_qmark] = ACTIONS(2278),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_as] = ACTIONS(2206),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_in] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2206),
    [anon_sym_DOT] = ACTIONS(2206),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_QMARK_DOT] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_PIPE_PIPE] = ACTIONS(2206),
    [anon_sym_GT_GT] = ACTIONS(2206),
    [anon_sym_GT_GT_GT] = ACTIONS(2206),
    [anon_sym_LT_LT] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_CARET] = ACTIONS(2206),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2206),
    [anon_sym_STAR_STAR] = ACTIONS(2206),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ] = ACTIONS(2206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ] = ACTIONS(2206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2206),
    [anon_sym_GT_EQ] = ACTIONS(2206),
    [anon_sym_QMARK_QMARK] = ACTIONS(2206),
    [anon_sym_instanceof] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_satisfies] = ACTIONS(2206),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2488),
    [sym__ternary_qmark] = ACTIONS(2210),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(472),
    [sym_empty_statement] = STATE(472),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(450),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(4288),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3145),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(451),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2490),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_as] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_in] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_QMARK_DOT] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2302),
    [anon_sym_LT_LT] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2302),
    [anon_sym_STAR_STAR] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2302),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_QMARK_QMARK] = ACTIONS(2302),
    [anon_sym_instanceof] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_satisfies] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym__ternary_qmark] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(4278),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(453),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_as] = ACTIONS(2264),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_in] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2264),
    [anon_sym_DOT] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_QMARK_DOT] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_AMP_AMP] = ACTIONS(2264),
    [anon_sym_PIPE_PIPE] = ACTIONS(2264),
    [anon_sym_GT_GT] = ACTIONS(2264),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2264),
    [anon_sym_PIPE] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_STAR_STAR] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ] = ACTIONS(2264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_QMARK_QMARK] = ACTIONS(2264),
    [anon_sym_instanceof] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_satisfies] = ACTIONS(2264),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym__ternary_qmark] = ACTIONS(2268),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_import] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_LTtemplate_GT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2460),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_using] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2460),
    [anon_sym_void] = ACTIONS(2460),
    [anon_sym_delete] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2460),
    [sym_number] = ACTIONS(2460),
    [sym_private_property_identifier] = ACTIONS(2460),
    [sym_this] = ACTIONS(2460),
    [sym_super] = ACTIONS(2460),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [sym_null] = ACTIONS(2460),
    [sym_undefined] = ACTIONS(2460),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_as] = ACTIONS(2162),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_COMMA] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_in] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_GT] = ACTIONS(2162),
    [anon_sym_DOT] = ACTIONS(2162),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_QMARK_DOT] = ACTIONS(2162),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_AMP_AMP] = ACTIONS(2162),
    [anon_sym_PIPE_PIPE] = ACTIONS(2162),
    [anon_sym_GT_GT] = ACTIONS(2162),
    [anon_sym_GT_GT_GT] = ACTIONS(2162),
    [anon_sym_LT_LT] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_STAR_STAR] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ] = ACTIONS(2162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_QMARK_QMARK] = ACTIONS(2162),
    [anon_sym_instanceof] = ACTIONS(2162),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_satisfies] = ACTIONS(2162),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2496),
    [sym__ternary_qmark] = ACTIONS(2166),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(4295),
    [sym_expression_statement] = STATE(473),
    [sym_empty_statement] = STATE(473),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2752),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6647),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(457),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_as] = ACTIONS(2222),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_DOT] = ACTIONS(2222),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_QMARK_DOT] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_GT_GT_GT] = ACTIONS(2222),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_STAR_STAR] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2222),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_QMARK_QMARK] = ACTIONS(2222),
    [anon_sym_instanceof] = ACTIONS(2222),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_satisfies] = ACTIONS(2222),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym__ternary_qmark] = ACTIONS(2226),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(460),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_override_modifier] = STATE(471),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2500),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(4285),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym__type_query_member_expression] = STATE(3805),
    [sym__type_query_subscript_expression] = STATE(3803),
    [sym__type_query_call_expression] = STATE(3862),
    [sym__type_query_instantiation_expression] = STATE(3932),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_as] = ACTIONS(2244),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_in] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_QMARK_DOT] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_GT_GT_GT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_STAR_STAR] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_QMARK_QMARK] = ACTIONS(2244),
    [anon_sym_instanceof] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_satisfies] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2504),
    [sym__ternary_qmark] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(463),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5240),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2500),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(464),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5376),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2506),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2642),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6501),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(465),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym__automatic_semicolon] = ACTIONS(2512),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2677),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6498),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(466),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym__automatic_semicolon] = ACTIONS(2516),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2758),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6625),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym__automatic_semicolon] = ACTIONS(2520),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5348),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(2522),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2616),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6496),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym__automatic_semicolon] = ACTIONS(2528),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2603),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6815),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(470),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym__automatic_semicolon] = ACTIONS(2532),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2115),
    [sym_subscript_expression] = STATE(2115),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4523),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_pattern] = STATE(5342),
    [sym_rest_pattern] = STATE(4586),
    [sym_non_null_expression] = STATE(2115),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(120),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(111),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(146),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(158),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_readonly] = ACTIONS(2534),
    [anon_sym_get] = ACTIONS(111),
    [anon_sym_set] = ACTIONS(111),
    [anon_sym_declare] = ACTIONS(111),
    [anon_sym_public] = ACTIONS(111),
    [anon_sym_private] = ACTIONS(111),
    [anon_sym_protected] = ACTIONS(111),
    [anon_sym_override] = ACTIONS(111),
    [anon_sym_module] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(111),
    [anon_sym_number] = ACTIONS(111),
    [anon_sym_boolean] = ACTIONS(111),
    [anon_sym_string] = ACTIONS(111),
    [anon_sym_symbol] = ACTIONS(111),
    [anon_sym_object] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2806),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7436),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2873),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7163),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2808),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7313),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2540),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2865),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7202),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2542),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2299),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2299),
    [sym_subscript_expression] = STATE(2299),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5983),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2299),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_var] = ACTIONS(2552),
    [anon_sym_let] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2560),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2564),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2798),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7037),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3238),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(478),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2599),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3208),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2697),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3189),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2998),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3208),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(482),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3248),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3289),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2869),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7217),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3298),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3098),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(486),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3189),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2714),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(487),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2788),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(488),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2641),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6510),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2542),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7134),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(490),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2783),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(491),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2779),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(492),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3289),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2662),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3057),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(494),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3257),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2701),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6431),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(496),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2841),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym__extends_clause_single] = STATE(5809),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3416),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3298),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(499),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3104),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2825),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(501),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3447),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3188),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2716),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2747),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(504),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2877),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7105),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(505),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2885),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7112),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(506),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2878),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(507),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3258),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(508),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3186),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(509),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2464),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7444),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2834),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2776),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7189),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(512),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(513),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2882),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7113),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(514),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3316),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(515),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2767),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(516),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2482),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7380),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(517),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3188),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2997),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(518),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3318),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(519),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3236),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3319),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(521),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2875),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7117),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(522),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3234),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(523),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3320),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(524),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3408),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(525),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2795),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7066),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2841),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym__extends_clause_single] = STATE(5563),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2602),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6814),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2861),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3268),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3272),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2817),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7168),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2499),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7494),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2745),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3298),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2689),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3274),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3324),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2479),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7268),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2762),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7155),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2556),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3393),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2672),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6497),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3188),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2572),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2759),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_sequence_expression] = STATE(6622),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3189),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3208),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2632),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2609),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3371),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2755),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2826),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2686),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2606),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2803),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7267),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2794),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7266),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_mapped_type_clause] = STATE(7133),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_type] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2580),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_readonly] = ACTIONS(2576),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
    [anon_sym_declare] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2576),
    [anon_sym_any] = ACTIONS(2576),
    [anon_sym_number] = ACTIONS(2576),
    [anon_sym_boolean] = ACTIONS(2576),
    [anon_sym_string] = ACTIONS(2576),
    [anon_sym_symbol] = ACTIONS(2576),
    [anon_sym_object] = ACTIONS(2576),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2722),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2811),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2715),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2812),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2710),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2814),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2818),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7271),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2805),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_sequence_expression] = STATE(7028),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(4445),
    [sym_statement_block] = STATE(2576),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_mapped_type_clause] = STATE(7044),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2590),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(4295),
    [sym_statement_block] = STATE(3289),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2653),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3261),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2341),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2341),
    [sym_subscript_expression] = STATE(2341),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7258),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2341),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_export] = ACTIONS(2596),
    [anon_sym_type] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2600),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_readonly] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2596),
    [anon_sym_declare] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_override] = ACTIONS(2596),
    [anon_sym_module] = ACTIONS(2596),
    [anon_sym_any] = ACTIONS(2596),
    [anon_sym_number] = ACTIONS(2596),
    [anon_sym_boolean] = ACTIONS(2596),
    [anon_sym_string] = ACTIONS(2596),
    [anon_sym_symbol] = ACTIONS(2596),
    [anon_sym_object] = ACTIONS(2596),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2862),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3373),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3430),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2606),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2721),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3418),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3420),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2821),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2822),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3372),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2611),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2610),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3366),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2777),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2962),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2608),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2799),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3214),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3211),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2610),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3424),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3363),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2587),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3361),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3210),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2879),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2627),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3351),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2559),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2829),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2573),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2614),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2619),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3277),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3432),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2620),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2631),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2635),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2608),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3411),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3203),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3350),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2589),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3348),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2340),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2340),
    [sym_subscript_expression] = STATE(2340),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7094),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2340),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_export] = ACTIONS(2614),
    [anon_sym_type] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2618),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2622),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_readonly] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2614),
    [anon_sym_set] = ACTIONS(2614),
    [anon_sym_declare] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_override] = ACTIONS(2614),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_any] = ACTIONS(2614),
    [anon_sym_number] = ACTIONS(2614),
    [anon_sym_boolean] = ACTIONS(2614),
    [anon_sym_string] = ACTIONS(2614),
    [anon_sym_symbol] = ACTIONS(2614),
    [anon_sym_object] = ACTIONS(2614),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3406),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3145),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3202),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2871),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3451),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3191),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2673),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2612),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2860),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2681),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2687),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2695),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2675),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2699),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2712),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2717),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3421),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2730),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2748),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3440),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2770),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2723),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3295),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3346),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2606),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3340),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2339),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2339),
    [sym_subscript_expression] = STATE(2339),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7149),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2339),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_export] = ACTIONS(2628),
    [anon_sym_type] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2632),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_readonly] = ACTIONS(2628),
    [anon_sym_get] = ACTIONS(2628),
    [anon_sym_set] = ACTIONS(2628),
    [anon_sym_declare] = ACTIONS(2628),
    [anon_sym_public] = ACTIONS(2628),
    [anon_sym_private] = ACTIONS(2628),
    [anon_sym_protected] = ACTIONS(2628),
    [anon_sym_override] = ACTIONS(2628),
    [anon_sym_module] = ACTIONS(2628),
    [anon_sym_any] = ACTIONS(2628),
    [anon_sym_number] = ACTIONS(2628),
    [anon_sym_boolean] = ACTIONS(2628),
    [anon_sym_string] = ACTIONS(2628),
    [anon_sym_symbol] = ACTIONS(2628),
    [anon_sym_object] = ACTIONS(2628),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3332),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3328),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3326),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3201),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3325),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3200),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2828),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2741),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3314),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3407),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3197),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2690),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2643),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3419),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2744),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2746),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2883),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2671),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3462),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2884),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3461),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3457),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3138),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3264),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3379),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3463),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3145),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3196),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3195),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3250),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3014),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2881),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2610),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3016),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3468),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2337),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7132),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2337),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_export] = ACTIONS(2640),
    [anon_sym_type] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_readonly] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2640),
    [anon_sym_set] = ACTIONS(2640),
    [anon_sym_declare] = ACTIONS(2640),
    [anon_sym_public] = ACTIONS(2640),
    [anon_sym_private] = ACTIONS(2640),
    [anon_sym_protected] = ACTIONS(2640),
    [anon_sym_override] = ACTIONS(2640),
    [anon_sym_module] = ACTIONS(2640),
    [anon_sym_any] = ACTIONS(2640),
    [anon_sym_number] = ACTIONS(2640),
    [anon_sym_boolean] = ACTIONS(2640),
    [anon_sym_string] = ACTIONS(2640),
    [anon_sym_symbol] = ACTIONS(2640),
    [anon_sym_object] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3323),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3017),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3035),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2704),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(2608),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2650),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3036),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2864),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2940),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3090),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3190),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2344),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7345),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2344),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_export] = ACTIONS(2654),
    [anon_sym_type] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_readonly] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_declare] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_module] = ACTIONS(2654),
    [anon_sym_any] = ACTIONS(2654),
    [anon_sym_number] = ACTIONS(2654),
    [anon_sym_boolean] = ACTIONS(2654),
    [anon_sym_string] = ACTIONS(2654),
    [anon_sym_symbol] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3178),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3322),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2831),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2832),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3144),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3092),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2919),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3321),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3093),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2876),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2719),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2562),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2633),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3317),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2335),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2335),
    [sym_subscript_expression] = STATE(2335),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7276),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2335),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2664),
    [anon_sym_export] = ACTIONS(2666),
    [anon_sym_type] = ACTIONS(2666),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2670),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_readonly] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_declare] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_module] = ACTIONS(2666),
    [anon_sym_any] = ACTIONS(2666),
    [anon_sym_number] = ACTIONS(2666),
    [anon_sym_boolean] = ACTIONS(2666),
    [anon_sym_string] = ACTIONS(2666),
    [anon_sym_symbol] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2774),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2823),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3252),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3453),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2709),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2769),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2123),
    [sym_subscript_expression] = STATE(2123),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(4568),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2123),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_export] = ACTIONS(2678),
    [anon_sym_type] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2686),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_readonly] = ACTIONS(2678),
    [anon_sym_get] = ACTIONS(2678),
    [anon_sym_set] = ACTIONS(2678),
    [anon_sym_declare] = ACTIONS(2678),
    [anon_sym_public] = ACTIONS(2678),
    [anon_sym_private] = ACTIONS(2678),
    [anon_sym_protected] = ACTIONS(2678),
    [anon_sym_override] = ACTIONS(2678),
    [anon_sym_module] = ACTIONS(2678),
    [anon_sym_any] = ACTIONS(2678),
    [anon_sym_number] = ACTIONS(2678),
    [anon_sym_boolean] = ACTIONS(2678),
    [anon_sym_string] = ACTIONS(2678),
    [anon_sym_symbol] = ACTIONS(2678),
    [anon_sym_object] = ACTIONS(2678),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3315),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3187),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2718),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3253),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2932),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3312),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2807),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2606),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2810),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2961),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3185),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3106),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3173),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2678),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2569),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3310),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3402),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2848),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3309),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2624),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2872),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2837),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2804),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2843),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2924),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2839),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2838),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3301),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3094),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3095),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3376),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2768),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3241),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2836),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2765),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2227),
    [sym_subscript_expression] = STATE(2227),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(5172),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2227),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_export] = ACTIONS(1771),
    [anon_sym_type] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1771),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1771),
    [anon_sym_readonly] = ACTIONS(1771),
    [anon_sym_get] = ACTIONS(1771),
    [anon_sym_set] = ACTIONS(1771),
    [anon_sym_declare] = ACTIONS(1771),
    [anon_sym_public] = ACTIONS(1771),
    [anon_sym_private] = ACTIONS(1771),
    [anon_sym_protected] = ACTIONS(1771),
    [anon_sym_override] = ACTIONS(1771),
    [anon_sym_module] = ACTIONS(1771),
    [anon_sym_any] = ACTIONS(1771),
    [anon_sym_number] = ACTIONS(1771),
    [anon_sym_boolean] = ACTIONS(1771),
    [anon_sym_string] = ACTIONS(1771),
    [anon_sym_symbol] = ACTIONS(1771),
    [anon_sym_object] = ACTIONS(1771),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2739),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2835),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2727),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2827),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2761),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2824),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2801),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2649),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2749),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2813),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3162),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2995),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2693),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2756),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2996),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2743),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2840),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2578),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2800),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3121),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2771),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2844),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2728),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2336),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2336),
    [sym_subscript_expression] = STATE(2336),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7151),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2336),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2694),
    [anon_sym_export] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2700),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_readonly] = ACTIONS(2696),
    [anon_sym_get] = ACTIONS(2696),
    [anon_sym_set] = ACTIONS(2696),
    [anon_sym_declare] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_override] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_any] = ACTIONS(2696),
    [anon_sym_number] = ACTIONS(2696),
    [anon_sym_boolean] = ACTIONS(2696),
    [anon_sym_string] = ACTIONS(2696),
    [anon_sym_symbol] = ACTIONS(2696),
    [anon_sym_object] = ACTIONS(2696),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3168),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3281),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3280),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2985),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3242),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(805),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3266),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(806),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3113),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(807),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2652),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(808),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2847),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(809),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(810),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(811),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2586),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(812),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(813),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(814),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3115),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(815),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(816),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2849),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(817),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2613),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(818),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2850),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(819),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2976),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(820),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(821),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2342),
    [sym_subscript_expression] = STATE(2342),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7373),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(822),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2342),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2712),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_object] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(823),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(824),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2856),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(825),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2618),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(826),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2851),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(827),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2630),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(828),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2637),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(829),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3255),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(830),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2757),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(831),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(832),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3058),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(833),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7475),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2219),
    [sym_subscript_expression] = STATE(2219),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3902),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7474),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(834),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2219),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(797),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1799),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_type] = ACTIONS(1669),
    [anon_sym_namespace] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1675),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(91),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_declare] = ACTIONS(1669),
    [anon_sym_public] = ACTIONS(1669),
    [anon_sym_private] = ACTIONS(1669),
    [anon_sym_protected] = ACTIONS(1669),
    [anon_sym_override] = ACTIONS(1669),
    [anon_sym_module] = ACTIONS(1669),
    [anon_sym_any] = ACTIONS(1669),
    [anon_sym_number] = ACTIONS(1669),
    [anon_sym_boolean] = ACTIONS(1669),
    [anon_sym_string] = ACTIONS(1669),
    [anon_sym_symbol] = ACTIONS(1669),
    [anon_sym_object] = ACTIONS(1669),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2645),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(835),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2343),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2343),
    [sym_subscript_expression] = STATE(2343),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7348),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(836),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2343),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2718),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2724),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(837),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3254),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(838),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(839),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2889),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(840),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2647),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(841),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2725),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(842),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2853),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(843),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2309),
    [sym_expression] = STATE(3251),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7101),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2309),
    [sym_subscript_expression] = STATE(2309),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3970),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7247),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(844),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2309),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(805),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1603),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_void] = ACTIONS(1597),
    [anon_sym_delete] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1615),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1591),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2855),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(845),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3413),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(846),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2228),
    [sym_expression] = STATE(2665),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7257),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2228),
    [sym_subscript_expression] = STATE(2228),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3990),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7261),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(847),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2228),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(751),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1787),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_namespace] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1493),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_void] = ACTIONS(1483),
    [anon_sym_delete] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1509),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2338),
    [sym_expression] = STATE(3395),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2338),
    [sym_subscript_expression] = STATE(2338),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7397),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(848),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2338),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_export] = ACTIONS(2732),
    [anon_sym_type] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_declare] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_override] = ACTIONS(2732),
    [anon_sym_module] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_object] = ACTIONS(2732),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2857),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(849),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2667),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(850),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(851),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_expression] = STATE(2674),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7245),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2207),
    [sym_subscript_expression] = STATE(2207),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3976),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7296),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(852),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2207),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(672),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1805),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(1401),
    [anon_sym_namespace] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(966),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(970),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1411),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(966),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_void] = ACTIONS(966),
    [anon_sym_delete] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(992),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_readonly] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_declare] = ACTIONS(1401),
    [anon_sym_public] = ACTIONS(1401),
    [anon_sym_private] = ACTIONS(1401),
    [anon_sym_protected] = ACTIONS(1401),
    [anon_sym_override] = ACTIONS(1401),
    [anon_sym_module] = ACTIONS(1401),
    [anon_sym_any] = ACTIONS(1401),
    [anon_sym_number] = ACTIONS(1401),
    [anon_sym_boolean] = ACTIONS(1401),
    [anon_sym_string] = ACTIONS(1401),
    [anon_sym_symbol] = ACTIONS(1401),
    [anon_sym_object] = ACTIONS(1401),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7333),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2313),
    [sym_subscript_expression] = STATE(2313),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3968),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7392),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(853),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2313),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(578),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1555),
    [anon_sym_type] = ACTIONS(1555),
    [anon_sym_namespace] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1563),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1569),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1841),
    [anon_sym_using] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1563),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_void] = ACTIONS(1563),
    [anon_sym_delete] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(1581),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1555),
    [anon_sym_readonly] = ACTIONS(1555),
    [anon_sym_get] = ACTIONS(1555),
    [anon_sym_set] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1555),
    [anon_sym_public] = ACTIONS(1555),
    [anon_sym_private] = ACTIONS(1555),
    [anon_sym_protected] = ACTIONS(1555),
    [anon_sym_override] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1555),
    [anon_sym_number] = ACTIONS(1555),
    [anon_sym_boolean] = ACTIONS(1555),
    [anon_sym_string] = ACTIONS(1555),
    [anon_sym_symbol] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1555),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2250),
    [sym_expression] = STATE(2858),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7122),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2250),
    [sym_subscript_expression] = STATE(2250),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3928),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7131),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(854),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2250),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(598),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1829),
    [anon_sym_export] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_namespace] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1533),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_void] = ACTIONS(1527),
    [anon_sym_delete] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1545),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_declare] = ACTIONS(1521),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_private] = ACTIONS(1521),
    [anon_sym_protected] = ACTIONS(1521),
    [anon_sym_override] = ACTIONS(1521),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_any] = ACTIONS(1521),
    [anon_sym_number] = ACTIONS(1521),
    [anon_sym_boolean] = ACTIONS(1521),
    [anon_sym_string] = ACTIONS(1521),
    [anon_sym_symbol] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1521),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2327),
    [sym_expression] = STATE(3369),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7375),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2327),
    [sym_subscript_expression] = STATE(2327),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3947),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7378),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(855),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2327),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(794),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1691),
    [anon_sym_type] = ACTIONS(1691),
    [anon_sym_namespace] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1691),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1699),
    [anon_sym_yield] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1715),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1691),
    [anon_sym_declare] = ACTIONS(1691),
    [anon_sym_public] = ACTIONS(1691),
    [anon_sym_private] = ACTIONS(1691),
    [anon_sym_protected] = ACTIONS(1691),
    [anon_sym_override] = ACTIONS(1691),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_any] = ACTIONS(1691),
    [anon_sym_number] = ACTIONS(1691),
    [anon_sym_boolean] = ACTIONS(1691),
    [anon_sym_string] = ACTIONS(1691),
    [anon_sym_symbol] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1691),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2262),
    [sym_expression] = STATE(2802),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7476),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2262),
    [sym_subscript_expression] = STATE(2262),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3981),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7144),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(856),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2262),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(732),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1431),
    [anon_sym_type] = ACTIONS(1431),
    [anon_sym_namespace] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1817),
    [anon_sym_using] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(1155),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1819),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_readonly] = ACTIONS(1431),
    [anon_sym_get] = ACTIONS(1431),
    [anon_sym_set] = ACTIONS(1431),
    [anon_sym_declare] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_override] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_any] = ACTIONS(1431),
    [anon_sym_number] = ACTIONS(1431),
    [anon_sym_boolean] = ACTIONS(1431),
    [anon_sym_string] = ACTIONS(1431),
    [anon_sym_symbol] = ACTIONS(1431),
    [anon_sym_object] = ACTIONS(1431),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(3099),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(857),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym_import] = STATE(4445),
    [sym_parenthesized_expression] = STATE(2074),
    [sym_expression] = STATE(3412),
    [sym_primary_expression] = STATE(2498),
    [sym_yield_expression] = STATE(2660),
    [sym_object] = STATE(2654),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(2654),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(2660),
    [sym_glimmer_opening_tag] = STATE(5659),
    [sym_class] = STATE(2654),
    [sym_function_expression] = STATE(2654),
    [sym_generator_function] = STATE(2654),
    [sym_arrow_function] = STATE(2654),
    [sym__call_signature] = STATE(7146),
    [sym_call_expression] = STATE(2654),
    [sym_new_expression] = STATE(2660),
    [sym_await_expression] = STATE(2660),
    [sym_member_expression] = STATE(2074),
    [sym_subscript_expression] = STATE(2074),
    [sym_assignment_expression] = STATE(2660),
    [sym__augmented_assignment_lhs] = STATE(3911),
    [sym_augmented_assignment_expression] = STATE(2660),
    [sym__destructuring_pattern] = STATE(7472),
    [sym_ternary_expression] = STATE(2660),
    [sym_binary_expression] = STATE(2660),
    [sym_unary_expression] = STATE(2660),
    [sym_update_expression] = STATE(2660),
    [sym_string] = STATE(2654),
    [sym_comment] = STATE(858),
    [sym_template_string] = STATE(2654),
    [sym_regex] = STATE(2654),
    [sym_meta_property] = STATE(2654),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2074),
    [sym_type_assertion] = STATE(2660),
    [sym_as_expression] = STATE(2660),
    [sym_satisfies_expression] = STATE(2660),
    [sym_instantiation_expression] = STATE(2660),
    [sym_internal_module] = STATE(2660),
    [sym_type_arguments] = STATE(678),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5505),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_export] = ACTIONS(1095),
    [anon_sym_type] = ACTIONS(1095),
    [anon_sym_namespace] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_typeof] = ACTIONS(169),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(138),
    [anon_sym_yield] = ACTIONS(140),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(144),
    [anon_sym_async] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(148),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_using] = ACTIONS(154),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_void] = ACTIONS(169),
    [anon_sym_delete] = ACTIONS(169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1115),
    [sym_number] = ACTIONS(188),
    [sym_private_property_identifier] = ACTIONS(184),
    [sym_this] = ACTIONS(188),
    [sym_super] = ACTIONS(188),
    [sym_true] = ACTIONS(188),
    [sym_false] = ACTIONS(188),
    [sym_null] = ACTIONS(188),
    [sym_undefined] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1095),
    [anon_sym_readonly] = ACTIONS(1095),
    [anon_sym_get] = ACTIONS(1095),
    [anon_sym_set] = ACTIONS(1095),
    [anon_sym_declare] = ACTIONS(1095),
    [anon_sym_public] = ACTIONS(1095),
    [anon_sym_private] = ACTIONS(1095),
    [anon_sym_protected] = ACTIONS(1095),
    [anon_sym_override] = ACTIONS(1095),
    [anon_sym_module] = ACTIONS(1095),
    [anon_sym_any] = ACTIONS(1095),
    [anon_sym_number] = ACTIONS(1095),
    [anon_sym_boolean] = ACTIONS(1095),
    [anon_sym_string] = ACTIONS(1095),
    [anon_sym_symbol] = ACTIONS(1095),
    [anon_sym_object] = ACTIONS(1095),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym_import] = STATE(4295),
    [sym_parenthesized_expression] = STATE(2269),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2896),
    [sym_yield_expression] = STATE(3119),
    [sym_object] = STATE(3110),
    [sym_object_pattern] = STATE(4297),
    [sym_array] = STATE(3110),
    [sym_array_pattern] = STATE(4297),
    [sym_glimmer_template] = STATE(3119),
    [sym_glimmer_opening_tag] = STATE(5660),
    [sym_class] = STATE(3110),
    [sym_function_expression] = STATE(3110),
    [sym_generator_function] = STATE(3110),
    [sym_arrow_function] = STATE(3110),
    [sym__call_signature] = STATE(7127),
    [sym_call_expression] = STATE(3110),
    [sym_new_expression] = STATE(3119),
    [sym_await_expression] = STATE(3119),
    [sym_member_expression] = STATE(2269),
    [sym_subscript_expression] = STATE(2269),
    [sym_assignment_expression] = STATE(3119),
    [sym__augmented_assignment_lhs] = STATE(3891),
    [sym_augmented_assignment_expression] = STATE(3119),
    [sym__destructuring_pattern] = STATE(7129),
    [sym_ternary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_update_expression] = STATE(3119),
    [sym_string] = STATE(3110),
    [sym_comment] = STATE(859),
    [sym_template_string] = STATE(3110),
    [sym_regex] = STATE(3110),
    [sym_meta_property] = STATE(3110),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4922),
    [sym_non_null_expression] = STATE(2269),
    [sym_type_assertion] = STATE(3119),
    [sym_as_expression] = STATE(3119),
    [sym_satisfies_expression] = STATE(3119),
    [sym_instantiation_expression] = STATE(3119),
    [sym_internal_module] = STATE(3119),
    [sym_type_arguments] = STATE(823),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_export_statement_repeat1] = STATE(5575),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1625),
    [anon_sym_type] = ACTIONS(1625),
    [anon_sym_namespace] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_let] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LTtemplate_GT] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_function] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_LT] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1651),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [sym_number] = ACTIONS(89),
    [sym_private_property_identifier] = ACTIONS(1657),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(1827),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(1625),
    [anon_sym_readonly] = ACTIONS(1625),
    [anon_sym_get] = ACTIONS(1625),
    [anon_sym_set] = ACTIONS(1625),
    [anon_sym_declare] = ACTIONS(1625),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1625),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_any] = ACTIONS(1625),
    [anon_sym_number] = ACTIONS(1625),
    [anon_sym_boolean] = ACTIONS(1625),
    [anon_sym_string] = ACTIONS(1625),
    [anon_sym_symbol] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1625),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym_namespace_export] = STATE(6416),
    [sym_export_clause] = STATE(5650),
    [sym_declaration] = STATE(1719),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(860),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym_namespace_export] = STATE(6416),
    [sym_export_clause] = STATE(5650),
    [sym_declaration] = STATE(1719),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(861),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym_namespace_export] = STATE(6416),
    [sym_export_clause] = STATE(5650),
    [sym_declaration] = STATE(1719),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(862),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2748),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym__call_signature] = STATE(7352),
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(863),
    [sym_formal_parameters] = STATE(4922),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym__call_signature] = STATE(7352),
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(864),
    [sym_formal_parameters] = STATE(4922),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym__call_signature] = STATE(7352),
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(865),
    [sym_formal_parameters] = STATE(4922),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_type_parameters] = STATE(6399),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym_declaration] = STATE(1664),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(866),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym_declaration] = STATE(1664),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(867),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym_declaration] = STATE(1664),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(868),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_namespace_export] = STATE(7027),
    [sym_export_clause] = STATE(5541),
    [sym_declaration] = STATE(1250),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_class_declaration] = STATE(1254),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_comment] = STATE(869),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1254),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(1247),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [aux_sym_export_statement_repeat1] = STATE(5083),
    [anon_sym_STAR] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2835),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_as] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2863),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_namespace_export] = STATE(6416),
    [sym_export_clause] = STATE(5650),
    [sym_declaration] = STATE(1719),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(870),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_as] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2791),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_namespace_export] = STATE(6955),
    [sym_export_clause] = STATE(5646),
    [sym_declaration] = STATE(1188),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_class_declaration] = STATE(1191),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_comment] = STATE(871),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1191),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(1187),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [aux_sym_export_statement_repeat1] = STATE(5062),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2879),
    [anon_sym_EQ] = ACTIONS(2881),
    [anon_sym_as] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(2905),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_namespace_export] = STATE(6599),
    [sym_export_clause] = STATE(5653),
    [sym_declaration] = STATE(6856),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_class_declaration] = STATE(6852),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_comment] = STATE(872),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(6852),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(6859),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [aux_sym_export_statement_repeat1] = STATE(5274),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_as] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_namespace_export] = STATE(6843),
    [sym_export_clause] = STATE(5509),
    [sym_declaration] = STATE(1240),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_class_declaration] = STATE(1505),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_comment] = STATE(873),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1505),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(1514),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_type] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2957),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(874),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_override_modifier] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(875),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_override_modifier] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(876),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [sym_override_modifier] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2997),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(877),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(878),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(879),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(880),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(881),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_string] = STATE(4526),
    [sym_comment] = STATE(882),
    [sym__property_name] = STATE(4763),
    [sym_computed_property_name] = STATE(4526),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_export] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_type] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2991),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_readonly] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_module] = ACTIONS(2989),
    [anon_sym_any] = ACTIONS(2989),
    [anon_sym_number] = ACTIONS(2989),
    [anon_sym_boolean] = ACTIONS(2989),
    [anon_sym_string] = ACTIONS(2989),
    [anon_sym_symbol] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_declaration] = STATE(1664),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(883),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_declaration] = STATE(1497),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_class_declaration] = STATE(1505),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_comment] = STATE(884),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1505),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(1514),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_declaration] = STATE(1179),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_class_declaration] = STATE(1191),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_comment] = STATE(885),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1191),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(1187),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [aux_sym_export_statement_repeat1] = STATE(5062),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_declaration] = STATE(6866),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_class_declaration] = STATE(6852),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_comment] = STATE(886),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(6852),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(6859),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [aux_sym_export_statement_repeat1] = STATE(5274),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_declaration] = STATE(1285),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_class_declaration] = STATE(1254),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_comment] = STATE(887),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1254),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(1247),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [aux_sym_export_statement_repeat1] = STATE(5083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_COMMA] = ACTIONS(210),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(2778),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_comment] = STATE(888),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_declaration] = STATE(1497),
    [sym_variable_declaration] = STATE(1505),
    [sym_lexical_declaration] = STATE(1505),
    [sym_class_declaration] = STATE(1505),
    [sym_function_declaration] = STATE(1505),
    [sym_generator_function_declaration] = STATE(1505),
    [sym_comment] = STATE(889),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1505),
    [sym_ambient_declaration] = STATE(1505),
    [sym_abstract_class_declaration] = STATE(1505),
    [sym_module] = STATE(1505),
    [sym_internal_module] = STATE(1514),
    [sym_import_alias] = STATE(1505),
    [sym_interface_declaration] = STATE(1505),
    [sym_enum_declaration] = STATE(1505),
    [sym_type_alias_declaration] = STATE(1505),
    [aux_sym_export_statement_repeat1] = STATE(5116),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2999),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_async] = ACTIONS(2975),
    [anon_sym_function] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2979),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(2983),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2987),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_declaration] = STATE(1179),
    [sym_variable_declaration] = STATE(1191),
    [sym_lexical_declaration] = STATE(1191),
    [sym_class_declaration] = STATE(1191),
    [sym_function_declaration] = STATE(1191),
    [sym_generator_function_declaration] = STATE(1191),
    [sym_comment] = STATE(890),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1191),
    [sym_ambient_declaration] = STATE(1191),
    [sym_abstract_class_declaration] = STATE(1191),
    [sym_module] = STATE(1191),
    [sym_internal_module] = STATE(1187),
    [sym_import_alias] = STATE(1191),
    [sym_interface_declaration] = STATE(1191),
    [sym_enum_declaration] = STATE(1191),
    [sym_type_alias_declaration] = STATE(1191),
    [aux_sym_export_statement_repeat1] = STATE(5062),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2899),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2903),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_abstract] = ACTIONS(2907),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2911),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_comment] = STATE(891),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2460),
    [sym_private_property_identifier] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_declaration] = STATE(1285),
    [sym_variable_declaration] = STATE(1254),
    [sym_lexical_declaration] = STATE(1254),
    [sym_class_declaration] = STATE(1254),
    [sym_function_declaration] = STATE(1254),
    [sym_generator_function_declaration] = STATE(1254),
    [sym_comment] = STATE(892),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1254),
    [sym_ambient_declaration] = STATE(1254),
    [sym_abstract_class_declaration] = STATE(1254),
    [sym_module] = STATE(1254),
    [sym_internal_module] = STATE(1247),
    [sym_import_alias] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_enum_declaration] = STATE(1254),
    [sym_type_alias_declaration] = STATE(1254),
    [aux_sym_export_statement_repeat1] = STATE(5083),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2843),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(3019),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3021),
    [anon_sym_interface] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2869),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_declaration] = STATE(6866),
    [sym_variable_declaration] = STATE(6852),
    [sym_lexical_declaration] = STATE(6852),
    [sym_class_declaration] = STATE(6852),
    [sym_function_declaration] = STATE(6852),
    [sym_generator_function_declaration] = STATE(6852),
    [sym_comment] = STATE(893),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(6852),
    [sym_ambient_declaration] = STATE(6852),
    [sym_abstract_class_declaration] = STATE(6852),
    [sym_module] = STATE(6852),
    [sym_internal_module] = STATE(6859),
    [sym_import_alias] = STATE(6852),
    [sym_interface_declaration] = STATE(6852),
    [sym_enum_declaration] = STATE(6852),
    [sym_type_alias_declaration] = STATE(6852),
    [aux_sym_export_statement_repeat1] = STATE(5274),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3011),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2927),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_async] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2941),
    [anon_sym_module] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(2945),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2949),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_declaration] = STATE(5068),
    [sym_variable_declaration] = STATE(5060),
    [sym_lexical_declaration] = STATE(5060),
    [sym_class_declaration] = STATE(5060),
    [sym_function_declaration] = STATE(5060),
    [sym_generator_function_declaration] = STATE(5060),
    [sym_comment] = STATE(894),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(5060),
    [sym_ambient_declaration] = STATE(5060),
    [sym_abstract_class_declaration] = STATE(5060),
    [sym_module] = STATE(5060),
    [sym_internal_module] = STATE(5071),
    [sym_import_alias] = STATE(5060),
    [sym_interface_declaration] = STATE(5060),
    [sym_enum_declaration] = STATE(5060),
    [sym_type_alias_declaration] = STATE(5060),
    [aux_sym_export_statement_repeat1] = STATE(5097),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3025),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_import] = ACTIONS(3029),
    [anon_sym_var] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3033),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(3037),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_function] = ACTIONS(3041),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(3043),
    [anon_sym_module] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_comment] = STATE(895),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_comment] = STATE(896),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2460),
    [sym_private_property_identifier] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_declaration] = STATE(1664),
    [sym_variable_declaration] = STATE(1740),
    [sym_lexical_declaration] = STATE(1740),
    [sym_class_declaration] = STATE(1740),
    [sym_function_declaration] = STATE(1740),
    [sym_generator_function_declaration] = STATE(1740),
    [sym_comment] = STATE(897),
    [sym_decorator] = STATE(5658),
    [sym_function_signature] = STATE(1740),
    [sym_ambient_declaration] = STATE(1740),
    [sym_abstract_class_declaration] = STATE(1740),
    [sym_module] = STATE(1740),
    [sym_internal_module] = STATE(1717),
    [sym_import_alias] = STATE(1740),
    [sym_interface_declaration] = STATE(1740),
    [sym_enum_declaration] = STATE(1740),
    [sym_type_alias_declaration] = STATE(1740),
    [aux_sym_export_statement_repeat1] = STATE(5069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(210),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(210),
    [anon_sym_LBRACK] = ACTIONS(210),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(210),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_EQ_GT] = ACTIONS(3023),
    [anon_sym_QMARK_DOT] = ACTIONS(210),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(210),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(210),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(210),
    [anon_sym_GT_EQ] = ACTIONS(210),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(210),
    [anon_sym_PLUS_PLUS] = ACTIONS(210),
    [anon_sym_DASH_DASH] = ACTIONS(210),
    [aux_sym_comment_token1] = ACTIONS(2785),
    [anon_sym_BQUOTE] = ACTIONS(210),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_satisfies] = ACTIONS(210),
    [anon_sym_global] = ACTIONS(2831),
    [anon_sym_interface] = ACTIONS(2795),
    [anon_sym_enum] = ACTIONS(2797),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_comment] = STATE(898),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_comment] = STATE(899),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(2460),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [sym_number] = ACTIONS(2460),
    [sym_private_property_identifier] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(900),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(901),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(1103),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(902),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym__call_signature] = STATE(7275),
    [sym_comment] = STATE(903),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(904),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_export] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3079),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3079),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3079),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3079),
    [anon_sym_readonly] = ACTIONS(3079),
    [anon_sym_get] = ACTIONS(3079),
    [anon_sym_set] = ACTIONS(3079),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_public] = ACTIONS(3079),
    [anon_sym_private] = ACTIONS(3079),
    [anon_sym_protected] = ACTIONS(3079),
    [anon_sym_override] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3079),
    [anon_sym_any] = ACTIONS(3079),
    [anon_sym_number] = ACTIONS(3079),
    [anon_sym_boolean] = ACTIONS(3079),
    [anon_sym_string] = ACTIONS(3079),
    [anon_sym_symbol] = ACTIONS(3079),
    [anon_sym_object] = ACTIONS(3079),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(905),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(906),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(907),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(908),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym__call_signature] = STATE(7275),
    [sym_comment] = STATE(909),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3071),
    [anon_sym_export] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3073),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3073),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3073),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_readonly] = ACTIONS(3073),
    [anon_sym_get] = ACTIONS(3073),
    [anon_sym_set] = ACTIONS(3073),
    [anon_sym_declare] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_override] = ACTIONS(3073),
    [anon_sym_module] = ACTIONS(3073),
    [anon_sym_any] = ACTIONS(3073),
    [anon_sym_number] = ACTIONS(3073),
    [anon_sym_boolean] = ACTIONS(3073),
    [anon_sym_string] = ACTIONS(3073),
    [anon_sym_symbol] = ACTIONS(3073),
    [anon_sym_object] = ACTIONS(3073),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(910),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym__call_signature] = STATE(7250),
    [sym_comment] = STATE(911),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3085),
    [anon_sym_export] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3087),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3087),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3087),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3087),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3087),
    [anon_sym_readonly] = ACTIONS(3087),
    [anon_sym_get] = ACTIONS(3087),
    [anon_sym_set] = ACTIONS(3087),
    [anon_sym_declare] = ACTIONS(3087),
    [anon_sym_public] = ACTIONS(3087),
    [anon_sym_private] = ACTIONS(3087),
    [anon_sym_protected] = ACTIONS(3087),
    [anon_sym_override] = ACTIONS(3087),
    [anon_sym_module] = ACTIONS(3087),
    [anon_sym_any] = ACTIONS(3087),
    [anon_sym_number] = ACTIONS(3087),
    [anon_sym_boolean] = ACTIONS(3087),
    [anon_sym_string] = ACTIONS(3087),
    [anon_sym_symbol] = ACTIONS(3087),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym__call_signature] = STATE(7250),
    [sym_comment] = STATE(912),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3085),
    [anon_sym_export] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3087),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3087),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_let] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3087),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3087),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3087),
    [anon_sym_readonly] = ACTIONS(3087),
    [anon_sym_get] = ACTIONS(3087),
    [anon_sym_set] = ACTIONS(3087),
    [anon_sym_declare] = ACTIONS(3087),
    [anon_sym_public] = ACTIONS(3087),
    [anon_sym_private] = ACTIONS(3087),
    [anon_sym_protected] = ACTIONS(3087),
    [anon_sym_override] = ACTIONS(3087),
    [anon_sym_module] = ACTIONS(3087),
    [anon_sym_any] = ACTIONS(3087),
    [anon_sym_number] = ACTIONS(3087),
    [anon_sym_boolean] = ACTIONS(3087),
    [anon_sym_string] = ACTIONS(3087),
    [anon_sym_symbol] = ACTIONS(3087),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(913),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3089),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym__call_signature] = STATE(7250),
    [sym_comment] = STATE(914),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3085),
    [anon_sym_export] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3087),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3087),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3087),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3087),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3087),
    [anon_sym_readonly] = ACTIONS(3087),
    [anon_sym_get] = ACTIONS(3087),
    [anon_sym_set] = ACTIONS(3087),
    [anon_sym_declare] = ACTIONS(3087),
    [anon_sym_public] = ACTIONS(3087),
    [anon_sym_private] = ACTIONS(3087),
    [anon_sym_protected] = ACTIONS(3087),
    [anon_sym_override] = ACTIONS(3087),
    [anon_sym_module] = ACTIONS(3087),
    [anon_sym_any] = ACTIONS(3087),
    [anon_sym_number] = ACTIONS(3087),
    [anon_sym_boolean] = ACTIONS(3087),
    [anon_sym_string] = ACTIONS(3087),
    [anon_sym_symbol] = ACTIONS(3087),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym__call_signature] = STATE(7352),
    [sym_comment] = STATE(915),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3067),
    [anon_sym_export] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3069),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3069),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3069),
    [anon_sym_readonly] = ACTIONS(3069),
    [anon_sym_get] = ACTIONS(3069),
    [anon_sym_set] = ACTIONS(3069),
    [anon_sym_declare] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3069),
    [anon_sym_private] = ACTIONS(3069),
    [anon_sym_protected] = ACTIONS(3069),
    [anon_sym_override] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_any] = ACTIONS(3069),
    [anon_sym_number] = ACTIONS(3069),
    [anon_sym_boolean] = ACTIONS(3069),
    [anon_sym_string] = ACTIONS(3069),
    [anon_sym_symbol] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(3069),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym__call_signature] = STATE(7148),
    [sym_comment] = STATE(916),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym__call_signature] = STATE(7148),
    [sym_comment] = STATE(917),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3093),
    [anon_sym_export] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_readonly] = ACTIONS(3095),
    [anon_sym_get] = ACTIONS(3095),
    [anon_sym_set] = ACTIONS(3095),
    [anon_sym_declare] = ACTIONS(3095),
    [anon_sym_public] = ACTIONS(3095),
    [anon_sym_private] = ACTIONS(3095),
    [anon_sym_protected] = ACTIONS(3095),
    [anon_sym_override] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(3095),
    [anon_sym_number] = ACTIONS(3095),
    [anon_sym_boolean] = ACTIONS(3095),
    [anon_sym_string] = ACTIONS(3095),
    [anon_sym_symbol] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(3095),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(918),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym__call_signature] = STATE(7250),
    [sym_comment] = STATE(919),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3085),
    [anon_sym_export] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3087),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3087),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_let] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3087),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3087),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3087),
    [anon_sym_readonly] = ACTIONS(3087),
    [anon_sym_get] = ACTIONS(3087),
    [anon_sym_set] = ACTIONS(3087),
    [anon_sym_declare] = ACTIONS(3087),
    [anon_sym_public] = ACTIONS(3087),
    [anon_sym_private] = ACTIONS(3087),
    [anon_sym_protected] = ACTIONS(3087),
    [anon_sym_override] = ACTIONS(3087),
    [anon_sym_module] = ACTIONS(3087),
    [anon_sym_any] = ACTIONS(3087),
    [anon_sym_number] = ACTIONS(3087),
    [anon_sym_boolean] = ACTIONS(3087),
    [anon_sym_string] = ACTIONS(3087),
    [anon_sym_symbol] = ACTIONS(3087),
    [anon_sym_object] = ACTIONS(3087),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(920),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_export] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3079),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3079),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3079),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3079),
    [anon_sym_readonly] = ACTIONS(3079),
    [anon_sym_get] = ACTIONS(3079),
    [anon_sym_set] = ACTIONS(3079),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_public] = ACTIONS(3079),
    [anon_sym_private] = ACTIONS(3079),
    [anon_sym_protected] = ACTIONS(3079),
    [anon_sym_override] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3079),
    [anon_sym_any] = ACTIONS(3079),
    [anon_sym_number] = ACTIONS(3079),
    [anon_sym_boolean] = ACTIONS(3079),
    [anon_sym_string] = ACTIONS(3079),
    [anon_sym_symbol] = ACTIONS(3079),
    [anon_sym_object] = ACTIONS(3079),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym__call_signature] = STATE(7402),
    [sym_comment] = STATE(921),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_export] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3079),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_let] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3079),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3079),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3079),
    [anon_sym_readonly] = ACTIONS(3079),
    [anon_sym_get] = ACTIONS(3079),
    [anon_sym_set] = ACTIONS(3079),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_public] = ACTIONS(3079),
    [anon_sym_private] = ACTIONS(3079),
    [anon_sym_protected] = ACTIONS(3079),
    [anon_sym_override] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3079),
    [anon_sym_any] = ACTIONS(3079),
    [anon_sym_number] = ACTIONS(3079),
    [anon_sym_boolean] = ACTIONS(3079),
    [anon_sym_string] = ACTIONS(3079),
    [anon_sym_symbol] = ACTIONS(3079),
    [anon_sym_object] = ACTIONS(3079),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(922),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(923),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(924),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3105),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(925),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3091),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(926),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(927),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3081),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(928),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(929),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1291),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3089),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(930),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(931),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym__call_signature] = STATE(7142),
    [sym_comment] = STATE(932),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_export] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3103),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3103),
    [anon_sym_function] = ACTIONS(3075),
    [anon_sym_EQ_GT] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_readonly] = ACTIONS(3103),
    [anon_sym_get] = ACTIONS(3103),
    [anon_sym_set] = ACTIONS(3103),
    [anon_sym_declare] = ACTIONS(3103),
    [anon_sym_public] = ACTIONS(3103),
    [anon_sym_private] = ACTIONS(3103),
    [anon_sym_protected] = ACTIONS(3103),
    [anon_sym_override] = ACTIONS(3103),
    [anon_sym_module] = ACTIONS(3103),
    [anon_sym_any] = ACTIONS(3103),
    [anon_sym_number] = ACTIONS(3103),
    [anon_sym_boolean] = ACTIONS(3103),
    [anon_sym_string] = ACTIONS(3103),
    [anon_sym_symbol] = ACTIONS(3103),
    [anon_sym_object] = ACTIONS(3103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_catch_clause] = STATE(946),
    [sym_finally_clause] = STATE(1066),
    [sym_comment] = STATE(933),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_else] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3109),
    [anon_sym_finally] = ACTIONS(3111),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym__call_signature] = STATE(7387),
    [sym_comment] = STATE(934),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(935),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_catch_clause] = STATE(1012),
    [sym_finally_clause] = STATE(1316),
    [sym_comment] = STATE(936),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3117),
    [anon_sym_finally] = ACTIONS(3119),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym__call_signature] = STATE(7097),
    [sym_comment] = STATE(937),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_export] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3123),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_let] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_readonly] = ACTIONS(3123),
    [anon_sym_get] = ACTIONS(3123),
    [anon_sym_set] = ACTIONS(3123),
    [anon_sym_declare] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_override] = ACTIONS(3123),
    [anon_sym_module] = ACTIONS(3123),
    [anon_sym_any] = ACTIONS(3123),
    [anon_sym_number] = ACTIONS(3123),
    [anon_sym_boolean] = ACTIONS(3123),
    [anon_sym_string] = ACTIONS(3123),
    [anon_sym_symbol] = ACTIONS(3123),
    [anon_sym_object] = ACTIONS(3123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym__call_signature] = STATE(7097),
    [sym_comment] = STATE(938),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_export] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3123),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_let] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_readonly] = ACTIONS(3123),
    [anon_sym_get] = ACTIONS(3123),
    [anon_sym_set] = ACTIONS(3123),
    [anon_sym_declare] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_override] = ACTIONS(3123),
    [anon_sym_module] = ACTIONS(3123),
    [anon_sym_any] = ACTIONS(3123),
    [anon_sym_number] = ACTIONS(3123),
    [anon_sym_boolean] = ACTIONS(3123),
    [anon_sym_string] = ACTIONS(3123),
    [anon_sym_symbol] = ACTIONS(3123),
    [anon_sym_object] = ACTIONS(3123),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(939),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(940),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_comment] = STATE(941),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3125),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_comment] = STATE(942),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_catch] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3127),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_catch_clause] = STATE(1014),
    [sym_finally_clause] = STATE(1501),
    [sym_comment] = STATE(943),
    [ts_builtin_sym_end] = ACTIONS(3129),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_else] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3131),
    [anon_sym_finally] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym__call_signature] = STATE(7387),
    [sym_comment] = STATE(944),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3113),
    [anon_sym_export] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3115),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3115),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3115),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_readonly] = ACTIONS(3115),
    [anon_sym_get] = ACTIONS(3115),
    [anon_sym_set] = ACTIONS(3115),
    [anon_sym_declare] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_override] = ACTIONS(3115),
    [anon_sym_module] = ACTIONS(3115),
    [anon_sym_any] = ACTIONS(3115),
    [anon_sym_number] = ACTIONS(3115),
    [anon_sym_boolean] = ACTIONS(3115),
    [anon_sym_string] = ACTIONS(3115),
    [anon_sym_symbol] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3115),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym__call_signature] = STATE(7337),
    [sym_comment] = STATE(945),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3097),
    [anon_sym_export] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3099),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_let] = ACTIONS(3099),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3099),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_readonly] = ACTIONS(3099),
    [anon_sym_get] = ACTIONS(3099),
    [anon_sym_set] = ACTIONS(3099),
    [anon_sym_declare] = ACTIONS(3099),
    [anon_sym_public] = ACTIONS(3099),
    [anon_sym_private] = ACTIONS(3099),
    [anon_sym_protected] = ACTIONS(3099),
    [anon_sym_override] = ACTIONS(3099),
    [anon_sym_module] = ACTIONS(3099),
    [anon_sym_any] = ACTIONS(3099),
    [anon_sym_number] = ACTIONS(3099),
    [anon_sym_boolean] = ACTIONS(3099),
    [anon_sym_string] = ACTIONS(3099),
    [anon_sym_symbol] = ACTIONS(3099),
    [anon_sym_object] = ACTIONS(3099),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_finally_clause] = STATE(1165),
    [sym_comment] = STATE(946),
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_export] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_type] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3135),
    [anon_sym_import] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_let] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_else] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_await] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_with] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_debugger] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_finally] = ACTIONS(3111),
    [anon_sym_yield] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LTtemplate_GT] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_SLASH] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_void] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_private_property_identifier] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
    [sym_super] = ACTIONS(3135),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [sym_null] = ACTIONS(3135),
    [sym_undefined] = ACTIONS(3135),
    [anon_sym_AT] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_get] = ACTIONS(3135),
    [anon_sym_set] = ACTIONS(3135),
    [anon_sym_declare] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_module] = ACTIONS(3135),
    [anon_sym_any] = ACTIONS(3135),
    [anon_sym_number] = ACTIONS(3135),
    [anon_sym_boolean] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_symbol] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(947),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1397),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_comment] = STATE(948),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_catch] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3137),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(949),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(950),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_statement_block] = STATE(1219),
    [sym_comment] = STATE(951),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(952),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(953),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1339),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(954),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_comment] = STATE(955),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3143),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_comment] = STATE(956),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3145),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(957),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_comment] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3147),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(959),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_comment] = STATE(960),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_catch] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_comment] = STATE(961),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_catch] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3149),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(962),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_comment] = STATE(963),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_comment] = STATE(964),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3151),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_statement_block] = STATE(1219),
    [sym_comment] = STATE(965),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3153),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(966),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym__call_signature] = STATE(7135),
    [sym_comment] = STATE(967),
    [sym_formal_parameters] = STATE(4922),
    [sym_type_parameters] = STATE(6399),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_export] = ACTIONS(3057),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_type] = ACTIONS(3057),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_namespace] = ACTIONS(3057),
    [anon_sym_let] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_async] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_new] = ACTIONS(3057),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_static] = ACTIONS(3057),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_get] = ACTIONS(3057),
    [anon_sym_set] = ACTIONS(3057),
    [anon_sym_declare] = ACTIONS(3057),
    [anon_sym_public] = ACTIONS(3057),
    [anon_sym_private] = ACTIONS(3057),
    [anon_sym_protected] = ACTIONS(3057),
    [anon_sym_override] = ACTIONS(3057),
    [anon_sym_module] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(3057),
    [anon_sym_number] = ACTIONS(3057),
    [anon_sym_boolean] = ACTIONS(3057),
    [anon_sym_string] = ACTIONS(3057),
    [anon_sym_symbol] = ACTIONS(3057),
    [anon_sym_object] = ACTIONS(3057),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_catch_clause] = STATE(1025),
    [sym_finally_clause] = STATE(1602),
    [sym_comment] = STATE(968),
    [ts_builtin_sym_end] = ACTIONS(3129),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_export] = ACTIONS(3107),
    [anon_sym_type] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_typeof] = ACTIONS(3107),
    [anon_sym_import] = ACTIONS(3107),
    [anon_sym_var] = ACTIONS(3107),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_await] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_with] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_debugger] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_catch] = ACTIONS(3155),
    [anon_sym_finally] = ACTIONS(3157),
    [anon_sym_yield] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LTtemplate_GT] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_async] = ACTIONS(3107),
    [anon_sym_function] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_void] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3107),
    [sym_number] = ACTIONS(3107),
    [sym_private_property_identifier] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
    [sym_super] = ACTIONS(3107),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [sym_null] = ACTIONS(3107),
    [sym_undefined] = ACTIONS(3107),
    [anon_sym_AT] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_get] = ACTIONS(3107),
    [anon_sym_set] = ACTIONS(3107),
    [anon_sym_declare] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_override] = ACTIONS(3107),
    [anon_sym_module] = ACTIONS(3107),
    [anon_sym_any] = ACTIONS(3107),
    [anon_sym_number] = ACTIONS(3107),
    [anon_sym_boolean] = ACTIONS(3107),
    [anon_sym_string] = ACTIONS(3107),
    [anon_sym_symbol] = ACTIONS(3107),
    [anon_sym_object] = ACTIONS(3107),
    [anon_sym_abstract] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_comment] = STATE(969),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3159),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_comment] = STATE(970),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_comment] = STATE(971),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_comment] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_catch] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_statement_block] = STATE(1219),
    [sym_comment] = STATE(973),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_statement_block] = STATE(1362),
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3163),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_comment] = STATE(975),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_statement_block] = STATE(1362),
    [sym_comment] = STATE(976),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3165),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_comment] = STATE(977),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_comment] = STATE(978),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_comment] = STATE(979),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_comment] = STATE(980),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_comment] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_comment] = STATE(982),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3169),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2276),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_statement_block] = STATE(1535),
    [sym_comment] = STATE(984),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_statement_block] = STATE(1535),
    [sym_comment] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3175),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_comment] = STATE(986),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_comment] = STATE(987),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2118),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_comment] = STATE(988),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2292),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_type] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_with] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_debugger] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_finally] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LTtemplate_GT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_SLASH] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_void] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_private_property_identifier] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
    [sym_super] = ACTIONS(3177),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [sym_null] = ACTIONS(3177),
    [sym_undefined] = ACTIONS(3177),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3177),
    [anon_sym_set] = ACTIONS(3177),
    [anon_sym_declare] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_module] = ACTIONS(3177),
    [anon_sym_any] = ACTIONS(3177),
    [anon_sym_number] = ACTIONS(3177),
    [anon_sym_boolean] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_symbol] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2208),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_comment] = STATE(991),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2164),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2246),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_comment] = STATE(993),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_comment] = STATE(994),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_comment] = STATE(995),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_comment] = STATE(996),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2224),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2284),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2266),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3181),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_comment] = STATE(1000),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3183),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_comment] = STATE(1001),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2234),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3185),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_catch] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_comment] = STATE(1004),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2254),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_comment] = STATE(1006),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_comment] = STATE(1007),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3187),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_else_clause] = STATE(1067),
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(3189),
    [anon_sym_export] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_type] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3191),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_with] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_debugger] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_LTtemplate_GT] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_SLASH] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_void] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3189),
    [sym_number] = ACTIONS(3189),
    [sym_private_property_identifier] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
    [sym_super] = ACTIONS(3189),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [sym_null] = ACTIONS(3189),
    [sym_undefined] = ACTIONS(3189),
    [anon_sym_AT] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_get] = ACTIONS(3189),
    [anon_sym_set] = ACTIONS(3189),
    [anon_sym_declare] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_module] = ACTIONS(3189),
    [anon_sym_any] = ACTIONS(3189),
    [anon_sym_number] = ACTIONS(3189),
    [anon_sym_boolean] = ACTIONS(3189),
    [anon_sym_string] = ACTIONS(3189),
    [anon_sym_symbol] = ACTIONS(3189),
    [anon_sym_object] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_comment] = STATE(1009),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_catch] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3193),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_comment] = STATE(1010),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3195),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_else_clause] = STATE(1528),
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(3189),
    [anon_sym_export] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_type] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_with] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_debugger] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_LTtemplate_GT] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_SLASH] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_void] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3189),
    [sym_number] = ACTIONS(3189),
    [sym_private_property_identifier] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
    [sym_super] = ACTIONS(3189),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [sym_null] = ACTIONS(3189),
    [sym_undefined] = ACTIONS(3189),
    [anon_sym_AT] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_get] = ACTIONS(3189),
    [anon_sym_set] = ACTIONS(3189),
    [anon_sym_declare] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_module] = ACTIONS(3189),
    [anon_sym_any] = ACTIONS(3189),
    [anon_sym_number] = ACTIONS(3189),
    [anon_sym_boolean] = ACTIONS(3189),
    [anon_sym_string] = ACTIONS(3189),
    [anon_sym_symbol] = ACTIONS(3189),
    [anon_sym_object] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_finally_clause] = STATE(1573),
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_export] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_type] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3135),
    [anon_sym_import] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_let] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_await] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_with] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_debugger] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_finally] = ACTIONS(3119),
    [anon_sym_yield] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LTtemplate_GT] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_SLASH] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_void] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_private_property_identifier] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
    [sym_super] = ACTIONS(3135),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [sym_null] = ACTIONS(3135),
    [sym_undefined] = ACTIONS(3135),
    [anon_sym_AT] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_get] = ACTIONS(3135),
    [anon_sym_set] = ACTIONS(3135),
    [anon_sym_declare] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_module] = ACTIONS(3135),
    [anon_sym_any] = ACTIONS(3135),
    [anon_sym_number] = ACTIONS(3135),
    [anon_sym_boolean] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_symbol] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_else] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_finally_clause] = STATE(1351),
    [sym_comment] = STATE(1014),
    [ts_builtin_sym_end] = ACTIONS(3201),
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_export] = ACTIONS(3135),
    [anon_sym_type] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3135),
    [anon_sym_import] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_let] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_else] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_await] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_with] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_debugger] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_finally] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LTtemplate_GT] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_SLASH] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_void] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_private_property_identifier] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
    [sym_super] = ACTIONS(3135),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [sym_null] = ACTIONS(3135),
    [sym_undefined] = ACTIONS(3135),
    [anon_sym_AT] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_get] = ACTIONS(3135),
    [anon_sym_set] = ACTIONS(3135),
    [anon_sym_declare] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_module] = ACTIONS(3135),
    [anon_sym_any] = ACTIONS(3135),
    [anon_sym_number] = ACTIONS(3135),
    [anon_sym_boolean] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_symbol] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_catch] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2384),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_finally_clause] = STATE(1601),
    [sym_comment] = STATE(1025),
    [ts_builtin_sym_end] = ACTIONS(3201),
    [sym_identifier] = ACTIONS(3135),
    [anon_sym_export] = ACTIONS(3135),
    [anon_sym_type] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_typeof] = ACTIONS(3135),
    [anon_sym_import] = ACTIONS(3135),
    [anon_sym_var] = ACTIONS(3135),
    [anon_sym_let] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_await] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_with] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_debugger] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_finally] = ACTIONS(3157),
    [anon_sym_yield] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LTtemplate_GT] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_async] = ACTIONS(3135),
    [anon_sym_function] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_SLASH] = ACTIONS(3135),
    [anon_sym_LT] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_void] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3135),
    [sym_number] = ACTIONS(3135),
    [sym_private_property_identifier] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
    [sym_super] = ACTIONS(3135),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [sym_null] = ACTIONS(3135),
    [sym_undefined] = ACTIONS(3135),
    [anon_sym_AT] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_readonly] = ACTIONS(3135),
    [anon_sym_get] = ACTIONS(3135),
    [anon_sym_set] = ACTIONS(3135),
    [anon_sym_declare] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_override] = ACTIONS(3135),
    [anon_sym_module] = ACTIONS(3135),
    [anon_sym_any] = ACTIONS(3135),
    [anon_sym_number] = ACTIONS(3135),
    [anon_sym_boolean] = ACTIONS(3135),
    [anon_sym_string] = ACTIONS(3135),
    [anon_sym_symbol] = ACTIONS(3135),
    [anon_sym_object] = ACTIONS(3135),
    [anon_sym_abstract] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_else_clause] = STATE(1708),
    [sym_comment] = STATE(1027),
    [ts_builtin_sym_end] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3189),
    [anon_sym_export] = ACTIONS(3189),
    [anon_sym_type] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_with] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_debugger] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_LTtemplate_GT] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_SLASH] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_void] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3189),
    [sym_number] = ACTIONS(3189),
    [sym_private_property_identifier] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
    [sym_super] = ACTIONS(3189),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [sym_null] = ACTIONS(3189),
    [sym_undefined] = ACTIONS(3189),
    [anon_sym_AT] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_get] = ACTIONS(3189),
    [anon_sym_set] = ACTIONS(3189),
    [anon_sym_declare] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_module] = ACTIONS(3189),
    [anon_sym_any] = ACTIONS(3189),
    [anon_sym_number] = ACTIONS(3189),
    [anon_sym_boolean] = ACTIONS(3189),
    [anon_sym_string] = ACTIONS(3189),
    [anon_sym_symbol] = ACTIONS(3189),
    [anon_sym_object] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_default] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_else] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_case] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_else] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_case] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_else] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_else] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_else] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_else] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_statement_block] = STATE(1535),
    [sym_comment] = STATE(1108),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_else] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_catch] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_comment] = STATE(1129),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_export] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3335),
    [anon_sym_typeof] = ACTIONS(3335),
    [anon_sym_import] = ACTIONS(3335),
    [anon_sym_var] = ACTIONS(3335),
    [anon_sym_let] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_await] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_with] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_debugger] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_yield] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LTtemplate_GT] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_async] = ACTIONS(3335),
    [anon_sym_function] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_SLASH] = ACTIONS(3335),
    [anon_sym_LT] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_void] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3335),
    [sym_number] = ACTIONS(3335),
    [sym_private_property_identifier] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
    [sym_super] = ACTIONS(3335),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [sym_null] = ACTIONS(3335),
    [sym_undefined] = ACTIONS(3335),
    [anon_sym_AT] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_readonly] = ACTIONS(3335),
    [anon_sym_get] = ACTIONS(3335),
    [anon_sym_set] = ACTIONS(3335),
    [anon_sym_declare] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_override] = ACTIONS(3335),
    [anon_sym_module] = ACTIONS(3335),
    [anon_sym_any] = ACTIONS(3335),
    [anon_sym_number] = ACTIONS(3335),
    [anon_sym_boolean] = ACTIONS(3335),
    [anon_sym_string] = ACTIONS(3335),
    [anon_sym_symbol] = ACTIONS(3335),
    [anon_sym_object] = ACTIONS(3335),
    [anon_sym_abstract] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_else] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3347),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_else] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_else_clause] = STATE(1443),
    [sym_comment] = STATE(1157),
    [ts_builtin_sym_end] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3189),
    [anon_sym_export] = ACTIONS(3189),
    [anon_sym_type] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_with] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_debugger] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_LTtemplate_GT] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_SLASH] = ACTIONS(3189),
    [anon_sym_LT] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_void] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3189),
    [sym_number] = ACTIONS(3189),
    [sym_private_property_identifier] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
    [sym_super] = ACTIONS(3189),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [sym_null] = ACTIONS(3189),
    [sym_undefined] = ACTIONS(3189),
    [anon_sym_AT] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_get] = ACTIONS(3189),
    [anon_sym_set] = ACTIONS(3189),
    [anon_sym_declare] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_module] = ACTIONS(3189),
    [anon_sym_any] = ACTIONS(3189),
    [anon_sym_number] = ACTIONS(3189),
    [anon_sym_boolean] = ACTIONS(3189),
    [anon_sym_string] = ACTIONS(3189),
    [anon_sym_symbol] = ACTIONS(3189),
    [anon_sym_object] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_case] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3359),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_finally] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3361),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [ts_builtin_sym_end] = ACTIONS(3369),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3177),
    [anon_sym_type] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_with] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_debugger] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_finally] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LTtemplate_GT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_SLASH] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_void] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_private_property_identifier] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
    [sym_super] = ACTIONS(3177),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [sym_null] = ACTIONS(3177),
    [sym_undefined] = ACTIONS(3177),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3177),
    [anon_sym_set] = ACTIONS(3177),
    [anon_sym_declare] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_module] = ACTIONS(3177),
    [anon_sym_any] = ACTIONS(3177),
    [anon_sym_number] = ACTIONS(3177),
    [anon_sym_boolean] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_symbol] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_type] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_with] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_debugger] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_finally] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LTtemplate_GT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_SLASH] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_void] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_private_property_identifier] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
    [sym_super] = ACTIONS(3177),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [sym_null] = ACTIONS(3177),
    [sym_undefined] = ACTIONS(3177),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3177),
    [anon_sym_set] = ACTIONS(3177),
    [anon_sym_declare] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_module] = ACTIONS(3177),
    [anon_sym_any] = ACTIONS(3177),
    [anon_sym_number] = ACTIONS(3177),
    [anon_sym_boolean] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_symbol] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3381),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3383),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3385),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_else] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2374),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(3391),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_default] = ACTIONS(3391),
    [anon_sym_type] = ACTIONS(3391),
    [anon_sym_namespace] = ACTIONS(3391),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_typeof] = ACTIONS(3391),
    [anon_sym_import] = ACTIONS(3391),
    [anon_sym_var] = ACTIONS(3391),
    [anon_sym_let] = ACTIONS(3391),
    [anon_sym_const] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_else] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(3391),
    [anon_sym_switch] = ACTIONS(3391),
    [anon_sym_for] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_await] = ACTIONS(3391),
    [anon_sym_while] = ACTIONS(3391),
    [anon_sym_do] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_with] = ACTIONS(3391),
    [anon_sym_break] = ACTIONS(3391),
    [anon_sym_continue] = ACTIONS(3391),
    [anon_sym_debugger] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3391),
    [anon_sym_throw] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_case] = ACTIONS(3391),
    [anon_sym_yield] = ACTIONS(3391),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LTtemplate_GT] = ACTIONS(3391),
    [anon_sym_class] = ACTIONS(3391),
    [anon_sym_async] = ACTIONS(3391),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_new] = ACTIONS(3391),
    [anon_sym_using] = ACTIONS(3391),
    [anon_sym_PLUS] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3391),
    [anon_sym_SLASH] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_void] = ACTIONS(3391),
    [anon_sym_delete] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3391),
    [sym_number] = ACTIONS(3391),
    [sym_private_property_identifier] = ACTIONS(3391),
    [sym_this] = ACTIONS(3391),
    [sym_super] = ACTIONS(3391),
    [sym_true] = ACTIONS(3391),
    [sym_false] = ACTIONS(3391),
    [sym_null] = ACTIONS(3391),
    [sym_undefined] = ACTIONS(3391),
    [anon_sym_AT] = ACTIONS(3391),
    [anon_sym_static] = ACTIONS(3391),
    [anon_sym_readonly] = ACTIONS(3391),
    [anon_sym_get] = ACTIONS(3391),
    [anon_sym_set] = ACTIONS(3391),
    [anon_sym_declare] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3391),
    [anon_sym_private] = ACTIONS(3391),
    [anon_sym_protected] = ACTIONS(3391),
    [anon_sym_override] = ACTIONS(3391),
    [anon_sym_module] = ACTIONS(3391),
    [anon_sym_any] = ACTIONS(3391),
    [anon_sym_number] = ACTIONS(3391),
    [anon_sym_boolean] = ACTIONS(3391),
    [anon_sym_string] = ACTIONS(3391),
    [anon_sym_symbol] = ACTIONS(3391),
    [anon_sym_object] = ACTIONS(3391),
    [anon_sym_abstract] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3391),
    [anon_sym_enum] = ACTIONS(3391),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_export] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_type] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym_import] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3393),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_with] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_debugger] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_LTtemplate_GT] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_function] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_SLASH] = ACTIONS(3393),
    [anon_sym_LT] = ACTIONS(3393),
    [anon_sym_TILDE] = ACTIONS(3393),
    [anon_sym_void] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_PLUS_PLUS] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3393),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3393),
    [sym_number] = ACTIONS(3393),
    [sym_private_property_identifier] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
    [sym_super] = ACTIONS(3393),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [sym_null] = ACTIONS(3393),
    [sym_undefined] = ACTIONS(3393),
    [anon_sym_AT] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_get] = ACTIONS(3393),
    [anon_sym_set] = ACTIONS(3393),
    [anon_sym_declare] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_module] = ACTIONS(3393),
    [anon_sym_any] = ACTIONS(3393),
    [anon_sym_number] = ACTIONS(3393),
    [anon_sym_boolean] = ACTIONS(3393),
    [anon_sym_string] = ACTIONS(3393),
    [anon_sym_symbol] = ACTIONS(3393),
    [anon_sym_object] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_statement_block] = STATE(1721),
    [sym_comment] = STATE(1193),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_statement_block] = STATE(1721),
    [sym_comment] = STATE(1194),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_DOT] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_else] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2364),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_statement_block] = STATE(1362),
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3161),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_else] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2404),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_else] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_else] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2414),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_else] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2324),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2376),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_else] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_else] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [ts_builtin_sym_end] = ACTIONS(3409),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_else] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [ts_builtin_sym_end] = ACTIONS(3411),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_else] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3415),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3417),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_else] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2240),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2396),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_case] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2356),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(3431),
    [anon_sym_export] = ACTIONS(3431),
    [anon_sym_default] = ACTIONS(3431),
    [anon_sym_type] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym_import] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3431),
    [anon_sym_else] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_with] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_debugger] = ACTIONS(3431),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_case] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LTtemplate_GT] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_function] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3431),
    [anon_sym_TILDE] = ACTIONS(3431),
    [anon_sym_void] = ACTIONS(3431),
    [anon_sym_delete] = ACTIONS(3431),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_private_property_identifier] = ACTIONS(3431),
    [sym_this] = ACTIONS(3431),
    [sym_super] = ACTIONS(3431),
    [sym_true] = ACTIONS(3431),
    [sym_false] = ACTIONS(3431),
    [sym_null] = ACTIONS(3431),
    [sym_undefined] = ACTIONS(3431),
    [anon_sym_AT] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_get] = ACTIONS(3431),
    [anon_sym_set] = ACTIONS(3431),
    [anon_sym_declare] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_module] = ACTIONS(3431),
    [anon_sym_any] = ACTIONS(3431),
    [anon_sym_number] = ACTIONS(3431),
    [anon_sym_boolean] = ACTIONS(3431),
    [anon_sym_string] = ACTIONS(3431),
    [anon_sym_symbol] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [ts_builtin_sym_end] = ACTIONS(3433),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_else] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [ts_builtin_sym_end] = ACTIONS(3435),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [ts_builtin_sym_end] = ACTIONS(3437),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_else] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym_identifier] = ACTIONS(2230),
    [anon_sym_export] = ACTIONS(2230),
    [anon_sym_type] = ACTIONS(2230),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_typeof] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_var] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2230),
    [anon_sym_const] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_await] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_debugger] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LTtemplate_GT] = ACTIONS(2230),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_async] = ACTIONS(2230),
    [anon_sym_function] = ACTIONS(2230),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_TILDE] = ACTIONS(2230),
    [anon_sym_void] = ACTIONS(2230),
    [anon_sym_delete] = ACTIONS(2230),
    [anon_sym_PLUS_PLUS] = ACTIONS(2230),
    [anon_sym_DASH_DASH] = ACTIONS(2230),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2230),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2230),
    [sym_number] = ACTIONS(2230),
    [sym_private_property_identifier] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_null] = ACTIONS(2230),
    [sym_undefined] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_readonly] = ACTIONS(2230),
    [anon_sym_get] = ACTIONS(2230),
    [anon_sym_set] = ACTIONS(2230),
    [anon_sym_declare] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_override] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_any] = ACTIONS(2230),
    [anon_sym_number] = ACTIONS(2230),
    [anon_sym_boolean] = ACTIONS(2230),
    [anon_sym_string] = ACTIONS(2230),
    [anon_sym_symbol] = ACTIONS(2230),
    [anon_sym_object] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [sym__automatic_semicolon] = ACTIONS(2446),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_export] = ACTIONS(2262),
    [anon_sym_type] = ACTIONS(2262),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_typeof] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_var] = ACTIONS(2262),
    [anon_sym_let] = ACTIONS(2262),
    [anon_sym_const] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_await] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_debugger] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LTtemplate_GT] = ACTIONS(2262),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_using] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_void] = ACTIONS(2262),
    [anon_sym_delete] = ACTIONS(2262),
    [anon_sym_PLUS_PLUS] = ACTIONS(2262),
    [anon_sym_DASH_DASH] = ACTIONS(2262),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2262),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2262),
    [sym_number] = ACTIONS(2262),
    [sym_private_property_identifier] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_null] = ACTIONS(2262),
    [sym_undefined] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_readonly] = ACTIONS(2262),
    [anon_sym_get] = ACTIONS(2262),
    [anon_sym_set] = ACTIONS(2262),
    [anon_sym_declare] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_override] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_any] = ACTIONS(2262),
    [anon_sym_number] = ACTIONS(2262),
    [anon_sym_boolean] = ACTIONS(2262),
    [anon_sym_string] = ACTIONS(2262),
    [anon_sym_symbol] = ACTIONS(2262),
    [anon_sym_object] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [ts_builtin_sym_end] = ACTIONS(3439),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_typeof] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_let] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_await] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_debugger] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LTtemplate_GT] = ACTIONS(2250),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_async] = ACTIONS(2250),
    [anon_sym_function] = ACTIONS(2250),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_using] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_TILDE] = ACTIONS(2250),
    [anon_sym_void] = ACTIONS(2250),
    [anon_sym_delete] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2250),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2250),
    [sym_number] = ACTIONS(2250),
    [sym_private_property_identifier] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_null] = ACTIONS(2250),
    [sym_undefined] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_readonly] = ACTIONS(2250),
    [anon_sym_get] = ACTIONS(2250),
    [anon_sym_set] = ACTIONS(2250),
    [anon_sym_declare] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_override] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_any] = ACTIONS(2250),
    [anon_sym_number] = ACTIONS(2250),
    [anon_sym_boolean] = ACTIONS(2250),
    [anon_sym_string] = ACTIONS(2250),
    [anon_sym_symbol] = ACTIONS(2250),
    [anon_sym_object] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [ts_builtin_sym_end] = ACTIONS(3441),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_else] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_export] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_namespace] = ACTIONS(2308),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_typeof] = ACTIONS(2308),
    [anon_sym_import] = ACTIONS(2308),
    [anon_sym_var] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_switch] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_await] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [anon_sym_with] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_debugger] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_function] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2308),
    [anon_sym_using] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2308),
    [anon_sym_SLASH] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_void] = ACTIONS(2308),
    [anon_sym_delete] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2308),
    [sym_number] = ACTIONS(2308),
    [sym_private_property_identifier] = ACTIONS(2308),
    [sym_this] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_true] = ACTIONS(2308),
    [sym_false] = ACTIONS(2308),
    [sym_null] = ACTIONS(2308),
    [sym_undefined] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_readonly] = ACTIONS(2308),
    [anon_sym_get] = ACTIONS(2308),
    [anon_sym_set] = ACTIONS(2308),
    [anon_sym_declare] = ACTIONS(2308),
    [anon_sym_public] = ACTIONS(2308),
    [anon_sym_private] = ACTIONS(2308),
    [anon_sym_protected] = ACTIONS(2308),
    [anon_sym_override] = ACTIONS(2308),
    [anon_sym_module] = ACTIONS(2308),
    [anon_sym_any] = ACTIONS(2308),
    [anon_sym_number] = ACTIONS(2308),
    [anon_sym_boolean] = ACTIONS(2308),
    [anon_sym_string] = ACTIONS(2308),
    [anon_sym_symbol] = ACTIONS(2308),
    [anon_sym_object] = ACTIONS(2308),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_interface] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [sym__automatic_semicolon] = ACTIONS(2468),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_else] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_else] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_case] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [ts_builtin_sym_end] = ACTIONS(3451),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_export] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_namespace] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [anon_sym_typeof] = ACTIONS(2160),
    [anon_sym_import] = ACTIONS(2160),
    [anon_sym_var] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_switch] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_await] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_do] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [anon_sym_with] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_debugger] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_throw] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_LTtemplate_GT] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2160),
    [anon_sym_using] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2160),
    [anon_sym_SLASH] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_void] = ACTIONS(2160),
    [anon_sym_delete] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2160),
    [sym_number] = ACTIONS(2160),
    [sym_private_property_identifier] = ACTIONS(2160),
    [sym_this] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_true] = ACTIONS(2160),
    [sym_false] = ACTIONS(2160),
    [sym_null] = ACTIONS(2160),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_readonly] = ACTIONS(2160),
    [anon_sym_get] = ACTIONS(2160),
    [anon_sym_set] = ACTIONS(2160),
    [anon_sym_declare] = ACTIONS(2160),
    [anon_sym_public] = ACTIONS(2160),
    [anon_sym_private] = ACTIONS(2160),
    [anon_sym_protected] = ACTIONS(2160),
    [anon_sym_override] = ACTIONS(2160),
    [anon_sym_module] = ACTIONS(2160),
    [anon_sym_any] = ACTIONS(2160),
    [anon_sym_number] = ACTIONS(2160),
    [anon_sym_boolean] = ACTIONS(2160),
    [anon_sym_string] = ACTIONS(2160),
    [anon_sym_symbol] = ACTIONS(2160),
    [anon_sym_object] = ACTIONS(2160),
    [anon_sym_abstract] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [sym__automatic_semicolon] = ACTIONS(2496),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2204),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [anon_sym_typeof] = ACTIONS(2204),
    [anon_sym_import] = ACTIONS(2204),
    [anon_sym_var] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_switch] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_await] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_do] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [anon_sym_with] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_debugger] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_throw] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_LTtemplate_GT] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_using] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_void] = ACTIONS(2204),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2204),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2204),
    [sym_number] = ACTIONS(2204),
    [sym_private_property_identifier] = ACTIONS(2204),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [anon_sym_abstract] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [sym__automatic_semicolon] = ACTIONS(2488),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_comment] = STATE(1273),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_else] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_comment] = STATE(1275),
    [ts_builtin_sym_end] = ACTIONS(3459),
    [sym_identifier] = ACTIONS(3431),
    [anon_sym_export] = ACTIONS(3431),
    [anon_sym_type] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym_import] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3431),
    [anon_sym_else] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_with] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_debugger] = ACTIONS(3431),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LTtemplate_GT] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_function] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3431),
    [anon_sym_TILDE] = ACTIONS(3431),
    [anon_sym_void] = ACTIONS(3431),
    [anon_sym_delete] = ACTIONS(3431),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_private_property_identifier] = ACTIONS(3431),
    [sym_this] = ACTIONS(3431),
    [sym_super] = ACTIONS(3431),
    [sym_true] = ACTIONS(3431),
    [sym_false] = ACTIONS(3431),
    [sym_null] = ACTIONS(3431),
    [sym_undefined] = ACTIONS(3431),
    [anon_sym_AT] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_get] = ACTIONS(3431),
    [anon_sym_set] = ACTIONS(3431),
    [anon_sym_declare] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_module] = ACTIONS(3431),
    [anon_sym_any] = ACTIONS(3431),
    [anon_sym_number] = ACTIONS(3431),
    [anon_sym_boolean] = ACTIONS(3431),
    [anon_sym_string] = ACTIONS(3431),
    [anon_sym_symbol] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_else] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_else] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_else] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_else] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_else] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_case] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [ts_builtin_sym_end] = ACTIONS(3411),
    [sym_identifier] = ACTIONS(3199),
    [anon_sym_export] = ACTIONS(3199),
    [anon_sym_type] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_typeof] = ACTIONS(3199),
    [anon_sym_import] = ACTIONS(3199),
    [anon_sym_var] = ACTIONS(3199),
    [anon_sym_let] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_await] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_with] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_debugger] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_finally] = ACTIONS(3199),
    [anon_sym_yield] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LTtemplate_GT] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3199),
    [anon_sym_function] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_SLASH] = ACTIONS(3199),
    [anon_sym_LT] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_void] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3199),
    [sym_number] = ACTIONS(3199),
    [sym_private_property_identifier] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
    [sym_super] = ACTIONS(3199),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [sym_null] = ACTIONS(3199),
    [sym_undefined] = ACTIONS(3199),
    [anon_sym_AT] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_readonly] = ACTIONS(3199),
    [anon_sym_get] = ACTIONS(3199),
    [anon_sym_set] = ACTIONS(3199),
    [anon_sym_declare] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_override] = ACTIONS(3199),
    [anon_sym_module] = ACTIONS(3199),
    [anon_sym_any] = ACTIONS(3199),
    [anon_sym_number] = ACTIONS(3199),
    [anon_sym_boolean] = ACTIONS(3199),
    [anon_sym_string] = ACTIONS(3199),
    [anon_sym_symbol] = ACTIONS(3199),
    [anon_sym_object] = ACTIONS(3199),
    [anon_sym_abstract] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_case] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_type] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LTtemplate_GT] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_SLASH] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2186),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2186),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2186),
    [sym_number] = ACTIONS(2186),
    [sym_private_property_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_readonly] = ACTIONS(2186),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
    [anon_sym_declare] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_any] = ACTIONS(2186),
    [anon_sym_number] = ACTIONS(2186),
    [anon_sym_boolean] = ACTIONS(2186),
    [anon_sym_string] = ACTIONS(2186),
    [anon_sym_symbol] = ACTIONS(2186),
    [anon_sym_object] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_export] = ACTIONS(2182),
    [anon_sym_type] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_typeof] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_var] = ACTIONS(2182),
    [anon_sym_let] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_await] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_debugger] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LTtemplate_GT] = ACTIONS(2182),
    [anon_sym_DOT] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_async] = ACTIONS(2182),
    [anon_sym_function] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_void] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2182),
    [sym_number] = ACTIONS(2182),
    [sym_private_property_identifier] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_null] = ACTIONS(2182),
    [sym_undefined] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_readonly] = ACTIONS(2182),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_declare] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_any] = ACTIONS(2182),
    [anon_sym_number] = ACTIONS(2182),
    [anon_sym_boolean] = ACTIONS(2182),
    [anon_sym_string] = ACTIONS(2182),
    [anon_sym_symbol] = ACTIONS(2182),
    [anon_sym_object] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_default] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_case] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_comment] = STATE(1324),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_comment] = STATE(1325),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_else] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym__automatic_semicolon] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(2298),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_else] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym__automatic_semicolon] = ACTIONS(2304),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_else] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_else] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_comment] = STATE(1350),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_else] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_else] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_else] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_else] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(3513),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_comment] = STATE(1364),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_else] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [ts_builtin_sym_end] = ACTIONS(3409),
    [sym_identifier] = ACTIONS(3179),
    [anon_sym_export] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3179),
    [anon_sym_namespace] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_typeof] = ACTIONS(3179),
    [anon_sym_import] = ACTIONS(3179),
    [anon_sym_var] = ACTIONS(3179),
    [anon_sym_let] = ACTIONS(3179),
    [anon_sym_const] = ACTIONS(3179),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_if] = ACTIONS(3179),
    [anon_sym_switch] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_await] = ACTIONS(3179),
    [anon_sym_while] = ACTIONS(3179),
    [anon_sym_do] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3179),
    [anon_sym_with] = ACTIONS(3179),
    [anon_sym_break] = ACTIONS(3179),
    [anon_sym_continue] = ACTIONS(3179),
    [anon_sym_debugger] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3179),
    [anon_sym_throw] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_finally] = ACTIONS(3179),
    [anon_sym_yield] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LTtemplate_GT] = ACTIONS(3179),
    [anon_sym_class] = ACTIONS(3179),
    [anon_sym_async] = ACTIONS(3179),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_new] = ACTIONS(3179),
    [anon_sym_using] = ACTIONS(3179),
    [anon_sym_PLUS] = ACTIONS(3179),
    [anon_sym_DASH] = ACTIONS(3179),
    [anon_sym_SLASH] = ACTIONS(3179),
    [anon_sym_LT] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_void] = ACTIONS(3179),
    [anon_sym_delete] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3179),
    [sym_number] = ACTIONS(3179),
    [sym_private_property_identifier] = ACTIONS(3179),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(3179),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(3179),
    [anon_sym_static] = ACTIONS(3179),
    [anon_sym_readonly] = ACTIONS(3179),
    [anon_sym_get] = ACTIONS(3179),
    [anon_sym_set] = ACTIONS(3179),
    [anon_sym_declare] = ACTIONS(3179),
    [anon_sym_public] = ACTIONS(3179),
    [anon_sym_private] = ACTIONS(3179),
    [anon_sym_protected] = ACTIONS(3179),
    [anon_sym_override] = ACTIONS(3179),
    [anon_sym_module] = ACTIONS(3179),
    [anon_sym_any] = ACTIONS(3179),
    [anon_sym_number] = ACTIONS(3179),
    [anon_sym_boolean] = ACTIONS(3179),
    [anon_sym_string] = ACTIONS(3179),
    [anon_sym_symbol] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3179),
    [anon_sym_abstract] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3179),
    [anon_sym_enum] = ACTIONS(3179),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_statement_block] = STATE(1721),
    [sym_comment] = STATE(1374),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_typeof] = ACTIONS(2124),
    [anon_sym_import] = ACTIONS(2124),
    [anon_sym_var] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_switch] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_with] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_debugger] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_throw] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LTtemplate_GT] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_function] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2124),
    [anon_sym_using] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_SLASH] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_void] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2124),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [sym_private_property_identifier] = ACTIONS(2124),
    [sym_this] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_true] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
    [sym_null] = ACTIONS(2124),
    [sym_undefined] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_readonly] = ACTIONS(2124),
    [anon_sym_get] = ACTIONS(2124),
    [anon_sym_set] = ACTIONS(2124),
    [anon_sym_declare] = ACTIONS(2124),
    [anon_sym_public] = ACTIONS(2124),
    [anon_sym_private] = ACTIONS(2124),
    [anon_sym_protected] = ACTIONS(2124),
    [anon_sym_override] = ACTIONS(2124),
    [anon_sym_module] = ACTIONS(2124),
    [anon_sym_any] = ACTIONS(2124),
    [anon_sym_number] = ACTIONS(2124),
    [anon_sym_boolean] = ACTIONS(2124),
    [anon_sym_string] = ACTIONS(2124),
    [anon_sym_symbol] = ACTIONS(2124),
    [anon_sym_object] = ACTIONS(2124),
    [anon_sym_abstract] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [sym_identifier] = ACTIONS(3527),
    [anon_sym_export] = ACTIONS(3527),
    [anon_sym_default] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(3527),
    [anon_sym_RBRACE] = ACTIONS(3527),
    [anon_sym_typeof] = ACTIONS(3527),
    [anon_sym_import] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_BANG] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(3527),
    [anon_sym_switch] = ACTIONS(3527),
    [anon_sym_for] = ACTIONS(3527),
    [anon_sym_LPAREN] = ACTIONS(3527),
    [anon_sym_await] = ACTIONS(3527),
    [anon_sym_while] = ACTIONS(3527),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_try] = ACTIONS(3527),
    [anon_sym_with] = ACTIONS(3527),
    [anon_sym_break] = ACTIONS(3527),
    [anon_sym_continue] = ACTIONS(3527),
    [anon_sym_debugger] = ACTIONS(3527),
    [anon_sym_return] = ACTIONS(3527),
    [anon_sym_throw] = ACTIONS(3527),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_case] = ACTIONS(3527),
    [anon_sym_yield] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3527),
    [anon_sym_LTtemplate_GT] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_function] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_PLUS] = ACTIONS(3527),
    [anon_sym_DASH] = ACTIONS(3527),
    [anon_sym_SLASH] = ACTIONS(3527),
    [anon_sym_LT] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3527),
    [anon_sym_void] = ACTIONS(3527),
    [anon_sym_delete] = ACTIONS(3527),
    [anon_sym_PLUS_PLUS] = ACTIONS(3527),
    [anon_sym_DASH_DASH] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3527),
    [sym_number] = ACTIONS(3527),
    [sym_private_property_identifier] = ACTIONS(3527),
    [sym_this] = ACTIONS(3527),
    [sym_super] = ACTIONS(3527),
    [sym_true] = ACTIONS(3527),
    [sym_false] = ACTIONS(3527),
    [sym_null] = ACTIONS(3527),
    [sym_undefined] = ACTIONS(3527),
    [anon_sym_AT] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_get] = ACTIONS(3527),
    [anon_sym_set] = ACTIONS(3527),
    [anon_sym_declare] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_any] = ACTIONS(3527),
    [anon_sym_number] = ACTIONS(3527),
    [anon_sym_boolean] = ACTIONS(3527),
    [anon_sym_string] = ACTIONS(3527),
    [anon_sym_symbol] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_typeof] = ACTIONS(2112),
    [anon_sym_import] = ACTIONS(2112),
    [anon_sym_var] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_with] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_debugger] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_throw] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LTtemplate_GT] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_function] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2112),
    [anon_sym_using] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_void] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [sym_private_property_identifier] = ACTIONS(2112),
    [sym_this] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [sym_null] = ACTIONS(2112),
    [sym_undefined] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [anon_sym_abstract] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [sym__automatic_semicolon] = ACTIONS(2428),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_finally] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_else] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_finally] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_else] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_default] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_case] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_else] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_else] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_export] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_type] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym_import] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_with] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_debugger] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_LTtemplate_GT] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_function] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_SLASH] = ACTIONS(3393),
    [anon_sym_LT] = ACTIONS(3393),
    [anon_sym_TILDE] = ACTIONS(3393),
    [anon_sym_void] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_PLUS_PLUS] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3393),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3393),
    [sym_number] = ACTIONS(3393),
    [sym_private_property_identifier] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
    [sym_super] = ACTIONS(3393),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [sym_null] = ACTIONS(3393),
    [sym_undefined] = ACTIONS(3393),
    [anon_sym_AT] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_get] = ACTIONS(3393),
    [anon_sym_set] = ACTIONS(3393),
    [anon_sym_declare] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_module] = ACTIONS(3393),
    [anon_sym_any] = ACTIONS(3393),
    [anon_sym_number] = ACTIONS(3393),
    [anon_sym_boolean] = ACTIONS(3393),
    [anon_sym_string] = ACTIONS(3393),
    [anon_sym_symbol] = ACTIONS(3393),
    [anon_sym_object] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(3391),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_default] = ACTIONS(3391),
    [anon_sym_type] = ACTIONS(3391),
    [anon_sym_namespace] = ACTIONS(3391),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_typeof] = ACTIONS(3391),
    [anon_sym_import] = ACTIONS(3391),
    [anon_sym_var] = ACTIONS(3391),
    [anon_sym_let] = ACTIONS(3391),
    [anon_sym_const] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(3391),
    [anon_sym_switch] = ACTIONS(3391),
    [anon_sym_for] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_await] = ACTIONS(3391),
    [anon_sym_while] = ACTIONS(3391),
    [anon_sym_do] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_with] = ACTIONS(3391),
    [anon_sym_break] = ACTIONS(3391),
    [anon_sym_continue] = ACTIONS(3391),
    [anon_sym_debugger] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3391),
    [anon_sym_throw] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_case] = ACTIONS(3391),
    [anon_sym_yield] = ACTIONS(3391),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LTtemplate_GT] = ACTIONS(3391),
    [anon_sym_class] = ACTIONS(3391),
    [anon_sym_async] = ACTIONS(3391),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_new] = ACTIONS(3391),
    [anon_sym_using] = ACTIONS(3391),
    [anon_sym_PLUS] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3391),
    [anon_sym_SLASH] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_void] = ACTIONS(3391),
    [anon_sym_delete] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3391),
    [sym_number] = ACTIONS(3391),
    [sym_private_property_identifier] = ACTIONS(3391),
    [sym_this] = ACTIONS(3391),
    [sym_super] = ACTIONS(3391),
    [sym_true] = ACTIONS(3391),
    [sym_false] = ACTIONS(3391),
    [sym_null] = ACTIONS(3391),
    [sym_undefined] = ACTIONS(3391),
    [anon_sym_AT] = ACTIONS(3391),
    [anon_sym_static] = ACTIONS(3391),
    [anon_sym_readonly] = ACTIONS(3391),
    [anon_sym_get] = ACTIONS(3391),
    [anon_sym_set] = ACTIONS(3391),
    [anon_sym_declare] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3391),
    [anon_sym_private] = ACTIONS(3391),
    [anon_sym_protected] = ACTIONS(3391),
    [anon_sym_override] = ACTIONS(3391),
    [anon_sym_module] = ACTIONS(3391),
    [anon_sym_any] = ACTIONS(3391),
    [anon_sym_number] = ACTIONS(3391),
    [anon_sym_boolean] = ACTIONS(3391),
    [anon_sym_string] = ACTIONS(3391),
    [anon_sym_symbol] = ACTIONS(3391),
    [anon_sym_object] = ACTIONS(3391),
    [anon_sym_abstract] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3391),
    [anon_sym_enum] = ACTIONS(3391),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_else] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(3431),
    [anon_sym_export] = ACTIONS(3431),
    [anon_sym_default] = ACTIONS(3431),
    [anon_sym_type] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym_import] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_with] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_debugger] = ACTIONS(3431),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_case] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LTtemplate_GT] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_function] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3431),
    [anon_sym_TILDE] = ACTIONS(3431),
    [anon_sym_void] = ACTIONS(3431),
    [anon_sym_delete] = ACTIONS(3431),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_private_property_identifier] = ACTIONS(3431),
    [sym_this] = ACTIONS(3431),
    [sym_super] = ACTIONS(3431),
    [sym_true] = ACTIONS(3431),
    [sym_false] = ACTIONS(3431),
    [sym_null] = ACTIONS(3431),
    [sym_undefined] = ACTIONS(3431),
    [anon_sym_AT] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_get] = ACTIONS(3431),
    [anon_sym_set] = ACTIONS(3431),
    [anon_sym_declare] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_module] = ACTIONS(3431),
    [anon_sym_any] = ACTIONS(3431),
    [anon_sym_number] = ACTIONS(3431),
    [anon_sym_boolean] = ACTIONS(3431),
    [anon_sym_string] = ACTIONS(3431),
    [anon_sym_symbol] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_else] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_else] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [ts_builtin_sym_end] = ACTIONS(3563),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [ts_builtin_sym_end] = ACTIONS(3571),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_else] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_else] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_export] = ACTIONS(3335),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3335),
    [anon_sym_typeof] = ACTIONS(3335),
    [anon_sym_import] = ACTIONS(3335),
    [anon_sym_var] = ACTIONS(3335),
    [anon_sym_let] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_else] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_await] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_with] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_debugger] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_yield] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LTtemplate_GT] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_async] = ACTIONS(3335),
    [anon_sym_function] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_SLASH] = ACTIONS(3335),
    [anon_sym_LT] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_void] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3335),
    [sym_number] = ACTIONS(3335),
    [sym_private_property_identifier] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
    [sym_super] = ACTIONS(3335),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [sym_null] = ACTIONS(3335),
    [sym_undefined] = ACTIONS(3335),
    [anon_sym_AT] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_readonly] = ACTIONS(3335),
    [anon_sym_get] = ACTIONS(3335),
    [anon_sym_set] = ACTIONS(3335),
    [anon_sym_declare] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_override] = ACTIONS(3335),
    [anon_sym_module] = ACTIONS(3335),
    [anon_sym_any] = ACTIONS(3335),
    [anon_sym_number] = ACTIONS(3335),
    [anon_sym_boolean] = ACTIONS(3335),
    [anon_sym_string] = ACTIONS(3335),
    [anon_sym_symbol] = ACTIONS(3335),
    [anon_sym_object] = ACTIONS(3335),
    [anon_sym_abstract] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_else] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3583),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_default] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_case] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_case] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_default] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_case] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_else] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_else] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_else] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_export] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3335),
    [anon_sym_typeof] = ACTIONS(3335),
    [anon_sym_import] = ACTIONS(3335),
    [anon_sym_var] = ACTIONS(3335),
    [anon_sym_let] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_await] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_with] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_debugger] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_yield] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LTtemplate_GT] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_async] = ACTIONS(3335),
    [anon_sym_function] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_SLASH] = ACTIONS(3335),
    [anon_sym_LT] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_void] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3335),
    [sym_number] = ACTIONS(3335),
    [sym_private_property_identifier] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
    [sym_super] = ACTIONS(3335),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [sym_null] = ACTIONS(3335),
    [sym_undefined] = ACTIONS(3335),
    [anon_sym_AT] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_readonly] = ACTIONS(3335),
    [anon_sym_get] = ACTIONS(3335),
    [anon_sym_set] = ACTIONS(3335),
    [anon_sym_declare] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_override] = ACTIONS(3335),
    [anon_sym_module] = ACTIONS(3335),
    [anon_sym_any] = ACTIONS(3335),
    [anon_sym_number] = ACTIONS(3335),
    [anon_sym_boolean] = ACTIONS(3335),
    [anon_sym_string] = ACTIONS(3335),
    [anon_sym_symbol] = ACTIONS(3335),
    [anon_sym_object] = ACTIONS(3335),
    [anon_sym_abstract] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_else] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [ts_builtin_sym_end] = ACTIONS(3603),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_else] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_else] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_else] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_else] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_default] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_case] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [ts_builtin_sym_end] = ACTIONS(2402),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_export] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_typeof] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2280),
    [anon_sym_var] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_switch] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_do] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [anon_sym_with] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_debugger] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_throw] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_LTtemplate_GT] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_function] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2280),
    [anon_sym_using] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_void] = ACTIONS(2280),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2280),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2280),
    [sym_number] = ACTIONS(2280),
    [sym_private_property_identifier] = ACTIONS(2280),
    [sym_this] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_null] = ACTIONS(2280),
    [sym_undefined] = ACTIONS(2280),
    [anon_sym_AT] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_readonly] = ACTIONS(2280),
    [anon_sym_get] = ACTIONS(2280),
    [anon_sym_set] = ACTIONS(2280),
    [anon_sym_declare] = ACTIONS(2280),
    [anon_sym_public] = ACTIONS(2280),
    [anon_sym_private] = ACTIONS(2280),
    [anon_sym_protected] = ACTIONS(2280),
    [anon_sym_override] = ACTIONS(2280),
    [anon_sym_module] = ACTIONS(2280),
    [anon_sym_any] = ACTIONS(2280),
    [anon_sym_number] = ACTIONS(2280),
    [anon_sym_boolean] = ACTIONS(2280),
    [anon_sym_string] = ACTIONS(2280),
    [anon_sym_symbol] = ACTIONS(2280),
    [anon_sym_object] = ACTIONS(2280),
    [anon_sym_abstract] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [sym__automatic_semicolon] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_else] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_export] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [anon_sym_typeof] = ACTIONS(2288),
    [anon_sym_import] = ACTIONS(2288),
    [anon_sym_var] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_switch] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [anon_sym_with] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_debugger] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_throw] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LTtemplate_GT] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_function] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2288),
    [anon_sym_using] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_SLASH] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_void] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2288),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [sym_private_property_identifier] = ACTIONS(2288),
    [sym_this] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_true] = ACTIONS(2288),
    [sym_false] = ACTIONS(2288),
    [sym_null] = ACTIONS(2288),
    [sym_undefined] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_readonly] = ACTIONS(2288),
    [anon_sym_get] = ACTIONS(2288),
    [anon_sym_set] = ACTIONS(2288),
    [anon_sym_declare] = ACTIONS(2288),
    [anon_sym_public] = ACTIONS(2288),
    [anon_sym_private] = ACTIONS(2288),
    [anon_sym_protected] = ACTIONS(2288),
    [anon_sym_override] = ACTIONS(2288),
    [anon_sym_module] = ACTIONS(2288),
    [anon_sym_any] = ACTIONS(2288),
    [anon_sym_number] = ACTIONS(2288),
    [anon_sym_boolean] = ACTIONS(2288),
    [anon_sym_string] = ACTIONS(2288),
    [anon_sym_symbol] = ACTIONS(2288),
    [anon_sym_object] = ACTIONS(2288),
    [anon_sym_abstract] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [ts_builtin_sym_end] = ACTIONS(2412),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_export] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_typeof] = ACTIONS(2272),
    [anon_sym_import] = ACTIONS(2272),
    [anon_sym_var] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_switch] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_await] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_do] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [anon_sym_with] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_debugger] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_throw] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LTtemplate_GT] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_function] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2272),
    [anon_sym_using] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_void] = ACTIONS(2272),
    [anon_sym_delete] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2272),
    [sym_number] = ACTIONS(2272),
    [sym_private_property_identifier] = ACTIONS(2272),
    [sym_this] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_null] = ACTIONS(2272),
    [sym_undefined] = ACTIONS(2272),
    [anon_sym_AT] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_readonly] = ACTIONS(2272),
    [anon_sym_get] = ACTIONS(2272),
    [anon_sym_set] = ACTIONS(2272),
    [anon_sym_declare] = ACTIONS(2272),
    [anon_sym_public] = ACTIONS(2272),
    [anon_sym_private] = ACTIONS(2272),
    [anon_sym_protected] = ACTIONS(2272),
    [anon_sym_override] = ACTIONS(2272),
    [anon_sym_module] = ACTIONS(2272),
    [anon_sym_any] = ACTIONS(2272),
    [anon_sym_number] = ACTIONS(2272),
    [anon_sym_boolean] = ACTIONS(2272),
    [anon_sym_string] = ACTIONS(2272),
    [anon_sym_symbol] = ACTIONS(2272),
    [anon_sym_object] = ACTIONS(2272),
    [anon_sym_abstract] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [sym__automatic_semicolon] = ACTIONS(2486),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_export] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_namespace] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_import] = ACTIONS(2220),
    [anon_sym_var] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_switch] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_await] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [anon_sym_with] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_debugger] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_throw] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_LTtemplate_GT] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2220),
    [anon_sym_using] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_void] = ACTIONS(2220),
    [anon_sym_delete] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2220),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2220),
    [sym_number] = ACTIONS(2220),
    [sym_private_property_identifier] = ACTIONS(2220),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_readonly] = ACTIONS(2220),
    [anon_sym_get] = ACTIONS(2220),
    [anon_sym_set] = ACTIONS(2220),
    [anon_sym_declare] = ACTIONS(2220),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_override] = ACTIONS(2220),
    [anon_sym_module] = ACTIONS(2220),
    [anon_sym_any] = ACTIONS(2220),
    [anon_sym_number] = ACTIONS(2220),
    [anon_sym_boolean] = ACTIONS(2220),
    [anon_sym_string] = ACTIONS(2220),
    [anon_sym_symbol] = ACTIONS(2220),
    [anon_sym_object] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_interface] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [anon_sym_typeof] = ACTIONS(2212),
    [anon_sym_import] = ACTIONS(2212),
    [anon_sym_var] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_await] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_with] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_debugger] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_LTtemplate_GT] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_function] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_SLASH] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_void] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2212),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2212),
    [sym_number] = ACTIONS(2212),
    [sym_private_property_identifier] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [sym__automatic_semicolon] = ACTIONS(2480),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3391),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_type] = ACTIONS(3391),
    [anon_sym_namespace] = ACTIONS(3391),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_typeof] = ACTIONS(3391),
    [anon_sym_import] = ACTIONS(3391),
    [anon_sym_var] = ACTIONS(3391),
    [anon_sym_let] = ACTIONS(3391),
    [anon_sym_const] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_else] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(3391),
    [anon_sym_switch] = ACTIONS(3391),
    [anon_sym_for] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_await] = ACTIONS(3391),
    [anon_sym_while] = ACTIONS(3391),
    [anon_sym_do] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_with] = ACTIONS(3391),
    [anon_sym_break] = ACTIONS(3391),
    [anon_sym_continue] = ACTIONS(3391),
    [anon_sym_debugger] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3391),
    [anon_sym_throw] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_yield] = ACTIONS(3391),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LTtemplate_GT] = ACTIONS(3391),
    [anon_sym_class] = ACTIONS(3391),
    [anon_sym_async] = ACTIONS(3391),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_new] = ACTIONS(3391),
    [anon_sym_using] = ACTIONS(3391),
    [anon_sym_PLUS] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3391),
    [anon_sym_SLASH] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_void] = ACTIONS(3391),
    [anon_sym_delete] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3391),
    [sym_number] = ACTIONS(3391),
    [sym_private_property_identifier] = ACTIONS(3391),
    [sym_this] = ACTIONS(3391),
    [sym_super] = ACTIONS(3391),
    [sym_true] = ACTIONS(3391),
    [sym_false] = ACTIONS(3391),
    [sym_null] = ACTIONS(3391),
    [sym_undefined] = ACTIONS(3391),
    [anon_sym_AT] = ACTIONS(3391),
    [anon_sym_static] = ACTIONS(3391),
    [anon_sym_readonly] = ACTIONS(3391),
    [anon_sym_get] = ACTIONS(3391),
    [anon_sym_set] = ACTIONS(3391),
    [anon_sym_declare] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3391),
    [anon_sym_private] = ACTIONS(3391),
    [anon_sym_protected] = ACTIONS(3391),
    [anon_sym_override] = ACTIONS(3391),
    [anon_sym_module] = ACTIONS(3391),
    [anon_sym_any] = ACTIONS(3391),
    [anon_sym_number] = ACTIONS(3391),
    [anon_sym_boolean] = ACTIONS(3391),
    [anon_sym_string] = ACTIONS(3391),
    [anon_sym_symbol] = ACTIONS(3391),
    [anon_sym_object] = ACTIONS(3391),
    [anon_sym_abstract] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3391),
    [anon_sym_enum] = ACTIONS(3391),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_else] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_else] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [ts_builtin_sym_end] = ACTIONS(3619),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym_identifier] = ACTIONS(2242),
    [anon_sym_export] = ACTIONS(2242),
    [anon_sym_type] = ACTIONS(2242),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_typeof] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_var] = ACTIONS(2242),
    [anon_sym_let] = ACTIONS(2242),
    [anon_sym_const] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_await] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_debugger] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LTtemplate_GT] = ACTIONS(2242),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2242),
    [anon_sym_function] = ACTIONS(2242),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_TILDE] = ACTIONS(2242),
    [anon_sym_void] = ACTIONS(2242),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2242),
    [sym_number] = ACTIONS(2242),
    [sym_private_property_identifier] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_readonly] = ACTIONS(2242),
    [anon_sym_get] = ACTIONS(2242),
    [anon_sym_set] = ACTIONS(2242),
    [anon_sym_declare] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_override] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_any] = ACTIONS(2242),
    [anon_sym_number] = ACTIONS(2242),
    [anon_sym_boolean] = ACTIONS(2242),
    [anon_sym_string] = ACTIONS(2242),
    [anon_sym_symbol] = ACTIONS(2242),
    [anon_sym_object] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [sym__automatic_semicolon] = ACTIONS(2504),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_else] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_else] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_default] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_case] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_else] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [ts_builtin_sym_end] = ACTIONS(3369),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_export] = ACTIONS(3177),
    [anon_sym_type] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym_import] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_with] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_debugger] = ACTIONS(3177),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3177),
    [anon_sym_finally] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_LTtemplate_GT] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_SLASH] = ACTIONS(3177),
    [anon_sym_LT] = ACTIONS(3177),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_void] = ACTIONS(3177),
    [anon_sym_delete] = ACTIONS(3177),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_private_property_identifier] = ACTIONS(3177),
    [sym_this] = ACTIONS(3177),
    [sym_super] = ACTIONS(3177),
    [sym_true] = ACTIONS(3177),
    [sym_false] = ACTIONS(3177),
    [sym_null] = ACTIONS(3177),
    [sym_undefined] = ACTIONS(3177),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_get] = ACTIONS(3177),
    [anon_sym_set] = ACTIONS(3177),
    [anon_sym_declare] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_module] = ACTIONS(3177),
    [anon_sym_any] = ACTIONS(3177),
    [anon_sym_number] = ACTIONS(3177),
    [anon_sym_boolean] = ACTIONS(3177),
    [anon_sym_string] = ACTIONS(3177),
    [anon_sym_symbol] = ACTIONS(3177),
    [anon_sym_object] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym__automatic_semicolon] = ACTIONS(3631),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_export] = ACTIONS(3393),
    [anon_sym_type] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym_import] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3393),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_with] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_debugger] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_LTtemplate_GT] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_function] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_SLASH] = ACTIONS(3393),
    [anon_sym_LT] = ACTIONS(3393),
    [anon_sym_TILDE] = ACTIONS(3393),
    [anon_sym_void] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_PLUS_PLUS] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3393),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3393),
    [sym_number] = ACTIONS(3393),
    [sym_private_property_identifier] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
    [sym_super] = ACTIONS(3393),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [sym_null] = ACTIONS(3393),
    [sym_undefined] = ACTIONS(3393),
    [anon_sym_AT] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_get] = ACTIONS(3393),
    [anon_sym_set] = ACTIONS(3393),
    [anon_sym_declare] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_module] = ACTIONS(3393),
    [anon_sym_any] = ACTIONS(3393),
    [anon_sym_number] = ACTIONS(3393),
    [anon_sym_boolean] = ACTIONS(3393),
    [anon_sym_string] = ACTIONS(3393),
    [anon_sym_symbol] = ACTIONS(3393),
    [anon_sym_object] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [ts_builtin_sym_end] = ACTIONS(3635),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym__automatic_semicolon] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_default] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_case] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3235),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_typeof] = ACTIONS(3235),
    [anon_sym_import] = ACTIONS(3235),
    [anon_sym_var] = ACTIONS(3235),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_if] = ACTIONS(3235),
    [anon_sym_switch] = ACTIONS(3235),
    [anon_sym_for] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_await] = ACTIONS(3235),
    [anon_sym_while] = ACTIONS(3235),
    [anon_sym_do] = ACTIONS(3235),
    [anon_sym_try] = ACTIONS(3235),
    [anon_sym_with] = ACTIONS(3235),
    [anon_sym_break] = ACTIONS(3235),
    [anon_sym_continue] = ACTIONS(3235),
    [anon_sym_debugger] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3235),
    [anon_sym_throw] = ACTIONS(3235),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_yield] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LTtemplate_GT] = ACTIONS(3235),
    [anon_sym_class] = ACTIONS(3235),
    [anon_sym_async] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(3235),
    [anon_sym_new] = ACTIONS(3235),
    [anon_sym_using] = ACTIONS(3235),
    [anon_sym_PLUS] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3235),
    [anon_sym_SLASH] = ACTIONS(3235),
    [anon_sym_LT] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_void] = ACTIONS(3235),
    [anon_sym_delete] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3235),
    [sym_number] = ACTIONS(3235),
    [sym_private_property_identifier] = ACTIONS(3235),
    [sym_this] = ACTIONS(3235),
    [sym_super] = ACTIONS(3235),
    [sym_true] = ACTIONS(3235),
    [sym_false] = ACTIONS(3235),
    [sym_null] = ACTIONS(3235),
    [sym_undefined] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(3235),
    [anon_sym_static] = ACTIONS(3235),
    [anon_sym_readonly] = ACTIONS(3235),
    [anon_sym_get] = ACTIONS(3235),
    [anon_sym_set] = ACTIONS(3235),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3235),
    [anon_sym_private] = ACTIONS(3235),
    [anon_sym_protected] = ACTIONS(3235),
    [anon_sym_override] = ACTIONS(3235),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3235),
    [anon_sym_enum] = ACTIONS(3235),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym_identifier] = ACTIONS(3275),
    [anon_sym_export] = ACTIONS(3275),
    [anon_sym_type] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_typeof] = ACTIONS(3275),
    [anon_sym_import] = ACTIONS(3275),
    [anon_sym_var] = ACTIONS(3275),
    [anon_sym_let] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_await] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_with] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_debugger] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_yield] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LTtemplate_GT] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_async] = ACTIONS(3275),
    [anon_sym_function] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_SLASH] = ACTIONS(3275),
    [anon_sym_LT] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_void] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3275),
    [sym_number] = ACTIONS(3275),
    [sym_private_property_identifier] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(3275),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_readonly] = ACTIONS(3275),
    [anon_sym_get] = ACTIONS(3275),
    [anon_sym_set] = ACTIONS(3275),
    [anon_sym_declare] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3275),
    [anon_sym_any] = ACTIONS(3275),
    [anon_sym_number] = ACTIONS(3275),
    [anon_sym_boolean] = ACTIONS(3275),
    [anon_sym_string] = ACTIONS(3275),
    [anon_sym_symbol] = ACTIONS(3275),
    [anon_sym_object] = ACTIONS(3275),
    [anon_sym_abstract] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_typeof] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_var] = ACTIONS(2258),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_const] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_await] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_debugger] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LTtemplate_GT] = ACTIONS(2258),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2258),
    [anon_sym_function] = ACTIONS(2258),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_using] = ACTIONS(2258),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_TILDE] = ACTIONS(2258),
    [anon_sym_void] = ACTIONS(2258),
    [anon_sym_delete] = ACTIONS(2258),
    [anon_sym_PLUS_PLUS] = ACTIONS(2258),
    [anon_sym_DASH_DASH] = ACTIONS(2258),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2258),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2258),
    [sym_number] = ACTIONS(2258),
    [sym_private_property_identifier] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [ts_builtin_sym_end] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(3353),
    [anon_sym_export] = ACTIONS(3353),
    [anon_sym_type] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym_import] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_with] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_debugger] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_LTtemplate_GT] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_function] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_SLASH] = ACTIONS(3353),
    [anon_sym_LT] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_void] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3353),
    [sym_number] = ACTIONS(3353),
    [sym_private_property_identifier] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
    [sym_super] = ACTIONS(3353),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [sym_null] = ACTIONS(3353),
    [sym_undefined] = ACTIONS(3353),
    [anon_sym_AT] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_get] = ACTIONS(3353),
    [anon_sym_set] = ACTIONS(3353),
    [anon_sym_declare] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_module] = ACTIONS(3353),
    [anon_sym_any] = ACTIONS(3353),
    [anon_sym_number] = ACTIONS(3353),
    [anon_sym_boolean] = ACTIONS(3353),
    [anon_sym_string] = ACTIONS(3353),
    [anon_sym_symbol] = ACTIONS(3353),
    [anon_sym_object] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [ts_builtin_sym_end] = ACTIONS(3503),
    [sym_identifier] = ACTIONS(3357),
    [anon_sym_export] = ACTIONS(3357),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym_import] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_LPAREN] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_with] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_debugger] = ACTIONS(3357),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3357),
    [anon_sym_LTtemplate_GT] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_function] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_SLASH] = ACTIONS(3357),
    [anon_sym_LT] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_void] = ACTIONS(3357),
    [anon_sym_delete] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3357),
    [sym_number] = ACTIONS(3357),
    [sym_private_property_identifier] = ACTIONS(3357),
    [sym_this] = ACTIONS(3357),
    [sym_super] = ACTIONS(3357),
    [sym_true] = ACTIONS(3357),
    [sym_false] = ACTIONS(3357),
    [sym_null] = ACTIONS(3357),
    [sym_undefined] = ACTIONS(3357),
    [anon_sym_AT] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_get] = ACTIONS(3357),
    [anon_sym_set] = ACTIONS(3357),
    [anon_sym_declare] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_module] = ACTIONS(3357),
    [anon_sym_any] = ACTIONS(3357),
    [anon_sym_number] = ACTIONS(3357),
    [anon_sym_boolean] = ACTIONS(3357),
    [anon_sym_string] = ACTIONS(3357),
    [anon_sym_symbol] = ACTIONS(3357),
    [anon_sym_object] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3363),
    [anon_sym_export] = ACTIONS(3363),
    [anon_sym_type] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_typeof] = ACTIONS(3363),
    [anon_sym_import] = ACTIONS(3363),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_await] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_with] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_debugger] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_yield] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LTtemplate_GT] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_async] = ACTIONS(3363),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_SLASH] = ACTIONS(3363),
    [anon_sym_LT] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_void] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3363),
    [sym_number] = ACTIONS(3363),
    [sym_private_property_identifier] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
    [sym_super] = ACTIONS(3363),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_undefined] = ACTIONS(3363),
    [anon_sym_AT] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_readonly] = ACTIONS(3363),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_override] = ACTIONS(3363),
    [anon_sym_module] = ACTIONS(3363),
    [anon_sym_any] = ACTIONS(3363),
    [anon_sym_number] = ACTIONS(3363),
    [anon_sym_boolean] = ACTIONS(3363),
    [anon_sym_string] = ACTIONS(3363),
    [anon_sym_symbol] = ACTIONS(3363),
    [anon_sym_object] = ACTIONS(3363),
    [anon_sym_abstract] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym_identifier] = ACTIONS(3279),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_type] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_typeof] = ACTIONS(3279),
    [anon_sym_import] = ACTIONS(3279),
    [anon_sym_var] = ACTIONS(3279),
    [anon_sym_let] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_await] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_with] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_debugger] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_yield] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LTtemplate_GT] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_async] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_SLASH] = ACTIONS(3279),
    [anon_sym_LT] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_void] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3279),
    [sym_number] = ACTIONS(3279),
    [sym_private_property_identifier] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(3279),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_readonly] = ACTIONS(3279),
    [anon_sym_get] = ACTIONS(3279),
    [anon_sym_set] = ACTIONS(3279),
    [anon_sym_declare] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_override] = ACTIONS(3279),
    [anon_sym_module] = ACTIONS(3279),
    [anon_sym_any] = ACTIONS(3279),
    [anon_sym_number] = ACTIONS(3279),
    [anon_sym_boolean] = ACTIONS(3279),
    [anon_sym_string] = ACTIONS(3279),
    [anon_sym_symbol] = ACTIONS(3279),
    [anon_sym_object] = ACTIONS(3279),
    [anon_sym_abstract] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [ts_builtin_sym_end] = ACTIONS(3491),
    [sym_identifier] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3427),
    [anon_sym_type] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_with] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_debugger] = ACTIONS(3427),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LTtemplate_GT] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_function] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_SLASH] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_void] = ACTIONS(3427),
    [anon_sym_delete] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3427),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_number] = ACTIONS(3427),
    [sym_private_property_identifier] = ACTIONS(3427),
    [sym_this] = ACTIONS(3427),
    [sym_super] = ACTIONS(3427),
    [sym_true] = ACTIONS(3427),
    [sym_false] = ACTIONS(3427),
    [sym_null] = ACTIONS(3427),
    [sym_undefined] = ACTIONS(3427),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3427),
    [anon_sym_set] = ACTIONS(3427),
    [anon_sym_declare] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_module] = ACTIONS(3427),
    [anon_sym_any] = ACTIONS(3427),
    [anon_sym_number] = ACTIONS(3427),
    [anon_sym_boolean] = ACTIONS(3427),
    [anon_sym_string] = ACTIONS(3427),
    [anon_sym_symbol] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [ts_builtin_sym_end] = ACTIONS(3451),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_export] = ACTIONS(3221),
    [anon_sym_type] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3221),
    [anon_sym_RBRACE] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym_import] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_LPAREN] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_with] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_debugger] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_LTtemplate_GT] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_function] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_SLASH] = ACTIONS(3221),
    [anon_sym_LT] = ACTIONS(3221),
    [anon_sym_TILDE] = ACTIONS(3221),
    [anon_sym_void] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_PLUS_PLUS] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3221),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3221),
    [sym_number] = ACTIONS(3221),
    [sym_private_property_identifier] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(3221),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3221),
    [anon_sym_set] = ACTIONS(3221),
    [anon_sym_declare] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_module] = ACTIONS(3221),
    [anon_sym_any] = ACTIONS(3221),
    [anon_sym_number] = ACTIONS(3221),
    [anon_sym_boolean] = ACTIONS(3221),
    [anon_sym_string] = ACTIONS(3221),
    [anon_sym_symbol] = ACTIONS(3221),
    [anon_sym_object] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym_identifier] = ACTIONS(3211),
    [anon_sym_export] = ACTIONS(3211),
    [anon_sym_type] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_typeof] = ACTIONS(3211),
    [anon_sym_import] = ACTIONS(3211),
    [anon_sym_var] = ACTIONS(3211),
    [anon_sym_let] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_await] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_with] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_debugger] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_yield] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LTtemplate_GT] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_function] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_SLASH] = ACTIONS(3211),
    [anon_sym_LT] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_void] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3211),
    [sym_number] = ACTIONS(3211),
    [sym_private_property_identifier] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
    [sym_super] = ACTIONS(3211),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [sym_null] = ACTIONS(3211),
    [sym_undefined] = ACTIONS(3211),
    [anon_sym_AT] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_readonly] = ACTIONS(3211),
    [anon_sym_get] = ACTIONS(3211),
    [anon_sym_set] = ACTIONS(3211),
    [anon_sym_declare] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_override] = ACTIONS(3211),
    [anon_sym_module] = ACTIONS(3211),
    [anon_sym_any] = ACTIONS(3211),
    [anon_sym_number] = ACTIONS(3211),
    [anon_sym_boolean] = ACTIONS(3211),
    [anon_sym_string] = ACTIONS(3211),
    [anon_sym_symbol] = ACTIONS(3211),
    [anon_sym_object] = ACTIONS(3211),
    [anon_sym_abstract] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [ts_builtin_sym_end] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3273),
    [anon_sym_export] = ACTIONS(3273),
    [anon_sym_type] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym_import] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_with] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_debugger] = ACTIONS(3273),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_LTtemplate_GT] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_void] = ACTIONS(3273),
    [anon_sym_delete] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3273),
    [sym_number] = ACTIONS(3273),
    [sym_private_property_identifier] = ACTIONS(3273),
    [sym_this] = ACTIONS(3273),
    [sym_super] = ACTIONS(3273),
    [sym_true] = ACTIONS(3273),
    [sym_false] = ACTIONS(3273),
    [sym_null] = ACTIONS(3273),
    [sym_undefined] = ACTIONS(3273),
    [anon_sym_AT] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_get] = ACTIONS(3273),
    [anon_sym_set] = ACTIONS(3273),
    [anon_sym_declare] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_module] = ACTIONS(3273),
    [anon_sym_any] = ACTIONS(3273),
    [anon_sym_number] = ACTIONS(3273),
    [anon_sym_boolean] = ACTIONS(3273),
    [anon_sym_string] = ACTIONS(3273),
    [anon_sym_symbol] = ACTIONS(3273),
    [anon_sym_object] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_export] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_namespace] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_typeof] = ACTIONS(2296),
    [anon_sym_import] = ACTIONS(2296),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_switch] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [anon_sym_with] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_debugger] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_throw] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LTtemplate_GT] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_function] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2296),
    [anon_sym_using] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_SLASH] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_void] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2296),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [sym_private_property_identifier] = ACTIONS(2296),
    [sym_this] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_true] = ACTIONS(2296),
    [sym_false] = ACTIONS(2296),
    [sym_null] = ACTIONS(2296),
    [sym_undefined] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_readonly] = ACTIONS(2296),
    [anon_sym_get] = ACTIONS(2296),
    [anon_sym_set] = ACTIONS(2296),
    [anon_sym_declare] = ACTIONS(2296),
    [anon_sym_public] = ACTIONS(2296),
    [anon_sym_private] = ACTIONS(2296),
    [anon_sym_protected] = ACTIONS(2296),
    [anon_sym_override] = ACTIONS(2296),
    [anon_sym_module] = ACTIONS(2296),
    [anon_sym_any] = ACTIONS(2296),
    [anon_sym_number] = ACTIONS(2296),
    [anon_sym_boolean] = ACTIONS(2296),
    [anon_sym_string] = ACTIONS(2296),
    [anon_sym_symbol] = ACTIONS(2296),
    [anon_sym_object] = ACTIONS(2296),
    [anon_sym_abstract] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym_identifier] = ACTIONS(3271),
    [anon_sym_export] = ACTIONS(3271),
    [anon_sym_type] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_typeof] = ACTIONS(3271),
    [anon_sym_import] = ACTIONS(3271),
    [anon_sym_var] = ACTIONS(3271),
    [anon_sym_let] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_await] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_with] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_debugger] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_yield] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LTtemplate_GT] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_async] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_SLASH] = ACTIONS(3271),
    [anon_sym_LT] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_void] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3271),
    [sym_number] = ACTIONS(3271),
    [sym_private_property_identifier] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
    [sym_super] = ACTIONS(3271),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [sym_null] = ACTIONS(3271),
    [sym_undefined] = ACTIONS(3271),
    [anon_sym_AT] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_readonly] = ACTIONS(3271),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3271),
    [anon_sym_public] = ACTIONS(3271),
    [anon_sym_private] = ACTIONS(3271),
    [anon_sym_protected] = ACTIONS(3271),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3271),
    [anon_sym_any] = ACTIONS(3271),
    [anon_sym_number] = ACTIONS(3271),
    [anon_sym_boolean] = ACTIONS(3271),
    [anon_sym_string] = ACTIONS(3271),
    [anon_sym_symbol] = ACTIONS(3271),
    [anon_sym_object] = ACTIONS(3271),
    [anon_sym_abstract] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_comment] = STATE(1610),
    [ts_builtin_sym_end] = ACTIONS(3627),
    [sym_identifier] = ACTIONS(3269),
    [anon_sym_export] = ACTIONS(3269),
    [anon_sym_type] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym_import] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_with] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_debugger] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_LTtemplate_GT] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_SLASH] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_void] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3269),
    [sym_number] = ACTIONS(3269),
    [sym_private_property_identifier] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
    [sym_super] = ACTIONS(3269),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [sym_null] = ACTIONS(3269),
    [sym_undefined] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3269),
    [anon_sym_set] = ACTIONS(3269),
    [anon_sym_declare] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_module] = ACTIONS(3269),
    [anon_sym_any] = ACTIONS(3269),
    [anon_sym_number] = ACTIONS(3269),
    [anon_sym_boolean] = ACTIONS(3269),
    [anon_sym_string] = ACTIONS(3269),
    [anon_sym_symbol] = ACTIONS(3269),
    [anon_sym_object] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym_identifier] = ACTIONS(3339),
    [anon_sym_export] = ACTIONS(3339),
    [anon_sym_type] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_typeof] = ACTIONS(3339),
    [anon_sym_import] = ACTIONS(3339),
    [anon_sym_var] = ACTIONS(3339),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_await] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_with] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_debugger] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_yield] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LTtemplate_GT] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_async] = ACTIONS(3339),
    [anon_sym_function] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_SLASH] = ACTIONS(3339),
    [anon_sym_LT] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_void] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3339),
    [sym_number] = ACTIONS(3339),
    [sym_private_property_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
    [sym_super] = ACTIONS(3339),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [sym_null] = ACTIONS(3339),
    [sym_undefined] = ACTIONS(3339),
    [anon_sym_AT] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3339),
    [anon_sym_set] = ACTIONS(3339),
    [anon_sym_declare] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_override] = ACTIONS(3339),
    [anon_sym_module] = ACTIONS(3339),
    [anon_sym_any] = ACTIONS(3339),
    [anon_sym_number] = ACTIONS(3339),
    [anon_sym_boolean] = ACTIONS(3339),
    [anon_sym_string] = ACTIONS(3339),
    [anon_sym_symbol] = ACTIONS(3339),
    [anon_sym_object] = ACTIONS(3339),
    [anon_sym_abstract] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3257),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_typeof] = ACTIONS(3257),
    [anon_sym_import] = ACTIONS(3257),
    [anon_sym_var] = ACTIONS(3257),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_await] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_with] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_debugger] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_yield] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LTtemplate_GT] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_async] = ACTIONS(3257),
    [anon_sym_function] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_SLASH] = ACTIONS(3257),
    [anon_sym_LT] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_void] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3257),
    [sym_number] = ACTIONS(3257),
    [sym_private_property_identifier] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
    [sym_super] = ACTIONS(3257),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [sym_null] = ACTIONS(3257),
    [sym_undefined] = ACTIONS(3257),
    [anon_sym_AT] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_readonly] = ACTIONS(3257),
    [anon_sym_get] = ACTIONS(3257),
    [anon_sym_set] = ACTIONS(3257),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_override] = ACTIONS(3257),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3341),
    [anon_sym_type] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym_import] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_LPAREN] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_with] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_debugger] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3341),
    [anon_sym_LTtemplate_GT] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_function] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_SLASH] = ACTIONS(3341),
    [anon_sym_LT] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_void] = ACTIONS(3341),
    [anon_sym_delete] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3341),
    [sym_number] = ACTIONS(3341),
    [sym_private_property_identifier] = ACTIONS(3341),
    [sym_this] = ACTIONS(3341),
    [sym_super] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_null] = ACTIONS(3341),
    [sym_undefined] = ACTIONS(3341),
    [anon_sym_AT] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_module] = ACTIONS(3341),
    [anon_sym_any] = ACTIONS(3341),
    [anon_sym_number] = ACTIONS(3341),
    [anon_sym_boolean] = ACTIONS(3341),
    [anon_sym_string] = ACTIONS(3341),
    [anon_sym_symbol] = ACTIONS(3341),
    [anon_sym_object] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [ts_builtin_sym_end] = ACTIONS(3591),
    [sym_identifier] = ACTIONS(3293),
    [anon_sym_export] = ACTIONS(3293),
    [anon_sym_type] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym_import] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_with] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_debugger] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_LTtemplate_GT] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_function] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_void] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3293),
    [sym_number] = ACTIONS(3293),
    [sym_private_property_identifier] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
    [sym_super] = ACTIONS(3293),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [sym_null] = ACTIONS(3293),
    [sym_undefined] = ACTIONS(3293),
    [anon_sym_AT] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_get] = ACTIONS(3293),
    [anon_sym_set] = ACTIONS(3293),
    [anon_sym_declare] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_module] = ACTIONS(3293),
    [anon_sym_any] = ACTIONS(3293),
    [anon_sym_number] = ACTIONS(3293),
    [anon_sym_boolean] = ACTIONS(3293),
    [anon_sym_string] = ACTIONS(3293),
    [anon_sym_symbol] = ACTIONS(3293),
    [anon_sym_object] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym_identifier] = ACTIONS(3371),
    [anon_sym_export] = ACTIONS(3371),
    [anon_sym_type] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_typeof] = ACTIONS(3371),
    [anon_sym_import] = ACTIONS(3371),
    [anon_sym_var] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_await] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_with] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_debugger] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_yield] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LTtemplate_GT] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_void] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3371),
    [sym_number] = ACTIONS(3371),
    [sym_private_property_identifier] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
    [sym_super] = ACTIONS(3371),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [sym_null] = ACTIONS(3371),
    [sym_undefined] = ACTIONS(3371),
    [anon_sym_AT] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_readonly] = ACTIONS(3371),
    [anon_sym_get] = ACTIONS(3371),
    [anon_sym_set] = ACTIONS(3371),
    [anon_sym_declare] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_override] = ACTIONS(3371),
    [anon_sym_module] = ACTIONS(3371),
    [anon_sym_any] = ACTIONS(3371),
    [anon_sym_number] = ACTIONS(3371),
    [anon_sym_boolean] = ACTIONS(3371),
    [anon_sym_string] = ACTIONS(3371),
    [anon_sym_symbol] = ACTIONS(3371),
    [anon_sym_object] = ACTIONS(3371),
    [anon_sym_abstract] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_export] = ACTIONS(3335),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3335),
    [anon_sym_typeof] = ACTIONS(3335),
    [anon_sym_import] = ACTIONS(3335),
    [anon_sym_var] = ACTIONS(3335),
    [anon_sym_let] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_await] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_with] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_debugger] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_yield] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LTtemplate_GT] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_async] = ACTIONS(3335),
    [anon_sym_function] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_SLASH] = ACTIONS(3335),
    [anon_sym_LT] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_void] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3335),
    [sym_number] = ACTIONS(3335),
    [sym_private_property_identifier] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
    [sym_super] = ACTIONS(3335),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [sym_null] = ACTIONS(3335),
    [sym_undefined] = ACTIONS(3335),
    [anon_sym_AT] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_readonly] = ACTIONS(3335),
    [anon_sym_get] = ACTIONS(3335),
    [anon_sym_set] = ACTIONS(3335),
    [anon_sym_declare] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_override] = ACTIONS(3335),
    [anon_sym_module] = ACTIONS(3335),
    [anon_sym_any] = ACTIONS(3335),
    [anon_sym_number] = ACTIONS(3335),
    [anon_sym_boolean] = ACTIONS(3335),
    [anon_sym_string] = ACTIONS(3335),
    [anon_sym_symbol] = ACTIONS(3335),
    [anon_sym_object] = ACTIONS(3335),
    [anon_sym_abstract] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [ts_builtin_sym_end] = ACTIONS(3575),
    [sym_identifier] = ACTIONS(3333),
    [anon_sym_export] = ACTIONS(3333),
    [anon_sym_type] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym_import] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_LPAREN] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_with] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_debugger] = ACTIONS(3333),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_LTtemplate_GT] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_function] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_SLASH] = ACTIONS(3333),
    [anon_sym_LT] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_void] = ACTIONS(3333),
    [anon_sym_delete] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3333),
    [sym_number] = ACTIONS(3333),
    [sym_private_property_identifier] = ACTIONS(3333),
    [sym_this] = ACTIONS(3333),
    [sym_super] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_null] = ACTIONS(3333),
    [sym_undefined] = ACTIONS(3333),
    [anon_sym_AT] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_get] = ACTIONS(3333),
    [anon_sym_set] = ACTIONS(3333),
    [anon_sym_declare] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_module] = ACTIONS(3333),
    [anon_sym_any] = ACTIONS(3333),
    [anon_sym_number] = ACTIONS(3333),
    [anon_sym_boolean] = ACTIONS(3333),
    [anon_sym_string] = ACTIONS(3333),
    [anon_sym_symbol] = ACTIONS(3333),
    [anon_sym_object] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3253),
    [anon_sym_type] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_typeof] = ACTIONS(3253),
    [anon_sym_import] = ACTIONS(3253),
    [anon_sym_var] = ACTIONS(3253),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_await] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_with] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_debugger] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_yield] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LTtemplate_GT] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_async] = ACTIONS(3253),
    [anon_sym_function] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_SLASH] = ACTIONS(3253),
    [anon_sym_LT] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_void] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3253),
    [sym_number] = ACTIONS(3253),
    [sym_private_property_identifier] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
    [sym_super] = ACTIONS(3253),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [sym_null] = ACTIONS(3253),
    [sym_undefined] = ACTIONS(3253),
    [anon_sym_AT] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_readonly] = ACTIONS(3253),
    [anon_sym_get] = ACTIONS(3253),
    [anon_sym_set] = ACTIONS(3253),
    [anon_sym_declare] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3253),
    [anon_sym_any] = ACTIONS(3253),
    [anon_sym_number] = ACTIONS(3253),
    [anon_sym_boolean] = ACTIONS(3253),
    [anon_sym_string] = ACTIONS(3253),
    [anon_sym_symbol] = ACTIONS(3253),
    [anon_sym_object] = ACTIONS(3253),
    [anon_sym_abstract] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [ts_builtin_sym_end] = ACTIONS(3579),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_export] = ACTIONS(3373),
    [anon_sym_type] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym_import] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_LPAREN] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_with] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_debugger] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_LTtemplate_GT] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_SLASH] = ACTIONS(3373),
    [anon_sym_LT] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_void] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3373),
    [sym_number] = ACTIONS(3373),
    [sym_private_property_identifier] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
    [sym_super] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_null] = ACTIONS(3373),
    [sym_undefined] = ACTIONS(3373),
    [anon_sym_AT] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_get] = ACTIONS(3373),
    [anon_sym_set] = ACTIONS(3373),
    [anon_sym_declare] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_module] = ACTIONS(3373),
    [anon_sym_any] = ACTIONS(3373),
    [anon_sym_number] = ACTIONS(3373),
    [anon_sym_boolean] = ACTIONS(3373),
    [anon_sym_string] = ACTIONS(3373),
    [anon_sym_symbol] = ACTIONS(3373),
    [anon_sym_object] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3251),
    [anon_sym_export] = ACTIONS(3251),
    [anon_sym_type] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym_import] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_with] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_debugger] = ACTIONS(3251),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3251),
    [anon_sym_LTtemplate_GT] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_function] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3251),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_void] = ACTIONS(3251),
    [anon_sym_delete] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3251),
    [sym_number] = ACTIONS(3251),
    [sym_private_property_identifier] = ACTIONS(3251),
    [sym_this] = ACTIONS(3251),
    [sym_super] = ACTIONS(3251),
    [sym_true] = ACTIONS(3251),
    [sym_false] = ACTIONS(3251),
    [sym_null] = ACTIONS(3251),
    [sym_undefined] = ACTIONS(3251),
    [anon_sym_AT] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_get] = ACTIONS(3251),
    [anon_sym_set] = ACTIONS(3251),
    [anon_sym_declare] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_module] = ACTIONS(3251),
    [anon_sym_any] = ACTIONS(3251),
    [anon_sym_number] = ACTIONS(3251),
    [anon_sym_boolean] = ACTIONS(3251),
    [anon_sym_string] = ACTIONS(3251),
    [anon_sym_symbol] = ACTIONS(3251),
    [anon_sym_object] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym_identifier] = ACTIONS(3325),
    [anon_sym_export] = ACTIONS(3325),
    [anon_sym_type] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym_import] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_LPAREN] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_with] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_debugger] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_LTtemplate_GT] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_SLASH] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_void] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3325),
    [sym_number] = ACTIONS(3325),
    [sym_private_property_identifier] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
    [sym_super] = ACTIONS(3325),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_undefined] = ACTIONS(3325),
    [anon_sym_AT] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_get] = ACTIONS(3325),
    [anon_sym_set] = ACTIONS(3325),
    [anon_sym_declare] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_any] = ACTIONS(3325),
    [anon_sym_number] = ACTIONS(3325),
    [anon_sym_boolean] = ACTIONS(3325),
    [anon_sym_string] = ACTIONS(3325),
    [anon_sym_symbol] = ACTIONS(3325),
    [anon_sym_object] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3277),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym_import] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_with] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_debugger] = ACTIONS(3277),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_LTtemplate_GT] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_function] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_SLASH] = ACTIONS(3277),
    [anon_sym_LT] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_void] = ACTIONS(3277),
    [anon_sym_delete] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3277),
    [sym_number] = ACTIONS(3277),
    [sym_private_property_identifier] = ACTIONS(3277),
    [sym_this] = ACTIONS(3277),
    [sym_super] = ACTIONS(3277),
    [sym_true] = ACTIONS(3277),
    [sym_false] = ACTIONS(3277),
    [sym_null] = ACTIONS(3277),
    [sym_undefined] = ACTIONS(3277),
    [anon_sym_AT] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_get] = ACTIONS(3277),
    [anon_sym_set] = ACTIONS(3277),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym_identifier] = ACTIONS(3249),
    [anon_sym_export] = ACTIONS(3249),
    [anon_sym_type] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_typeof] = ACTIONS(3249),
    [anon_sym_import] = ACTIONS(3249),
    [anon_sym_var] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_await] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_with] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_debugger] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_yield] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LTtemplate_GT] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_async] = ACTIONS(3249),
    [anon_sym_function] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_SLASH] = ACTIONS(3249),
    [anon_sym_LT] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_void] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3249),
    [sym_number] = ACTIONS(3249),
    [sym_private_property_identifier] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(3249),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_readonly] = ACTIONS(3249),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3249),
    [anon_sym_public] = ACTIONS(3249),
    [anon_sym_private] = ACTIONS(3249),
    [anon_sym_protected] = ACTIONS(3249),
    [anon_sym_override] = ACTIONS(3249),
    [anon_sym_module] = ACTIONS(3249),
    [anon_sym_any] = ACTIONS(3249),
    [anon_sym_number] = ACTIONS(3249),
    [anon_sym_boolean] = ACTIONS(3249),
    [anon_sym_string] = ACTIONS(3249),
    [anon_sym_symbol] = ACTIONS(3249),
    [anon_sym_object] = ACTIONS(3249),
    [anon_sym_abstract] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [ts_builtin_sym_end] = ACTIONS(3587),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3349),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym_import] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_with] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_debugger] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_LTtemplate_GT] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_SLASH] = ACTIONS(3349),
    [anon_sym_LT] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_void] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3349),
    [sym_number] = ACTIONS(3349),
    [sym_private_property_identifier] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
    [sym_super] = ACTIONS(3349),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_undefined] = ACTIONS(3349),
    [anon_sym_AT] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_get] = ACTIONS(3349),
    [anon_sym_set] = ACTIONS(3349),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [ts_builtin_sym_end] = ACTIONS(3479),
    [sym_identifier] = ACTIONS(3247),
    [anon_sym_export] = ACTIONS(3247),
    [anon_sym_type] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym_import] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_LPAREN] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_with] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_debugger] = ACTIONS(3247),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3247),
    [anon_sym_LTtemplate_GT] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_function] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_SLASH] = ACTIONS(3247),
    [anon_sym_LT] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_void] = ACTIONS(3247),
    [anon_sym_delete] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3247),
    [sym_number] = ACTIONS(3247),
    [sym_private_property_identifier] = ACTIONS(3247),
    [sym_this] = ACTIONS(3247),
    [sym_super] = ACTIONS(3247),
    [sym_true] = ACTIONS(3247),
    [sym_false] = ACTIONS(3247),
    [sym_null] = ACTIONS(3247),
    [sym_undefined] = ACTIONS(3247),
    [anon_sym_AT] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3247),
    [anon_sym_set] = ACTIONS(3247),
    [anon_sym_declare] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_module] = ACTIONS(3247),
    [anon_sym_any] = ACTIONS(3247),
    [anon_sym_number] = ACTIONS(3247),
    [anon_sym_boolean] = ACTIONS(3247),
    [anon_sym_string] = ACTIONS(3247),
    [anon_sym_symbol] = ACTIONS(3247),
    [anon_sym_object] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym_identifier] = ACTIONS(3323),
    [anon_sym_export] = ACTIONS(3323),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_typeof] = ACTIONS(3323),
    [anon_sym_import] = ACTIONS(3323),
    [anon_sym_var] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_await] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_with] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_debugger] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_yield] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LTtemplate_GT] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_async] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_SLASH] = ACTIONS(3323),
    [anon_sym_LT] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_void] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3323),
    [sym_number] = ACTIONS(3323),
    [sym_private_property_identifier] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
    [sym_super] = ACTIONS(3323),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [sym_null] = ACTIONS(3323),
    [sym_undefined] = ACTIONS(3323),
    [anon_sym_AT] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_readonly] = ACTIONS(3323),
    [anon_sym_get] = ACTIONS(3323),
    [anon_sym_set] = ACTIONS(3323),
    [anon_sym_declare] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_override] = ACTIONS(3323),
    [anon_sym_module] = ACTIONS(3323),
    [anon_sym_any] = ACTIONS(3323),
    [anon_sym_number] = ACTIONS(3323),
    [anon_sym_boolean] = ACTIONS(3323),
    [anon_sym_string] = ACTIONS(3323),
    [anon_sym_symbol] = ACTIONS(3323),
    [anon_sym_object] = ACTIONS(3323),
    [anon_sym_abstract] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [ts_builtin_sym_end] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(3321),
    [anon_sym_export] = ACTIONS(3321),
    [anon_sym_type] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_RBRACE] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym_import] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_LPAREN] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_with] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_debugger] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_LTtemplate_GT] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_SLASH] = ACTIONS(3321),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_TILDE] = ACTIONS(3321),
    [anon_sym_void] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_PLUS_PLUS] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3321),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3321),
    [sym_number] = ACTIONS(3321),
    [sym_private_property_identifier] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
    [sym_super] = ACTIONS(3321),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [sym_null] = ACTIONS(3321),
    [sym_undefined] = ACTIONS(3321),
    [anon_sym_AT] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_get] = ACTIONS(3321),
    [anon_sym_set] = ACTIONS(3321),
    [anon_sym_declare] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3321),
    [anon_sym_any] = ACTIONS(3321),
    [anon_sym_number] = ACTIONS(3321),
    [anon_sym_boolean] = ACTIONS(3321),
    [anon_sym_string] = ACTIONS(3321),
    [anon_sym_symbol] = ACTIONS(3321),
    [anon_sym_object] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(3245),
    [anon_sym_export] = ACTIONS(3245),
    [anon_sym_type] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_typeof] = ACTIONS(3245),
    [anon_sym_import] = ACTIONS(3245),
    [anon_sym_var] = ACTIONS(3245),
    [anon_sym_let] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_BANG] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(3245),
    [anon_sym_await] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_with] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_debugger] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3245),
    [anon_sym_yield] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_LTtemplate_GT] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_async] = ACTIONS(3245),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_SLASH] = ACTIONS(3245),
    [anon_sym_LT] = ACTIONS(3245),
    [anon_sym_TILDE] = ACTIONS(3245),
    [anon_sym_void] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_PLUS_PLUS] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3245),
    [anon_sym_DQUOTE] = ACTIONS(3245),
    [anon_sym_SQUOTE] = ACTIONS(3245),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3245),
    [sym_number] = ACTIONS(3245),
    [sym_private_property_identifier] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(3245),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3245),
    [anon_sym_get] = ACTIONS(3245),
    [anon_sym_set] = ACTIONS(3245),
    [anon_sym_declare] = ACTIONS(3245),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_override] = ACTIONS(3245),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_any] = ACTIONS(3245),
    [anon_sym_number] = ACTIONS(3245),
    [anon_sym_boolean] = ACTIONS(3245),
    [anon_sym_string] = ACTIONS(3245),
    [anon_sym_symbol] = ACTIONS(3245),
    [anon_sym_object] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3245),
    [anon_sym_interface] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3243),
    [anon_sym_export] = ACTIONS(3243),
    [anon_sym_type] = ACTIONS(3243),
    [anon_sym_namespace] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_typeof] = ACTIONS(3243),
    [anon_sym_import] = ACTIONS(3243),
    [anon_sym_var] = ACTIONS(3243),
    [anon_sym_let] = ACTIONS(3243),
    [anon_sym_const] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_if] = ACTIONS(3243),
    [anon_sym_switch] = ACTIONS(3243),
    [anon_sym_for] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_await] = ACTIONS(3243),
    [anon_sym_while] = ACTIONS(3243),
    [anon_sym_do] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3243),
    [anon_sym_with] = ACTIONS(3243),
    [anon_sym_break] = ACTIONS(3243),
    [anon_sym_continue] = ACTIONS(3243),
    [anon_sym_debugger] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3243),
    [anon_sym_throw] = ACTIONS(3243),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_yield] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LTtemplate_GT] = ACTIONS(3243),
    [anon_sym_class] = ACTIONS(3243),
    [anon_sym_async] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3243),
    [anon_sym_PLUS] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3243),
    [anon_sym_SLASH] = ACTIONS(3243),
    [anon_sym_LT] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_void] = ACTIONS(3243),
    [anon_sym_delete] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3243),
    [sym_number] = ACTIONS(3243),
    [sym_private_property_identifier] = ACTIONS(3243),
    [sym_this] = ACTIONS(3243),
    [sym_super] = ACTIONS(3243),
    [sym_true] = ACTIONS(3243),
    [sym_false] = ACTIONS(3243),
    [sym_null] = ACTIONS(3243),
    [sym_undefined] = ACTIONS(3243),
    [anon_sym_AT] = ACTIONS(3243),
    [anon_sym_static] = ACTIONS(3243),
    [anon_sym_readonly] = ACTIONS(3243),
    [anon_sym_get] = ACTIONS(3243),
    [anon_sym_set] = ACTIONS(3243),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3243),
    [anon_sym_private] = ACTIONS(3243),
    [anon_sym_protected] = ACTIONS(3243),
    [anon_sym_override] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3243),
    [anon_sym_any] = ACTIONS(3243),
    [anon_sym_number] = ACTIONS(3243),
    [anon_sym_boolean] = ACTIONS(3243),
    [anon_sym_string] = ACTIONS(3243),
    [anon_sym_symbol] = ACTIONS(3243),
    [anon_sym_object] = ACTIONS(3243),
    [anon_sym_abstract] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3243),
    [anon_sym_enum] = ACTIONS(3243),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [ts_builtin_sym_end] = ACTIONS(3617),
    [sym_identifier] = ACTIONS(3405),
    [anon_sym_export] = ACTIONS(3405),
    [anon_sym_type] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_typeof] = ACTIONS(3405),
    [anon_sym_import] = ACTIONS(3405),
    [anon_sym_var] = ACTIONS(3405),
    [anon_sym_let] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_await] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_with] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_debugger] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_yield] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LTtemplate_GT] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_async] = ACTIONS(3405),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_void] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3405),
    [sym_number] = ACTIONS(3405),
    [sym_private_property_identifier] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
    [sym_super] = ACTIONS(3405),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [sym_null] = ACTIONS(3405),
    [sym_undefined] = ACTIONS(3405),
    [anon_sym_AT] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_readonly] = ACTIONS(3405),
    [anon_sym_get] = ACTIONS(3405),
    [anon_sym_set] = ACTIONS(3405),
    [anon_sym_declare] = ACTIONS(3405),
    [anon_sym_public] = ACTIONS(3405),
    [anon_sym_private] = ACTIONS(3405),
    [anon_sym_protected] = ACTIONS(3405),
    [anon_sym_override] = ACTIONS(3405),
    [anon_sym_module] = ACTIONS(3405),
    [anon_sym_any] = ACTIONS(3405),
    [anon_sym_number] = ACTIONS(3405),
    [anon_sym_boolean] = ACTIONS(3405),
    [anon_sym_string] = ACTIONS(3405),
    [anon_sym_symbol] = ACTIONS(3405),
    [anon_sym_object] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [ts_builtin_sym_end] = ACTIONS(3455),
    [sym_identifier] = ACTIONS(3429),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_type] = ACTIONS(3429),
    [anon_sym_namespace] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LTtemplate_GT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_using] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3429),
    [sym_number] = ACTIONS(3429),
    [sym_private_property_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3429),
    [anon_sym_static] = ACTIONS(3429),
    [anon_sym_readonly] = ACTIONS(3429),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
    [anon_sym_declare] = ACTIONS(3429),
    [anon_sym_public] = ACTIONS(3429),
    [anon_sym_private] = ACTIONS(3429),
    [anon_sym_protected] = ACTIONS(3429),
    [anon_sym_override] = ACTIONS(3429),
    [anon_sym_module] = ACTIONS(3429),
    [anon_sym_any] = ACTIONS(3429),
    [anon_sym_number] = ACTIONS(3429),
    [anon_sym_boolean] = ACTIONS(3429),
    [anon_sym_string] = ACTIONS(3429),
    [anon_sym_symbol] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3429),
    [anon_sym_abstract] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3429),
    [anon_sym_enum] = ACTIONS(3429),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [ts_builtin_sym_end] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_export] = ACTIONS(3203),
    [anon_sym_type] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_typeof] = ACTIONS(3203),
    [anon_sym_import] = ACTIONS(3203),
    [anon_sym_var] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_await] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_debugger] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LTtemplate_GT] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_SLASH] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_void] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3203),
    [sym_number] = ACTIONS(3203),
    [sym_private_property_identifier] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [sym_null] = ACTIONS(3203),
    [sym_undefined] = ACTIONS(3203),
    [anon_sym_AT] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_readonly] = ACTIONS(3203),
    [anon_sym_get] = ACTIONS(3203),
    [anon_sym_set] = ACTIONS(3203),
    [anon_sym_declare] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_override] = ACTIONS(3203),
    [anon_sym_module] = ACTIONS(3203),
    [anon_sym_any] = ACTIONS(3203),
    [anon_sym_number] = ACTIONS(3203),
    [anon_sym_boolean] = ACTIONS(3203),
    [anon_sym_string] = ACTIONS(3203),
    [anon_sym_symbol] = ACTIONS(3203),
    [anon_sym_object] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_export] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3241),
    [anon_sym_RBRACE] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym_import] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_with] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_debugger] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_LTtemplate_GT] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_SLASH] = ACTIONS(3241),
    [anon_sym_LT] = ACTIONS(3241),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_void] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_PLUS_PLUS] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3241),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3241),
    [sym_number] = ACTIONS(3241),
    [sym_private_property_identifier] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
    [sym_super] = ACTIONS(3241),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [sym_null] = ACTIONS(3241),
    [sym_undefined] = ACTIONS(3241),
    [anon_sym_AT] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_get] = ACTIONS(3241),
    [anon_sym_set] = ACTIONS(3241),
    [anon_sym_declare] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_module] = ACTIONS(3241),
    [anon_sym_any] = ACTIONS(3241),
    [anon_sym_number] = ACTIONS(3241),
    [anon_sym_boolean] = ACTIONS(3241),
    [anon_sym_string] = ACTIONS(3241),
    [anon_sym_symbol] = ACTIONS(3241),
    [anon_sym_object] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2174),
    [anon_sym_type] = ACTIONS(2174),
    [anon_sym_namespace] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_typeof] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_var] = ACTIONS(2174),
    [anon_sym_let] = ACTIONS(2174),
    [anon_sym_const] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_debugger] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LTtemplate_GT] = ACTIONS(2174),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_async] = ACTIONS(2174),
    [anon_sym_function] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_SLASH] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [anon_sym_void] = ACTIONS(2174),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_PLUS_PLUS] = ACTIONS(2174),
    [anon_sym_DASH_DASH] = ACTIONS(2174),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2174),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2174),
    [sym_number] = ACTIONS(2174),
    [sym_private_property_identifier] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_null] = ACTIONS(2174),
    [sym_undefined] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_readonly] = ACTIONS(2174),
    [anon_sym_get] = ACTIONS(2174),
    [anon_sym_set] = ACTIONS(2174),
    [anon_sym_declare] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_override] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_any] = ACTIONS(2174),
    [anon_sym_number] = ACTIONS(2174),
    [anon_sym_boolean] = ACTIONS(2174),
    [anon_sym_string] = ACTIONS(2174),
    [anon_sym_symbol] = ACTIONS(2174),
    [anon_sym_object] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [ts_builtin_sym_end] = ACTIONS(3471),
    [sym_identifier] = ACTIONS(3239),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_type] = ACTIONS(3239),
    [anon_sym_namespace] = ACTIONS(3239),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_typeof] = ACTIONS(3239),
    [anon_sym_import] = ACTIONS(3239),
    [anon_sym_var] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3239),
    [anon_sym_const] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_switch] = ACTIONS(3239),
    [anon_sym_for] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_await] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(3239),
    [anon_sym_do] = ACTIONS(3239),
    [anon_sym_try] = ACTIONS(3239),
    [anon_sym_with] = ACTIONS(3239),
    [anon_sym_break] = ACTIONS(3239),
    [anon_sym_continue] = ACTIONS(3239),
    [anon_sym_debugger] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3239),
    [anon_sym_throw] = ACTIONS(3239),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_yield] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LTtemplate_GT] = ACTIONS(3239),
    [anon_sym_class] = ACTIONS(3239),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3239),
    [anon_sym_new] = ACTIONS(3239),
    [anon_sym_using] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3239),
    [anon_sym_SLASH] = ACTIONS(3239),
    [anon_sym_LT] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_void] = ACTIONS(3239),
    [anon_sym_delete] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3239),
    [sym_number] = ACTIONS(3239),
    [sym_private_property_identifier] = ACTIONS(3239),
    [sym_this] = ACTIONS(3239),
    [sym_super] = ACTIONS(3239),
    [sym_true] = ACTIONS(3239),
    [sym_false] = ACTIONS(3239),
    [sym_null] = ACTIONS(3239),
    [sym_undefined] = ACTIONS(3239),
    [anon_sym_AT] = ACTIONS(3239),
    [anon_sym_static] = ACTIONS(3239),
    [anon_sym_readonly] = ACTIONS(3239),
    [anon_sym_get] = ACTIONS(3239),
    [anon_sym_set] = ACTIONS(3239),
    [anon_sym_declare] = ACTIONS(3239),
    [anon_sym_public] = ACTIONS(3239),
    [anon_sym_private] = ACTIONS(3239),
    [anon_sym_protected] = ACTIONS(3239),
    [anon_sym_override] = ACTIONS(3239),
    [anon_sym_module] = ACTIONS(3239),
    [anon_sym_any] = ACTIONS(3239),
    [anon_sym_number] = ACTIONS(3239),
    [anon_sym_boolean] = ACTIONS(3239),
    [anon_sym_string] = ACTIONS(3239),
    [anon_sym_symbol] = ACTIONS(3239),
    [anon_sym_object] = ACTIONS(3239),
    [anon_sym_abstract] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3239),
    [anon_sym_enum] = ACTIONS(3239),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_export] = ACTIONS(3223),
    [anon_sym_type] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_typeof] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3223),
    [anon_sym_var] = ACTIONS(3223),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_await] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_with] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_debugger] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_yield] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LTtemplate_GT] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_async] = ACTIONS(3223),
    [anon_sym_function] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_SLASH] = ACTIONS(3223),
    [anon_sym_LT] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_void] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3223),
    [sym_number] = ACTIONS(3223),
    [sym_private_property_identifier] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
    [sym_super] = ACTIONS(3223),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [sym_null] = ACTIONS(3223),
    [sym_undefined] = ACTIONS(3223),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_readonly] = ACTIONS(3223),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_override] = ACTIONS(3223),
    [anon_sym_module] = ACTIONS(3223),
    [anon_sym_any] = ACTIONS(3223),
    [anon_sym_number] = ACTIONS(3223),
    [anon_sym_boolean] = ACTIONS(3223),
    [anon_sym_string] = ACTIONS(3223),
    [anon_sym_symbol] = ACTIONS(3223),
    [anon_sym_object] = ACTIONS(3223),
    [anon_sym_abstract] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_export] = ACTIONS(3375),
    [anon_sym_type] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_typeof] = ACTIONS(3375),
    [anon_sym_import] = ACTIONS(3375),
    [anon_sym_var] = ACTIONS(3375),
    [anon_sym_let] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_await] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_with] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_debugger] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_yield] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LTtemplate_GT] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_async] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_SLASH] = ACTIONS(3375),
    [anon_sym_LT] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_void] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3375),
    [sym_number] = ACTIONS(3375),
    [sym_private_property_identifier] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(3375),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_readonly] = ACTIONS(3375),
    [anon_sym_get] = ACTIONS(3375),
    [anon_sym_set] = ACTIONS(3375),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_override] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3375),
    [anon_sym_any] = ACTIONS(3375),
    [anon_sym_number] = ACTIONS(3375),
    [anon_sym_boolean] = ACTIONS(3375),
    [anon_sym_string] = ACTIONS(3375),
    [anon_sym_symbol] = ACTIONS(3375),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_abstract] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [ts_builtin_sym_end] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(3403),
    [anon_sym_export] = ACTIONS(3403),
    [anon_sym_type] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym_import] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_with] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_debugger] = ACTIONS(3403),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LTtemplate_GT] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_void] = ACTIONS(3403),
    [anon_sym_delete] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3403),
    [sym_number] = ACTIONS(3403),
    [sym_private_property_identifier] = ACTIONS(3403),
    [sym_this] = ACTIONS(3403),
    [sym_super] = ACTIONS(3403),
    [sym_true] = ACTIONS(3403),
    [sym_false] = ACTIONS(3403),
    [sym_null] = ACTIONS(3403),
    [sym_undefined] = ACTIONS(3403),
    [anon_sym_AT] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_declare] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_module] = ACTIONS(3403),
    [anon_sym_any] = ACTIONS(3403),
    [anon_sym_number] = ACTIONS(3403),
    [anon_sym_boolean] = ACTIONS(3403),
    [anon_sym_string] = ACTIONS(3403),
    [anon_sym_symbol] = ACTIONS(3403),
    [anon_sym_object] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [ts_builtin_sym_end] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(3315),
    [anon_sym_export] = ACTIONS(3315),
    [anon_sym_type] = ACTIONS(3315),
    [anon_sym_namespace] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_typeof] = ACTIONS(3315),
    [anon_sym_import] = ACTIONS(3315),
    [anon_sym_var] = ACTIONS(3315),
    [anon_sym_let] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_await] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_try] = ACTIONS(3315),
    [anon_sym_with] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_debugger] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_throw] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_yield] = ACTIONS(3315),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LTtemplate_GT] = ACTIONS(3315),
    [anon_sym_class] = ACTIONS(3315),
    [anon_sym_async] = ACTIONS(3315),
    [anon_sym_function] = ACTIONS(3315),
    [anon_sym_new] = ACTIONS(3315),
    [anon_sym_using] = ACTIONS(3315),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_SLASH] = ACTIONS(3315),
    [anon_sym_LT] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_void] = ACTIONS(3315),
    [anon_sym_delete] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3315),
    [sym_number] = ACTIONS(3315),
    [sym_private_property_identifier] = ACTIONS(3315),
    [sym_this] = ACTIONS(3315),
    [sym_super] = ACTIONS(3315),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_undefined] = ACTIONS(3315),
    [anon_sym_AT] = ACTIONS(3315),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3315),
    [anon_sym_set] = ACTIONS(3315),
    [anon_sym_declare] = ACTIONS(3315),
    [anon_sym_public] = ACTIONS(3315),
    [anon_sym_private] = ACTIONS(3315),
    [anon_sym_protected] = ACTIONS(3315),
    [anon_sym_override] = ACTIONS(3315),
    [anon_sym_module] = ACTIONS(3315),
    [anon_sym_any] = ACTIONS(3315),
    [anon_sym_number] = ACTIONS(3315),
    [anon_sym_boolean] = ACTIONS(3315),
    [anon_sym_string] = ACTIONS(3315),
    [anon_sym_symbol] = ACTIONS(3315),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_abstract] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [ts_builtin_sym_end] = ACTIONS(3531),
    [sym_identifier] = ACTIONS(3317),
    [anon_sym_export] = ACTIONS(3317),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym_import] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_with] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_debugger] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_LTtemplate_GT] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_function] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3317),
    [anon_sym_LT] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_void] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3317),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3317),
    [sym_number] = ACTIONS(3317),
    [sym_private_property_identifier] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
    [sym_super] = ACTIONS(3317),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [sym_null] = ACTIONS(3317),
    [sym_undefined] = ACTIONS(3317),
    [anon_sym_AT] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_module] = ACTIONS(3317),
    [anon_sym_any] = ACTIONS(3317),
    [anon_sym_number] = ACTIONS(3317),
    [anon_sym_boolean] = ACTIONS(3317),
    [anon_sym_string] = ACTIONS(3317),
    [anon_sym_symbol] = ACTIONS(3317),
    [anon_sym_object] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [ts_builtin_sym_end] = ACTIONS(3459),
    [sym_identifier] = ACTIONS(3431),
    [anon_sym_export] = ACTIONS(3431),
    [anon_sym_type] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym_import] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_with] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_debugger] = ACTIONS(3431),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LTtemplate_GT] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_function] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3431),
    [anon_sym_TILDE] = ACTIONS(3431),
    [anon_sym_void] = ACTIONS(3431),
    [anon_sym_delete] = ACTIONS(3431),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_private_property_identifier] = ACTIONS(3431),
    [sym_this] = ACTIONS(3431),
    [sym_super] = ACTIONS(3431),
    [sym_true] = ACTIONS(3431),
    [sym_false] = ACTIONS(3431),
    [sym_null] = ACTIONS(3431),
    [sym_undefined] = ACTIONS(3431),
    [anon_sym_AT] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_get] = ACTIONS(3431),
    [anon_sym_set] = ACTIONS(3431),
    [anon_sym_declare] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_module] = ACTIONS(3431),
    [anon_sym_any] = ACTIONS(3431),
    [anon_sym_number] = ACTIONS(3431),
    [anon_sym_boolean] = ACTIONS(3431),
    [anon_sym_string] = ACTIONS(3431),
    [anon_sym_symbol] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [ts_builtin_sym_end] = ACTIONS(3571),
    [sym_identifier] = ACTIONS(3227),
    [anon_sym_export] = ACTIONS(3227),
    [anon_sym_type] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_typeof] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3227),
    [anon_sym_let] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_await] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_with] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_debugger] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_yield] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LTtemplate_GT] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_async] = ACTIONS(3227),
    [anon_sym_function] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_SLASH] = ACTIONS(3227),
    [anon_sym_LT] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_void] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3227),
    [sym_number] = ACTIONS(3227),
    [sym_private_property_identifier] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
    [sym_super] = ACTIONS(3227),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [sym_null] = ACTIONS(3227),
    [sym_undefined] = ACTIONS(3227),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_readonly] = ACTIONS(3227),
    [anon_sym_get] = ACTIONS(3227),
    [anon_sym_set] = ACTIONS(3227),
    [anon_sym_declare] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3227),
    [anon_sym_any] = ACTIONS(3227),
    [anon_sym_number] = ACTIONS(3227),
    [anon_sym_boolean] = ACTIONS(3227),
    [anon_sym_string] = ACTIONS(3227),
    [anon_sym_symbol] = ACTIONS(3227),
    [anon_sym_object] = ACTIONS(3227),
    [anon_sym_abstract] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym_import] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_with] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_debugger] = ACTIONS(3329),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3329),
    [anon_sym_LTtemplate_GT] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_function] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_SLASH] = ACTIONS(3329),
    [anon_sym_LT] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_void] = ACTIONS(3329),
    [anon_sym_delete] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3329),
    [sym_number] = ACTIONS(3329),
    [sym_private_property_identifier] = ACTIONS(3329),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(3329),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_get] = ACTIONS(3329),
    [anon_sym_set] = ACTIONS(3329),
    [anon_sym_declare] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_module] = ACTIONS(3329),
    [anon_sym_any] = ACTIONS(3329),
    [anon_sym_number] = ACTIONS(3329),
    [anon_sym_boolean] = ACTIONS(3329),
    [anon_sym_string] = ACTIONS(3329),
    [anon_sym_symbol] = ACTIONS(3329),
    [anon_sym_object] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3377),
    [anon_sym_export] = ACTIONS(3377),
    [anon_sym_type] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym_import] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_with] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_debugger] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LTtemplate_GT] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_void] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3377),
    [sym_number] = ACTIONS(3377),
    [sym_private_property_identifier] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
    [sym_super] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_null] = ACTIONS(3377),
    [sym_undefined] = ACTIONS(3377),
    [anon_sym_AT] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_get] = ACTIONS(3377),
    [anon_sym_set] = ACTIONS(3377),
    [anon_sym_declare] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_any] = ACTIONS(3377),
    [anon_sym_number] = ACTIONS(3377),
    [anon_sym_boolean] = ACTIONS(3377),
    [anon_sym_string] = ACTIONS(3377),
    [anon_sym_symbol] = ACTIONS(3377),
    [anon_sym_object] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [ts_builtin_sym_end] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(3379),
    [anon_sym_export] = ACTIONS(3379),
    [anon_sym_type] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_typeof] = ACTIONS(3379),
    [anon_sym_import] = ACTIONS(3379),
    [anon_sym_var] = ACTIONS(3379),
    [anon_sym_let] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_await] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_with] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_debugger] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_yield] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LTtemplate_GT] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_async] = ACTIONS(3379),
    [anon_sym_function] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_void] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3379),
    [sym_number] = ACTIONS(3379),
    [sym_private_property_identifier] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
    [sym_super] = ACTIONS(3379),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [sym_null] = ACTIONS(3379),
    [sym_undefined] = ACTIONS(3379),
    [anon_sym_AT] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_readonly] = ACTIONS(3379),
    [anon_sym_get] = ACTIONS(3379),
    [anon_sym_set] = ACTIONS(3379),
    [anon_sym_declare] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_override] = ACTIONS(3379),
    [anon_sym_module] = ACTIONS(3379),
    [anon_sym_any] = ACTIONS(3379),
    [anon_sym_number] = ACTIONS(3379),
    [anon_sym_boolean] = ACTIONS(3379),
    [anon_sym_string] = ACTIONS(3379),
    [anon_sym_symbol] = ACTIONS(3379),
    [anon_sym_object] = ACTIONS(3379),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_type] = ACTIONS(3425),
    [anon_sym_namespace] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LTtemplate_GT] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_using] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3425),
    [sym_number] = ACTIONS(3425),
    [sym_private_property_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3425),
    [anon_sym_static] = ACTIONS(3425),
    [anon_sym_readonly] = ACTIONS(3425),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
    [anon_sym_declare] = ACTIONS(3425),
    [anon_sym_public] = ACTIONS(3425),
    [anon_sym_private] = ACTIONS(3425),
    [anon_sym_protected] = ACTIONS(3425),
    [anon_sym_override] = ACTIONS(3425),
    [anon_sym_module] = ACTIONS(3425),
    [anon_sym_any] = ACTIONS(3425),
    [anon_sym_number] = ACTIONS(3425),
    [anon_sym_boolean] = ACTIONS(3425),
    [anon_sym_string] = ACTIONS(3425),
    [anon_sym_symbol] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3425),
    [anon_sym_abstract] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3425),
    [anon_sym_enum] = ACTIONS(3425),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym_identifier] = ACTIONS(3301),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_type] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym_import] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_with] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_debugger] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_LTtemplate_GT] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_function] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_SLASH] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_void] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3301),
    [sym_number] = ACTIONS(3301),
    [sym_private_property_identifier] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
    [sym_super] = ACTIONS(3301),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [sym_null] = ACTIONS(3301),
    [sym_undefined] = ACTIONS(3301),
    [anon_sym_AT] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_get] = ACTIONS(3301),
    [anon_sym_set] = ACTIONS(3301),
    [anon_sym_declare] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_module] = ACTIONS(3301),
    [anon_sym_any] = ACTIONS(3301),
    [anon_sym_number] = ACTIONS(3301),
    [anon_sym_boolean] = ACTIONS(3301),
    [anon_sym_string] = ACTIONS(3301),
    [anon_sym_symbol] = ACTIONS(3301),
    [anon_sym_object] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [ts_builtin_sym_end] = ACTIONS(3633),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_export] = ACTIONS(3393),
    [anon_sym_type] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym_import] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_with] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_debugger] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_LTtemplate_GT] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_function] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_SLASH] = ACTIONS(3393),
    [anon_sym_LT] = ACTIONS(3393),
    [anon_sym_TILDE] = ACTIONS(3393),
    [anon_sym_void] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_PLUS_PLUS] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3393),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3393),
    [sym_number] = ACTIONS(3393),
    [sym_private_property_identifier] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
    [sym_super] = ACTIONS(3393),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [sym_null] = ACTIONS(3393),
    [sym_undefined] = ACTIONS(3393),
    [anon_sym_AT] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_get] = ACTIONS(3393),
    [anon_sym_set] = ACTIONS(3393),
    [anon_sym_declare] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_module] = ACTIONS(3393),
    [anon_sym_any] = ACTIONS(3393),
    [anon_sym_number] = ACTIONS(3393),
    [anon_sym_boolean] = ACTIONS(3393),
    [anon_sym_string] = ACTIONS(3393),
    [anon_sym_symbol] = ACTIONS(3393),
    [anon_sym_object] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_typeof] = ACTIONS(2152),
    [anon_sym_import] = ACTIONS(2152),
    [anon_sym_var] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_with] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_debugger] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_throw] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LTtemplate_GT] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_function] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2152),
    [anon_sym_using] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_void] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2152),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(2152),
    [sym_this] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_true] = ACTIONS(2152),
    [sym_false] = ACTIONS(2152),
    [sym_null] = ACTIONS(2152),
    [sym_undefined] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [anon_sym_abstract] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [ts_builtin_sym_end] = ACTIONS(3487),
    [sym_identifier] = ACTIONS(3255),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym_import] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_with] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_debugger] = ACTIONS(3255),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_LTtemplate_GT] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_SLASH] = ACTIONS(3255),
    [anon_sym_LT] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_void] = ACTIONS(3255),
    [anon_sym_delete] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3255),
    [sym_number] = ACTIONS(3255),
    [sym_private_property_identifier] = ACTIONS(3255),
    [sym_this] = ACTIONS(3255),
    [sym_super] = ACTIONS(3255),
    [sym_true] = ACTIONS(3255),
    [sym_false] = ACTIONS(3255),
    [sym_null] = ACTIONS(3255),
    [sym_undefined] = ACTIONS(3255),
    [anon_sym_AT] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(3233),
    [anon_sym_export] = ACTIONS(3233),
    [anon_sym_type] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym_import] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_LPAREN] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_with] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_debugger] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_LTtemplate_GT] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_function] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_SLASH] = ACTIONS(3233),
    [anon_sym_LT] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_void] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3233),
    [sym_number] = ACTIONS(3233),
    [sym_private_property_identifier] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(3233),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_get] = ACTIONS(3233),
    [anon_sym_set] = ACTIONS(3233),
    [anon_sym_declare] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_module] = ACTIONS(3233),
    [anon_sym_any] = ACTIONS(3233),
    [anon_sym_number] = ACTIONS(3233),
    [anon_sym_boolean] = ACTIONS(3233),
    [anon_sym_string] = ACTIONS(3233),
    [anon_sym_symbol] = ACTIONS(3233),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3299),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_typeof] = ACTIONS(3299),
    [anon_sym_import] = ACTIONS(3299),
    [anon_sym_var] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_await] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_with] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_debugger] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_yield] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LTtemplate_GT] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_async] = ACTIONS(3299),
    [anon_sym_function] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_SLASH] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_void] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3299),
    [sym_number] = ACTIONS(3299),
    [sym_private_property_identifier] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
    [sym_super] = ACTIONS(3299),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [sym_null] = ACTIONS(3299),
    [sym_undefined] = ACTIONS(3299),
    [anon_sym_AT] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_readonly] = ACTIONS(3299),
    [anon_sym_get] = ACTIONS(3299),
    [anon_sym_set] = ACTIONS(3299),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3299),
    [anon_sym_private] = ACTIONS(3299),
    [anon_sym_protected] = ACTIONS(3299),
    [anon_sym_override] = ACTIONS(3299),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym_identifier] = ACTIONS(3351),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_type] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_typeof] = ACTIONS(3351),
    [anon_sym_import] = ACTIONS(3351),
    [anon_sym_var] = ACTIONS(3351),
    [anon_sym_let] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_await] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_with] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_debugger] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_yield] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LTtemplate_GT] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_async] = ACTIONS(3351),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_SLASH] = ACTIONS(3351),
    [anon_sym_LT] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_void] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3351),
    [sym_number] = ACTIONS(3351),
    [sym_private_property_identifier] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
    [sym_super] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_null] = ACTIONS(3351),
    [sym_undefined] = ACTIONS(3351),
    [anon_sym_AT] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_readonly] = ACTIONS(3351),
    [anon_sym_get] = ACTIONS(3351),
    [anon_sym_set] = ACTIONS(3351),
    [anon_sym_declare] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_override] = ACTIONS(3351),
    [anon_sym_module] = ACTIONS(3351),
    [anon_sym_any] = ACTIONS(3351),
    [anon_sym_number] = ACTIONS(3351),
    [anon_sym_boolean] = ACTIONS(3351),
    [anon_sym_string] = ACTIONS(3351),
    [anon_sym_symbol] = ACTIONS(3351),
    [anon_sym_object] = ACTIONS(3351),
    [anon_sym_abstract] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [ts_builtin_sym_end] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(3365),
    [anon_sym_export] = ACTIONS(3365),
    [anon_sym_type] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym_import] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_LPAREN] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_with] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_debugger] = ACTIONS(3365),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3365),
    [anon_sym_LTtemplate_GT] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_function] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_SLASH] = ACTIONS(3365),
    [anon_sym_LT] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_void] = ACTIONS(3365),
    [anon_sym_delete] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3365),
    [sym_number] = ACTIONS(3365),
    [sym_private_property_identifier] = ACTIONS(3365),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(3365),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_get] = ACTIONS(3365),
    [anon_sym_set] = ACTIONS(3365),
    [anon_sym_declare] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_module] = ACTIONS(3365),
    [anon_sym_any] = ACTIONS(3365),
    [anon_sym_number] = ACTIONS(3365),
    [anon_sym_boolean] = ACTIONS(3365),
    [anon_sym_string] = ACTIONS(3365),
    [anon_sym_symbol] = ACTIONS(3365),
    [anon_sym_object] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [ts_builtin_sym_end] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_export] = ACTIONS(3413),
    [anon_sym_type] = ACTIONS(3413),
    [anon_sym_namespace] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_typeof] = ACTIONS(3413),
    [anon_sym_import] = ACTIONS(3413),
    [anon_sym_var] = ACTIONS(3413),
    [anon_sym_let] = ACTIONS(3413),
    [anon_sym_const] = ACTIONS(3413),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(3413),
    [anon_sym_switch] = ACTIONS(3413),
    [anon_sym_for] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_await] = ACTIONS(3413),
    [anon_sym_while] = ACTIONS(3413),
    [anon_sym_do] = ACTIONS(3413),
    [anon_sym_try] = ACTIONS(3413),
    [anon_sym_with] = ACTIONS(3413),
    [anon_sym_break] = ACTIONS(3413),
    [anon_sym_continue] = ACTIONS(3413),
    [anon_sym_debugger] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3413),
    [anon_sym_throw] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_yield] = ACTIONS(3413),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LTtemplate_GT] = ACTIONS(3413),
    [anon_sym_class] = ACTIONS(3413),
    [anon_sym_async] = ACTIONS(3413),
    [anon_sym_function] = ACTIONS(3413),
    [anon_sym_new] = ACTIONS(3413),
    [anon_sym_using] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3413),
    [anon_sym_SLASH] = ACTIONS(3413),
    [anon_sym_LT] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_void] = ACTIONS(3413),
    [anon_sym_delete] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3413),
    [sym_number] = ACTIONS(3413),
    [sym_private_property_identifier] = ACTIONS(3413),
    [sym_this] = ACTIONS(3413),
    [sym_super] = ACTIONS(3413),
    [sym_true] = ACTIONS(3413),
    [sym_false] = ACTIONS(3413),
    [sym_null] = ACTIONS(3413),
    [sym_undefined] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3413),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
    [anon_sym_declare] = ACTIONS(3413),
    [anon_sym_public] = ACTIONS(3413),
    [anon_sym_private] = ACTIONS(3413),
    [anon_sym_protected] = ACTIONS(3413),
    [anon_sym_override] = ACTIONS(3413),
    [anon_sym_module] = ACTIONS(3413),
    [anon_sym_any] = ACTIONS(3413),
    [anon_sym_number] = ACTIONS(3413),
    [anon_sym_boolean] = ACTIONS(3413),
    [anon_sym_string] = ACTIONS(3413),
    [anon_sym_symbol] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3413),
    [anon_sym_abstract] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3413),
    [anon_sym_enum] = ACTIONS(3413),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym_identifier] = ACTIONS(3319),
    [anon_sym_export] = ACTIONS(3319),
    [anon_sym_type] = ACTIONS(3319),
    [anon_sym_namespace] = ACTIONS(3319),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_typeof] = ACTIONS(3319),
    [anon_sym_import] = ACTIONS(3319),
    [anon_sym_var] = ACTIONS(3319),
    [anon_sym_let] = ACTIONS(3319),
    [anon_sym_const] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_switch] = ACTIONS(3319),
    [anon_sym_for] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_await] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(3319),
    [anon_sym_do] = ACTIONS(3319),
    [anon_sym_try] = ACTIONS(3319),
    [anon_sym_with] = ACTIONS(3319),
    [anon_sym_break] = ACTIONS(3319),
    [anon_sym_continue] = ACTIONS(3319),
    [anon_sym_debugger] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3319),
    [anon_sym_throw] = ACTIONS(3319),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_yield] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LTtemplate_GT] = ACTIONS(3319),
    [anon_sym_class] = ACTIONS(3319),
    [anon_sym_async] = ACTIONS(3319),
    [anon_sym_function] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3319),
    [anon_sym_using] = ACTIONS(3319),
    [anon_sym_PLUS] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3319),
    [anon_sym_SLASH] = ACTIONS(3319),
    [anon_sym_LT] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_void] = ACTIONS(3319),
    [anon_sym_delete] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3319),
    [sym_number] = ACTIONS(3319),
    [sym_private_property_identifier] = ACTIONS(3319),
    [sym_this] = ACTIONS(3319),
    [sym_super] = ACTIONS(3319),
    [sym_true] = ACTIONS(3319),
    [sym_false] = ACTIONS(3319),
    [sym_null] = ACTIONS(3319),
    [sym_undefined] = ACTIONS(3319),
    [anon_sym_AT] = ACTIONS(3319),
    [anon_sym_static] = ACTIONS(3319),
    [anon_sym_readonly] = ACTIONS(3319),
    [anon_sym_get] = ACTIONS(3319),
    [anon_sym_set] = ACTIONS(3319),
    [anon_sym_declare] = ACTIONS(3319),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3319),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_any] = ACTIONS(3319),
    [anon_sym_number] = ACTIONS(3319),
    [anon_sym_boolean] = ACTIONS(3319),
    [anon_sym_string] = ACTIONS(3319),
    [anon_sym_symbol] = ACTIONS(3319),
    [anon_sym_object] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3319),
    [anon_sym_enum] = ACTIONS(3319),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [ts_builtin_sym_end] = ACTIONS(3623),
    [sym_identifier] = ACTIONS(3419),
    [anon_sym_export] = ACTIONS(3419),
    [anon_sym_type] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym_import] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_with] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_debugger] = ACTIONS(3419),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_LTtemplate_GT] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_function] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_SLASH] = ACTIONS(3419),
    [anon_sym_LT] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3419),
    [anon_sym_void] = ACTIONS(3419),
    [anon_sym_delete] = ACTIONS(3419),
    [anon_sym_PLUS_PLUS] = ACTIONS(3419),
    [anon_sym_DASH_DASH] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3419),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3419),
    [sym_number] = ACTIONS(3419),
    [sym_private_property_identifier] = ACTIONS(3419),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(3419),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_get] = ACTIONS(3419),
    [anon_sym_set] = ACTIONS(3419),
    [anon_sym_declare] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_module] = ACTIONS(3419),
    [anon_sym_any] = ACTIONS(3419),
    [anon_sym_number] = ACTIONS(3419),
    [anon_sym_boolean] = ACTIONS(3419),
    [anon_sym_string] = ACTIONS(3419),
    [anon_sym_symbol] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [ts_builtin_sym_end] = ACTIONS(3515),
    [sym_identifier] = ACTIONS(3205),
    [anon_sym_export] = ACTIONS(3205),
    [anon_sym_type] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym_import] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_with] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_debugger] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_LTtemplate_GT] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_SLASH] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_void] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3205),
    [sym_number] = ACTIONS(3205),
    [sym_private_property_identifier] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
    [sym_super] = ACTIONS(3205),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [sym_null] = ACTIONS(3205),
    [sym_undefined] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3205),
    [anon_sym_any] = ACTIONS(3205),
    [anon_sym_number] = ACTIONS(3205),
    [anon_sym_boolean] = ACTIONS(3205),
    [anon_sym_string] = ACTIONS(3205),
    [anon_sym_symbol] = ACTIONS(3205),
    [anon_sym_object] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [ts_builtin_sym_end] = ACTIONS(3495),
    [sym_identifier] = ACTIONS(3259),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_type] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_typeof] = ACTIONS(3259),
    [anon_sym_import] = ACTIONS(3259),
    [anon_sym_var] = ACTIONS(3259),
    [anon_sym_let] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_await] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_with] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_debugger] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym_yield] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_LTtemplate_GT] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_async] = ACTIONS(3259),
    [anon_sym_function] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_void] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3259),
    [sym_number] = ACTIONS(3259),
    [sym_private_property_identifier] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
    [sym_super] = ACTIONS(3259),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [sym_null] = ACTIONS(3259),
    [sym_undefined] = ACTIONS(3259),
    [anon_sym_AT] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_readonly] = ACTIONS(3259),
    [anon_sym_get] = ACTIONS(3259),
    [anon_sym_set] = ACTIONS(3259),
    [anon_sym_declare] = ACTIONS(3259),
    [anon_sym_public] = ACTIONS(3259),
    [anon_sym_private] = ACTIONS(3259),
    [anon_sym_protected] = ACTIONS(3259),
    [anon_sym_override] = ACTIONS(3259),
    [anon_sym_module] = ACTIONS(3259),
    [anon_sym_any] = ACTIONS(3259),
    [anon_sym_number] = ACTIONS(3259),
    [anon_sym_boolean] = ACTIONS(3259),
    [anon_sym_string] = ACTIONS(3259),
    [anon_sym_symbol] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3259),
    [anon_sym_abstract] = ACTIONS(3259),
    [anon_sym_interface] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [ts_builtin_sym_end] = ACTIONS(3467),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_export] = ACTIONS(3231),
    [anon_sym_type] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_typeof] = ACTIONS(3231),
    [anon_sym_import] = ACTIONS(3231),
    [anon_sym_var] = ACTIONS(3231),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_await] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_with] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_debugger] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_yield] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LTtemplate_GT] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_async] = ACTIONS(3231),
    [anon_sym_function] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_SLASH] = ACTIONS(3231),
    [anon_sym_LT] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_void] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3231),
    [sym_number] = ACTIONS(3231),
    [sym_private_property_identifier] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
    [sym_super] = ACTIONS(3231),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [sym_null] = ACTIONS(3231),
    [sym_undefined] = ACTIONS(3231),
    [anon_sym_AT] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_readonly] = ACTIONS(3231),
    [anon_sym_get] = ACTIONS(3231),
    [anon_sym_set] = ACTIONS(3231),
    [anon_sym_declare] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_override] = ACTIONS(3231),
    [anon_sym_module] = ACTIONS(3231),
    [anon_sym_any] = ACTIONS(3231),
    [anon_sym_number] = ACTIONS(3231),
    [anon_sym_boolean] = ACTIONS(3231),
    [anon_sym_string] = ACTIONS(3231),
    [anon_sym_symbol] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3231),
    [anon_sym_abstract] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [ts_builtin_sym_end] = ACTIONS(3499),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3261),
    [anon_sym_type] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym_import] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_with] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_debugger] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_LTtemplate_GT] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_function] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_SLASH] = ACTIONS(3261),
    [anon_sym_LT] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_void] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3261),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
    [sym_super] = ACTIONS(3261),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [sym_null] = ACTIONS(3261),
    [sym_undefined] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_get] = ACTIONS(3261),
    [anon_sym_set] = ACTIONS(3261),
    [anon_sym_declare] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_module] = ACTIONS(3261),
    [anon_sym_any] = ACTIONS(3261),
    [anon_sym_number] = ACTIONS(3261),
    [anon_sym_boolean] = ACTIONS(3261),
    [anon_sym_string] = ACTIONS(3261),
    [anon_sym_symbol] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3263),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_typeof] = ACTIONS(3263),
    [anon_sym_import] = ACTIONS(3263),
    [anon_sym_var] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_await] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_with] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_debugger] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_yield] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LTtemplate_GT] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_SLASH] = ACTIONS(3263),
    [anon_sym_LT] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_void] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3263),
    [sym_number] = ACTIONS(3263),
    [sym_private_property_identifier] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(3263),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_abstract] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [ts_builtin_sym_end] = ACTIONS(3621),
    [sym_identifier] = ACTIONS(3421),
    [anon_sym_export] = ACTIONS(3421),
    [anon_sym_type] = ACTIONS(3421),
    [anon_sym_namespace] = ACTIONS(3421),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_typeof] = ACTIONS(3421),
    [anon_sym_import] = ACTIONS(3421),
    [anon_sym_var] = ACTIONS(3421),
    [anon_sym_let] = ACTIONS(3421),
    [anon_sym_const] = ACTIONS(3421),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(3421),
    [anon_sym_switch] = ACTIONS(3421),
    [anon_sym_for] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_await] = ACTIONS(3421),
    [anon_sym_while] = ACTIONS(3421),
    [anon_sym_do] = ACTIONS(3421),
    [anon_sym_try] = ACTIONS(3421),
    [anon_sym_with] = ACTIONS(3421),
    [anon_sym_break] = ACTIONS(3421),
    [anon_sym_continue] = ACTIONS(3421),
    [anon_sym_debugger] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3421),
    [anon_sym_throw] = ACTIONS(3421),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_yield] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LTtemplate_GT] = ACTIONS(3421),
    [anon_sym_class] = ACTIONS(3421),
    [anon_sym_async] = ACTIONS(3421),
    [anon_sym_function] = ACTIONS(3421),
    [anon_sym_new] = ACTIONS(3421),
    [anon_sym_using] = ACTIONS(3421),
    [anon_sym_PLUS] = ACTIONS(3421),
    [anon_sym_DASH] = ACTIONS(3421),
    [anon_sym_SLASH] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_void] = ACTIONS(3421),
    [anon_sym_delete] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3421),
    [sym_number] = ACTIONS(3421),
    [sym_private_property_identifier] = ACTIONS(3421),
    [sym_this] = ACTIONS(3421),
    [sym_super] = ACTIONS(3421),
    [sym_true] = ACTIONS(3421),
    [sym_false] = ACTIONS(3421),
    [sym_null] = ACTIONS(3421),
    [sym_undefined] = ACTIONS(3421),
    [anon_sym_AT] = ACTIONS(3421),
    [anon_sym_static] = ACTIONS(3421),
    [anon_sym_readonly] = ACTIONS(3421),
    [anon_sym_get] = ACTIONS(3421),
    [anon_sym_set] = ACTIONS(3421),
    [anon_sym_declare] = ACTIONS(3421),
    [anon_sym_public] = ACTIONS(3421),
    [anon_sym_private] = ACTIONS(3421),
    [anon_sym_protected] = ACTIONS(3421),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3421),
    [anon_sym_any] = ACTIONS(3421),
    [anon_sym_number] = ACTIONS(3421),
    [anon_sym_boolean] = ACTIONS(3421),
    [anon_sym_string] = ACTIONS(3421),
    [anon_sym_symbol] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3421),
    [anon_sym_abstract] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3421),
    [anon_sym_enum] = ACTIONS(3421),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [ts_builtin_sym_end] = ACTIONS(3619),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3423),
    [anon_sym_type] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_with] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_debugger] = ACTIONS(3423),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LTtemplate_GT] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_function] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_SLASH] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_void] = ACTIONS(3423),
    [anon_sym_delete] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_number] = ACTIONS(3423),
    [sym_private_property_identifier] = ACTIONS(3423),
    [sym_this] = ACTIONS(3423),
    [sym_super] = ACTIONS(3423),
    [sym_true] = ACTIONS(3423),
    [sym_false] = ACTIONS(3423),
    [sym_null] = ACTIONS(3423),
    [sym_undefined] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3423),
    [anon_sym_set] = ACTIONS(3423),
    [anon_sym_declare] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_module] = ACTIONS(3423),
    [anon_sym_any] = ACTIONS(3423),
    [anon_sym_number] = ACTIONS(3423),
    [anon_sym_boolean] = ACTIONS(3423),
    [anon_sym_string] = ACTIONS(3423),
    [anon_sym_symbol] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(3229),
    [anon_sym_export] = ACTIONS(3229),
    [anon_sym_type] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_debugger] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_LTtemplate_GT] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_function] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_SLASH] = ACTIONS(3229),
    [anon_sym_LT] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_void] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3229),
    [sym_number] = ACTIONS(3229),
    [sym_private_property_identifier] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_get] = ACTIONS(3229),
    [anon_sym_set] = ACTIONS(3229),
    [anon_sym_declare] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_module] = ACTIONS(3229),
    [anon_sym_any] = ACTIONS(3229),
    [anon_sym_number] = ACTIONS(3229),
    [anon_sym_boolean] = ACTIONS(3229),
    [anon_sym_string] = ACTIONS(3229),
    [anon_sym_symbol] = ACTIONS(3229),
    [anon_sym_object] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(3463),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_export] = ACTIONS(3225),
    [anon_sym_type] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_debugger] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_LTtemplate_GT] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_function] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_SLASH] = ACTIONS(3225),
    [anon_sym_LT] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_void] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3225),
    [sym_number] = ACTIONS(3225),
    [sym_private_property_identifier] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_get] = ACTIONS(3225),
    [anon_sym_set] = ACTIONS(3225),
    [anon_sym_declare] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_module] = ACTIONS(3225),
    [anon_sym_any] = ACTIONS(3225),
    [anon_sym_number] = ACTIONS(3225),
    [anon_sym_boolean] = ACTIONS(3225),
    [anon_sym_string] = ACTIONS(3225),
    [anon_sym_symbol] = ACTIONS(3225),
    [anon_sym_object] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2200),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_typeof] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_switch] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_await] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_do] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [anon_sym_with] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_debugger] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_throw] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_LTtemplate_GT] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_function] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2200),
    [anon_sym_using] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_void] = ACTIONS(2200),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2200),
    [sym_number] = ACTIONS(2200),
    [sym_private_property_identifier] = ACTIONS(2200),
    [sym_this] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_true] = ACTIONS(2200),
    [sym_false] = ACTIONS(2200),
    [sym_null] = ACTIONS(2200),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [anon_sym_abstract] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [ts_builtin_sym_end] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(3391),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_type] = ACTIONS(3391),
    [anon_sym_namespace] = ACTIONS(3391),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_typeof] = ACTIONS(3391),
    [anon_sym_import] = ACTIONS(3391),
    [anon_sym_var] = ACTIONS(3391),
    [anon_sym_let] = ACTIONS(3391),
    [anon_sym_const] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(3391),
    [anon_sym_switch] = ACTIONS(3391),
    [anon_sym_for] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_await] = ACTIONS(3391),
    [anon_sym_while] = ACTIONS(3391),
    [anon_sym_do] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_with] = ACTIONS(3391),
    [anon_sym_break] = ACTIONS(3391),
    [anon_sym_continue] = ACTIONS(3391),
    [anon_sym_debugger] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3391),
    [anon_sym_throw] = ACTIONS(3391),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_yield] = ACTIONS(3391),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LTtemplate_GT] = ACTIONS(3391),
    [anon_sym_class] = ACTIONS(3391),
    [anon_sym_async] = ACTIONS(3391),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_new] = ACTIONS(3391),
    [anon_sym_using] = ACTIONS(3391),
    [anon_sym_PLUS] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3391),
    [anon_sym_SLASH] = ACTIONS(3391),
    [anon_sym_LT] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_void] = ACTIONS(3391),
    [anon_sym_delete] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3391),
    [sym_number] = ACTIONS(3391),
    [sym_private_property_identifier] = ACTIONS(3391),
    [sym_this] = ACTIONS(3391),
    [sym_super] = ACTIONS(3391),
    [sym_true] = ACTIONS(3391),
    [sym_false] = ACTIONS(3391),
    [sym_null] = ACTIONS(3391),
    [sym_undefined] = ACTIONS(3391),
    [anon_sym_AT] = ACTIONS(3391),
    [anon_sym_static] = ACTIONS(3391),
    [anon_sym_readonly] = ACTIONS(3391),
    [anon_sym_get] = ACTIONS(3391),
    [anon_sym_set] = ACTIONS(3391),
    [anon_sym_declare] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3391),
    [anon_sym_private] = ACTIONS(3391),
    [anon_sym_protected] = ACTIONS(3391),
    [anon_sym_override] = ACTIONS(3391),
    [anon_sym_module] = ACTIONS(3391),
    [anon_sym_any] = ACTIONS(3391),
    [anon_sym_number] = ACTIONS(3391),
    [anon_sym_boolean] = ACTIONS(3391),
    [anon_sym_string] = ACTIONS(3391),
    [anon_sym_symbol] = ACTIONS(3391),
    [anon_sym_object] = ACTIONS(3391),
    [anon_sym_abstract] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3391),
    [anon_sym_enum] = ACTIONS(3391),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [ts_builtin_sym_end] = ACTIONS(3433),
    [sym_identifier] = ACTIONS(3287),
    [anon_sym_export] = ACTIONS(3287),
    [anon_sym_type] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_typeof] = ACTIONS(3287),
    [anon_sym_import] = ACTIONS(3287),
    [anon_sym_var] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_await] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_with] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_debugger] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_yield] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LTtemplate_GT] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_async] = ACTIONS(3287),
    [anon_sym_function] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_void] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3287),
    [sym_number] = ACTIONS(3287),
    [sym_private_property_identifier] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
    [sym_super] = ACTIONS(3287),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [sym_null] = ACTIONS(3287),
    [sym_undefined] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3287),
    [anon_sym_get] = ACTIONS(3287),
    [anon_sym_set] = ACTIONS(3287),
    [anon_sym_declare] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_override] = ACTIONS(3287),
    [anon_sym_module] = ACTIONS(3287),
    [anon_sym_any] = ACTIONS(3287),
    [anon_sym_number] = ACTIONS(3287),
    [anon_sym_boolean] = ACTIONS(3287),
    [anon_sym_string] = ACTIONS(3287),
    [anon_sym_symbol] = ACTIONS(3287),
    [anon_sym_object] = ACTIONS(3287),
    [anon_sym_abstract] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [ts_builtin_sym_end] = ACTIONS(3607),
    [sym_identifier] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3367),
    [anon_sym_type] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3367),
    [anon_sym_var] = ACTIONS(3367),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_await] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_with] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_debugger] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_yield] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LTtemplate_GT] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_async] = ACTIONS(3367),
    [anon_sym_function] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_SLASH] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_void] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_number] = ACTIONS(3367),
    [sym_private_property_identifier] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
    [sym_super] = ACTIONS(3367),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [sym_null] = ACTIONS(3367),
    [sym_undefined] = ACTIONS(3367),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_readonly] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3367),
    [anon_sym_set] = ACTIONS(3367),
    [anon_sym_declare] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3367),
    [anon_sym_any] = ACTIONS(3367),
    [anon_sym_number] = ACTIONS(3367),
    [anon_sym_boolean] = ACTIONS(3367),
    [anon_sym_string] = ACTIONS(3367),
    [anon_sym_symbol] = ACTIONS(3367),
    [anon_sym_object] = ACTIONS(3367),
    [anon_sym_abstract] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [ts_builtin_sym_end] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3303),
    [anon_sym_type] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_typeof] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_var] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_await] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_with] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_debugger] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_yield] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LTtemplate_GT] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_async] = ACTIONS(3303),
    [anon_sym_function] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_void] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3303),
    [sym_number] = ACTIONS(3303),
    [sym_private_property_identifier] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [sym_null] = ACTIONS(3303),
    [sym_undefined] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_readonly] = ACTIONS(3303),
    [anon_sym_get] = ACTIONS(3303),
    [anon_sym_set] = ACTIONS(3303),
    [anon_sym_declare] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_override] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_any] = ACTIONS(3303),
    [anon_sym_number] = ACTIONS(3303),
    [anon_sym_boolean] = ACTIONS(3303),
    [anon_sym_string] = ACTIONS(3303),
    [anon_sym_symbol] = ACTIONS(3303),
    [anon_sym_object] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym_identifier] = ACTIONS(3295),
    [anon_sym_export] = ACTIONS(3295),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_typeof] = ACTIONS(3295),
    [anon_sym_import] = ACTIONS(3295),
    [anon_sym_var] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_await] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_debugger] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_yield] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LTtemplate_GT] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_async] = ACTIONS(3295),
    [anon_sym_function] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_SLASH] = ACTIONS(3295),
    [anon_sym_LT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_void] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3295),
    [sym_number] = ACTIONS(3295),
    [sym_private_property_identifier] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
    [sym_super] = ACTIONS(3295),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [sym_null] = ACTIONS(3295),
    [sym_undefined] = ACTIONS(3295),
    [anon_sym_AT] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_readonly] = ACTIONS(3295),
    [anon_sym_get] = ACTIONS(3295),
    [anon_sym_set] = ACTIONS(3295),
    [anon_sym_declare] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3295),
    [anon_sym_any] = ACTIONS(3295),
    [anon_sym_number] = ACTIONS(3295),
    [anon_sym_boolean] = ACTIONS(3295),
    [anon_sym_string] = ACTIONS(3295),
    [anon_sym_symbol] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(3295),
    [anon_sym_abstract] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(3559),
    [sym_identifier] = ACTIONS(3281),
    [anon_sym_export] = ACTIONS(3281),
    [anon_sym_type] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym_import] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_with] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_debugger] = ACTIONS(3281),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_LTtemplate_GT] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_void] = ACTIONS(3281),
    [anon_sym_delete] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3281),
    [sym_number] = ACTIONS(3281),
    [sym_private_property_identifier] = ACTIONS(3281),
    [sym_this] = ACTIONS(3281),
    [sym_super] = ACTIONS(3281),
    [sym_true] = ACTIONS(3281),
    [sym_false] = ACTIONS(3281),
    [sym_null] = ACTIONS(3281),
    [sym_undefined] = ACTIONS(3281),
    [anon_sym_AT] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_get] = ACTIONS(3281),
    [anon_sym_set] = ACTIONS(3281),
    [anon_sym_declare] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_module] = ACTIONS(3281),
    [anon_sym_any] = ACTIONS(3281),
    [anon_sym_number] = ACTIONS(3281),
    [anon_sym_boolean] = ACTIONS(3281),
    [anon_sym_string] = ACTIONS(3281),
    [anon_sym_symbol] = ACTIONS(3281),
    [anon_sym_object] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3327),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_typeof] = ACTIONS(3327),
    [anon_sym_import] = ACTIONS(3327),
    [anon_sym_var] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_await] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_with] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_debugger] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_yield] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LTtemplate_GT] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_async] = ACTIONS(3327),
    [anon_sym_function] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_SLASH] = ACTIONS(3327),
    [anon_sym_LT] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_void] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3327),
    [sym_number] = ACTIONS(3327),
    [sym_private_property_identifier] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
    [sym_super] = ACTIONS(3327),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_undefined] = ACTIONS(3327),
    [anon_sym_AT] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_readonly] = ACTIONS(3327),
    [anon_sym_get] = ACTIONS(3327),
    [anon_sym_set] = ACTIONS(3327),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_override] = ACTIONS(3327),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [ts_builtin_sym_end] = ACTIONS(3563),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_typeof] = ACTIONS(3343),
    [anon_sym_import] = ACTIONS(3343),
    [anon_sym_var] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_await] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_with] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_debugger] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_yield] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LTtemplate_GT] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_SLASH] = ACTIONS(3343),
    [anon_sym_LT] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_void] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3343),
    [sym_number] = ACTIONS(3343),
    [sym_private_property_identifier] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
    [sym_super] = ACTIONS(3343),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [sym_null] = ACTIONS(3343),
    [sym_undefined] = ACTIONS(3343),
    [anon_sym_AT] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_abstract] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2178),
    [anon_sym_type] = ACTIONS(2178),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_typeof] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_var] = ACTIONS(2178),
    [anon_sym_let] = ACTIONS(2178),
    [anon_sym_const] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_await] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_debugger] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LTtemplate_GT] = ACTIONS(2178),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_async] = ACTIONS(2178),
    [anon_sym_function] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_using] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_SLASH] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_TILDE] = ACTIONS(2178),
    [anon_sym_void] = ACTIONS(2178),
    [anon_sym_delete] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2178),
    [sym_number] = ACTIONS(2178),
    [sym_private_property_identifier] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_null] = ACTIONS(2178),
    [sym_undefined] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_readonly] = ACTIONS(2178),
    [anon_sym_get] = ACTIONS(2178),
    [anon_sym_set] = ACTIONS(2178),
    [anon_sym_declare] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_override] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_any] = ACTIONS(2178),
    [anon_sym_number] = ACTIONS(2178),
    [anon_sym_boolean] = ACTIONS(2178),
    [anon_sym_string] = ACTIONS(2178),
    [anon_sym_symbol] = ACTIONS(2178),
    [anon_sym_object] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(3635),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(3337),
    [anon_sym_export] = ACTIONS(3337),
    [anon_sym_type] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym_import] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_with] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_debugger] = ACTIONS(3337),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3337),
    [anon_sym_LTtemplate_GT] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_function] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_SLASH] = ACTIONS(3337),
    [anon_sym_LT] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_void] = ACTIONS(3337),
    [anon_sym_delete] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3337),
    [sym_number] = ACTIONS(3337),
    [sym_private_property_identifier] = ACTIONS(3337),
    [sym_this] = ACTIONS(3337),
    [sym_super] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_null] = ACTIONS(3337),
    [sym_undefined] = ACTIONS(3337),
    [anon_sym_AT] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_get] = ACTIONS(3337),
    [anon_sym_set] = ACTIONS(3337),
    [anon_sym_declare] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_any] = ACTIONS(3337),
    [anon_sym_number] = ACTIONS(3337),
    [anon_sym_boolean] = ACTIONS(3337),
    [anon_sym_string] = ACTIONS(3337),
    [anon_sym_symbol] = ACTIONS(3337),
    [anon_sym_object] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym_identifier] = ACTIONS(3407),
    [anon_sym_export] = ACTIONS(3407),
    [anon_sym_type] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym_import] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_with] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_debugger] = ACTIONS(3407),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LTtemplate_GT] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_function] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_void] = ACTIONS(3407),
    [anon_sym_delete] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3407),
    [sym_number] = ACTIONS(3407),
    [sym_private_property_identifier] = ACTIONS(3407),
    [sym_this] = ACTIONS(3407),
    [sym_super] = ACTIONS(3407),
    [sym_true] = ACTIONS(3407),
    [sym_false] = ACTIONS(3407),
    [sym_null] = ACTIONS(3407),
    [sym_undefined] = ACTIONS(3407),
    [anon_sym_AT] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_get] = ACTIONS(3407),
    [anon_sym_set] = ACTIONS(3407),
    [anon_sym_declare] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_module] = ACTIONS(3407),
    [anon_sym_any] = ACTIONS(3407),
    [anon_sym_number] = ACTIONS(3407),
    [anon_sym_boolean] = ACTIONS(3407),
    [anon_sym_string] = ACTIONS(3407),
    [anon_sym_symbol] = ACTIONS(3407),
    [anon_sym_object] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [ts_builtin_sym_end] = ACTIONS(3435),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym_import] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_with] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_debugger] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_LTtemplate_GT] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_SLASH] = ACTIONS(3389),
    [anon_sym_LT] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_void] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3389),
    [sym_number] = ACTIONS(3389),
    [sym_private_property_identifier] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
    [sym_super] = ACTIONS(3389),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [sym_null] = ACTIONS(3389),
    [sym_undefined] = ACTIONS(3389),
    [anon_sym_AT] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [ts_builtin_sym_end] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3207),
    [anon_sym_type] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3207),
    [anon_sym_var] = ACTIONS(3207),
    [anon_sym_let] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_await] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_with] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_debugger] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_yield] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LTtemplate_GT] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_async] = ACTIONS(3207),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_SLASH] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_void] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_number] = ACTIONS(3207),
    [sym_private_property_identifier] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
    [sym_super] = ACTIONS(3207),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [sym_null] = ACTIONS(3207),
    [sym_undefined] = ACTIONS(3207),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_readonly] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3207),
    [anon_sym_set] = ACTIONS(3207),
    [anon_sym_declare] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_override] = ACTIONS(3207),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_any] = ACTIONS(3207),
    [anon_sym_number] = ACTIONS(3207),
    [anon_sym_boolean] = ACTIONS(3207),
    [anon_sym_string] = ACTIONS(3207),
    [anon_sym_symbol] = ACTIONS(3207),
    [anon_sym_object] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_comment] = STATE(1721),
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2190),
    [anon_sym_type] = ACTIONS(2190),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_typeof] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_var] = ACTIONS(2190),
    [anon_sym_let] = ACTIONS(2190),
    [anon_sym_const] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_await] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_debugger] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LTtemplate_GT] = ACTIONS(2190),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_async] = ACTIONS(2190),
    [anon_sym_function] = ACTIONS(2190),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_using] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_SLASH] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_void] = ACTIONS(2190),
    [anon_sym_delete] = ACTIONS(2190),
    [anon_sym_PLUS_PLUS] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(2190),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2190),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2190),
    [sym_number] = ACTIONS(2190),
    [sym_private_property_identifier] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_readonly] = ACTIONS(2190),
    [anon_sym_get] = ACTIONS(2190),
    [anon_sym_set] = ACTIONS(2190),
    [anon_sym_declare] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_override] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_any] = ACTIONS(2190),
    [anon_sym_number] = ACTIONS(2190),
    [anon_sym_boolean] = ACTIONS(2190),
    [anon_sym_string] = ACTIONS(2190),
    [anon_sym_symbol] = ACTIONS(2190),
    [anon_sym_object] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym_import] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_with] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_debugger] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_LTtemplate_GT] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_SLASH] = ACTIONS(3305),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_void] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3305),
    [sym_number] = ACTIONS(3305),
    [sym_private_property_identifier] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
    [sym_super] = ACTIONS(3305),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [sym_null] = ACTIONS(3305),
    [sym_undefined] = ACTIONS(3305),
    [anon_sym_AT] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [ts_builtin_sym_end] = ACTIONS(3547),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_type] = ACTIONS(3307),
    [anon_sym_namespace] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_typeof] = ACTIONS(3307),
    [anon_sym_import] = ACTIONS(3307),
    [anon_sym_var] = ACTIONS(3307),
    [anon_sym_let] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_await] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_try] = ACTIONS(3307),
    [anon_sym_with] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_debugger] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_throw] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_yield] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LTtemplate_GT] = ACTIONS(3307),
    [anon_sym_class] = ACTIONS(3307),
    [anon_sym_async] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3307),
    [anon_sym_new] = ACTIONS(3307),
    [anon_sym_using] = ACTIONS(3307),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_SLASH] = ACTIONS(3307),
    [anon_sym_LT] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_void] = ACTIONS(3307),
    [anon_sym_delete] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3307),
    [sym_number] = ACTIONS(3307),
    [sym_private_property_identifier] = ACTIONS(3307),
    [sym_this] = ACTIONS(3307),
    [sym_super] = ACTIONS(3307),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_undefined] = ACTIONS(3307),
    [anon_sym_AT] = ACTIONS(3307),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_readonly] = ACTIONS(3307),
    [anon_sym_get] = ACTIONS(3307),
    [anon_sym_set] = ACTIONS(3307),
    [anon_sym_declare] = ACTIONS(3307),
    [anon_sym_public] = ACTIONS(3307),
    [anon_sym_private] = ACTIONS(3307),
    [anon_sym_protected] = ACTIONS(3307),
    [anon_sym_override] = ACTIONS(3307),
    [anon_sym_module] = ACTIONS(3307),
    [anon_sym_any] = ACTIONS(3307),
    [anon_sym_number] = ACTIONS(3307),
    [anon_sym_boolean] = ACTIONS(3307),
    [anon_sym_string] = ACTIONS(3307),
    [anon_sym_symbol] = ACTIONS(3307),
    [anon_sym_object] = ACTIONS(3307),
    [anon_sym_abstract] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [ts_builtin_sym_end] = ACTIONS(3551),
    [sym_identifier] = ACTIONS(3309),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym_import] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_with] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_debugger] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_LTtemplate_GT] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_SLASH] = ACTIONS(3309),
    [anon_sym_LT] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_void] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3309),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3309),
    [sym_number] = ACTIONS(3309),
    [sym_private_property_identifier] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
    [sym_super] = ACTIONS(3309),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [sym_null] = ACTIONS(3309),
    [sym_undefined] = ACTIONS(3309),
    [anon_sym_AT] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym_identifier] = ACTIONS(3291),
    [anon_sym_export] = ACTIONS(3291),
    [anon_sym_type] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_typeof] = ACTIONS(3291),
    [anon_sym_import] = ACTIONS(3291),
    [anon_sym_var] = ACTIONS(3291),
    [anon_sym_let] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_await] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_with] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_debugger] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_yield] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LTtemplate_GT] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_async] = ACTIONS(3291),
    [anon_sym_function] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_SLASH] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_void] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3291),
    [sym_number] = ACTIONS(3291),
    [sym_private_property_identifier] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
    [sym_super] = ACTIONS(3291),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [sym_null] = ACTIONS(3291),
    [sym_undefined] = ACTIONS(3291),
    [anon_sym_AT] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_readonly] = ACTIONS(3291),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_override] = ACTIONS(3291),
    [anon_sym_module] = ACTIONS(3291),
    [anon_sym_any] = ACTIONS(3291),
    [anon_sym_number] = ACTIONS(3291),
    [anon_sym_boolean] = ACTIONS(3291),
    [anon_sym_string] = ACTIONS(3291),
    [anon_sym_symbol] = ACTIONS(3291),
    [anon_sym_object] = ACTIONS(3291),
    [anon_sym_abstract] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym_identifier] = ACTIONS(3311),
    [anon_sym_export] = ACTIONS(3311),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_namespace] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_typeof] = ACTIONS(3311),
    [anon_sym_import] = ACTIONS(3311),
    [anon_sym_var] = ACTIONS(3311),
    [anon_sym_let] = ACTIONS(3311),
    [anon_sym_const] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_await] = ACTIONS(3311),
    [anon_sym_while] = ACTIONS(3311),
    [anon_sym_do] = ACTIONS(3311),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(3311),
    [anon_sym_break] = ACTIONS(3311),
    [anon_sym_continue] = ACTIONS(3311),
    [anon_sym_debugger] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3311),
    [anon_sym_throw] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_yield] = ACTIONS(3311),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LTtemplate_GT] = ACTIONS(3311),
    [anon_sym_class] = ACTIONS(3311),
    [anon_sym_async] = ACTIONS(3311),
    [anon_sym_function] = ACTIONS(3311),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_using] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3311),
    [anon_sym_SLASH] = ACTIONS(3311),
    [anon_sym_LT] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_void] = ACTIONS(3311),
    [anon_sym_delete] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3311),
    [sym_number] = ACTIONS(3311),
    [sym_private_property_identifier] = ACTIONS(3311),
    [sym_this] = ACTIONS(3311),
    [sym_super] = ACTIONS(3311),
    [sym_true] = ACTIONS(3311),
    [sym_false] = ACTIONS(3311),
    [sym_null] = ACTIONS(3311),
    [sym_undefined] = ACTIONS(3311),
    [anon_sym_AT] = ACTIONS(3311),
    [anon_sym_static] = ACTIONS(3311),
    [anon_sym_readonly] = ACTIONS(3311),
    [anon_sym_get] = ACTIONS(3311),
    [anon_sym_set] = ACTIONS(3311),
    [anon_sym_declare] = ACTIONS(3311),
    [anon_sym_public] = ACTIONS(3311),
    [anon_sym_private] = ACTIONS(3311),
    [anon_sym_protected] = ACTIONS(3311),
    [anon_sym_override] = ACTIONS(3311),
    [anon_sym_module] = ACTIONS(3311),
    [anon_sym_any] = ACTIONS(3311),
    [anon_sym_number] = ACTIONS(3311),
    [anon_sym_boolean] = ACTIONS(3311),
    [anon_sym_string] = ACTIONS(3311),
    [anon_sym_symbol] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3311),
    [anon_sym_abstract] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3311),
    [anon_sym_enum] = ACTIONS(3311),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [ts_builtin_sym_end] = ACTIONS(3555),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_export] = ACTIONS(3313),
    [anon_sym_type] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_RBRACE] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_with] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_debugger] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_LTtemplate_GT] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_function] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_LT] = ACTIONS(3313),
    [anon_sym_TILDE] = ACTIONS(3313),
    [anon_sym_void] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_PLUS_PLUS] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3313),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3313),
    [sym_number] = ACTIONS(3313),
    [sym_private_property_identifier] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_null] = ACTIONS(3313),
    [sym_undefined] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_get] = ACTIONS(3313),
    [anon_sym_set] = ACTIONS(3313),
    [anon_sym_declare] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_any] = ACTIONS(3313),
    [anon_sym_number] = ACTIONS(3313),
    [anon_sym_boolean] = ACTIONS(3313),
    [anon_sym_string] = ACTIONS(3313),
    [anon_sym_symbol] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [ts_builtin_sym_end] = ACTIONS(3519),
    [sym_identifier] = ACTIONS(3289),
    [anon_sym_export] = ACTIONS(3289),
    [anon_sym_type] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym_import] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_with] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_debugger] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_LTtemplate_GT] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_function] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_void] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3289),
    [sym_number] = ACTIONS(3289),
    [sym_private_property_identifier] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
    [sym_super] = ACTIONS(3289),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [sym_null] = ACTIONS(3289),
    [sym_undefined] = ACTIONS(3289),
    [anon_sym_AT] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3289),
    [anon_sym_set] = ACTIONS(3289),
    [anon_sym_declare] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_module] = ACTIONS(3289),
    [anon_sym_any] = ACTIONS(3289),
    [anon_sym_number] = ACTIONS(3289),
    [anon_sym_boolean] = ACTIONS(3289),
    [anon_sym_string] = ACTIONS(3289),
    [anon_sym_symbol] = ACTIONS(3289),
    [anon_sym_object] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3387),
    [anon_sym_type] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_typeof] = ACTIONS(3387),
    [anon_sym_import] = ACTIONS(3387),
    [anon_sym_var] = ACTIONS(3387),
    [anon_sym_let] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_await] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_with] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_debugger] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_yield] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LTtemplate_GT] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_async] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_SLASH] = ACTIONS(3387),
    [anon_sym_LT] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_void] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3387),
    [sym_number] = ACTIONS(3387),
    [sym_private_property_identifier] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
    [sym_super] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_null] = ACTIONS(3387),
    [sym_undefined] = ACTIONS(3387),
    [anon_sym_AT] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_readonly] = ACTIONS(3387),
    [anon_sym_get] = ACTIONS(3387),
    [anon_sym_set] = ACTIONS(3387),
    [anon_sym_declare] = ACTIONS(3387),
    [anon_sym_public] = ACTIONS(3387),
    [anon_sym_private] = ACTIONS(3387),
    [anon_sym_protected] = ACTIONS(3387),
    [anon_sym_override] = ACTIONS(3387),
    [anon_sym_module] = ACTIONS(3387),
    [anon_sym_any] = ACTIONS(3387),
    [anon_sym_number] = ACTIONS(3387),
    [anon_sym_boolean] = ACTIONS(3387),
    [anon_sym_string] = ACTIONS(3387),
    [anon_sym_symbol] = ACTIONS(3387),
    [anon_sym_object] = ACTIONS(3387),
    [anon_sym_abstract] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [ts_builtin_sym_end] = ACTIONS(3567),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3237),
    [anon_sym_RBRACE] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym_import] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_with] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_debugger] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_LTtemplate_GT] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_function] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_SLASH] = ACTIONS(3237),
    [anon_sym_LT] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(3237),
    [anon_sym_void] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_PLUS_PLUS] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3237),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3237),
    [sym_number] = ACTIONS(3237),
    [sym_private_property_identifier] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
    [sym_super] = ACTIONS(3237),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [sym_null] = ACTIONS(3237),
    [sym_undefined] = ACTIONS(3237),
    [anon_sym_AT] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_get] = ACTIONS(3237),
    [anon_sym_set] = ACTIONS(3237),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym_identifier] = ACTIONS(3285),
    [anon_sym_export] = ACTIONS(3285),
    [anon_sym_type] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym_import] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_with] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_debugger] = ACTIONS(3285),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_LTtemplate_GT] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_function] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_void] = ACTIONS(3285),
    [anon_sym_delete] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3285),
    [sym_number] = ACTIONS(3285),
    [sym_private_property_identifier] = ACTIONS(3285),
    [sym_this] = ACTIONS(3285),
    [sym_super] = ACTIONS(3285),
    [sym_true] = ACTIONS(3285),
    [sym_false] = ACTIONS(3285),
    [sym_null] = ACTIONS(3285),
    [sym_undefined] = ACTIONS(3285),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_get] = ACTIONS(3285),
    [anon_sym_set] = ACTIONS(3285),
    [anon_sym_declare] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_module] = ACTIONS(3285),
    [anon_sym_any] = ACTIONS(3285),
    [anon_sym_number] = ACTIONS(3285),
    [anon_sym_boolean] = ACTIONS(3285),
    [anon_sym_string] = ACTIONS(3285),
    [anon_sym_symbol] = ACTIONS(3285),
    [anon_sym_object] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym_identifier] = ACTIONS(3297),
    [anon_sym_export] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym_import] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_LPAREN] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_debugger] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_LTtemplate_GT] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_function] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_void] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3297),
    [sym_number] = ACTIONS(3297),
    [sym_private_property_identifier] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
    [sym_super] = ACTIONS(3297),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_undefined] = ACTIONS(3297),
    [anon_sym_AT] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_get] = ACTIONS(3297),
    [anon_sym_set] = ACTIONS(3297),
    [anon_sym_declare] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_any] = ACTIONS(3297),
    [anon_sym_number] = ACTIONS(3297),
    [anon_sym_boolean] = ACTIONS(3297),
    [anon_sym_string] = ACTIONS(3297),
    [anon_sym_symbol] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_comment] = STATE(1735),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym_identifier] = ACTIONS(3283),
    [anon_sym_export] = ACTIONS(3283),
    [anon_sym_type] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_typeof] = ACTIONS(3283),
    [anon_sym_import] = ACTIONS(3283),
    [anon_sym_var] = ACTIONS(3283),
    [anon_sym_let] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_await] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_with] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_debugger] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_yield] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LTtemplate_GT] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_function] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_void] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3283),
    [sym_number] = ACTIONS(3283),
    [sym_private_property_identifier] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
    [sym_super] = ACTIONS(3283),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [sym_null] = ACTIONS(3283),
    [sym_undefined] = ACTIONS(3283),
    [anon_sym_AT] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_readonly] = ACTIONS(3283),
    [anon_sym_get] = ACTIONS(3283),
    [anon_sym_set] = ACTIONS(3283),
    [anon_sym_declare] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_override] = ACTIONS(3283),
    [anon_sym_module] = ACTIONS(3283),
    [anon_sym_any] = ACTIONS(3283),
    [anon_sym_number] = ACTIONS(3283),
    [anon_sym_boolean] = ACTIONS(3283),
    [anon_sym_string] = ACTIONS(3283),
    [anon_sym_symbol] = ACTIONS(3283),
    [anon_sym_object] = ACTIONS(3283),
    [anon_sym_abstract] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [ts_builtin_sym_end] = ACTIONS(3441),
    [sym_identifier] = ACTIONS(3209),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_type] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_LTtemplate_GT] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_SLASH] = ACTIONS(3209),
    [anon_sym_LT] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3209),
    [sym_number] = ACTIONS(3209),
    [sym_private_property_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
    [anon_sym_declare] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_module] = ACTIONS(3209),
    [anon_sym_any] = ACTIONS(3209),
    [anon_sym_number] = ACTIONS(3209),
    [anon_sym_boolean] = ACTIONS(3209),
    [anon_sym_string] = ACTIONS(3209),
    [anon_sym_symbol] = ACTIONS(3209),
    [anon_sym_object] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [ts_builtin_sym_end] = ACTIONS(3439),
    [sym_identifier] = ACTIONS(3213),
    [anon_sym_export] = ACTIONS(3213),
    [anon_sym_type] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym_import] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_LPAREN] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_with] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_debugger] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_LTtemplate_GT] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_function] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_SLASH] = ACTIONS(3213),
    [anon_sym_LT] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_void] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3213),
    [sym_number] = ACTIONS(3213),
    [sym_private_property_identifier] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
    [sym_super] = ACTIONS(3213),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [sym_null] = ACTIONS(3213),
    [sym_undefined] = ACTIONS(3213),
    [anon_sym_AT] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_get] = ACTIONS(3213),
    [anon_sym_set] = ACTIONS(3213),
    [anon_sym_declare] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_module] = ACTIONS(3213),
    [anon_sym_any] = ACTIONS(3213),
    [anon_sym_number] = ACTIONS(3213),
    [anon_sym_boolean] = ACTIONS(3213),
    [anon_sym_string] = ACTIONS(3213),
    [anon_sym_symbol] = ACTIONS(3213),
    [anon_sym_object] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [ts_builtin_sym_end] = ACTIONS(3507),
    [sym_identifier] = ACTIONS(3267),
    [anon_sym_export] = ACTIONS(3267),
    [anon_sym_type] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_typeof] = ACTIONS(3267),
    [anon_sym_import] = ACTIONS(3267),
    [anon_sym_var] = ACTIONS(3267),
    [anon_sym_let] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_await] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_with] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_debugger] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_yield] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LTtemplate_GT] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3267),
    [anon_sym_function] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_SLASH] = ACTIONS(3267),
    [anon_sym_LT] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_void] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3267),
    [sym_number] = ACTIONS(3267),
    [sym_private_property_identifier] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
    [sym_super] = ACTIONS(3267),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [sym_null] = ACTIONS(3267),
    [sym_undefined] = ACTIONS(3267),
    [anon_sym_AT] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3267),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3267),
    [anon_sym_public] = ACTIONS(3267),
    [anon_sym_private] = ACTIONS(3267),
    [anon_sym_protected] = ACTIONS(3267),
    [anon_sym_override] = ACTIONS(3267),
    [anon_sym_module] = ACTIONS(3267),
    [anon_sym_any] = ACTIONS(3267),
    [anon_sym_number] = ACTIONS(3267),
    [anon_sym_boolean] = ACTIONS(3267),
    [anon_sym_string] = ACTIONS(3267),
    [anon_sym_symbol] = ACTIONS(3267),
    [anon_sym_object] = ACTIONS(3267),
    [anon_sym_abstract] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [ts_builtin_sym_end] = ACTIONS(3437),
    [sym_identifier] = ACTIONS(3219),
    [anon_sym_export] = ACTIONS(3219),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_namespace] = ACTIONS(3219),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_typeof] = ACTIONS(3219),
    [anon_sym_import] = ACTIONS(3219),
    [anon_sym_var] = ACTIONS(3219),
    [anon_sym_let] = ACTIONS(3219),
    [anon_sym_const] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_if] = ACTIONS(3219),
    [anon_sym_switch] = ACTIONS(3219),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_await] = ACTIONS(3219),
    [anon_sym_while] = ACTIONS(3219),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3219),
    [anon_sym_with] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3219),
    [anon_sym_continue] = ACTIONS(3219),
    [anon_sym_debugger] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_throw] = ACTIONS(3219),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_yield] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LTtemplate_GT] = ACTIONS(3219),
    [anon_sym_class] = ACTIONS(3219),
    [anon_sym_async] = ACTIONS(3219),
    [anon_sym_function] = ACTIONS(3219),
    [anon_sym_new] = ACTIONS(3219),
    [anon_sym_using] = ACTIONS(3219),
    [anon_sym_PLUS] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3219),
    [anon_sym_SLASH] = ACTIONS(3219),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_void] = ACTIONS(3219),
    [anon_sym_delete] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3219),
    [sym_number] = ACTIONS(3219),
    [sym_private_property_identifier] = ACTIONS(3219),
    [sym_this] = ACTIONS(3219),
    [sym_super] = ACTIONS(3219),
    [sym_true] = ACTIONS(3219),
    [sym_false] = ACTIONS(3219),
    [sym_null] = ACTIONS(3219),
    [sym_undefined] = ACTIONS(3219),
    [anon_sym_AT] = ACTIONS(3219),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3219),
    [anon_sym_get] = ACTIONS(3219),
    [anon_sym_set] = ACTIONS(3219),
    [anon_sym_declare] = ACTIONS(3219),
    [anon_sym_public] = ACTIONS(3219),
    [anon_sym_private] = ACTIONS(3219),
    [anon_sym_protected] = ACTIONS(3219),
    [anon_sym_override] = ACTIONS(3219),
    [anon_sym_module] = ACTIONS(3219),
    [anon_sym_any] = ACTIONS(3219),
    [anon_sym_number] = ACTIONS(3219),
    [anon_sym_boolean] = ACTIONS(3219),
    [anon_sym_string] = ACTIONS(3219),
    [anon_sym_symbol] = ACTIONS(3219),
    [anon_sym_object] = ACTIONS(3219),
    [anon_sym_abstract] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3219),
    [anon_sym_enum] = ACTIONS(3219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2168),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [anon_sym_typeof] = ACTIONS(2168),
    [anon_sym_import] = ACTIONS(2168),
    [anon_sym_var] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_switch] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_await] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_do] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [anon_sym_with] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_debugger] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_throw] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_LTtemplate_GT] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2168),
    [anon_sym_using] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2168),
    [anon_sym_SLASH] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_void] = ACTIONS(2168),
    [anon_sym_delete] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2168),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2168),
    [sym_number] = ACTIONS(2168),
    [sym_private_property_identifier] = ACTIONS(2168),
    [sym_this] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [sym_null] = ACTIONS(2168),
    [sym_undefined] = ACTIONS(2168),
    [anon_sym_AT] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [anon_sym_abstract] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_comment] = STATE(1741),
    [ts_builtin_sym_end] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(3527),
    [anon_sym_export] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(3527),
    [anon_sym_RBRACE] = ACTIONS(3527),
    [anon_sym_typeof] = ACTIONS(3527),
    [anon_sym_import] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_BANG] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(3527),
    [anon_sym_switch] = ACTIONS(3527),
    [anon_sym_for] = ACTIONS(3527),
    [anon_sym_LPAREN] = ACTIONS(3527),
    [anon_sym_await] = ACTIONS(3527),
    [anon_sym_while] = ACTIONS(3527),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_try] = ACTIONS(3527),
    [anon_sym_with] = ACTIONS(3527),
    [anon_sym_break] = ACTIONS(3527),
    [anon_sym_continue] = ACTIONS(3527),
    [anon_sym_debugger] = ACTIONS(3527),
    [anon_sym_return] = ACTIONS(3527),
    [anon_sym_throw] = ACTIONS(3527),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_yield] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3527),
    [anon_sym_LTtemplate_GT] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_function] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_PLUS] = ACTIONS(3527),
    [anon_sym_DASH] = ACTIONS(3527),
    [anon_sym_SLASH] = ACTIONS(3527),
    [anon_sym_LT] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3527),
    [anon_sym_void] = ACTIONS(3527),
    [anon_sym_delete] = ACTIONS(3527),
    [anon_sym_PLUS_PLUS] = ACTIONS(3527),
    [anon_sym_DASH_DASH] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3527),
    [sym_number] = ACTIONS(3527),
    [sym_private_property_identifier] = ACTIONS(3527),
    [sym_this] = ACTIONS(3527),
    [sym_super] = ACTIONS(3527),
    [sym_true] = ACTIONS(3527),
    [sym_false] = ACTIONS(3527),
    [sym_null] = ACTIONS(3527),
    [sym_undefined] = ACTIONS(3527),
    [anon_sym_AT] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_get] = ACTIONS(3527),
    [anon_sym_set] = ACTIONS(3527),
    [anon_sym_declare] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_any] = ACTIONS(3527),
    [anon_sym_number] = ACTIONS(3527),
    [anon_sym_boolean] = ACTIONS(3527),
    [anon_sym_string] = ACTIONS(3527),
    [anon_sym_symbol] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_comment] = STATE(1742),
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_export] = ACTIONS(2302),
    [anon_sym_type] = ACTIONS(2302),
    [anon_sym_namespace] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_typeof] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_var] = ACTIONS(2302),
    [anon_sym_let] = ACTIONS(2302),
    [anon_sym_const] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_await] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_debugger] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LTtemplate_GT] = ACTIONS(2302),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_async] = ACTIONS(2302),
    [anon_sym_function] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_using] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_TILDE] = ACTIONS(2302),
    [anon_sym_void] = ACTIONS(2302),
    [anon_sym_delete] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2302),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2302),
    [sym_number] = ACTIONS(2302),
    [sym_private_property_identifier] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_null] = ACTIONS(2302),
    [sym_undefined] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_readonly] = ACTIONS(2302),
    [anon_sym_get] = ACTIONS(2302),
    [anon_sym_set] = ACTIONS(2302),
    [anon_sym_declare] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_override] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_any] = ACTIONS(2302),
    [anon_sym_number] = ACTIONS(2302),
    [anon_sym_boolean] = ACTIONS(2302),
    [anon_sym_string] = ACTIONS(2302),
    [anon_sym_symbol] = ACTIONS(2302),
    [anon_sym_object] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_comment] = STATE(1743),
    [ts_builtin_sym_end] = ACTIONS(3603),
    [sym_identifier] = ACTIONS(3401),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3401),
    [anon_sym_RBRACE] = ACTIONS(3401),
    [anon_sym_typeof] = ACTIONS(3401),
    [anon_sym_import] = ACTIONS(3401),
    [anon_sym_var] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_await] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_with] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_debugger] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3401),
    [anon_sym_yield] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_LTtemplate_GT] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_SLASH] = ACTIONS(3401),
    [anon_sym_LT] = ACTIONS(3401),
    [anon_sym_TILDE] = ACTIONS(3401),
    [anon_sym_void] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_PLUS_PLUS] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3401),
    [anon_sym_DQUOTE] = ACTIONS(3401),
    [anon_sym_SQUOTE] = ACTIONS(3401),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3401),
    [sym_number] = ACTIONS(3401),
    [sym_private_property_identifier] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
    [sym_super] = ACTIONS(3401),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [sym_null] = ACTIONS(3401),
    [sym_undefined] = ACTIONS(3401),
    [anon_sym_AT] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_abstract] = ACTIONS(3401),
    [anon_sym_interface] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_comment] = STATE(1744),
    [ts_builtin_sym_end] = ACTIONS(3523),
    [sym_identifier] = ACTIONS(3331),
    [anon_sym_export] = ACTIONS(3331),
    [anon_sym_type] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_typeof] = ACTIONS(3331),
    [anon_sym_import] = ACTIONS(3331),
    [anon_sym_var] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_await] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_with] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_debugger] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_yield] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LTtemplate_GT] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_async] = ACTIONS(3331),
    [anon_sym_function] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_SLASH] = ACTIONS(3331),
    [anon_sym_LT] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_void] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3331),
    [sym_number] = ACTIONS(3331),
    [sym_private_property_identifier] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
    [sym_super] = ACTIONS(3331),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [sym_null] = ACTIONS(3331),
    [sym_undefined] = ACTIONS(3331),
    [anon_sym_AT] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_readonly] = ACTIONS(3331),
    [anon_sym_get] = ACTIONS(3331),
    [anon_sym_set] = ACTIONS(3331),
    [anon_sym_declare] = ACTIONS(3331),
    [anon_sym_public] = ACTIONS(3331),
    [anon_sym_private] = ACTIONS(3331),
    [anon_sym_protected] = ACTIONS(3331),
    [anon_sym_override] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_any] = ACTIONS(3331),
    [anon_sym_number] = ACTIONS(3331),
    [anon_sym_boolean] = ACTIONS(3331),
    [anon_sym_string] = ACTIONS(3331),
    [anon_sym_symbol] = ACTIONS(3331),
    [anon_sym_object] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(3265),
    [anon_sym_export] = ACTIONS(3265),
    [anon_sym_type] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym_import] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_LPAREN] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_with] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_debugger] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_LTtemplate_GT] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_SLASH] = ACTIONS(3265),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_void] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3265),
    [sym_number] = ACTIONS(3265),
    [sym_private_property_identifier] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
    [sym_super] = ACTIONS(3265),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [sym_null] = ACTIONS(3265),
    [sym_undefined] = ACTIONS(3265),
    [anon_sym_AT] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3265),
    [anon_sym_set] = ACTIONS(3265),
    [anon_sym_declare] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_module] = ACTIONS(3265),
    [anon_sym_any] = ACTIONS(3265),
    [anon_sym_number] = ACTIONS(3265),
    [anon_sym_boolean] = ACTIONS(3265),
    [anon_sym_string] = ACTIONS(3265),
    [anon_sym_symbol] = ACTIONS(3265),
    [anon_sym_object] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1746),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6111),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3641),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3643),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1747),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(5914),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3647),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1748),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6161),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3651),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3653),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1749),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6139),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3655),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3657),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1750),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(5743),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_COMMA] = ACTIONS(3659),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_comment] = STATE(1751),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1752),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_comment] = STATE(1753),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_comment] = STATE(1754),
    [sym_identifier] = ACTIONS(3667),
    [anon_sym_export] = ACTIONS(3667),
    [anon_sym_type] = ACTIONS(3667),
    [anon_sym_namespace] = ACTIONS(3667),
    [anon_sym_LBRACE] = ACTIONS(3667),
    [anon_sym_typeof] = ACTIONS(3667),
    [anon_sym_import] = ACTIONS(3667),
    [anon_sym_var] = ACTIONS(3667),
    [anon_sym_let] = ACTIONS(3667),
    [anon_sym_const] = ACTIONS(3667),
    [anon_sym_BANG] = ACTIONS(3667),
    [anon_sym_if] = ACTIONS(3667),
    [anon_sym_switch] = ACTIONS(3667),
    [anon_sym_for] = ACTIONS(3667),
    [anon_sym_LPAREN] = ACTIONS(3667),
    [anon_sym_await] = ACTIONS(3667),
    [anon_sym_while] = ACTIONS(3667),
    [anon_sym_do] = ACTIONS(3667),
    [anon_sym_try] = ACTIONS(3667),
    [anon_sym_with] = ACTIONS(3667),
    [anon_sym_break] = ACTIONS(3667),
    [anon_sym_continue] = ACTIONS(3667),
    [anon_sym_debugger] = ACTIONS(3667),
    [anon_sym_return] = ACTIONS(3667),
    [anon_sym_throw] = ACTIONS(3667),
    [anon_sym_SEMI] = ACTIONS(3667),
    [anon_sym_yield] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(3667),
    [anon_sym_LTtemplate_GT] = ACTIONS(3667),
    [anon_sym_class] = ACTIONS(3667),
    [anon_sym_async] = ACTIONS(3667),
    [anon_sym_function] = ACTIONS(3667),
    [anon_sym_new] = ACTIONS(3667),
    [anon_sym_using] = ACTIONS(3667),
    [anon_sym_PLUS] = ACTIONS(3667),
    [anon_sym_DASH] = ACTIONS(3667),
    [anon_sym_SLASH] = ACTIONS(3667),
    [anon_sym_LT] = ACTIONS(3667),
    [anon_sym_TILDE] = ACTIONS(3667),
    [anon_sym_void] = ACTIONS(3667),
    [anon_sym_delete] = ACTIONS(3667),
    [anon_sym_PLUS_PLUS] = ACTIONS(3667),
    [anon_sym_DASH_DASH] = ACTIONS(3667),
    [anon_sym_DQUOTE] = ACTIONS(3667),
    [anon_sym_SQUOTE] = ACTIONS(3667),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3667),
    [sym_number] = ACTIONS(3667),
    [sym_private_property_identifier] = ACTIONS(3667),
    [sym_this] = ACTIONS(3667),
    [sym_super] = ACTIONS(3667),
    [sym_true] = ACTIONS(3667),
    [sym_false] = ACTIONS(3667),
    [sym_null] = ACTIONS(3667),
    [sym_undefined] = ACTIONS(3667),
    [anon_sym_AT] = ACTIONS(3667),
    [anon_sym_static] = ACTIONS(3667),
    [anon_sym_readonly] = ACTIONS(3667),
    [anon_sym_get] = ACTIONS(3667),
    [anon_sym_set] = ACTIONS(3667),
    [anon_sym_declare] = ACTIONS(3667),
    [anon_sym_public] = ACTIONS(3667),
    [anon_sym_private] = ACTIONS(3667),
    [anon_sym_protected] = ACTIONS(3667),
    [anon_sym_override] = ACTIONS(3667),
    [anon_sym_module] = ACTIONS(3667),
    [anon_sym_any] = ACTIONS(3667),
    [anon_sym_number] = ACTIONS(3667),
    [anon_sym_boolean] = ACTIONS(3667),
    [anon_sym_string] = ACTIONS(3667),
    [anon_sym_symbol] = ACTIONS(3667),
    [anon_sym_object] = ACTIONS(3667),
    [anon_sym_abstract] = ACTIONS(3667),
    [anon_sym_interface] = ACTIONS(3667),
    [anon_sym_enum] = ACTIONS(3667),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_comment] = STATE(1755),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_comment] = STATE(1756),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_comment] = STATE(1757),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_comment] = STATE(1758),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1759),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3669),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1760),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3671),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1761),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3673),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_comment] = STATE(1762),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1763),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3675),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_comment] = STATE(1764),
    [sym_identifier] = ACTIONS(3677),
    [anon_sym_export] = ACTIONS(3677),
    [anon_sym_type] = ACTIONS(3677),
    [anon_sym_namespace] = ACTIONS(3677),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_typeof] = ACTIONS(3677),
    [anon_sym_import] = ACTIONS(3677),
    [anon_sym_var] = ACTIONS(3677),
    [anon_sym_let] = ACTIONS(3677),
    [anon_sym_const] = ACTIONS(3677),
    [anon_sym_BANG] = ACTIONS(3677),
    [anon_sym_if] = ACTIONS(3677),
    [anon_sym_switch] = ACTIONS(3677),
    [anon_sym_for] = ACTIONS(3677),
    [anon_sym_LPAREN] = ACTIONS(3677),
    [anon_sym_await] = ACTIONS(3677),
    [anon_sym_while] = ACTIONS(3677),
    [anon_sym_do] = ACTIONS(3677),
    [anon_sym_try] = ACTIONS(3677),
    [anon_sym_with] = ACTIONS(3677),
    [anon_sym_break] = ACTIONS(3677),
    [anon_sym_continue] = ACTIONS(3677),
    [anon_sym_debugger] = ACTIONS(3677),
    [anon_sym_return] = ACTIONS(3677),
    [anon_sym_throw] = ACTIONS(3677),
    [anon_sym_SEMI] = ACTIONS(3677),
    [anon_sym_yield] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(3677),
    [anon_sym_LTtemplate_GT] = ACTIONS(3677),
    [anon_sym_class] = ACTIONS(3677),
    [anon_sym_async] = ACTIONS(3677),
    [anon_sym_function] = ACTIONS(3677),
    [anon_sym_new] = ACTIONS(3677),
    [anon_sym_using] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3677),
    [anon_sym_DASH] = ACTIONS(3677),
    [anon_sym_SLASH] = ACTIONS(3677),
    [anon_sym_LT] = ACTIONS(3677),
    [anon_sym_TILDE] = ACTIONS(3677),
    [anon_sym_void] = ACTIONS(3677),
    [anon_sym_delete] = ACTIONS(3677),
    [anon_sym_PLUS_PLUS] = ACTIONS(3677),
    [anon_sym_DASH_DASH] = ACTIONS(3677),
    [anon_sym_DQUOTE] = ACTIONS(3677),
    [anon_sym_SQUOTE] = ACTIONS(3677),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3677),
    [sym_number] = ACTIONS(3677),
    [sym_private_property_identifier] = ACTIONS(3677),
    [sym_this] = ACTIONS(3677),
    [sym_super] = ACTIONS(3677),
    [sym_true] = ACTIONS(3677),
    [sym_false] = ACTIONS(3677),
    [sym_null] = ACTIONS(3677),
    [sym_undefined] = ACTIONS(3677),
    [anon_sym_AT] = ACTIONS(3677),
    [anon_sym_static] = ACTIONS(3677),
    [anon_sym_readonly] = ACTIONS(3677),
    [anon_sym_get] = ACTIONS(3677),
    [anon_sym_set] = ACTIONS(3677),
    [anon_sym_declare] = ACTIONS(3677),
    [anon_sym_public] = ACTIONS(3677),
    [anon_sym_private] = ACTIONS(3677),
    [anon_sym_protected] = ACTIONS(3677),
    [anon_sym_override] = ACTIONS(3677),
    [anon_sym_module] = ACTIONS(3677),
    [anon_sym_any] = ACTIONS(3677),
    [anon_sym_number] = ACTIONS(3677),
    [anon_sym_boolean] = ACTIONS(3677),
    [anon_sym_string] = ACTIONS(3677),
    [anon_sym_symbol] = ACTIONS(3677),
    [anon_sym_object] = ACTIONS(3677),
    [anon_sym_abstract] = ACTIONS(3677),
    [anon_sym_interface] = ACTIONS(3677),
    [anon_sym_enum] = ACTIONS(3677),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1765),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3679),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1766),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1767),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3683),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1768),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3685),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_comment] = STATE(1769),
    [sym_identifier] = ACTIONS(3663),
    [anon_sym_export] = ACTIONS(3663),
    [anon_sym_type] = ACTIONS(3663),
    [anon_sym_namespace] = ACTIONS(3663),
    [anon_sym_LBRACE] = ACTIONS(3663),
    [anon_sym_typeof] = ACTIONS(3663),
    [anon_sym_import] = ACTIONS(3663),
    [anon_sym_var] = ACTIONS(3663),
    [anon_sym_let] = ACTIONS(3663),
    [anon_sym_const] = ACTIONS(3663),
    [anon_sym_BANG] = ACTIONS(3663),
    [anon_sym_if] = ACTIONS(3663),
    [anon_sym_switch] = ACTIONS(3663),
    [anon_sym_for] = ACTIONS(3663),
    [anon_sym_LPAREN] = ACTIONS(3663),
    [anon_sym_await] = ACTIONS(3663),
    [anon_sym_while] = ACTIONS(3663),
    [anon_sym_do] = ACTIONS(3663),
    [anon_sym_try] = ACTIONS(3663),
    [anon_sym_with] = ACTIONS(3663),
    [anon_sym_break] = ACTIONS(3663),
    [anon_sym_continue] = ACTIONS(3663),
    [anon_sym_debugger] = ACTIONS(3663),
    [anon_sym_return] = ACTIONS(3663),
    [anon_sym_throw] = ACTIONS(3663),
    [anon_sym_SEMI] = ACTIONS(3663),
    [anon_sym_yield] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3663),
    [anon_sym_LTtemplate_GT] = ACTIONS(3663),
    [anon_sym_class] = ACTIONS(3663),
    [anon_sym_async] = ACTIONS(3663),
    [anon_sym_function] = ACTIONS(3663),
    [anon_sym_new] = ACTIONS(3663),
    [anon_sym_using] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(3663),
    [anon_sym_DASH] = ACTIONS(3663),
    [anon_sym_SLASH] = ACTIONS(3663),
    [anon_sym_LT] = ACTIONS(3663),
    [anon_sym_TILDE] = ACTIONS(3663),
    [anon_sym_void] = ACTIONS(3663),
    [anon_sym_delete] = ACTIONS(3663),
    [anon_sym_PLUS_PLUS] = ACTIONS(3663),
    [anon_sym_DASH_DASH] = ACTIONS(3663),
    [anon_sym_DQUOTE] = ACTIONS(3663),
    [anon_sym_SQUOTE] = ACTIONS(3663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3663),
    [sym_number] = ACTIONS(3663),
    [sym_private_property_identifier] = ACTIONS(3663),
    [sym_this] = ACTIONS(3663),
    [sym_super] = ACTIONS(3663),
    [sym_true] = ACTIONS(3663),
    [sym_false] = ACTIONS(3663),
    [sym_null] = ACTIONS(3663),
    [sym_undefined] = ACTIONS(3663),
    [anon_sym_AT] = ACTIONS(3663),
    [anon_sym_static] = ACTIONS(3663),
    [anon_sym_readonly] = ACTIONS(3663),
    [anon_sym_get] = ACTIONS(3663),
    [anon_sym_set] = ACTIONS(3663),
    [anon_sym_declare] = ACTIONS(3663),
    [anon_sym_public] = ACTIONS(3663),
    [anon_sym_private] = ACTIONS(3663),
    [anon_sym_protected] = ACTIONS(3663),
    [anon_sym_override] = ACTIONS(3663),
    [anon_sym_module] = ACTIONS(3663),
    [anon_sym_any] = ACTIONS(3663),
    [anon_sym_number] = ACTIONS(3663),
    [anon_sym_boolean] = ACTIONS(3663),
    [anon_sym_string] = ACTIONS(3663),
    [anon_sym_symbol] = ACTIONS(3663),
    [anon_sym_object] = ACTIONS(3663),
    [anon_sym_abstract] = ACTIONS(3663),
    [anon_sym_interface] = ACTIONS(3663),
    [anon_sym_enum] = ACTIONS(3663),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_comment] = STATE(1770),
    [sym_identifier] = ACTIONS(3687),
    [anon_sym_export] = ACTIONS(3687),
    [anon_sym_type] = ACTIONS(3687),
    [anon_sym_namespace] = ACTIONS(3687),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_typeof] = ACTIONS(3687),
    [anon_sym_import] = ACTIONS(3687),
    [anon_sym_var] = ACTIONS(3687),
    [anon_sym_let] = ACTIONS(3687),
    [anon_sym_const] = ACTIONS(3687),
    [anon_sym_BANG] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(3687),
    [anon_sym_switch] = ACTIONS(3687),
    [anon_sym_for] = ACTIONS(3687),
    [anon_sym_LPAREN] = ACTIONS(3687),
    [anon_sym_await] = ACTIONS(3687),
    [anon_sym_while] = ACTIONS(3687),
    [anon_sym_do] = ACTIONS(3687),
    [anon_sym_try] = ACTIONS(3687),
    [anon_sym_with] = ACTIONS(3687),
    [anon_sym_break] = ACTIONS(3687),
    [anon_sym_continue] = ACTIONS(3687),
    [anon_sym_debugger] = ACTIONS(3687),
    [anon_sym_return] = ACTIONS(3687),
    [anon_sym_throw] = ACTIONS(3687),
    [anon_sym_SEMI] = ACTIONS(3687),
    [anon_sym_yield] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(3687),
    [anon_sym_LTtemplate_GT] = ACTIONS(3687),
    [anon_sym_class] = ACTIONS(3687),
    [anon_sym_async] = ACTIONS(3687),
    [anon_sym_function] = ACTIONS(3687),
    [anon_sym_new] = ACTIONS(3687),
    [anon_sym_using] = ACTIONS(3687),
    [anon_sym_PLUS] = ACTIONS(3687),
    [anon_sym_DASH] = ACTIONS(3687),
    [anon_sym_SLASH] = ACTIONS(3687),
    [anon_sym_LT] = ACTIONS(3687),
    [anon_sym_TILDE] = ACTIONS(3687),
    [anon_sym_void] = ACTIONS(3687),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_PLUS_PLUS] = ACTIONS(3687),
    [anon_sym_DASH_DASH] = ACTIONS(3687),
    [anon_sym_DQUOTE] = ACTIONS(3687),
    [anon_sym_SQUOTE] = ACTIONS(3687),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3687),
    [sym_number] = ACTIONS(3687),
    [sym_private_property_identifier] = ACTIONS(3687),
    [sym_this] = ACTIONS(3687),
    [sym_super] = ACTIONS(3687),
    [sym_true] = ACTIONS(3687),
    [sym_false] = ACTIONS(3687),
    [sym_null] = ACTIONS(3687),
    [sym_undefined] = ACTIONS(3687),
    [anon_sym_AT] = ACTIONS(3687),
    [anon_sym_static] = ACTIONS(3687),
    [anon_sym_readonly] = ACTIONS(3687),
    [anon_sym_get] = ACTIONS(3687),
    [anon_sym_set] = ACTIONS(3687),
    [anon_sym_declare] = ACTIONS(3687),
    [anon_sym_public] = ACTIONS(3687),
    [anon_sym_private] = ACTIONS(3687),
    [anon_sym_protected] = ACTIONS(3687),
    [anon_sym_override] = ACTIONS(3687),
    [anon_sym_module] = ACTIONS(3687),
    [anon_sym_any] = ACTIONS(3687),
    [anon_sym_number] = ACTIONS(3687),
    [anon_sym_boolean] = ACTIONS(3687),
    [anon_sym_string] = ACTIONS(3687),
    [anon_sym_symbol] = ACTIONS(3687),
    [anon_sym_object] = ACTIONS(3687),
    [anon_sym_abstract] = ACTIONS(3687),
    [anon_sym_interface] = ACTIONS(3687),
    [anon_sym_enum] = ACTIONS(3687),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1771),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1772),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4410),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4531),
    [sym_asserts] = STATE(6806),
    [sym__type] = STATE(4413),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(6807),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3881),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3691),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3693),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3695),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1773),
    [sym_formal_parameters] = STATE(7334),
    [sym_rest_pattern] = STATE(6722),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4848),
    [sym_tuple_parameter] = STATE(6733),
    [sym_optional_tuple_parameter] = STATE(6733),
    [sym_optional_type] = STATE(6733),
    [sym_rest_type] = STATE(6733),
    [sym__tuple_type_member] = STATE(6777),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3639),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_import] = STATE(6244),
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1774),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4225),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4476),
    [sym_asserts] = STATE(4902),
    [sym__type] = STATE(4236),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_predicate] = STATE(4912),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4113),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3699),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_asserts] = ACTIONS(3701),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_import] = STATE(5791),
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1775),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4450),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4901),
    [sym_asserts] = STATE(5335),
    [sym__type] = STATE(4449),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_predicate] = STATE(5341),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4218),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(3703),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(3735),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_asserts] = ACTIONS(3743),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1776),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3751),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1777),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3753),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1778),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3755),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1779),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3757),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1780),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1781),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1782),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3763),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1783),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1784),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3767),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1785),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1786),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1787),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1788),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3775),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1789),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1790),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3779),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1791),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1792),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1793),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1794),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1795),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1796),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3791),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1797),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1798),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1799),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1800),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3799),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1801),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1802),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3803),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1803),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1804),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3807),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1805),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1806),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3811),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1807),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1808),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3815),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1809),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3817),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1810),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3819),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1811),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3821),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1812),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3823),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1813),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4834),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5622),
    [sym__type] = STATE(4832),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_type_parameter] = STATE(6233),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3825),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(3827),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1814),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3829),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1815),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3831),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1816),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1817),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3835),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1818),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1819),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4791),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5630),
    [sym__type] = STATE(4792),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1820),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4866),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5631),
    [sym__type] = STATE(4864),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1821),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5397),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6005),
    [sym__type] = STATE(5401),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1822),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4878),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5654),
    [sym__type] = STATE(4925),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_import] = STATE(6244),
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1823),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4225),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4476),
    [sym__type] = STATE(4236),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1824),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4827),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5567),
    [sym__type] = STATE(4828),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1825),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4757),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5504),
    [sym__type] = STATE(4758),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1826),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4410),
    [sym__type_query_call_expression_in_type_annotation] = STATE(4531),
    [sym__type] = STATE(4413),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_import] = STATE(6234),
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1827),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4936),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5570),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_import] = ACTIONS(129),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1828),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym_asserts] = STATE(4439),
    [sym__type] = STATE(4440),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_predicate] = STATE(4439),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4218),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(3703),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(3735),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_asserts] = ACTIONS(3743),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1829),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_asserts] = STATE(3896),
    [sym__type] = STATE(3897),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(3896),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3881),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3691),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3693),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3695),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1830),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym_asserts] = STATE(3075),
    [sym__type] = STATE(3076),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_predicate] = STATE(3075),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(2820),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(3839),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(3867),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_asserts] = ACTIONS(3875),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1831),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym_asserts] = STATE(4160),
    [sym__type] = STATE(4180),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_predicate] = STATE(4160),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4113),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3699),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_asserts] = ACTIONS(3701),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1832),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym_asserts] = STATE(2485),
    [sym__type] = STATE(2507),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_predicate] = STATE(2485),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2420),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(3883),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(3911),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_asserts] = ACTIONS(3919),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1833),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym_asserts] = STATE(4372),
    [sym__type] = STATE(4432),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_predicate] = STATE(4372),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4218),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(3703),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(3735),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_asserts] = ACTIONS(3743),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1834),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym_asserts] = STATE(4199),
    [sym__type] = STATE(4200),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_predicate] = STATE(4199),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4113),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(3699),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_asserts] = ACTIONS(3701),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1835),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym_asserts] = STATE(2428),
    [sym__type] = STATE(2493),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_predicate] = STATE(2428),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2420),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(3883),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(3911),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_asserts] = ACTIONS(3919),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1836),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym_asserts] = STATE(3066),
    [sym__type] = STATE(3065),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_predicate] = STATE(3066),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(2820),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(3839),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(3867),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_asserts] = ACTIONS(3875),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1837),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym_asserts] = STATE(3953),
    [sym__type] = STATE(3960),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_predicate] = STATE(3953),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3881),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(3691),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(3693),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_asserts] = ACTIONS(3695),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1838),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_export] = ACTIONS(3929),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3927),
    [anon_sym_namespace] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_let] = ACTIONS(3927),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(3947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3953),
    [anon_sym_readonly] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
    [anon_sym_declare] = ACTIONS(3927),
    [anon_sym_public] = ACTIONS(3959),
    [anon_sym_private] = ACTIONS(3959),
    [anon_sym_protected] = ACTIONS(3959),
    [anon_sym_override] = ACTIONS(3961),
    [anon_sym_module] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3927),
    [anon_sym_number] = ACTIONS(3927),
    [anon_sym_boolean] = ACTIONS(3927),
    [anon_sym_string] = ACTIONS(3927),
    [anon_sym_symbol] = ACTIONS(3927),
    [anon_sym_object] = ACTIONS(3927),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1839),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(3971),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3979),
    [anon_sym_get] = ACTIONS(3981),
    [anon_sym_set] = ACTIONS(3981),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3983),
    [anon_sym_private] = ACTIONS(3983),
    [anon_sym_protected] = ACTIONS(3983),
    [anon_sym_override] = ACTIONS(3985),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6291),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1840),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_export] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3987),
    [anon_sym_namespace] = ACTIONS(3987),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(3991),
    [anon_sym_let] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3993),
    [anon_sym_new] = ACTIONS(3995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_readonly] = ACTIONS(3999),
    [anon_sym_get] = ACTIONS(4001),
    [anon_sym_set] = ACTIONS(4001),
    [anon_sym_declare] = ACTIONS(3987),
    [anon_sym_public] = ACTIONS(4003),
    [anon_sym_private] = ACTIONS(4003),
    [anon_sym_protected] = ACTIONS(4003),
    [anon_sym_override] = ACTIONS(4005),
    [anon_sym_module] = ACTIONS(3987),
    [anon_sym_any] = ACTIONS(3987),
    [anon_sym_number] = ACTIONS(3987),
    [anon_sym_boolean] = ACTIONS(3987),
    [anon_sym_string] = ACTIONS(3987),
    [anon_sym_symbol] = ACTIONS(3987),
    [anon_sym_object] = ACTIONS(3987),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1841),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(4007),
    [anon_sym_export] = ACTIONS(4009),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4007),
    [anon_sym_namespace] = ACTIONS(4007),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4011),
    [anon_sym_let] = ACTIONS(4007),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4013),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4017),
    [anon_sym_readonly] = ACTIONS(4019),
    [anon_sym_get] = ACTIONS(4021),
    [anon_sym_set] = ACTIONS(4021),
    [anon_sym_declare] = ACTIONS(4007),
    [anon_sym_public] = ACTIONS(4023),
    [anon_sym_private] = ACTIONS(4023),
    [anon_sym_protected] = ACTIONS(4023),
    [anon_sym_override] = ACTIONS(4025),
    [anon_sym_module] = ACTIONS(4007),
    [anon_sym_any] = ACTIONS(4007),
    [anon_sym_number] = ACTIONS(4007),
    [anon_sym_boolean] = ACTIONS(4007),
    [anon_sym_string] = ACTIONS(4007),
    [anon_sym_symbol] = ACTIONS(4007),
    [anon_sym_object] = ACTIONS(4007),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_export_statement] = STATE(4767),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1842),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4767),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4767),
    [sym_property_signature] = STATE(4767),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4767),
    [sym_index_signature] = STATE(4767),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(4027),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(4031),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3979),
    [anon_sym_get] = ACTIONS(3981),
    [anon_sym_set] = ACTIONS(3981),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3983),
    [anon_sym_private] = ACTIONS(3983),
    [anon_sym_protected] = ACTIONS(3983),
    [anon_sym_override] = ACTIONS(3985),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4033),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1843),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(4007),
    [anon_sym_export] = ACTIONS(4009),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4007),
    [anon_sym_namespace] = ACTIONS(4007),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(3971),
    [anon_sym_let] = ACTIONS(4007),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4013),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4017),
    [anon_sym_readonly] = ACTIONS(4019),
    [anon_sym_get] = ACTIONS(4021),
    [anon_sym_set] = ACTIONS(4021),
    [anon_sym_declare] = ACTIONS(4007),
    [anon_sym_public] = ACTIONS(4023),
    [anon_sym_private] = ACTIONS(4023),
    [anon_sym_protected] = ACTIONS(4023),
    [anon_sym_override] = ACTIONS(4025),
    [anon_sym_module] = ACTIONS(4007),
    [anon_sym_any] = ACTIONS(4007),
    [anon_sym_number] = ACTIONS(4007),
    [anon_sym_boolean] = ACTIONS(4007),
    [anon_sym_string] = ACTIONS(4007),
    [anon_sym_symbol] = ACTIONS(4007),
    [anon_sym_object] = ACTIONS(4007),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1844),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_export] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4035),
    [anon_sym_namespace] = ACTIONS(4035),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4039),
    [anon_sym_let] = ACTIONS(4035),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4041),
    [anon_sym_new] = ACTIONS(4043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4045),
    [anon_sym_readonly] = ACTIONS(4047),
    [anon_sym_get] = ACTIONS(4049),
    [anon_sym_set] = ACTIONS(4049),
    [anon_sym_declare] = ACTIONS(4035),
    [anon_sym_public] = ACTIONS(4051),
    [anon_sym_private] = ACTIONS(4051),
    [anon_sym_protected] = ACTIONS(4051),
    [anon_sym_override] = ACTIONS(4053),
    [anon_sym_module] = ACTIONS(4035),
    [anon_sym_any] = ACTIONS(4035),
    [anon_sym_number] = ACTIONS(4035),
    [anon_sym_boolean] = ACTIONS(4035),
    [anon_sym_string] = ACTIONS(4035),
    [anon_sym_symbol] = ACTIONS(4035),
    [anon_sym_object] = ACTIONS(4035),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1845),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3927),
    [anon_sym_export] = ACTIONS(3929),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3927),
    [anon_sym_namespace] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4055),
    [anon_sym_let] = ACTIONS(3927),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(3947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3953),
    [anon_sym_readonly] = ACTIONS(3955),
    [anon_sym_get] = ACTIONS(3957),
    [anon_sym_set] = ACTIONS(3957),
    [anon_sym_declare] = ACTIONS(3927),
    [anon_sym_public] = ACTIONS(3959),
    [anon_sym_private] = ACTIONS(3959),
    [anon_sym_protected] = ACTIONS(3959),
    [anon_sym_override] = ACTIONS(3961),
    [anon_sym_module] = ACTIONS(3927),
    [anon_sym_any] = ACTIONS(3927),
    [anon_sym_number] = ACTIONS(3927),
    [anon_sym_boolean] = ACTIONS(3927),
    [anon_sym_string] = ACTIONS(3927),
    [anon_sym_symbol] = ACTIONS(3927),
    [anon_sym_object] = ACTIONS(3927),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1846),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4057),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3979),
    [anon_sym_get] = ACTIONS(3981),
    [anon_sym_set] = ACTIONS(3981),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3983),
    [anon_sym_private] = ACTIONS(3983),
    [anon_sym_protected] = ACTIONS(3983),
    [anon_sym_override] = ACTIONS(3985),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1847),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3967),
    [anon_sym_export] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3967),
    [anon_sym_namespace] = ACTIONS(3967),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4039),
    [anon_sym_let] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3979),
    [anon_sym_get] = ACTIONS(3981),
    [anon_sym_set] = ACTIONS(3981),
    [anon_sym_declare] = ACTIONS(3967),
    [anon_sym_public] = ACTIONS(3983),
    [anon_sym_private] = ACTIONS(3983),
    [anon_sym_protected] = ACTIONS(3983),
    [anon_sym_override] = ACTIONS(3985),
    [anon_sym_module] = ACTIONS(3967),
    [anon_sym_any] = ACTIONS(3967),
    [anon_sym_number] = ACTIONS(3967),
    [anon_sym_boolean] = ACTIONS(3967),
    [anon_sym_string] = ACTIONS(3967),
    [anon_sym_symbol] = ACTIONS(3967),
    [anon_sym_object] = ACTIONS(3967),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6291),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1848),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6291),
    [sym_pair] = STATE(6291),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6263),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_export] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(3987),
    [anon_sym_namespace] = ACTIONS(3987),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4059),
    [anon_sym_let] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(3993),
    [anon_sym_new] = ACTIONS(3995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_readonly] = ACTIONS(3999),
    [anon_sym_get] = ACTIONS(4001),
    [anon_sym_set] = ACTIONS(4001),
    [anon_sym_declare] = ACTIONS(3987),
    [anon_sym_public] = ACTIONS(4003),
    [anon_sym_private] = ACTIONS(4003),
    [anon_sym_protected] = ACTIONS(4003),
    [anon_sym_override] = ACTIONS(4005),
    [anon_sym_module] = ACTIONS(3987),
    [anon_sym_any] = ACTIONS(3987),
    [anon_sym_number] = ACTIONS(3987),
    [anon_sym_boolean] = ACTIONS(3987),
    [anon_sym_string] = ACTIONS(3987),
    [anon_sym_symbol] = ACTIONS(3987),
    [anon_sym_object] = ACTIONS(3987),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_export_statement] = STATE(4816),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6227),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6307),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1849),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6227),
    [sym_method_definition] = STATE(6307),
    [sym_pair] = STATE(6307),
    [sym_pair_pattern] = STATE(6227),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4816),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4816),
    [sym_property_signature] = STATE(4816),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4816),
    [sym_index_signature] = STATE(4816),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [aux_sym_object_repeat1] = STATE(6302),
    [aux_sym_object_pattern_repeat1] = STATE(6289),
    [sym_identifier] = ACTIONS(4007),
    [anon_sym_export] = ACTIONS(4009),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4007),
    [anon_sym_namespace] = ACTIONS(4007),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3935),
    [anon_sym_RBRACE] = ACTIONS(4061),
    [anon_sym_let] = ACTIONS(4007),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_SEMI] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4013),
    [anon_sym_new] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4017),
    [anon_sym_readonly] = ACTIONS(4019),
    [anon_sym_get] = ACTIONS(4021),
    [anon_sym_set] = ACTIONS(4021),
    [anon_sym_declare] = ACTIONS(4007),
    [anon_sym_public] = ACTIONS(4023),
    [anon_sym_private] = ACTIONS(4023),
    [anon_sym_protected] = ACTIONS(4023),
    [anon_sym_override] = ACTIONS(4025),
    [anon_sym_module] = ACTIONS(4007),
    [anon_sym_any] = ACTIONS(4007),
    [anon_sym_number] = ACTIONS(4007),
    [anon_sym_boolean] = ACTIONS(4007),
    [anon_sym_string] = ACTIONS(4007),
    [anon_sym_symbol] = ACTIONS(4007),
    [anon_sym_object] = ACTIONS(4007),
    [anon_sym_abstract] = ACTIONS(3963),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3965),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1850),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5605),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1374),
    [sym_comment] = STATE(1851),
    [sym__module] = STATE(1663),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4067),
    [anon_sym_SQUOTE] = ACTIONS(4069),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_nested_identifier] = STATE(402),
    [sym_string] = STATE(339),
    [sym_comment] = STATE(1852),
    [sym__module] = STATE(442),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [anon_sym_SQUOTE] = ACTIONS(4075),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_variable_declarator] = STATE(5638),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(1853),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_nested_identifier] = STATE(402),
    [sym_string] = STATE(339),
    [sym_comment] = STATE(1854),
    [sym__module] = STATE(442),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [anon_sym_SQUOTE] = ACTIONS(4075),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1855),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5657),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_variable_declarator] = STATE(5638),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(1856),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1857),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5481),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4085),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1374),
    [sym_comment] = STATE(1858),
    [sym__module] = STATE(1663),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4067),
    [anon_sym_SQUOTE] = ACTIONS(4069),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_variable_declarator] = STATE(5638),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(1859),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1860),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5538),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4087),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1374),
    [sym_comment] = STATE(1861),
    [sym__module] = STATE(1663),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4067),
    [anon_sym_SQUOTE] = ACTIONS(4069),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1862),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5491),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_nested_identifier] = STATE(402),
    [sym_string] = STATE(339),
    [sym_comment] = STATE(1863),
    [sym__module] = STATE(442),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [anon_sym_SQUOTE] = ACTIONS(4075),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1864),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5506),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1865),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5499),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1866),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5282),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3909),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1868),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5647),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1869),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2526),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1870),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2553),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1871),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(5918),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2467),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1872),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(5918),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2459),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1873),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2492),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1874),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4204),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1875),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4207),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1876),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2506),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1877),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5640),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1878),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2436),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1879),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2554),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1880),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2502),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1881),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3009),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1882),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5334),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1883),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5241),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1884),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2441),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1885),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4192),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1886),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3913),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1887),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5301),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1888),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2504),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(4099),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1889),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2934),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1890),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2475),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1891),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3010),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1892),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5547),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1893),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4452),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1894),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4470),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4473),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1896),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5637),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4341),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3885),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1899),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3886),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1900),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4185),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1901),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5030),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4802),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5421),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1904),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4188),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3025),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1906),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4172),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3026),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1908),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5507),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1909),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4381),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1910),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3983),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4382),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1912),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3982),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1913),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5157),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1914),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4176),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1915),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4206),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1916),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4444),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1917),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(6165),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(4321),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1918),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5742),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(4212),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4446),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5396),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1921),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5742),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(4215),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1922),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2937),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(6107),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3898),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3087),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5387),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5556),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(6165),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(4323),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(6107),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3903),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4320),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3904),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4351),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4257),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(6107),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(5392),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(5494),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5492),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4316),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3915),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2956),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1938),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3916),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5624),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2957),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5123),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4201),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4968),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4315),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5458),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5627),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2534),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1948),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3068),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2533),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3071),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5543),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(4787),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2430),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5574),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2480),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5412),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1957),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5328),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1958),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(3086),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1959),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5100),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1960),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5613),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1961),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5084),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1962),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5643),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1963),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4158),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1964),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5136),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1965),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4157),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1966),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2906),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1967),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4173),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1968),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5571),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1969),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2905),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1970),
    [sym_formal_parameters] = STATE(7363),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(2892),
    [sym_constructor_type] = STATE(3030),
    [sym__primary_type] = STATE(3029),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3030),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6624),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3030),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3030),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_infer] = ACTIONS(3877),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1971),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(6134),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2893),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1972),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(5521),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1973),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3893),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_nested_identifier] = STATE(7272),
    [sym_string] = STATE(3032),
    [sym_comment] = STATE(1974),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(2780),
    [sym__type] = STATE(6134),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(2895),
    [sym_template_literal_type] = STATE(3028),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3028),
    [sym_generic_type] = STATE(3028),
    [sym_type_query] = STATE(3028),
    [sym_index_type_query] = STATE(3028),
    [sym_lookup_type] = STATE(3028),
    [sym_literal_type] = STATE(3028),
    [sym__number] = STATE(2938),
    [sym_existential_type] = STATE(3028),
    [sym_flow_maybe_type] = STATE(3028),
    [sym_parenthesized_type] = STATE(3028),
    [sym_predefined_type] = STATE(3028),
    [sym_object_type] = STATE(3028),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3028),
    [sym_tuple_type] = STATE(3028),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3028),
    [sym_intersection_type] = STATE(3028),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_PIPE] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3863),
    [sym_number] = ACTIONS(3865),
    [sym_this] = ACTIONS(4097),
    [sym_true] = ACTIONS(3865),
    [sym_false] = ACTIONS(3865),
    [sym_null] = ACTIONS(3865),
    [sym_undefined] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_any] = ACTIONS(3861),
    [anon_sym_number] = ACTIONS(3861),
    [anon_sym_boolean] = ACTIONS(3861),
    [anon_sym_string] = ACTIONS(3861),
    [anon_sym_symbol] = ACTIONS(3861),
    [anon_sym_object] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(3879),
    [anon_sym_unique] = ACTIONS(3881),
    [anon_sym_unknown] = ACTIONS(3861),
    [anon_sym_never] = ACTIONS(3861),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3843),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1975),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4275),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1976),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5095),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1977),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4271),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1978),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5119),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_nested_identifier] = STATE(7090),
    [sym_string] = STATE(4331),
    [sym_comment] = STATE(1979),
    [sym_formal_parameters] = STATE(7394),
    [sym_nested_type_identifier] = STATE(4217),
    [sym__type] = STATE(4333),
    [sym_constructor_type] = STATE(4311),
    [sym__primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(4307),
    [sym_infer_type] = STATE(4311),
    [sym_conditional_type] = STATE(4307),
    [sym_generic_type] = STATE(4307),
    [sym_type_query] = STATE(4307),
    [sym_index_type_query] = STATE(4307),
    [sym_lookup_type] = STATE(4307),
    [sym_literal_type] = STATE(4307),
    [sym__number] = STATE(4306),
    [sym_existential_type] = STATE(4307),
    [sym_flow_maybe_type] = STATE(4307),
    [sym_parenthesized_type] = STATE(4307),
    [sym_predefined_type] = STATE(4307),
    [sym_object_type] = STATE(4307),
    [sym_type_parameters] = STATE(7020),
    [sym_array_type] = STATE(4307),
    [sym_tuple_type] = STATE(4307),
    [sym_readonly_type] = STATE(4311),
    [sym_union_type] = STATE(4307),
    [sym_intersection_type] = STATE(4307),
    [sym_function_type] = STATE(4311),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_PIPE] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3723),
    [anon_sym_DASH] = ACTIONS(3723),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_SQUOTE] = ACTIONS(3729),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3731),
    [sym_number] = ACTIONS(3733),
    [sym_this] = ACTIONS(4105),
    [sym_true] = ACTIONS(3733),
    [sym_false] = ACTIONS(3733),
    [sym_null] = ACTIONS(3733),
    [sym_undefined] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_any] = ACTIONS(3725),
    [anon_sym_number] = ACTIONS(3725),
    [anon_sym_boolean] = ACTIONS(3725),
    [anon_sym_string] = ACTIONS(3725),
    [anon_sym_symbol] = ACTIONS(3725),
    [anon_sym_object] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_infer] = ACTIONS(3745),
    [anon_sym_keyof] = ACTIONS(3747),
    [anon_sym_unique] = ACTIONS(3749),
    [anon_sym_unknown] = ACTIONS(3725),
    [anon_sym_never] = ACTIONS(3725),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3707),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1980),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3930),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1981),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3943),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1982),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4183),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(7062),
    [sym_string] = STATE(2514),
    [sym_comment] = STATE(1983),
    [sym_formal_parameters] = STATE(7287),
    [sym_nested_type_identifier] = STATE(2410),
    [sym__type] = STATE(2547),
    [sym_constructor_type] = STATE(2522),
    [sym__primary_type] = STATE(2544),
    [sym_template_literal_type] = STATE(2536),
    [sym_infer_type] = STATE(2522),
    [sym_conditional_type] = STATE(2536),
    [sym_generic_type] = STATE(2536),
    [sym_type_query] = STATE(2536),
    [sym_index_type_query] = STATE(2536),
    [sym_lookup_type] = STATE(2536),
    [sym_literal_type] = STATE(2536),
    [sym__number] = STATE(2555),
    [sym_existential_type] = STATE(2536),
    [sym_flow_maybe_type] = STATE(2536),
    [sym_parenthesized_type] = STATE(2536),
    [sym_predefined_type] = STATE(2536),
    [sym_object_type] = STATE(2536),
    [sym_type_parameters] = STATE(6974),
    [sym_array_type] = STATE(2536),
    [sym_tuple_type] = STATE(2536),
    [sym_readonly_type] = STATE(2522),
    [sym_union_type] = STATE(2536),
    [sym_intersection_type] = STATE(2536),
    [sym_function_type] = STATE(2522),
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_PIPE] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3903),
    [anon_sym_DASH] = ACTIONS(3903),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3907),
    [sym_number] = ACTIONS(3909),
    [sym_this] = ACTIONS(4093),
    [sym_true] = ACTIONS(3909),
    [sym_false] = ACTIONS(3909),
    [sym_null] = ACTIONS(3909),
    [sym_undefined] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_QMARK] = ACTIONS(3915),
    [anon_sym_any] = ACTIONS(3905),
    [anon_sym_number] = ACTIONS(3905),
    [anon_sym_boolean] = ACTIONS(3905),
    [anon_sym_string] = ACTIONS(3905),
    [anon_sym_symbol] = ACTIONS(3905),
    [anon_sym_object] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_infer] = ACTIONS(3921),
    [anon_sym_keyof] = ACTIONS(3923),
    [anon_sym_unique] = ACTIONS(3925),
    [anon_sym_unknown] = ACTIONS(3905),
    [anon_sym_never] = ACTIONS(3905),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3887),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_nested_identifier] = STATE(7338),
    [sym_string] = STATE(3965),
    [sym_comment] = STATE(1984),
    [sym_formal_parameters] = STATE(7334),
    [sym_nested_type_identifier] = STATE(3869),
    [sym__type] = STATE(3894),
    [sym_constructor_type] = STATE(3973),
    [sym__primary_type] = STATE(3974),
    [sym_template_literal_type] = STATE(3978),
    [sym_infer_type] = STATE(3973),
    [sym_conditional_type] = STATE(3978),
    [sym_generic_type] = STATE(3978),
    [sym_type_query] = STATE(3978),
    [sym_index_type_query] = STATE(3978),
    [sym_lookup_type] = STATE(3978),
    [sym_literal_type] = STATE(3978),
    [sym__number] = STATE(3884),
    [sym_existential_type] = STATE(3978),
    [sym_flow_maybe_type] = STATE(3978),
    [sym_parenthesized_type] = STATE(3978),
    [sym_predefined_type] = STATE(3978),
    [sym_object_type] = STATE(3978),
    [sym_type_parameters] = STATE(6533),
    [sym_array_type] = STATE(3978),
    [sym_tuple_type] = STATE(3978),
    [sym_readonly_type] = STATE(3973),
    [sym_union_type] = STATE(3978),
    [sym_intersection_type] = STATE(3978),
    [sym_function_type] = STATE(3973),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_STAR] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(208),
    [anon_sym_typeof] = ACTIONS(1959),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(160),
    [anon_sym_PIPE] = ACTIONS(162),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(206),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1977),
    [sym_this] = ACTIONS(1979),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_any] = ACTIONS(206),
    [anon_sym_number] = ACTIONS(206),
    [anon_sym_boolean] = ACTIONS(206),
    [anon_sym_string] = ACTIONS(206),
    [anon_sym_symbol] = ACTIONS(206),
    [anon_sym_object] = ACTIONS(206),
    [anon_sym_abstract] = ACTIONS(198),
    [anon_sym_infer] = ACTIONS(200),
    [anon_sym_keyof] = ACTIONS(202),
    [anon_sym_unique] = ACTIONS(204),
    [anon_sym_unknown] = ACTIONS(206),
    [anon_sym_never] = ACTIONS(206),
    [anon_sym_LBRACE_PIPE] = ACTIONS(208),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1985),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(5257),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_nested_identifier] = STATE(7115),
    [sym_string] = STATE(4174),
    [sym_comment] = STATE(1986),
    [sym_formal_parameters] = STATE(7162),
    [sym_nested_type_identifier] = STATE(4047),
    [sym__type] = STATE(4960),
    [sym_constructor_type] = STATE(4182),
    [sym__primary_type] = STATE(4205),
    [sym_template_literal_type] = STATE(4187),
    [sym_infer_type] = STATE(4182),
    [sym_conditional_type] = STATE(4187),
    [sym_generic_type] = STATE(4187),
    [sym_type_query] = STATE(4187),
    [sym_index_type_query] = STATE(4187),
    [sym_lookup_type] = STATE(4187),
    [sym_literal_type] = STATE(4187),
    [sym__number] = STATE(4190),
    [sym_existential_type] = STATE(4187),
    [sym_flow_maybe_type] = STATE(4187),
    [sym_parenthesized_type] = STATE(4187),
    [sym_predefined_type] = STATE(4187),
    [sym_object_type] = STATE(4187),
    [sym_type_parameters] = STATE(6854),
    [sym_array_type] = STATE(4187),
    [sym_tuple_type] = STATE(4187),
    [sym_readonly_type] = STATE(4182),
    [sym_union_type] = STATE(4187),
    [sym_intersection_type] = STATE(4187),
    [sym_function_type] = STATE(4182),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_void] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(2001),
    [sym_this] = ACTIONS(2003),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_infer] = ACTIONS(1381),
    [anon_sym_keyof] = ACTIONS(1383),
    [anon_sym_unique] = ACTIONS(1385),
    [anon_sym_unknown] = ACTIONS(1387),
    [anon_sym_never] = ACTIONS(1387),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1389),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(1987),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1103),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(1988),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(212),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_export_statement] = STATE(4775),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6614),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6615),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1989),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6614),
    [sym_method_definition] = STATE(6615),
    [sym_pair] = STATE(6615),
    [sym_pair_pattern] = STATE(6614),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4775),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4775),
    [sym_property_signature] = STATE(4775),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4775),
    [sym_index_signature] = STATE(4775),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [sym_identifier] = ACTIONS(4109),
    [anon_sym_export] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4109),
    [anon_sym_namespace] = ACTIONS(4109),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(4113),
    [anon_sym_RBRACE] = ACTIONS(4113),
    [anon_sym_let] = ACTIONS(4109),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4116),
    [anon_sym_new] = ACTIONS(4118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4120),
    [anon_sym_readonly] = ACTIONS(4122),
    [anon_sym_get] = ACTIONS(4124),
    [anon_sym_set] = ACTIONS(4124),
    [anon_sym_declare] = ACTIONS(4109),
    [anon_sym_public] = ACTIONS(4126),
    [anon_sym_private] = ACTIONS(4126),
    [anon_sym_protected] = ACTIONS(4126),
    [anon_sym_override] = ACTIONS(4128),
    [anon_sym_module] = ACTIONS(4109),
    [anon_sym_any] = ACTIONS(4109),
    [anon_sym_number] = ACTIONS(4109),
    [anon_sym_boolean] = ACTIONS(4109),
    [anon_sym_string] = ACTIONS(4109),
    [anon_sym_symbol] = ACTIONS(4109),
    [anon_sym_object] = ACTIONS(4109),
    [anon_sym_abstract] = ACTIONS(3963),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_export_statement] = STATE(4858),
    [sym_object_pattern] = STATE(4297),
    [sym_object_assignment_pattern] = STATE(6614),
    [sym_array_pattern] = STATE(4297),
    [sym__call_signature] = STATE(5237),
    [sym__destructuring_pattern] = STATE(7281),
    [sym_spread_element] = STATE(6615),
    [sym_string] = STATE(4159),
    [sym_comment] = STATE(1990),
    [sym_decorator] = STATE(5658),
    [sym_formal_parameters] = STATE(4248),
    [sym_rest_pattern] = STATE(6614),
    [sym_method_definition] = STATE(6615),
    [sym_pair] = STATE(6615),
    [sym_pair_pattern] = STATE(6614),
    [sym__property_name] = STATE(4060),
    [sym_computed_property_name] = STATE(4159),
    [sym_method_signature] = STATE(4858),
    [sym_accessibility_modifier] = STATE(3692),
    [sym_override_modifier] = STATE(3734),
    [sym_call_signature] = STATE(4858),
    [sym_property_signature] = STATE(4858),
    [sym_type_parameters] = STATE(6826),
    [sym_construct_signature] = STATE(4858),
    [sym_index_signature] = STATE(4858),
    [aux_sym_export_statement_repeat1] = STATE(5562),
    [sym_identifier] = ACTIONS(4109),
    [anon_sym_export] = ACTIONS(4111),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_type] = ACTIONS(4109),
    [anon_sym_namespace] = ACTIONS(4109),
    [anon_sym_LBRACE] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(4113),
    [anon_sym_RBRACE] = ACTIONS(4113),
    [anon_sym_let] = ACTIONS(4109),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_async] = ACTIONS(4116),
    [anon_sym_new] = ACTIONS(4118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1997),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3951),
    [sym_private_property_identifier] = ACTIONS(3951),
    [anon_sym_AT] = ACTIONS(95),
    [anon_sym_static] = ACTIONS(4120),
    [anon_sym_readonly] = ACTIONS(4122),
    [anon_sym_get] = ACTIONS(4124),
    [anon_sym_set] = ACTIONS(4124),
    [anon_sym_declare] = ACTIONS(4109),
    [anon_sym_public] = ACTIONS(4126),
    [anon_sym_private] = ACTIONS(4126),
    [anon_sym_protected] = ACTIONS(4126),
    [anon_sym_override] = ACTIONS(4128),
    [anon_sym_module] = ACTIONS(4109),
    [anon_sym_any] = ACTIONS(4109),
    [anon_sym_number] = ACTIONS(4109),
    [anon_sym_boolean] = ACTIONS(4109),
    [anon_sym_string] = ACTIONS(4109),
    [anon_sym_symbol] = ACTIONS(4109),
    [anon_sym_object] = ACTIONS(4109),
    [anon_sym_abstract] = ACTIONS(3963),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_nested_identifier] = STATE(4977),
    [sym_string] = STATE(5667),
    [sym_comment] = STATE(1991),
    [sym__module] = STATE(6867),
    [sym_identifier] = ACTIONS(4130),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1992] = {
    [sym_nested_identifier] = STATE(984),
    [sym_string] = STATE(1108),
    [sym_comment] = STATE(1992),
    [sym__module] = STATE(1495),
    [sym_identifier] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4134),
    [anon_sym_SQUOTE] = ACTIONS(4136),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1993] = {
    [sym_nested_identifier] = STATE(965),
    [sym_string] = STATE(973),
    [sym_comment] = STATE(1993),
    [sym__module] = STATE(1178),
    [sym_identifier] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4140),
    [anon_sym_SQUOTE] = ACTIONS(4142),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1994] = {
    [sym_variable_declarator] = STATE(5632),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(1994),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1995] = {
    [sym_nested_identifier] = STATE(297),
    [sym_string] = STATE(298),
    [sym_comment] = STATE(1995),
    [sym__module] = STATE(315),
    [sym_identifier] = ACTIONS(4144),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4146),
    [anon_sym_SQUOTE] = ACTIONS(4148),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1996] = {
    [sym_variable_declarator] = STATE(5528),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4419),
    [sym_comment] = STATE(1996),
    [sym_identifier] = ACTIONS(4150),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1997] = {
    [sym_nested_identifier] = STATE(2423),
    [sym_string] = STATE(2412),
    [sym_comment] = STATE(1997),
    [sym__module] = STATE(2751),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1998] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(1998),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(124),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(215),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [1999] = {
    [sym_nested_identifier] = STATE(1194),
    [sym_string] = STATE(1374),
    [sym_comment] = STATE(1999),
    [sym__module] = STATE(1663),
    [sym_identifier] = ACTIONS(4065),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4067),
    [anon_sym_SQUOTE] = ACTIONS(4069),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2000] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2000),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2001] = {
    [sym_variable_declarator] = STATE(5532),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(2001),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2002] = {
    [sym_nested_identifier] = STATE(2423),
    [sym_string] = STATE(2412),
    [sym_comment] = STATE(2002),
    [sym__module] = STATE(2751),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_of] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2003] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2003),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2004] = {
    [sym_nested_identifier] = STATE(974),
    [sym_string] = STATE(1201),
    [sym_comment] = STATE(2004),
    [sym__module] = STATE(1286),
    [sym_identifier] = ACTIONS(4154),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4156),
    [anon_sym_SQUOTE] = ACTIONS(4158),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2005] = {
    [sym_nested_identifier] = STATE(314),
    [sym_string] = STATE(317),
    [sym_comment] = STATE(2005),
    [sym__module] = STATE(403),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4162),
    [anon_sym_SQUOTE] = ACTIONS(4164),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2006] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2006),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2007] = {
    [sym_nested_identifier] = STATE(320),
    [sym_string] = STATE(312),
    [sym_comment] = STATE(2007),
    [sym__module] = STATE(354),
    [sym_identifier] = ACTIONS(4166),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4168),
    [anon_sym_SQUOTE] = ACTIONS(4170),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2008] = {
    [sym_variable_declarator] = STATE(5652),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(2008),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2009] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2009),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2010] = {
    [sym_variable_declarator] = STATE(5648),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(2010),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2011] = {
    [sym_nested_identifier] = STATE(402),
    [sym_string] = STATE(339),
    [sym_comment] = STATE(2011),
    [sym__module] = STATE(442),
    [sym_identifier] = ACTIONS(4071),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(4073),
    [anon_sym_SQUOTE] = ACTIONS(4075),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2012] = {
    [sym_nested_identifier] = STATE(2423),
    [sym_string] = STATE(2412),
    [sym_comment] = STATE(2012),
    [sym__module] = STATE(2751),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2013] = {
    [sym_variable_declarator] = STATE(5638),
    [sym_object_pattern] = STATE(4623),
    [sym_array_pattern] = STATE(4623),
    [sym__destructuring_pattern] = STATE(4566),
    [sym_comment] = STATE(2013),
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2014] = {
    [sym_nested_identifier] = STATE(2423),
    [sym_string] = STATE(2412),
    [sym_comment] = STATE(2014),
    [sym__module] = STATE(2751),
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2015] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2015),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_of] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1221),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2016] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2016),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2017] = {
    [sym_comment] = STATE(2017),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2018] = {
    [sym_comment] = STATE(2018),
    [aux_sym_object_repeat1] = STATE(6179),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2019] = {
    [sym_comment] = STATE(2019),
    [aux_sym_object_repeat1] = STATE(6210),
    [aux_sym_object_pattern_repeat1] = STATE(6177),
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1006),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_SEMI] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1025),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__automatic_semicolon] = ACTIONS(210),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2020] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2020),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2021] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2021),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1269),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [anon_sym_implements] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2022] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2022),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_RPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(150),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2023] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2023),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(124),
    [anon_sym_RBRACE] = ACTIONS(124),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1197),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
  [2024] = {
    [sym_nested_identifier] = STATE(2445),
    [sym_string] = STATE(2462),
    [sym_comment] = STATE(2024),
    [sym__module] = STATE(2731),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(118),
    [anon_sym_EQ] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(118),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(118),
    [anon_sym_in] = ACTIONS(118),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(118),
    [anon_sym_RBRACK] = ACTIONS(124),
    [anon_sym_GT] = ACTIONS(118),
    [anon_sym_DOT] = ACTIONS(118),
    [anon_sym_EQ_GT] = ACTIONS(1259),
    [anon_sym_QMARK_DOT] = ACTIONS(118),
    [anon_sym_PLUS_EQ] = ACTIONS(156),
    [anon_sym_DASH_EQ] = ACTIONS(156),
    [anon_sym_STAR_EQ] = ACTIONS(156),
    [anon_sym_SLASH_EQ] = ACTIONS(156),
    [anon_sym_PERCENT_EQ] = ACTIONS(156),
    [anon_sym_CARET_EQ] = ACTIONS(156),
    [anon_sym_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(156),
    [anon_sym_LT_LT_EQ] = ACTIONS(156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(156),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(156),
    [anon_sym_AMP_AMP] = ACTIONS(118),
    [anon_sym_PIPE_PIPE] = ACTIONS(118),
    [anon_sym_GT_GT] = ACTIONS(118),
    [anon_sym_GT_GT_GT] = ACTIONS(118),
    [anon_sym_LT_LT] = ACTIONS(118),
    [anon_sym_AMP] = ACTIONS(118),
    [anon_sym_CARET] = ACTIONS(118),
    [anon_sym_PIPE] = ACTIONS(118),
    [anon_sym_PLUS] = ACTIONS(118),
    [anon_sym_DASH] = ACTIONS(118),
    [anon_sym_SLASH] = ACTIONS(118),
    [anon_sym_PERCENT] = ACTIONS(118),
    [anon_sym_STAR_STAR] = ACTIONS(118),
    [anon_sym_LT] = ACTIONS(118),
    [anon_sym_LT_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ] = ACTIONS(118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ] = ACTIONS(118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(118),
    [anon_sym_GT_EQ] = ACTIONS(118),
    [anon_sym_QMARK_QMARK] = ACTIONS(118),
    [anon_sym_instanceof] = ACTIONS(118),
    [anon_sym_PLUS_PLUS] = ACTIONS(118),
    [anon_sym_DASH_DASH] = ACTIONS(118),
    [anon_sym_DQUOTE] = ACTIONS(176),
    [anon_sym_SQUOTE] = ACTIONS(178),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(118),
    [anon_sym_satisfies] = ACTIONS(118),
    [sym__ternary_qmark] = ACTIONS(210),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2025), 1,
      sym_comment,
    ACTIONS(4174), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4176), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2026), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5545), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [168] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2027), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5532), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [261] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2028), 1,
      sym_comment,
    ACTIONS(4178), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4180), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [336] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4132), 1,
      sym_identifier,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_SQUOTE,
    STATE(984), 1,
      sym_nested_identifier,
    STATE(1108), 1,
      sym_string,
    STATE(1495), 1,
      sym__module,
    STATE(2029), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [429] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4184), 1,
      anon_sym_EQ,
    ACTIONS(4188), 1,
      anon_sym_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4195), 1,
      anon_sym_LT,
    STATE(2030), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2031), 1,
      sym_comment,
    ACTIONS(4198), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4200), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [599] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4212), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4216), 1,
      anon_sym_LT,
    STATE(2032), 1,
      sym_comment,
    STATE(4086), 1,
      sym_arguments,
    STATE(4189), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4186), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [696] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2033), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [791] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2034), 1,
      sym_comment,
    ACTIONS(4218), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4220), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [866] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4166), 1,
      sym_identifier,
    ACTIONS(4168), 1,
      anon_sym_DQUOTE,
    ACTIONS(4170), 1,
      anon_sym_SQUOTE,
    STATE(312), 1,
      sym_string,
    STATE(320), 1,
      sym_nested_identifier,
    STATE(354), 1,
      sym__module,
    STATE(2035), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [959] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2036), 1,
      sym_comment,
    ACTIONS(4222), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4224), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1034] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4130), 1,
      sym_identifier,
    STATE(2037), 1,
      sym_comment,
    STATE(4977), 1,
      sym_nested_identifier,
    STATE(5667), 1,
      sym_string,
    STATE(6867), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1127] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2038), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5648), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1220] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2039), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1315] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2040), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5638), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1408] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4065), 1,
      sym_identifier,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1374), 1,
      sym_string,
    STATE(1663), 1,
      sym__module,
    STATE(2041), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1501] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4226), 1,
      sym_identifier,
    STATE(2042), 1,
      sym_comment,
    STATE(4461), 1,
      sym_nested_identifier,
    STATE(4637), 1,
      sym_string,
    STATE(5065), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1594] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2043), 1,
      sym_comment,
    ACTIONS(4228), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4230), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1669] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2044), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5652), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1762] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4160), 1,
      sym_identifier,
    ACTIONS(4162), 1,
      anon_sym_DQUOTE,
    ACTIONS(4164), 1,
      anon_sym_SQUOTE,
    STATE(314), 1,
      sym_nested_identifier,
    STATE(317), 1,
      sym_string,
    STATE(403), 1,
      sym__module,
    STATE(2045), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1855] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(2046), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1950] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4071), 1,
      sym_identifier,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    STATE(339), 1,
      sym_string,
    STATE(402), 1,
      sym_nested_identifier,
    STATE(442), 1,
      sym__module,
    STATE(2047), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2043] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(4184), 1,
      anon_sym_EQ,
    ACTIONS(4188), 1,
      anon_sym_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4195), 1,
      anon_sym_LT,
    STATE(2048), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2138] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1006), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(2049), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2233] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1033), 1,
      anon_sym_QMARK,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(4184), 1,
      anon_sym_EQ,
    ACTIONS(4188), 1,
      anon_sym_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4195), 1,
      anon_sym_LT,
    STATE(2050), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2328] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_RBRACK,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(215), 1,
      anon_sym_COMMA,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2051), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2425] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4144), 1,
      sym_identifier,
    ACTIONS(4146), 1,
      anon_sym_DQUOTE,
    ACTIONS(4148), 1,
      anon_sym_SQUOTE,
    STATE(297), 1,
      sym_nested_identifier,
    STATE(298), 1,
      sym_string,
    STATE(315), 1,
      sym__module,
    STATE(2052), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2053), 1,
      sym_comment,
    ACTIONS(4232), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4234), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2593] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4138), 1,
      sym_identifier,
    ACTIONS(4140), 1,
      anon_sym_DQUOTE,
    ACTIONS(4142), 1,
      anon_sym_SQUOTE,
    STATE(965), 1,
      sym_nested_identifier,
    STATE(973), 1,
      sym_string,
    STATE(1178), 1,
      sym__module,
    STATE(2054), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2686] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4152), 1,
      sym_identifier,
    STATE(2055), 1,
      sym_comment,
    STATE(2412), 1,
      sym_string,
    STATE(2423), 1,
      sym_nested_identifier,
    STATE(2751), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2779] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1255), 1,
      anon_sym_COLON,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2056), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2874] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4154), 1,
      sym_identifier,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    STATE(974), 1,
      sym_nested_identifier,
    STATE(1201), 1,
      sym_string,
    STATE(1286), 1,
      sym__module,
    STATE(2057), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2967] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    STATE(2058), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5632), 1,
      sym_variable_declarator,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3060] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2059), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3153] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2060), 1,
      sym_comment,
    ACTIONS(3345), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3635), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3227] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2061), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3319] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1323), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2062), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3411] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4242), 1,
      anon_sym_EQ_GT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    STATE(2063), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3507] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1233), 1,
      anon_sym_in,
    ACTIONS(1236), 1,
      anon_sym_of,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2064), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3603] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4260), 1,
      anon_sym_DOT,
    ACTIONS(4266), 1,
      anon_sym_LT,
    STATE(2065), 1,
      sym_comment,
    STATE(4203), 1,
      sym_type_arguments,
    ACTIONS(4251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4255), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3697] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4277), 1,
      anon_sym_QMARK,
    STATE(2066), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    STATE(6947), 1,
      sym_type_annotation,
    ACTIONS(4251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3797] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    STATE(2067), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3893] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(1323), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2068), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3985] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2069), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4077] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2070), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4173] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1103), 1,
      anon_sym_COLON,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4267] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_EQ_GT,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2072), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4359] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(1259), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2073), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4451] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2074), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2075), 1,
      sym_comment,
    ACTIONS(3331), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3523), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4603] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2076), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4694] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1329), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2077), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4785] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2078), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4876] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2079), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4967] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2080), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5058] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    STATE(2081), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5155] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2082), 1,
      sym_comment,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5240] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1233), 1,
      anon_sym_in,
    ACTIONS(1236), 1,
      anon_sym_of,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4302), 1,
      sym_identifier,
    ACTIONS(4304), 1,
      anon_sym_LBRACK,
    STATE(2083), 1,
      sym_comment,
    STATE(6841), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5333] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    ACTIONS(4312), 1,
      anon_sym_RPAREN,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2084), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5430] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    STATE(2085), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5521] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(2086), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5616] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2087), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5707] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(4321), 1,
      anon_sym_EQ_GT,
    STATE(2088), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5802] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2089), 1,
      sym_comment,
    ACTIONS(4310), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5885] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4325), 1,
      anon_sym_AT,
    STATE(2189), 1,
      sym_decorator,
    STATE(2090), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4323), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5960] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4330), 1,
      anon_sym_QMARK,
    STATE(2091), 1,
      sym_comment,
    ACTIONS(4328), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6043] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2092), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6134] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2093), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6225] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(212), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2094), 1,
      sym_comment,
    ACTIONS(4332), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2095), 1,
      sym_comment,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [6381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2096), 1,
      sym_comment,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [6454] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4325), 1,
      anon_sym_AT,
    ACTIONS(4336), 1,
      anon_sym_class,
    STATE(2090), 1,
      aux_sym_export_statement_repeat1,
    STATE(2097), 1,
      sym_comment,
    STATE(2189), 1,
      sym_decorator,
    ACTIONS(4323), 55,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6533] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4341), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_DOT,
    STATE(2098), 1,
      sym_comment,
    STATE(2182), 1,
      sym_arguments,
    ACTIONS(4339), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6610] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    STATE(2099), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6701] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2100), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6792] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2101), 1,
      sym_comment,
    ACTIONS(4345), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6875] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1331), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2102), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6966] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    STATE(2103), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4204), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4186), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7061] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7156] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(2105), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7251] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2106), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7342] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(176), 1,
      anon_sym_DQUOTE,
    ACTIONS(178), 1,
      anon_sym_SQUOTE,
    ACTIONS(210), 1,
      sym__ternary_qmark,
    ACTIONS(217), 1,
      anon_sym_EQ_GT,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(4107), 1,
      sym_identifier,
    STATE(2107), 1,
      sym_comment,
    STATE(2445), 1,
      sym_nested_identifier,
    STATE(2462), 1,
      sym_string,
    STATE(2731), 1,
      sym__module,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7433] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(2108), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7523] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2109), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7617] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2110), 1,
      sym_comment,
    ACTIONS(4355), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7687] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1227), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7769] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    STATE(2112), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7863] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    STATE(2113), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4186), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7957] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2114), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4186), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8051] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    STATE(2115), 1,
      sym_comment,
    ACTIONS(4310), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8131] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2116), 1,
      sym_comment,
    ACTIONS(3375), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8201] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2117), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8295] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2118), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8379] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2119), 1,
      sym_comment,
    ACTIONS(3401), 58,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8449] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2120), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8533] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    STATE(2121), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4255), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8625] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_EQ_GT,
    STATE(2122), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8715] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4330), 1,
      anon_sym_QMARK,
    STATE(2123), 1,
      sym_comment,
    ACTIONS(4328), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8795] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(4321), 1,
      anon_sym_EQ_GT,
    STATE(2124), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8885] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(212), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2125), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8973] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    ACTIONS(4369), 1,
      anon_sym_EQ_GT,
    STATE(2126), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9067] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1238), 1,
      anon_sym_COLON,
    ACTIONS(4371), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9149] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4373), 1,
      anon_sym_EQ_GT,
    STATE(2128), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9233] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1229), 1,
      anon_sym_COLON,
    ACTIONS(4375), 1,
      sym_identifier,
    STATE(2129), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9315] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2130), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4377), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9403] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1173), 1,
      anon_sym_COLON,
    ACTIONS(4382), 1,
      sym_identifier,
    STATE(2131), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9485] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ_GT,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_COLON,
    ACTIONS(4172), 1,
      sym_identifier,
    STATE(2132), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9567] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2133), 1,
      sym_comment,
    ACTIONS(3315), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [9636] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(115), 1,
      anon_sym_EQ,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2134), 1,
      sym_comment,
    ACTIONS(4377), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9717] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(1233), 1,
      anon_sym_in,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4384), 1,
      anon_sym_of,
    STATE(2135), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9798] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9875] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1215), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4373), 1,
      anon_sym_EQ_GT,
    STATE(2137), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9952] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    ACTIONS(4345), 1,
      anon_sym_COLON,
    STATE(2138), 1,
      sym_comment,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10037] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    STATE(2139), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10120] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2140), 1,
      sym_comment,
    ACTIONS(4386), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10189] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    ACTIONS(4369), 1,
      anon_sym_EQ_GT,
    STATE(2141), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10278] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2873), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2142), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10357] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(2143), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10438] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2144), 1,
      sym_comment,
    ACTIONS(4393), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10511] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2145), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10600] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2146), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10675] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(2147), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10754] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2148), 1,
      sym_comment,
    ACTIONS(4395), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10823] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2149), 1,
      sym_comment,
    ACTIONS(3337), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10892] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2150), 1,
      sym_comment,
    ACTIONS(3343), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [10961] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2151), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2152), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11117] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2153), 1,
      sym_comment,
    ACTIONS(3345), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3635), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11188] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    STATE(2154), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11265] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(4242), 1,
      anon_sym_EQ_GT,
    STATE(2155), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2156), 1,
      sym_comment,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11413] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2157), 1,
      sym_comment,
    ACTIONS(3319), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_SEMI,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [11482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2158), 1,
      sym_comment,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2159), 1,
      sym_comment,
    ACTIONS(4198), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4200), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11624] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2160), 1,
      sym_comment,
    ACTIONS(4178), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4180), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11695] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2873), 1,
      anon_sym_COLON,
    STATE(2161), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11774] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(2061), 1,
      anon_sym_QMARK,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2162), 1,
      sym_comment,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2063), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11859] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2163), 1,
      sym_comment,
    ACTIONS(4232), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4234), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2164), 1,
      sym_comment,
    ACTIONS(3331), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3523), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12001] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    STATE(2165), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12080] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    ACTIONS(4345), 1,
      anon_sym_COLON,
    STATE(2166), 1,
      sym_comment,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12167] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2167), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12246] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4401), 1,
      anon_sym_EQ_GT,
    STATE(2168), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2169), 1,
      sym_comment,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12400] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    ACTIONS(4345), 1,
      anon_sym_COLON,
    STATE(2170), 1,
      sym_comment,
    ACTIONS(4403), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12481] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2171), 1,
      sym_comment,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12552] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4242), 1,
      anon_sym_EQ_GT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2172), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12629] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2173), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2174), 1,
      sym_comment,
    ACTIONS(4222), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4224), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12777] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2175), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2176), 1,
      sym_comment,
    ACTIONS(4228), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4230), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12931] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4255), 1,
      anon_sym_extends,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    STATE(2177), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4257), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4263), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13020] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    STATE(2178), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2179), 1,
      sym_comment,
    ACTIONS(4339), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13168] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2180), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13247] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4373), 1,
      anon_sym_EQ_GT,
    STATE(2181), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13324] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2182), 1,
      sym_comment,
    ACTIONS(4406), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13393] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2183), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4204), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4186), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13486] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2184), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13563] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2185), 1,
      sym_comment,
    ACTIONS(4408), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13636] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2186), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4204), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13729] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1171), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2853), 1,
      anon_sym_COLON,
    STATE(2187), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13808] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2853), 1,
      anon_sym_COLON,
    ACTIONS(4191), 1,
      anon_sym_EQ_GT,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2188), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13887] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2189), 1,
      sym_comment,
    ACTIONS(4410), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [13956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2190), 1,
      sym_comment,
    ACTIONS(4412), 57,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14025] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2191), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14102] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2192), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14191] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2193), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14268] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2778), 1,
      anon_sym_EQ_GT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2194), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14345] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    STATE(2195), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14426] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4401), 1,
      anon_sym_EQ_GT,
    STATE(2196), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14502] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4371), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14580] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    STATE(2198), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14662] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2199), 1,
      sym_comment,
    ACTIONS(4416), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14730] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    STATE(2200), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14808] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4401), 1,
      anon_sym_EQ_GT,
    STATE(2201), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14884] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4418), 1,
      sym_identifier,
    STATE(2202), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14962] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2203), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15044] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2204), 1,
      sym_comment,
    ACTIONS(4422), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15112] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4257), 1,
      anon_sym_LBRACK,
    ACTIONS(4271), 1,
      anon_sym_DOT,
    ACTIONS(4274), 1,
      anon_sym_LT,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2205), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4263), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4186), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15200] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      anon_sym_EQ_GT,
    STATE(2206), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15282] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    STATE(2207), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15356] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4287), 1,
      anon_sym_RBRACK,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(4429), 1,
      anon_sym_in,
    ACTIONS(4431), 1,
      anon_sym_COLON,
    STATE(2208), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15440] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2209), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15516] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_COMMA,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    ACTIONS(4433), 1,
      anon_sym_COLON,
    STATE(2210), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15598] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    STATE(2211), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2212), 1,
      sym_comment,
    ACTIONS(4422), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15744] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2213), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15820] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2214), 1,
      sym_comment,
    ACTIONS(4435), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15888] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(2063), 1,
      anon_sym_extends,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2215), 1,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4299), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15970] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4357), 1,
      sym_identifier,
    STATE(2216), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16048] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2217), 1,
      sym_comment,
    ACTIONS(4437), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16116] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4172), 1,
      sym_identifier,
    STATE(2218), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16194] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2219), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16268] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(2220), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16346] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4375), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16424] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4210), 1,
      anon_sym_EQ_GT,
    STATE(2222), 1,
      sym_comment,
    ACTIONS(4439), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16502] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    STATE(2223), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(4442), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16646] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4321), 1,
      anon_sym_EQ_GT,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16722] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2226), 1,
      sym_comment,
    ACTIONS(4444), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16790] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    STATE(2227), 1,
      sym_comment,
    ACTIONS(4439), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16868] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    STATE(2228), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2230), 1,
      sym_comment,
    ACTIONS(4446), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4448), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(4446), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17222] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(2233), 1,
      sym_comment,
    ACTIONS(4450), 56,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_TILDE,
      anon_sym_void,
      anon_sym_delete,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    STATE(2234), 1,
      sym_comment,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_COMMA,
    STATE(2235), 1,
      sym_comment,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17434] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4297), 1,
      anon_sym_EQ_GT,
    STATE(2236), 1,
      sym_comment,
    ACTIONS(4377), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17512] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1285), 1,
      anon_sym_EQ_GT,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(4382), 1,
      sym_identifier,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(210), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(156), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17590] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(4321), 1,
      anon_sym_EQ_GT,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17666] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2239), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4458), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4460), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4852), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17793] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2240), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4031), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4033), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4767), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17920] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2241), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3941), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3965), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4816), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18047] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    ACTIONS(4478), 1,
      anon_sym_COLON,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18124] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_EQ_GT,
    STATE(2243), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18199] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    ACTIONS(4433), 1,
      anon_sym_COLON,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18276] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2245), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4482), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4906), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18403] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4294), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(2063), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4299), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(210), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18484] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2247), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18559] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    ACTIONS(4429), 1,
      anon_sym_in,
    ACTIONS(4431), 1,
      anon_sym_COLON,
    STATE(2248), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18638] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2249), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4484), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4486), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4820), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    STATE(2250), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18838] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    ACTIONS(4429), 1,
      anon_sym_in,
    ACTIONS(4488), 1,
      anon_sym_COLON,
    STATE(2251), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18917] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2252), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4490), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4492), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4894), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19044] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4287), 1,
      anon_sym_RBRACK,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(2253), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19123] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1291), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19198] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1250), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4332), 1,
      anon_sym_COMMA,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19277] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4349), 1,
      anon_sym_EQ_GT,
    STATE(2256), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19352] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4408), 1,
      anon_sym_COMMA,
    STATE(2257), 1,
      sym_comment,
    ACTIONS(4174), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4176), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19423] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2258), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4494), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4496), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4840), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19550] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2259), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4500), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4863), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      sym_comment,
    ACTIONS(4218), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4220), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19748] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    STATE(2261), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19823] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(2262), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19896] = 34,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2263), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4502), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4504), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4785), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20023] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ_GT,
    STATE(2264), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20097] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20171] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(1233), 1,
      anon_sym_in,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    ACTIONS(4384), 1,
      anon_sym_of,
    STATE(2266), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20249] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1303), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4424), 1,
      anon_sym_EQ_GT,
    STATE(2267), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20323] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    ACTIONS(4345), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20399] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    STATE(2269), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20471] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2270), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20545] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2271), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20619] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2272), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20693] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4287), 1,
      anon_sym_RBRACK,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(2273), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20769] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      anon_sym_EQ_GT,
    STATE(2274), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20843] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4369), 1,
      anon_sym_EQ_GT,
    STATE(2275), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20917] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    ACTIONS(4369), 1,
      anon_sym_EQ_GT,
    STATE(2276), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1317), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2277), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21065] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2278), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21139] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(2279), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    STATE(2280), 1,
      sym_comment,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(210), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1395), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2281), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21364] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2282), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4506), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21487] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4508), 1,
      anon_sym_EQ,
    STATE(2283), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21560] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    STATE(2284), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2285), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21706] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1331), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2286), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21779] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4512), 1,
      anon_sym_EQ,
    STATE(2287), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21852] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2288), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4514), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21975] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2289), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4516), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22098] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2290), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4518), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22221] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4520), 1,
      anon_sym_EQ,
    STATE(2291), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22294] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1339), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2292), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22367] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    STATE(2293), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22440] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4522), 1,
      anon_sym_EQ,
    STATE(2294), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22513] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2295), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4524), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22636] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2296), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4526), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22759] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1397), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2297), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22832] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2298), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22905] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(2299), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22980] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1097), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2300), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23053] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2301), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4528), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23176] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2302), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4530), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23299] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2303), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4532), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23422] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2304), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4534), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23545] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2305), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4536), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23668] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2306), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4538), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23791] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2307), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4540), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23914] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1393), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2308), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23987] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24058] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2310), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4542), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24181] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2311), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4544), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24304] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2312), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4546), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24427] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    STATE(2313), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24498] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24571] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2315), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4548), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24694] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2316), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4550), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24817] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2317), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4552), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24940] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2318), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4554), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25063] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(2319), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2320), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25209] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25282] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2322), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4560), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2323), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25478] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2324), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4562), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4564), 1,
      anon_sym_EQ,
    STATE(2325), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25674] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1329), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4334), 1,
      anon_sym_EQ_GT,
    STATE(2326), 1,
      sym_comment,
    ACTIONS(210), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2780), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(118), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25747] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    STATE(2327), 1,
      sym_comment,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4186), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25818] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2328), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4566), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25941] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4568), 1,
      anon_sym_EQ,
    STATE(2329), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26014] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2330), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4570), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26137] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2331), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4572), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26260] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2332), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4574), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26383] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4315), 1,
      anon_sym_EQ_GT,
    ACTIONS(4576), 1,
      anon_sym_EQ,
    STATE(2333), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26456] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2334), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4578), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26579] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4576), 1,
      anon_sym_EQ,
    STATE(2335), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26649] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4512), 1,
      anon_sym_EQ,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26719] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4564), 1,
      anon_sym_EQ,
    STATE(2337), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(2338), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26859] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_EQ,
    STATE(2339), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4568), 1,
      anon_sym_EQ,
    STATE(2340), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(2341), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27069] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4522), 1,
      anon_sym_EQ,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27139] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4520), 1,
      anon_sym_EQ,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27209] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    STATE(2344), 1,
      sym_comment,
    ACTIONS(4186), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4193), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4182), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27279] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2345), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4786), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27398] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2346), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4835), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27517] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2347), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4858), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27636] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2348), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4784), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27755] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2349), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5198), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27874] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2350), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4933), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27993] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2351), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4775), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28112] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2352), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4915), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28231] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2353), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4889), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28350] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(95), 1,
      anon_sym_AT,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_abstract,
    ACTIONS(4454), 1,
      anon_sym_export,
    ACTIONS(4456), 1,
      anon_sym_STAR,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4464), 1,
      anon_sym_async,
    ACTIONS(4466), 1,
      anon_sym_new,
    ACTIONS(4468), 1,
      anon_sym_static,
    ACTIONS(4470), 1,
      anon_sym_readonly,
    ACTIONS(4476), 1,
      anon_sym_override,
    STATE(2354), 1,
      sym_comment,
    STATE(3675), 1,
      sym_accessibility_modifier,
    STATE(3732), 1,
      sym_override_modifier,
    STATE(4048), 1,
      sym__property_name,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(5562), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4474), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(4818), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4452), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [28469] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_RBRACE,
    ACTIONS(4598), 1,
      anon_sym_module,
    STATE(2355), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28593] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    STATE(2356), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28717] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(4603), 1,
      anon_sym_RBRACE,
    STATE(2357), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28841] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(4606), 1,
      anon_sym_RBRACE,
    STATE(2358), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28965] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(4609), 1,
      anon_sym_RBRACE,
    STATE(2359), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [29089] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4614), 1,
      anon_sym_RBRACE,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    STATE(2360), 1,
      sym_comment,
    STATE(2374), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29206] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4634), 1,
      anon_sym_RBRACE,
    STATE(2361), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29323] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4636), 1,
      anon_sym_RBRACE,
    STATE(2362), 1,
      sym_comment,
    STATE(2376), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29440] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4638), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29557] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4642), 1,
      anon_sym_RBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4646), 1,
      anon_sym_async,
    ACTIONS(4648), 1,
      anon_sym_static,
    ACTIONS(4650), 1,
      anon_sym_readonly,
    ACTIONS(4656), 1,
      anon_sym_override,
    STATE(2364), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6302), 1,
      aux_sym_object_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4652), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4654), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4640), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29668] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4658), 1,
      anon_sym_RBRACE,
    STATE(2365), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29785] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4662), 1,
      anon_sym_RBRACE,
    ACTIONS(4664), 1,
      anon_sym_async,
    ACTIONS(4666), 1,
      anon_sym_static,
    ACTIONS(4668), 1,
      anon_sym_readonly,
    ACTIONS(4674), 1,
      anon_sym_override,
    STATE(2366), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6302), 1,
      aux_sym_object_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4670), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4672), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4660), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [29896] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(4680), 1,
      anon_sym_async,
    ACTIONS(4682), 1,
      anon_sym_static,
    ACTIONS(4684), 1,
      anon_sym_readonly,
    ACTIONS(4690), 1,
      anon_sym_override,
    STATE(2367), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6302), 1,
      aux_sym_object_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4686), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4688), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4676), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30007] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4692), 1,
      anon_sym_RBRACE,
    STATE(2368), 1,
      sym_comment,
    STATE(2382), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30124] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4694), 1,
      anon_sym_RBRACE,
    STATE(2365), 1,
      aux_sym_class_body_repeat1,
    STATE(2369), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30241] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      anon_sym_RBRACE,
    ACTIONS(4700), 1,
      anon_sym_async,
    ACTIONS(4702), 1,
      anon_sym_static,
    ACTIONS(4704), 1,
      anon_sym_readonly,
    ACTIONS(4710), 1,
      anon_sym_override,
    STATE(2370), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6302), 1,
      aux_sym_object_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4706), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4708), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4696), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30352] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4712), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_comment,
    STATE(2375), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30469] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4716), 1,
      anon_sym_RBRACE,
    ACTIONS(4718), 1,
      anon_sym_async,
    ACTIONS(4720), 1,
      anon_sym_static,
    ACTIONS(4722), 1,
      anon_sym_readonly,
    ACTIONS(4728), 1,
      anon_sym_override,
    STATE(2372), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6302), 1,
      aux_sym_object_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4724), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4726), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6307), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4714), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30580] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4730), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      aux_sym_class_body_repeat1,
    STATE(2373), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30697] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4732), 1,
      anon_sym_RBRACE,
    STATE(2374), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30814] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4734), 1,
      anon_sym_RBRACE,
    STATE(2375), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [30931] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4736), 1,
      anon_sym_RBRACE,
    STATE(2376), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31048] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4738), 1,
      anon_sym_RBRACE,
    STATE(2361), 1,
      aux_sym_class_body_repeat1,
    STATE(2377), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31165] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4740), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31282] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4742), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym_class_body_repeat1,
    STATE(2379), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31399] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4744), 1,
      anon_sym_RBRACE,
    STATE(2380), 1,
      sym_comment,
    STATE(2396), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31516] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4746), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31633] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4748), 1,
      anon_sym_RBRACE,
    STATE(2382), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31750] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4750), 1,
      anon_sym_RBRACE,
    STATE(2383), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31867] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4752), 1,
      anon_sym_RBRACE,
    STATE(2383), 1,
      aux_sym_class_body_repeat1,
    STATE(2384), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31984] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      anon_sym_RBRACE,
    ACTIONS(4758), 1,
      anon_sym_async,
    ACTIONS(4760), 1,
      anon_sym_static,
    ACTIONS(4762), 1,
      anon_sym_readonly,
    ACTIONS(4768), 1,
      anon_sym_override,
    STATE(2385), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6263), 1,
      aux_sym_object_repeat1,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4764), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4766), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6291), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4754), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32095] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4770), 1,
      anon_sym_RBRACE,
    STATE(2386), 1,
      sym_comment,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32212] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4775), 1,
      anon_sym_STAR,
    ACTIONS(4778), 1,
      anon_sym_RBRACE,
    ACTIONS(4780), 1,
      anon_sym_SEMI,
    ACTIONS(4783), 1,
      anon_sym_LBRACK,
    ACTIONS(4786), 1,
      anon_sym_async,
    ACTIONS(4792), 1,
      anon_sym_DQUOTE,
    ACTIONS(4795), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_AT,
    ACTIONS(4804), 1,
      anon_sym_static,
    ACTIONS(4807), 1,
      anon_sym_readonly,
    ACTIONS(4813), 1,
      anon_sym_declare,
    ACTIONS(4819), 1,
      anon_sym_override,
    ACTIONS(4822), 1,
      anon_sym_abstract,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(4789), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4798), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4810), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2387), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4816), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4772), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32327] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4827), 1,
      anon_sym_RBRACE,
    ACTIONS(4829), 1,
      anon_sym_async,
    ACTIONS(4831), 1,
      anon_sym_static,
    ACTIONS(4833), 1,
      anon_sym_readonly,
    ACTIONS(4839), 1,
      anon_sym_override,
    STATE(2388), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(6263), 1,
      aux_sym_object_repeat1,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4835), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4837), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6291), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4825), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32438] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    STATE(2386), 1,
      aux_sym_class_body_repeat1,
    STATE(2389), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32555] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4843), 1,
      anon_sym_RBRACE,
    STATE(2390), 1,
      sym_comment,
    STATE(2395), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32672] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4845), 1,
      anon_sym_RBRACE,
    STATE(2391), 1,
      sym_comment,
    STATE(2393), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32789] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4847), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2392), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32906] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4849), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2393), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33023] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4851), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2394), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33140] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4853), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2395), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33257] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4855), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2396), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33374] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4857), 1,
      anon_sym_RBRACE,
    STATE(2397), 1,
      sym_comment,
    STATE(2398), 1,
      aux_sym_class_body_repeat1,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33491] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      aux_sym_class_body_repeat1,
    STATE(2398), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33608] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4462), 1,
      anon_sym_LBRACK,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4612), 1,
      anon_sym_STAR,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_async,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_static,
    ACTIONS(4624), 1,
      anon_sym_readonly,
    ACTIONS(4628), 1,
      anon_sym_declare,
    ACTIONS(4632), 1,
      anon_sym_abstract,
    ACTIONS(4861), 1,
      anon_sym_RBRACE,
    STATE(2394), 1,
      aux_sym_class_body_repeat1,
    STATE(2399), 1,
      sym_comment,
    STATE(3501), 1,
      aux_sym_export_statement_repeat1,
    STATE(3582), 1,
      sym_method_definition,
    STATE(3632), 1,
      sym_class_static_block,
    STATE(3658), 1,
      sym_accessibility_modifier,
    STATE(3733), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4009), 1,
      sym__property_name,
    STATE(5564), 1,
      sym_method_signature,
    ACTIONS(3949), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6112), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33725] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(2152), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2154), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [33787] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4586), 1,
      anon_sym_EQ,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4598), 1,
      anon_sym_module,
    STATE(2401), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4863), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [33903] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4580), 1,
      anon_sym_STAR,
    ACTIONS(4582), 1,
      anon_sym_default,
    ACTIONS(4584), 1,
      anon_sym_type,
    ACTIONS(4588), 1,
      anon_sym_as,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(4867), 1,
      anon_sym_EQ,
    STATE(2402), 1,
      sym_comment,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5074), 1,
      sym_declaration,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5537), 1,
      sym_export_clause,
    STATE(5658), 1,
      sym_decorator,
    STATE(6963), 1,
      sym_namespace_export,
    ACTIONS(4596), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [34017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(2174), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2176), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [34079] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4875), 1,
      anon_sym_DOT,
    ACTIONS(4877), 1,
      anon_sym_LT,
    STATE(2404), 1,
      sym_comment,
    STATE(2439), 1,
      sym_arguments,
    STATE(2440), 1,
      sym_type_arguments,
    ACTIONS(4869), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4871), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34150] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(4881), 1,
      anon_sym_async,
    ACTIONS(4883), 1,
      anon_sym_static,
    ACTIONS(4885), 1,
      anon_sym_readonly,
    ACTIONS(4891), 1,
      anon_sym_override,
    STATE(2405), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4522), 1,
      sym__property_name,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4887), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4889), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6614), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6615), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4879), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34253] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4877), 1,
      anon_sym_LT,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    ACTIONS(4897), 1,
      anon_sym_is,
    STATE(2406), 1,
      sym_comment,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34322] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4877), 1,
      anon_sym_LT,
    ACTIONS(4899), 1,
      anon_sym_DOT,
    STATE(2407), 1,
      sym_comment,
    STATE(2437), 1,
      sym_arguments,
    STATE(2438), 1,
      sym_type_arguments,
    ACTIONS(4214), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34393] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4877), 1,
      anon_sym_LT,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    STATE(2408), 1,
      sym_comment,
    STATE(2443), 1,
      sym_arguments,
    STATE(2444), 1,
      sym_type_arguments,
    ACTIONS(4901), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4903), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34464] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4877), 1,
      anon_sym_LT,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4915), 1,
      anon_sym_QMARK_DOT,
    STATE(2409), 1,
      sym_comment,
    STATE(2541), 1,
      sym_type_arguments,
    STATE(2621), 1,
      sym_arguments,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4907), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4909), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34541] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4877), 1,
      anon_sym_LT,
    STATE(2410), 1,
      sym_comment,
    STATE(2468), 1,
      sym_type_arguments,
    ACTIONS(4917), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(2061), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [34665] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(2412), 1,
      sym_comment,
    STATE(2694), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [34729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2413), 1,
      sym_comment,
    ACTIONS(4923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4925), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [34789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(4386), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34849] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(2152), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2154), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34909] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_DOT,
    STATE(2416), 1,
      sym_comment,
    STATE(2694), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [34975] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(2174), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2176), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(4395), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35095] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(4412), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(4933), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4935), 1,
      anon_sym_is,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    STATE(2421), 1,
      sym_comment,
    STATE(2651), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [35283] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      sym__automatic_semicolon,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(2112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2238), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(4945), 1,
      anon_sym_DOT,
    STATE(2423), 1,
      sym_comment,
    STATE(2694), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35413] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4897), 1,
      anon_sym_is,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(4947), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4949), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4897), 1,
      anon_sym_is,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35537] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4877), 1,
      anon_sym_LT,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    STATE(2426), 1,
      sym_comment,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35603] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35662] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35721] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(4963), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4965), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35780] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35839] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_DOT,
    STATE(2431), 1,
      sym_comment,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35963] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4987), 1,
      anon_sym_RPAREN,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2433), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7295), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2434), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36147] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2435), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    STATE(2436), 1,
      sym_comment,
    ACTIONS(5037), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2437), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2438), 1,
      sym_comment,
    ACTIONS(5047), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5049), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(5051), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5053), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2440), 1,
      sym_comment,
    ACTIONS(5055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5057), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2441), 1,
      sym_comment,
    ACTIONS(5059), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5061), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2442), 1,
      sym_comment,
    ACTIONS(5063), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5065), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36621] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2443), 1,
      sym_comment,
    ACTIONS(5067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5069), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(5071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5073), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36739] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(5075), 1,
      anon_sym_DOT,
    STATE(2445), 1,
      sym_comment,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36863] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(3391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3615), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2448), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2449), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2450), 1,
      sym_comment,
    ACTIONS(5081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5083), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37099] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5089), 1,
      anon_sym_DOT,
    STATE(2451), 1,
      sym_comment,
    ACTIONS(5085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2452), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37219] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2453), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2454), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37396] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    STATE(2456), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37491] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2457), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2458), 1,
      sym_comment,
    ACTIONS(5117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37609] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_extends,
    STATE(2459), 1,
      sym_comment,
    ACTIONS(5127), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5123), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37674] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5135), 1,
      anon_sym_extends,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(5131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5133), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37735] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2461), 1,
      sym_comment,
    ACTIONS(5137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5139), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37794] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2462), 1,
      sym_comment,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(2124), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2130), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37857] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [37916] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5141), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2464), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7279), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2465), 1,
      sym_comment,
    ACTIONS(5143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38100] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    STATE(2466), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38195] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    STATE(2467), 1,
      sym_comment,
    ACTIONS(5150), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2468), 1,
      sym_comment,
    ACTIONS(5154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38315] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    STATE(2469), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2470), 1,
      sym_comment,
    ACTIONS(4435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38469] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(2182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2184), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2472), 1,
      sym_comment,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2473), 1,
      sym_comment,
    ACTIONS(4442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5163), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2474), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38705] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2475), 1,
      sym_comment,
    ACTIONS(5165), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5167), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2476), 1,
      sym_comment,
    ACTIONS(4444), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5173), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38829] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2478), 1,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5182), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [38949] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2479), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7427), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2480), 1,
      sym_comment,
    ACTIONS(5186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5188), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39133] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(3405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3617), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39192] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2482), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7410), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2483), 1,
      sym_comment,
    ACTIONS(5192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5194), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2484), 1,
      sym_comment,
    ACTIONS(3403), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3629), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2485), 1,
      sym_comment,
    ACTIONS(5196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2486), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39553] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2487), 1,
      sym_comment,
    ACTIONS(5204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2488), 1,
      sym_comment,
    ACTIONS(4448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5208), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(4437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    STATE(2491), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [39850] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(5217), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5219), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39915] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2493), 1,
      sym_comment,
    ACTIONS(4959), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39980] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2494), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7236), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40105] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3557), 1,
      anon_sym_extends,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5226), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2114), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40172] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2496), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40231] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    STATE(2497), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40326] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4915), 1,
      anon_sym_QMARK_DOT,
    STATE(2498), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40393] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2499), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7503), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(5234), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5236), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40577] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    STATE(2501), 1,
      sym_comment,
    ACTIONS(5244), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5247), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5238), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40644] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2502), 1,
      sym_comment,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5252), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5254), 1,
      sym__automatic_semicolon,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2504), 1,
      sym_comment,
    ACTIONS(5256), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(5260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40894] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2506), 1,
      sym_comment,
    ACTIONS(5264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5266), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [40953] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(5196), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4919), 1,
      anon_sym_extends,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41079] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2509), 1,
      sym_comment,
    ACTIONS(3387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3557), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2510), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41197] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2511), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41256] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(5033), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5035), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41319] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5182), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(4422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(4947), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4949), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4943), 1,
      sym__automatic_semicolon,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(2112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2238), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [41970] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(2524), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42065] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42124] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(5293), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5295), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(4422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42425] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_QMARK,
    STATE(2531), 1,
      sym_comment,
    ACTIONS(5045), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(4416), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5305), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2533), 1,
      sym_comment,
    ACTIONS(5307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5309), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(5311), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5313), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(5315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42785] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [42962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43021] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    STATE(2541), 1,
      sym_comment,
    STATE(2698), 1,
      sym_arguments,
    ACTIONS(5327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5329), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43084] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2542), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(7181), 1,
      sym_type_annotation,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2543), 1,
      sym_comment,
    ACTIONS(5333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5335), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43329] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(5337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5339), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43447] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2547), 1,
      sym_comment,
    ACTIONS(5341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5343), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43506] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2548), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43567] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2549), 1,
      sym_comment,
    ACTIONS(3393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3633), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43803] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(5349), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5351), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43868] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5041), 1,
      anon_sym_AMP,
    ACTIONS(5169), 1,
      anon_sym_PIPE,
    ACTIONS(5171), 1,
      anon_sym_extends,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(5353), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5355), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [43992] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2556), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5363), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(5399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5401), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44166] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2558), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44254] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2559), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5405), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [44352] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2560), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44438] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2561), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5417), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44554] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5469), 1,
      anon_sym_COMMA,
    ACTIONS(5472), 1,
      anon_sym_RBRACE,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2562), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44674] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5514), 1,
      anon_sym_LT,
    STATE(2563), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [44750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2564), 1,
      sym_comment,
    ACTIONS(5517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5519), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44808] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2565), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5363), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44924] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5525), 1,
      anon_sym_LT,
    STATE(2566), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45060] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2568), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5528), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45176] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2569), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45246] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2570), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45332] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    ACTIONS(5537), 1,
      anon_sym_RBRACE,
    STATE(2571), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45452] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2572), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5539), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45568] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5537), 1,
      anon_sym_RBRACE,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    STATE(2573), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45688] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2574), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(5546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5548), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(5550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5363), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45904] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46024] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5537), 1,
      anon_sym_RBRACE,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    STATE(2578), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46144] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2579), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46246] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5558), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2580), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(2232), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2236), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2582), 1,
      sym_comment,
    ACTIONS(2264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46446] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2583), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2584), 1,
      sym_comment,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2256), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46594] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5558), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2585), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46680] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5561), 1,
      anon_sym_LT,
    STATE(2586), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46760] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2587), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2588), 1,
      sym_comment,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2314), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46912] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2589), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5564), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47028] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5566), 1,
      anon_sym_DOT,
    ACTIONS(5568), 1,
      anon_sym_LT,
    STATE(2590), 1,
      sym_comment,
    STATE(3049), 1,
      sym_arguments,
    STATE(3050), 1,
      sym_type_arguments,
    ACTIONS(4901), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4903), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2591), 1,
      sym_comment,
    ACTIONS(5570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5572), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47154] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2592), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47212] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5568), 1,
      anon_sym_LT,
    ACTIONS(5578), 1,
      anon_sym_DOT,
    STATE(2593), 1,
      sym_comment,
    STATE(3047), 1,
      sym_arguments,
    STATE(3048), 1,
      sym_type_arguments,
    ACTIONS(4869), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4871), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47280] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2594), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5580), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47396] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2595), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47504] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2596), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47562] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5568), 1,
      anon_sym_LT,
    ACTIONS(5586), 1,
      anon_sym_DOT,
    STATE(2597), 1,
      sym_comment,
    STATE(3045), 1,
      sym_arguments,
    STATE(3046), 1,
      sym_type_arguments,
    ACTIONS(4214), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4204), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2598), 1,
      sym_comment,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [47688] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2599), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5588), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [47804] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_STAR,
    ACTIONS(5592), 1,
      anon_sym_LBRACE,
    ACTIONS(5594), 1,
      anon_sym_async,
    ACTIONS(5596), 1,
      anon_sym_readonly,
    STATE(2600), 1,
      sym_comment,
    STATE(3631), 1,
      sym_statement_block,
    STATE(3725), 1,
      sym_override_modifier,
    STATE(4025), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5598), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47892] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2601), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5600), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48008] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2602), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48128] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2603), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2604), 1,
      sym_comment,
    ACTIONS(2302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2304), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48306] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2605), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48410] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2606), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5606), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48526] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2607), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5528), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48642] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(2608), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48706] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2609), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5539), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48822] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2610), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5564), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48938] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2611), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5580), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49054] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2612), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49148] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2613), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49254] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5558), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2614), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [49340] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5561), 1,
      anon_sym_LT,
    STATE(2615), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [49426] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2616), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49546] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2617), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5616), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49666] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2618), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49764] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2619), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49870] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2620), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2621), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2622), 1,
      sym_comment,
    ACTIONS(5622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2623), 1,
      sym_comment,
    ACTIONS(5626), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5628), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50148] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2624), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5544), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [50264] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5568), 1,
      anon_sym_LT,
    ACTIONS(5630), 1,
      anon_sym_QMARK_DOT,
    STATE(2625), 1,
      sym_comment,
    STATE(2926), 1,
      sym_type_arguments,
    STATE(3368), 1,
      sym_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(4907), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4909), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2626), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50396] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2627), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50512] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4977), 1,
      anon_sym_extends,
    STATE(2628), 1,
      sym_comment,
    ACTIONS(5636), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5639), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5632), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2629), 1,
      sym_comment,
    ACTIONS(5642), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5644), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50634] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2630), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [50734] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2631), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5646), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [50850] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2632), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5606), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [50966] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2633), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2634), 1,
      sym_comment,
    ACTIONS(5648), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5650), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51132] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5558), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2635), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51212] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2636), 1,
      sym_comment,
    ACTIONS(5652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5654), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51270] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2637), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [51372] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5561), 1,
      anon_sym_LT,
    STATE(2638), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2639), 1,
      sym_comment,
    ACTIONS(2178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2180), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51514] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2640), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5656), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [51630] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2641), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51750] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2642), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51870] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2643), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5662), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [51986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2644), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52044] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5561), 1,
      anon_sym_LT,
    STATE(2645), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2646), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52188] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2647), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [52282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2648), 1,
      sym_comment,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52340] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5672), 1,
      anon_sym_LT,
    STATE(2649), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [52424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2650), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [52482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2651), 1,
      sym_comment,
    ACTIONS(5675), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5677), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52540] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2652), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [52656] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2653), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5588), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [52772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2654), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2655), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    STATE(2656), 1,
      sym_comment,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [52948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2657), 1,
      sym_comment,
    ACTIONS(2186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2188), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2658), 1,
      sym_comment,
    ACTIONS(2222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2659), 1,
      sym_comment,
    ACTIONS(2214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2660), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53180] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2661), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53268] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2662), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5588), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53384] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5679), 1,
      sym__automatic_semicolon,
    STATE(2663), 1,
      sym_comment,
    ACTIONS(2296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2298), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [53444] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2664), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53530] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2665), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5600), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [53646] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LT,
    ACTIONS(5681), 1,
      anon_sym_DOT,
    ACTIONS(5683), 1,
      anon_sym_is,
    STATE(2666), 1,
      sym_comment,
    STATE(2891), 1,
      sym_type_arguments,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53712] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5685), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2667), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [53790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    STATE(2668), 1,
      sym_comment,
    ACTIONS(5688), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53854] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2669), 1,
      sym_comment,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(2182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2184), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53972] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2671), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5476), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [54088] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2672), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54208] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2673), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54298] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5696), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2674), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [54382] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2675), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5476), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [54498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2676), 1,
      sym_comment,
    ACTIONS(5699), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5701), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54556] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2677), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54676] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5705), 1,
      anon_sym_LT,
    STATE(2678), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54752] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2679), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5656), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [54868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2680), 1,
      sym_comment,
    ACTIONS(2206), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54926] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2682), 1,
      sym_comment,
    ACTIONS(2302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2304), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [55070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2683), 1,
      sym_comment,
    ACTIONS(2162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2684), 1,
      sym_comment,
    ACTIONS(5711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5713), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2685), 1,
      sym_comment,
    ACTIONS(5715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5717), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55244] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2686), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5588), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55302] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(2687), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55386] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2688), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55472] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2689), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5363), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [55588] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2690), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55678] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2691), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2692), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [55856] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2693), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5662), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [55972] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(2190), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2192), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [56030] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2695), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56132] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2696), 1,
      sym_comment,
    ACTIONS(2116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5727), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56194] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2697), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5606), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2698), 1,
      sym_comment,
    ACTIONS(5730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5732), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56368] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2699), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56468] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2700), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5656), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [56584] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2701), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2702), 1,
      sym_comment,
    ACTIONS(5736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5738), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56762] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2703), 1,
      sym_comment,
    ACTIONS(5740), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5742), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56820] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5744), 1,
      anon_sym_LT,
    STATE(2704), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [56898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2705), 1,
      sym_comment,
    ACTIONS(5747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5749), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56956] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2706), 1,
      sym_comment,
    ACTIONS(5240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5751), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2707), 1,
      sym_comment,
    ACTIONS(5754), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5756), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2708), 1,
      sym_comment,
    ACTIONS(5758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5760), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57134] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2709), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5662), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [57250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2710), 1,
      sym_comment,
    ACTIONS(5762), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5539), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57308] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57396] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2712), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [57494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2713), 1,
      sym_comment,
    ACTIONS(2244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57552] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2714), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5528), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2715), 1,
      sym_comment,
    ACTIONS(5764), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5528), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [57726] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2716), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5539), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [57842] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(2717), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [57928] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5423), 1,
      anon_sym_GT,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    ACTIONS(5768), 1,
      anon_sym_in,
    STATE(2718), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5766), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [58046] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2719), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5771), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [58162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2720), 1,
      sym_comment,
    ACTIONS(5773), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58220] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5777), 1,
      anon_sym_LT,
    STATE(2721), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [58304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2722), 1,
      sym_comment,
    ACTIONS(5780), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5606), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58362] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(2723), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [58442] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2724), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58530] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2725), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [58638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(5632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58696] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2727), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58814] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2728), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58884] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2729), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59004] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2730), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [59110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2731), 1,
      sym_comment,
    ACTIONS(2200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2202), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2732), 1,
      sym_comment,
    ACTIONS(2258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2733), 1,
      sym_comment,
    ACTIONS(5786), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5788), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2734), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5790), 1,
      sym__automatic_semicolon,
    STATE(2735), 1,
      sym_comment,
    ACTIONS(2112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2238), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59402] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    STATE(2736), 1,
      sym_comment,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [59462] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2737), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59548] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2738), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59668] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2739), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5771), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [59784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2740), 1,
      sym_comment,
    ACTIONS(2258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2260), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59842] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2741), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5771), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [59958] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2742), 1,
      sym_comment,
    ACTIONS(5794), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5800), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60020] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2743), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5564), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [60136] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2744), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5544), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60252] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2745), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5417), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [60368] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(5387), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2746), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [60438] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2747), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5417), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60554] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(2748), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [60658] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2749), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5544), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [60774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2750), 1,
      sym_comment,
    ACTIONS(5803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5805), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2751), 1,
      sym_comment,
    ACTIONS(2200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2202), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [60890] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2752), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2753), 1,
      sym_comment,
    ACTIONS(5809), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(5813), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5815), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2755), 1,
      sym_comment,
    ACTIONS(5817), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5417), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61184] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5433), 1,
      anon_sym_GT_GT,
    ACTIONS(5437), 1,
      anon_sym_AMP,
    ACTIONS(5439), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_PERCENT,
    ACTIONS(5447), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5449), 1,
      anon_sym_LT,
    ACTIONS(5457), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5465), 1,
      sym__ternary_qmark,
    STATE(2756), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5413), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5435), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5443), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5453), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5451), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5580), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [61300] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2757), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [61376] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2758), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61496] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(2759), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(5608), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61616] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2760), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61704] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2761), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [61805] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2762), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61924] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2763), 1,
      sym_comment,
    STATE(6123), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62043] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(2764), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5278), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62108] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2765), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5834), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [62223] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_static,
    ACTIONS(5838), 1,
      anon_sym_readonly,
    ACTIONS(5840), 1,
      anon_sym_abstract,
    STATE(2766), 1,
      sym_comment,
    STATE(3707), 1,
      sym_accessibility_modifier,
    STATE(3750), 1,
      sym_override_modifier,
    STATE(4300), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [62308] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2767), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62423] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2768), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62538] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2769), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5544), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62653] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    STATE(2770), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62768] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_COMMA,
    STATE(2771), 1,
      sym_comment,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62885] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    STATE(2772), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5065), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62952] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    STATE(2773), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5846), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3557), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63019] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5850), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2774), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [63094] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2775), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63175] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5853), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2776), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63294] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2777), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5855), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [63409] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2778), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63490] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2779), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5606), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63605] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LT,
    STATE(2780), 1,
      sym_comment,
    STATE(2897), 1,
      sym_type_arguments,
    ACTIONS(4917), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63666] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2781), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63747] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4330), 1,
      anon_sym_QMARK,
    STATE(2782), 1,
      sym_comment,
    ACTIONS(4328), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63810] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2783), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5528), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63925] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2784), 1,
      sym_comment,
    ACTIONS(5240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5857), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2785), 1,
      sym_comment,
    ACTIONS(2061), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2063), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [64043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2786), 1,
      sym_comment,
    ACTIONS(4412), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4933), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [64100] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2787), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64215] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2788), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5539), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [64330] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5861), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2789), 1,
      sym_comment,
    STATE(5991), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64449] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2790), 1,
      sym_comment,
    STATE(6162), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64568] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5865), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2791), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [64651] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(4395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4931), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [64708] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2793), 1,
      sym_comment,
    ACTIONS(5794), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5868), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64769] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5870), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2794), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64888] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2795), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65007] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(2796), 1,
      sym_comment,
    STATE(3296), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65070] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    STATE(2797), 1,
      sym_comment,
    ACTIONS(4310), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65133] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2798), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65252] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2799), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5544), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65367] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2800), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5600), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65482] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5912), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2801), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [65567] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2802), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5564), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65682] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5915), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2803), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65801] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2804), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5580), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65916] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5917), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2805), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66035] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5919), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2806), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66154] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5921), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2807), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [66231] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2808), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66350] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2809), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66431] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2810), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5600), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66546] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2811), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5606), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66661] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2812), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5528), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66776] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2813), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [66883] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2814), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5539), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66998] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [67091] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2816), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(6283), 1,
      aux_sym_array_repeat1,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67210] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5928), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2817), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67329] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5930), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2818), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67448] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3557), 1,
      anon_sym_extends,
    STATE(2819), 1,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5226), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2114), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67513] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5932), 1,
      anon_sym_is,
    STATE(2820), 1,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67572] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2821), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5564), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67687] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2822), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5580), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67802] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2823), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67871] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5912), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2824), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [67954] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2825), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5588), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68069] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2826), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5417), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68184] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2827), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [68283] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2828), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68400] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5936), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2829), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [68475] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2830), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5656), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68590] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5939), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2831), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [68673] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5942), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2832), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [68750] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5683), 1,
      anon_sym_is,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(4947), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4949), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68809] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2834), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5588), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68924] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2835), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69021] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5912), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2836), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69106] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2837), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [69213] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2838), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69318] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2839), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69421] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2840), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [69514] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2841), 1,
      sym_comment,
    STATE(3170), 1,
      sym_type_arguments,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5945), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [69629] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2842), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69710] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5912), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2843), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69789] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2844), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [69874] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    STATE(2845), 1,
      sym_comment,
    ACTIONS(5244), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5247), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5238), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69939] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2846), 1,
      sym_comment,
    ACTIONS(2116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5950), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70000] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2847), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [70083] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2848), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5771), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [70198] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2849), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [70299] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2850), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [70398] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2851), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [70495] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2852), 1,
      sym_comment,
    STATE(6123), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70614] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2853), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [70699] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5568), 1,
      anon_sym_LT,
    ACTIONS(5681), 1,
      anon_sym_DOT,
    STATE(2854), 1,
      sym_comment,
    STATE(2891), 1,
      sym_type_arguments,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4255), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70762] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2855), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [70867] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2856), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5954), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70984] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2857), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [71087] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2858), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [71166] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2859), 1,
      sym_comment,
    STATE(5981), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71285] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2860), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [71374] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2861), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5363), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71489] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2862), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5476), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71604] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2863), 1,
      sym_comment,
    STATE(6226), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71723] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2864), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5662), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71838] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2865), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71957] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2866), 1,
      sym_comment,
    STATE(6156), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72076] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5964), 1,
      anon_sym_static,
    ACTIONS(5966), 1,
      anon_sym_readonly,
    ACTIONS(5968), 1,
      anon_sym_abstract,
    STATE(2867), 1,
      sym_comment,
    STATE(3705), 1,
      sym_accessibility_modifier,
    STATE(3779), 1,
      sym_override_modifier,
    STATE(4384), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2868), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [72218] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5970), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2869), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72337] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2870), 1,
      sym_comment,
    STATE(6055), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72456] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2871), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72573] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2872), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72662] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2873), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4927), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [72838] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2875), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72957] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5480), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5482), 1,
      anon_sym_GT_GT,
    ACTIONS(5486), 1,
      anon_sym_AMP,
    ACTIONS(5488), 1,
      anon_sym_CARET,
    ACTIONS(5490), 1,
      anon_sym_PIPE,
    ACTIONS(5494), 1,
      anon_sym_PERCENT,
    ACTIONS(5496), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5498), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5508), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2876), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5474), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5484), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5492), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5502), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5504), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5980), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5500), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73074] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5982), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2877), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73193] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2878), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73308] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(5900), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2879), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [73377] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5683), 1,
      anon_sym_is,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [73436] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2881), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5476), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73551] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2882), 1,
      sym_comment,
    STATE(5951), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73670] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2883), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5662), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73785] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5880), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5882), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5884), 1,
      anon_sym_GT_GT,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5890), 1,
      anon_sym_CARET,
    ACTIONS(5892), 1,
      anon_sym_PIPE,
    ACTIONS(5896), 1,
      anon_sym_PERCENT,
    ACTIONS(5898), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5908), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5910), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2884), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5876), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5878), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5894), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5771), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5902), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73900] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    ACTIONS(5986), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2885), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74019] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    STATE(2886), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74106] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2887), 1,
      sym_comment,
    STATE(5703), 1,
      aux_sym_array_repeat1,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(4923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4925), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [74282] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2889), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74396] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2890), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2891), 1,
      sym_comment,
    ACTIONS(4963), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4965), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74540] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(2892), 1,
      sym_comment,
    ACTIONS(5217), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5219), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5129), 1,
      anon_sym_extends,
    ACTIONS(6014), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_comment,
    ACTIONS(5127), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5123), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6016), 1,
      anon_sym_extends,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(5131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5133), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74722] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6014), 1,
      anon_sym_LBRACK,
    STATE(2895), 1,
      sym_comment,
    ACTIONS(5150), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5152), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74780] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_QMARK_DOT,
    STATE(2896), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2897), 1,
      sym_comment,
    ACTIONS(5154), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5156), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74900] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(158), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(6020), 1,
      anon_sym_COMMA,
    ACTIONS(6022), 1,
      anon_sym_RBRACE,
    STATE(2898), 1,
      sym_comment,
    STATE(6300), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7252), 1,
      sym__property_name,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6308), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6018), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74982] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2900), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5688), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4949), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2901), 1,
      sym_comment,
    ACTIONS(5639), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5636), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4977), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5632), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75164] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2902), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(5033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5035), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75334] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(2904), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    STATE(2905), 1,
      sym_comment,
    ACTIONS(5037), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5039), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2906), 1,
      sym_comment,
    ACTIONS(5059), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5061), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2907), 1,
      sym_comment,
    ACTIONS(5063), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5065), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75568] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_comment,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5278), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75636] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    ACTIONS(6053), 1,
      anon_sym_RPAREN,
    STATE(2909), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6050), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75704] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(2910), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2911), 1,
      sym_comment,
    ACTIONS(5081), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5083), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75822] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2912), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5278), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6057), 1,
      anon_sym_DOT,
    STATE(2913), 1,
      sym_comment,
    ACTIONS(5085), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5087), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75942] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    STATE(2914), 1,
      sym_comment,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76000] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6063), 1,
      sym_regex_flags,
    STATE(2915), 1,
      sym_comment,
    ACTIONS(6059), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6061), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76058] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(2916), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2917), 1,
      sym_comment,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76206] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(2918), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76296] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2919), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76410] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(2920), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76474] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2921), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76588] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5063), 1,
      anon_sym_QMARK,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_COLON,
    STATE(2922), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76658] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3387), 1,
      anon_sym_QMARK,
    ACTIONS(3557), 1,
      anon_sym_extends,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_COLON,
    STATE(2923), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5846), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76728] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2924), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76842] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_STAR,
    ACTIONS(5594), 1,
      anon_sym_async,
    ACTIONS(6071), 1,
      anon_sym_abstract,
    STATE(2925), 1,
      sym_comment,
    STATE(4025), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5598), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76920] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    STATE(2926), 1,
      sym_comment,
    STATE(3180), 1,
      sym_arguments,
    ACTIONS(5327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5329), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76980] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6073), 1,
      anon_sym_STAR,
    ACTIONS(6075), 1,
      anon_sym_async,
    ACTIONS(6077), 1,
      anon_sym_readonly,
    STATE(2927), 1,
      sym_comment,
    STATE(3731), 1,
      sym_override_modifier,
    STATE(4063), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6079), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77062] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(2928), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77152] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    ACTIONS(6085), 1,
      anon_sym_RPAREN,
    STATE(2929), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6083), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77220] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(2930), 1,
      sym_comment,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5278), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77288] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2931), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77402] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2932), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5834), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77516] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4919), 1,
      anon_sym_extends,
    STATE(2933), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(2934), 1,
      sym_comment,
    ACTIONS(5256), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5258), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(5688), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77698] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(2936), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(2937), 1,
      sym_comment,
    ACTIONS(5165), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5167), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2938), 1,
      sym_comment,
    ACTIONS(5357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5359), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [77880] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2939), 1,
      sym_comment,
    ACTIONS(5045), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77938] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2940), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4977), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [78108] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5842), 1,
      anon_sym_RPAREN,
    STATE(2942), 1,
      sym_comment,
    ACTIONS(5240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5751), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78176] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3557), 1,
      anon_sym_extends,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(2116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5727), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78244] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6090), 1,
      anon_sym_STAR,
    ACTIONS(6092), 1,
      anon_sym_async,
    ACTIONS(6094), 1,
      anon_sym_readonly,
    STATE(2944), 1,
      sym_comment,
    STATE(3726), 1,
      sym_override_modifier,
    STATE(4014), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6096), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78326] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6090), 1,
      anon_sym_STAR,
    ACTIONS(6092), 1,
      anon_sym_async,
    ACTIONS(6098), 1,
      anon_sym_abstract,
    STATE(2945), 1,
      sym_comment,
    STATE(4014), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6096), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78404] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6100), 1,
      anon_sym_static,
    ACTIONS(6102), 1,
      anon_sym_readonly,
    ACTIONS(6104), 1,
      anon_sym_abstract,
    STATE(2946), 1,
      sym_comment,
    STATE(3790), 1,
      sym_override_modifier,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78484] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6110), 1,
      anon_sym_readonly,
    STATE(2947), 1,
      sym_comment,
    STATE(3723), 1,
      sym_override_modifier,
    STATE(4028), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78566] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6114), 1,
      anon_sym_abstract,
    STATE(2948), 1,
      sym_comment,
    STATE(4029), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78644] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 1,
      anon_sym_STAR,
    ACTIONS(6118), 1,
      anon_sym_async,
    ACTIONS(6120), 1,
      anon_sym_readonly,
    STATE(2949), 1,
      sym_comment,
    STATE(3728), 1,
      sym_override_modifier,
    STATE(4093), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6122), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78726] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3557), 1,
      anon_sym_extends,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    ACTIONS(6124), 1,
      anon_sym_RPAREN,
    STATE(2950), 1,
      sym_comment,
    ACTIONS(2116), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5950), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78794] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    STATE(2951), 1,
      sym_comment,
    ACTIONS(5240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5857), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78862] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_RPAREN,
    STATE(2952), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6130), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6132), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78930] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(2953), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79020] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6139), 1,
      anon_sym_SEMI,
    ACTIONS(6141), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2954), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79136] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2955), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(2956), 1,
      sym_comment,
    ACTIONS(5293), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5295), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79312] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(2957), 1,
      sym_comment,
    ACTIONS(5349), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5351), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79374] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    ACTIONS(6147), 1,
      anon_sym_readonly,
    STATE(2958), 1,
      sym_comment,
    STATE(3730), 1,
      sym_override_modifier,
    STATE(4011), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79456] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    ACTIONS(6151), 1,
      anon_sym_abstract,
    STATE(2959), 1,
      sym_comment,
    STATE(4012), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79534] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_static,
    ACTIONS(6155), 1,
      anon_sym_readonly,
    ACTIONS(6157), 1,
      anon_sym_abstract,
    STATE(2960), 1,
      sym_comment,
    STATE(3753), 1,
      sym_override_modifier,
    STATE(4380), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79614] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2961), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79728] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5371), 1,
      anon_sym_GT_GT,
    ACTIONS(5375), 1,
      anon_sym_AMP,
    ACTIONS(5377), 1,
      anon_sym_CARET,
    ACTIONS(5379), 1,
      anon_sym_PIPE,
    ACTIONS(5383), 1,
      anon_sym_PERCENT,
    ACTIONS(5385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5387), 1,
      anon_sym_LT,
    ACTIONS(5395), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5397), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2962), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5365), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5391), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5393), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5389), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79842] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6159), 1,
      anon_sym_SEMI,
    ACTIONS(6161), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2963), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79958] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2964), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2965), 1,
      sym_comment,
    ACTIONS(4951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80072] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2966), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5411), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80150] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    STATE(2967), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80230] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(2968), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80320] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 1,
      anon_sym_STAR,
    ACTIONS(6165), 1,
      anon_sym_async,
    ACTIONS(6167), 1,
      anon_sym_readonly,
    STATE(2969), 1,
      sym_comment,
    STATE(3721), 1,
      sym_override_modifier,
    STATE(4071), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6169), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80402] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2970), 1,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5035), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80462] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    STATE(2971), 1,
      sym_comment,
    ACTIONS(5065), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5247), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5238), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80526] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    STATE(2972), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5226), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2114), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80590] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6171), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2973), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [80664] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2974), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5656), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80778] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(2975), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80868] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(6174), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2976), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [80950] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6177), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2977), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81026] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(158), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(6020), 1,
      anon_sym_COMMA,
    ACTIONS(6182), 1,
      anon_sym_RBRACE,
    STATE(2978), 1,
      sym_comment,
    STATE(6289), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7252), 1,
      sym__property_name,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6227), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6180), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81108] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2979), 1,
      sym_comment,
    ACTIONS(3405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3617), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2980), 1,
      sym_comment,
    ACTIONS(3403), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3629), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2981), 1,
      sym_comment,
    ACTIONS(4448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5208), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2982), 1,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5210), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2983), 1,
      sym_comment,
    ACTIONS(4437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2984), 1,
      sym_comment,
    ACTIONS(3393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3633), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81444] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4995), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4997), 1,
      anon_sym_GT_GT,
    ACTIONS(5001), 1,
      anon_sym_AMP,
    ACTIONS(5003), 1,
      anon_sym_CARET,
    ACTIONS(5005), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_PERCENT,
    ACTIONS(5011), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5013), 1,
      anon_sym_LT,
    ACTIONS(5021), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5027), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(2985), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(4979), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4989), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4999), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5017), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5019), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5015), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2986), 1,
      sym_comment,
    ACTIONS(4416), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5305), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(4422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2988), 1,
      sym_comment,
    ACTIONS(4422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5182), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81782] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2990), 1,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5182), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [81838] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6184), 1,
      anon_sym_SEMI,
    ACTIONS(6186), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2991), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(2992), 1,
      sym_comment,
    ACTIONS(3391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3615), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82010] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2993), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82124] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6190), 1,
      anon_sym_SEMI,
    ACTIONS(6192), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2994), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82240] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2995), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82354] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2996), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5564), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82468] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2997), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82582] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2998), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82696] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(2999), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3000), 1,
      sym_comment,
    ACTIONS(4444), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5173), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3001), 1,
      sym_comment,
    ACTIONS(4442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5163), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3002), 1,
      sym_comment,
    ACTIONS(4435), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5161), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3003), 1,
      sym_comment,
    ACTIONS(3387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3557), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83034] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3004), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83148] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3005), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83238] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6198), 1,
      anon_sym_SEMI,
    ACTIONS(6200), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3006), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83354] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3007), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6202), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83468] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5790), 1,
      sym__automatic_semicolon,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(2112), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2238), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83528] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(3009), 1,
      sym_comment,
    ACTIONS(5353), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5355), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3010), 1,
      sym_comment,
    ACTIONS(5341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3011), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3012), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3013), 1,
      sym_comment,
    ACTIONS(5319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5321), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [83814] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3014), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83928] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3015), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84042] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3016), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84148] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3019), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(5297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5299), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3024), 1,
      sym_comment,
    ACTIONS(5192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5194), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3025), 1,
      sym_comment,
    ACTIONS(5186), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5188), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3026), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4969), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3027), 1,
      sym_comment,
    ACTIONS(5029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(4917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4919), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6014), 1,
      anon_sym_LBRACK,
    STATE(3029), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3030), 1,
      sym_comment,
    ACTIONS(5127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [84970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3031), 1,
      sym_comment,
    ACTIONS(4947), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4949), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3032), 1,
      sym_comment,
    ACTIONS(5276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5278), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3033), 1,
      sym_comment,
    ACTIONS(5234), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5236), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3034), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85194] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6204), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3035), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [85278] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6204), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3036), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [85360] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3037), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [85460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3038), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3039), 1,
      sym_comment,
    ACTIONS(5077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5079), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3040), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85628] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3041), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6207), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3042), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3043), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5093), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3045), 1,
      sym_comment,
    ACTIONS(5043), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5045), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [85966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3046), 1,
      sym_comment,
    ACTIONS(5047), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5049), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3047), 1,
      sym_comment,
    ACTIONS(5051), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5053), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3048), 1,
      sym_comment,
    ACTIONS(5055), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5057), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(5067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5069), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3050), 1,
      sym_comment,
    ACTIONS(5071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5073), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86246] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6209), 1,
      sym__automatic_semicolon,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(2238), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5097), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3054), 1,
      sym_comment,
    ACTIONS(5143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5145), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86476] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6006), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3055), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [86544] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3056), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6211), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86658] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3057), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86772] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3058), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86886] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    ACTIONS(6213), 1,
      anon_sym_SEMI,
    ACTIONS(6215), 1,
      sym__automatic_semicolon,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3059), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87002] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3060), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5771), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87116] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3061), 1,
      sym_comment,
    ACTIONS(5033), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5035), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4977), 1,
      anon_sym_extends,
    STATE(3062), 1,
      sym_comment,
    ACTIONS(5636), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5639), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5632), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3063), 1,
      sym_comment,
    ACTIONS(4955), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4957), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3064), 1,
      sym_comment,
    ACTIONS(5117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5119), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87350] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(5196), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(5196), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5198), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3067), 1,
      sym_comment,
    ACTIONS(5204), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5206), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87524] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(3068), 1,
      sym_comment,
    ACTIONS(5250), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5252), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3069), 1,
      sym_comment,
    ACTIONS(5137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5139), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87642] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5179), 1,
      anon_sym_DOT,
    STATE(3070), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3071), 1,
      sym_comment,
    ACTIONS(5264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5266), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3072), 1,
      sym_comment,
    ACTIONS(5260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5045), 1,
      anon_sym_extends,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5214), 1,
      anon_sym_DOT,
    STATE(3074), 1,
      sym_comment,
    ACTIONS(5175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5177), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3075), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [87984] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    ACTIONS(6010), 1,
      anon_sym_PIPE,
    ACTIONS(6012), 1,
      anon_sym_extends,
    STATE(3076), 1,
      sym_comment,
    ACTIONS(4959), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4961), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3077), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3078), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3079), 1,
      sym_comment,
    ACTIONS(5268), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5270), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88214] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3080), 1,
      sym_comment,
    ACTIONS(5272), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88270] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3082), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3083), 1,
      sym_comment,
    ACTIONS(5282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88438] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3084), 1,
      sym_comment,
    ACTIONS(5286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88494] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3086), 1,
      sym_comment,
    ACTIONS(5307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5309), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6008), 1,
      anon_sym_AMP,
    STATE(3087), 1,
      sym_comment,
    ACTIONS(5311), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5313), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3088), 1,
      sym_comment,
    ACTIONS(5315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5317), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88720] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3089), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88776] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3090), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [88874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3091), 1,
      sym_comment,
    ACTIONS(5323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5325), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88930] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3092), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89026] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6204), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3093), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [89110] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3094), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89214] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3095), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [89316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(5345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5347), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89372] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6204), 1,
      anon_sym_LT,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3097), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [89450] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3098), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89564] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5415), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(5463), 1,
      anon_sym_satisfies,
    ACTIONS(5996), 1,
      anon_sym_GT_GT,
    ACTIONS(6002), 1,
      anon_sym_PERCENT,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_LT,
    ACTIONS(6028), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6030), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6032), 1,
      anon_sym_AMP,
    ACTIONS(6034), 1,
      anon_sym_CARET,
    ACTIONS(6036), 1,
      anon_sym_PIPE,
    ACTIONS(6044), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6046), 1,
      sym__ternary_qmark,
    STATE(2796), 1,
      sym_type_arguments,
    STATE(3099), 1,
      sym_comment,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5459), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5994), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5998), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6040), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6038), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89678] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(5337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5339), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3101), 1,
      sym_comment,
    ACTIONS(5333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5335), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [89790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4977), 1,
      anon_sym_extends,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(5639), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5636), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(5632), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89851] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(5626), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5628), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89906] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5417), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3104), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90019] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    ACTIONS(5868), 1,
      anon_sym_of,
    ACTIONS(6253), 1,
      anon_sym_in,
    STATE(3105), 1,
      sym_comment,
    ACTIONS(5792), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90080] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3106), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90193] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5950), 1,
      anon_sym_of,
    ACTIONS(6294), 1,
      anon_sym_in,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(2114), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90254] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(3108), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90447] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(3111), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90504] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6297), 1,
      sym__automatic_semicolon,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(2334), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2232), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2236), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90563] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5544), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3113), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90676] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    STATE(3114), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90743] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6299), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3115), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90856] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5106), 1,
      anon_sym_RBRACE,
    STATE(3116), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90923] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    STATE(3117), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6301), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90996] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6303), 1,
      anon_sym_STAR,
    ACTIONS(6305), 1,
      anon_sym_async,
    STATE(3118), 1,
      sym_comment,
    STATE(4057), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6307), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91071] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91126] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_STAR,
    STATE(3120), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6311), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91199] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3121), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [91266] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6313), 1,
      anon_sym_STAR,
    STATE(3122), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6315), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91339] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5278), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91459] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5639), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(5632), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5584), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91577] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3127), 1,
      sym_comment,
    ACTIONS(5033), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5035), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91636] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(3128), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91703] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RBRACE,
    STATE(3129), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3130), 1,
      sym_comment,
    ACTIONS(5642), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5644), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91825] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6317), 1,
      anon_sym_LPAREN,
    ACTIONS(6320), 1,
      anon_sym_COLON,
    ACTIONS(6322), 1,
      anon_sym_LT,
    ACTIONS(6325), 1,
      anon_sym_QMARK,
    STATE(3131), 1,
      sym_comment,
    ACTIONS(4182), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91888] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3132), 1,
      sym_comment,
    ACTIONS(5574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91943] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3133), 1,
      sym_comment,
    ACTIONS(5570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5572), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91998] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(2354), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92055] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5636), 1,
      anon_sym_LBRACK,
    STATE(3135), 1,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5639), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5632), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92116] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5857), 1,
      anon_sym_of,
    ACTIONS(6327), 1,
      anon_sym_in,
    STATE(3136), 1,
      sym_comment,
    ACTIONS(5238), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92177] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    STATE(3137), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92244] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6330), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3138), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [92317] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_RBRACE,
    STATE(3139), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92384] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5656), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3140), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92497] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6333), 1,
      sym__automatic_semicolon,
    STATE(3141), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92556] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6335), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3142), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [92637] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6313), 1,
      anon_sym_STAR,
    ACTIONS(6338), 1,
      anon_sym_async,
    STATE(3143), 1,
      sym_comment,
    STATE(4027), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6340), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92712] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3144), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92825] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6344), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3145), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [92900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3146), 1,
      sym_comment,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2314), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92955] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6347), 1,
      sym__automatic_semicolon,
    STATE(3147), 1,
      sym_comment,
    ACTIONS(2406), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93014] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6349), 1,
      sym__automatic_semicolon,
    STATE(3148), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93073] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3149), 1,
      sym_comment,
    ACTIONS(6048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6050), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3150), 1,
      sym_comment,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2256), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93187] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3151), 1,
      sym_comment,
    ACTIONS(2264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93242] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6351), 1,
      sym__automatic_semicolon,
    STATE(3152), 1,
      sym_comment,
    ACTIONS(2372), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2256), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3153), 1,
      sym_comment,
    ACTIONS(2232), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2236), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93356] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3154), 1,
      sym_comment,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4292), 1,
      anon_sym_QMARK,
    STATE(3155), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3156), 1,
      sym_comment,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3157), 1,
      sym_comment,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3158), 1,
      sym_comment,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(2222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3160), 1,
      sym_comment,
    ACTIONS(2214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93751] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6357), 1,
      sym__automatic_semicolon,
    STATE(3161), 1,
      sym_comment,
    ACTIONS(2362), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93810] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5771), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3162), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93923] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3163), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93996] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 1,
      anon_sym_STAR,
    ACTIONS(6118), 1,
      anon_sym_async,
    STATE(3164), 1,
      sym_comment,
    STATE(4093), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6122), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94071] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 1,
      anon_sym_STAR,
    STATE(3165), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6359), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94144] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3166), 1,
      sym_comment,
    ACTIONS(6361), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94203] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3167), 1,
      sym_comment,
    ACTIONS(5754), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5756), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94258] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3168), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94353] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(6361), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94412] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    STATE(3170), 1,
      sym_comment,
    STATE(2651), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6365), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [94475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(6361), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94534] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3172), 1,
      sym_comment,
    ACTIONS(6367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94593] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6371), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3173), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    STATE(3174), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94763] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(3175), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5608), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94824] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    ACTIONS(5278), 1,
      anon_sym_extends,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6373), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94891] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(5699), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5701), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94946] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6377), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3178), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95059] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3179), 1,
      sym_comment,
    ACTIONS(2372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2252), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2256), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(5730), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5732), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(5736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5738), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95226] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(5065), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5247), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5238), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3183), 1,
      sym_comment,
    ACTIONS(2378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2314), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95346] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5226), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2114), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95409] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5476), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3185), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95522] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5363), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3186), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95635] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3187), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3188), 1,
      sym_comment,
    ACTIONS(5762), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5539), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95777] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3189), 1,
      sym_comment,
    ACTIONS(5764), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5528), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95832] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3190), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95909] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3191), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [96010] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6382), 1,
      sym__automatic_semicolon,
    STATE(3192), 1,
      sym_comment,
    ACTIONS(2322), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96069] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 1,
      anon_sym_STAR,
    ACTIONS(6165), 1,
      anon_sym_async,
    STATE(3193), 1,
      sym_comment,
    STATE(4071), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6169), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96144] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6384), 1,
      sym__automatic_semicolon,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(2326), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96203] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3195), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [96306] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3196), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [96389] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3197), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [96484] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_STAR,
    STATE(3198), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6388), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96557] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3199), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96638] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3200), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [96735] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3201), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [96834] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3202), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [96915] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6379), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3203), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [96998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3204), 1,
      sym_comment,
    ACTIONS(5773), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97053] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3205), 1,
      sym_comment,
    ACTIONS(2366), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97110] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_STAR,
    STATE(3206), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6392), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97183] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(3207), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [97246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3208), 1,
      sym_comment,
    ACTIONS(5780), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5606), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3209), 1,
      sym_comment,
    ACTIONS(5399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5401), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97356] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3210), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [97447] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3211), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [97552] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5588), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3212), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97665] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6394), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3213), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [97740] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5600), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3214), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97853] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_STAR,
    ACTIONS(6397), 1,
      anon_sym_async,
    STATE(3215), 1,
      sym_comment,
    STATE(3996), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97928] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    STATE(3216), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6401), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3217), 1,
      sym_comment,
    ACTIONS(5632), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98056] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 1,
      anon_sym_STAR,
    STATE(3218), 1,
      sym_comment,
    STATE(4812), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6405), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98129] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6407), 1,
      anon_sym_STAR,
    STATE(3219), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6409), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98202] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6090), 1,
      anon_sym_STAR,
    ACTIONS(6092), 1,
      anon_sym_async,
    STATE(3220), 1,
      sym_comment,
    STATE(4014), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6096), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98277] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6411), 1,
      sym__automatic_semicolon,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2206), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3223), 1,
      sym_comment,
    ACTIONS(5803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5805), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98446] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(5809), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98501] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6090), 1,
      anon_sym_STAR,
    STATE(3225), 1,
      sym_comment,
    STATE(4850), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6413), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3226), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98631] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3227), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98714] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6415), 1,
      sym__automatic_semicolon,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(2350), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2206), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98773] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(5786), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5788), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98828] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3230), 1,
      sym_comment,
    ACTIONS(5813), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5815), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98883] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3231), 1,
      sym_comment,
    ACTIONS(6417), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6419), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98942] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3232), 1,
      sym_comment,
    ACTIONS(6417), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6419), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99001] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3233), 1,
      sym_comment,
    ACTIONS(6417), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6419), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99060] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5606), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3234), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99173] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6421), 1,
      sym__automatic_semicolon,
    STATE(3235), 1,
      sym_comment,
    ACTIONS(2362), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2268), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99232] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5528), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3236), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99345] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3237), 1,
      sym_comment,
    ACTIONS(6048), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6083), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99404] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5539), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3238), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99517] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6423), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [99598] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5656), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3240), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99711] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6426), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3241), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [99784] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3242), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [99851] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_COLON,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5065), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99916] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6429), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3244), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [99989] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    ACTIONS(5950), 1,
      anon_sym_COLON,
    STATE(3245), 1,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3557), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100054] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6432), 1,
      sym__automatic_semicolon,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(2366), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100113] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(6434), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100172] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5417), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3248), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100285] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3249), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100398] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6474), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3250), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [100479] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5544), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3251), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100592] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3252), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100705] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5580), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3253), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100818] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5771), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3254), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100931] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5476), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3255), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101044] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6477), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3256), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [101119] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5363), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3257), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3258), 1,
      sym_comment,
    ACTIONS(5817), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5417), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101287] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3259), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101368] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    STATE(3260), 1,
      sym_comment,
    STATE(3999), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101443] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3261), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101556] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3262), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3263), 1,
      sym_comment,
    ACTIONS(6480), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101696] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3264), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101809] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3265), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [101896] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6482), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3266), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [101973] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3267), 1,
      sym_comment,
    ACTIONS(2244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102028] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5539), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3268), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102141] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6485), 1,
      sym__automatic_semicolon,
    STATE(3269), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102200] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6487), 1,
      sym__automatic_semicolon,
    STATE(3270), 1,
      sym_comment,
    ACTIONS(2378), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2314), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3271), 1,
      sym_comment,
    ACTIONS(5758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5760), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102314] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5528), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3272), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102427] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    STATE(3273), 1,
      sym_comment,
    STATE(4873), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6491), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102500] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5606), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3274), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102613] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6493), 1,
      anon_sym_LPAREN,
    ACTIONS(6496), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_LT,
    ACTIONS(6501), 1,
      anon_sym_QMARK,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(5664), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102676] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    STATE(3276), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102743] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    ACTIONS(6503), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3277), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3278), 1,
      sym_comment,
    ACTIONS(5747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5749), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102911] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102978] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3280), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [103079] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3281), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [103182] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6482), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [103265] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5662), 1,
      anon_sym_of,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3283), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6219), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(2326), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103490] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3286), 1,
      sym_comment,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103547] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3287), 1,
      sym_comment,
    ACTIONS(2162), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2166), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103602] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(3288), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103685] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5588), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103740] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(3290), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103821] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3291), 1,
      sym_comment,
    ACTIONS(5715), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5717), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3292), 1,
      sym_comment,
    ACTIONS(5711), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5713), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103931] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    STATE(3293), 1,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103992] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(3294), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104055] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6505), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3295), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3296), 1,
      sym_comment,
    ACTIONS(5675), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5677), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3297), 1,
      sym_comment,
    ACTIONS(2206), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2210), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3298), 1,
      sym_comment,
    ACTIONS(5550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5363), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104333] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3299), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(5546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5548), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104485] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3301), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [104584] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6507), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3302), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104697] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6509), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3303), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104810] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_STAR,
    ACTIONS(6513), 1,
      anon_sym_async,
    STATE(3304), 1,
      sym_comment,
    STATE(4055), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6515), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3305), 1,
      sym_comment,
    ACTIONS(2386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104942] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6517), 1,
      anon_sym_STAR,
    ACTIONS(6519), 1,
      anon_sym_async,
    STATE(3306), 1,
      sym_comment,
    STATE(4054), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6521), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105017] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym_regex_flags,
    STATE(3307), 1,
      sym_comment,
    ACTIONS(6059), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6061), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [105074] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    STATE(3308), 1,
      sym_comment,
    STATE(4023), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105149] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6482), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3309), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [105230] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6482), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3310), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [105313] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6517), 1,
      anon_sym_STAR,
    STATE(3311), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6525), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105386] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3312), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(2334), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2232), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2236), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105534] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5600), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3314), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105647] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3315), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [105752] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5588), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3316), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105865] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5600), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3317), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105978] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5606), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3318), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106091] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5528), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3319), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106204] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5539), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3320), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106317] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5564), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3321), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106430] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5580), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3322), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106543] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5662), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3323), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106656] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5588), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3324), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106769] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3325), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106874] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3326), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [106965] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6527), 1,
      anon_sym_STAR,
    STATE(3327), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6529), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107038] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6531), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3328), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [107121] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3329), 1,
      sym_comment,
    ACTIONS(5517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5519), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3330), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107237] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(5276), 1,
      anon_sym_QMARK,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3331), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5278), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107302] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6531), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3332), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [107383] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6534), 1,
      anon_sym_async,
    STATE(3333), 1,
      sym_comment,
    STATE(4001), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107458] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6538), 1,
      anon_sym_STAR,
    STATE(3334), 1,
      sym_comment,
    STATE(4841), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6540), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107531] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6538), 1,
      anon_sym_STAR,
    ACTIONS(6542), 1,
      anon_sym_async,
    STATE(3335), 1,
      sym_comment,
    STATE(4095), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107606] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_QMARK,
    STATE(3336), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5608), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107669] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_async,
    STATE(3337), 1,
      sym_comment,
    STATE(4017), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6548), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107744] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(3338), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107825] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(158), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    STATE(3339), 1,
      sym_comment,
    STATE(7252), 1,
      sym__property_name,
    STATE(7281), 1,
      sym__destructuring_pattern,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6552), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6614), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(6550), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107902] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3340), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108001] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(3341), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3342), 1,
      sym_comment,
    ACTIONS(5740), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5742), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108139] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    STATE(3343), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108206] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5103), 1,
      anon_sym_COMMA,
    ACTIONS(5158), 1,
      anon_sym_RBRACE,
    STATE(3344), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108273] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6534), 1,
      anon_sym_async,
    STATE(3345), 1,
      sym_comment,
    STATE(4006), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108348] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3346), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108445] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3347), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108540] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6531), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3348), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [108623] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 1,
      anon_sym_STAR,
    STATE(3349), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6554), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108696] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3350), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108799] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3351), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [108900] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3352), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108981] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3353), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109064] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3354), 1,
      sym_comment,
    ACTIONS(6130), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6132), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109123] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_STAR,
    STATE(3355), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6556), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109196] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5403), 1,
      anon_sym_LBRACK,
    ACTIONS(6073), 1,
      anon_sym_STAR,
    ACTIONS(6075), 1,
      anon_sym_async,
    STATE(3356), 1,
      sym_comment,
    STATE(4063), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6079), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109271] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6558), 1,
      sym__automatic_semicolon,
    STATE(3357), 1,
      sym_comment,
    ACTIONS(2412), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109330] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6073), 1,
      anon_sym_STAR,
    STATE(3358), 1,
      sym_comment,
    STATE(4783), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6560), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109403] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6531), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3359), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [109480] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6303), 1,
      anon_sym_STAR,
    STATE(3360), 1,
      sym_comment,
    STATE(4887), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6562), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109553] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3361), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [109640] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5363), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109753] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3363), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [109866] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6564), 1,
      sym__automatic_semicolon,
    STATE(3364), 1,
      sym_comment,
    ACTIONS(2406), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2294), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109925] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6523), 1,
      sym_regex_flags,
    STATE(3365), 1,
      sym_comment,
    ACTIONS(6059), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6061), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [109982] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5771), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3366), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110095] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3367), 1,
      sym_comment,
    ACTIONS(5045), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3368), 1,
      sym_comment,
    ACTIONS(5618), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5620), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110207] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5766), 1,
      anon_sym_of,
    ACTIONS(6219), 1,
      anon_sym_GT,
    ACTIONS(6221), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6225), 1,
      anon_sym_GT_GT,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_PIPE,
    ACTIONS(6237), 1,
      anon_sym_PERCENT,
    ACTIONS(6239), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_LT,
    ACTIONS(6249), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6251), 1,
      sym__ternary_qmark,
    ACTIONS(6566), 1,
      anon_sym_in,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3369), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6227), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6235), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6247), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6243), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110322] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3370), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110435] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5417), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3371), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110548] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(6462), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3372), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [110615] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6569), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3373), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3374), 1,
      sym_comment,
    ACTIONS(5622), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110783] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(3375), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110866] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6266), 1,
      anon_sym_GT_GT,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(6272), 1,
      anon_sym_CARET,
    ACTIONS(6274), 1,
      anon_sym_PIPE,
    ACTIONS(6278), 1,
      anon_sym_PERCENT,
    ACTIONS(6280), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6282), 1,
      anon_sym_LT,
    ACTIONS(6290), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6292), 1,
      sym__ternary_qmark,
    ACTIONS(6571), 1,
      anon_sym_COLON,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3376), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6258), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6268), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6276), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6286), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6288), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6284), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3377), 1,
      sym_comment,
    ACTIONS(5648), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5650), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3378), 1,
      sym_comment,
    ACTIONS(5652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5654), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111089] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5580), 1,
      anon_sym_RBRACK,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3379), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111202] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6534), 1,
      anon_sym_async,
    STATE(3380), 1,
      sym_comment,
    STATE(4015), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111277] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(3381), 1,
      sym_comment,
    ACTIONS(4182), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111338] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3382), 1,
      sym_comment,
    ACTIONS(6573), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6575), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111397] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3383), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111480] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6446), 1,
      anon_sym_GT_GT,
    ACTIONS(6450), 1,
      anon_sym_AMP,
    ACTIONS(6452), 1,
      anon_sym_CARET,
    ACTIONS(6454), 1,
      anon_sym_PIPE,
    ACTIONS(6458), 1,
      anon_sym_PERCENT,
    ACTIONS(6460), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6462), 1,
      anon_sym_LT,
    ACTIONS(6470), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6472), 1,
      sym__ternary_qmark,
    ACTIONS(6577), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6438), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6440), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6448), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6456), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6468), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6464), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111593] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3385), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5666), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111648] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3386), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111729] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3387), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111792] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3388), 1,
      sym_comment,
    ACTIONS(2402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2286), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111849] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_STAR,
    STATE(3389), 1,
      sym_comment,
    STATE(4891), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6579), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111922] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3390), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111990] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    STATE(3391), 1,
      sym_comment,
    ACTIONS(4287), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112048] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5636), 1,
      anon_sym_LBRACK,
    STATE(3392), 1,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5639), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5632), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112108] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3393), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112218] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3394), 1,
      sym_comment,
    STATE(4891), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112286] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3395), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112396] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(3396), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112472] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(3397), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112548] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3398), 1,
      sym_comment,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112616] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3399), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112684] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3400), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112752] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3401), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112820] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3402), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112930] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3403), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112998] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3404), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113066] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3405), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113142] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3406), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113228] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3407), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113338] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3408), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113448] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3409), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113510] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3410), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113578] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3411), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [113676] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3412), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113786] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3413), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [113896] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3414), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113964] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3415), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114046] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3416), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114156] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3417), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114224] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6620), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3418), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [114306] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3419), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114416] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3420), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114518] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3421), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5045), 1,
      anon_sym_extends,
    STATE(3422), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114684] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3423), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114746] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3424), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114846] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5065), 1,
      anon_sym_extends,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    STATE(3425), 1,
      sym_comment,
    ACTIONS(5244), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5247), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5238), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114908] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3426), 1,
      sym_comment,
    ACTIONS(5033), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5035), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114966] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    ACTIONS(5278), 1,
      anon_sym_extends,
    STATE(3427), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115028] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    STATE(3428), 1,
      sym_comment,
    ACTIONS(4949), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115088] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_comment,
    STATE(4841), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115156] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3430), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [115250] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3557), 1,
      anon_sym_extends,
    STATE(3431), 1,
      sym_comment,
    ACTIONS(5223), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5226), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2114), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115312] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3432), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5407), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [115408] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_comment,
    STATE(4783), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115476] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3434), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115552] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3435), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115620] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3436), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115680] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(1033), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115736] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3438), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115812] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3439), 1,
      sym_comment,
    STATE(4812), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115880] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6620), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3440), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [115962] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3441), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116030] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3442), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116098] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3443), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116208] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116276] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(3445), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116352] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(223), 1,
      anon_sym_STAR,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2484), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6627), 1,
      anon_sym_async,
    ACTIONS(6629), 1,
      anon_sym_static,
    ACTIONS(6631), 1,
      anon_sym_readonly,
    ACTIONS(6637), 1,
      anon_sym_override,
    STATE(3446), 1,
      sym_comment,
    STATE(3691), 1,
      sym_accessibility_modifier,
    STATE(3738), 1,
      sym_override_modifier,
    STATE(4496), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6633), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(6635), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6615), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(6623), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116440] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3447), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116550] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    ACTIONS(5868), 1,
      anon_sym_COLON,
    STATE(3448), 1,
      sym_comment,
    ACTIONS(5800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116610] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(5419), 1,
      anon_sym_BANG,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5425), 1,
      anon_sym_LBRACK,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(3449), 1,
      sym_comment,
    STATE(3528), 1,
      sym_type_arguments,
    STATE(6224), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116720] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    STATE(3450), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [116776] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6620), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3451), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [116856] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_QMARK,
    ACTIONS(4949), 1,
      anon_sym_extends,
    STATE(3452), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5688), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116918] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3453), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117028] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_comment,
    STATE(4850), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117096] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6620), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3455), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5407), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6063), 1,
      sym_regex_flags,
    STATE(3456), 1,
      sym_comment,
    ACTIONS(6059), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6061), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [117228] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5407), 1,
      anon_sym_BANG,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3457), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5405), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117332] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3458), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117442] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3459), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117518] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3460), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117586] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3461), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5530), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5532), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [117652] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3462), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5407), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5405), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117742] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6639), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3463), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5510), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5512), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [117814] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3464), 1,
      sym_comment,
    STATE(4887), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117882] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6585), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6587), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6589), 1,
      anon_sym_GT_GT,
    ACTIONS(6593), 1,
      anon_sym_AMP,
    ACTIONS(6595), 1,
      anon_sym_CARET,
    ACTIONS(6597), 1,
      anon_sym_PIPE,
    ACTIONS(6601), 1,
      anon_sym_PERCENT,
    ACTIONS(6603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6605), 1,
      anon_sym_LT,
    ACTIONS(6613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6615), 1,
      sym__ternary_qmark,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3465), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6581), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6583), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6591), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117992] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6480), 1,
      anon_sym_COMMA,
    STATE(3466), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3467), 1,
      sym_comment,
    ACTIONS(5045), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118104] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4981), 1,
      anon_sym_as,
    ACTIONS(4985), 1,
      anon_sym_BANG,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5025), 1,
      anon_sym_satisfies,
    ACTIONS(6642), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3468), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5668), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5670), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [118184] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3469), 1,
      sym_comment,
    STATE(4873), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    STATE(3470), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118308] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4202), 1,
      anon_sym_EQ,
    STATE(3471), 1,
      sym_comment,
    ACTIONS(4439), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118366] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_LBRACK,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6645), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym_type_arguments,
    STATE(3472), 1,
      sym_comment,
    STATE(6228), 1,
      sym_optional_chain,
    ACTIONS(5023), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118440] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118508] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3474), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118570] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_abstract,
    STATE(3475), 1,
      sym_comment,
    STATE(4395), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118639] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5727), 1,
      anon_sym_RBRACK,
    ACTIONS(5950), 1,
      anon_sym_COMMA,
    STATE(3476), 1,
      sym_comment,
    ACTIONS(2114), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118698] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5636), 1,
      anon_sym_LBRACK,
    STATE(3477), 1,
      sym_comment,
    ACTIONS(5639), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4977), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5632), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118757] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6480), 1,
      anon_sym_COMMA,
    STATE(3478), 1,
      sym_comment,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3479), 1,
      sym_comment,
    ACTIONS(5644), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6653), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118867] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3480), 1,
      sym_comment,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118926] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    ACTIONS(5868), 1,
      anon_sym_COMMA,
    STATE(3481), 1,
      sym_comment,
    ACTIONS(5792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [118985] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    STATE(3482), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4949), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119044] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3483), 1,
      sym_comment,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119103] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_abstract,
    STATE(3484), 1,
      sym_comment,
    STATE(4324), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119172] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6658), 1,
      anon_sym_readonly,
    STATE(3485), 1,
      sym_comment,
    STATE(3777), 1,
      sym_override_modifier,
    STATE(4334), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3486), 1,
      sym_comment,
    ACTIONS(5572), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6660), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6663), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3487), 1,
      sym_comment,
    ACTIONS(2226), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6666), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6669), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3488), 1,
      sym_comment,
    ACTIONS(5576), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6672), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6675), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3489), 1,
      sym_comment,
    ACTIONS(2236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6678), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6681), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119465] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4949), 1,
      anon_sym_extends,
    STATE(3490), 1,
      sym_comment,
    ACTIONS(5688), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119524] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3491), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119599] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3492), 1,
      sym_comment,
    ACTIONS(5611), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5278), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119658] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5751), 1,
      anon_sym_RBRACK,
    ACTIONS(5857), 1,
      anon_sym_COMMA,
    STATE(3493), 1,
      sym_comment,
    ACTIONS(5238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119717] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_readonly,
    STATE(3494), 1,
      sym_comment,
    STATE(3790), 1,
      sym_override_modifier,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3495), 1,
      sym_comment,
    ACTIONS(2218), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6689), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119845] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_readonly,
    STATE(3496), 1,
      sym_comment,
    STATE(3756), 1,
      sym_override_modifier,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119918] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4287), 1,
      anon_sym_RBRACK,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    STATE(3497), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(5725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6697), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120032] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3499), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(5045), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5303), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120160] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6700), 1,
      anon_sym_STAR,
    ACTIONS(6702), 1,
      anon_sym_async,
    ACTIONS(6704), 1,
      anon_sym_static,
    ACTIONS(6706), 1,
      anon_sym_readonly,
    ACTIONS(6710), 1,
      anon_sym_declare,
    ACTIONS(6712), 1,
      anon_sym_abstract,
    STATE(3501), 1,
      sym_comment,
    STATE(3603), 1,
      sym_method_definition,
    STATE(3666), 1,
      sym_accessibility_modifier,
    STATE(3677), 1,
      aux_sym_export_statement_repeat1,
    STATE(3729), 1,
      sym_override_modifier,
    STATE(3755), 1,
      sym_decorator,
    STATE(4016), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6708), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4630), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4452), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120253] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(5608), 1,
      anon_sym_LBRACK,
    STATE(3502), 1,
      sym_comment,
    ACTIONS(5278), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5611), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120314] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_readonly,
    STATE(3503), 1,
      sym_comment,
    STATE(3774), 1,
      sym_override_modifier,
    STATE(4403), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120387] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3504), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120466] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(2166), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6718), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120521] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      anon_sym_abstract,
    STATE(3506), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120590] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6098), 1,
      anon_sym_abstract,
    STATE(3507), 1,
      sym_comment,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120659] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    STATE(3508), 1,
      sym_comment,
    ACTIONS(1033), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [120714] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_abstract,
    STATE(3509), 1,
      sym_comment,
    STATE(4420), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120783] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6728), 1,
      anon_sym_readonly,
    STATE(3510), 1,
      sym_comment,
    STATE(3787), 1,
      sym_override_modifier,
    STATE(4441), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120911] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3512), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120973] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2116), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5950), 1,
      anon_sym_of,
    ACTIONS(6294), 1,
      anon_sym_in,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(2114), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2120), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121031] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    STATE(3514), 1,
      sym_comment,
    ACTIONS(1033), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121085] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3515), 1,
      sym_comment,
    STATE(4299), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121151] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(3516), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121213] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6081), 1,
      anon_sym_RBRACE,
    STATE(3517), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121275] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5240), 1,
      anon_sym_EQ,
    ACTIONS(5857), 1,
      anon_sym_of,
    ACTIONS(6327), 1,
      anon_sym_in,
    STATE(3518), 1,
      sym_comment,
    ACTIONS(5238), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121333] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3519), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    STATE(3520), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121455] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5794), 1,
      anon_sym_EQ,
    ACTIONS(5868), 1,
      anon_sym_of,
    ACTIONS(6253), 1,
      anon_sym_in,
    STATE(3521), 1,
      sym_comment,
    ACTIONS(5792), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5796), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [121513] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121575] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_comment,
    STATE(4404), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121641] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3524), 1,
      sym_comment,
    STATE(4398), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121707] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(3525), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121769] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3526), 1,
      sym_comment,
    STATE(4336), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121835] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1041), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3527), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [121897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(3528), 1,
      sym_comment,
    STATE(3296), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4939), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [121955] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3529), 1,
      sym_comment,
    STATE(4282), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122021] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3530), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122091] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6063), 1,
      sym_regex_flags,
    STATE(3531), 1,
      sym_comment,
    ACTIONS(6059), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6061), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [122145] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3532), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122217] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_comment,
    STATE(4289), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122283] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(4388), 1,
      anon_sym_in,
    ACTIONS(4391), 1,
      anon_sym_of,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(4182), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122341] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3535), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122403] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(3536), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122465] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3537), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122527] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6067), 1,
      anon_sym_RBRACE,
    STATE(3538), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122589] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RBRACE,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3539), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122651] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3540), 1,
      sym_comment,
    STATE(4387), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122717] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3541), 1,
      sym_comment,
    STATE(4396), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122783] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3542), 1,
      sym_comment,
    STATE(4411), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122903] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3544), 1,
      sym_comment,
    STATE(4366), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [122969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4363), 1,
      anon_sym_EQ,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123023] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3546), 1,
      sym_comment,
    STATE(4337), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123089] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3547), 1,
      sym_comment,
    STATE(4407), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123155] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3548), 1,
      sym_comment,
    STATE(4406), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123221] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3549), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123283] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(3550), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123345] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3551), 1,
      sym_comment,
    STATE(4397), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123411] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(229), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    ACTIONS(6137), 1,
      anon_sym_RBRACE,
    STATE(3552), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123473] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3553), 1,
      sym_comment,
    STATE(4435), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123539] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4596), 1,
      sym__automatic_semicolon,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3554), 1,
      sym_comment,
    STATE(4367), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123605] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    STATE(3555), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4558), 1,
      anon_sym_EQ,
    STATE(3556), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    STATE(3557), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123764] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4576), 1,
      anon_sym_EQ,
    STATE(3558), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4520), 1,
      anon_sym_EQ,
    STATE(3559), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123870] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4564), 1,
      anon_sym_EQ,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123923] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [123988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4508), 1,
      anon_sym_EQ,
    STATE(3562), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124041] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4568), 1,
      anon_sym_EQ,
    STATE(3563), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4512), 1,
      anon_sym_EQ,
    STATE(3564), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124147] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4522), 1,
      anon_sym_EQ,
    STATE(3565), 1,
      sym_comment,
    ACTIONS(4182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4186), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124200] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6730), 1,
      sym__automatic_semicolon,
    STATE(3566), 1,
      sym_comment,
    ACTIONS(2296), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124250] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3567), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124300] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6738), 1,
      sym__automatic_semicolon,
    STATE(3568), 1,
      sym_comment,
    ACTIONS(6736), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124350] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3569), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124400] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3570), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124450] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6746), 1,
      sym__automatic_semicolon,
    STATE(3571), 1,
      sym_comment,
    ACTIONS(6744), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124500] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6738), 1,
      sym__automatic_semicolon,
    STATE(3572), 1,
      sym_comment,
    ACTIONS(6736), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124550] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3573), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124600] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3574), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124650] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3575), 1,
      sym_comment,
    ACTIONS(6748), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124700] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2304), 1,
      sym__automatic_semicolon,
    STATE(3576), 1,
      sym_comment,
    ACTIONS(2302), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124750] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6738), 1,
      sym__automatic_semicolon,
    STATE(3577), 1,
      sym_comment,
    ACTIONS(6736), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124800] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6752), 1,
      anon_sym_STAR,
    ACTIONS(6754), 1,
      anon_sym_async,
    ACTIONS(6756), 1,
      anon_sym_readonly,
    STATE(3578), 1,
      sym_comment,
    STATE(3722), 1,
      sym_override_modifier,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [124874] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2298), 1,
      sym__automatic_semicolon,
    STATE(3579), 1,
      sym_comment,
    ACTIONS(2296), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124924] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6762), 1,
      sym__automatic_semicolon,
    STATE(3580), 1,
      sym_comment,
    ACTIONS(6760), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [124974] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      sym__automatic_semicolon,
    STATE(3581), 1,
      sym_comment,
    ACTIONS(6764), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125024] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6770), 1,
      anon_sym_SEMI,
    ACTIONS(6773), 1,
      sym__automatic_semicolon,
    STATE(3582), 1,
      sym_comment,
    ACTIONS(6768), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125076] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3583), 1,
      sym_comment,
    ACTIONS(6748), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125126] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6775), 1,
      sym__automatic_semicolon,
    STATE(3584), 1,
      sym_comment,
    ACTIONS(2112), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125176] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6762), 1,
      sym__automatic_semicolon,
    STATE(3585), 1,
      sym_comment,
    ACTIONS(6760), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125226] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3586), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125276] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3587), 1,
      sym_comment,
    ACTIONS(6777), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125326] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6762), 1,
      sym__automatic_semicolon,
    STATE(3588), 1,
      sym_comment,
    ACTIONS(6760), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125376] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6781), 1,
      sym__automatic_semicolon,
    STATE(3589), 1,
      sym_comment,
    ACTIONS(2296), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125426] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3590), 1,
      sym_comment,
    ACTIONS(6748), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125476] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6785), 1,
      sym__automatic_semicolon,
    STATE(3591), 1,
      sym_comment,
    ACTIONS(6783), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125526] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3592), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125576] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6789), 1,
      sym__automatic_semicolon,
    STATE(3593), 1,
      sym_comment,
    ACTIONS(6787), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125626] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6789), 1,
      sym__automatic_semicolon,
    STATE(3594), 1,
      sym_comment,
    ACTIONS(6787), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125676] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6791), 1,
      sym__automatic_semicolon,
    STATE(3595), 1,
      sym_comment,
    ACTIONS(2112), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125726] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6795), 1,
      sym__automatic_semicolon,
    STATE(3596), 1,
      sym_comment,
    ACTIONS(6793), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125776] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3597), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125826] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3598), 1,
      sym_comment,
    ACTIONS(6777), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125876] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3599), 1,
      sym_comment,
    ACTIONS(6777), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125926] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6738), 1,
      sym__automatic_semicolon,
    STATE(3600), 1,
      sym_comment,
    ACTIONS(6736), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [125976] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3601), 1,
      sym_comment,
    ACTIONS(6748), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126026] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6750), 1,
      sym__automatic_semicolon,
    STATE(3602), 1,
      sym_comment,
    ACTIONS(6748), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126076] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6799), 1,
      anon_sym_SEMI,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3603), 1,
      sym_comment,
    ACTIONS(6797), 34,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126128] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3604), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126178] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6806), 1,
      sym__automatic_semicolon,
    STATE(3605), 1,
      sym_comment,
    ACTIONS(6804), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3606), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126278] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6810), 1,
      sym__automatic_semicolon,
    STATE(3607), 1,
      sym_comment,
    ACTIONS(6808), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126328] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3608), 1,
      sym_comment,
    ACTIONS(6777), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126378] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3609), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126428] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3610), 1,
      sym_comment,
    ACTIONS(6777), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126478] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6738), 1,
      sym__automatic_semicolon,
    STATE(3611), 1,
      sym_comment,
    ACTIONS(6736), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126528] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6734), 1,
      sym__automatic_semicolon,
    STATE(3612), 1,
      sym_comment,
    ACTIONS(6732), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126578] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6762), 1,
      sym__automatic_semicolon,
    STATE(3613), 1,
      sym_comment,
    ACTIONS(6760), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126628] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6762), 1,
      sym__automatic_semicolon,
    STATE(3614), 1,
      sym_comment,
    ACTIONS(6760), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126678] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3615), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126728] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3616), 1,
      sym_comment,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126782] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6746), 1,
      sym__automatic_semicolon,
    STATE(3617), 1,
      sym_comment,
    ACTIONS(6744), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126832] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6814), 1,
      sym__automatic_semicolon,
    STATE(3618), 1,
      sym_comment,
    ACTIONS(6812), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126882] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6742), 1,
      sym__automatic_semicolon,
    STATE(3619), 1,
      sym_comment,
    ACTIONS(6740), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [126932] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5101), 1,
      anon_sym_EQ,
    STATE(3620), 1,
      sym_comment,
    ACTIONS(6617), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [126986] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6816), 1,
      anon_sym_STAR,
    ACTIONS(6818), 1,
      anon_sym_async,
    STATE(3621), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6820), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127053] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6822), 1,
      anon_sym_STAR,
    STATE(3622), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6824), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127118] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    STATE(3623), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6828), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127183] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    ACTIONS(6830), 1,
      anon_sym_async,
    STATE(3624), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6828), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127250] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3625), 1,
      sym_comment,
    ACTIONS(6832), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127297] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3626), 1,
      sym_comment,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2460), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127348] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3627), 1,
      sym_comment,
    ACTIONS(2296), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127395] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_EQ_GT,
    STATE(3628), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3629), 1,
      sym_comment,
    ACTIONS(6836), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127505] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3630), 1,
      sym_comment,
    ACTIONS(6716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1033), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127556] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3631), 1,
      sym_comment,
    ACTIONS(6838), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3632), 1,
      sym_comment,
    ACTIONS(6768), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3633), 1,
      sym_comment,
    ACTIONS(2302), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127697] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6752), 1,
      anon_sym_STAR,
    ACTIONS(6754), 1,
      anon_sym_async,
    STATE(3634), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127764] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3635), 1,
      sym_comment,
    ACTIONS(6832), 35,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [127811] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6752), 1,
      anon_sym_STAR,
    STATE(3636), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127876] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6816), 1,
      anon_sym_STAR,
    STATE(3637), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6820), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [127941] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3638), 1,
      sym_comment,
    STATE(4905), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128001] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3639), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128061] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3640), 1,
      sym_comment,
    STATE(4810), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128121] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3641), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128181] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3642), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128241] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3643), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128301] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3644), 1,
      sym_comment,
    STATE(4812), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128361] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3645), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128421] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3646), 1,
      sym_comment,
    STATE(4841), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128481] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3647), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128541] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3648), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128601] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128661] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3650), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128721] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3651), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128781] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3652), 1,
      sym_comment,
    STATE(4851), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128841] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6840), 1,
      anon_sym_LPAREN,
    ACTIONS(6842), 1,
      anon_sym_DOT,
    STATE(3653), 1,
      sym_comment,
    STATE(3746), 1,
      sym_arguments,
    ACTIONS(4339), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [128893] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3654), 1,
      sym_comment,
    STATE(4771), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [128953] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3655), 1,
      sym_comment,
    STATE(4807), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129013] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3656), 1,
      sym_comment,
    STATE(4887), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129073] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3657), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129133] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_STAR,
    ACTIONS(5594), 1,
      anon_sym_async,
    ACTIONS(6844), 1,
      anon_sym_static,
    ACTIONS(6846), 1,
      anon_sym_readonly,
    ACTIONS(6848), 1,
      anon_sym_declare,
    ACTIONS(6850), 1,
      anon_sym_abstract,
    STATE(3658), 1,
      sym_comment,
    STATE(3725), 1,
      sym_override_modifier,
    STATE(4025), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5598), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129209] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129269] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3660), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129329] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3661), 1,
      sym_comment,
    STATE(4850), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129389] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3662), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129449] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3663), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129509] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3664), 1,
      sym_comment,
    STATE(4873), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129569] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3665), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129629] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6852), 1,
      anon_sym_static,
    ACTIONS(6854), 1,
      anon_sym_readonly,
    ACTIONS(6856), 1,
      anon_sym_declare,
    ACTIONS(6858), 1,
      anon_sym_abstract,
    STATE(3666), 1,
      sym_comment,
    STATE(3724), 1,
      sym_override_modifier,
    STATE(4034), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129705] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3667), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129765] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_RBRACE,
    STATE(3668), 1,
      sym_comment,
    STATE(5413), 1,
      sym__property_name,
    STATE(5993), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129826] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2843), 1,
      anon_sym_namespace,
    ACTIONS(2845), 1,
      anon_sym_import,
    ACTIONS(2847), 1,
      anon_sym_var,
    ACTIONS(2849), 1,
      anon_sym_let,
    ACTIONS(2851), 1,
      anon_sym_const,
    ACTIONS(2855), 1,
      anon_sym_class,
    ACTIONS(2857), 1,
      anon_sym_async,
    ACTIONS(2859), 1,
      anon_sym_function,
    ACTIONS(2861), 1,
      anon_sym_declare,
    ACTIONS(2863), 1,
      anon_sym_module,
    ACTIONS(2865), 1,
      anon_sym_abstract,
    ACTIONS(2867), 1,
      anon_sym_interface,
    ACTIONS(2869), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(6862), 1,
      anon_sym_default,
    STATE(1247), 1,
      sym_internal_module,
    STATE(1533), 1,
      sym_declaration,
    STATE(3669), 1,
      sym_comment,
    STATE(5083), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1254), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [129911] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6864), 1,
      anon_sym_RBRACE,
    STATE(3670), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [129972] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(4598), 1,
      anon_sym_module,
    ACTIONS(6866), 1,
      anon_sym_default,
    STATE(3671), 1,
      sym_comment,
    STATE(5057), 1,
      sym_declaration,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130057] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6868), 1,
      anon_sym_RBRACE,
    STATE(3672), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130118] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(3001), 1,
      anon_sym_module,
    ACTIONS(3003), 1,
      anon_sym_global,
    STATE(1497), 1,
      sym_declaration,
    STATE(1514), 1,
      sym_internal_module,
    STATE(3673), 1,
      sym_comment,
    STATE(5116), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1505), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130203] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_RBRACE,
    STATE(3674), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130264] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6073), 1,
      anon_sym_STAR,
    ACTIONS(6075), 1,
      anon_sym_async,
    ACTIONS(6077), 1,
      anon_sym_readonly,
    ACTIONS(6872), 1,
      anon_sym_static,
    STATE(3675), 1,
      sym_comment,
    STATE(3731), 1,
      sym_override_modifier,
    STATE(4063), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6079), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130335] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6874), 1,
      anon_sym_RBRACE,
    STATE(3676), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130396] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6876), 1,
      anon_sym_AT,
    STATE(3755), 1,
      sym_decorator,
    STATE(3677), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4323), 30,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [130445] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2843), 1,
      anon_sym_namespace,
    ACTIONS(2845), 1,
      anon_sym_import,
    ACTIONS(2847), 1,
      anon_sym_var,
    ACTIONS(2849), 1,
      anon_sym_let,
    ACTIONS(2851), 1,
      anon_sym_const,
    ACTIONS(2855), 1,
      anon_sym_class,
    ACTIONS(2857), 1,
      anon_sym_async,
    ACTIONS(2859), 1,
      anon_sym_function,
    ACTIONS(2861), 1,
      anon_sym_declare,
    ACTIONS(2865), 1,
      anon_sym_abstract,
    ACTIONS(2867), 1,
      anon_sym_interface,
    ACTIONS(2869), 1,
      anon_sym_enum,
    ACTIONS(3017), 1,
      anon_sym_type,
    ACTIONS(3019), 1,
      anon_sym_module,
    ACTIONS(3021), 1,
      anon_sym_global,
    STATE(1247), 1,
      sym_internal_module,
    STATE(1285), 1,
      sym_declaration,
    STATE(3678), 1,
      sym_comment,
    STATE(5083), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1254), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130530] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6879), 1,
      anon_sym_RBRACE,
    STATE(3679), 1,
      sym_comment,
    STATE(4971), 1,
      sym__property_name,
    STATE(5702), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130591] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6881), 1,
      anon_sym_RBRACE,
    STATE(3680), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130652] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(3025), 1,
      anon_sym_type,
    ACTIONS(3027), 1,
      anon_sym_namespace,
    ACTIONS(3029), 1,
      anon_sym_import,
    ACTIONS(3031), 1,
      anon_sym_var,
    ACTIONS(3033), 1,
      anon_sym_let,
    ACTIONS(3035), 1,
      anon_sym_const,
    ACTIONS(3037), 1,
      anon_sym_class,
    ACTIONS(3039), 1,
      anon_sym_async,
    ACTIONS(3041), 1,
      anon_sym_function,
    ACTIONS(3043), 1,
      anon_sym_declare,
    ACTIONS(3045), 1,
      anon_sym_module,
    ACTIONS(3047), 1,
      anon_sym_abstract,
    ACTIONS(3049), 1,
      anon_sym_global,
    ACTIONS(3051), 1,
      anon_sym_interface,
    ACTIONS(3053), 1,
      anon_sym_enum,
    STATE(3681), 1,
      sym_comment,
    STATE(5068), 1,
      sym_declaration,
    STATE(5071), 1,
      sym_internal_module,
    STATE(5097), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(5060), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [130737] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3682), 1,
      sym_comment,
    ACTIONS(4355), 33,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [130782] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_RBRACE,
    STATE(3683), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130843] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6885), 1,
      anon_sym_RBRACE,
    STATE(3684), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130904] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_RBRACE,
    STATE(3685), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [130965] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(3013), 1,
      anon_sym_module,
    ACTIONS(3015), 1,
      anon_sym_global,
    STATE(3686), 1,
      sym_comment,
    STATE(5274), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6859), 1,
      sym_internal_module,
    STATE(6866), 1,
      sym_declaration,
    STATE(6852), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131050] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_RBRACE,
    STATE(3687), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131111] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_RBRACE,
    STATE(3688), 1,
      sym_comment,
    STATE(5139), 1,
      sym__property_name,
    STATE(6225), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131172] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6893), 1,
      anon_sym_RBRACE,
    STATE(3689), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131233] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6895), 1,
      anon_sym_RBRACE,
    STATE(3690), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131294] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(2997), 1,
      anon_sym_override,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    ACTIONS(6897), 1,
      anon_sym_static,
    STATE(3691), 1,
      sym_comment,
    STATE(3735), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131365] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    ACTIONS(6899), 1,
      anon_sym_static,
    STATE(3692), 1,
      sym_comment,
    STATE(3736), 1,
      sym_override_modifier,
    STATE(4049), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131436] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6901), 1,
      anon_sym_RBRACE,
    STATE(3693), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131497] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_RBRACE,
    STATE(3694), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131558] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6905), 1,
      anon_sym_RBRACE,
    STATE(3695), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131619] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_RBRACE,
    STATE(3696), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131680] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(2829), 1,
      anon_sym_module,
    ACTIONS(2831), 1,
      anon_sym_global,
    STATE(1664), 1,
      sym_declaration,
    STATE(1717), 1,
      sym_internal_module,
    STATE(3697), 1,
      sym_comment,
    STATE(5069), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1740), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131765] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2961), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2973), 1,
      anon_sym_class,
    ACTIONS(2975), 1,
      anon_sym_async,
    ACTIONS(2977), 1,
      anon_sym_function,
    ACTIONS(2979), 1,
      anon_sym_declare,
    ACTIONS(2981), 1,
      anon_sym_module,
    ACTIONS(2983), 1,
      anon_sym_abstract,
    ACTIONS(2985), 1,
      anon_sym_interface,
    ACTIONS(2987), 1,
      anon_sym_enum,
    ACTIONS(2999), 1,
      anon_sym_type,
    ACTIONS(6909), 1,
      anon_sym_default,
    STATE(1479), 1,
      sym_declaration,
    STATE(1514), 1,
      sym_internal_module,
    STATE(3698), 1,
      sym_comment,
    STATE(5116), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1505), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [131850] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_RBRACE,
    STATE(3699), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131911] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_readonly,
    ACTIONS(6913), 1,
      anon_sym_STAR,
    STATE(3700), 1,
      sym_comment,
    STATE(3720), 1,
      sym_override_modifier,
    STATE(4024), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6915), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [131978] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_RBRACE,
    STATE(3701), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132039] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6919), 1,
      anon_sym_RBRACE,
    STATE(3702), 1,
      sym_comment,
    STATE(5426), 1,
      sym__property_name,
    STATE(5980), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132100] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_RBRACE,
    STATE(3703), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132161] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6923), 1,
      anon_sym_RBRACE,
    STATE(3704), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132222] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6100), 1,
      anon_sym_static,
    ACTIONS(6102), 1,
      anon_sym_readonly,
    ACTIONS(6104), 1,
      anon_sym_abstract,
    STATE(3705), 1,
      sym_comment,
    STATE(3790), 1,
      sym_override_modifier,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132289] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6925), 1,
      anon_sym_RBRACE,
    STATE(3706), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132350] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6927), 1,
      anon_sym_static,
    ACTIONS(6929), 1,
      anon_sym_readonly,
    ACTIONS(6931), 1,
      anon_sym_abstract,
    STATE(3707), 1,
      sym_comment,
    STATE(3796), 1,
      sym_override_modifier,
    STATE(4401), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132417] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6933), 1,
      anon_sym_RBRACE,
    STATE(3708), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132478] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_RBRACE,
    STATE(3709), 1,
      sym_comment,
    STATE(5311), 1,
      sym__property_name,
    STATE(6059), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132539] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6937), 1,
      anon_sym_RBRACE,
    STATE(3710), 1,
      sym_comment,
    STATE(5078), 1,
      sym__property_name,
    STATE(6287), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132600] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_RBRACE,
    STATE(3711), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132661] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2923), 1,
      anon_sym_namespace,
    ACTIONS(2925), 1,
      anon_sym_import,
    ACTIONS(2927), 1,
      anon_sym_var,
    ACTIONS(2929), 1,
      anon_sym_let,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2935), 1,
      anon_sym_class,
    ACTIONS(2937), 1,
      anon_sym_async,
    ACTIONS(2939), 1,
      anon_sym_function,
    ACTIONS(2941), 1,
      anon_sym_declare,
    ACTIONS(2943), 1,
      anon_sym_module,
    ACTIONS(2945), 1,
      anon_sym_abstract,
    ACTIONS(2947), 1,
      anon_sym_interface,
    ACTIONS(2949), 1,
      anon_sym_enum,
    ACTIONS(3011), 1,
      anon_sym_type,
    ACTIONS(6941), 1,
      anon_sym_default,
    STATE(3712), 1,
      sym_comment,
    STATE(5274), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(6859), 1,
      sym_internal_module,
    STATE(7018), 1,
      sym_declaration,
    STATE(6852), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132746] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(3007), 1,
      anon_sym_module,
    ACTIONS(3009), 1,
      anon_sym_global,
    STATE(1179), 1,
      sym_declaration,
    STATE(1187), 1,
      sym_internal_module,
    STATE(3713), 1,
      sym_comment,
    STATE(5062), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1191), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132831] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2752), 1,
      anon_sym_namespace,
    ACTIONS(2758), 1,
      anon_sym_import,
    ACTIONS(2760), 1,
      anon_sym_var,
    ACTIONS(2762), 1,
      anon_sym_let,
    ACTIONS(2764), 1,
      anon_sym_const,
    ACTIONS(2772), 1,
      anon_sym_class,
    ACTIONS(2774), 1,
      anon_sym_async,
    ACTIONS(2776), 1,
      anon_sym_function,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2789), 1,
      anon_sym_declare,
    ACTIONS(2791), 1,
      anon_sym_module,
    ACTIONS(2793), 1,
      anon_sym_abstract,
    ACTIONS(2795), 1,
      anon_sym_interface,
    ACTIONS(2797), 1,
      anon_sym_enum,
    ACTIONS(2827), 1,
      anon_sym_type,
    ACTIONS(6943), 1,
      anon_sym_default,
    STATE(1627), 1,
      sym_declaration,
    STATE(1717), 1,
      sym_internal_module,
    STATE(3714), 1,
      sym_comment,
    STATE(5069), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1740), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [132916] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(4476), 1,
      anon_sym_override,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_STAR,
    ACTIONS(6947), 1,
      anon_sym_readonly,
    STATE(3715), 1,
      sym_comment,
    STATE(3727), 1,
      sym_override_modifier,
    STATE(4018), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6949), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [132983] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_RBRACE,
    STATE(3716), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133044] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(2885), 1,
      anon_sym_namespace,
    ACTIONS(2887), 1,
      anon_sym_import,
    ACTIONS(2889), 1,
      anon_sym_var,
    ACTIONS(2891), 1,
      anon_sym_let,
    ACTIONS(2893), 1,
      anon_sym_const,
    ACTIONS(2897), 1,
      anon_sym_class,
    ACTIONS(2899), 1,
      anon_sym_async,
    ACTIONS(2901), 1,
      anon_sym_function,
    ACTIONS(2903), 1,
      anon_sym_declare,
    ACTIONS(2905), 1,
      anon_sym_module,
    ACTIONS(2907), 1,
      anon_sym_abstract,
    ACTIONS(2909), 1,
      anon_sym_interface,
    ACTIONS(2911), 1,
      anon_sym_enum,
    ACTIONS(3005), 1,
      anon_sym_type,
    ACTIONS(6953), 1,
      anon_sym_default,
    STATE(1151), 1,
      sym_declaration,
    STATE(1187), 1,
      sym_internal_module,
    STATE(3717), 1,
      sym_comment,
    STATE(5062), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
    STATE(1191), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [133129] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_RBRACE,
    STATE(3718), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133190] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3719), 1,
      sym_comment,
    ACTIONS(1033), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2458), 29,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133236] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6957), 1,
      anon_sym_STAR,
    STATE(3720), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6959), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133296] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_STAR,
    ACTIONS(6513), 1,
      anon_sym_async,
    ACTIONS(6961), 1,
      anon_sym_readonly,
    STATE(3721), 1,
      sym_comment,
    STATE(4055), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6515), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133360] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_STAR,
    ACTIONS(6830), 1,
      anon_sym_async,
    ACTIONS(6963), 1,
      anon_sym_readonly,
    STATE(3722), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6828), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133424] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    ACTIONS(6965), 1,
      anon_sym_readonly,
    STATE(3723), 1,
      sym_comment,
    STATE(4004), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133488] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6145), 1,
      anon_sym_async,
    ACTIONS(6967), 1,
      anon_sym_readonly,
    STATE(3724), 1,
      sym_comment,
    STATE(4020), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133552] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6090), 1,
      anon_sym_STAR,
    ACTIONS(6092), 1,
      anon_sym_async,
    ACTIONS(6094), 1,
      anon_sym_readonly,
    STATE(3725), 1,
      sym_comment,
    STATE(4014), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6096), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133616] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_STAR,
    ACTIONS(6397), 1,
      anon_sym_async,
    ACTIONS(6969), 1,
      anon_sym_readonly,
    STATE(3726), 1,
      sym_comment,
    STATE(3996), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133680] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_STAR,
    STATE(3727), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6971), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133740] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6538), 1,
      anon_sym_STAR,
    ACTIONS(6542), 1,
      anon_sym_async,
    ACTIONS(6973), 1,
      anon_sym_readonly,
    STATE(3728), 1,
      sym_comment,
    STATE(4095), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6544), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133804] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6106), 1,
      anon_sym_STAR,
    ACTIONS(6108), 1,
      anon_sym_async,
    ACTIONS(6975), 1,
      anon_sym_readonly,
    STATE(3729), 1,
      sym_comment,
    STATE(4026), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6112), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133868] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6534), 1,
      anon_sym_async,
    ACTIONS(6977), 1,
      anon_sym_readonly,
    STATE(3730), 1,
      sym_comment,
    STATE(4005), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133932] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 1,
      anon_sym_STAR,
    ACTIONS(6118), 1,
      anon_sym_async,
    ACTIONS(6120), 1,
      anon_sym_readonly,
    STATE(3731), 1,
      sym_comment,
    STATE(4093), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6122), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [133996] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6073), 1,
      anon_sym_STAR,
    ACTIONS(6075), 1,
      anon_sym_async,
    ACTIONS(6077), 1,
      anon_sym_readonly,
    STATE(3732), 1,
      sym_comment,
    STATE(4063), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6079), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134060] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 1,
      anon_sym_STAR,
    ACTIONS(5594), 1,
      anon_sym_async,
    ACTIONS(5596), 1,
      anon_sym_readonly,
    STATE(3733), 1,
      sym_comment,
    STATE(4025), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5598), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134124] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5099), 1,
      anon_sym_STAR,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 1,
      anon_sym_async,
    ACTIONS(5113), 1,
      anon_sym_readonly,
    STATE(3734), 1,
      sym_comment,
    STATE(4049), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5115), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134188] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6752), 1,
      anon_sym_STAR,
    ACTIONS(6754), 1,
      anon_sym_async,
    ACTIONS(6756), 1,
      anon_sym_readonly,
    STATE(3735), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134252] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6163), 1,
      anon_sym_STAR,
    ACTIONS(6165), 1,
      anon_sym_async,
    ACTIONS(6167), 1,
      anon_sym_readonly,
    STATE(3736), 1,
      sym_comment,
    STATE(4071), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6169), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134316] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3737), 1,
      sym_comment,
    STATE(5526), 1,
      sym__property_name,
    STATE(6641), 1,
      sym_enum_assignment,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134374] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(2991), 1,
      anon_sym_async,
    ACTIONS(2993), 1,
      anon_sym_readonly,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(6065), 1,
      anon_sym_STAR,
    STATE(3738), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2995), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134438] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3739), 1,
      sym_comment,
    STATE(4821), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134493] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3740), 1,
      sym_comment,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134548] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3741), 1,
      sym_comment,
    STATE(4838), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134603] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3742), 1,
      sym_comment,
    STATE(4895), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134658] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_readonly,
    STATE(3743), 1,
      sym_comment,
    STATE(4378), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134715] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3744), 1,
      sym_comment,
    STATE(4890), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134770] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3745), 1,
      sym_comment,
    STATE(4873), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134825] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3746), 1,
      sym_comment,
    ACTIONS(4406), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [134868] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3747), 1,
      sym_comment,
    STATE(4346), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134923] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3748), 1,
      sym_comment,
    STATE(4812), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [134978] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3749), 1,
      sym_comment,
    STATE(4771), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135033] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6981), 1,
      anon_sym_readonly,
    STATE(3750), 1,
      sym_comment,
    STATE(4400), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135090] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_comment,
    STATE(4836), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135145] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3752), 1,
      sym_comment,
    STATE(4857), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135200] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_readonly,
    STATE(3753), 1,
      sym_comment,
    STATE(4298), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135257] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3754), 1,
      sym_comment,
    STATE(4810), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135312] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(4410), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135355] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6985), 1,
      anon_sym_readonly,
    STATE(3756), 1,
      sym_comment,
    STATE(4404), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135412] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3757), 1,
      sym_comment,
    STATE(4404), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135467] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3758), 1,
      sym_comment,
    STATE(4831), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135522] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3759), 1,
      sym_comment,
    STATE(4833), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135577] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3760), 1,
      sym_comment,
    STATE(4815), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135632] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3761), 1,
      sym_comment,
    STATE(4782), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135687] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6987), 1,
      anon_sym_readonly,
    STATE(3762), 1,
      sym_comment,
    STATE(4418), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135744] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3763), 1,
      sym_comment,
    STATE(4765), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135799] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3764), 1,
      sym_comment,
    ACTIONS(4412), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135842] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3765), 1,
      sym_comment,
    STATE(4443), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3766), 1,
      sym_comment,
    ACTIONS(4339), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [135940] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3767), 1,
      sym_comment,
    STATE(4851), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [135995] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3768), 1,
      sym_comment,
    STATE(4774), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136050] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3769), 1,
      sym_comment,
    STATE(4893), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136105] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3770), 1,
      sym_comment,
    STATE(4905), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136160] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_readonly,
    STATE(3771), 1,
      sym_comment,
    STATE(4305), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136217] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3772), 1,
      sym_comment,
    STATE(4850), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136272] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3773), 1,
      sym_comment,
    STATE(4887), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136327] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6991), 1,
      anon_sym_readonly,
    STATE(3774), 1,
      sym_comment,
    STATE(4391), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136384] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3775), 1,
      sym_comment,
    ACTIONS(4386), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [136427] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3776), 1,
      sym_comment,
    STATE(4325), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136482] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_readonly,
    STATE(3777), 1,
      sym_comment,
    STATE(4327), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136539] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3778), 1,
      sym_comment,
    STATE(4845), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136594] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6684), 1,
      anon_sym_readonly,
    STATE(3779), 1,
      sym_comment,
    STATE(4422), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136651] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3780), 1,
      sym_comment,
    STATE(4841), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136706] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3781), 1,
      sym_comment,
    STATE(4795), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136761] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3782), 1,
      sym_comment,
    STATE(4896), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136816] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3783), 1,
      sym_comment,
    STATE(4891), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136871] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3784), 1,
      sym_comment,
    STATE(4825), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136926] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6995), 1,
      anon_sym_readonly,
    STATE(3785), 1,
      sym_comment,
    STATE(4335), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [136983] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3786), 1,
      sym_comment,
    STATE(4944), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137038] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6997), 1,
      anon_sym_readonly,
    STATE(3787), 1,
      sym_comment,
    STATE(4408), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137095] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3788), 1,
      sym_comment,
    STATE(4438), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137150] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3789), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137205] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_readonly,
    STATE(3790), 1,
      sym_comment,
    STATE(4354), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137262] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    STATE(3791), 1,
      sym_comment,
    STATE(4392), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137317] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3792), 1,
      sym_comment,
    STATE(4862), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137372] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3793), 1,
      sym_comment,
    STATE(4807), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137427] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3794), 1,
      sym_comment,
    STATE(4783), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137482] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(6999), 1,
      anon_sym_readonly,
    STATE(3795), 1,
      sym_comment,
    STATE(4388), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137539] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_readonly,
    STATE(3796), 1,
      sym_comment,
    STATE(4377), 1,
      sym__property_name,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4159), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4452), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137596] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3797), 1,
      sym_comment,
    STATE(4930), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137651] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3798), 1,
      sym_comment,
    ACTIONS(4395), 31,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_async,
      anon_sym_new,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [137694] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(3799), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(2823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4526), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2989), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7003), 1,
      sym_identifier,
    STATE(3800), 1,
      sym_comment,
    STATE(7196), 1,
      sym_mapped_type_clause,
    ACTIONS(7005), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [137789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3801), 1,
      sym_comment,
    ACTIONS(4386), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4927), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [137824] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(4240), 1,
      anon_sym_DOT,
    ACTIONS(4244), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(3802), 1,
      sym_comment,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    ACTIONS(4214), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4204), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137871] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7009), 1,
      anon_sym_DOT,
    ACTIONS(7011), 1,
      anon_sym_QMARK_DOT,
    STATE(3803), 1,
      sym_comment,
    STATE(3855), 1,
      sym_arguments,
    STATE(3969), 1,
      sym_type_arguments,
    ACTIONS(4901), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4903), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3804), 1,
      sym_comment,
    ACTIONS(4412), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4933), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [137953] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7013), 1,
      anon_sym_DOT,
    ACTIONS(7015), 1,
      anon_sym_QMARK_DOT,
    STATE(3805), 1,
      sym_comment,
    STATE(3857), 1,
      sym_arguments,
    STATE(3939), 1,
      sym_type_arguments,
    ACTIONS(4869), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4871), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3806), 1,
      sym_comment,
    ACTIONS(4395), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4931), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [138035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2152), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3807), 1,
      sym_comment,
    ACTIONS(2154), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138069] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2174), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3808), 1,
      sym_comment,
    ACTIONS(2176), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [138103] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3809), 1,
      sym_comment,
    ACTIONS(5297), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5299), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3810), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5288), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3811), 1,
      sym_comment,
    ACTIONS(5297), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5299), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3812), 1,
      sym_comment,
    ACTIONS(5337), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5339), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138235] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3813), 1,
      sym_comment,
    ACTIONS(5091), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5093), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(5091), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5093), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3815), 1,
      sym_comment,
    ACTIONS(5091), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5093), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138334] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3816), 1,
      sym_comment,
    ACTIONS(5345), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5347), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3817), 1,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5325), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3818), 1,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3819), 1,
      sym_comment,
    ACTIONS(5268), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5270), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3820), 1,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3821), 1,
      sym_comment,
    ACTIONS(5333), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5335), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3822), 1,
      sym_comment,
    ACTIONS(5077), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5079), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3823), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5194), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3824), 1,
      sym_comment,
    ACTIONS(5319), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5321), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3825), 1,
      sym_comment,
    ACTIONS(5272), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5274), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5202), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3827), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5202), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3828), 1,
      sym_comment,
    ACTIONS(5345), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5347), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3829), 1,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5325), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3830), 1,
      sym_comment,
    ACTIONS(5143), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5145), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138829] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_EQ,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_DOT,
    ACTIONS(7019), 1,
      anon_sym_is,
    STATE(3831), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3832), 1,
      sym_comment,
    ACTIONS(5095), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5097), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3833), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5202), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(5282), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5284), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [138969] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3835), 1,
      sym_comment,
    ACTIONS(5268), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5270), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(5095), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5097), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3837), 1,
      sym_comment,
    ACTIONS(5286), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5288), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3838), 1,
      sym_comment,
    ACTIONS(5272), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5274), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139101] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3839), 1,
      sym_comment,
    ACTIONS(5297), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5299), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3840), 1,
      sym_comment,
    ACTIONS(5319), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5321), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3841), 1,
      sym_comment,
    ACTIONS(5095), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5097), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3842), 1,
      sym_comment,
    ACTIONS(5319), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5321), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3843), 1,
      sym_comment,
    ACTIONS(5282), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5284), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [139266] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7021), 1,
      sym_identifier,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7025), 1,
      anon_sym_type,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7029), 1,
      anon_sym_typeof,
    STATE(3844), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6645), 1,
      sym_import_require_clause,
    STATE(6646), 1,
      sym_string,
    STATE(6966), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139320] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7033), 1,
      sym_identifier,
    ACTIONS(7035), 1,
      anon_sym_type,
    ACTIONS(7037), 1,
      anon_sym_typeof,
    STATE(3845), 1,
      sym_comment,
    STATE(6417), 1,
      sym_string,
    STATE(6418), 1,
      sym_import_require_clause,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6611), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139374] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7039), 1,
      sym_identifier,
    ACTIONS(7041), 1,
      anon_sym_type,
    ACTIONS(7043), 1,
      anon_sym_typeof,
    STATE(3846), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6506), 1,
      sym_import_require_clause,
    STATE(6507), 1,
      sym_string,
    STATE(7023), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139428] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7045), 1,
      sym_identifier,
    ACTIONS(7047), 1,
      anon_sym_type,
    ACTIONS(7049), 1,
      anon_sym_typeof,
    STATE(3847), 1,
      sym_comment,
    STATE(6457), 1,
      sym_import_clause,
    STATE(6458), 1,
      sym_string,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6469), 1,
      sym_import_require_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139482] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_EQ,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_DOT,
    STATE(3848), 1,
      sym_comment,
    STATE(3890), 1,
      sym_type_arguments,
    ACTIONS(4255), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139520] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7051), 1,
      sym_identifier,
    ACTIONS(7053), 1,
      anon_sym_type,
    ACTIONS(7055), 1,
      anon_sym_typeof,
    STATE(3849), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6823), 1,
      sym_import_require_clause,
    STATE(6824), 1,
      sym_string,
    STATE(6846), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [139574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4437), 1,
      anon_sym_EQ,
    STATE(3850), 1,
      sym_comment,
    ACTIONS(5212), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4442), 1,
      anon_sym_EQ,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(5163), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_EQ,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(5182), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139667] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    STATE(3853), 1,
      sym_comment,
    ACTIONS(5210), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3393), 1,
      anon_sym_EQ,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(3633), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3855), 1,
      sym_comment,
    ACTIONS(5067), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5069), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3405), 1,
      anon_sym_EQ,
    STATE(3856), 1,
      sym_comment,
    ACTIONS(3617), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139791] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5051), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5053), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    STATE(3858), 1,
      sym_comment,
    ACTIONS(5161), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    STATE(3859), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3403), 1,
      anon_sym_EQ,
    STATE(3860), 1,
      sym_comment,
    ACTIONS(3629), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3861), 1,
      sym_comment,
    ACTIONS(5043), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5045), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139946] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_QMARK_DOT,
    STATE(3862), 1,
      sym_comment,
    ACTIONS(5085), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5087), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_EQ,
    STATE(3863), 1,
      sym_comment,
    ACTIONS(5305), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3387), 1,
      anon_sym_EQ,
    STATE(3864), 1,
      sym_comment,
    ACTIONS(3557), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140043] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_EQ,
    STATE(3865), 1,
      sym_comment,
    ACTIONS(3615), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140074] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4901), 1,
      anon_sym_PIPE,
    ACTIONS(7061), 1,
      anon_sym_DOT,
    ACTIONS(7063), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7065), 1,
      anon_sym_LT,
    STATE(3866), 1,
      sym_comment,
    STATE(4089), 1,
      sym_arguments,
    STATE(4154), 1,
      sym_type_arguments,
    ACTIONS(4903), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140117] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_EQ,
    STATE(3867), 1,
      sym_comment,
    ACTIONS(5177), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [140150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    STATE(3868), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140181] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_EQ,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(3869), 1,
      sym_comment,
    STATE(3892), 1,
      sym_type_arguments,
    ACTIONS(4919), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    STATE(3870), 1,
      sym_comment,
    ACTIONS(5173), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140247] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_EQ,
    STATE(3871), 1,
      sym_comment,
    ACTIONS(5182), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140278] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4869), 1,
      anon_sym_PIPE,
    ACTIONS(7065), 1,
      anon_sym_LT,
    ACTIONS(7067), 1,
      anon_sym_DOT,
    ACTIONS(7069), 1,
      anon_sym_QMARK_DOT,
    STATE(3872), 1,
      sym_comment,
    STATE(4087), 1,
      sym_arguments,
    STATE(4191), 1,
      sym_type_arguments,
    ACTIONS(4871), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140321] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2184), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_EQ,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(5177), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [140354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(5208), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140385] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(4208), 1,
      anon_sym_DOT,
    ACTIONS(4212), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(7065), 1,
      anon_sym_LT,
    STATE(3875), 1,
      sym_comment,
    STATE(4086), 1,
      sym_arguments,
    STATE(4189), 1,
      sym_type_arguments,
    ACTIONS(4204), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2174), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(2176), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140458] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2152), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3877), 1,
      sym_comment,
    ACTIONS(2154), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_is,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(4953), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2061), 1,
      anon_sym_EQ,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(2063), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [140550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_is,
    STATE(3880), 1,
      sym_comment,
    ACTIONS(4949), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_EQ,
    ACTIONS(7071), 1,
      anon_sym_is,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(4919), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4923), 1,
      anon_sym_EQ,
    STATE(3882), 1,
      sym_comment,
    ACTIONS(4925), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [140644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_PIPE,
    STATE(3883), 1,
      sym_comment,
    ACTIONS(5325), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5357), 1,
      anon_sym_EQ,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(5359), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(3885), 1,
      sym_comment,
    ACTIONS(5188), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_EQ,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(4969), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5029), 1,
      anon_sym_EQ,
    STATE(3887), 1,
      sym_comment,
    ACTIONS(5031), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5095), 1,
      anon_sym_PIPE,
    STATE(3888), 1,
      sym_comment,
    ACTIONS(5097), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [140818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5260), 1,
      anon_sym_EQ,
    STATE(3889), 1,
      sym_comment,
    ACTIONS(5262), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_EQ,
    STATE(3890), 1,
      sym_comment,
    ACTIONS(4965), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(7073), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [140903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_EQ,
    STATE(3892), 1,
      sym_comment,
    ACTIONS(5156), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5264), 1,
      anon_sym_EQ,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(5266), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [140961] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5250), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3894), 1,
      sym_comment,
    ACTIONS(5252), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [140996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5204), 1,
      anon_sym_EQ,
    STATE(3895), 1,
      sym_comment,
    ACTIONS(5206), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5196), 1,
      anon_sym_EQ,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(5198), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5196), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3897), 1,
      sym_comment,
    ACTIONS(5198), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACK,
    STATE(3898), 1,
      sym_comment,
    ACTIONS(5152), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141120] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7089), 1,
      sym_number,
    ACTIONS(7091), 1,
      anon_sym_unique,
    STATE(3899), 1,
      sym_comment,
    STATE(7490), 1,
      sym_string,
    STATE(7493), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5131), 1,
      anon_sym_EQ,
    ACTIONS(7093), 1,
      anon_sym_extends,
    STATE(3900), 1,
      sym_comment,
    ACTIONS(5133), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [141190] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7095), 1,
      sym_number,
    STATE(3901), 1,
      sym_comment,
    STATE(7486), 1,
      sym_string,
    STATE(7488), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(7097), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [141256] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5121), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACK,
    STATE(3903), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5123), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141289] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5217), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3904), 1,
      sym_comment,
    ACTIONS(5219), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141324] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7099), 1,
      sym_number,
    STATE(3905), 1,
      sym_comment,
    STATE(7473), 1,
      sym_string,
    STATE(7482), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141363] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7101), 1,
      sym_number,
    STATE(3906), 1,
      sym_comment,
    STATE(7468), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    STATE(3907), 1,
      sym_comment,
    ACTIONS(5145), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5095), 1,
      anon_sym_PIPE,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(5097), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141458] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5349), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3909), 1,
      sym_comment,
    ACTIONS(5351), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141493] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_EQ,
    STATE(3910), 1,
      sym_comment,
    ACTIONS(4977), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3911), 1,
      sym_comment,
    ACTIONS(7103), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [141549] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5033), 1,
      anon_sym_EQ,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(5035), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141578] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5293), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(5295), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [141613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5095), 1,
      anon_sym_PIPE,
    STATE(3914), 1,
      sym_comment,
    ACTIONS(5097), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141642] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    STATE(3915), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141673] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_EQ,
    STATE(3916), 1,
      sym_comment,
    ACTIONS(5061), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(5284), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5063), 1,
      anon_sym_EQ,
    STATE(3918), 1,
      sym_comment,
    ACTIONS(5065), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [141760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5091), 1,
      anon_sym_PIPE,
    STATE(3919), 1,
      sym_comment,
    ACTIONS(5093), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5091), 1,
      anon_sym_PIPE,
    STATE(3920), 1,
      sym_comment,
    ACTIONS(5093), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5091), 1,
      anon_sym_PIPE,
    STATE(3921), 1,
      sym_comment,
    ACTIONS(5093), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141847] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7105), 1,
      sym_number,
    STATE(3922), 1,
      sym_comment,
    STATE(7358), 1,
      sym_string,
    STATE(7361), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    STATE(3923), 1,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    STATE(3924), 1,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [141944] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7107), 1,
      sym_number,
    STATE(3925), 1,
      sym_comment,
    STATE(7346), 1,
      sym_string,
    STATE(7350), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [141983] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(7111), 1,
      anon_sym_DOT,
    ACTIONS(7113), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7115), 1,
      anon_sym_LT,
    STATE(3926), 1,
      sym_comment,
    STATE(4177), 1,
      sym_arguments,
    STATE(4428), 1,
      sym_type_arguments,
    ACTIONS(4903), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    STATE(3927), 1,
      sym_comment,
    ACTIONS(5079), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142051] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3928), 1,
      sym_comment,
    ACTIONS(7117), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142078] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(7115), 1,
      anon_sym_LT,
    ACTIONS(7119), 1,
      anon_sym_DOT,
    ACTIONS(7121), 1,
      anon_sym_QMARK_DOT,
    STATE(3929), 1,
      sym_comment,
    STATE(4178), 1,
      sym_arguments,
    STATE(4426), 1,
      sym_type_arguments,
    ACTIONS(4871), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5353), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3930), 1,
      sym_comment,
    ACTIONS(5355), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [142152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5137), 1,
      anon_sym_EQ,
    STATE(3931), 1,
      sym_comment,
    ACTIONS(5139), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142181] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5081), 1,
      anon_sym_EQ,
    STATE(3932), 1,
      sym_comment,
    ACTIONS(5083), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142210] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(7115), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_DOT,
    ACTIONS(7125), 1,
      anon_sym_QMARK_DOT,
    STATE(3933), 1,
      sym_comment,
    STATE(4179), 1,
      sym_arguments,
    STATE(4424), 1,
      sym_type_arguments,
    ACTIONS(4204), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142249] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7127), 1,
      sym_number,
    STATE(3934), 1,
      sym_comment,
    STATE(7331), 1,
      sym_string,
    STATE(7339), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142288] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7129), 1,
      sym_number,
    STATE(3935), 1,
      sym_comment,
    STATE(7233), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142325] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7131), 1,
      sym_number,
    STATE(3936), 1,
      sym_comment,
    STATE(7329), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5333), 1,
      anon_sym_PIPE,
    STATE(3937), 1,
      sym_comment,
    ACTIONS(5335), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5337), 1,
      anon_sym_PIPE,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(5339), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5055), 1,
      anon_sym_EQ,
    STATE(3939), 1,
      sym_comment,
    ACTIONS(5057), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142449] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5345), 1,
      anon_sym_PIPE,
    STATE(3940), 1,
      sym_comment,
    ACTIONS(5347), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7133), 1,
      sym_number,
    STATE(3941), 1,
      sym_comment,
    STATE(7220), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142515] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7135), 1,
      sym_number,
    STATE(3942), 1,
      sym_comment,
    STATE(7223), 1,
      sym_string,
    STATE(7224), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_EQ,
    STATE(3943), 1,
      sym_comment,
    ACTIONS(5343), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5345), 1,
      anon_sym_PIPE,
    STATE(3944), 1,
      sym_comment,
    ACTIONS(5347), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142612] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7137), 1,
      sym_number,
    STATE(3945), 1,
      sym_comment,
    STATE(7237), 1,
      sym_string,
    STATE(7270), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142651] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7139), 1,
      sym_number,
    STATE(3946), 1,
      sym_comment,
    STATE(7227), 1,
      sym_string,
    STATE(7228), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3947), 1,
      sym_comment,
    ACTIONS(7141), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [142717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5323), 1,
      anon_sym_PIPE,
    STATE(3948), 1,
      sym_comment,
    ACTIONS(5325), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142746] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_PIPE,
    STATE(3949), 1,
      sym_comment,
    ACTIONS(5288), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142775] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7143), 1,
      sym_number,
    STATE(3950), 1,
      sym_comment,
    STATE(7231), 1,
      sym_string,
    STATE(7232), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142814] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7145), 1,
      sym_number,
    STATE(3951), 1,
      sym_comment,
    STATE(7058), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142851] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7147), 1,
      sym_number,
    STATE(3952), 1,
      sym_comment,
    STATE(7060), 1,
      sym_string,
    STATE(7063), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [142890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_EQ,
    STATE(3953), 1,
      sym_comment,
    ACTIONS(4961), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5286), 1,
      anon_sym_PIPE,
    STATE(3954), 1,
      sym_comment,
    ACTIONS(5288), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    STATE(3955), 1,
      sym_comment,
    ACTIONS(5284), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [142977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_EQ,
    STATE(3956), 1,
      sym_comment,
    ACTIONS(5236), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(3957), 1,
      sym_comment,
    ACTIONS(5274), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5268), 1,
      anon_sym_PIPE,
    STATE(3958), 1,
      sym_comment,
    ACTIONS(5270), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5272), 1,
      anon_sym_PIPE,
    STATE(3959), 1,
      sym_comment,
    ACTIONS(5274), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143093] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(3960), 1,
      sym_comment,
    ACTIONS(4961), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [143128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5268), 1,
      anon_sym_PIPE,
    STATE(3961), 1,
      sym_comment,
    ACTIONS(5270), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143157] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7149), 1,
      sym_number,
    STATE(3962), 1,
      sym_comment,
    STATE(7070), 1,
      sym_string,
    STATE(7073), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143196] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7151), 1,
      sym_number,
    STATE(3963), 1,
      sym_comment,
    STATE(7078), 1,
      sym_string,
    STATE(7079), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143235] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7153), 1,
      sym_number,
    STATE(3964), 1,
      sym_comment,
    STATE(7243), 1,
      sym_string,
    STATE(7251), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143274] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_EQ,
    STATE(3965), 1,
      sym_comment,
    ACTIONS(5278), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5047), 1,
      anon_sym_EQ,
    STATE(3966), 1,
      sym_comment,
    ACTIONS(5049), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_EQ,
    STATE(3967), 1,
      sym_comment,
    ACTIONS(4949), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3968), 1,
      sym_comment,
    ACTIONS(7155), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5071), 1,
      anon_sym_EQ,
    STATE(3969), 1,
      sym_comment,
    ACTIONS(5073), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3970), 1,
      sym_comment,
    ACTIONS(7157), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    STATE(3971), 1,
      sym_comment,
    ACTIONS(5194), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143473] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    ACTIONS(7091), 1,
      anon_sym_unique,
    ACTIONS(7159), 1,
      sym_number,
    STATE(3972), 1,
      sym_comment,
    STATE(7255), 1,
      sym_string,
    STATE(7256), 1,
      sym_predefined_type,
    ACTIONS(7083), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [143512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_EQ,
    STATE(3973), 1,
      sym_comment,
    ACTIONS(5129), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143541] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACK,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(5129), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_EQ,
    STATE(3975), 1,
      sym_comment,
    ACTIONS(4953), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3976), 1,
      sym_comment,
    ACTIONS(7161), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4955), 1,
      anon_sym_EQ,
    STATE(3977), 1,
      sym_comment,
    ACTIONS(4957), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143657] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_EQ,
    STATE(3978), 1,
      sym_comment,
    ACTIONS(4919), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5117), 1,
      anon_sym_EQ,
    STATE(3979), 1,
      sym_comment,
    ACTIONS(5119), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143715] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_EQ,
    STATE(3980), 1,
      sym_comment,
    ACTIONS(5317), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3981), 1,
      sym_comment,
    ACTIONS(7163), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [143771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_EQ,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    STATE(3982), 1,
      sym_comment,
    ACTIONS(5313), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5307), 1,
      anon_sym_EQ,
    STATE(3983), 1,
      sym_comment,
    ACTIONS(5309), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_PIPE,
    STATE(3984), 1,
      sym_comment,
    ACTIONS(5321), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143860] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_PIPE,
    STATE(3985), 1,
      sym_comment,
    ACTIONS(5321), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143889] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5319), 1,
      anon_sym_PIPE,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(5321), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5297), 1,
      anon_sym_PIPE,
    STATE(3987), 1,
      sym_comment,
    ACTIONS(5299), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143947] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5297), 1,
      anon_sym_PIPE,
    STATE(3988), 1,
      sym_comment,
    ACTIONS(5299), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [143976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5297), 1,
      anon_sym_PIPE,
    STATE(3989), 1,
      sym_comment,
    ACTIONS(5299), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(3990), 1,
      sym_comment,
    ACTIONS(7165), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [144032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_PIPE,
    STATE(3991), 1,
      sym_comment,
    ACTIONS(5202), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_PIPE,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(5202), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144090] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_PIPE,
    ACTIONS(7065), 1,
      anon_sym_LT,
    ACTIONS(7167), 1,
      anon_sym_DOT,
    ACTIONS(7169), 1,
      anon_sym_is,
    STATE(3993), 1,
      sym_comment,
    STATE(4203), 1,
      sym_type_arguments,
    ACTIONS(4255), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144127] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5200), 1,
      anon_sym_PIPE,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(5202), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [144156] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4609), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3995), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144200] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7181), 1,
      anon_sym_BANG,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7187), 1,
      anon_sym_QMARK,
    STATE(3996), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4805), 1,
      sym__call_signature,
    STATE(5380), 1,
      sym_type_annotation,
    STATE(5862), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7179), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144248] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(3997), 1,
      sym_comment,
    STATE(4286), 1,
      sym_type_predicate,
    STATE(7065), 1,
      sym_predefined_type,
    ACTIONS(7189), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144282] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(2965), 1,
      sym_type_predicate,
    STATE(3998), 1,
      sym_comment,
    STATE(7312), 1,
      sym_predefined_type,
    ACTIONS(7191), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [144316] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7195), 1,
      anon_sym_BANG,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_QMARK,
    STATE(3999), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5406), 1,
      sym_type_annotation,
    STATE(5888), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6600), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144364] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4000), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144408] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7203), 1,
      anon_sym_BANG,
    ACTIONS(7205), 1,
      anon_sym_QMARK,
    STATE(4001), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5162), 1,
      sym_type_annotation,
    STATE(6182), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6451), 1,
      sym__call_signature,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144456] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4002), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6595), 1,
      sym_import_require_clause,
    STATE(6596), 1,
      sym_string,
    STATE(6984), 1,
      sym_import_clause,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [144504] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4603), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4003), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144548] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7213), 1,
      anon_sym_BANG,
    ACTIONS(7215), 1,
      anon_sym_QMARK,
    STATE(4004), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5472), 1,
      sym_type_annotation,
    STATE(5902), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6584), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144596] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7217), 1,
      anon_sym_BANG,
    ACTIONS(7219), 1,
      anon_sym_QMARK,
    STATE(4005), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5081), 1,
      sym_type_annotation,
    STATE(6286), 1,
      sym__initializer,
    STATE(6382), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144644] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7221), 1,
      anon_sym_BANG,
    ACTIONS(7223), 1,
      anon_sym_QMARK,
    STATE(4006), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5072), 1,
      sym_type_annotation,
    STATE(6301), 1,
      sym__initializer,
    STATE(6378), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144692] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4007), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144736] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4606), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4008), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [144780] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7227), 1,
      anon_sym_BANG,
    ACTIONS(7229), 1,
      anon_sym_QMARK,
    STATE(4009), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4754), 1,
      sym__call_signature,
    STATE(5350), 1,
      sym_type_annotation,
    STATE(6030), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144828] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4010), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6775), 1,
      sym_import_require_clause,
    STATE(6776), 1,
      sym_string,
    STATE(6864), 1,
      sym_import_clause,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [144876] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7231), 1,
      anon_sym_BANG,
    ACTIONS(7233), 1,
      anon_sym_QMARK,
    STATE(4011), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5384), 1,
      sym_type_annotation,
    STATE(6004), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6548), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144924] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7235), 1,
      anon_sym_BANG,
    ACTIONS(7237), 1,
      anon_sym_QMARK,
    STATE(4012), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5362), 1,
      sym_type_annotation,
    STATE(6010), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6485), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144972] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4893), 1,
      anon_sym_PIPE,
    ACTIONS(7065), 1,
      anon_sym_LT,
    ACTIONS(7167), 1,
      anon_sym_DOT,
    STATE(4013), 1,
      sym_comment,
    STATE(4203), 1,
      sym_type_arguments,
    ACTIONS(4255), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [145006] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7241), 1,
      anon_sym_BANG,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    STATE(4014), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4918), 1,
      sym__call_signature,
    STATE(5066), 1,
      sym_type_annotation,
    STATE(5734), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145054] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7245), 1,
      anon_sym_BANG,
    ACTIONS(7247), 1,
      anon_sym_QMARK,
    STATE(4015), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5151), 1,
      sym_type_annotation,
    STATE(6208), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6441), 1,
      sym__call_signature,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145102] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7251), 1,
      anon_sym_BANG,
    ACTIONS(7253), 1,
      anon_sym_QMARK,
    STATE(4016), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5262), 1,
      sym_type_annotation,
    STATE(5811), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6581), 1,
      sym__call_signature,
    ACTIONS(7249), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145150] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7257), 1,
      anon_sym_BANG,
    ACTIONS(7259), 1,
      anon_sym_QMARK,
    STATE(4017), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4937), 1,
      sym__call_signature,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(6357), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7255), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145198] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7263), 1,
      anon_sym_BANG,
    ACTIONS(7265), 1,
      anon_sym_QMARK,
    STATE(4018), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5314), 1,
      sym_type_annotation,
    STATE(5824), 1,
      sym__initializer,
    STATE(5827), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7261), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145246] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4019), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6590), 1,
      sym_string,
    STATE(6592), 1,
      sym_import_require_clause,
    STATE(6657), 1,
      sym_import_clause,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [145294] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7267), 1,
      anon_sym_BANG,
    ACTIONS(7269), 1,
      anon_sym_QMARK,
    STATE(4020), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5304), 1,
      sym_type_annotation,
    STATE(6062), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6516), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145342] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(4021), 1,
      sym_comment,
    STATE(4210), 1,
      sym_type_predicate,
    STATE(7200), 1,
      sym_predefined_type,
    ACTIONS(7271), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145376] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4022), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6632), 1,
      sym_import_clause,
    STATE(6642), 1,
      sym_string,
    STATE(6648), 1,
      sym_import_require_clause,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [145424] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_BANG,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(4023), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5285), 1,
      sym_type_annotation,
    STATE(6078), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6509), 1,
      sym__call_signature,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145472] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7241), 1,
      anon_sym_BANG,
    ACTIONS(7277), 1,
      anon_sym_QMARK,
    STATE(4024), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5066), 1,
      sym_type_annotation,
    STATE(5704), 1,
      sym__call_signature,
    STATE(5705), 1,
      sym__initializer,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145520] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7263), 1,
      anon_sym_BANG,
    ACTIONS(7279), 1,
      anon_sym_QMARK,
    STATE(4025), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4778), 1,
      sym__call_signature,
    STATE(5314), 1,
      sym_type_annotation,
    STATE(5832), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7261), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145568] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7283), 1,
      anon_sym_BANG,
    ACTIONS(7285), 1,
      anon_sym_QMARK,
    STATE(4026), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5122), 1,
      sym_type_annotation,
    STATE(5738), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6686), 1,
      sym__call_signature,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145616] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7289), 1,
      anon_sym_BANG,
    ACTIONS(7291), 1,
      anon_sym_QMARK,
    STATE(4027), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5391), 1,
      sym_type_annotation,
    STATE(5876), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6606), 1,
      sym__call_signature,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145664] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7293), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_QMARK,
    STATE(4028), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym_type_annotation,
    STATE(5707), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6715), 1,
      sym__call_signature,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145712] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_BANG,
    ACTIONS(7299), 1,
      anon_sym_QMARK,
    STATE(4029), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5014), 1,
      sym_type_annotation,
    STATE(5710), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6710), 1,
      sym__call_signature,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145760] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4030), 1,
      sym_comment,
    STATE(6466), 1,
      sym_import_require_clause,
    STATE(6467), 1,
      sym_string,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(7013), 1,
      sym_import_clause,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [145808] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(2474), 1,
      sym_type_predicate,
    STATE(4031), 1,
      sym_comment,
    STATE(7428), 1,
      sym_predefined_type,
    ACTIONS(7301), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145842] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(204), 1,
      anon_sym_unique,
    STATE(3975), 1,
      sym_type_predicate,
    STATE(4032), 1,
      sym_comment,
    STATE(7106), 1,
      sym_predefined_type,
    ACTIONS(7303), 2,
      sym_identifier,
      sym_this,
    ACTIONS(206), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [145876] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    STATE(4033), 1,
      sym_comment,
    STATE(2651), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5049), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [145908] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7305), 1,
      anon_sym_BANG,
    ACTIONS(7307), 1,
      anon_sym_QMARK,
    STATE(4034), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5109), 1,
      sym_type_annotation,
    STATE(5733), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6626), 1,
      sym__call_signature,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4035), 1,
      sym_comment,
    ACTIONS(5339), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [145981] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7115), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_DOT,
    ACTIONS(7311), 1,
      anon_sym_is,
    STATE(4036), 1,
      sym_comment,
    STATE(4252), 1,
      sym_type_arguments,
    ACTIONS(4255), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_PIPE,
    STATE(4037), 1,
      sym_comment,
    ACTIONS(5208), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146041] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_PIPE,
    STATE(4038), 1,
      sym_comment,
    ACTIONS(5210), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(5212), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4040), 1,
      sym_comment,
    ACTIONS(5270), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4041), 1,
      sym_comment,
    ACTIONS(5274), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4042), 1,
      sym_comment,
    ACTIONS(5270), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4043), 1,
      sym_comment,
    ACTIONS(5274), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4044), 1,
      sym_comment,
    ACTIONS(5284), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4045), 1,
      sym_comment,
    ACTIONS(5288), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4046), 1,
      sym_comment,
    ACTIONS(5284), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146270] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_PIPE,
    ACTIONS(7065), 1,
      anon_sym_LT,
    STATE(4047), 1,
      sym_comment,
    STATE(4211), 1,
      sym_type_arguments,
    ACTIONS(4919), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146301] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7315), 1,
      anon_sym_QMARK,
    STATE(4048), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(5403), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7313), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146342] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7319), 1,
      anon_sym_QMARK,
    STATE(4049), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4540), 1,
      sym__call_signature,
    STATE(5206), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7317), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4050), 1,
      sym_comment,
    ACTIONS(5288), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4051), 1,
      sym_comment,
    ACTIONS(5325), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4052), 1,
      sym_comment,
    ACTIONS(5347), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4053), 1,
      sym_comment,
    ACTIONS(5325), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146483] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7323), 1,
      anon_sym_QMARK,
    STATE(4054), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5212), 1,
      sym__call_signature,
    STATE(5214), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146524] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7327), 1,
      anon_sym_QMARK,
    STATE(4055), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4663), 1,
      sym__call_signature,
    STATE(5242), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4056), 1,
      sym_comment,
    ACTIONS(5347), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146590] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7329), 1,
      anon_sym_QMARK,
    STATE(4057), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4708), 1,
      sym__call_signature,
    STATE(5214), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7321), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146631] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4058), 1,
      sym_comment,
    ACTIONS(5335), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [146656] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5085), 1,
      anon_sym_PIPE,
    ACTIONS(7331), 1,
      anon_sym_DOT,
    ACTIONS(7333), 1,
      anon_sym_QMARK_DOT,
    STATE(4059), 1,
      sym_comment,
    ACTIONS(5087), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146687] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7335), 1,
      anon_sym_COLON,
    ACTIONS(7337), 1,
      anon_sym_QMARK,
    STATE(4060), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4684), 1,
      sym__call_signature,
    STATE(5365), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7313), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4386), 1,
      anon_sym_PIPE,
    STATE(4061), 1,
      sym_comment,
    ACTIONS(4927), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_PIPE,
    STATE(4062), 1,
      sym_comment,
    ACTIONS(5305), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146782] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7339), 1,
      anon_sym_QMARK,
    STATE(4063), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5206), 1,
      sym_type_annotation,
    STATE(5216), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7317), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4435), 1,
      anon_sym_PIPE,
    STATE(4064), 1,
      sym_comment,
    ACTIONS(5161), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_PIPE,
    STATE(4065), 1,
      sym_comment,
    ACTIONS(5280), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146877] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_PIPE,
    STATE(4066), 1,
      sym_comment,
    ACTIONS(5280), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4442), 1,
      anon_sym_PIPE,
    STATE(4067), 1,
      sym_comment,
    ACTIONS(5163), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_PIPE,
    STATE(4068), 1,
      sym_comment,
    ACTIONS(5173), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_PIPE,
    STATE(4069), 1,
      sym_comment,
    ACTIONS(5182), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [146985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_PIPE,
    STATE(4070), 1,
      sym_comment,
    ACTIONS(5182), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147012] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7343), 1,
      anon_sym_QMARK,
    STATE(4071), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4632), 1,
      sym__call_signature,
    STATE(5167), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147053] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4412), 1,
      anon_sym_PIPE,
    STATE(4072), 1,
      sym_comment,
    ACTIONS(4933), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4395), 1,
      anon_sym_PIPE,
    STATE(4073), 1,
      sym_comment,
    ACTIONS(4931), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4074), 1,
      sym_comment,
    ACTIONS(5321), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4075), 1,
      sym_comment,
    ACTIONS(5321), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4076), 1,
      sym_comment,
    ACTIONS(5145), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4077), 1,
      sym_comment,
    ACTIONS(5097), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4078), 1,
      sym_comment,
    ACTIONS(5097), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4079), 1,
      sym_comment,
    ACTIONS(5097), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4080), 1,
      sym_comment,
    ACTIONS(5093), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4081), 1,
      sym_comment,
    ACTIONS(5093), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4082), 1,
      sym_comment,
    ACTIONS(5093), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4083), 1,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4084), 1,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4085), 1,
      sym_comment,
    ACTIONS(5079), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147407] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5043), 1,
      anon_sym_PIPE,
    STATE(4086), 1,
      sym_comment,
    ACTIONS(5045), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147434] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5051), 1,
      anon_sym_PIPE,
    STATE(4087), 1,
      sym_comment,
    ACTIONS(5053), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(5321), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5067), 1,
      anon_sym_PIPE,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(5069), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4090), 1,
      sym_comment,
    ACTIONS(5299), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147538] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(5047), 1,
      anon_sym_PIPE,
    STATE(4091), 1,
      sym_comment,
    STATE(2651), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5049), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4092), 1,
      sym_comment,
    ACTIONS(5299), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147596] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7345), 1,
      anon_sym_QMARK,
    STATE(4093), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5143), 1,
      sym__call_signature,
    STATE(5167), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7341), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147637] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4094), 1,
      sym_comment,
    ACTIONS(5299), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147662] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7347), 1,
      anon_sym_QMARK,
    STATE(4095), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5242), 1,
      sym_type_annotation,
    STATE(5247), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7325), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147703] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(5194), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147728] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_DOT,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    ACTIONS(7354), 1,
      anon_sym_COLON,
    ACTIONS(7356), 1,
      anon_sym_extends,
    STATE(3890), 1,
      sym_type_arguments,
    STATE(4097), 1,
      sym_comment,
    STATE(5559), 1,
      sym_constraint,
    STATE(6746), 1,
      sym_default_type,
    ACTIONS(7351), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(4255), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [147771] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_PIPE,
    STATE(4098), 1,
      sym_comment,
    ACTIONS(5177), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4099), 1,
      sym_comment,
    ACTIONS(5202), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4100), 1,
      sym_comment,
    ACTIONS(5202), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4101), 1,
      sym_comment,
    ACTIONS(5202), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [147875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2184), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_PIPE,
    STATE(4102), 1,
      sym_comment,
    ACTIONS(5177), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [147904] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4103), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5271), 1,
      sym_type_annotation,
    STATE(6084), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6502), 1,
      sym__call_signature,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147946] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4104), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5250), 1,
      sym_type_annotation,
    STATE(5258), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7361), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147984] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4609), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4105), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148018] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4106), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5315), 1,
      sym_type_annotation,
    STATE(6032), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6522), 1,
      sym__call_signature,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148060] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4107), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5171), 1,
      sym__call_signature,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148098] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4108), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5203), 1,
      sym_type_annotation,
    STATE(5779), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6668), 1,
      sym__call_signature,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148140] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4109), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4801), 1,
      sym__call_signature,
    STATE(5284), 1,
      sym_type_annotation,
    STATE(5819), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148182] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_is,
    STATE(4110), 1,
      sym_comment,
    ACTIONS(4949), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148210] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4111), 1,
      sym_comment,
    STATE(6466), 1,
      sym_import_require_clause,
    STATE(6467), 1,
      sym_string,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(7013), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [148254] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4112), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5094), 1,
      sym_type_annotation,
    STATE(5721), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6787), 1,
      sym__call_signature,
    ACTIONS(7369), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148296] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_PIPE,
    ACTIONS(7371), 1,
      anon_sym_is,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(4919), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(7169), 1,
      anon_sym_is,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(4953), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [148352] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4115), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5461), 1,
      sym_type_annotation,
    STATE(5939), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6575), 1,
      sym__call_signature,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148394] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4603), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4116), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148428] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4117), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4633), 1,
      sym__call_signature,
    STATE(5179), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148466] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4118), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5411), 1,
      sym_type_annotation,
    STATE(5897), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6591), 1,
      sym__call_signature,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148508] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4119), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(5886), 1,
      sym__call_signature,
    STATE(5887), 1,
      sym__initializer,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4923), 1,
      anon_sym_PIPE,
    STATE(4120), 1,
      sym_comment,
    ACTIONS(4925), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [148576] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4121), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5300), 1,
      sym_type_annotation,
    STATE(6077), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6503), 1,
      sym__call_signature,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148618] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4122), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4806), 1,
      sym__call_signature,
    STATE(5252), 1,
      sym_type_annotation,
    STATE(6098), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148660] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7115), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_DOT,
    STATE(4123), 1,
      sym_comment,
    STATE(4252), 1,
      sym_type_arguments,
    ACTIONS(4255), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148690] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4124), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6632), 1,
      sym_import_clause,
    STATE(6642), 1,
      sym_string,
    STATE(6648), 1,
      sym_import_require_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [148734] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4125), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(5189), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148772] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4126), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6595), 1,
      sym_import_require_clause,
    STATE(6596), 1,
      sym_string,
    STATE(6984), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [148816] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_DOT,
    ACTIONS(7379), 1,
      anon_sym_QMARK,
    STATE(3890), 1,
      sym_type_arguments,
    STATE(4127), 1,
      sym_comment,
    STATE(6947), 1,
      sym_type_annotation,
    ACTIONS(4255), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148852] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4128), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5404), 1,
      sym_type_annotation,
    STATE(5884), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6604), 1,
      sym__call_signature,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148894] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4129), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5360), 1,
      sym_type_annotation,
    STATE(5861), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6609), 1,
      sym__call_signature,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148936] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4130), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [148970] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4131), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5190), 1,
      sym_type_annotation,
    STATE(5191), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149008] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4132), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4707), 1,
      sym__call_signature,
    STATE(5211), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149046] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4133), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149080] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4134), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4863), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4596), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149116] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4135), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4659), 1,
      sym__call_signature,
    STATE(5250), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7361), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149154] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4136), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4809), 1,
      sym__call_signature,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(5849), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149196] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4137), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4854), 1,
      sym__call_signature,
    STATE(5199), 1,
      sym_type_annotation,
    STATE(6138), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7386), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149238] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4138), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5208), 1,
      sym__call_signature,
    STATE(5211), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149276] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4606), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4139), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [149310] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4140), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6590), 1,
      sym_string,
    STATE(6592), 1,
      sym_import_require_clause,
    STATE(6657), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [149354] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4141), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5181), 1,
      sym_type_annotation,
    STATE(6155), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6459), 1,
      sym__call_signature,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149396] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4142), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5056), 1,
      sym_type_annotation,
    STATE(5694), 1,
      sym__call_signature,
    STATE(5695), 1,
      sym__initializer,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149438] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4143), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5174), 1,
      sym_type_annotation,
    STATE(6171), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6454), 1,
      sym__call_signature,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149480] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4144), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4733), 1,
      sym__call_signature,
    STATE(5190), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149518] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4145), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5105), 1,
      sym_type_annotation,
    STATE(6259), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6408), 1,
      sym__call_signature,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149560] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4146), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5077), 1,
      sym_type_annotation,
    STATE(6293), 1,
      sym__initializer,
    STATE(6380), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149602] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(7023), 1,
      anon_sym_STAR,
    ACTIONS(7027), 1,
      anon_sym_LBRACE,
    ACTIONS(7207), 1,
      sym_identifier,
    ACTIONS(7209), 1,
      anon_sym_type,
    STATE(4147), 1,
      sym_comment,
    STATE(6468), 1,
      sym__import_identifier,
    STATE(6775), 1,
      sym_import_require_clause,
    STATE(6776), 1,
      sym_string,
    STATE(6864), 1,
      sym_import_clause,
    STATE(7415), 2,
      sym_namespace_import,
      sym_named_imports,
  [149646] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5161), 1,
      sym_type_annotation,
    STATE(6174), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6452), 1,
      sym__call_signature,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149688] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4149), 1,
      sym_comment,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4546), 1,
      sym__call_signature,
    STATE(5188), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym_type_parameters,
    ACTIONS(7377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2061), 1,
      anon_sym_PIPE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4150), 1,
      sym_comment,
    ACTIONS(2063), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [149752] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4151), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5145), 1,
      sym_type_annotation,
    STATE(5752), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6765), 1,
      sym__call_signature,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149794] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4152), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5130), 1,
      sym_type_annotation,
    STATE(6221), 1,
      sym__initializer,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6436), 1,
      sym__call_signature,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149836] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4153), 1,
      sym_comment,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4914), 1,
      sym__call_signature,
    STATE(5056), 1,
      sym_type_annotation,
    STATE(5674), 1,
      sym__initializer,
    STATE(6413), 1,
      sym_type_parameters,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5071), 1,
      anon_sym_PIPE,
    STATE(4154), 1,
      sym_comment,
    ACTIONS(5073), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5260), 1,
      anon_sym_PIPE,
    STATE(4155), 1,
      sym_comment,
    ACTIONS(5262), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3391), 1,
      anon_sym_PIPE,
    STATE(4156), 1,
      sym_comment,
    ACTIONS(3615), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [149953] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(5351), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [149982] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4158), 1,
      sym_comment,
    ACTIONS(5295), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4159), 1,
      sym_comment,
    ACTIONS(6320), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5196), 1,
      anon_sym_PIPE,
    STATE(4160), 1,
      sym_comment,
    ACTIONS(5198), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4161), 1,
      sym_comment,
    ACTIONS(6496), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150082] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4162), 1,
      sym_comment,
    STATE(4602), 1,
      sym_formal_parameters,
    STATE(7003), 1,
      sym_type_parameters,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [150113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4163), 1,
      sym_comment,
    ACTIONS(4933), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3405), 1,
      anon_sym_PIPE,
    STATE(4164), 1,
      sym_comment,
    ACTIONS(3617), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4165), 1,
      sym_comment,
    ACTIONS(4927), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3403), 1,
      anon_sym_PIPE,
    STATE(4166), 1,
      sym_comment,
    ACTIONS(3629), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5234), 1,
      anon_sym_PIPE,
    STATE(4167), 1,
      sym_comment,
    ACTIONS(5236), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5029), 1,
      anon_sym_PIPE,
    STATE(4168), 1,
      sym_comment,
    ACTIONS(5031), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150259] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7402), 1,
      anon_sym_type,
    ACTIONS(7404), 1,
      anon_sym_COMMA,
    ACTIONS(7406), 1,
      anon_sym_RBRACE,
    ACTIONS(7408), 1,
      anon_sym_typeof,
    STATE(4169), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6147), 1,
      sym_import_specifier,
    STATE(6651), 1,
      sym__import_identifier,
    STATE(7260), 1,
      sym__module_export_name,
  [150302] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2184), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4170), 1,
      sym_comment,
    ACTIONS(5177), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [150327] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4171), 1,
      sym_comment,
    ACTIONS(5177), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [150352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4967), 1,
      anon_sym_PIPE,
    STATE(4172), 1,
      sym_comment,
    ACTIONS(4969), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5341), 1,
      anon_sym_PIPE,
    STATE(4173), 1,
      sym_comment,
    ACTIONS(5343), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5276), 1,
      anon_sym_PIPE,
    STATE(4174), 1,
      sym_comment,
    ACTIONS(5278), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4947), 1,
      anon_sym_PIPE,
    STATE(4175), 1,
      sym_comment,
    ACTIONS(4949), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_PIPE,
    STATE(4176), 1,
      sym_comment,
    ACTIONS(5188), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4177), 1,
      sym_comment,
    ACTIONS(5069), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4178), 1,
      sym_comment,
    ACTIONS(5053), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4179), 1,
      sym_comment,
    ACTIONS(5045), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [150546] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4180), 1,
      sym_comment,
    ACTIONS(5198), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    STATE(4181), 1,
      sym_comment,
    ACTIONS(5206), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    STATE(4182), 1,
      sym_comment,
    ACTIONS(5129), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4183), 1,
      sym_comment,
    ACTIONS(5252), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [150654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5063), 1,
      anon_sym_PIPE,
    STATE(4184), 1,
      sym_comment,
    ACTIONS(5065), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5059), 1,
      anon_sym_PIPE,
    STATE(4185), 1,
      sym_comment,
    ACTIONS(5061), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    STATE(4186), 1,
      sym_comment,
    ACTIONS(3633), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150729] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4917), 1,
      anon_sym_PIPE,
    STATE(4187), 1,
      sym_comment,
    ACTIONS(4919), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150754] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5037), 1,
      anon_sym_PIPE,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    STATE(4188), 1,
      sym_comment,
    ACTIONS(5039), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5047), 1,
      anon_sym_PIPE,
    STATE(4189), 1,
      sym_comment,
    ACTIONS(5049), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    STATE(4190), 1,
      sym_comment,
    ACTIONS(5359), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150831] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5055), 1,
      anon_sym_PIPE,
    STATE(4191), 1,
      sym_comment,
    ACTIONS(5057), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5264), 1,
      anon_sym_PIPE,
    STATE(4192), 1,
      sym_comment,
    ACTIONS(5266), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150881] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4955), 1,
      anon_sym_PIPE,
    STATE(4193), 1,
      sym_comment,
    ACTIONS(4957), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5117), 1,
      anon_sym_PIPE,
    STATE(4194), 1,
      sym_comment,
    ACTIONS(5119), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5137), 1,
      anon_sym_PIPE,
    STATE(4195), 1,
      sym_comment,
    ACTIONS(5139), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5081), 1,
      anon_sym_PIPE,
    STATE(4196), 1,
      sym_comment,
    ACTIONS(5083), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [150981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3387), 1,
      anon_sym_PIPE,
    STATE(4197), 1,
      sym_comment,
    ACTIONS(3557), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5033), 1,
      anon_sym_PIPE,
    STATE(4198), 1,
      sym_comment,
    ACTIONS(5035), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151031] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4959), 1,
      anon_sym_PIPE,
    STATE(4199), 1,
      sym_comment,
    ACTIONS(4961), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151056] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4200), 1,
      sym_comment,
    ACTIONS(4961), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151085] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4201), 1,
      sym_comment,
    ACTIONS(5355), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(4202), 1,
      sym_comment,
    ACTIONS(4977), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    STATE(4203), 1,
      sym_comment,
    ACTIONS(4965), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5307), 1,
      anon_sym_PIPE,
    STATE(4204), 1,
      sym_comment,
    ACTIONS(5309), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151189] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    ACTIONS(7410), 1,
      anon_sym_LBRACK,
    STATE(4205), 1,
      sym_comment,
    ACTIONS(5129), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151216] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4206), 1,
      sym_comment,
    ACTIONS(5219), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [151245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5311), 1,
      anon_sym_PIPE,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    STATE(4207), 1,
      sym_comment,
    ACTIONS(5313), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4208), 1,
      sym_comment,
    ACTIONS(4931), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5315), 1,
      anon_sym_PIPE,
    STATE(4209), 1,
      sym_comment,
    ACTIONS(5317), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    STATE(4210), 1,
      sym_comment,
    ACTIONS(4953), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_PIPE,
    STATE(4211), 1,
      sym_comment,
    ACTIONS(5156), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151370] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5127), 1,
      anon_sym_PIPE,
    ACTIONS(7410), 1,
      anon_sym_LBRACK,
    STATE(4212), 1,
      sym_comment,
    ACTIONS(5129), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5123), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4213), 1,
      sym_comment,
    ACTIONS(4596), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151422] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5131), 1,
      anon_sym_PIPE,
    ACTIONS(7412), 1,
      anon_sym_extends,
    STATE(4214), 1,
      sym_comment,
    ACTIONS(5133), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [151449] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(7410), 1,
      anon_sym_LBRACK,
    STATE(4215), 1,
      sym_comment,
    ACTIONS(5152), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [151476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7414), 1,
      anon_sym_DOT,
    ACTIONS(7416), 1,
      anon_sym_QMARK_DOT,
    STATE(4216), 1,
      sym_comment,
    ACTIONS(5087), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7115), 1,
      anon_sym_LT,
    STATE(4217), 1,
      sym_comment,
    STATE(4326), 1,
      sym_type_arguments,
    ACTIONS(4919), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7418), 1,
      anon_sym_is,
    STATE(4218), 1,
      sym_comment,
    ACTIONS(4919), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(4925), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [151576] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7420), 1,
      sym_identifier,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    STATE(3284), 1,
      sym_class_body,
    STATE(4220), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [151616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4221), 1,
      sym_comment,
    ACTIONS(2063), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [151638] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7428), 1,
      sym_identifier,
    ACTIONS(7430), 1,
      anon_sym_LBRACE,
    STATE(3498), 1,
      sym_class_body,
    STATE(4222), 1,
      sym_comment,
    STATE(4541), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(7025), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [151678] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4223), 1,
      sym_comment,
    ACTIONS(4863), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4596), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [151704] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7430), 1,
      anon_sym_LBRACE,
    ACTIONS(7432), 1,
      sym_identifier,
    STATE(2692), 1,
      sym_class_body,
    STATE(4224), 1,
      sym_comment,
    STATE(4751), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6754), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [151744] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(7436), 1,
      anon_sym_DOT,
    STATE(4225), 1,
      sym_comment,
    STATE(4451), 1,
      sym_arguments,
    ACTIONS(7434), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151772] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7438), 1,
      anon_sym_type,
    ACTIONS(7440), 1,
      anon_sym_as,
    STATE(4226), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6962), 1,
      sym__import_identifier,
    STATE(7076), 1,
      sym__module_export_name,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [151810] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7442), 1,
      anon_sym_EQ,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    STATE(4227), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(5446), 1,
      sym__initializer,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7311), 1,
      anon_sym_is,
    STATE(4228), 1,
      sym_comment,
    ACTIONS(4949), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151868] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7430), 1,
      anon_sym_LBRACE,
    ACTIONS(7450), 1,
      sym_identifier,
    STATE(2707), 1,
      sym_class_body,
    STATE(4229), 1,
      sym_comment,
    STATE(4686), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6455), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [151908] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7452), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4230), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [151948] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7402), 1,
      anon_sym_type,
    ACTIONS(7408), 1,
      anon_sym_typeof,
    ACTIONS(7454), 1,
      anon_sym_RBRACE,
    STATE(4231), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6651), 1,
      sym__import_identifier,
    STATE(6845), 1,
      sym_import_specifier,
    STATE(7260), 1,
      sym__module_export_name,
  [151988] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7456), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4232), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7460), 1,
      anon_sym_COLON,
    STATE(4233), 1,
      sym_comment,
    STATE(4917), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7458), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152054] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7462), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4234), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152094] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7464), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4235), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152134] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4236), 1,
      sym_comment,
    ACTIONS(7466), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152162] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    STATE(4237), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(6141), 1,
      sym__initializer,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152196] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7468), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4238), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152236] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(4239), 1,
      sym_comment,
    STATE(3296), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5049), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152264] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7470), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4240), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152304] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7472), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4241), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152344] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7474), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4242), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152384] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7476), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4243), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152424] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7402), 1,
      anon_sym_type,
    ACTIONS(7408), 1,
      anon_sym_typeof,
    ACTIONS(7478), 1,
      anon_sym_RBRACE,
    STATE(4244), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6651), 1,
      sym__import_identifier,
    STATE(6845), 1,
      sym_import_specifier,
    STATE(7260), 1,
      sym__module_export_name,
  [152464] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7480), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4245), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152504] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7482), 1,
      sym_identifier,
    STATE(3284), 1,
      sym_class_body,
    STATE(4246), 1,
      sym_comment,
    STATE(4525), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6809), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152544] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7484), 1,
      sym_identifier,
    ACTIONS(7488), 1,
      anon_sym_COMMA,
    ACTIONS(7490), 1,
      anon_sym_RBRACE,
    STATE(4247), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6187), 1,
      sym__module_export_name,
    STATE(6190), 1,
      sym_export_specifier,
    ACTIONS(7486), 2,
      anon_sym_type,
      anon_sym_typeof,
  [152582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7460), 1,
      anon_sym_COLON,
    STATE(4248), 1,
      sym_comment,
    STATE(4780), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7492), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152608] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7494), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4249), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7311), 1,
      anon_sym_is,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(4953), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152672] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7422), 1,
      anon_sym_LBRACE,
    ACTIONS(7424), 1,
      anon_sym_extends,
    ACTIONS(7426), 1,
      anon_sym_implements,
    ACTIONS(7496), 1,
      sym_identifier,
    STATE(3167), 1,
      sym_class_body,
    STATE(4251), 1,
      sym_comment,
    STATE(4604), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6525), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4252), 1,
      sym_comment,
    ACTIONS(4965), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152733] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    ACTIONS(7500), 1,
      anon_sym_RBRACE,
    STATE(4253), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [152764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7502), 1,
      anon_sym_EQ,
    STATE(4254), 1,
      sym_comment,
    ACTIONS(7504), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152787] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7506), 1,
      anon_sym_EQ,
    STATE(4255), 1,
      sym_comment,
    ACTIONS(7508), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152810] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    ACTIONS(7510), 1,
      anon_sym_RBRACE,
    STATE(4256), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [152841] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4257), 1,
      sym_comment,
    ACTIONS(5351), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [152868] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4258), 1,
      sym_comment,
    STATE(4650), 1,
      sym_type_parameters,
    STATE(4998), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6540), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7524), 1,
      anon_sym_EQ,
    STATE(4259), 1,
      sym_comment,
    ACTIONS(4408), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152928] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1553), 1,
      sym_class_body,
    STATE(4260), 1,
      sym_comment,
    STATE(4515), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6838), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [152965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7528), 1,
      anon_sym_EQ,
    STATE(4261), 1,
      sym_comment,
    ACTIONS(4393), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [152988] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(374), 1,
      sym_class_body,
    STATE(4262), 1,
      sym_comment,
    STATE(4610), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6460), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153025] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4263), 1,
      sym_comment,
    ACTIONS(3615), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4264), 1,
      sym_comment,
    ACTIONS(5173), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(5163), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4266), 1,
      sym_comment,
    ACTIONS(5161), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4267), 1,
      sym_comment,
    ACTIONS(5206), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153130] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    STATE(4268), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153161] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    ACTIONS(7532), 1,
      anon_sym_RBRACE,
    STATE(4269), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153192] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3112), 1,
      sym_class_body,
    STATE(4270), 1,
      sym_comment,
    STATE(4609), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6970), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153229] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4271), 1,
      sym_comment,
    ACTIONS(5252), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [153256] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    STATE(4272), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [153287] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_class_body,
    STATE(4273), 1,
      sym_comment,
    STATE(4498), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6409), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4274), 1,
      sym_comment,
    ACTIONS(3633), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153345] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4275), 1,
      sym_comment,
    ACTIONS(5266), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153366] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7538), 1,
      anon_sym_COLON,
    STATE(4276), 1,
      sym_comment,
    STATE(5436), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7492), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153391] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_class_body,
    STATE(4277), 1,
      sym_comment,
    STATE(4567), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6448), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153428] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(2531), 1,
      sym_arguments,
    STATE(2734), 1,
      sym_template_string,
    STATE(4033), 1,
      sym_type_arguments,
    STATE(4278), 1,
      sym_comment,
    STATE(6537), 1,
      sym_optional_chain,
  [153465] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2581), 1,
      sym_class_body,
    STATE(4279), 1,
      sym_comment,
    STATE(4627), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6994), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4280), 1,
      sym_comment,
    ACTIONS(3629), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4281), 1,
      sym_comment,
    ACTIONS(5262), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153544] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7546), 1,
      anon_sym_BANG,
    ACTIONS(7548), 1,
      anon_sym_QMARK,
    STATE(4282), 1,
      sym_comment,
    STATE(5220), 1,
      sym_type_annotation,
    STATE(5788), 1,
      sym__initializer,
    ACTIONS(7544), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4283), 1,
      sym_comment,
    ACTIONS(3617), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4284), 1,
      sym_comment,
    ACTIONS(5212), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153619] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(3073), 1,
      sym_arguments,
    STATE(3222), 1,
      sym_template_string,
    STATE(4239), 1,
      sym_type_arguments,
    STATE(4285), 1,
      sym_comment,
    STATE(6553), 1,
      sym_optional_chain,
  [153656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4286), 1,
      sym_comment,
    ACTIONS(4953), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153677] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7550), 1,
      anon_sym_EQ,
    STATE(4287), 1,
      sym_comment,
    ACTIONS(7552), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [153700] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(2734), 1,
      sym_template_string,
    STATE(3367), 1,
      sym_arguments,
    STATE(4033), 1,
      sym_type_arguments,
    STATE(4288), 1,
      sym_comment,
    STATE(6537), 1,
      sym_optional_chain,
  [153737] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_BANG,
    ACTIONS(7556), 1,
      anon_sym_QMARK,
    STATE(4289), 1,
      sym_comment,
    STATE(5154), 1,
      sym_type_annotation,
    STATE(6203), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4290), 1,
      sym_comment,
    ACTIONS(5182), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153791] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7402), 1,
      anon_sym_type,
    ACTIONS(7408), 1,
      anon_sym_typeof,
    STATE(4291), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6651), 1,
      sym__import_identifier,
    STATE(6845), 1,
      sym_import_specifier,
    STATE(7260), 1,
      sym__module_export_name,
  [153828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(5182), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4293), 1,
      sym_comment,
    ACTIONS(5280), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(5280), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [153891] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(4295), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6553), 1,
      sym_optional_chain,
    STATE(3222), 2,
      sym_template_string,
      sym_arguments,
  [153926] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(4296), 1,
      sym_comment,
    STATE(4555), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6706), 1,
      sym_class_body,
    STATE(6964), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [153963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4297), 1,
      sym_comment,
    ACTIONS(7560), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [153984] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7562), 1,
      anon_sym_BANG,
    ACTIONS(7564), 1,
      anon_sym_QMARK,
    STATE(4298), 1,
      sym_comment,
    STATE(5149), 1,
      sym_type_annotation,
    STATE(6213), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154017] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4299), 1,
      sym_comment,
    STATE(5256), 1,
      sym_type_annotation,
    STATE(6100), 1,
      sym__initializer,
    ACTIONS(7568), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7566), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154048] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7570), 1,
      anon_sym_BANG,
    ACTIONS(7572), 1,
      anon_sym_QMARK,
    STATE(4300), 1,
      sym_comment,
    STATE(5070), 1,
      sym_type_annotation,
    STATE(5713), 1,
      sym__initializer,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154081] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1202), 1,
      sym_class_body,
    STATE(4301), 1,
      sym_comment,
    STATE(4485), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6712), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [154118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4302), 1,
      sym_comment,
    ACTIONS(5305), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4303), 1,
      sym_comment,
    ACTIONS(7576), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154160] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(7065), 1,
      anon_sym_LT,
    STATE(2734), 1,
      sym_template_string,
    STATE(2939), 1,
      sym_arguments,
    STATE(4091), 1,
      sym_type_arguments,
    STATE(4304), 1,
      sym_comment,
    STATE(6537), 1,
      sym_optional_chain,
  [154197] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7578), 1,
      anon_sym_BANG,
    ACTIONS(7580), 1,
      anon_sym_QMARK,
    STATE(4305), 1,
      sym_comment,
    STATE(5129), 1,
      sym_type_annotation,
    STATE(6232), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4306), 1,
      sym_comment,
    ACTIONS(5359), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4307), 1,
      sym_comment,
    ACTIONS(4919), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4308), 1,
      sym_comment,
    ACTIONS(7582), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154293] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    STATE(4309), 1,
      sym_comment,
    ACTIONS(5129), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154316] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_class_body,
    STATE(4310), 1,
      sym_comment,
    STATE(4582), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6730), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [154353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(5129), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4312), 1,
      sym_comment,
    ACTIONS(5083), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154395] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4313), 1,
      sym_comment,
    STATE(4652), 1,
      sym_type_parameters,
    STATE(5023), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6557), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [154432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4314), 1,
      sym_comment,
    ACTIONS(5065), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4315), 1,
      sym_comment,
    ACTIONS(5061), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    STATE(4316), 1,
      sym_comment,
    ACTIONS(5039), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [154497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4317), 1,
      sym_comment,
    ACTIONS(5035), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4318), 1,
      sym_comment,
    ACTIONS(4977), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4319), 1,
      sym_comment,
    ACTIONS(3557), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154560] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4320), 1,
      sym_comment,
    ACTIONS(5219), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [154587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    STATE(4321), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5123), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7586), 1,
      anon_sym_extends,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(5133), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [154635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7584), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_comment,
    ACTIONS(5152), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154658] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7588), 1,
      anon_sym_BANG,
    ACTIONS(7590), 1,
      anon_sym_QMARK,
    STATE(4324), 1,
      sym_comment,
    STATE(5120), 1,
      sym_type_annotation,
    STATE(6239), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154691] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7592), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_QMARK,
    STATE(4325), 1,
      sym_comment,
    STATE(5309), 1,
      sym_type_annotation,
    STATE(5826), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4326), 1,
      sym_comment,
    ACTIONS(5156), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154745] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_BANG,
    ACTIONS(7598), 1,
      anon_sym_QMARK,
    STATE(4327), 1,
      sym_comment,
    STATE(5310), 1,
      sym_type_annotation,
    STATE(5828), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4328), 1,
      sym_comment,
    ACTIONS(4949), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154799] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_class_body,
    STATE(4329), 1,
      sym_comment,
    STATE(4520), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6767), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [154836] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1321), 1,
      sym_class_body,
    STATE(4330), 1,
      sym_comment,
    STATE(4539), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6437), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [154873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4331), 1,
      sym_comment,
    ACTIONS(5278), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4332), 1,
      sym_comment,
    ACTIONS(7602), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154915] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(5355), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [154942] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_BANG,
    ACTIONS(7606), 1,
      anon_sym_QMARK,
    STATE(4334), 1,
      sym_comment,
    STATE(5115), 1,
      sym_type_annotation,
    STATE(6243), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154975] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7608), 1,
      anon_sym_BANG,
    ACTIONS(7610), 1,
      anon_sym_QMARK,
    STATE(4335), 1,
      sym_comment,
    STATE(5073), 1,
      sym_type_annotation,
    STATE(5715), 1,
      sym__initializer,
    ACTIONS(7281), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155008] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7612), 1,
      anon_sym_BANG,
    ACTIONS(7614), 1,
      anon_sym_QMARK,
    STATE(4336), 1,
      sym_comment,
    STATE(5312), 1,
      sym_type_annotation,
    STATE(6056), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155041] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7616), 1,
      anon_sym_BANG,
    ACTIONS(7618), 1,
      anon_sym_QMARK,
    STATE(4337), 1,
      sym_comment,
    STATE(5302), 1,
      sym_type_annotation,
    STATE(5846), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155074] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7538), 1,
      anon_sym_COLON,
    STATE(4338), 1,
      sym_comment,
    STATE(5339), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(7458), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155099] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    ACTIONS(7620), 1,
      anon_sym_RBRACE,
    STATE(4339), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155130] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_class_body,
    STATE(4340), 1,
      sym_comment,
    STATE(4662), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6560), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155167] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4341), 1,
      sym_comment,
    ACTIONS(5343), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155188] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4342), 1,
      sym_comment,
    STATE(4712), 1,
      sym_type_parameters,
    STATE(6046), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6782), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155225] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1621), 1,
      sym_class_body,
    STATE(4343), 1,
      sym_comment,
    STATE(4494), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6762), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4344), 1,
      sym_comment,
    ACTIONS(5236), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155283] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7484), 1,
      sym_identifier,
    ACTIONS(7624), 1,
      anon_sym_RBRACE,
    STATE(4345), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6187), 1,
      sym__module_export_name,
    STATE(6905), 1,
      sym_export_specifier,
    ACTIONS(7486), 2,
      anon_sym_type,
      anon_sym_typeof,
  [155318] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_BANG,
    ACTIONS(7628), 1,
      anon_sym_QMARK,
    STATE(4346), 1,
      sym_comment,
    STATE(5082), 1,
      sym_type_annotation,
    STATE(6229), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155351] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1335), 1,
      sym_class_body,
    STATE(4347), 1,
      sym_comment,
    STATE(4626), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6694), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155388] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2713), 1,
      sym_class_body,
    STATE(4348), 1,
      sym_comment,
    STATE(4617), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6788), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155425] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(4349), 1,
      sym_comment,
    STATE(4725), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6588), 1,
      sym_class_body,
    STATE(6999), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155462] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7632), 1,
      anon_sym_DOT,
    STATE(3222), 1,
      sym_template_string,
    STATE(3478), 1,
      sym_arguments,
    STATE(4350), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6553), 1,
      sym_optional_chain,
  [155499] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4351), 1,
      sym_comment,
    ACTIONS(5295), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [155526] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7634), 1,
      anon_sym_DOT,
    STATE(2734), 1,
      sym_template_string,
    STATE(2868), 1,
      sym_arguments,
    STATE(4352), 1,
      sym_comment,
    STATE(5620), 1,
      sym_type_arguments,
    STATE(6537), 1,
      sym_optional_chain,
  [155563] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4353), 1,
      sym_comment,
    STATE(4665), 1,
      sym_type_parameters,
    STATE(5039), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6491), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155600] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_comment,
    STATE(5380), 1,
      sym_type_annotation,
    STATE(5875), 1,
      sym__initializer,
    ACTIONS(7181), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7179), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155631] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3305), 1,
      sym_class_body,
    STATE(4355), 1,
      sym_comment,
    STATE(4706), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6585), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155668] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(2734), 1,
      sym_template_string,
    STATE(3422), 1,
      sym_arguments,
    STATE(4033), 1,
      sym_type_arguments,
    STATE(4356), 1,
      sym_comment,
    STATE(6537), 1,
      sym_optional_chain,
  [155705] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_class_body,
    STATE(4357), 1,
      sym_comment,
    STATE(4660), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6699), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4358), 1,
      sym_comment,
    ACTIONS(2176), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155763] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3269), 1,
      sym_class_body,
    STATE(4359), 1,
      sym_comment,
    STATE(4607), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6623), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4360), 1,
      sym_comment,
    ACTIONS(5210), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155821] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_class_body,
    STATE(4361), 1,
      sym_comment,
    STATE(4591), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6402), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4362), 1,
      sym_comment,
    ACTIONS(5208), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [155879] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4363), 1,
      sym_comment,
    STATE(4690), 1,
      sym_type_parameters,
    STATE(5048), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6573), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [155916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4364), 1,
      sym_comment,
    ACTIONS(4393), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [155937] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7640), 1,
      anon_sym_DOT,
    STATE(2734), 1,
      sym_template_string,
    STATE(3263), 1,
      sym_arguments,
    STATE(4365), 1,
      sym_comment,
    STATE(5620), 1,
      sym_type_arguments,
    STATE(6537), 1,
      sym_optional_chain,
  [155974] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7642), 1,
      anon_sym_BANG,
    ACTIONS(7644), 1,
      anon_sym_QMARK,
    STATE(4366), 1,
      sym_comment,
    STATE(4972), 1,
      sym_type_annotation,
    STATE(6332), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156007] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7646), 1,
      anon_sym_BANG,
    ACTIONS(7648), 1,
      anon_sym_QMARK,
    STATE(4367), 1,
      sym_comment,
    STATE(4976), 1,
      sym_type_annotation,
    STATE(5696), 1,
      sym__initializer,
    ACTIONS(7544), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156040] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    STATE(4368), 1,
      sym_comment,
    STATE(4537), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6362), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156077] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1234), 1,
      sym_class_body,
    STATE(4369), 1,
      sym_comment,
    STATE(4503), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6427), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4370), 1,
      sym_comment,
    ACTIONS(4408), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156135] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(2734), 1,
      sym_template_string,
    STATE(3500), 1,
      sym_arguments,
    STATE(4033), 1,
      sym_type_arguments,
    STATE(4371), 1,
      sym_comment,
    STATE(6537), 1,
      sym_optional_chain,
  [156172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4372), 1,
      sym_comment,
    ACTIONS(5198), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4373), 1,
      sym_comment,
    ACTIONS(7508), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156214] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(3222), 1,
      sym_template_string,
    STATE(3467), 1,
      sym_arguments,
    STATE(4239), 1,
      sym_type_arguments,
    STATE(4374), 1,
      sym_comment,
    STATE(6553), 1,
      sym_optional_chain,
  [156251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(7504), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156272] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_class_body,
    STATE(4376), 1,
      sym_comment,
    STATE(4679), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6918), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156309] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7650), 1,
      anon_sym_BANG,
    ACTIONS(7652), 1,
      anon_sym_QMARK,
    STATE(4377), 1,
      sym_comment,
    STATE(4959), 1,
      sym_type_annotation,
    STATE(6336), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156342] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7654), 1,
      anon_sym_BANG,
    ACTIONS(7656), 1,
      anon_sym_QMARK,
    STATE(4378), 1,
      sym_comment,
    STATE(5351), 1,
      sym_type_annotation,
    STATE(6024), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156375] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3153), 1,
      sym_class_body,
    STATE(4379), 1,
      sym_comment,
    STATE(4715), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6886), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156412] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7658), 1,
      anon_sym_BANG,
    ACTIONS(7660), 1,
      anon_sym_QMARK,
    STATE(4380), 1,
      sym_comment,
    STATE(5359), 1,
      sym_type_annotation,
    STATE(6021), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4381), 1,
      sym_comment,
    ACTIONS(5188), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4382), 1,
      sym_comment,
    ACTIONS(4969), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156487] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_class_body,
    STATE(4383), 1,
      sym_comment,
    STATE(4573), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6390), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156524] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4384), 1,
      sym_comment,
    STATE(5314), 1,
      sym_type_annotation,
    STATE(5829), 1,
      sym__initializer,
    ACTIONS(7263), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7261), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4385), 1,
      sym_comment,
    ACTIONS(5031), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156576] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    STATE(4386), 1,
      sym_comment,
    STATE(4572), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6384), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156613] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7666), 1,
      anon_sym_BANG,
    ACTIONS(7668), 1,
      anon_sym_QMARK,
    STATE(4387), 1,
      sym_comment,
    STATE(5418), 1,
      sym_type_annotation,
    STATE(5992), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156646] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7670), 1,
      anon_sym_BANG,
    ACTIONS(7672), 1,
      anon_sym_QMARK,
    STATE(4388), 1,
      sym_comment,
    STATE(4954), 1,
      sym_type_annotation,
    STATE(6346), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4389), 1,
      sym_comment,
    ACTIONS(2154), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156700] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_class_body,
    STATE(4390), 1,
      sym_comment,
    STATE(4570), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6377), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [156737] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7674), 1,
      anon_sym_BANG,
    ACTIONS(7676), 1,
      anon_sym_QMARK,
    STATE(4391), 1,
      sym_comment,
    STATE(5437), 1,
      sym_type_annotation,
    STATE(5972), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156770] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7678), 1,
      anon_sym_BANG,
    ACTIONS(7680), 1,
      anon_sym_QMARK,
    STATE(4392), 1,
      sym_comment,
    STATE(5439), 1,
      sym_type_annotation,
    STATE(5967), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4393), 1,
      sym_comment,
    ACTIONS(7682), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4394), 1,
      sym_comment,
    ACTIONS(7552), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [156845] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7684), 1,
      anon_sym_BANG,
    ACTIONS(7686), 1,
      anon_sym_QMARK,
    STATE(4395), 1,
      sym_comment,
    STATE(4953), 1,
      sym_type_annotation,
    STATE(6350), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156878] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_BANG,
    ACTIONS(7690), 1,
      anon_sym_QMARK,
    STATE(4396), 1,
      sym_comment,
    STATE(5453), 1,
      sym_type_annotation,
    STATE(5956), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156911] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_BANG,
    ACTIONS(7694), 1,
      anon_sym_QMARK,
    STATE(4397), 1,
      sym_comment,
    STATE(5106), 1,
      sym_type_annotation,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156944] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7696), 1,
      anon_sym_BANG,
    ACTIONS(7698), 1,
      anon_sym_QMARK,
    STATE(4398), 1,
      sym_comment,
    STATE(5414), 1,
      sym_type_annotation,
    STATE(5990), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(7700), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [156998] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7702), 1,
      anon_sym_BANG,
    ACTIONS(7704), 1,
      anon_sym_QMARK,
    STATE(4400), 1,
      sym_comment,
    STATE(5417), 1,
      sym_type_annotation,
    STATE(5985), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157031] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7706), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_QMARK,
    STATE(4401), 1,
      sym_comment,
    STATE(5425), 1,
      sym_type_annotation,
    STATE(5982), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157064] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_class_body,
    STATE(4402), 1,
      sym_comment,
    STATE(4620), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6717), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157101] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7712), 1,
      anon_sym_QMARK,
    STATE(4403), 1,
      sym_comment,
    STATE(4949), 1,
      sym_type_annotation,
    STATE(6354), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157134] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4404), 1,
      sym_comment,
    STATE(5185), 1,
      sym_type_annotation,
    STATE(6145), 1,
      sym__initializer,
    ACTIONS(7257), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7255), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157165] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(7498), 1,
      anon_sym_COMMA,
    STATE(4405), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6179), 1,
      aux_sym_object_repeat1,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [157196] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7714), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_QMARK,
    STATE(4406), 1,
      sym_comment,
    STATE(5239), 1,
      sym_type_annotation,
    STATE(5797), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157229] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7718), 1,
      anon_sym_BANG,
    ACTIONS(7720), 1,
      anon_sym_QMARK,
    STATE(4407), 1,
      sym_comment,
    STATE(5265), 1,
      sym_type_annotation,
    STATE(5815), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157262] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7722), 1,
      anon_sym_BANG,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(4408), 1,
      sym_comment,
    STATE(5096), 1,
      sym_type_annotation,
    STATE(6270), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157295] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3489), 1,
      sym_class_body,
    STATE(4409), 1,
      sym_comment,
    STATE(4726), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6832), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157332] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7726), 1,
      anon_sym_EQ,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    STATE(4410), 1,
      sym_comment,
    STATE(4459), 1,
      sym_arguments,
    ACTIONS(7434), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [157361] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7730), 1,
      anon_sym_BANG,
    ACTIONS(7732), 1,
      anon_sym_QMARK,
    STATE(4411), 1,
      sym_comment,
    STATE(5462), 1,
      sym_type_annotation,
    STATE(5936), 1,
      sym__initializer,
    ACTIONS(7287), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157394] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7734), 1,
      anon_sym_DOT,
    STATE(2734), 1,
      sym_template_string,
    STATE(3466), 1,
      sym_arguments,
    STATE(4412), 1,
      sym_comment,
    STATE(5620), 1,
      sym_type_arguments,
    STATE(6537), 1,
      sym_optional_chain,
  [157431] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(7736), 1,
      anon_sym_EQ,
    STATE(4413), 1,
      sym_comment,
    ACTIONS(7466), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [157460] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_class_body,
    STATE(4414), 1,
      sym_comment,
    STATE(4529), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6365), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157497] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_class_body,
    STATE(4415), 1,
      sym_comment,
    STATE(4688), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6909), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157534] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_LT,
    ACTIONS(7738), 1,
      anon_sym_DOT,
    STATE(3124), 1,
      sym_arguments,
    STATE(3222), 1,
      sym_template_string,
    STATE(4416), 1,
      sym_comment,
    STATE(5609), 1,
      sym_type_arguments,
    STATE(6553), 1,
      sym_optional_chain,
  [157571] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7484), 1,
      sym_identifier,
    ACTIONS(7740), 1,
      anon_sym_RBRACE,
    STATE(4417), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6187), 1,
      sym__module_export_name,
    STATE(6905), 1,
      sym_export_specifier,
    ACTIONS(7486), 2,
      anon_sym_type,
      anon_sym_typeof,
  [157606] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7742), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_QMARK,
    STATE(4418), 1,
      sym_comment,
    STATE(4947), 1,
      sym_type_annotation,
    STATE(5958), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157639] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4419), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(6140), 1,
      sym__initializer,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157670] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7746), 1,
      anon_sym_BANG,
    ACTIONS(7748), 1,
      anon_sym_QMARK,
    STATE(4420), 1,
      sym_comment,
    STATE(5452), 1,
      sym_type_annotation,
    STATE(5953), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157703] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(992), 1,
      sym_class_body,
    STATE(4421), 1,
      sym_comment,
    STATE(4552), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6360), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157740] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4422), 1,
      sym_comment,
    STATE(5066), 1,
      sym_type_annotation,
    STATE(5683), 1,
      sym__initializer,
    ACTIONS(7241), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157771] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7750), 1,
      anon_sym_EQ,
    STATE(4423), 1,
      sym_comment,
    ACTIONS(7682), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [157794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4424), 1,
      sym_comment,
    ACTIONS(5049), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157815] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3267), 1,
      sym_class_body,
    STATE(4425), 1,
      sym_comment,
    STATE(4490), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6933), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4426), 1,
      sym_comment,
    ACTIONS(5057), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157873] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4427), 1,
      sym_comment,
    STATE(4618), 1,
      sym_type_parameters,
    STATE(6121), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6992), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4428), 1,
      sym_comment,
    ACTIONS(5073), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [157931] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1243), 1,
      sym_class_body,
    STATE(4429), 1,
      sym_comment,
    STATE(4695), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6898), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [157968] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7442), 1,
      anon_sym_EQ,
    STATE(4430), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(5450), 1,
      sym__initializer,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157999] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4431), 1,
      sym_comment,
    ACTIONS(7752), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [158020] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4432), 1,
      sym_comment,
    ACTIONS(5198), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [158047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4433), 1,
      sym_comment,
    ACTIONS(4957), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4434), 1,
      sym_comment,
    ACTIONS(5119), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158089] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7754), 1,
      anon_sym_BANG,
    ACTIONS(7756), 1,
      anon_sym_QMARK,
    STATE(4435), 1,
      sym_comment,
    STATE(5007), 1,
      sym_type_annotation,
    STATE(6313), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4436), 1,
      sym_comment,
    ACTIONS(5139), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4437), 1,
      sym_comment,
    ACTIONS(5317), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158164] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7758), 1,
      anon_sym_BANG,
    ACTIONS(7760), 1,
      anon_sym_QMARK,
    STATE(4438), 1,
      sym_comment,
    STATE(5091), 1,
      sym_type_annotation,
    STATE(6272), 1,
      sym__initializer,
    ACTIONS(7201), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4439), 1,
      sym_comment,
    ACTIONS(4961), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158218] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4440), 1,
      sym_comment,
    ACTIONS(4961), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [158245] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7762), 1,
      anon_sym_BANG,
    ACTIONS(7764), 1,
      anon_sym_QMARK,
    STATE(4441), 1,
      sym_comment,
    STATE(5455), 1,
      sym_type_annotation,
    STATE(5946), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158278] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1241), 1,
      sym_class_body,
    STATE(4442), 1,
      sym_comment,
    STATE(4615), 1,
      sym_type_parameters,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6720), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [158315] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7766), 1,
      anon_sym_BANG,
    ACTIONS(7768), 1,
      anon_sym_QMARK,
    STATE(4443), 1,
      sym_comment,
    STATE(5470), 1,
      sym_type_annotation,
    STATE(5915), 1,
      sym__initializer,
    ACTIONS(7193), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    STATE(4444), 1,
      sym_comment,
    ACTIONS(5313), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [158371] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4913), 1,
      anon_sym_DOT,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    ACTIONS(4991), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(4445), 1,
      sym_comment,
    STATE(5620), 1,
      sym_type_arguments,
    STATE(6537), 1,
      sym_optional_chain,
    STATE(2734), 2,
      sym_template_string,
      sym_arguments,
  [158406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4446), 1,
      sym_comment,
    ACTIONS(5309), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [158427] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4447), 1,
      sym_comment,
    STATE(5226), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [158455] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7778), 1,
      anon_sym_BQUOTE,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    STATE(4448), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [158489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(4449), 1,
      sym_comment,
    ACTIONS(7466), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158515] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(7784), 1,
      anon_sym_DOT,
    STATE(4450), 1,
      sym_comment,
    STATE(4871), 1,
      sym_arguments,
    ACTIONS(7434), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4451), 1,
      sym_comment,
    ACTIONS(7786), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [158561] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4452), 1,
      sym_comment,
    ACTIONS(7788), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158587] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    STATE(4453), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(6141), 1,
      sym__initializer,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158617] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7790), 1,
      anon_sym_enum,
    STATE(4454), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5632), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158649] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7792), 1,
      anon_sym_enum,
    STATE(4455), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5652), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158681] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4456), 1,
      sym_comment,
    STATE(5219), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [158709] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7794), 1,
      anon_sym_enum,
    STATE(4457), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5638), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158741] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7796), 1,
      anon_sym_BQUOTE,
    STATE(4458), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [158775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7798), 1,
      anon_sym_EQ,
    STATE(4459), 1,
      sym_comment,
    ACTIONS(7786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [158797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7800), 1,
      anon_sym_EQ,
    STATE(4460), 1,
      sym_comment,
    ACTIONS(6480), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [158819] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(4461), 1,
      sym_comment,
    STATE(4951), 1,
      sym_statement_block,
    ACTIONS(2130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158845] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(4462), 1,
      sym_comment,
    STATE(4951), 1,
      sym_statement_block,
    ACTIONS(2130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158871] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7808), 1,
      anon_sym_BQUOTE,
    STATE(4463), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [158905] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4464), 1,
      sym_comment,
    STATE(5388), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [158933] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      anon_sym_enum,
    STATE(4465), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5532), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [158965] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7812), 1,
      anon_sym_BQUOTE,
    STATE(4466), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [158999] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7814), 1,
      anon_sym_BQUOTE,
    STATE(4467), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [159033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4468), 1,
      sym_comment,
    STATE(5251), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159061] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4469), 1,
      sym_comment,
    STATE(5117), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159089] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4470), 1,
      sym_comment,
    ACTIONS(7816), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159115] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4471), 1,
      sym_comment,
    STATE(5246), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159143] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7484), 1,
      sym_identifier,
    STATE(4472), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6187), 1,
      sym__module_export_name,
    STATE(6905), 1,
      sym_export_specifier,
    ACTIONS(7486), 2,
      anon_sym_type,
      anon_sym_typeof,
  [159175] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_extends,
    STATE(4473), 1,
      sym_comment,
    ACTIONS(7818), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159201] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    STATE(4474), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [159235] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4475), 1,
      sym_comment,
    STATE(5215), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7824), 1,
      anon_sym_DOT,
    STATE(4476), 1,
      sym_comment,
    ACTIONS(7822), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159285] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7826), 1,
      anon_sym_BQUOTE,
    STATE(4477), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5128), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [159319] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7828), 1,
      anon_sym_enum,
    STATE(4478), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5545), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159351] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      sym__template_chars,
    ACTIONS(7830), 1,
      anon_sym_BQUOTE,
    STATE(4479), 1,
      sym_comment,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(6110), 1,
      sym_template_type,
  [159385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4480), 1,
      sym_comment,
    STATE(5166), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159413] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7772), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7774), 1,
      anon_sym_QMARK_COLON,
    STATE(4481), 1,
      sym_comment,
    STATE(5160), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [159441] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7832), 1,
      anon_sym_enum,
    STATE(4482), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5648), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4483), 1,
      sym_comment,
    ACTIONS(6480), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [159493] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4484), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5544), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159522] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_class_body,
    STATE(4485), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6690), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [159553] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7836), 1,
      sym_identifier,
    STATE(3866), 1,
      sym__type_query_subscript_expression,
    STATE(3872), 1,
      sym__type_query_member_expression,
    STATE(4059), 1,
      sym__type_query_call_expression,
    STATE(4196), 1,
      sym__type_query_instantiation_expression,
    STATE(4486), 1,
      sym_comment,
    STATE(5610), 1,
      sym_import,
  [159584] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4487), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5639), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159613] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4488), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5632), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [159642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4489), 1,
      sym_comment,
    ACTIONS(7752), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159661] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3150), 1,
      sym_class_body,
    STATE(4490), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6891), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [159692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7838), 1,
      sym__automatic_semicolon,
    STATE(4491), 1,
      sym_comment,
    ACTIONS(2298), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [159713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4492), 1,
      sym_comment,
    ACTIONS(5868), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [159732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4493), 1,
      sym_comment,
    STATE(5385), 1,
      sym_type_annotation,
    STATE(5872), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159759] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1666), 1,
      sym_class_body,
    STATE(4494), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6639), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [159790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4495), 1,
      sym_comment,
    STATE(5349), 1,
      sym_type_annotation,
    STATE(5856), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159817] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7840), 1,
      anon_sym_COLON,
    ACTIONS(7842), 1,
      anon_sym_QMARK,
    STATE(4496), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6621), 1,
      sym__call_signature,
  [159848] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7844), 1,
      sym_identifier,
    ACTIONS(7846), 1,
      anon_sym_STAR,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    STATE(4497), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [159879] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1478), 1,
      sym_class_body,
    STATE(4498), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6385), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [159910] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4499), 1,
      sym_comment,
    STATE(5345), 1,
      sym_type_annotation,
    STATE(5854), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159937] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4500), 1,
      sym_comment,
    STATE(5086), 1,
      sym_type_annotation,
    STATE(5821), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159964] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4501), 1,
      sym_comment,
    STATE(5466), 1,
      sym_type_annotation,
    STATE(5927), 1,
      sym__initializer,
    ACTIONS(7850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159991] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4502), 1,
      sym_comment,
    STATE(5468), 1,
      sym_type_annotation,
    STATE(5926), 1,
      sym__initializer,
    ACTIONS(7850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160018] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1221), 1,
      sym_class_body,
    STATE(4503), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6406), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [160049] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4504), 1,
      sym_comment,
    STATE(5336), 1,
      sym_type_annotation,
    STATE(5843), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160076] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_SQUOTE,
    ACTIONS(7852), 1,
      sym_identifier,
    ACTIONS(7854), 1,
      anon_sym_DOT,
    STATE(984), 1,
      sym_nested_identifier,
    STATE(1108), 1,
      sym_string,
    STATE(1495), 1,
      sym__module,
    STATE(4505), 1,
      sym_comment,
  [160107] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4506), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5633), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4507), 1,
      sym_comment,
    STATE(5329), 1,
      sym_type_annotation,
    STATE(5838), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160163] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4508), 1,
      sym_comment,
    STATE(5337), 1,
      sym_type_annotation,
    STATE(5840), 1,
      sym__initializer,
    ACTIONS(7373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160190] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4509), 1,
      sym_comment,
    STATE(5410), 1,
      sym_type_annotation,
    STATE(5901), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4510), 1,
      sym_comment,
    STATE(5303), 1,
      sym_type_annotation,
    STATE(5823), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160244] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7856), 1,
      anon_sym_LBRACE,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7862), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1168), 1,
      sym_object_type,
    STATE(4511), 1,
      sym_comment,
    STATE(4950), 1,
      sym_type_parameters,
    STATE(6351), 1,
      sym_extends_type_clause,
  [160275] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7864), 1,
      anon_sym_LBRACE,
    ACTIONS(7866), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1500), 1,
      sym_object_type,
    STATE(4512), 1,
      sym_comment,
    STATE(5092), 1,
      sym_type_parameters,
    STATE(5725), 1,
      sym_extends_type_clause,
  [160306] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4513), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5638), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160335] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4140), 1,
      anon_sym_DQUOTE,
    ACTIONS(4142), 1,
      anon_sym_SQUOTE,
    ACTIONS(7868), 1,
      sym_identifier,
    ACTIONS(7870), 1,
      anon_sym_DOT,
    STATE(965), 1,
      sym_nested_identifier,
    STATE(973), 1,
      sym_string,
    STATE(1178), 1,
      sym__module,
    STATE(4514), 1,
      sym_comment,
  [160366] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1246), 1,
      sym_class_body,
    STATE(4515), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6902), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [160397] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7872), 1,
      sym_identifier,
    ACTIONS(7874), 1,
      anon_sym_STAR,
    STATE(4516), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [160428] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7876), 1,
      sym_identifier,
    ACTIONS(7878), 1,
      anon_sym_STAR,
    STATE(4517), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [160459] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4518), 1,
      sym_comment,
    STATE(5473), 1,
      sym_type_annotation,
    STATE(5911), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160486] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      sym_identifier,
    ACTIONS(7882), 1,
      anon_sym_STAR,
    STATE(4519), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [160517] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_class_body,
    STATE(4520), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6728), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [160548] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(7886), 1,
      anon_sym_STAR,
    STATE(4521), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [160579] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(7842), 1,
      anon_sym_QMARK,
    ACTIONS(7888), 1,
      anon_sym_COLON,
    STATE(4522), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6621), 1,
      sym__call_signature,
  [160610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7890), 1,
      anon_sym_EQ,
    STATE(4523), 1,
      sym_comment,
    ACTIONS(4310), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [160631] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7893), 1,
      sym_identifier,
    ACTIONS(7895), 1,
      anon_sym_STAR,
    STATE(4524), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [160662] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3133), 1,
      sym_class_body,
    STATE(4525), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6908), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [160693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4526), 1,
      sym_comment,
    ACTIONS(6320), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [160712] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7897), 1,
      sym_identifier,
    ACTIONS(7899), 1,
      anon_sym_STAR,
    STATE(4527), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [160743] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4528), 1,
      sym_comment,
    STATE(5469), 1,
      sym_type_annotation,
    STATE(5922), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160770] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_class_body,
    STATE(4529), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6367), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [160801] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4530), 1,
      sym_comment,
    STATE(5467), 1,
      sym_type_annotation,
    STATE(5928), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160828] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_EQ,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    STATE(4531), 1,
      sym_comment,
    ACTIONS(7822), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [160851] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4532), 1,
      sym_comment,
    STATE(5463), 1,
      sym_type_annotation,
    STATE(5932), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160878] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4533), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5652), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [160907] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4534), 1,
      sym_comment,
    STATE(6895), 1,
      sym_statement_block,
    ACTIONS(7907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [160930] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_comment,
    STATE(5263), 1,
      sym_type_annotation,
    STATE(5813), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160957] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4536), 1,
      sym_comment,
    STATE(5261), 1,
      sym_type_annotation,
    STATE(5810), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160984] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
    STATE(4537), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6411), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161015] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7909), 1,
      sym_identifier,
    ACTIONS(7911), 1,
      anon_sym_STAR,
    STATE(4538), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [161046] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_class_body,
    STATE(4539), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6412), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161077] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4540), 1,
      sym_comment,
    STATE(6556), 1,
      sym_statement_block,
    ACTIONS(7907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161100] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3486), 1,
      sym_class_body,
    STATE(4541), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6831), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161131] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4542), 1,
      sym_comment,
    STATE(5459), 1,
      sym_type_annotation,
    STATE(5949), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4543), 1,
      sym_comment,
    ACTIONS(7913), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [161177] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4544), 1,
      sym_comment,
    STATE(5408), 1,
      sym_type_annotation,
    STATE(5890), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4545), 1,
      sym_comment,
    STATE(5457), 1,
      sym_type_annotation,
    STATE(5954), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4546), 1,
      sym_comment,
    STATE(6892), 1,
      sym_statement_block,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161254] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_comment,
    STATE(5441), 1,
      sym_type_annotation,
    STATE(5963), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161281] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4548), 1,
      sym_comment,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(5651), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [161310] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4549), 1,
      sym_comment,
    STATE(5440), 1,
      sym_type_annotation,
    STATE(5965), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161337] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4550), 1,
      sym_comment,
    STATE(5429), 1,
      sym_type_annotation,
    STATE(5977), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4551), 1,
      sym_comment,
    STATE(5424), 1,
      sym_type_annotation,
    STATE(5986), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161391] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1005), 1,
      sym_class_body,
    STATE(4552), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6387), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161422] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4553), 1,
      sym_comment,
    STATE(5465), 1,
      sym_type_annotation,
    STATE(5919), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161449] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_comment,
    STATE(5445), 1,
      sym_type_annotation,
    STATE(5959), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161476] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(4555), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6628), 1,
      sym_class_body,
    STATE(7005), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161507] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4556), 1,
      sym_comment,
    STATE(5233), 1,
      sym_type_annotation,
    STATE(5794), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161534] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4557), 1,
      sym_comment,
    STATE(5232), 1,
      sym_type_annotation,
    STATE(5792), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161561] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7917), 1,
      sym__automatic_semicolon,
    STATE(4558), 1,
      sym_comment,
    ACTIONS(2298), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [161582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4559), 1,
      sym_comment,
    STATE(5284), 1,
      sym_type_annotation,
    STATE(5820), 1,
      sym__initializer,
    ACTIONS(7367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161609] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4560), 1,
      sym_comment,
    STATE(5434), 1,
      sym_type_annotation,
    STATE(5970), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161636] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4561), 1,
      sym_comment,
    STATE(5222), 1,
      sym_type_annotation,
    STATE(5789), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161663] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4562), 1,
      sym_comment,
    STATE(5218), 1,
      sym_type_annotation,
    STATE(5787), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161690] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4563), 1,
      sym_comment,
    STATE(5252), 1,
      sym_type_annotation,
    STATE(6103), 1,
      sym__initializer,
    ACTIONS(7375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161717] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7919), 1,
      sym_identifier,
    ACTIONS(7921), 1,
      anon_sym_STAR,
    STATE(4564), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [161748] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4565), 1,
      sym_comment,
    STATE(5377), 1,
      sym_type_annotation,
    STATE(6012), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161775] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4566), 1,
      sym_comment,
    STATE(5193), 1,
      sym_type_annotation,
    STATE(6140), 1,
      sym__initializer,
    ACTIONS(7444), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161802] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1016), 1,
      sym_class_body,
    STATE(4567), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6429), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    STATE(4568), 1,
      sym_comment,
    ACTIONS(4328), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [161854] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4569), 1,
      sym_comment,
    STATE(5372), 1,
      sym_type_annotation,
    STATE(6018), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161881] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1042), 1,
      sym_class_body,
    STATE(4570), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6396), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161912] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7925), 1,
      sym_identifier,
    ACTIONS(7927), 1,
      anon_sym_STAR,
    STATE(4571), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [161943] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_class_body,
    STATE(4572), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6401), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [161974] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_class_body,
    STATE(4573), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6405), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4574), 1,
      sym_comment,
    ACTIONS(4393), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4575), 1,
      sym_comment,
    ACTIONS(4408), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162043] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4576), 1,
      sym_comment,
    ACTIONS(7508), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4577), 1,
      sym_comment,
    ACTIONS(7504), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162081] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4578), 1,
      sym_comment,
    STATE(5409), 1,
      sym_type_annotation,
    STATE(5995), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4579), 1,
      sym_comment,
    ACTIONS(7682), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4580), 1,
      sym_comment,
    ACTIONS(7552), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [162146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4581), 1,
      sym_comment,
    STATE(5325), 1,
      sym_type_annotation,
    STATE(6040), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162173] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_class_body,
    STATE(4582), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6716), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_comment,
    STATE(5217), 1,
      sym_type_annotation,
    STATE(5782), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162231] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4584), 1,
      sym_comment,
    STATE(5320), 1,
      sym_type_annotation,
    STATE(6042), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162258] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4585), 1,
      sym_comment,
    STATE(5400), 1,
      sym_type_annotation,
    STATE(5999), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4586), 1,
      sym_comment,
    ACTIONS(4310), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [162304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4587), 1,
      sym_comment,
    STATE(5318), 1,
      sym_type_annotation,
    STATE(6045), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162331] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_EQ,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    STATE(4588), 1,
      sym_comment,
    STATE(5577), 1,
      sym_type_annotation,
    STATE(6666), 1,
      sym__initializer,
    ACTIONS(7931), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [162360] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4589), 1,
      sym_comment,
    STATE(5316), 1,
      sym_type_annotation,
    STATE(6048), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162387] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4590), 1,
      sym_comment,
    STATE(5532), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [162416] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_class_body,
    STATE(4591), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6410), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162447] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4592), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_annotation,
    STATE(6064), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162474] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4593), 1,
      sym_comment,
    STATE(5305), 1,
      sym_type_annotation,
    STATE(6066), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4594), 1,
      sym_comment,
    STATE(5209), 1,
      sym_type_annotation,
    ACTIONS(7935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162524] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4595), 1,
      sym_comment,
    STATE(5344), 1,
      sym_type_annotation,
    STATE(6028), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162551] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4596), 1,
      sym_comment,
    STATE(5272), 1,
      sym_type_annotation,
    STATE(6082), 1,
      sym__initializer,
    ACTIONS(7359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162578] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4597), 1,
      sym_comment,
    STATE(5142), 1,
      sym_type_annotation,
    ACTIONS(7937), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4598), 1,
      sym_comment,
    STATE(5270), 1,
      sym_type_annotation,
    STATE(6089), 1,
      sym__initializer,
    ACTIONS(7365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162628] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7939), 1,
      sym_identifier,
    ACTIONS(7941), 1,
      anon_sym_STAR,
    STATE(4599), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [162659] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7943), 1,
      sym_identifier,
    ACTIONS(7945), 1,
      anon_sym_STAR,
    STATE(4600), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6528), 1,
      sym__call_signature,
  [162690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4601), 1,
      sym_comment,
    ACTIONS(7947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [162709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4602), 1,
      sym_comment,
    STATE(5221), 1,
      sym_type_annotation,
    ACTIONS(7949), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [162732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4603), 1,
      sym_comment,
    STATE(4957), 1,
      sym_type_annotation,
    STATE(6339), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162759] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3377), 1,
      sym_class_body,
    STATE(4604), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6701), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162790] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4605), 1,
      sym_comment,
    STATE(5098), 1,
      sym_type_annotation,
    STATE(6280), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162817] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7951), 1,
      sym_identifier,
    ACTIONS(7953), 1,
      anon_sym_STAR,
    STATE(4606), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [162848] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3152), 1,
      sym_class_body,
    STATE(4607), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6812), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162879] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7955), 1,
      sym_identifier,
    STATE(3803), 1,
      sym__type_query_subscript_expression,
    STATE(3805), 1,
      sym__type_query_member_expression,
    STATE(3862), 1,
      sym__type_query_call_expression,
    STATE(3932), 1,
      sym__type_query_instantiation_expression,
    STATE(4608), 1,
      sym_comment,
    STATE(5561), 1,
      sym_import,
  [162910] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3194), 1,
      sym_class_body,
    STATE(4609), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(7000), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162941] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(400), 1,
      sym_class_body,
    STATE(4610), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6446), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [162972] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4611), 1,
      sym_comment,
    STATE(5545), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [163001] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7957), 1,
      sym_identifier,
    STATE(4612), 1,
      sym_comment,
    ACTIONS(4917), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [163022] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4613), 1,
      sym_comment,
    STATE(5386), 1,
      sym_type_annotation,
    STATE(5870), 1,
      sym__initializer,
    ACTIONS(7850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163049] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4614), 1,
      sym_comment,
    STATE(5378), 1,
      sym_type_annotation,
    STATE(5868), 1,
      sym__initializer,
    ACTIONS(7850), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163076] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1297), 1,
      sym_class_body,
    STATE(4615), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6697), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4616), 1,
      sym_comment,
    STATE(5178), 1,
      sym_type_annotation,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163130] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_class_body,
    STATE(4617), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(7012), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163161] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4618), 1,
      sym_comment,
    STATE(6222), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6995), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163192] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7961), 1,
      sym_identifier,
    ACTIONS(7963), 1,
      anon_sym_STAR,
    STATE(4619), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6630), 1,
      sym__call_signature,
  [163223] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_class_body,
    STATE(4620), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6696), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163254] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4621), 1,
      sym_comment,
    STATE(5079), 1,
      sym_type_annotation,
    STATE(5717), 1,
      sym__initializer,
    ACTIONS(7369), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163281] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7965), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1455), 1,
      sym_object_type,
    STATE(4622), 1,
      sym_comment,
    STATE(5168), 1,
      sym_type_parameters,
    STATE(6176), 1,
      sym_extends_type_clause,
  [163312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4623), 1,
      sym_comment,
    ACTIONS(7560), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163331] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    STATE(4624), 1,
      sym_comment,
    STATE(5501), 1,
      sym_constraint,
    STATE(6965), 1,
      sym_default_type,
    ACTIONS(7354), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7969), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [163358] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7971), 1,
      sym_identifier,
    ACTIONS(7973), 1,
      anon_sym_DOT,
    STATE(974), 1,
      sym_nested_identifier,
    STATE(1201), 1,
      sym_string,
    STATE(1286), 1,
      sym__module,
    STATE(4625), 1,
      sym_comment,
  [163389] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1392), 1,
      sym_class_body,
    STATE(4626), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6675), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163420] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_class_body,
    STATE(4627), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6987), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [163451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6209), 1,
      sym__automatic_semicolon,
    STATE(4628), 1,
      sym_comment,
    ACTIONS(2238), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [163472] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4629), 1,
      sym_comment,
    STATE(6757), 1,
      sym_statement_block,
    ACTIONS(7975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4630), 1,
      sym_comment,
    ACTIONS(7977), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [163514] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4631), 1,
      sym_comment,
    STATE(6755), 1,
      sym_statement_block,
    ACTIONS(7979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4632), 1,
      sym_comment,
    STATE(6512), 1,
      sym_statement_block,
    ACTIONS(7979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163560] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4633), 1,
      sym_comment,
    STATE(6654), 1,
      sym_statement_block,
    ACTIONS(7975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163583] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7983), 1,
      anon_sym_DOT,
    STATE(4634), 1,
      sym_comment,
    STATE(5552), 1,
      sym_arguments,
    ACTIONS(7981), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [163608] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(7985), 1,
      sym_identifier,
    ACTIONS(7987), 1,
      anon_sym_DOT,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1374), 1,
      sym_string,
    STATE(1663), 1,
      sym__module,
    STATE(4635), 1,
      sym_comment,
  [163639] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN,
    STATE(2684), 1,
      sym_arguments,
    STATE(4636), 1,
      sym_comment,
    STATE(6737), 1,
      sym_type_arguments,
    ACTIONS(7993), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [163668] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(4637), 1,
      sym_comment,
    STATE(4951), 1,
      sym_statement_block,
    ACTIONS(2130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163691] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(7995), 1,
      sym_identifier,
    STATE(3926), 1,
      sym__type_query_subscript_expression,
    STATE(3929), 1,
      sym__type_query_member_expression,
    STATE(4216), 1,
      sym__type_query_call_expression,
    STATE(4312), 1,
      sym__type_query_instantiation_expression,
    STATE(4638), 1,
      sym_comment,
    STATE(5591), 1,
      sym_import,
  [163722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4639), 1,
      sym_comment,
    ACTIONS(7602), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163741] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4640), 1,
      sym_comment,
    STATE(5152), 1,
      sym_type_annotation,
    STATE(5761), 1,
      sym__initializer,
    ACTIONS(7997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163768] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4246), 1,
      anon_sym_LT,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(3292), 1,
      sym_arguments,
    STATE(4641), 1,
      sym_comment,
    STATE(6804), 1,
      sym_type_arguments,
    ACTIONS(7993), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [163797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4642), 1,
      sym_comment,
    ACTIONS(7582), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [163816] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4643), 1,
      sym_comment,
    STATE(5199), 1,
      sym_type_annotation,
    STATE(6136), 1,
      sym__initializer,
    ACTIONS(7386), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4644), 1,
      sym_comment,
    ACTIONS(2298), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163862] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8001), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4645), 1,
      sym_comment,
    STATE(5224), 1,
      sym_type_parameters,
    STATE(6118), 1,
      sym_extends_type_clause,
    STATE(7002), 1,
      sym_object_type,
  [163893] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8003), 1,
      sym_identifier,
    ACTIONS(8005), 1,
      anon_sym_DOT,
    STATE(4646), 1,
      sym_comment,
    STATE(4977), 1,
      sym_nested_identifier,
    STATE(5667), 1,
      sym_string,
    STATE(6867), 1,
      sym__module,
  [163924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4647), 1,
      sym_comment,
    ACTIONS(2260), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [163943] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4648), 1,
      sym_comment,
    STATE(5111), 1,
      sym_type_annotation,
    STATE(5749), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163970] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8007), 1,
      sym_identifier,
    STATE(2590), 1,
      sym__type_query_subscript_expression,
    STATE(2593), 1,
      sym__type_query_member_expression,
    STATE(2911), 1,
      sym__type_query_instantiation_expression,
    STATE(2913), 1,
      sym__type_query_call_expression,
    STATE(4649), 1,
      sym_comment,
    STATE(5590), 1,
      sym_import,
  [164001] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4650), 1,
      sym_comment,
    STATE(4985), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6521), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164032] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4651), 1,
      sym_comment,
    STATE(6638), 1,
      sym_statement_block,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164055] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4652), 1,
      sym_comment,
    STATE(4995), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6536), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164086] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      sym_identifier,
    ACTIONS(8013), 1,
      anon_sym_STAR,
    STATE(4653), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6471), 1,
      sym__call_signature,
  [164117] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4654), 1,
      sym_comment,
    STATE(5138), 1,
      sym_type_annotation,
    STATE(5753), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4655), 1,
      sym_comment,
    ACTIONS(2188), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [164163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4656), 1,
      sym_comment,
    ACTIONS(2184), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [164182] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4657), 1,
      sym_comment,
    STATE(5029), 1,
      sym_type_annotation,
    STATE(5706), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164209] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4658), 1,
      sym_comment,
    STATE(6636), 1,
      sym_statement_block,
    ACTIONS(8015), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164232] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4659), 1,
      sym_comment,
    STATE(6456), 1,
      sym_statement_block,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164255] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_class_body,
    STATE(4660), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(7011), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164286] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    STATE(4661), 1,
      sym_comment,
    STATE(5559), 1,
      sym_constraint,
    STATE(6746), 1,
      sym_default_type,
    ACTIONS(7354), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8017), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [164313] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3285), 1,
      sym_class_body,
    STATE(4662), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6541), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164344] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4663), 1,
      sym_comment,
    STATE(6453), 1,
      sym_statement_block,
    ACTIONS(8015), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164367] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4664), 1,
      sym_comment,
    STATE(5180), 1,
      sym_type_annotation,
    STATE(6158), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164394] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4665), 1,
      sym_comment,
    STATE(5011), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6542), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4666), 1,
      sym_comment,
    STATE(5169), 1,
      sym_type_annotation,
    STATE(6178), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4667), 1,
      sym_comment,
    STATE(5013), 1,
      sym_type_annotation,
    STATE(5692), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164479] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_comment,
    STATE(5017), 1,
      sym_type_annotation,
    STATE(5691), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164506] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_comment,
    STATE(5173), 1,
      sym_type_annotation,
    STATE(6166), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164533] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8019), 1,
      anon_sym_LBRACE,
    ACTIONS(8021), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1678), 1,
      sym_object_type,
    STATE(4670), 1,
      sym_comment,
    STATE(5264), 1,
      sym_type_parameters,
    STATE(6097), 1,
      sym_extends_type_clause,
  [164564] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4671), 1,
      sym_comment,
    STATE(5027), 1,
      sym_type_annotation,
    STATE(5689), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164591] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_comment,
    STATE(5001), 1,
      sym_type_annotation,
    STATE(5682), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164618] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4673), 1,
      sym_comment,
    STATE(5648), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [164647] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4674), 1,
      sym_comment,
    STATE(5158), 1,
      sym_type_annotation,
    STATE(6196), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164674] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_comment,
    STATE(5031), 1,
      sym_type_annotation,
    STATE(5677), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4676), 1,
      sym_comment,
    ACTIONS(2304), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164720] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4677), 1,
      sym_comment,
    STATE(5156), 1,
      sym_type_annotation,
    STATE(6201), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164747] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4678), 1,
      sym_comment,
    STATE(5056), 1,
      sym_type_annotation,
    STATE(5672), 1,
      sym__initializer,
    ACTIONS(7390), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164774] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_class_body,
    STATE(4679), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6771), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164805] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8023), 1,
      anon_sym_LBRACE,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(8027), 1,
      anon_sym_DOT,
    ACTIONS(8029), 1,
      anon_sym_LT,
    ACTIONS(8031), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4680), 1,
      sym_comment,
    STATE(5599), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6328), 1,
      sym_type_arguments,
  [164836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4681), 1,
      sym_comment,
    ACTIONS(2180), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164855] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_comment,
    STATE(5147), 1,
      sym_type_annotation,
    STATE(6219), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164882] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4683), 1,
      sym_comment,
    STATE(5067), 1,
      sym_type_annotation,
    STATE(5673), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164909] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4684), 1,
      sym_comment,
    STATE(6929), 1,
      sym_statement_block,
    ACTIONS(8033), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [164932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4685), 1,
      sym_comment,
    ACTIONS(7700), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [164951] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym_class_body,
    STATE(4686), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6629), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [164982] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4687), 1,
      sym_comment,
    STATE(5141), 1,
      sym_type_annotation,
    STATE(6101), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165009] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_class_body,
    STATE(4688), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6763), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165040] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4689), 1,
      sym_comment,
    STATE(6484), 1,
      sym_statement_block,
    ACTIONS(8035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165063] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4690), 1,
      sym_comment,
    STATE(5024), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6559), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165094] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4691), 1,
      sym_comment,
    STATE(5113), 1,
      sym_type_annotation,
    STATE(6245), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165121] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(8037), 1,
      sym_identifier,
    STATE(4419), 1,
      sym__destructuring_pattern,
    STATE(4692), 1,
      sym_comment,
    STATE(5528), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165150] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(8039), 1,
      sym_identifier,
    STATE(4430), 1,
      sym__destructuring_pattern,
    STATE(4693), 1,
      sym_comment,
    STATE(5529), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165179] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4694), 1,
      sym_comment,
    STATE(6482), 1,
      sym_statement_block,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165202] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1529), 1,
      sym_class_body,
    STATE(4695), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6758), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165233] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4696), 1,
      sym_comment,
    STATE(6041), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165262] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4697), 1,
      sym_comment,
    STATE(5090), 1,
      sym_type_annotation,
    STATE(5724), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4698), 1,
      sym_comment,
    ACTIONS(5857), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4699), 1,
      sym_comment,
    ACTIONS(5950), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [165327] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4700), 1,
      sym_comment,
    STATE(5108), 1,
      sym_type_annotation,
    STATE(5731), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4701), 1,
      sym_comment,
    ACTIONS(6496), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [165373] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(7400), 1,
      sym_identifier,
    ACTIONS(7438), 1,
      anon_sym_type,
    STATE(4702), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6962), 1,
      sym__import_identifier,
    STATE(7076), 1,
      sym__module_export_name,
  [165404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8043), 1,
      sym__automatic_semicolon,
    STATE(4703), 1,
      sym_comment,
    ACTIONS(2238), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165425] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4704), 1,
      sym_comment,
    STATE(5075), 1,
      sym_type_annotation,
    STATE(6297), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4705), 1,
      sym_comment,
    STATE(5148), 1,
      sym_type_annotation,
    STATE(6215), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165479] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3179), 1,
      sym_class_body,
    STATE(4706), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6571), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165510] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4707), 1,
      sym_comment,
    STATE(6438), 1,
      sym_statement_block,
    ACTIONS(8035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4708), 1,
      sym_comment,
    STATE(6434), 1,
      sym_statement_block,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_comment,
    STATE(5052), 1,
      sym_type_annotation,
    STATE(6309), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165583] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4710), 1,
      sym_comment,
    STATE(5019), 1,
      sym_type_annotation,
    STATE(6314), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165610] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4711), 1,
      sym_comment,
    STATE(5006), 1,
      sym_type_annotation,
    STATE(6319), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165637] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    STATE(4712), 1,
      sym_comment,
    STATE(6117), 1,
      sym_class_body,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6978), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165668] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4713), 1,
      sym_comment,
    STATE(5005), 1,
      sym_type_annotation,
    STATE(6321), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4714), 1,
      sym_comment,
    STATE(4956), 1,
      sym_type_annotation,
    STATE(6341), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165722] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3160), 1,
      sym_class_body,
    STATE(4715), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6751), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [165753] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4716), 1,
      sym_comment,
    STATE(5649), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [165782] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4717), 1,
      sym_comment,
    STATE(4966), 1,
      sym_type_annotation,
    STATE(6325), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165809] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(4718), 1,
      sym_comment,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [165832] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8048), 1,
      sym_identifier,
    ACTIONS(8050), 1,
      anon_sym_STAR,
    STATE(4719), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6703), 1,
      sym__call_signature,
  [165863] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4720), 1,
      sym_comment,
    STATE(5114), 1,
      sym_type_annotation,
    STATE(6241), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165890] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4721), 1,
      sym_comment,
    STATE(6475), 1,
      sym_statement_block,
    ACTIONS(8052), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_comment,
    STATE(5137), 1,
      sym_type_annotation,
    STATE(5750), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165940] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4723), 1,
      sym_comment,
    STATE(6479), 1,
      sym_statement_block,
    ACTIONS(8054), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [165963] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4724), 1,
      sym_comment,
    STATE(5053), 1,
      sym_type_annotation,
    STATE(6282), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165990] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(4725), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6515), 1,
      sym_class_body,
    STATE(6952), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [166021] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3495), 1,
      sym_class_body,
    STATE(4726), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6744), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [166052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4727), 1,
      sym_comment,
    ACTIONS(7576), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [166071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4728), 1,
      sym_comment,
    STATE(5087), 1,
      sym_type_annotation,
    STATE(6276), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166098] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(7834), 1,
      sym_identifier,
    STATE(4566), 1,
      sym__destructuring_pattern,
    STATE(4729), 1,
      sym_comment,
    STATE(5531), 1,
      sym_variable_declarator,
    STATE(4623), 2,
      sym_object_pattern,
      sym_array_pattern,
  [166127] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7858), 1,
      anon_sym_LT,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8056), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4730), 1,
      sym_comment,
    STATE(5059), 1,
      sym_object_type,
    STATE(5464), 1,
      sym_type_parameters,
    STATE(5929), 1,
      sym_extends_type_clause,
  [166158] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4731), 1,
      sym_comment,
    STATE(5099), 1,
      sym_type_annotation,
    STATE(6264), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166185] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(8058), 1,
      sym_identifier,
    ACTIONS(8060), 1,
      anon_sym_DOT,
    STATE(4461), 1,
      sym_nested_identifier,
    STATE(4637), 1,
      sym_string,
    STATE(4732), 1,
      sym_comment,
    STATE(5065), 1,
      sym__module,
  [166216] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4733), 1,
      sym_comment,
    STATE(6433), 1,
      sym_statement_block,
    ACTIONS(8052), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4734), 1,
      sym_comment,
    STATE(6669), 1,
      sym_statement_block,
    ACTIONS(8062), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166262] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(129), 1,
      anon_sym_import,
    ACTIONS(8064), 1,
      sym_identifier,
    STATE(2404), 1,
      sym__type_query_member_expression,
    STATE(2408), 1,
      sym__type_query_subscript_expression,
    STATE(2450), 1,
      sym__type_query_instantiation_expression,
    STATE(2451), 1,
      sym__type_query_call_expression,
    STATE(4735), 1,
      sym_comment,
    STATE(5480), 1,
      sym_import,
  [166293] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4736), 1,
      sym_comment,
    STATE(5104), 1,
      sym_type_annotation,
    STATE(6261), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166320] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4737), 1,
      sym_comment,
    STATE(5195), 1,
      sym_type_annotation,
    STATE(5772), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4738), 1,
      sym_comment,
    STATE(4967), 1,
      sym_type_annotation,
    STATE(6318), 1,
      sym__initializer,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166374] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_comment,
    STATE(5200), 1,
      sym_type_annotation,
    STATE(5778), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4740), 1,
      sym_comment,
    STATE(6671), 1,
      sym_statement_block,
    ACTIONS(8066), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166424] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4741), 1,
      sym_comment,
    STATE(5238), 1,
      sym_type_annotation,
    STATE(5795), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4742), 1,
      sym_comment,
    STATE(5245), 1,
      sym_type_annotation,
    STATE(5798), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166478] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4743), 1,
      sym_comment,
    STATE(5253), 1,
      sym_type_annotation,
    STATE(5803), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4744), 1,
      sym_comment,
    ACTIONS(8068), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [166524] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4745), 1,
      sym_comment,
    STATE(5260), 1,
      sym_type_annotation,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4746), 1,
      sym_comment,
    STATE(6825), 1,
      sym_statement_block,
    ACTIONS(8070), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [166574] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4747), 1,
      sym_comment,
    STATE(5330), 1,
      sym_type_annotation,
    STATE(5839), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4748), 1,
      sym_comment,
    STATE(5003), 1,
      sym_type_annotation,
    STATE(5708), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166628] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4749), 1,
      sym_comment,
    STATE(5277), 1,
      sym_type_annotation,
    STATE(5818), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166655] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4750), 1,
      sym_comment,
    STATE(5306), 1,
      sym_type_annotation,
    STATE(5822), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166682] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7520), 1,
      anon_sym_extends,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2591), 1,
      sym_class_body,
    STATE(4751), 1,
      sym_comment,
    STATE(6235), 1,
      sym_extends_clause,
    STATE(6975), 1,
      sym_class_heritage,
    STATE(7355), 1,
      sym_implements_clause,
  [166713] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(4752), 1,
      sym_comment,
    STATE(5323), 1,
      sym_type_annotation,
    STATE(5836), 1,
      sym__initializer,
    ACTIONS(7392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4753), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8074), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166762] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3581), 1,
      sym_statement_block,
    STATE(4754), 1,
      sym_comment,
    ACTIONS(8033), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166784] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(8058), 1,
      sym_identifier,
    STATE(4461), 1,
      sym_nested_identifier,
    STATE(4637), 1,
      sym_string,
    STATE(4755), 1,
      sym_comment,
    STATE(5065), 1,
      sym__module,
  [166812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3587), 1,
      sym_statement_block,
    STATE(4756), 1,
      sym_comment,
    ACTIONS(7907), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166834] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8078), 1,
      anon_sym_COMMA,
    ACTIONS(8080), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4757), 1,
      sym_comment,
    STATE(5921), 1,
      aux_sym_type_arguments_repeat1,
  [166862] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8082), 1,
      anon_sym_COMMA,
    ACTIONS(8084), 1,
      anon_sym_GT,
    STATE(4758), 1,
      sym_comment,
    STATE(5925), 1,
      aux_sym_type_arguments_repeat1,
  [166890] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8086), 1,
      anon_sym_export,
    ACTIONS(8088), 1,
      anon_sym_class,
    ACTIONS(8090), 1,
      anon_sym_abstract,
    STATE(4759), 1,
      sym_comment,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
  [166918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4760), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8094), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8092), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166940] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8096), 1,
      anon_sym_default,
    ACTIONS(8099), 1,
      anon_sym_RBRACE,
    ACTIONS(8101), 1,
      anon_sym_case,
    STATE(4761), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [166964] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8104), 1,
      sym_identifier,
    STATE(4762), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [166992] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8106), 1,
      anon_sym_QMARK,
    STATE(4763), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6857), 1,
      sym__call_signature,
  [167020] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8108), 1,
      anon_sym_catch,
    ACTIONS(8110), 1,
      anon_sym_finally,
    STATE(4764), 1,
      sym_comment,
    STATE(5493), 1,
      sym_catch_clause,
    STATE(6941), 1,
      sym_finally_clause,
    ACTIONS(3129), 2,
      anon_sym_else,
      anon_sym_while,
  [167046] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_QMARK,
    STATE(4765), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6753), 1,
      sym__call_signature,
  [167074] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8116), 1,
      anon_sym_RBRACE,
    ACTIONS(8118), 1,
      anon_sym_case,
    STATE(4766), 1,
      sym_comment,
    STATE(4770), 1,
      aux_sym_switch_body_repeat1,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [167100] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4767), 1,
      sym_comment,
    STATE(4781), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8122), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167122] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8124), 1,
      anon_sym_RBRACE,
    STATE(4768), 1,
      sym_comment,
    STATE(4946), 1,
      aux_sym_switch_body_repeat1,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [167148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(7929), 1,
      anon_sym_EQ,
    STATE(4769), 1,
      sym_comment,
    STATE(5519), 1,
      sym_type_annotation,
    STATE(7024), 1,
      sym__initializer,
    ACTIONS(8126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [167174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8128), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      aux_sym_switch_body_repeat1,
    STATE(4770), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [167200] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8130), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4771), 1,
      sym_comment,
    STATE(5357), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [167228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4772), 1,
      sym_comment,
    ACTIONS(4596), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [167246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4773), 1,
      sym_comment,
    ACTIONS(7913), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [167264] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8132), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4658), 1,
      sym__call_signature,
    STATE(4774), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [167292] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4775), 1,
      sym_comment,
    STATE(4789), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8136), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8134), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167314] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(8029), 1,
      anon_sym_LT,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    ACTIONS(8140), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4776), 1,
      sym_comment,
    STATE(5602), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6327), 1,
      sym_type_arguments,
  [167342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4777), 1,
      sym_comment,
    ACTIONS(8142), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [167360] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_statement_block,
    STATE(4778), 1,
      sym_comment,
    ACTIONS(7907), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167382] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8144), 1,
      anon_sym_export,
    ACTIONS(8146), 1,
      anon_sym_class,
    ACTIONS(8148), 1,
      anon_sym_abstract,
    STATE(4779), 1,
      sym_comment,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5658), 1,
      sym_decorator,
  [167410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4780), 1,
      sym_comment,
    ACTIONS(8150), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [167428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4781), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8136), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8134), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167450] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8152), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4723), 1,
      sym__call_signature,
    STATE(4782), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [167478] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8154), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4783), 1,
      sym_comment,
    STATE(5225), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [167506] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4784), 1,
      sym_comment,
    STATE(4927), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8158), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      sym_comment,
    STATE(4883), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8162), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167550] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4786), 1,
      sym_comment,
    STATE(4819), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8166), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167572] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8170), 1,
      anon_sym_COMMA,
    STATE(4787), 1,
      sym_comment,
    STATE(6027), 1,
      aux_sym_implements_clause_repeat1,
  [167600] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8172), 1,
      sym_identifier,
    STATE(4788), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [167628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4789), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8176), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8174), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4790), 1,
      sym_comment,
    ACTIONS(7977), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [167668] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8178), 1,
      anon_sym_COMMA,
    ACTIONS(8180), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4791), 1,
      sym_comment,
    STATE(6130), 1,
      aux_sym_type_arguments_repeat1,
  [167696] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8184), 1,
      anon_sym_GT,
    STATE(4792), 1,
      sym_comment,
    STATE(6127), 1,
      aux_sym_type_arguments_repeat1,
  [167724] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8186), 1,
      sym_identifier,
    STATE(4793), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [167744] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7971), 1,
      sym_identifier,
    STATE(974), 1,
      sym_nested_identifier,
    STATE(1201), 1,
      sym_string,
    STATE(1367), 1,
      sym__module,
    STATE(4794), 1,
      sym_comment,
  [167772] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8188), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4795), 1,
      sym_comment,
    STATE(5686), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [167800] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(8190), 1,
      anon_sym_BQUOTE,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      sym__template_chars,
    STATE(4796), 1,
      sym_comment,
    STATE(4880), 1,
      aux_sym_template_string_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
  [167828] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4156), 1,
      anon_sym_DQUOTE,
    ACTIONS(4158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7971), 1,
      sym_identifier,
    STATE(974), 1,
      sym_nested_identifier,
    STATE(1201), 1,
      sym_string,
    STATE(1286), 1,
      sym__module,
    STATE(4797), 1,
      sym_comment,
  [167856] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4798), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8198), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4799), 1,
      sym_comment,
    ACTIONS(2304), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [167896] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8202), 1,
      anon_sym_AT,
    STATE(5658), 1,
      sym_decorator,
    STATE(4800), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(8200), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [167918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3591), 1,
      sym_statement_block,
    STATE(4801), 1,
      sym_comment,
    ACTIONS(7915), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167940] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(4802), 1,
      sym_comment,
    ACTIONS(8205), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [167964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3605), 1,
      sym_statement_block,
    STATE(4803), 1,
      sym_comment,
    ACTIONS(8062), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    STATE(4804), 1,
      sym_comment,
    ACTIONS(7458), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [168008] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3588), 1,
      sym_statement_block,
    STATE(4805), 1,
      sym_comment,
    ACTIONS(8015), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3594), 1,
      sym_statement_block,
    STATE(4806), 1,
      sym_comment,
    ACTIONS(8052), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168052] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4807), 1,
      sym_comment,
    STATE(4817), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [168080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4808), 1,
      sym_comment,
    ACTIONS(8068), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [168098] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
    STATE(4809), 1,
      sym_comment,
    ACTIONS(8009), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168120] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8211), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4740), 1,
      sym__call_signature,
    STATE(4810), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [168148] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_statement_block,
    STATE(4811), 1,
      sym_comment,
    ACTIONS(8054), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168170] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8213), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4812), 1,
      sym_comment,
    STATE(4844), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [168198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3585), 1,
      sym_statement_block,
    STATE(4813), 1,
      sym_comment,
    ACTIONS(8015), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168220] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_statement_block,
    STATE(4814), 1,
      sym_comment,
    ACTIONS(8009), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168242] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8215), 1,
      anon_sym_QMARK,
    STATE(4815), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6480), 1,
      sym__call_signature,
  [168270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4816), 1,
      sym_comment,
    STATE(4855), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8219), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8217), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168292] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3607), 1,
      sym_statement_block,
    STATE(4817), 1,
      sym_comment,
    ACTIONS(8066), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168314] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4760), 1,
      aux_sym_object_type_repeat1,
    STATE(4818), 1,
      sym_comment,
    ACTIONS(8198), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168336] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4819), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8223), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168358] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4798), 1,
      aux_sym_object_type_repeat1,
    STATE(4820), 1,
      sym_comment,
    ACTIONS(8227), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168380] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8229), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4821), 1,
      sym_comment,
    STATE(5205), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [168408] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      sym__template_chars,
    ACTIONS(8231), 1,
      anon_sym_BQUOTE,
    STATE(4822), 1,
      sym_comment,
    STATE(4880), 1,
      aux_sym_template_string_repeat1,
    STATE(5612), 1,
      sym_template_substitution,
  [168436] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4823), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8235), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8233), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168458] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3593), 1,
      sym_statement_block,
    STATE(4824), 1,
      sym_comment,
    ACTIONS(8052), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168480] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8237), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4631), 1,
      sym__call_signature,
    STATE(4825), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [168508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4826), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8241), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168530] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8243), 1,
      anon_sym_COMMA,
    ACTIONS(8245), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4827), 1,
      sym_comment,
    STATE(6168), 1,
      aux_sym_type_arguments_repeat1,
  [168558] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8247), 1,
      anon_sym_COMMA,
    ACTIONS(8249), 1,
      anon_sym_GT,
    STATE(4828), 1,
      sym_comment,
    STATE(6172), 1,
      aux_sym_type_arguments_repeat1,
  [168586] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8253), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8251), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168608] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_statement_block,
    STATE(4830), 1,
      sym_comment,
    ACTIONS(7979), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168630] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8255), 1,
      anon_sym_QMARK,
    STATE(4831), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6893), 1,
      sym__call_signature,
  [168658] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8257), 1,
      anon_sym_COMMA,
    ACTIONS(8259), 1,
      anon_sym_GT,
    STATE(4832), 1,
      sym_comment,
    STATE(6104), 1,
      aux_sym_type_arguments_repeat1,
  [168686] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8261), 1,
      anon_sym_QMARK,
    STATE(4833), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6786), 1,
      sym__call_signature,
  [168714] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8263), 1,
      anon_sym_COMMA,
    ACTIONS(8265), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4834), 1,
      sym_comment,
    STATE(6106), 1,
      aux_sym_type_arguments_repeat1,
  [168742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4823), 1,
      aux_sym_object_type_repeat1,
    STATE(4835), 1,
      sym_comment,
    ACTIONS(8241), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168764] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8267), 1,
      anon_sym_QMARK,
    STATE(4836), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6432), 1,
      sym__call_signature,
  [168792] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8269), 1,
      anon_sym_export,
    ACTIONS(8271), 1,
      anon_sym_class,
    ACTIONS(8273), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(4837), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [168820] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8275), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4838), 1,
      sym_comment,
    STATE(5192), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [168848] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8277), 1,
      sym_identifier,
    STATE(4839), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6631), 1,
      sym__call_signature,
  [168876] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4826), 1,
      aux_sym_object_type_repeat1,
    STATE(4840), 1,
      sym_comment,
    ACTIONS(8281), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168898] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8283), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4841), 1,
      sym_comment,
    STATE(5266), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [168926] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3568), 1,
      sym_statement_block,
    STATE(4842), 1,
      sym_comment,
    ACTIONS(8035), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168948] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8285), 1,
      anon_sym_RBRACE,
    STATE(4843), 1,
      sym_comment,
    STATE(4881), 1,
      aux_sym_switch_body_repeat1,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [168974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3617), 1,
      sym_statement_block,
    STATE(4844), 1,
      sym_comment,
    ACTIONS(8041), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168996] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8287), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4811), 1,
      sym__call_signature,
    STATE(4845), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [169024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4846), 1,
      sym_comment,
    ACTIONS(2298), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [169042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8289), 1,
      anon_sym_RBRACE,
    STATE(4847), 1,
      sym_comment,
    STATE(4869), 1,
      aux_sym_switch_body_repeat1,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [169068] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8293), 1,
      anon_sym_QMARK,
    STATE(4848), 1,
      sym_comment,
    ACTIONS(8291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [169094] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      sym__template_chars,
    ACTIONS(8295), 1,
      anon_sym_BQUOTE,
    STATE(4796), 1,
      aux_sym_template_string_repeat1,
    STATE(4849), 1,
      sym_comment,
    STATE(5612), 1,
      sym_template_substitution,
  [169122] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8297), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4830), 1,
      sym__call_signature,
    STATE(4850), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [169150] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8299), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4851), 1,
      sym_comment,
    STATE(6164), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [169178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4852), 1,
      sym_comment,
    STATE(4879), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8303), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8301), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169200] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8305), 1,
      sym_identifier,
    STATE(4853), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [169228] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3577), 1,
      sym_statement_block,
    STATE(4854), 1,
      sym_comment,
    ACTIONS(8035), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169250] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4855), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8309), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8307), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169272] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8311), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      aux_sym_switch_body_repeat1,
    STATE(4856), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [169298] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8313), 1,
      anon_sym_QMARK,
    STATE(4857), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7010), 1,
      sym__call_signature,
  [169326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4858), 1,
      sym_comment,
    STATE(4859), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8309), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8307), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4859), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8317), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8315), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4860), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8166), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169392] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8319), 1,
      sym_identifier,
    STATE(4861), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [169420] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8321), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4862), 1,
      sym_comment,
    STATE(5135), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [169448] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4860), 1,
      aux_sym_object_type_repeat1,
    STATE(4863), 1,
      sym_comment,
    ACTIONS(8325), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8323), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169470] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8327), 1,
      anon_sym_COMMA,
    ACTIONS(8329), 1,
      anon_sym_GT,
    STATE(4864), 1,
      sym_comment,
    STATE(6188), 1,
      aux_sym_type_arguments_repeat1,
  [169498] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      sym_identifier,
    STATE(4865), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6820), 1,
      sym__call_signature,
  [169526] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8333), 1,
      anon_sym_COMMA,
    ACTIONS(8335), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4866), 1,
      sym_comment,
    STATE(6204), 1,
      aux_sym_type_arguments_repeat1,
  [169554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4867), 1,
      sym_comment,
    ACTIONS(6480), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169572] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8337), 1,
      sym_identifier,
    STATE(4868), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [169600] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8339), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      aux_sym_switch_body_repeat1,
    STATE(4869), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [169626] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8341), 1,
      sym_identifier,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    STATE(4870), 1,
      sym_comment,
    STATE(5984), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4871), 1,
      sym_comment,
    ACTIONS(7786), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [169670] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8345), 1,
      sym_identifier,
    STATE(4872), 1,
      sym_comment,
    STATE(5719), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [169696] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8347), 1,
      anon_sym_QMARK,
    STATE(4873), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6991), 1,
      sym__call_signature,
  [169724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4874), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8351), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8349), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169746] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_SQUOTE,
    ACTIONS(7852), 1,
      sym_identifier,
    STATE(984), 1,
      sym_nested_identifier,
    STATE(1108), 1,
      sym_string,
    STATE(1539), 1,
      sym__module,
    STATE(4875), 1,
      sym_comment,
  [169774] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_SQUOTE,
    ACTIONS(7852), 1,
      sym_identifier,
    STATE(984), 1,
      sym_nested_identifier,
    STATE(1108), 1,
      sym_string,
    STATE(1495), 1,
      sym__module,
    STATE(4876), 1,
      sym_comment,
  [169802] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8353), 1,
      sym_identifier,
    STATE(4877), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [169830] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_COMMA,
    ACTIONS(8357), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4878), 1,
      sym_comment,
    STATE(6345), 1,
      aux_sym_type_arguments_repeat1,
  [169858] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4879), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8158), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169880] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8359), 1,
      sym_escape_sequence,
    ACTIONS(8362), 1,
      anon_sym_BQUOTE,
    ACTIONS(8364), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8367), 1,
      sym__template_chars,
    STATE(5612), 1,
      sym_template_substitution,
    STATE(4880), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [169906] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8370), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      aux_sym_switch_body_repeat1,
    STATE(4881), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [169932] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1995), 1,
      anon_sym_DQUOTE,
    ACTIONS(1997), 1,
      anon_sym_SQUOTE,
    ACTIONS(8058), 1,
      sym_identifier,
    STATE(4461), 1,
      sym_nested_identifier,
    STATE(4637), 1,
      sym_string,
    STATE(4882), 1,
      sym_comment,
    STATE(4952), 1,
      sym__module,
  [169960] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4883), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8374), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8372), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169982] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8376), 1,
      sym_identifier,
    STATE(4884), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [170010] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym_identifier,
    STATE(4885), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [170038] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8380), 1,
      sym_identifier,
    STATE(4886), 1,
      sym_comment,
    STATE(6023), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170064] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8382), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4694), 1,
      sym__call_signature,
    STATE(4887), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [170092] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4888), 1,
      sym_comment,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8386), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8384), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4874), 1,
      aux_sym_object_type_repeat1,
    STATE(4889), 1,
      sym_comment,
    ACTIONS(8386), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8384), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170136] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8388), 1,
      anon_sym_QMARK,
    STATE(4890), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6945), 1,
      sym__call_signature,
  [170164] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4756), 1,
      sym__call_signature,
    STATE(4891), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [170192] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8392), 1,
      sym_identifier,
    STATE(4892), 1,
      sym_comment,
    STATE(5869), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170218] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_QMARK,
    STATE(4893), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6939), 1,
      sym__call_signature,
  [170246] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4888), 1,
      aux_sym_object_type_repeat1,
    STATE(4894), 1,
      sym_comment,
    ACTIONS(8398), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170268] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8400), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4534), 1,
      sym__call_signature,
    STATE(4895), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [170296] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8402), 1,
      anon_sym_QMARK,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4896), 1,
      sym_comment,
    STATE(5885), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [170324] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8404), 1,
      anon_sym_export,
    ACTIONS(8406), 1,
      anon_sym_class,
    ACTIONS(8408), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(4897), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [170352] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8410), 1,
      sym_identifier,
    STATE(4898), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [170380] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8412), 1,
      sym_identifier,
    STATE(4899), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [170400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4900), 1,
      sym_comment,
    ACTIONS(7947), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [170418] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8414), 1,
      anon_sym_DOT,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(7822), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4902), 1,
      sym_comment,
    ACTIONS(8416), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170456] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8418), 1,
      sym_identifier,
    STATE(4903), 1,
      sym_comment,
    STATE(6841), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170482] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8420), 1,
      sym_identifier,
    STATE(4904), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [170510] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_QMARK,
    STATE(4905), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6931), 1,
      sym__call_signature,
  [170538] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4753), 1,
      aux_sym_object_type_repeat1,
    STATE(4906), 1,
      sym_comment,
    ACTIONS(8426), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8424), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170560] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8428), 1,
      sym_identifier,
    STATE(4907), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [170588] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8430), 1,
      sym_identifier,
    STATE(4908), 1,
      sym_comment,
    STATE(6049), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170614] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8003), 1,
      sym_identifier,
    STATE(4909), 1,
      sym_comment,
    STATE(4977), 1,
      sym_nested_identifier,
    STATE(5667), 1,
      sym_string,
    STATE(6366), 1,
      sym__module,
  [170642] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3933), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      sym_identifier,
    STATE(4910), 1,
      sym_comment,
    STATE(5479), 1,
      sym__destructuring_pattern,
    STATE(4297), 2,
      sym_object_pattern,
      sym_array_pattern,
  [170668] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8434), 1,
      anon_sym_RBRACE,
    STATE(4856), 1,
      aux_sym_switch_body_repeat1,
    STATE(4911), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [170694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4912), 1,
      sym_comment,
    ACTIONS(8436), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170712] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(7985), 1,
      sym_identifier,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1374), 1,
      sym_string,
    STATE(1663), 1,
      sym__module,
    STATE(4913), 1,
      sym_comment,
  [170740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3583), 1,
      sym_statement_block,
    STATE(4914), 1,
      sym_comment,
    ACTIONS(7975), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170762] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4829), 1,
      aux_sym_object_type_repeat1,
    STATE(4915), 1,
      sym_comment,
    ACTIONS(8074), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170784] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8438), 1,
      sym_identifier,
    STATE(4916), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6705), 1,
      sym__call_signature,
  [170812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4917), 1,
      sym_comment,
    ACTIONS(8440), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [170830] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3573), 1,
      sym_statement_block,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(7979), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170852] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4067), 1,
      anon_sym_DQUOTE,
    ACTIONS(4069), 1,
      anon_sym_SQUOTE,
    ACTIONS(7985), 1,
      sym_identifier,
    STATE(1194), 1,
      sym_nested_identifier,
    STATE(1374), 1,
      sym_string,
    STATE(1700), 1,
      sym__module,
    STATE(4919), 1,
      sym_comment,
  [170880] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8442), 1,
      sym_identifier,
    STATE(4920), 1,
      sym_comment,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [170908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8444), 1,
      anon_sym_export,
    ACTIONS(8446), 1,
      anon_sym_class,
    ACTIONS(8448), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(4921), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [170936] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    STATE(4922), 1,
      sym_comment,
    ACTIONS(7492), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6577), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [170958] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8027), 1,
      anon_sym_DOT,
    ACTIONS(8029), 1,
      anon_sym_LT,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    STATE(4923), 1,
      sym_comment,
    STATE(6328), 1,
      sym_type_arguments,
    ACTIONS(8452), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [170984] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8003), 1,
      sym_identifier,
    STATE(4924), 1,
      sym_comment,
    STATE(4977), 1,
      sym_nested_identifier,
    STATE(5667), 1,
      sym_string,
    STATE(6867), 1,
      sym__module,
  [171012] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(8456), 1,
      anon_sym_GT,
    STATE(4925), 1,
      sym_comment,
    STATE(6349), 1,
      aux_sym_type_arguments_repeat1,
  [171040] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8461), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4926), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8458), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171060] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    STATE(4927), 1,
      sym_comment,
    ACTIONS(8465), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171082] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3575), 1,
      sym_statement_block,
    STATE(4928), 1,
      sym_comment,
    ACTIONS(7975), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4929), 1,
      sym_comment,
    ACTIONS(8467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4596), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [171124] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    ACTIONS(8469), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4813), 1,
      sym__call_signature,
    STATE(4930), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [171152] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8471), 1,
      anon_sym_COMMA,
    ACTIONS(8473), 1,
      anon_sym_GT,
    STATE(4931), 1,
      sym_comment,
    STATE(5735), 1,
      aux_sym_type_arguments_repeat1,
  [171180] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8475), 1,
      sym_identifier,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171200] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4933), 1,
      sym_comment,
    STATE(4934), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8374), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8372), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171222] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4926), 1,
      aux_sym_object_type_repeat1,
    STATE(4934), 1,
      sym_comment,
    ACTIONS(8479), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8477), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171244] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7776), 1,
      sym_escape_sequence,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      sym__template_chars,
    ACTIONS(8481), 1,
      anon_sym_BQUOTE,
    STATE(4822), 1,
      aux_sym_template_string_repeat1,
    STATE(4935), 1,
      sym_comment,
    STATE(5612), 1,
      sym_template_substitution,
  [171272] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    ACTIONS(8483), 1,
      anon_sym_COMMA,
    ACTIONS(8485), 1,
      anon_sym_GT,
    STATE(4459), 1,
      sym_arguments,
    STATE(4936), 1,
      sym_comment,
    STATE(5740), 1,
      aux_sym_type_arguments_repeat1,
  [171300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3571), 1,
      sym_statement_block,
    STATE(4937), 1,
      sym_comment,
    ACTIONS(8041), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171322] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4140), 1,
      anon_sym_DQUOTE,
    ACTIONS(4142), 1,
      anon_sym_SQUOTE,
    ACTIONS(7868), 1,
      sym_identifier,
    STATE(965), 1,
      sym_nested_identifier,
    STATE(973), 1,
      sym_string,
    STATE(1178), 1,
      sym__module,
    STATE(4938), 1,
      sym_comment,
  [171350] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4140), 1,
      anon_sym_DQUOTE,
    ACTIONS(4142), 1,
      anon_sym_SQUOTE,
    ACTIONS(7868), 1,
      sym_identifier,
    STATE(965), 1,
      sym_nested_identifier,
    STATE(973), 1,
      sym_string,
    STATE(1217), 1,
      sym__module,
    STATE(4939), 1,
      sym_comment,
  [171378] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8487), 1,
      sym_identifier,
    STATE(4940), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171398] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8489), 1,
      sym_identifier,
    STATE(4941), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171418] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8491), 1,
      sym_identifier,
    STATE(4942), 1,
      sym_comment,
    ACTIONS(7031), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [171438] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1969), 1,
      anon_sym_LT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(8493), 1,
      sym_identifier,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(4943), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7006), 1,
      sym__call_signature,
  [171466] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(8495), 1,
      anon_sym_QMARK,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(4944), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6634), 1,
      sym__call_signature,
  [171494] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3618), 1,
      sym_statement_block,
    STATE(4945), 1,
      sym_comment,
    ACTIONS(8070), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171516] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8114), 1,
      anon_sym_default,
    ACTIONS(8118), 1,
      anon_sym_case,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
    STATE(4761), 1,
      aux_sym_switch_body_repeat1,
    STATE(4946), 1,
      sym_comment,
    STATE(5971), 2,
      sym_switch_case,
      sym_switch_default,
  [171542] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4947), 1,
      sym_comment,
    STATE(6342), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4948), 1,
      sym_comment,
    ACTIONS(6575), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [171580] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4949), 1,
      sym_comment,
    STATE(5845), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171601] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7856), 1,
      anon_sym_LBRACE,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7862), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1020), 1,
      sym_object_type,
    STATE(4950), 1,
      sym_comment,
    STATE(6294), 1,
      sym_extends_type_clause,
  [171626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4951), 1,
      sym_comment,
    ACTIONS(2192), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171643] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4952), 1,
      sym_comment,
    ACTIONS(2202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [171660] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4953), 1,
      sym_comment,
    STATE(5961), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4954), 1,
      sym_comment,
    STATE(5942), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171702] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8503), 1,
      anon_sym_LBRACE,
    ACTIONS(8505), 1,
      anon_sym_SEMI,
    ACTIONS(8507), 1,
      sym__automatic_semicolon,
    ACTIONS(8509), 1,
      sym__function_signature_automatic_semicolon,
    STATE(998), 1,
      sym_statement_block,
    STATE(4955), 1,
      sym_comment,
  [171727] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4956), 1,
      sym_comment,
    STATE(5938), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4957), 1,
      sym_comment,
    STATE(5937), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171769] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8505), 1,
      anon_sym_SEMI,
    ACTIONS(8507), 1,
      sym__automatic_semicolon,
    ACTIONS(8509), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_statement_block,
    STATE(4958), 1,
      sym_comment,
  [171794] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4959), 1,
      sym_comment,
    STATE(5924), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171815] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(4960), 1,
      sym_comment,
    ACTIONS(8515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_LBRACE,
    ACTIONS(8521), 1,
      anon_sym_SEMI,
    ACTIONS(8523), 1,
      sym__automatic_semicolon,
    ACTIONS(8525), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1204), 1,
      sym_statement_block,
    STATE(4961), 1,
      sym_comment,
  [171863] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4962), 1,
      sym_comment,
    STATE(5877), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [171888] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    ACTIONS(8527), 1,
      anon_sym_SEMI,
    ACTIONS(8529), 1,
      sym__automatic_semicolon,
    ACTIONS(8531), 1,
      sym__function_signature_automatic_semicolon,
    STATE(331), 1,
      sym_statement_block,
    STATE(4963), 1,
      sym_comment,
  [171913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2184), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(4964), 1,
      sym_comment,
    ACTIONS(5177), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [171934] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(4965), 1,
      sym_comment,
    ACTIONS(5177), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [171955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4966), 1,
      sym_comment,
    STATE(5994), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171976] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4967), 1,
      sym_comment,
    STATE(5997), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171997] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(4968), 1,
      sym_comment,
    ACTIONS(8533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4969), 1,
      sym_comment,
    ACTIONS(3563), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4970), 1,
      sym_comment,
    ACTIONS(3565), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172054] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8537), 1,
      anon_sym_COMMA,
    ACTIONS(8539), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      sym_comment,
    STATE(5727), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [172079] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4972), 1,
      sym_comment,
    STATE(5909), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4973), 1,
      sym_comment,
    ACTIONS(3535), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4974), 1,
      sym_comment,
    ACTIONS(3537), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4975), 1,
      sym_comment,
    ACTIONS(3471), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172151] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(4976), 1,
      sym_comment,
    STATE(5871), 1,
      sym__initializer,
    ACTIONS(8541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172172] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      anon_sym_DOT,
    STATE(4977), 1,
      sym_comment,
    STATE(6386), 1,
      sym_statement_block,
    ACTIONS(2130), 2,
      anon_sym_else,
      anon_sym_while,
  [172195] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_DOT,
    STATE(4978), 1,
      sym_comment,
    STATE(6386), 1,
      sym_statement_block,
    ACTIONS(2130), 2,
      anon_sym_else,
      anon_sym_while,
  [172218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4979), 1,
      sym_comment,
    ACTIONS(3555), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4980), 1,
      sym_comment,
    ACTIONS(3551), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4981), 1,
      sym_comment,
    ACTIONS(3547), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4982), 1,
      sym_comment,
    ACTIONS(3545), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4983), 1,
      sym_comment,
    ACTIONS(3543), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4984), 1,
      sym_comment,
    ACTIONS(2366), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4985), 1,
      sym_comment,
    ACTIONS(3533), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4986), 1,
      sym_comment,
    ACTIONS(3529), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4987), 1,
      sym_comment,
    ACTIONS(3519), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172371] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4988), 1,
      sym_comment,
    ACTIONS(3517), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4989), 1,
      sym_comment,
    ACTIONS(3509), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4990), 1,
      sym_comment,
    ACTIONS(3507), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4991), 1,
      sym_comment,
    ACTIONS(3505), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4992), 1,
      sym_comment,
    ACTIONS(3501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4993), 1,
      sym_comment,
    ACTIONS(3499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4994), 1,
      sym_comment,
    ACTIONS(3489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4995), 1,
      sym_comment,
    ACTIONS(2326), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4996), 1,
      sym_comment,
    ACTIONS(2322), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4997), 1,
      sym_comment,
    ACTIONS(2402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4998), 1,
      sym_comment,
    ACTIONS(3485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(4999), 1,
      sym_comment,
    ACTIONS(3481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5000), 1,
      sym_comment,
    ACTIONS(3481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5001), 1,
      sym_comment,
    STATE(5883), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5002), 1,
      sym_comment,
    ACTIONS(3479), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172630] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym_comment,
    STATE(5866), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172651] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5004), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6927), 1,
      sym__call_signature,
  [172676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5005), 1,
      sym_comment,
    STATE(5908), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172697] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5006), 1,
      sym_comment,
    STATE(5907), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172718] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym_comment,
    STATE(5998), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172739] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8521), 1,
      anon_sym_SEMI,
    ACTIONS(8523), 1,
      sym__automatic_semicolon,
    ACTIONS(8525), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    STATE(392), 1,
      sym_statement_block,
    STATE(5008), 1,
      sym_comment,
  [172764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5009), 1,
      sym_comment,
    ACTIONS(3477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172781] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(3475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5011), 1,
      sym_comment,
    ACTIONS(3473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172815] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5012), 1,
      sym_comment,
    ACTIONS(3561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172832] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_comment,
    STATE(5873), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5014), 1,
      sym_comment,
    STATE(5941), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5015), 1,
      sym_comment,
    ACTIONS(3469), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5016), 1,
      sym_comment,
    ACTIONS(3467), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172908] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5017), 1,
      sym_comment,
    STATE(5874), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(3467), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5019), 1,
      sym_comment,
    STATE(5905), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [172967] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(3467), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [172984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5021), 1,
      sym_comment,
    ACTIONS(3457), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5022), 1,
      sym_comment,
    ACTIONS(3451), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5023), 1,
      sym_comment,
    ACTIONS(2334), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5024), 1,
      sym_comment,
    ACTIONS(2372), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5025), 1,
      sym_comment,
    ACTIONS(2378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173069] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5026), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6951), 1,
      sym__call_signature,
  [173094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5027), 1,
      sym_comment,
    STATE(5882), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173115] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5028), 1,
      sym_comment,
    ACTIONS(3449), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym_comment,
    STATE(5867), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173153] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(8553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5031), 1,
      sym_comment,
    STATE(5889), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5032), 1,
      sym_comment,
    ACTIONS(3447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5033), 1,
      sym_comment,
    ACTIONS(3447), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5034), 1,
      sym_comment,
    ACTIONS(3445), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5035), 1,
      sym_comment,
    ACTIONS(3443), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173265] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_LBRACE,
    ACTIONS(8555), 1,
      anon_sym_SEMI,
    ACTIONS(8557), 1,
      sym__automatic_semicolon,
    ACTIONS(8559), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1199), 1,
      sym_statement_block,
    STATE(5036), 1,
      sym_comment,
  [173290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5037), 1,
      sym_comment,
    ACTIONS(3441), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5038), 1,
      sym_comment,
    ACTIONS(3439), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5039), 1,
      sym_comment,
    ACTIONS(3437), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5040), 1,
      sym_comment,
    ACTIONS(3487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5041), 1,
      sym_comment,
    ACTIONS(3487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5042), 1,
      sym_comment,
    ACTIONS(3487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5043), 1,
      sym_comment,
    ACTIONS(3607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5044), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5045), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5046), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5047), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5048), 1,
      sym_comment,
    ACTIONS(2386), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5049), 1,
      sym_comment,
    ACTIONS(3581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5050), 1,
      sym_comment,
    ACTIONS(3585), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5051), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173545] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym_comment,
    STATE(5903), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173566] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5053), 1,
      sym_comment,
    STATE(6022), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5054), 1,
      sym_comment,
    ACTIONS(3575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173604] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5055), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6935), 1,
      sym__call_signature,
  [173629] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5056), 1,
      sym_comment,
    STATE(5858), 1,
      sym__initializer,
    ACTIONS(8561), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(3587), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5058), 1,
      sym_comment,
    ACTIONS(3597), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5059), 1,
      sym_comment,
    ACTIONS(3599), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5060), 1,
      sym_comment,
    ACTIONS(2354), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5061), 1,
      sym_comment,
    ACTIONS(3573), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173735] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8408), 1,
      anon_sym_abstract,
    ACTIONS(8563), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5062), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [173760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5063), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6940), 1,
      sym__call_signature,
  [173785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5064), 1,
      sym_comment,
    ACTIONS(3579), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5065), 1,
      sym_comment,
    ACTIONS(3593), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5066), 1,
      sym_comment,
    STATE(5857), 1,
      sym__initializer,
    ACTIONS(8565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173840] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym_comment,
    STATE(5893), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173861] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5068), 1,
      sym_comment,
    ACTIONS(3595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173878] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8448), 1,
      anon_sym_abstract,
    ACTIONS(8567), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5069), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [173903] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5070), 1,
      sym_comment,
    STATE(5976), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5071), 1,
      sym_comment,
    ACTIONS(2354), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [173941] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5072), 1,
      sym_comment,
    STATE(5881), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173962] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym_comment,
    STATE(6001), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5074), 1,
      sym_comment,
    ACTIONS(3435), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174000] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5075), 1,
      sym_comment,
    STATE(5880), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_in,
    STATE(5076), 1,
      sym_comment,
    ACTIONS(6320), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [174040] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5077), 1,
      sym_comment,
    STATE(5879), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174061] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8569), 1,
      anon_sym_COMMA,
    ACTIONS(8571), 1,
      anon_sym_RBRACE,
    STATE(5078), 1,
      sym_comment,
    STATE(6269), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [174086] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5079), 1,
      sym_comment,
    STATE(6002), 1,
      sym__initializer,
    ACTIONS(8573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174107] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5080), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6988), 1,
      sym__call_signature,
  [174132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5081), 1,
      sym_comment,
    STATE(5859), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5082), 1,
      sym_comment,
    STATE(5852), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174174] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8273), 1,
      anon_sym_abstract,
    ACTIONS(8575), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5083), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [174199] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5084), 1,
      sym_comment,
    ACTIONS(8577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174222] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5085), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6865), 1,
      sym__call_signature,
  [174247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5086), 1,
      sym_comment,
    STATE(5814), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5087), 1,
      sym_comment,
    STATE(6035), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174289] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8503), 1,
      anon_sym_LBRACE,
    ACTIONS(8527), 1,
      anon_sym_SEMI,
    ACTIONS(8529), 1,
      sym__automatic_semicolon,
    ACTIONS(8531), 1,
      sym__function_signature_automatic_semicolon,
    STATE(988), 1,
      sym_statement_block,
    STATE(5088), 1,
      sym_comment,
  [174314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5089), 1,
      sym_comment,
    ACTIONS(8581), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [174331] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5090), 1,
      sym_comment,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174352] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5091), 1,
      sym_comment,
    STATE(6036), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174373] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7864), 1,
      anon_sym_LBRACE,
    ACTIONS(7866), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1248), 1,
      sym_object_type,
    STATE(5092), 1,
      sym_comment,
    STATE(5701), 1,
      sym_extends_type_clause,
  [174398] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5093), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6996), 1,
      sym__call_signature,
  [174423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym_comment,
    STATE(6003), 1,
      sym__initializer,
    ACTIONS(8573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174444] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5095), 1,
      sym_comment,
    ACTIONS(8583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5096), 1,
      sym_comment,
    STATE(6043), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174488] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8585), 1,
      anon_sym_class,
    ACTIONS(8587), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5097), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [174513] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5098), 1,
      sym_comment,
    STATE(5851), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174534] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5099), 1,
      sym_comment,
    STATE(6057), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174555] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5100), 1,
      sym_comment,
    ACTIONS(8589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174578] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8591), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym_comment,
    ACTIONS(4310), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5102), 1,
      sym_comment,
    ACTIONS(6083), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [174614] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5103), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7021), 1,
      sym__call_signature,
  [174639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5104), 1,
      sym_comment,
    STATE(5973), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174660] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5105), 1,
      sym_comment,
    STATE(5850), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5106), 1,
      sym_comment,
    STATE(6061), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174702] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4814), 1,
      sym__call_signature,
    STATE(5107), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [174727] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5108), 1,
      sym_comment,
    STATE(5895), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym_comment,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174769] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5110), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7016), 1,
      sym__call_signature,
  [174794] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym_comment,
    STATE(5865), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174815] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8594), 1,
      anon_sym_BQUOTE,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    STATE(5112), 1,
      sym_comment,
    STATE(5201), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [174840] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5113), 1,
      sym_comment,
    STATE(6068), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym_comment,
    STATE(6071), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5115), 1,
      sym_comment,
    STATE(5833), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174903] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8090), 1,
      anon_sym_abstract,
    ACTIONS(8600), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5116), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [174928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5117), 1,
      sym_comment,
    ACTIONS(8602), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [174945] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5118), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7014), 1,
      sym__call_signature,
  [174970] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5119), 1,
      sym_comment,
    ACTIONS(8604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5120), 1,
      sym_comment,
    STATE(5817), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5121), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7008), 1,
      sym__call_signature,
  [175039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym_comment,
    STATE(6087), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175060] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8606), 1,
      anon_sym_as,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    STATE(5123), 1,
      sym_comment,
  [175085] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8610), 1,
      anon_sym_LBRACE,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    ACTIONS(8614), 1,
      sym__automatic_semicolon,
    ACTIONS(8616), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1094), 1,
      sym_statement_block,
    STATE(5124), 1,
      sym_comment,
  [175110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5125), 1,
      sym_comment,
    STATE(5236), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [175135] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5126), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6980), 1,
      sym__call_signature,
  [175160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5127), 1,
      sym_comment,
    ACTIONS(6369), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [175177] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8618), 1,
      anon_sym_BQUOTE,
    STATE(5128), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [175202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym_comment,
    STATE(5806), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym_comment,
    STATE(6072), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175244] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5131), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6637), 1,
      sym__call_signature,
  [175269] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5132), 1,
      sym_comment,
    STATE(5324), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [175294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5133), 1,
      sym_comment,
    ACTIONS(7975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175311] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5134), 1,
      sym_comment,
    STATE(5268), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [175336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5135), 1,
      sym_comment,
    ACTIONS(7979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175353] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5136), 1,
      sym_comment,
    ACTIONS(8620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175376] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym_comment,
    STATE(5912), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym_comment,
    STATE(5864), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175418] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8622), 1,
      anon_sym_COMMA,
    ACTIONS(8624), 1,
      anon_sym_RBRACE,
    STATE(5139), 1,
      sym_comment,
    STATE(6258), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [175443] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    ACTIONS(8555), 1,
      anon_sym_SEMI,
    ACTIONS(8557), 1,
      sym__automatic_semicolon,
    ACTIONS(8559), 1,
      sym__function_signature_automatic_semicolon,
    STATE(363), 1,
      sym_statement_block,
    STATE(5140), 1,
      sym_comment,
  [175468] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym_comment,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5142), 1,
      sym_comment,
    ACTIONS(8626), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5143), 1,
      sym_comment,
    ACTIONS(7979), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175523] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8628), 1,
      sym_identifier,
    STATE(5144), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(7140), 1,
      sym__module_export_name,
  [175548] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5145), 1,
      sym_comment,
    STATE(5916), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175569] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4945), 1,
      sym__call_signature,
    STATE(5146), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [175594] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5147), 1,
      sym_comment,
    STATE(5804), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175615] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5148), 1,
      sym_comment,
    STATE(6073), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175636] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5149), 1,
      sym_comment,
    STATE(5790), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175657] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8446), 1,
      anon_sym_class,
    ACTIONS(8448), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5150), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [175682] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5151), 1,
      sym_comment,
    STATE(6074), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5152), 1,
      sym_comment,
    STATE(5863), 1,
      sym__initializer,
    ACTIONS(8630), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175724] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8628), 1,
      sym_identifier,
    STATE(5153), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6085), 1,
      sym__module_export_name,
  [175749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5154), 1,
      sym_comment,
    STATE(5785), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175770] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    ACTIONS(8614), 1,
      sym__automatic_semicolon,
    ACTIONS(8616), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8632), 1,
      anon_sym_LBRACE,
    STATE(362), 1,
      sym_statement_block,
    STATE(5155), 1,
      sym_comment,
  [175795] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym_comment,
    STATE(5784), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175816] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5157), 1,
      sym_comment,
    ACTIONS(8634), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5158), 1,
      sym_comment,
    STATE(5783), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175860] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8610), 1,
      anon_sym_LBRACE,
    ACTIONS(8636), 1,
      anon_sym_SEMI,
    ACTIONS(8638), 1,
      sym__automatic_semicolon,
    ACTIONS(8640), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1043), 1,
      sym_statement_block,
    STATE(5159), 1,
      sym_comment,
  [175885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5160), 1,
      sym_comment,
    ACTIONS(8642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175902] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym_comment,
    STATE(6091), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5162), 1,
      sym_comment,
    STATE(5777), 1,
      sym__initializer,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175944] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5163), 1,
      sym_comment,
    STATE(5281), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [175969] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8644), 1,
      anon_sym_BQUOTE,
    STATE(5164), 1,
      sym_comment,
    STATE(5244), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [175994] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(8648), 1,
      anon_sym_RBRACE,
    STATE(5165), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_object_pattern_repeat1,
  [176019] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5166), 1,
      sym_comment,
    ACTIONS(8650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5167), 1,
      sym_comment,
    ACTIONS(8652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176053] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(7965), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1292), 1,
      sym_object_type,
    STATE(5168), 1,
      sym_comment,
    STATE(6223), 1,
      sym_extends_type_clause,
  [176078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5169), 1,
      sym_comment,
    STATE(5776), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5170), 1,
      sym_comment,
    ACTIONS(8654), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [176116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5171), 1,
      sym_comment,
    ACTIONS(7975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176133] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8656), 1,
      anon_sym_EQ,
    STATE(5172), 1,
      sym_comment,
    ACTIONS(4328), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [176152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5173), 1,
      sym_comment,
    STATE(6093), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176173] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5174), 1,
      sym_comment,
    STATE(5775), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8658), 1,
      anon_sym_BQUOTE,
    STATE(5175), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [176219] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5176), 1,
      sym_comment,
    STATE(6094), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [176244] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5177), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6889), 1,
      sym__call_signature,
  [176269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5178), 1,
      sym_comment,
    ACTIONS(8660), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5179), 1,
      sym_comment,
    ACTIONS(8662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176303] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym_comment,
    STATE(5774), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5181), 1,
      sym_comment,
    STATE(5773), 1,
      sym__initializer,
    ACTIONS(8511), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176345] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5182), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6954), 1,
      sym__call_signature,
  [176370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8664), 1,
      anon_sym_EQ_GT,
    STATE(5183), 1,
      sym_comment,
    STATE(6808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [176391] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACE,
    ACTIONS(8636), 1,
      anon_sym_SEMI,
    ACTIONS(8638), 1,
      sym__automatic_semicolon,
    ACTIONS(8640), 1,
      sym__function_signature_automatic_semicolon,
    STATE(361), 1,
      sym_statement_block,
    STATE(5184), 1,
      sym_comment,
  [176416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5185), 1,
      sym_comment,
    STATE(6058), 1,
      sym__initializer,
    ACTIONS(8667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(8669), 1,
      anon_sym_SEMI,
    ACTIONS(8671), 1,
      sym__automatic_semicolon,
    ACTIONS(8673), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3235), 1,
      sym_statement_block,
    STATE(5186), 1,
      sym_comment,
  [176462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5187), 1,
      sym_comment,
    ACTIONS(8035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176479] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5188), 1,
      sym_comment,
    ACTIONS(8675), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5189), 1,
      sym_comment,
    ACTIONS(7915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5190), 1,
      sym_comment,
    ACTIONS(8677), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5191), 1,
      sym_comment,
    ACTIONS(8052), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5192), 1,
      sym_comment,
    ACTIONS(8054), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176564] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5193), 1,
      sym_comment,
    STATE(6029), 1,
      sym__initializer,
    ACTIONS(8679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176585] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5194), 1,
      sym_comment,
    STATE(5352), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [176610] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5195), 1,
      sym_comment,
    STATE(5917), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176631] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8681), 1,
      anon_sym_EQ_GT,
    STATE(5196), 1,
      sym_comment,
    STATE(6577), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [176652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5197), 1,
      sym_comment,
    ACTIONS(8052), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5198), 1,
      sym_comment,
    ACTIONS(8461), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176686] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5199), 1,
      sym_comment,
    STATE(6108), 1,
      sym__initializer,
    ACTIONS(8684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176707] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5200), 1,
      sym_comment,
    STATE(5920), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176728] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8686), 1,
      anon_sym_BQUOTE,
    STATE(5201), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [176753] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(8688), 1,
      anon_sym_RBRACE,
    STATE(5202), 1,
      sym_comment,
    STATE(6202), 1,
      aux_sym_object_pattern_repeat1,
  [176778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5203), 1,
      sym_comment,
    STATE(5860), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [176799] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5197), 1,
      sym__call_signature,
    STATE(5204), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [176824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5205), 1,
      sym_comment,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5206), 1,
      sym_comment,
    ACTIONS(8690), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8692), 1,
      anon_sym_COMMA,
    STATE(5207), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5646), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [176877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5208), 1,
      sym_comment,
    ACTIONS(8035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5209), 1,
      sym_comment,
    ACTIONS(8695), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176911] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      anon_sym_SEMI,
    ACTIONS(8699), 1,
      sym__automatic_semicolon,
    ACTIONS(8701), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3161), 1,
      sym_statement_block,
    STATE(5210), 1,
      sym_comment,
  [176936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5211), 1,
      sym_comment,
    ACTIONS(8703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5212), 1,
      sym_comment,
    ACTIONS(8041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176970] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4824), 1,
      sym__call_signature,
    STATE(5213), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [176995] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5214), 1,
      sym_comment,
    ACTIONS(8705), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5215), 1,
      sym_comment,
    ACTIONS(8707), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5216), 1,
      sym_comment,
    ACTIONS(7907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177046] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5217), 1,
      sym_comment,
    STATE(5855), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5218), 1,
      sym_comment,
    STATE(5853), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5219), 1,
      sym_comment,
    ACTIONS(8709), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5220), 1,
      sym_comment,
    STATE(5930), 1,
      sym__initializer,
    ACTIONS(8541), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5221), 1,
      sym_comment,
    ACTIONS(8711), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym_comment,
    STATE(5847), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177164] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5223), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6670), 1,
      sym__call_signature,
  [177189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8001), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5224), 1,
      sym_comment,
    STATE(6060), 1,
      sym_extends_type_clause,
    STATE(6702), 1,
      sym_object_type,
  [177214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5225), 1,
      sym_comment,
    ACTIONS(7907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5226), 1,
      sym_comment,
    ACTIONS(8713), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177248] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5227), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6477), 1,
      sym__call_signature,
  [177273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5133), 1,
      sym__call_signature,
    STATE(5228), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [177298] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8715), 1,
      anon_sym_BQUOTE,
    STATE(5128), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5229), 1,
      sym_comment,
    STATE(6110), 1,
      sym_template_type,
  [177323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8717), 1,
      anon_sym_BQUOTE,
    STATE(5175), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5230), 1,
      sym_comment,
    STATE(6110), 1,
      sym_template_type,
  [177348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    STATE(5207), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5231), 1,
      sym_comment,
    ACTIONS(8719), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [177369] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5232), 1,
      sym_comment,
    STATE(5844), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177390] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5233), 1,
      sym_comment,
    STATE(5768), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177411] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5234), 1,
      sym_comment,
    STATE(5356), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [177436] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5235), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(7004), 1,
      sym__call_signature,
  [177461] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8721), 1,
      anon_sym_LBRACE,
    ACTIONS(8723), 1,
      anon_sym_SEMI,
    ACTIONS(8725), 1,
      sym__automatic_semicolon,
    ACTIONS(8727), 1,
      sym__function_signature_automatic_semicolon,
    STATE(454), 1,
      sym_statement_block,
    STATE(5236), 1,
      sym_comment,
  [177486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5237), 1,
      sym_comment,
    ACTIONS(8729), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5238), 1,
      sym_comment,
    STATE(5931), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5239), 1,
      sym_comment,
    STATE(5841), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5240), 1,
      sym_comment,
    ACTIONS(6132), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [177562] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(5241), 1,
      sym_comment,
    ACTIONS(8733), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [177585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5242), 1,
      sym_comment,
    ACTIONS(8735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177602] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4803), 1,
      sym__call_signature,
    STATE(5243), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [177627] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8737), 1,
      anon_sym_BQUOTE,
    STATE(5244), 1,
      sym_comment,
    STATE(5395), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [177652] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym_comment,
    STATE(5935), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5246), 1,
      sym_comment,
    ACTIONS(8739), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5247), 1,
      sym_comment,
    ACTIONS(8015), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5248), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6835), 1,
      sym__call_signature,
  [177732] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5249), 1,
      sym_comment,
    STATE(5275), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [177757] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5250), 1,
      sym_comment,
    ACTIONS(8741), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5251), 1,
      sym_comment,
    ACTIONS(8743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177791] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5252), 1,
      sym_comment,
    STATE(5762), 1,
      sym__initializer,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5253), 1,
      sym_comment,
    STATE(5940), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5254), 1,
      sym_comment,
    ACTIONS(8747), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [177850] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(8669), 1,
      anon_sym_SEMI,
    ACTIONS(8671), 1,
      sym__automatic_semicolon,
    ACTIONS(8673), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5255), 1,
      sym_comment,
    STATE(6119), 1,
      sym_statement_block,
  [177875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5256), 1,
      sym_comment,
    STATE(5759), 1,
      sym__initializer,
    ACTIONS(8749), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177896] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5257), 1,
      sym_comment,
    ACTIONS(8751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [177919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5258), 1,
      sym_comment,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177936] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5259), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6790), 1,
      sym__call_signature,
  [177961] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5260), 1,
      sym_comment,
    STATE(5943), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177982] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5261), 1,
      sym_comment,
    STATE(5835), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5262), 1,
      sym_comment,
    STATE(5730), 1,
      sym__initializer,
    ACTIONS(8753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5263), 1,
      sym_comment,
    STATE(5834), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178045] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8019), 1,
      anon_sym_LBRACE,
    ACTIONS(8021), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1736), 1,
      sym_object_type,
    STATE(5264), 1,
      sym_comment,
    STATE(5996), 1,
      sym_extends_type_clause,
  [178070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5265), 1,
      sym_comment,
    STATE(5831), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178091] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5266), 1,
      sym_comment,
    ACTIONS(8015), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178108] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5187), 1,
      sym__call_signature,
    STATE(5267), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [178133] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5268), 1,
      sym_comment,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178150] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8755), 1,
      anon_sym_EQ_GT,
    STATE(5269), 1,
      sym_comment,
    STATE(6577), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178171] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5270), 1,
      sym_comment,
    STATE(5757), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5271), 1,
      sym_comment,
    STATE(6148), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5272), 1,
      sym_comment,
    STATE(6150), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178234] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5255), 1,
      sym__call_signature,
    STATE(5273), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [178259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8148), 1,
      anon_sym_abstract,
    ACTIONS(8760), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5274), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [178284] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(8762), 1,
      anon_sym_SEMI,
    ACTIONS(8764), 1,
      sym__automatic_semicolon,
    ACTIONS(8766), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3147), 1,
      sym_statement_block,
    STATE(5275), 1,
      sym_comment,
  [178309] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8146), 1,
      anon_sym_class,
    ACTIONS(8148), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5276), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [178334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5277), 1,
      sym_comment,
    STATE(5944), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178355] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8628), 1,
      sym_identifier,
    STATE(5278), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6903), 1,
      sym__module_export_name,
  [178380] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5279), 1,
      sym_comment,
    STATE(5420), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [178405] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6899), 1,
      sym__call_signature,
  [178430] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8723), 1,
      anon_sym_SEMI,
    ACTIONS(8725), 1,
      sym__automatic_semicolon,
    ACTIONS(8727), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    STATE(1244), 1,
      sym_statement_block,
    STATE(5281), 1,
      sym_comment,
  [178455] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5282), 1,
      sym_comment,
    ACTIONS(8770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178478] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5283), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6896), 1,
      sym__call_signature,
  [178503] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym_comment,
    STATE(5699), 1,
      sym__initializer,
    ACTIONS(8772), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5285), 1,
      sym_comment,
    STATE(6152), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178545] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5286), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6404), 1,
      sym__call_signature,
  [178570] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5287), 1,
      sym_comment,
    STATE(6393), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
  [178595] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5288), 1,
      sym_comment,
    STATE(6389), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
  [178620] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5088), 1,
      sym__call_signature,
    STATE(5289), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [178645] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5290), 1,
      sym_comment,
    STATE(6369), 1,
      sym__call_signature,
    STATE(6399), 1,
      sym_type_parameters,
  [178670] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4963), 1,
      sym__call_signature,
    STATE(5291), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [178695] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4955), 1,
      sym__call_signature,
    STATE(5292), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [178720] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8406), 1,
      anon_sym_class,
    ACTIONS(8408), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5293), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [178745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5294), 1,
      sym_comment,
    ACTIONS(5868), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [178762] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5295), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6888), 1,
      sym__call_signature,
  [178787] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5296), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6887), 1,
      sym__call_signature,
  [178812] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8774), 1,
      anon_sym_EQ_GT,
    STATE(5297), 1,
      sym_comment,
    STATE(6577), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8777), 1,
      anon_sym_EQ_GT,
    STATE(5298), 1,
      sym_comment,
    STATE(6808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [178854] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4958), 1,
      sym__call_signature,
    STATE(5299), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [178879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5300), 1,
      sym_comment,
    STATE(5756), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178900] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5301), 1,
      sym_comment,
    ACTIONS(8780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [178923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5302), 1,
      sym_comment,
    STATE(5780), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178944] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym_comment,
    STATE(5812), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5304), 1,
      sym_comment,
    STATE(6167), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5305), 1,
      sym_comment,
    STATE(5755), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179007] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5306), 1,
      sym_comment,
    STATE(5945), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5307), 1,
      sym_comment,
    STATE(5900), 1,
      sym__initializer,
    ACTIONS(8551), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5308), 1,
      sym_comment,
    STATE(5754), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5309), 1,
      sym_comment,
    STATE(5808), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179091] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5310), 1,
      sym_comment,
    STATE(5799), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179112] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8782), 1,
      anon_sym_COMMA,
    ACTIONS(8784), 1,
      anon_sym_RBRACE,
    STATE(5311), 1,
      sym_comment,
    STATE(6025), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [179137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5312), 1,
      sym_comment,
    STATE(5732), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179158] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8029), 1,
      anon_sym_LT,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    STATE(5313), 1,
      sym_comment,
    STATE(6327), 1,
      sym_type_arguments,
    ACTIONS(8788), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [179181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5314), 1,
      sym_comment,
    STATE(5680), 1,
      sym__initializer,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5315), 1,
      sym_comment,
    STATE(6184), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5316), 1,
      sym_comment,
    STATE(5728), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179244] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5317), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6407), 1,
      sym__call_signature,
  [179269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5318), 1,
      sym_comment,
    STATE(5726), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179290] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5319), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6425), 1,
      sym__call_signature,
  [179315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5320), 1,
      sym_comment,
    STATE(5765), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179336] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5321), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6428), 1,
      sym__call_signature,
  [179361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5124), 1,
      sym__call_signature,
    STATE(5322), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [179386] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5323), 1,
      sym_comment,
    STATE(5950), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179407] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(8762), 1,
      anon_sym_SEMI,
    ACTIONS(8764), 1,
      sym__automatic_semicolon,
    ACTIONS(8766), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5324), 1,
      sym_comment,
    STATE(6212), 1,
      sym_statement_block,
  [179432] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5325), 1,
      sym_comment,
    STATE(5712), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179453] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5326), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6445), 1,
      sym__call_signature,
  [179478] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5155), 1,
      sym__call_signature,
    STATE(5327), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [179503] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5328), 1,
      sym_comment,
    ACTIONS(8792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179526] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5329), 1,
      sym_comment,
    STATE(5786), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5330), 1,
      sym_comment,
    STATE(5962), 1,
      sym__initializer,
    ACTIONS(8547), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179568] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5159), 1,
      sym__call_signature,
    STATE(5331), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [179593] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8271), 1,
      anon_sym_class,
    ACTIONS(8273), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5332), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [179618] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6483), 1,
      sym__call_signature,
  [179643] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5334), 1,
      sym_comment,
    ACTIONS(8794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [179666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5335), 1,
      sym_comment,
    ACTIONS(8416), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5336), 1,
      sym_comment,
    STATE(5781), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179704] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym_comment,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(8796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179725] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4629), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [179750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5339), 1,
      sym_comment,
    ACTIONS(8440), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179767] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5184), 1,
      sym__call_signature,
    STATE(5340), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [179792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5341), 1,
      sym_comment,
    ACTIONS(8436), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5342), 1,
      sym_comment,
    ACTIONS(6436), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179826] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5186), 1,
      sym__call_signature,
    STATE(5343), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [179851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5344), 1,
      sym_comment,
    STATE(6185), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179872] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5345), 1,
      sym_comment,
    STATE(5771), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5346), 1,
      sym_comment,
    ACTIONS(6419), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5347), 1,
      sym_comment,
    ACTIONS(6419), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5348), 1,
      sym_comment,
    ACTIONS(6419), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [179944] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5349), 1,
      sym_comment,
    STATE(5842), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5350), 1,
      sym_comment,
    STATE(5816), 1,
      sym__initializer,
    ACTIONS(8798), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5351), 1,
      sym_comment,
    STATE(6189), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5352), 1,
      sym_comment,
    ACTIONS(8062), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180024] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5353), 1,
      sym_comment,
    STATE(5456), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [180049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8800), 1,
      anon_sym_EQ_GT,
    STATE(5354), 1,
      sym_comment,
    STATE(6808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180070] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5355), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6800), 1,
      sym__call_signature,
  [180095] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8721), 1,
      anon_sym_LBRACE,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
    ACTIONS(8805), 1,
      sym__automatic_semicolon,
    ACTIONS(8807), 1,
      sym__function_signature_automatic_semicolon,
    STATE(436), 1,
      sym_statement_block,
    STATE(5356), 1,
      sym_comment,
  [180120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5357), 1,
      sym_comment,
    ACTIONS(8066), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180137] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4928), 1,
      sym__call_signature,
    STATE(5358), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [180162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym_comment,
    STATE(6217), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym_comment,
    STATE(5769), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180204] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8809), 1,
      anon_sym_BQUOTE,
    STATE(5361), 1,
      sym_comment,
    STATE(5471), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6110), 1,
      sym_template_type,
  [180229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5362), 1,
      sym_comment,
    STATE(6254), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180250] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5363), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6539), 1,
      sym__call_signature,
  [180275] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5364), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6555), 1,
      sym__call_signature,
  [180300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5365), 1,
      sym_comment,
    ACTIONS(8811), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180317] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5366), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6558), 1,
      sym__call_signature,
  [180342] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5367), 1,
      sym_comment,
    STATE(5415), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [180367] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4842), 1,
      sym__call_signature,
    STATE(5368), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [180392] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5369), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6570), 1,
      sym__call_signature,
  [180417] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5370), 1,
      sym_comment,
    STATE(5454), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [180442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5371), 1,
      sym_comment,
    ACTIONS(6363), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5372), 1,
      sym_comment,
    STATE(5711), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180480] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4651), 1,
      sym__call_signature,
    STATE(5373), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [180505] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5374), 1,
      sym_comment,
    STATE(5460), 1,
      sym__call_signature,
    STATE(6413), 1,
      sym_type_parameters,
  [180530] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8587), 1,
      anon_sym_abstract,
    ACTIONS(8813), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5375), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [180555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5376), 1,
      sym_comment,
    ACTIONS(6363), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180572] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5377), 1,
      sym_comment,
    STATE(5709), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5378), 1,
      sym_comment,
    STATE(5952), 1,
      sym__initializer,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180614] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5210), 1,
      sym__call_signature,
    STATE(5379), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [180639] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym_comment,
    STATE(6144), 1,
      sym__initializer,
    ACTIONS(8817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5381), 1,
      sym_comment,
    ACTIONS(6363), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [180677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    STATE(5382), 1,
      sym_comment,
    STATE(6947), 1,
      sym_type_annotation,
    ACTIONS(4310), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [180698] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8819), 1,
      anon_sym_EQ_GT,
    STATE(5383), 1,
      sym_comment,
    STATE(6577), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180719] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5384), 1,
      sym_comment,
    STATE(6290), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180740] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5385), 1,
      sym_comment,
    STATE(5770), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5386), 1,
      sym_comment,
    STATE(5955), 1,
      sym__initializer,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180782] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5387), 1,
      sym_comment,
    ACTIONS(8822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [180805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5388), 1,
      sym_comment,
    ACTIONS(8824), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [180822] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_COLON,
    ACTIONS(8826), 1,
      anon_sym_EQ_GT,
    STATE(5389), 1,
      sym_comment,
    STATE(6808), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [180843] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(5390), 1,
      sym_comment,
    ACTIONS(8829), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [180866] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym_comment,
    STATE(5764), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [180887] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7081), 1,
      anon_sym_LBRACK,
    ACTIONS(8831), 1,
      anon_sym_RBRACE,
    STATE(5392), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180908] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(5393), 1,
      sym_comment,
    STATE(6149), 1,
      sym__call_signature,
    STATE(6826), 1,
      sym_type_parameters,
  [180933] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4689), 1,
      sym__call_signature,
    STATE(5394), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [180958] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_BQUOTE,
    ACTIONS(8835), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8838), 1,
      sym__template_chars,
    STATE(6110), 1,
      sym_template_type,
    STATE(5395), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [180981] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(5396), 1,
      sym_comment,
    ACTIONS(8841), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181004] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7728), 1,
      anon_sym_DOT,
    STATE(4459), 1,
      sym_arguments,
    STATE(5397), 1,
      sym_comment,
    ACTIONS(8843), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181027] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4721), 1,
      sym__call_signature,
    STATE(5398), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [181052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5399), 1,
      sym_comment,
    ACTIONS(6355), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [181069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5400), 1,
      sym_comment,
    STATE(6304), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181090] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(5401), 1,
      sym_comment,
    ACTIONS(8845), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [181113] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4734), 1,
      sym__call_signature,
    STATE(5402), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [181138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5403), 1,
      sym_comment,
    ACTIONS(8033), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5404), 1,
      sym_comment,
    STATE(5748), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181176] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4248), 1,
      sym_formal_parameters,
    STATE(4746), 1,
      sym__call_signature,
    STATE(5405), 1,
      sym_comment,
    STATE(6826), 1,
      sym_type_parameters,
  [181201] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5406), 1,
      sym_comment,
    STATE(6193), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5407), 1,
      sym_comment,
    ACTIONS(8847), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [181239] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5408), 1,
      sym_comment,
    STATE(6200), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181260] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym_comment,
    STATE(6305), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181281] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5410), 1,
      sym_comment,
    STATE(5747), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5411), 1,
      sym_comment,
    STATE(6206), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181323] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5412), 1,
      sym_comment,
    ACTIONS(8849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181346] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8851), 1,
      anon_sym_COMMA,
    ACTIONS(8853), 1,
      anon_sym_RBRACE,
    STATE(5413), 1,
      sym_comment,
    STATE(5758), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [181371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5414), 1,
      sym_comment,
    STATE(6306), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181392] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(8855), 1,
      anon_sym_SEMI,
    ACTIONS(8857), 1,
      sym__automatic_semicolon,
    ACTIONS(8859), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5415), 1,
      sym_comment,
    STATE(5447), 1,
      sym_statement_block,
  [181417] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1971), 1,
      anon_sym_DQUOTE,
    ACTIONS(1973), 1,
      anon_sym_SQUOTE,
    ACTIONS(8628), 1,
      sym_identifier,
    STATE(5416), 1,
      sym_comment,
    STATE(5601), 1,
      sym_string,
    STATE(6761), 1,
      sym__module_export_name,
  [181442] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5417), 1,
      sym_comment,
    STATE(6316), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181463] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym_comment,
    STATE(5700), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181484] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5419), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6759), 1,
      sym__call_signature,
  [181509] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(8803), 1,
      anon_sym_SEMI,
    ACTIONS(8805), 1,
      sym__automatic_semicolon,
    ACTIONS(8807), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1525), 1,
      sym_statement_block,
    STATE(5420), 1,
      sym_comment,
  [181534] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5421), 1,
      sym_comment,
    ACTIONS(8861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [181557] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5422), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6756), 1,
      sym__call_signature,
  [181582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5423), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6741), 1,
      sym__call_signature,
  [181607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5424), 1,
      sym_comment,
    STATE(5698), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5425), 1,
      sym_comment,
    STATE(6337), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181649] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    ACTIONS(8863), 1,
      anon_sym_COMMA,
    ACTIONS(8865), 1,
      anon_sym_RBRACE,
    STATE(5426), 1,
      sym_comment,
    STATE(6013), 1,
      aux_sym_enum_body_repeat1,
    STATE(6766), 1,
      sym__initializer,
  [181674] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5427), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6692), 1,
      sym__call_signature,
  [181699] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5428), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6709), 1,
      sym__call_signature,
  [181724] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5429), 1,
      sym_comment,
    STATE(5697), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5430), 1,
      sym_comment,
    ACTIONS(5857), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [181762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5431), 1,
      sym_comment,
    ACTIONS(5950), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [181779] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5432), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6714), 1,
      sym__call_signature,
  [181804] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(4961), 1,
      sym__call_signature,
    STATE(5433), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [181829] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5434), 1,
      sym_comment,
    STATE(6284), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181850] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4922), 1,
      sym_formal_parameters,
    STATE(5435), 1,
      sym_comment,
    STATE(6399), 1,
      sym_type_parameters,
    STATE(6727), 1,
      sym__call_signature,
  [181875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5436), 1,
      sym_comment,
    ACTIONS(8150), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181892] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5437), 1,
      sym_comment,
    STATE(5690), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181913] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5008), 1,
      sym__call_signature,
    STATE(5438), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [181938] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5439), 1,
      sym_comment,
    STATE(5681), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5440), 1,
      sym_comment,
    STATE(5679), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [181980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5441), 1,
      sym_comment,
    STATE(5678), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182001] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5036), 1,
      sym__call_signature,
    STATE(5442), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [182026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8088), 1,
      anon_sym_class,
    ACTIONS(8090), 1,
      anon_sym_abstract,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5443), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [182051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6357), 1,
      sym__automatic_semicolon,
    STATE(5444), 1,
      sym_comment,
    ACTIONS(2362), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5445), 1,
      sym_comment,
    STATE(6079), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182091] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8869), 1,
      anon_sym_in,
    ACTIONS(8871), 1,
      anon_sym_of,
    STATE(5446), 1,
      sym_comment,
    ACTIONS(8867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6564), 1,
      sym__automatic_semicolon,
    STATE(5447), 1,
      sym_comment,
    ACTIONS(2406), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6558), 1,
      sym__automatic_semicolon,
    STATE(5448), 1,
      sym_comment,
    ACTIONS(2412), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6415), 1,
      sym__automatic_semicolon,
    STATE(5449), 1,
      sym_comment,
    ACTIONS(2350), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182169] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8873), 1,
      anon_sym_in,
    ACTIONS(8875), 1,
      anon_sym_of,
    STATE(5450), 1,
      sym_comment,
    ACTIONS(8867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182190] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_formal_parameters,
    STATE(5140), 1,
      sym__call_signature,
    STATE(5451), 1,
      sym_comment,
    STATE(6413), 1,
      sym_type_parameters,
  [182215] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5452), 1,
      sym_comment,
    STATE(6303), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182236] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5453), 1,
      sym_comment,
    STATE(5716), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182257] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    ACTIONS(8855), 1,
      anon_sym_SEMI,
    ACTIONS(8857), 1,
      sym__automatic_semicolon,
    ACTIONS(8859), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3364), 1,
      sym_statement_block,
    STATE(5454), 1,
      sym_comment,
  [182282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5455), 1,
      sym_comment,
    STATE(6268), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5456), 1,
      sym_comment,
    ACTIONS(8070), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182320] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5457), 1,
      sym_comment,
    STATE(5718), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182341] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5458), 1,
      sym_comment,
    ACTIONS(8877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182364] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5459), 1,
      sym_comment,
    STATE(5720), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182385] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      anon_sym_SEMI,
    ACTIONS(8699), 1,
      sym__automatic_semicolon,
    ACTIONS(8701), 1,
      sym__function_signature_automatic_semicolon,
    STATE(5444), 1,
      sym_statement_block,
    STATE(5460), 1,
      sym_comment,
  [182410] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5461), 1,
      sym_comment,
    STATE(6251), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5462), 1,
      sym_comment,
    STATE(5736), 1,
      sym__initializer,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5463), 1,
      sym_comment,
    STATE(5739), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182473] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7860), 1,
      anon_sym_extends,
    ACTIONS(8056), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5037), 1,
      sym_object_type,
    STATE(5464), 1,
      sym_comment,
    STATE(5978), 1,
      sym_extends_type_clause,
  [182498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5465), 1,
      sym_comment,
    STATE(6250), 1,
      sym__initializer,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182519] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym_comment,
    STATE(5960), 1,
      sym__initializer,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182540] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5467), 1,
      sym_comment,
    STATE(5741), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5468), 1,
      sym_comment,
    STATE(5957), 1,
      sym__initializer,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182582] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5469), 1,
      sym_comment,
    STATE(5745), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182603] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5470), 1,
      sym_comment,
    STATE(6247), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182624] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8598), 1,
      sym__template_chars,
    ACTIONS(8879), 1,
      anon_sym_BQUOTE,
    STATE(5395), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5471), 1,
      sym_comment,
    STATE(6110), 1,
      sym_template_type,
  [182649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5472), 1,
      sym_comment,
    STATE(6236), 1,
      sym__initializer,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182670] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_EQ,
    STATE(5473), 1,
      sym_comment,
    STATE(5746), 1,
      sym__initializer,
    ACTIONS(8579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182691] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    ACTIONS(8885), 1,
      anon_sym_GT,
    STATE(5474), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [182713] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8887), 1,
      sym__glimmer_template_content,
    ACTIONS(8889), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2685), 1,
      sym_glimmer_closing_tag,
    STATE(5475), 1,
      sym_comment,
    STATE(6088), 1,
      aux_sym_glimmer_template_repeat1,
  [182735] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5476), 1,
      sym_comment,
    STATE(6872), 1,
      sym_type_parameters,
    STATE(7185), 1,
      sym_formal_parameters,
  [182757] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8891), 1,
      anon_sym_RPAREN,
    STATE(5477), 1,
      sym_comment,
  [182779] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5478), 1,
      sym_comment,
    STATE(6880), 1,
      sym_type_parameters,
    STATE(7199), 1,
      sym_formal_parameters,
  [182801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8893), 1,
      anon_sym_EQ,
    STATE(5479), 1,
      sym_comment,
    STATE(6745), 1,
      sym__initializer,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
  [182821] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(8895), 1,
      anon_sym_LT,
    STATE(2437), 1,
      sym_arguments,
    STATE(2438), 1,
      sym_type_arguments,
    STATE(5480), 1,
      sym_comment,
  [182843] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8897), 1,
      anon_sym_RBRACK,
    STATE(5481), 1,
      sym_comment,
  [182865] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8899), 1,
      anon_sym_DQUOTE,
    STATE(5482), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [182885] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    ACTIONS(8140), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5483), 1,
      sym_comment,
    STATE(5604), 1,
      aux_sym_extends_type_clause_repeat1,
  [182907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5484), 1,
      sym_comment,
    ACTIONS(8903), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [182923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5485), 1,
      sym_comment,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5486), 1,
      sym_comment,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [182963] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    ACTIONS(8911), 1,
      anon_sym_GT,
    STATE(5487), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [182985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5488), 1,
      sym_comment,
    STATE(6576), 1,
      sym__from_clause,
    ACTIONS(5782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183005] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8915), 1,
      anon_sym_DQUOTE,
    STATE(5489), 1,
      sym_comment,
    STATE(5572), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183025] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8915), 1,
      anon_sym_SQUOTE,
    STATE(5490), 1,
      sym_comment,
    STATE(5573), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183045] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8919), 1,
      anon_sym_RBRACK,
    STATE(5491), 1,
      sym_comment,
  [183067] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8921), 1,
      anon_sym_QMARK,
    STATE(5492), 1,
      sym_comment,
  [183089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8110), 1,
      anon_sym_finally,
    STATE(5493), 1,
      sym_comment,
    STATE(6735), 1,
      sym_finally_clause,
    ACTIONS(3201), 2,
      anon_sym_else,
      anon_sym_while,
  [183109] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8831), 1,
      anon_sym_RBRACE,
    STATE(5494), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183127] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8923), 1,
      anon_sym_SQUOTE,
    STATE(5495), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183147] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8925), 1,
      anon_sym_SQUOTE,
    STATE(5496), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183167] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8925), 1,
      anon_sym_DQUOTE,
    STATE(5497), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183187] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8927), 1,
      sym_escape_sequence,
    STATE(5498), 1,
      sym_comment,
    ACTIONS(8929), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [183205] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8932), 1,
      anon_sym_COLON,
    STATE(5499), 1,
      sym_comment,
  [183227] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8923), 1,
      anon_sym_DQUOTE,
    STATE(5500), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    STATE(5501), 1,
      sym_comment,
    STATE(6780), 1,
      sym_default_type,
    ACTIONS(8934), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [183267] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5502), 1,
      sym_comment,
    STATE(6990), 1,
      sym_type_parameters,
    STATE(7305), 1,
      sym_formal_parameters,
  [183289] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8936), 1,
      anon_sym_SQUOTE,
    STATE(5495), 1,
      aux_sym_string_repeat2,
    STATE(5503), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183309] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(8938), 1,
      anon_sym_COMMA,
    ACTIONS(8940), 1,
      anon_sym_GT,
    STATE(5504), 1,
      sym_comment,
    STATE(5923), 1,
      aux_sym_type_arguments_repeat1,
  [183331] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(8942), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5505), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [183353] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8944), 1,
      anon_sym_RBRACK,
    STATE(5506), 1,
      sym_comment,
  [183375] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8946), 1,
      anon_sym_RBRACK,
    STATE(5507), 1,
      sym_comment,
  [183397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8936), 1,
      anon_sym_DQUOTE,
    STATE(5500), 1,
      aux_sym_string_repeat1,
    STATE(5508), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183417] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5509), 1,
      sym_comment,
    STATE(6792), 1,
      sym__from_clause,
    ACTIONS(8948), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183437] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5510), 1,
      sym_comment,
    STATE(6998), 1,
      sym_type_parameters,
    STATE(7311), 1,
      sym_formal_parameters,
  [183459] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      anon_sym_SQUOTE,
    STATE(5511), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183479] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8950), 1,
      anon_sym_DQUOTE,
    STATE(5512), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183499] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8954), 1,
      anon_sym_COMMA,
    STATE(5513), 1,
      sym_comment,
    STATE(5558), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(8952), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [183519] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4594), 1,
      sym_formal_parameters,
    STATE(5514), 1,
      sym_comment,
    STATE(6752), 1,
      sym_type_parameters,
  [183541] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8956), 1,
      anon_sym_SQUOTE,
    STATE(5511), 1,
      aux_sym_string_repeat2,
    STATE(5515), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183561] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8956), 1,
      anon_sym_DQUOTE,
    STATE(5512), 1,
      aux_sym_string_repeat1,
    STATE(5516), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183581] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8899), 1,
      anon_sym_SQUOTE,
    STATE(5517), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183601] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8958), 1,
      anon_sym_COMMA,
    ACTIONS(5646), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5518), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [183619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7929), 1,
      anon_sym_EQ,
    STATE(5519), 1,
      sym_comment,
    STATE(6833), 1,
      sym__initializer,
    ACTIONS(8961), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [183639] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5520), 1,
      sym_comment,
    STATE(6674), 1,
      sym_type_parameters,
    STATE(7240), 1,
      sym_formal_parameters,
  [183661] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8963), 1,
      anon_sym_COLON,
    STATE(5521), 1,
      sym_comment,
  [183683] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5522), 1,
      sym_comment,
    STATE(6982), 1,
      sym_type_parameters,
    STATE(7418), 1,
      sym_formal_parameters,
  [183705] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8965), 1,
      anon_sym_SQUOTE,
    STATE(5517), 1,
      aux_sym_string_repeat2,
    STATE(5523), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183725] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8965), 1,
      anon_sym_DQUOTE,
    STATE(5482), 1,
      aux_sym_string_repeat1,
    STATE(5524), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183745] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8967), 1,
      anon_sym_COMMA,
    ACTIONS(8970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(5525), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [183763] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_EQ,
    STATE(5526), 1,
      sym_comment,
    STATE(6766), 1,
      sym__initializer,
    ACTIONS(8972), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [183783] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8974), 1,
      anon_sym_LBRACE,
    ACTIONS(8976), 1,
      anon_sym_COMMA,
    ACTIONS(8979), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5527), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [183803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5485), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5528), 1,
      sym_comment,
    ACTIONS(8981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5486), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5529), 1,
      sym_comment,
    ACTIONS(8983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183843] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5530), 1,
      sym_comment,
    STATE(6972), 1,
      sym_type_parameters,
    STATE(7426), 1,
      sym_formal_parameters,
  [183865] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5531), 1,
      sym_comment,
    STATE(5595), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183885] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5532), 1,
      sym_comment,
    STATE(5596), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8987), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [183905] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8989), 1,
      anon_sym_SQUOTE,
    STATE(5533), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183925] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8989), 1,
      anon_sym_DQUOTE,
    STATE(5534), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183945] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8991), 1,
      anon_sym_DQUOTE,
    STATE(5535), 1,
      sym_comment,
    STATE(5568), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [183965] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8991), 1,
      anon_sym_SQUOTE,
    STATE(5536), 1,
      sym_comment,
    STATE(5569), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [183985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5537), 1,
      sym_comment,
    STATE(6602), 1,
      sym__from_clause,
    ACTIONS(8993), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184005] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(8995), 1,
      anon_sym_RBRACK,
    STATE(5538), 1,
      sym_comment,
  [184027] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8997), 1,
      anon_sym_SQUOTE,
    STATE(5533), 1,
      aux_sym_string_repeat2,
    STATE(5539), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184047] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8997), 1,
      anon_sym_DQUOTE,
    STATE(5534), 1,
      aux_sym_string_repeat1,
    STATE(5540), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5541), 1,
      sym_comment,
    STATE(6470), 1,
      sym__from_clause,
    ACTIONS(8999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    ACTIONS(7171), 1,
      anon_sym_EQ,
    STATE(5542), 1,
      sym_comment,
    ACTIONS(9001), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [184107] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9003), 1,
      anon_sym_RBRACK,
    STATE(5543), 1,
      sym_comment,
  [184129] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5544), 1,
      sym_comment,
    STATE(5586), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184149] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5545), 1,
      sym_comment,
    STATE(5588), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184169] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9009), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      sym_comment,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184189] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9011), 1,
      anon_sym_COLON,
    STATE(5547), 1,
      sym_comment,
  [184211] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9013), 1,
      anon_sym_SQUOTE,
    STATE(5496), 1,
      aux_sym_string_repeat2,
    STATE(5548), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184231] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9009), 1,
      anon_sym_DQUOTE,
    STATE(5549), 1,
      sym_comment,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184251] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9013), 1,
      anon_sym_DQUOTE,
    STATE(5497), 1,
      aux_sym_string_repeat1,
    STATE(5550), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184271] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9015), 1,
      sym_identifier,
    STATE(4776), 1,
      sym_nested_type_identifier,
    STATE(5483), 1,
      sym_generic_type,
    STATE(5551), 1,
      sym_comment,
    STATE(7038), 1,
      sym_nested_identifier,
  [184293] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5552), 1,
      sym_comment,
    ACTIONS(9017), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [184309] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9019), 1,
      anon_sym_SQUOTE,
    ACTIONS(9021), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(5553), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [184327] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9024), 1,
      anon_sym_DQUOTE,
    ACTIONS(9026), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(5554), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [184345] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    ACTIONS(9029), 1,
      anon_sym_GT,
    STATE(5555), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [184367] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9031), 1,
      anon_sym_QMARK,
    STATE(5556), 1,
      sym_comment,
  [184389] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5557), 1,
      sym_comment,
    STATE(6936), 1,
      sym_type_parameters,
    STATE(7095), 1,
      sym_formal_parameters,
  [184411] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9035), 1,
      anon_sym_COMMA,
    ACTIONS(9033), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(5558), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [184429] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    STATE(5559), 1,
      sym_comment,
    STATE(6938), 1,
      sym_default_type,
    ACTIONS(9038), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [184449] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9040), 1,
      anon_sym_RPAREN,
    STATE(5560), 1,
      sym_comment,
  [184471] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(7007), 1,
      anon_sym_LT,
    STATE(3861), 1,
      sym_arguments,
    STATE(3966), 1,
      sym_type_arguments,
    STATE(5561), 1,
      sym_comment,
  [184493] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9042), 1,
      anon_sym_export,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5562), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [184515] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8954), 1,
      anon_sym_COMMA,
    STATE(5513), 1,
      aux_sym_extends_clause_repeat1,
    STATE(5563), 1,
      sym_comment,
    ACTIONS(9044), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [184535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5564), 1,
      sym_comment,
    ACTIONS(6773), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184551] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9046), 1,
      anon_sym_SQUOTE,
    STATE(5546), 1,
      aux_sym_string_repeat2,
    STATE(5565), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184571] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9046), 1,
      anon_sym_DQUOTE,
    STATE(5549), 1,
      aux_sym_string_repeat1,
    STATE(5566), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184591] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9048), 1,
      anon_sym_COMMA,
    ACTIONS(9050), 1,
      anon_sym_GT,
    STATE(5567), 1,
      sym_comment,
    STATE(6170), 1,
      aux_sym_type_arguments_repeat1,
  [184613] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9052), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5568), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184633] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9052), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5569), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184653] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9054), 1,
      anon_sym_COMMA,
    ACTIONS(9056), 1,
      anon_sym_GT,
    STATE(5570), 1,
      sym_comment,
    STATE(5737), 1,
      aux_sym_type_arguments_repeat1,
  [184675] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9058), 1,
      anon_sym_RBRACK,
    STATE(5571), 1,
      sym_comment,
  [184697] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9060), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5572), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184717] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9060), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5573), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184737] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9062), 1,
      anon_sym_RBRACK,
    STATE(5574), 1,
      sym_comment,
  [184759] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(2787), 1,
      anon_sym_AT,
    ACTIONS(9064), 1,
      anon_sym_class,
    STATE(4800), 1,
      aux_sym_export_statement_repeat1,
    STATE(5575), 1,
      sym_comment,
    STATE(5658), 1,
      sym_decorator,
  [184781] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    ACTIONS(9066), 1,
      anon_sym_GT,
    STATE(5576), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [184803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7929), 1,
      anon_sym_EQ,
    STATE(5577), 1,
      sym_comment,
    STATE(7026), 1,
      sym__initializer,
    ACTIONS(9068), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [184823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5578), 1,
      sym_comment,
    STATE(6450), 1,
      sym__from_clause,
    ACTIONS(5934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184843] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9070), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5579), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184863] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9070), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5580), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [184883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5581), 1,
      sym_comment,
    ACTIONS(9072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184903] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    STATE(5582), 1,
      sym_comment,
  [184925] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9076), 1,
      anon_sym_SQUOTE,
    STATE(5579), 1,
      aux_sym_string_repeat2,
    STATE(5583), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [184945] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5584), 1,
      sym_comment,
    ACTIONS(9078), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5585), 1,
      sym_comment,
    STATE(6732), 1,
      sym__from_clause,
    ACTIONS(5980), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [184985] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5586), 1,
      sym_comment,
    ACTIONS(9080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_LBRACE,
    STATE(5587), 1,
      sym_comment,
    STATE(7067), 2,
      sym_namespace_import,
      sym_named_imports,
  [185025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5588), 1,
      sym_comment,
    ACTIONS(9086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185045] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9076), 1,
      anon_sym_DQUOTE,
    STATE(5580), 1,
      aux_sym_string_repeat1,
    STATE(5589), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185065] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(9088), 1,
      anon_sym_LT,
    STATE(3045), 1,
      sym_arguments,
    STATE(3046), 1,
      sym_type_arguments,
    STATE(5590), 1,
      sym_comment,
  [185087] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(7115), 1,
      anon_sym_LT,
    STATE(4179), 1,
      sym_arguments,
    STATE(4424), 1,
      sym_type_arguments,
    STATE(5591), 1,
      sym_comment,
  [185109] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9090), 1,
      anon_sym_RPAREN,
    STATE(5592), 1,
      sym_comment,
  [185131] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9092), 1,
      anon_sym_EQ_GT,
    STATE(5593), 1,
      sym_comment,
    ACTIONS(4596), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185149] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9094), 1,
      anon_sym_EQ_GT,
    STATE(5594), 1,
      sym_comment,
    ACTIONS(4596), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [185167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5595), 1,
      sym_comment,
    ACTIONS(9096), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5596), 1,
      sym_comment,
    ACTIONS(9098), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185207] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9100), 1,
      sym_identifier,
    STATE(5313), 1,
      sym_nested_type_identifier,
    STATE(5597), 1,
      sym_comment,
    STATE(5830), 1,
      sym_generic_type,
    STATE(7038), 1,
      sym_nested_identifier,
  [185229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5598), 1,
      sym_comment,
    ACTIONS(9102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185249] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(9104), 1,
      anon_sym_LBRACE,
    ACTIONS(9106), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5527), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5599), 1,
      sym_comment,
  [185271] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5600), 1,
      sym_comment,
    ACTIONS(9108), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5601), 1,
      sym_comment,
    ACTIONS(9110), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [185307] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(9112), 1,
      anon_sym_LBRACE,
    ACTIONS(9114), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5527), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5602), 1,
      sym_comment,
  [185329] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5603), 1,
      sym_comment,
    STATE(6811), 1,
      sym__from_clause,
    ACTIONS(5556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185349] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_COMMA,
    ACTIONS(9112), 1,
      anon_sym_LBRACE,
    ACTIONS(9114), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5527), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5604), 1,
      sym_comment,
  [185371] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9116), 1,
      anon_sym_RBRACK,
    STATE(5605), 1,
      sym_comment,
  [185393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5606), 1,
      sym_comment,
    STATE(6774), 1,
      sym__from_clause,
    ACTIONS(5954), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185413] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8887), 1,
      sym__glimmer_template_content,
    ACTIONS(9118), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3291), 1,
      sym_glimmer_closing_tag,
    STATE(5607), 1,
      sym_comment,
    STATE(6088), 1,
      aux_sym_glimmer_template_repeat1,
  [185435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5552), 1,
      anon_sym_COMMA,
    STATE(5518), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5608), 1,
      sym_comment,
    ACTIONS(8719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    ACTIONS(5461), 1,
      anon_sym_BQUOTE,
    STATE(5609), 1,
      sym_comment,
    STATE(3296), 2,
      sym_template_string,
      sym_arguments,
  [185475] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(7065), 1,
      anon_sym_LT,
    STATE(4086), 1,
      sym_arguments,
    STATE(4189), 1,
      sym_type_arguments,
    STATE(5610), 1,
      sym_comment,
  [185497] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5611), 1,
      sym_comment,
    ACTIONS(7981), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [185513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5612), 1,
      sym_comment,
    ACTIONS(9120), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185529] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9122), 1,
      anon_sym_COLON,
    STATE(5613), 1,
      sym_comment,
  [185551] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5614), 1,
      sym_comment,
    STATE(6695), 1,
      sym_type_parameters,
    STATE(7084), 1,
      sym_formal_parameters,
  [185573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5615), 1,
      sym_comment,
    ACTIONS(9124), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5616), 1,
      sym_comment,
    ACTIONS(8927), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [185609] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9126), 1,
      anon_sym_RPAREN,
    STATE(5617), 1,
      sym_comment,
  [185631] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9128), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5618), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185651] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5619), 1,
      sym_comment,
    ACTIONS(9130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185671] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    ACTIONS(4941), 1,
      anon_sym_BQUOTE,
    STATE(5620), 1,
      sym_comment,
    STATE(2651), 2,
      sym_template_string,
      sym_arguments,
  [185691] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9128), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5621), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185711] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9132), 1,
      anon_sym_COMMA,
    ACTIONS(9134), 1,
      anon_sym_GT,
    STATE(5622), 1,
      sym_comment,
    STATE(6105), 1,
      aux_sym_type_arguments_repeat1,
  [185733] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9136), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5623), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185753] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9138), 1,
      anon_sym_RBRACK,
    STATE(5624), 1,
      sym_comment,
  [185775] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5625), 1,
      sym_comment,
    STATE(6736), 1,
      sym_type_parameters,
    STATE(7194), 1,
      sym_formal_parameters,
  [185797] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9140), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5626), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185817] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9142), 1,
      anon_sym_RBRACK,
    STATE(5627), 1,
      sym_comment,
  [185839] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9140), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5628), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185859] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9136), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5629), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [185879] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9144), 1,
      anon_sym_COMMA,
    ACTIONS(9146), 1,
      anon_sym_GT,
    STATE(5630), 1,
      sym_comment,
    STATE(6129), 1,
      aux_sym_type_arguments_repeat1,
  [185901] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9148), 1,
      anon_sym_COMMA,
    ACTIONS(9150), 1,
      anon_sym_GT,
    STATE(5631), 1,
      sym_comment,
    STATE(6198), 1,
      aux_sym_type_arguments_repeat1,
  [185923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5615), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5632), 1,
      sym_comment,
    ACTIONS(9152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5619), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5633), 1,
      sym_comment,
    ACTIONS(9154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [185963] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9156), 1,
      anon_sym_SQUOTE,
    STATE(5623), 1,
      aux_sym_string_repeat2,
    STATE(5634), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [185983] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9156), 1,
      anon_sym_DQUOTE,
    STATE(5629), 1,
      aux_sym_string_repeat1,
    STATE(5635), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186003] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9158), 1,
      anon_sym_EQ,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    STATE(5636), 1,
      sym_comment,
    STATE(6122), 1,
      aux_sym_array_pattern_repeat1,
  [186025] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9164), 1,
      anon_sym_QMARK,
    STATE(5637), 1,
      sym_comment,
  [186047] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5581), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5638), 1,
      sym_comment,
    ACTIONS(9166), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5584), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5639), 1,
      sym_comment,
    ACTIONS(9168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186087] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9170), 1,
      anon_sym_QMARK,
    STATE(5640), 1,
      sym_comment,
  [186109] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5641), 1,
      sym_comment,
    ACTIONS(9172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186129] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9158), 1,
      anon_sym_EQ,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      anon_sym_RBRACK,
    STATE(5642), 1,
      sym_comment,
    STATE(6160), 1,
      aux_sym_array_pattern_repeat1,
  [186151] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9176), 1,
      anon_sym_COLON,
    STATE(5643), 1,
      sym_comment,
  [186173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9178), 1,
      anon_sym_DQUOTE,
    STATE(5644), 1,
      sym_comment,
    STATE(5655), 1,
      aux_sym_string_repeat1,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186193] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9178), 1,
      anon_sym_SQUOTE,
    STATE(5645), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_string_repeat2,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186213] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5646), 1,
      sym_comment,
    STATE(6372), 1,
      sym__from_clause,
    ACTIONS(9180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186233] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9182), 1,
      anon_sym_QMARK,
    STATE(5647), 1,
      sym_comment,
  [186255] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5598), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5648), 1,
      sym_comment,
    ACTIONS(9184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186275] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5600), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5649), 1,
      sym_comment,
    ACTIONS(9186), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5650), 1,
      sym_comment,
    STATE(6608), 1,
      sym__from_clause,
    ACTIONS(9188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5651), 1,
      sym_comment,
    STATE(5670), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9190), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186335] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5641), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5652), 1,
      sym_comment,
    ACTIONS(9192), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186355] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5653), 1,
      sym_comment,
    STATE(6579), 1,
      sym__from_clause,
    ACTIONS(9194), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186375] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    ACTIONS(9196), 1,
      anon_sym_COMMA,
    ACTIONS(9198), 1,
      anon_sym_GT,
    STATE(5654), 1,
      sym_comment,
    STATE(6347), 1,
      aux_sym_type_arguments_repeat1,
  [186397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9200), 1,
      anon_sym_DQUOTE,
    STATE(5554), 1,
      aux_sym_string_repeat1,
    STATE(5655), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186417] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9200), 1,
      anon_sym_SQUOTE,
    STATE(5553), 1,
      aux_sym_string_repeat2,
    STATE(5656), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186437] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    ACTIONS(9202), 1,
      anon_sym_RBRACK,
    STATE(5657), 1,
      sym_comment,
  [186459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5658), 1,
      sym_comment,
    ACTIONS(9204), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [186475] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8887), 1,
      sym__glimmer_template_content,
    ACTIONS(8889), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(2754), 1,
      sym_glimmer_closing_tag,
    STATE(5475), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5659), 1,
      sym_comment,
  [186497] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8887), 1,
      sym__glimmer_template_content,
    ACTIONS(9118), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3230), 1,
      sym_glimmer_closing_tag,
    STATE(5607), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(5660), 1,
      sym_comment,
  [186519] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9206), 1,
      anon_sym_SQUOTE,
    STATE(5626), 1,
      aux_sym_string_repeat2,
    STATE(5661), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186539] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9206), 1,
      anon_sym_DQUOTE,
    STATE(5628), 1,
      aux_sym_string_repeat1,
    STATE(5662), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186559] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9208), 1,
      anon_sym_EQ,
    STATE(5663), 1,
      sym_comment,
    ACTIONS(4310), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [186577] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9211), 1,
      anon_sym_SQUOTE,
    STATE(5618), 1,
      aux_sym_string_repeat2,
    STATE(5664), 1,
      sym_comment,
    ACTIONS(8917), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [186597] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9211), 1,
      anon_sym_DQUOTE,
    STATE(5621), 1,
      aux_sym_string_repeat1,
    STATE(5665), 1,
      sym_comment,
    ACTIONS(8901), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [186617] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(5666), 1,
      sym_comment,
    STATE(6361), 1,
      sym__from_clause,
    ACTIONS(5974), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(5667), 1,
      sym_comment,
    STATE(6386), 1,
      sym_statement_block,
    ACTIONS(2130), 2,
      anon_sym_else,
      anon_sym_while,
  [186657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5668), 1,
      sym_comment,
    ACTIONS(2184), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [186673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5669), 1,
      sym_comment,
    ACTIONS(2188), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [186689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    STATE(5525), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5670), 1,
      sym_comment,
    ACTIONS(9213), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9215), 1,
      anon_sym_COMMA,
    ACTIONS(9217), 1,
      anon_sym_RBRACK,
    STATE(5671), 1,
      sym_comment,
    STATE(5714), 1,
      aux_sym_tuple_type_repeat1,
  [186728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5672), 1,
      sym_comment,
    ACTIONS(9219), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5673), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5674), 1,
      sym_comment,
    ACTIONS(9219), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186773] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(5675), 1,
      sym_comment,
    ACTIONS(9223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(5676), 1,
      sym_comment,
    ACTIONS(9223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [186807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5677), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5678), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5679), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5680), 1,
      sym_comment,
    ACTIONS(9227), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5681), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5682), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186897] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5683), 1,
      sym_comment,
    ACTIONS(9231), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186912] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9233), 1,
      sym_identifier,
    ACTIONS(9235), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      sym_private_property_identifier,
    STATE(5684), 1,
      sym_comment,
  [186931] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_LBRACK,
    ACTIONS(9243), 1,
      sym_private_property_identifier,
    STATE(5685), 1,
      sym_comment,
  [186950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5686), 1,
      sym_comment,
    ACTIONS(9245), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186965] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9247), 1,
      sym_identifier,
    ACTIONS(9249), 1,
      anon_sym_LBRACK,
    ACTIONS(9251), 1,
      sym_private_property_identifier,
    STATE(5687), 1,
      sym_comment,
  [186984] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      sym_private_property_identifier,
    STATE(5688), 1,
      sym_comment,
  [187003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5689), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5690), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5691), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5692), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187063] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9259), 1,
      anon_sym_COMMA,
    ACTIONS(9261), 1,
      anon_sym_RBRACK,
    STATE(5693), 1,
      sym_comment,
    STATE(5714), 1,
      aux_sym_tuple_type_repeat1,
  [187082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5694), 1,
      sym_comment,
    ACTIONS(9263), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187097] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5695), 1,
      sym_comment,
    ACTIONS(9219), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5696), 1,
      sym_comment,
    ACTIONS(9265), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5697), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5698), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5699), 1,
      sym_comment,
    ACTIONS(9267), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5700), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACE,
    ACTIONS(7866), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1299), 1,
      sym_object_type,
    STATE(5701), 1,
      sym_comment,
  [187206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9269), 1,
      anon_sym_COMMA,
    ACTIONS(9271), 1,
      anon_sym_RBRACE,
    STATE(5702), 1,
      sym_comment,
    STATE(5729), 1,
      aux_sym_enum_body_repeat1,
  [187225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9273), 1,
      anon_sym_RPAREN,
    STATE(5703), 1,
      sym_comment,
    STATE(6038), 1,
      aux_sym_array_repeat1,
  [187244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5704), 1,
      sym_comment,
    ACTIONS(9245), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5705), 1,
      sym_comment,
    ACTIONS(9231), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5706), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5707), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5708), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5709), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5710), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5711), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5712), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5713), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9277), 1,
      anon_sym_COMMA,
    ACTIONS(9280), 1,
      anon_sym_RBRACK,
    STATE(5714), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [187411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5715), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5716), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5717), 1,
      sym_comment,
    ACTIONS(9282), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5718), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187471] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(9284), 1,
      anon_sym_RPAREN,
    STATE(5719), 1,
      sym_comment,
    STATE(7201), 1,
      sym_type_annotation,
  [187490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5720), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187505] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5721), 1,
      sym_comment,
    ACTIONS(9282), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187520] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(5722), 1,
      sym_comment,
    STATE(6038), 1,
      aux_sym_array_repeat1,
  [187539] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(5703), 1,
      aux_sym_array_repeat1,
    STATE(5723), 1,
      sym_comment,
  [187558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5724), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACE,
    ACTIONS(7866), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1245), 1,
      sym_object_type,
    STATE(5725), 1,
      sym_comment,
  [187592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5726), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9286), 1,
      anon_sym_COMMA,
    ACTIONS(9288), 1,
      anon_sym_RBRACE,
    STATE(5727), 1,
      sym_comment,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
  [187626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5728), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187641] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9290), 1,
      anon_sym_COMMA,
    ACTIONS(9292), 1,
      anon_sym_RBRACE,
    STATE(5729), 1,
      sym_comment,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
  [187660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5730), 1,
      sym_comment,
    ACTIONS(9294), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5731), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5732), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187705] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5733), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5734), 1,
      sym_comment,
    ACTIONS(9231), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187735] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9296), 1,
      anon_sym_COMMA,
    ACTIONS(9298), 1,
      anon_sym_GT,
    STATE(5735), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [187754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5736), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9300), 1,
      anon_sym_COMMA,
    ACTIONS(9302), 1,
      anon_sym_GT,
    STATE(5737), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [187788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187803] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5739), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187818] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9304), 1,
      anon_sym_COMMA,
    ACTIONS(9306), 1,
      anon_sym_GT,
    STATE(5740), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [187837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187852] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7394), 1,
      anon_sym_AMP,
    ACTIONS(7398), 1,
      anon_sym_extends,
    ACTIONS(8517), 1,
      anon_sym_PIPE,
    STATE(5742), 1,
      sym_comment,
  [187871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9308), 1,
      anon_sym_COMMA,
    ACTIONS(9310), 1,
      anon_sym_RBRACK,
    STATE(5693), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5743), 1,
      sym_comment,
  [187890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5744), 1,
      sym_comment,
    ACTIONS(9312), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [187905] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5745), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187920] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5746), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187935] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5747), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5748), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187965] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5749), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5750), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9314), 1,
      anon_sym_COMMA,
    ACTIONS(9316), 1,
      anon_sym_RBRACE,
    STATE(5751), 1,
      sym_comment,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
  [188014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5752), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188029] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5753), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5754), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5755), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5756), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5757), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188104] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9318), 1,
      anon_sym_COMMA,
    ACTIONS(9320), 1,
      anon_sym_RBRACE,
    STATE(5758), 1,
      sym_comment,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
  [188123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5759), 1,
      sym_comment,
    ACTIONS(9322), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9324), 1,
      anon_sym_LBRACE,
    ACTIONS(9326), 1,
      anon_sym_LPAREN,
    STATE(1172), 1,
      sym_statement_block,
    STATE(5760), 1,
      sym_comment,
  [188157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5761), 1,
      sym_comment,
    ACTIONS(9328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5762), 1,
      sym_comment,
    ACTIONS(9330), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188187] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9332), 1,
      anon_sym_COMMA,
    ACTIONS(9334), 1,
      anon_sym_RPAREN,
    STATE(5763), 1,
      sym_comment,
    STATE(6034), 1,
      aux_sym_formal_parameters_repeat1,
  [188206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5764), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5765), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188236] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    STATE(5766), 1,
      sym_comment,
    STATE(6923), 1,
      sym_type_parameter,
  [188255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5767), 1,
      sym_comment,
    ACTIONS(9336), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [188270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5768), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5769), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188300] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5770), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5771), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5772), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188345] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5773), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5774), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188375] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5775), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5776), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5777), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5778), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5779), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5780), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188465] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5782), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188495] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5784), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5785), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5786), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5787), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(9265), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5789), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188615] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_DOT,
    STATE(4867), 1,
      sym_arguments,
    STATE(5791), 1,
      sym_comment,
  [188634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8733), 1,
      anon_sym_LBRACE,
    ACTIONS(9346), 1,
      anon_sym_COMMA,
    STATE(5793), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [188666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5794), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5795), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9349), 1,
      anon_sym_LPAREN,
    ACTIONS(9351), 1,
      anon_sym_await,
    STATE(122), 1,
      sym__for_header,
    STATE(5796), 1,
      sym_comment,
  [188715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5798), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188760] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9355), 1,
      sym_identifier,
    ACTIONS(9357), 1,
      anon_sym_require,
    STATE(5800), 1,
      sym_comment,
    STATE(6092), 1,
      sym_nested_identifier,
  [188779] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9359), 1,
      sym_identifier,
    ACTIONS(9361), 1,
      anon_sym_SEMI,
    ACTIONS(9363), 1,
      sym__automatic_semicolon,
    STATE(5801), 1,
      sym_comment,
  [188798] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9365), 1,
      sym_identifier,
    ACTIONS(9367), 1,
      anon_sym_SEMI,
    ACTIONS(9369), 1,
      sym__automatic_semicolon,
    STATE(5802), 1,
      sym_comment,
  [188817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5803), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5804), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5806), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188877] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5807), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5808), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188907] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5809), 1,
      sym_comment,
    ACTIONS(9371), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [188922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5810), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5811), 1,
      sym_comment,
    ACTIONS(9373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188967] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5813), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5814), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5815), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5816), 1,
      sym_comment,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5817), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5818), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5819), 1,
      sym_comment,
    ACTIONS(9377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5820), 1,
      sym_comment,
    ACTIONS(9377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189087] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5821), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5822), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5823), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5824), 1,
      sym_comment,
    ACTIONS(9379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189147] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9381), 1,
      anon_sym_COMMA,
    ACTIONS(9383), 1,
      anon_sym_RPAREN,
    STATE(5763), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(5825), 1,
      sym_comment,
  [189166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5827), 1,
      sym_comment,
    ACTIONS(9385), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5828), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5829), 1,
      sym_comment,
    ACTIONS(9379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8786), 1,
      anon_sym_LBRACE,
    STATE(5830), 1,
      sym_comment,
    ACTIONS(8788), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [189243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5831), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(9379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189273] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5833), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5835), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189333] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9387), 1,
      anon_sym_COMMA,
    ACTIONS(9390), 1,
      anon_sym_RBRACE,
    STATE(5837), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [189350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5838), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5839), 1,
      sym_comment,
    ACTIONS(9221), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5840), 1,
      sym_comment,
    ACTIONS(9392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5841), 1,
      sym_comment,
    ACTIONS(9229), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5842), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5843), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5844), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5845), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5846), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5847), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189500] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    STATE(5848), 1,
      sym_comment,
    STATE(6238), 1,
      sym_type_parameter,
  [189519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5849), 1,
      sym_comment,
    ACTIONS(9392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5850), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5851), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5852), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5854), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5855), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5856), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5857), 1,
      sym_comment,
    ACTIONS(9394), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5858), 1,
      sym_comment,
    ACTIONS(9396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5859), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5860), 1,
      sym_comment,
    ACTIONS(9225), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5862), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5863), 1,
      sym_comment,
    ACTIONS(9400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5865), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5866), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5867), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5868), 1,
      sym_comment,
    ACTIONS(9404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(9406), 1,
      anon_sym_RPAREN,
    STATE(5869), 1,
      sym_comment,
    STATE(7218), 1,
      sym_type_annotation,
  [189838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5870), 1,
      sym_comment,
    ACTIONS(9404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5871), 1,
      sym_comment,
    ACTIONS(9408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5872), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5873), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189898] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5875), 1,
      sym_comment,
    ACTIONS(9398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5876), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5877), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189958] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(3653), 1,
      sym_decorator_member_expression,
    STATE(3766), 1,
      sym_decorator_call_expression,
    STATE(5878), 1,
      sym_comment,
  [189977] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5879), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5880), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5881), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5882), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5883), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5884), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5885), 1,
      sym_comment,
    ACTIONS(9414), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5886), 1,
      sym_comment,
    ACTIONS(9410), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190097] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5887), 1,
      sym_comment,
    ACTIONS(9392), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5888), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5889), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5890), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190157] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9420), 1,
      sym_identifier,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    STATE(5606), 1,
      sym_export_clause,
    STATE(5891), 1,
      sym_comment,
  [190176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(5892), 1,
      sym_comment,
    STATE(6552), 1,
      sym__from_clause,
  [190195] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5893), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5894), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5895), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190240] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(5896), 1,
      sym_comment,
    STATE(6795), 1,
      sym__from_clause,
  [190259] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5897), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190274] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9426), 1,
      sym_identifier,
    ACTIONS(9428), 1,
      anon_sym_SEMI,
    ACTIONS(9430), 1,
      sym__automatic_semicolon,
    STATE(5898), 1,
      sym_comment,
  [190293] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    ACTIONS(9434), 1,
      anon_sym_LPAREN,
    STATE(1176), 1,
      sym_statement_block,
    STATE(5899), 1,
      sym_comment,
  [190312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5901), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5902), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5903), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190372] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9438), 1,
      sym_identifier,
    ACTIONS(9440), 1,
      anon_sym_SEMI,
    ACTIONS(9442), 1,
      sym__automatic_semicolon,
    STATE(5904), 1,
      sym_comment,
  [190391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5905), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190406] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      sym_identifier,
    STATE(5585), 1,
      sym_export_clause,
    STATE(5906), 1,
      sym_comment,
  [190425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5907), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5908), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5909), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5910), 1,
      sym_comment,
    ACTIONS(7947), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [190485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5911), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5912), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190515] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9446), 1,
      anon_sym_LPAREN,
    ACTIONS(9448), 1,
      anon_sym_await,
    STATE(117), 1,
      sym__for_header,
    STATE(5913), 1,
      sym_comment,
  [190534] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9450), 1,
      anon_sym_COMMA,
    ACTIONS(9452), 1,
      anon_sym_RBRACK,
    STATE(5914), 1,
      sym_comment,
    STATE(5969), 1,
      aux_sym_tuple_type_repeat1,
  [190553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5915), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190583] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5917), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190598] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5171), 1,
      anon_sym_extends,
    ACTIONS(9454), 1,
      anon_sym_AMP,
    ACTIONS(9456), 1,
      anon_sym_PIPE,
    STATE(5918), 1,
      sym_comment,
  [190617] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5919), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190647] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9458), 1,
      anon_sym_COMMA,
    ACTIONS(9460), 1,
      anon_sym_GT,
    STATE(5921), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [190666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5922), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190681] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9462), 1,
      anon_sym_COMMA,
    ACTIONS(9464), 1,
      anon_sym_GT,
    STATE(5923), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [190700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9466), 1,
      anon_sym_COMMA,
    ACTIONS(9468), 1,
      anon_sym_GT,
    STATE(5925), 1,
      sym_comment,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
  [190734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5926), 1,
      sym_comment,
    ACTIONS(9404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190749] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5927), 1,
      sym_comment,
    ACTIONS(9404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5928), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8056), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5038), 1,
      sym_object_type,
    STATE(5929), 1,
      sym_comment,
  [190798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5930), 1,
      sym_comment,
    ACTIONS(9408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190813] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5931), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5932), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(5933), 1,
      sym_comment,
    STATE(5981), 1,
      aux_sym_array_repeat1,
  [190862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(5934), 1,
      sym_comment,
    STATE(6038), 1,
      aux_sym_array_repeat1,
  [190881] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5935), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5936), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5938), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5939), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5940), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5941), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5942), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5943), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191016] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5944), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5945), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5946), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191061] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(5947), 1,
      sym_comment,
    ACTIONS(9470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [191078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(5948), 1,
      sym_comment,
    ACTIONS(9470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [191095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5949), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5950), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4983), 1,
      anon_sym_COMMA,
    ACTIONS(8719), 1,
      anon_sym_RPAREN,
    STATE(5951), 1,
      sym_comment,
    STATE(6026), 1,
      aux_sym_sequence_expression_repeat1,
  [191144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5952), 1,
      sym_comment,
    ACTIONS(9472), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5953), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5954), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5955), 1,
      sym_comment,
    ACTIONS(9472), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5956), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5957), 1,
      sym_comment,
    ACTIONS(9472), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5958), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5959), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5960), 1,
      sym_comment,
    ACTIONS(9472), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5961), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5962), 1,
      sym_comment,
    ACTIONS(9402), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5963), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_DQUOTE,
    ACTIONS(7087), 1,
      anon_sym_SQUOTE,
    STATE(5964), 1,
      sym_comment,
    STATE(7188), 1,
      sym_string,
  [191343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5965), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191358] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9357), 1,
      anon_sym_require,
    ACTIONS(9474), 1,
      sym_identifier,
    STATE(5676), 1,
      sym_nested_identifier,
    STATE(5966), 1,
      sym_comment,
  [191377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5967), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191392] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9476), 1,
      anon_sym_COMMA,
    ACTIONS(9479), 1,
      anon_sym_RBRACE,
    STATE(5968), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [191409] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9481), 1,
      anon_sym_COMMA,
    ACTIONS(9483), 1,
      anon_sym_RBRACK,
    STATE(5714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(5969), 1,
      sym_comment,
  [191428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5970), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5971), 1,
      sym_comment,
    ACTIONS(9485), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [191458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5972), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191488] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8845), 1,
      anon_sym_GT,
    ACTIONS(9487), 1,
      anon_sym_COMMA,
    STATE(5974), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [191505] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7209), 1,
      anon_sym_type,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5975), 1,
      sym_comment,
    STATE(6749), 1,
      sym__import_identifier,
  [191524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5976), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5977), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191554] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1389), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8056), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5010), 1,
      sym_object_type,
    STATE(5978), 1,
      sym_comment,
  [191573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(3215), 1,
      anon_sym_while,
    ACTIONS(9492), 1,
      anon_sym_else,
    STATE(5979), 1,
      sym_comment,
    STATE(6911), 1,
      sym_else_clause,
  [191592] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9494), 1,
      anon_sym_COMMA,
    ACTIONS(9496), 1,
      anon_sym_RBRACE,
    STATE(5980), 1,
      sym_comment,
    STATE(6015), 1,
      aux_sym_enum_body_repeat1,
  [191611] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9498), 1,
      anon_sym_RPAREN,
    STATE(5981), 1,
      sym_comment,
    STATE(6038), 1,
      aux_sym_array_repeat1,
  [191630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5982), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191645] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    STATE(5983), 1,
      sym_comment,
    ACTIONS(4391), 2,
      anon_sym_in,
      anon_sym_of,
  [191662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(9500), 1,
      anon_sym_RPAREN,
    STATE(5984), 1,
      sym_comment,
    STATE(7107), 1,
      sym_type_annotation,
  [191681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5985), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5986), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191711] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7209), 1,
      anon_sym_type,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(5987), 1,
      sym_comment,
    STATE(6750), 1,
      sym__import_identifier,
  [191730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9502), 1,
      anon_sym_COMMA,
    ACTIONS(9505), 1,
      anon_sym_RBRACE,
    STATE(5988), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [191747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5989), 1,
      sym_comment,
    ACTIONS(9507), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [191762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5990), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9509), 1,
      anon_sym_RPAREN,
    STATE(5991), 1,
      sym_comment,
    STATE(6038), 1,
      aux_sym_array_repeat1,
  [191796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5992), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9511), 1,
      anon_sym_COMMA,
    ACTIONS(9513), 1,
      anon_sym_RBRACE,
    STATE(5751), 1,
      aux_sym_enum_body_repeat1,
    STATE(5993), 1,
      sym_comment,
  [191830] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5994), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5995), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191860] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8019), 1,
      anon_sym_LBRACE,
    ACTIONS(8021), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1641), 1,
      sym_object_type,
    STATE(5996), 1,
      sym_comment,
  [191879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5997), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5998), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9515), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_GT,
    STATE(6000), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [191941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6001), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6002), 1,
      sym_comment,
    ACTIONS(9520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6003), 1,
      sym_comment,
    ACTIONS(9520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6004), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7903), 1,
      anon_sym_DOT,
    STATE(6005), 1,
      sym_comment,
    ACTIONS(9522), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [192018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9524), 1,
      anon_sym_COMMA,
    ACTIONS(9526), 1,
      anon_sym_RBRACK,
    STATE(5714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6006), 1,
      sym_comment,
  [192037] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(6007), 1,
      sym_comment,
    STATE(6605), 1,
      sym__from_clause,
  [192056] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(5488), 1,
      sym_export_clause,
    STATE(6008), 1,
      sym_comment,
  [192075] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9530), 1,
      sym_identifier,
    ACTIONS(9532), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      sym_private_property_identifier,
    STATE(6009), 1,
      sym_comment,
  [192094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6010), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192109] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9536), 1,
      sym_identifier,
    ACTIONS(9538), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      sym_private_property_identifier,
    STATE(6011), 1,
      sym_comment,
  [192128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6012), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192143] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9542), 1,
      anon_sym_COMMA,
    ACTIONS(9544), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6013), 1,
      sym_comment,
  [192162] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9546), 1,
      sym_identifier,
    ACTIONS(9548), 1,
      anon_sym_LBRACK,
    ACTIONS(9550), 1,
      sym_private_property_identifier,
    STATE(6014), 1,
      sym_comment,
  [192181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9552), 1,
      anon_sym_COMMA,
    ACTIONS(9554), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6015), 1,
      sym_comment,
  [192200] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9357), 1,
      anon_sym_require,
    ACTIONS(9556), 1,
      sym_identifier,
    STATE(6016), 1,
      sym_comment,
    STATE(6195), 1,
      sym_nested_identifier,
  [192219] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9560), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      sym_private_property_identifier,
    STATE(6017), 1,
      sym_comment,
  [192238] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6018), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192253] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9564), 1,
      anon_sym_LBRACE,
    STATE(6019), 1,
      sym_comment,
    ACTIONS(8747), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [192270] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9566), 1,
      anon_sym_COMMA,
    ACTIONS(9568), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6020), 1,
      sym_comment,
  [192289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6022), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(9570), 1,
      anon_sym_RPAREN,
    STATE(6023), 1,
      sym_comment,
    STATE(7053), 1,
      sym_type_annotation,
  [192338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6024), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192353] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9572), 1,
      anon_sym_COMMA,
    ACTIONS(9574), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6025), 1,
      sym_comment,
  [192372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    ACTIONS(9576), 1,
      anon_sym_COMMA,
    STATE(6026), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [192389] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8170), 1,
      anon_sym_COMMA,
    ACTIONS(9579), 1,
      anon_sym_LBRACE,
    STATE(5793), 1,
      aux_sym_implements_clause_repeat1,
    STATE(6027), 1,
      sym_comment,
  [192408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6028), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6029), 1,
      sym_comment,
    ACTIONS(9581), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6030), 1,
      sym_comment,
    ACTIONS(9583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192453] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(6031), 1,
      sym_comment,
    STATE(6474), 1,
      sym__from_clause,
  [192472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192487] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(5578), 1,
      sym_export_clause,
    STATE(6033), 1,
      sym_comment,
  [192506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9587), 1,
      anon_sym_COMMA,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    STATE(6034), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [192523] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6036), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6037), 1,
      sym_comment,
    ACTIONS(7913), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [192568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6069), 1,
      anon_sym_RPAREN,
    ACTIONS(9592), 1,
      anon_sym_COMMA,
    STATE(6038), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [192585] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9357), 1,
      anon_sym_require,
    ACTIONS(9595), 1,
      sym_identifier,
    STATE(6039), 1,
      sym_comment,
    STATE(6330), 1,
      sym_nested_identifier,
  [192604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6040), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(8970), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6043), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9597), 1,
      anon_sym_COMMA,
    ACTIONS(9599), 1,
      anon_sym_RBRACE,
    STATE(5988), 1,
      aux_sym_export_clause_repeat1,
    STATE(6044), 1,
      sym_comment,
  [192683] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6485), 1,
      sym__automatic_semicolon,
    STATE(6046), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_else,
      anon_sym_while,
  [192715] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9601), 1,
      anon_sym_LPAREN,
    ACTIONS(9603), 1,
      anon_sym_await,
    STATE(90), 1,
      sym__for_header,
    STATE(6047), 1,
      sym_comment,
  [192734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192749] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    ACTIONS(9605), 1,
      anon_sym_RPAREN,
    STATE(6049), 1,
      sym_comment,
    STATE(7072), 1,
      sym_type_annotation,
  [192768] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6050), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192783] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6051), 1,
      sym_comment,
    ACTIONS(9607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192798] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9609), 1,
      sym_identifier,
    ACTIONS(9611), 1,
      anon_sym_SEMI,
    ACTIONS(9613), 1,
      sym__automatic_semicolon,
    STATE(6052), 1,
      sym_comment,
  [192817] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9615), 1,
      sym_identifier,
    ACTIONS(9617), 1,
      anon_sym_SEMI,
    ACTIONS(9619), 1,
      sym__automatic_semicolon,
    STATE(6053), 1,
      sym_comment,
  [192836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(6054), 1,
      sym_comment,
    ACTIONS(9621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [192853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9623), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6055), 1,
      sym_comment,
  [192872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6056), 1,
      sym_comment,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6058), 1,
      sym_comment,
    ACTIONS(9625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9627), 1,
      anon_sym_COMMA,
    ACTIONS(9629), 1,
      anon_sym_RBRACE,
    STATE(6020), 1,
      aux_sym_enum_body_repeat1,
    STATE(6059), 1,
      sym_comment,
  [192936] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6060), 1,
      sym_comment,
    STATE(6620), 1,
      sym_object_type,
  [192955] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6061), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6062), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(6063), 1,
      sym_comment,
    ACTIONS(9621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6064), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193017] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9631), 1,
      anon_sym_COMMA,
    ACTIONS(9633), 1,
      anon_sym_RBRACE,
    STATE(5968), 1,
      aux_sym_named_imports_repeat1,
    STATE(6065), 1,
      sym_comment,
  [193036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6066), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193051] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7209), 1,
      anon_sym_type,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(6067), 1,
      sym_comment,
    STATE(6871), 1,
      sym__import_identifier,
  [193070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6068), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193085] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7209), 1,
      anon_sym_type,
    ACTIONS(9490), 1,
      sym_identifier,
    STATE(6069), 1,
      sym_comment,
    STATE(6883), 1,
      sym__import_identifier,
  [193104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9635), 1,
      anon_sym_as,
    STATE(6070), 1,
      sym_comment,
    ACTIONS(9637), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6071), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6072), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9340), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(6075), 1,
      sym_comment,
    STATE(6374), 1,
      sym__from_clause,
  [193200] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9639), 1,
      sym_identifier,
    STATE(5666), 1,
      sym_export_clause,
    STATE(6076), 1,
      sym_comment,
  [193219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6077), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6078), 1,
      sym_comment,
    ACTIONS(9416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6079), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9158), 1,
      anon_sym_EQ,
    STATE(6080), 1,
      sym_comment,
    ACTIONS(9643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6081), 1,
      sym_comment,
    ACTIONS(9645), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [193296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6082), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193311] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9647), 1,
      anon_sym_EQ,
    STATE(6083), 1,
      sym_comment,
    STATE(7160), 1,
      sym_type_parameters,
  [193330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6084), 1,
      sym_comment,
    ACTIONS(9418), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193345] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9649), 1,
      anon_sym_as,
    STATE(6085), 1,
      sym_comment,
    ACTIONS(9651), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [193362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9653), 1,
      anon_sym_EQ,
    STATE(6086), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [193379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193394] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9657), 1,
      sym__glimmer_template_content,
    ACTIONS(9660), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(6088), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [193411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6089), 1,
      sym_comment,
    ACTIONS(9342), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193426] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5861), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6090), 1,
      sym_comment,
  [193445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6091), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(6092), 1,
      sym_comment,
    ACTIONS(9662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6093), 1,
      sym_comment,
    ACTIONS(9338), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6094), 1,
      sym_comment,
    ACTIONS(9664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193507] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(6095), 1,
      sym_comment,
    ACTIONS(9662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [193524] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5861), 1,
      anon_sym_RPAREN,
    STATE(5991), 1,
      aux_sym_array_repeat1,
    STATE(6096), 1,
      sym_comment,
  [193543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8019), 1,
      anon_sym_LBRACE,
    ACTIONS(8021), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1737), 1,
      sym_object_type,
    STATE(6097), 1,
      sym_comment,
  [193562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6098), 1,
      sym_comment,
    ACTIONS(9666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9668), 1,
      anon_sym_COMMA,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(6034), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6099), 1,
      sym_comment,
  [193596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6100), 1,
      sym_comment,
    ACTIONS(9672), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6101), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193626] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9676), 1,
      anon_sym_COMMA,
    ACTIONS(9678), 1,
      anon_sym_GT,
    STATE(6000), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6102), 1,
      sym_comment,
  [193645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6103), 1,
      sym_comment,
    ACTIONS(9666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193660] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9680), 1,
      anon_sym_COMMA,
    ACTIONS(9682), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6104), 1,
      sym_comment,
  [193679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9684), 1,
      anon_sym_COMMA,
    ACTIONS(9686), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6105), 1,
      sym_comment,
  [193698] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9688), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6106), 1,
      sym_comment,
  [193717] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7075), 1,
      anon_sym_AMP,
    ACTIONS(7077), 1,
      anon_sym_PIPE,
    ACTIONS(7079), 1,
      anon_sym_extends,
    STATE(6107), 1,
      sym_comment,
  [193736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6108), 1,
      sym_comment,
    ACTIONS(9692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6109), 1,
      sym_comment,
    ACTIONS(3369), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [193766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(9694), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [193781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9696), 1,
      anon_sym_COMMA,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    STATE(6006), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6111), 1,
      sym_comment,
  [193800] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6112), 1,
      sym_comment,
    ACTIONS(6773), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193815] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9700), 1,
      anon_sym_COMMA,
    ACTIONS(9703), 1,
      anon_sym_RBRACK,
    STATE(6113), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [193832] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6114), 1,
      sym_comment,
  [193851] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(6055), 1,
      aux_sym_array_repeat1,
    STATE(6115), 1,
      sym_comment,
  [193870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6487), 1,
      sym__automatic_semicolon,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(2378), 2,
      anon_sym_else,
      anon_sym_while,
  [193887] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6351), 1,
      sym__automatic_semicolon,
    STATE(6117), 1,
      sym_comment,
    ACTIONS(2372), 2,
      anon_sym_else,
      anon_sym_while,
  [193904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(208), 1,
      anon_sym_LBRACE,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6118), 1,
      sym_comment,
    STATE(6704), 1,
      sym_object_type,
  [193923] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6421), 1,
      sym__automatic_semicolon,
    STATE(6119), 1,
      sym_comment,
    ACTIONS(2362), 2,
      anon_sym_else,
      anon_sym_while,
  [193940] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6069), 1,
      anon_sym_RBRACK,
    ACTIONS(9705), 1,
      anon_sym_COMMA,
    STATE(6120), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [193957] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6297), 1,
      sym__automatic_semicolon,
    STATE(6121), 1,
      sym_comment,
    ACTIONS(2334), 2,
      anon_sym_else,
      anon_sym_while,
  [193974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9708), 1,
      anon_sym_RBRACK,
    STATE(6113), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6122), 1,
      sym_comment,
  [193993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(9710), 1,
      anon_sym_RBRACK,
    STATE(6120), 1,
      aux_sym_array_repeat1,
    STATE(6123), 1,
      sym_comment,
  [194012] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9712), 1,
      anon_sym_COMMA,
    ACTIONS(9714), 1,
      anon_sym_GT,
    STATE(6000), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6124), 1,
      sym_comment,
  [194031] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9158), 1,
      anon_sym_EQ,
    STATE(6125), 1,
      sym_comment,
    ACTIONS(9703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [194048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(6069), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [194063] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9716), 1,
      anon_sym_COMMA,
    ACTIONS(9718), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6127), 1,
      sym_comment,
  [194082] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACE,
    ACTIONS(9722), 1,
      anon_sym_LPAREN,
    STATE(1565), 1,
      sym_statement_block,
    STATE(6128), 1,
      sym_comment,
  [194101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9724), 1,
      anon_sym_COMMA,
    ACTIONS(9726), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6129), 1,
      sym_comment,
  [194120] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9728), 1,
      anon_sym_COMMA,
    ACTIONS(9730), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6130), 1,
      sym_comment,
  [194139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9732), 1,
      anon_sym_LBRACE,
    STATE(6131), 1,
      sym_comment,
    ACTIONS(8847), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [194156] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7989), 1,
      sym_identifier,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(7993), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [194173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(7977), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [194188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6012), 1,
      anon_sym_extends,
    ACTIONS(9734), 1,
      anon_sym_AMP,
    ACTIONS(9736), 1,
      anon_sym_PIPE,
    STATE(6134), 1,
      sym_comment,
  [194207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6135), 1,
      sym_comment,
    ACTIONS(9738), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6136), 1,
      sym_comment,
    ACTIONS(9740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194237] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9742), 1,
      anon_sym_EQ,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(4391), 2,
      anon_sym_in,
      anon_sym_of,
  [194254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6138), 1,
      sym_comment,
    ACTIONS(9740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9744), 1,
      anon_sym_COMMA,
    ACTIONS(9746), 1,
      anon_sym_RBRACK,
    STATE(5671), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6139), 1,
      sym_comment,
  [194288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6140), 1,
      sym_comment,
    ACTIONS(8867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(8867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194318] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9357), 1,
      anon_sym_require,
    ACTIONS(9748), 1,
      sym_identifier,
    STATE(6054), 1,
      sym_nested_identifier,
    STATE(6142), 1,
      sym_comment,
  [194337] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9750), 1,
      anon_sym_LBRACE,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(8654), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [194354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6144), 1,
      sym_comment,
    ACTIONS(9752), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(9754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194384] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9756), 1,
      anon_sym_LBRACE,
    ACTIONS(9758), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_statement_block,
    STATE(6146), 1,
      sym_comment,
  [194403] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9760), 1,
      anon_sym_COMMA,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    STATE(6065), 1,
      aux_sym_named_imports_repeat1,
    STATE(6147), 1,
      sym_comment,
  [194422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6148), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6149), 1,
      sym_comment,
    ACTIONS(9764), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6150), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194467] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9110), 1,
      anon_sym_as,
    STATE(6151), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [194484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6152), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194499] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9768), 1,
      anon_sym_EQ,
    STATE(6153), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [194516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6154), 1,
      sym_comment,
    ACTIONS(9637), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [194531] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6155), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194546] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6156), 1,
      sym_comment,
  [194565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9772), 1,
      anon_sym_COMMA,
    ACTIONS(9775), 1,
      anon_sym_RBRACE,
    STATE(6157), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [194582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6158), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194597] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9777), 1,
      anon_sym_COMMA,
    ACTIONS(9780), 1,
      anon_sym_RBRACE,
    STATE(6159), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [194614] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(6113), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6160), 1,
      sym_comment,
  [194633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9784), 1,
      anon_sym_COMMA,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(6161), 1,
      sym_comment,
    STATE(6214), 1,
      aux_sym_tuple_type_repeat1,
  [194652] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RBRACK,
    STATE(6120), 1,
      aux_sym_array_repeat1,
    STATE(6162), 1,
      sym_comment,
  [194671] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6163), 1,
      sym_comment,
  [194690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9794), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_PIPE,
    ACTIONS(7516), 1,
      anon_sym_extends,
    STATE(6165), 1,
      sym_comment,
  [194724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6166), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194739] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6167), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194754] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9796), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6168), 1,
      sym_comment,
  [194773] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    STATE(6109), 1,
      sym_statement_block,
    STATE(6169), 1,
      sym_comment,
  [194792] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9802), 1,
      anon_sym_COMMA,
    ACTIONS(9804), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6170), 1,
      sym_comment,
  [194811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6171), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194826] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9806), 1,
      anon_sym_COMMA,
    ACTIONS(9808), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6172), 1,
      sym_comment,
  [194845] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9810), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6173), 1,
      sym_comment,
  [194864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6174), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9812), 1,
      anon_sym_COMMA,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(6034), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6175), 1,
      sym_comment,
  [194898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1342), 1,
      sym_object_type,
    STATE(6176), 1,
      sym_comment,
  [194917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9816), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6177), 1,
      sym_comment,
  [194936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6178), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6179), 1,
      sym_comment,
  [194970] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(6180), 1,
      sym_comment,
    STATE(6226), 1,
      aux_sym_array_repeat1,
  [194989] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6181), 1,
      sym_comment,
  [195008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6182), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195023] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6183), 1,
      sym_comment,
  [195042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6184), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6185), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(6156), 1,
      aux_sym_array_repeat1,
    STATE(6186), 1,
      sym_comment,
  [195091] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9822), 1,
      anon_sym_as,
    STATE(6187), 1,
      sym_comment,
    ACTIONS(9824), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [195108] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9826), 1,
      anon_sym_COMMA,
    ACTIONS(9828), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6188), 1,
      sym_comment,
  [195127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6189), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_RBRACE,
    STATE(6044), 1,
      aux_sym_export_clause_repeat1,
    STATE(6190), 1,
      sym_comment,
  [195161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6333), 1,
      sym__automatic_semicolon,
    STATE(6191), 1,
      sym_comment,
    ACTIONS(2402), 2,
      anon_sym_else,
      anon_sym_while,
  [195178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6192), 1,
      sym_comment,
    ACTIONS(9834), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [195193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6193), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(6194), 1,
      sym_comment,
    ACTIONS(9836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [195225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(9836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [195242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6196), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6197), 1,
      sym_comment,
  [195276] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9840), 1,
      anon_sym_COMMA,
    ACTIONS(9842), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6198), 1,
      sym_comment,
  [195295] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9844), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6199), 1,
      sym_comment,
  [195314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6200), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195329] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6201), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195344] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9846), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6202), 1,
      sym_comment,
  [195363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6203), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195378] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9848), 1,
      anon_sym_COMMA,
    ACTIONS(9850), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6204), 1,
      sym_comment,
  [195397] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9852), 1,
      sym_identifier,
    ACTIONS(9854), 1,
      anon_sym_LBRACK,
    ACTIONS(9856), 1,
      sym_private_property_identifier,
    STATE(6205), 1,
      sym_comment,
  [195416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195431] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9858), 1,
      sym_identifier,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(9862), 1,
      sym_private_property_identifier,
    STATE(6207), 1,
      sym_comment,
  [195450] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195465] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9864), 1,
      sym_identifier,
    ACTIONS(9866), 1,
      anon_sym_LBRACK,
    ACTIONS(9868), 1,
      sym_private_property_identifier,
    STATE(6209), 1,
      sym_comment,
  [195484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6210), 1,
      sym_comment,
  [195503] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9872), 1,
      sym_identifier,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      sym_private_property_identifier,
    STATE(6211), 1,
      sym_comment,
  [195522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6347), 1,
      sym__automatic_semicolon,
    STATE(6212), 1,
      sym_comment,
    ACTIONS(2406), 2,
      anon_sym_else,
      anon_sym_while,
  [195539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6213), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195554] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9878), 1,
      anon_sym_COMMA,
    ACTIONS(9880), 1,
      anon_sym_RBRACK,
    STATE(5714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6214), 1,
      sym_comment,
  [195573] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195588] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9882), 1,
      anon_sym_DQUOTE,
    ACTIONS(9884), 1,
      anon_sym_SQUOTE,
    STATE(6216), 1,
      sym_comment,
    STATE(6810), 1,
      sym_string,
  [195607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6217), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6349), 1,
      sym__automatic_semicolon,
    STATE(6218), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_else,
      anon_sym_while,
  [195639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6219), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6382), 1,
      sym__automatic_semicolon,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(2322), 2,
      anon_sym_else,
      anon_sym_while,
  [195671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6221), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6384), 1,
      sym__automatic_semicolon,
    STATE(6222), 1,
      sym_comment,
    ACTIONS(2326), 2,
      anon_sym_else,
      anon_sym_while,
  [195703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1558), 1,
      sym_object_type,
    STATE(6223), 1,
      sym_comment,
  [195722] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9886), 1,
      sym_identifier,
    ACTIONS(9888), 1,
      anon_sym_LBRACK,
    ACTIONS(9890), 1,
      sym_private_property_identifier,
    STATE(6224), 1,
      sym_comment,
  [195741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(9894), 1,
      anon_sym_RBRACE,
    STATE(6225), 1,
      sym_comment,
    STATE(6260), 1,
      aux_sym_enum_body_repeat1,
  [195760] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9896), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6226), 1,
      sym_comment,
  [195779] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9898), 1,
      anon_sym_RBRACE,
    STATE(6173), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6227), 1,
      sym_comment,
  [195798] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9900), 1,
      sym_identifier,
    ACTIONS(9902), 1,
      anon_sym_LBRACK,
    ACTIONS(9904), 1,
      sym_private_property_identifier,
    STATE(6228), 1,
      sym_comment,
  [195817] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6229), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195832] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9906), 1,
      anon_sym_SQUOTE,
    STATE(6230), 1,
      sym_comment,
    ACTIONS(9908), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [195849] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9910), 1,
      anon_sym_DQUOTE,
    STATE(6231), 1,
      sym_comment,
    ACTIONS(9912), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [195866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6232), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195881] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9914), 1,
      anon_sym_COMMA,
    ACTIONS(9916), 1,
      anon_sym_GT,
    STATE(6102), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6233), 1,
      sym_comment,
  [195900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
    ACTIONS(9918), 1,
      anon_sym_DOT,
    STATE(4460), 1,
      sym_arguments,
    STATE(6234), 1,
      sym_comment,
  [195919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7522), 1,
      anon_sym_implements,
    ACTIONS(9920), 1,
      anon_sym_LBRACE,
    STATE(6235), 1,
      sym_comment,
    STATE(7212), 1,
      sym_implements_clause,
  [195938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6236), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195953] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8881), 1,
      sym_identifier,
    ACTIONS(8883), 1,
      anon_sym_const,
    STATE(6233), 1,
      sym_type_parameter,
    STATE(6237), 1,
      sym_comment,
  [195972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9922), 1,
      anon_sym_COMMA,
    ACTIONS(9924), 1,
      anon_sym_GT,
    STATE(6124), 1,
      aux_sym_type_parameters_repeat1,
    STATE(6238), 1,
      sym_comment,
  [195991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6411), 1,
      sym__automatic_semicolon,
    STATE(6240), 1,
      sym_comment,
    ACTIONS(2350), 2,
      anon_sym_else,
      anon_sym_while,
  [196023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6241), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6432), 1,
      sym__automatic_semicolon,
    STATE(6242), 1,
      sym_comment,
    ACTIONS(2366), 2,
      anon_sym_else,
      anon_sym_while,
  [196055] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6243), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
    ACTIONS(9926), 1,
      anon_sym_DOT,
    STATE(4483), 1,
      sym_arguments,
    STATE(6244), 1,
      sym_comment,
  [196089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6245), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196104] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9928), 1,
      anon_sym_EQ,
    STATE(6246), 1,
      sym_comment,
    STATE(7377), 1,
      sym_type_parameters,
  [196123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9930), 1,
      anon_sym_EQ,
    STATE(6248), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    STATE(6113), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6249), 1,
      sym_comment,
  [196174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9932), 1,
      anon_sym_EQ,
    STATE(6252), 1,
      sym_comment,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [196221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6253), 1,
      sym_comment,
    ACTIONS(3409), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [196236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6254), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196266] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(6120), 1,
      aux_sym_array_repeat1,
    STATE(6256), 1,
      sym_comment,
  [196285] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(6123), 1,
      aux_sym_array_repeat1,
    STATE(6257), 1,
      sym_comment,
  [196304] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9935), 1,
      anon_sym_COMMA,
    ACTIONS(9937), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6258), 1,
      sym_comment,
  [196323] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6259), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196338] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9939), 1,
      anon_sym_COMMA,
    ACTIONS(9941), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6260), 1,
      sym_comment,
  [196357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6261), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    STATE(6122), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6262), 1,
      sym_comment,
  [196391] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9943), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6263), 1,
      sym_comment,
  [196410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6264), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_COMMA,
    ACTIONS(9947), 1,
      anon_sym_RPAREN,
    STATE(6099), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6265), 1,
      sym_comment,
  [196444] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9949), 1,
      anon_sym_COMMA,
    ACTIONS(9951), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6266), 1,
      sym_comment,
  [196463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6267), 1,
      sym_comment,
    ACTIONS(8068), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [196478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6268), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9953), 1,
      anon_sym_COMMA,
    ACTIONS(9955), 1,
      anon_sym_RBRACE,
    STATE(5837), 1,
      aux_sym_enum_body_repeat1,
    STATE(6269), 1,
      sym_comment,
  [196512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6270), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196527] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(3411), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [196542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6272), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9957), 1,
      anon_sym_EQ,
    STATE(6273), 1,
      sym_comment,
    STATE(7412), 1,
      sym_type_parameters,
  [196576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9959), 1,
      anon_sym_EQ,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196593] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9961), 1,
      anon_sym_EQ,
    STATE(6275), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196610] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196625] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      anon_sym_RBRACK,
    STATE(6113), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6277), 1,
      sym_comment,
  [196644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    STATE(6120), 1,
      aux_sym_array_repeat1,
    STATE(6278), 1,
      sym_comment,
  [196663] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5830), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    STATE(6162), 1,
      aux_sym_array_repeat1,
    STATE(6279), 1,
      sym_comment,
  [196682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6280), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196697] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9160), 1,
      anon_sym_COMMA,
    ACTIONS(9174), 1,
      anon_sym_RBRACK,
    STATE(6160), 1,
      aux_sym_array_pattern_repeat1,
    STATE(6281), 1,
      sym_comment,
  [196716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6282), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196731] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(9963), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6283), 1,
      sym_comment,
  [196750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6284), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9965), 1,
      anon_sym_EQ,
    STATE(6285), 1,
      sym_comment,
    STATE(7440), 1,
      sym_type_parameters,
  [196784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6286), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9967), 1,
      anon_sym_COMMA,
    ACTIONS(9969), 1,
      anon_sym_RBRACE,
    STATE(6266), 1,
      aux_sym_enum_body_repeat1,
    STATE(6287), 1,
      sym_comment,
  [196818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9971), 1,
      anon_sym_EQ,
    STATE(6288), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [196835] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9898), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6289), 1,
      sym_comment,
  [196854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6290), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9943), 1,
      anon_sym_RBRACE,
    STATE(6163), 1,
      aux_sym_object_repeat1,
    STATE(6291), 1,
      sym_comment,
  [196888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6292), 1,
      sym_comment,
    ACTIONS(3523), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [196903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6293), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7856), 1,
      anon_sym_LBRACE,
    ACTIONS(7862), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1044), 1,
      sym_object_type,
    STATE(6294), 1,
      sym_comment,
  [196937] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    STATE(6295), 1,
      sym_comment,
    ACTIONS(5161), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [196954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6296), 1,
      sym_comment,
    ACTIONS(3635), 3,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
  [196969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6297), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9973), 1,
      anon_sym_EQ,
    STATE(6298), 1,
      sym_comment,
    STATE(7253), 1,
      sym_type_parameters,
  [197003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9975), 1,
      anon_sym_COMMA,
    ACTIONS(9977), 1,
      anon_sym_RPAREN,
    STATE(6175), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(6299), 1,
      sym_comment,
  [197022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9979), 1,
      anon_sym_RBRACE,
    STATE(6157), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6300), 1,
      sym_comment,
  [197041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6301), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197056] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_RBRACE,
    STATE(6159), 1,
      aux_sym_object_repeat1,
    STATE(6302), 1,
      sym_comment,
  [197075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6303), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6304), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6305), 1,
      sym_comment,
    ACTIONS(9641), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6306), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_RBRACE,
    STATE(6197), 1,
      aux_sym_object_repeat1,
    STATE(6307), 1,
      sym_comment,
  [197154] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(9979), 1,
      anon_sym_RBRACE,
    STATE(6199), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6308), 1,
      sym_comment,
  [197173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6309), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_EQ,
    STATE(6310), 1,
      sym_comment,
    STATE(7462), 1,
      sym_type_parameters,
  [197207] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9422), 1,
      anon_sym_LBRACE,
    ACTIONS(9985), 1,
      sym_identifier,
    STATE(5603), 1,
      sym_export_clause,
    STATE(6311), 1,
      sym_comment,
  [197226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    ACTIONS(9424), 1,
      anon_sym_as,
    STATE(6312), 1,
      sym_comment,
    STATE(6580), 1,
      sym__from_clause,
  [197245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6313), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6314), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197275] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9987), 1,
      sym_identifier,
    STATE(2098), 1,
      sym_decorator_member_expression,
    STATE(2179), 1,
      sym_decorator_call_expression,
    STATE(6315), 1,
      sym_comment,
  [197294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6316), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197309] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    ACTIONS(9991), 1,
      anon_sym_SEMI,
    ACTIONS(9993), 1,
      sym__automatic_semicolon,
    STATE(6317), 1,
      sym_comment,
  [197328] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6318), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6319), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197358] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9995), 1,
      sym_identifier,
    ACTIONS(9997), 1,
      anon_sym_SEMI,
    ACTIONS(9999), 1,
      sym__automatic_semicolon,
    STATE(6320), 1,
      sym_comment,
  [197377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197392] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10001), 1,
      sym_identifier,
    STATE(4634), 1,
      sym_decorator_member_expression,
    STATE(5611), 1,
      sym_decorator_call_expression,
    STATE(6322), 1,
      sym_comment,
  [197411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_LPAREN,
    ACTIONS(10005), 1,
      anon_sym_await,
    STATE(119), 1,
      sym__for_header,
    STATE(6323), 1,
      sym_comment,
  [197430] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10007), 1,
      sym_identifier,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10011), 1,
      sym__automatic_semicolon,
    STATE(6324), 1,
      sym_comment,
  [197449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6325), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197464] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10013), 1,
      sym_identifier,
    ACTIONS(10015), 1,
      anon_sym_SEMI,
    ACTIONS(10017), 1,
      sym__automatic_semicolon,
    STATE(6326), 1,
      sym_comment,
  [197483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5154), 1,
      anon_sym_LBRACE,
    STATE(6327), 1,
      sym_comment,
    ACTIONS(5156), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4963), 1,
      anon_sym_LBRACE,
    STATE(6328), 1,
      sym_comment,
    ACTIONS(4965), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197517] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    STATE(6329), 1,
      sym_comment,
    ACTIONS(5163), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    STATE(6330), 1,
      sym_comment,
    ACTIONS(10019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197551] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7806), 1,
      anon_sym_DOT,
    STATE(6331), 1,
      sym_comment,
    ACTIONS(10019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [197568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6332), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4444), 1,
      anon_sym_LBRACE,
    STATE(6333), 1,
      sym_comment,
    ACTIONS(5173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_LBRACE,
    STATE(6334), 1,
      sym_comment,
    ACTIONS(5182), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197617] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4446), 1,
      anon_sym_LBRACE,
    STATE(6335), 1,
      sym_comment,
    ACTIONS(5182), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6336), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6337), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_LBRACE,
    STATE(6338), 1,
      sym_comment,
    ACTIONS(5280), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197681] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6339), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4422), 1,
      anon_sym_LBRACE,
    STATE(6340), 1,
      sym_comment,
    ACTIONS(5280), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197713] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6341), 1,
      sym_comment,
    ACTIONS(9674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6342), 1,
      sym_comment,
    ACTIONS(9766), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197743] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4416), 1,
      anon_sym_LBRACE,
    STATE(6343), 1,
      sym_comment,
    ACTIONS(5305), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4437), 1,
      anon_sym_LBRACE,
    STATE(6344), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197777] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10023), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6345), 1,
      sym_comment,
  [197796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6346), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197811] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_COMMA,
    ACTIONS(10027), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6347), 1,
      sym_comment,
  [197830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4450), 1,
      anon_sym_LBRACE,
    STATE(6348), 1,
      sym_comment,
    ACTIONS(5210), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197847] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10029), 1,
      anon_sym_COMMA,
    ACTIONS(10031), 1,
      anon_sym_GT,
    STATE(5974), 1,
      aux_sym_type_arguments_repeat1,
    STATE(6349), 1,
      sym_comment,
  [197866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6350), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197881] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7856), 1,
      anon_sym_LBRACE,
    ACTIONS(7862), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1026), 1,
      sym_object_type,
    STATE(6351), 1,
      sym_comment,
  [197900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    STATE(6352), 1,
      sym_comment,
    ACTIONS(5208), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [197917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10033), 1,
      anon_sym_LPAREN,
    ACTIONS(10035), 1,
      anon_sym_await,
    STATE(104), 1,
      sym__for_header,
    STATE(6353), 1,
      sym_comment,
  [197936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6354), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197951] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(6283), 1,
      aux_sym_array_repeat1,
    STATE(6355), 1,
      sym_comment,
  [197970] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(6038), 1,
      aux_sym_array_repeat1,
    STATE(6356), 1,
      sym_comment,
  [197989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6357), 1,
      sym_comment,
    ACTIONS(9754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198004] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10037), 1,
      anon_sym_SEMI,
    ACTIONS(10039), 1,
      sym__automatic_semicolon,
    STATE(6358), 1,
      sym_comment,
  [198020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6359), 1,
      sym_comment,
    ACTIONS(3449), 2,
      anon_sym_else,
      anon_sym_while,
  [198034] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_class_body,
    STATE(6360), 1,
      sym_comment,
  [198050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10041), 1,
      anon_sym_SEMI,
    ACTIONS(10043), 1,
      sym__automatic_semicolon,
    STATE(6361), 1,
      sym_comment,
  [198066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(383), 1,
      sym_class_body,
    STATE(6362), 1,
      sym_comment,
  [198082] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(107), 1,
      sym_parenthesized_expression,
    STATE(6363), 1,
      sym_comment,
  [198098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6364), 1,
      sym_comment,
    STATE(6486), 1,
      sym_parenthesized_expression,
  [198114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_class_body,
    STATE(6365), 1,
      sym_comment,
  [198130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6366), 1,
      sym_comment,
    ACTIONS(2202), 2,
      anon_sym_else,
      anon_sym_while,
  [198144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(330), 1,
      sym_class_body,
    STATE(6367), 1,
      sym_comment,
  [198160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_enum_body,
    STATE(6368), 1,
      sym_comment,
  [198176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    STATE(328), 1,
      sym_statement_block,
    STATE(6369), 1,
      sym_comment,
  [198192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(93), 1,
      sym_parenthesized_expression,
    STATE(6370), 1,
      sym_comment,
  [198208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10051), 1,
      anon_sym_LBRACE,
    STATE(968), 1,
      sym_statement_block,
    STATE(6371), 1,
      sym_comment,
  [198224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10053), 1,
      anon_sym_SEMI,
    ACTIONS(10055), 1,
      sym__automatic_semicolon,
    STATE(6372), 1,
      sym_comment,
  [198240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10057), 1,
      anon_sym_SEMI,
    ACTIONS(10059), 1,
      sym__automatic_semicolon,
    STATE(6373), 1,
      sym_comment,
  [198256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10061), 1,
      anon_sym_SEMI,
    ACTIONS(10063), 1,
      sym__automatic_semicolon,
    STATE(6374), 1,
      sym_comment,
  [198272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10049), 1,
      anon_sym_LBRACE,
    STATE(1153), 1,
      sym_enum_body,
    STATE(6375), 1,
      sym_comment,
  [198288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10065), 1,
      anon_sym_LBRACE,
    STATE(1169), 1,
      sym_statement_block,
    STATE(6376), 1,
      sym_comment,
  [198304] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1041), 1,
      sym_class_body,
    STATE(6377), 1,
      sym_comment,
  [198320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_statement_block,
    STATE(6378), 1,
      sym_comment,
  [198336] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(91), 1,
      sym_parenthesized_expression,
    STATE(6379), 1,
      sym_comment,
  [198352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3570), 1,
      sym_statement_block,
    STATE(6380), 1,
      sym_comment,
  [198368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6381), 1,
      sym_comment,
    ACTIONS(5798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3580), 1,
      sym_statement_block,
    STATE(6382), 1,
      sym_comment,
  [198398] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9756), 1,
      anon_sym_LBRACE,
    STATE(1013), 1,
      sym_statement_block,
    STATE(6383), 1,
      sym_comment,
  [198414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_class_body,
    STATE(6384), 1,
      sym_comment,
  [198430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1263), 1,
      sym_class_body,
    STATE(6385), 1,
      sym_comment,
  [198446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6386), 1,
      sym_comment,
    ACTIONS(2192), 2,
      anon_sym_else,
      anon_sym_while,
  [198460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_class_body,
    STATE(6387), 1,
      sym_comment,
  [198476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(6388), 1,
      sym_comment,
  [198492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8503), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_statement_block,
    STATE(6389), 1,
      sym_comment,
  [198508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_class_body,
    STATE(6390), 1,
      sym_comment,
  [198524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6391), 1,
      sym_comment,
    ACTIONS(10067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198538] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6392), 1,
      sym_comment,
    ACTIONS(10069), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [198552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_statement_block,
    STATE(6393), 1,
      sym_comment,
  [198568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(4764), 1,
      sym_statement_block,
    STATE(6394), 1,
      sym_comment,
  [198584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(6395), 1,
      sym_comment,
  [198600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1058), 1,
      sym_class_body,
    STATE(6396), 1,
      sym_comment,
  [198616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6397), 1,
      sym_comment,
    ACTIONS(10071), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6398), 1,
      sym_comment,
    ACTIONS(5721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(4804), 1,
      sym_formal_parameters,
    STATE(6399), 1,
      sym_comment,
  [198660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6400), 1,
      sym_comment,
    ACTIONS(5554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7664), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_class_body,
    STATE(6401), 1,
      sym_comment,
  [198690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_class_body,
    STATE(6402), 1,
      sym_comment,
  [198706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9756), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_statement_block,
    STATE(6403), 1,
      sym_comment,
  [198722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8503), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_statement_block,
    STATE(6404), 1,
      sym_comment,
  [198738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7662), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_class_body,
    STATE(6405), 1,
      sym_comment,
  [198754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_class_body,
    STATE(6406), 1,
      sym_comment,
  [198770] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8610), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_statement_block,
    STATE(6407), 1,
      sym_comment,
  [198786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3586), 1,
      sym_statement_block,
    STATE(6408), 1,
      sym_comment,
  [198802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1357), 1,
      sym_class_body,
    STATE(6409), 1,
      sym_comment,
  [198818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7638), 1,
      anon_sym_LBRACE,
    STATE(1103), 1,
      sym_class_body,
    STATE(6410), 1,
      sym_comment,
  [198834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(368), 1,
      sym_class_body,
    STATE(6411), 1,
      sym_comment,
  [198850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_class_body,
    STATE(6412), 1,
      sym_comment,
  [198866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7183), 1,
      anon_sym_LPAREN,
    STATE(4338), 1,
      sym_formal_parameters,
    STATE(6413), 1,
      sym_comment,
  [198882] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10073), 1,
      sym_identifier,
    ACTIONS(10075), 1,
      anon_sym_STAR,
    STATE(6414), 1,
      sym_comment,
  [198898] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10077), 1,
      sym_identifier,
    ACTIONS(10079), 1,
      anon_sym_STAR,
    STATE(6415), 1,
      sym_comment,
  [198914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6416), 1,
      sym_comment,
    STATE(6601), 1,
      sym__from_clause,
  [198930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6417), 1,
      sym_comment,
    ACTIONS(10081), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6418), 1,
      sym_comment,
    ACTIONS(10083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [198958] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10085), 1,
      sym_identifier,
    ACTIONS(10087), 1,
      anon_sym_STAR,
    STATE(6419), 1,
      sym_comment,
  [198974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10089), 1,
      anon_sym_LBRACE,
    STATE(6420), 1,
      sym_comment,
    STATE(6882), 1,
      sym_switch_body,
  [198990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym__for_header,
    STATE(6421), 1,
      sym_comment,
  [199006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6422), 1,
      sym_comment,
    ACTIONS(10093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6423), 1,
      sym_comment,
    ACTIONS(10095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199034] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10097), 1,
      sym_identifier,
    ACTIONS(10099), 1,
      anon_sym_STAR,
    STATE(6424), 1,
      sym_comment,
  [199050] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_statement_block,
    STATE(6425), 1,
      sym_comment,
  [199066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6426), 1,
      sym_comment,
    ACTIONS(2180), 2,
      anon_sym_else,
      anon_sym_while,
  [199080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1224), 1,
      sym_class_body,
    STATE(6427), 1,
      sym_comment,
  [199096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8610), 1,
      anon_sym_LBRACE,
    STATE(1095), 1,
      sym_statement_block,
    STATE(6428), 1,
      sym_comment,
  [199112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1228), 1,
      sym_class_body,
    STATE(6429), 1,
      sym_comment,
  [199128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6430), 1,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_else,
      anon_sym_while,
  [199142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6431), 1,
      sym_comment,
    ACTIONS(5734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6432), 1,
      sym_comment,
    STATE(6671), 1,
      sym_statement_block,
  [199172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6433), 1,
      sym_comment,
    ACTIONS(6789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6434), 1,
      sym_comment,
    ACTIONS(6746), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199200] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10101), 1,
      sym_identifier,
    ACTIONS(10103), 1,
      sym_private_property_identifier,
    STATE(6435), 1,
      sym_comment,
  [199216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3615), 1,
      sym_statement_block,
    STATE(6436), 1,
      sym_comment,
  [199232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7536), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_class_body,
    STATE(6437), 1,
      sym_comment,
  [199248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6438), 1,
      sym_comment,
    ACTIONS(6738), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199262] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10105), 1,
      sym_identifier,
    ACTIONS(10107), 1,
      anon_sym_STAR,
    STATE(6439), 1,
      sym_comment,
  [199278] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10109), 1,
      sym_identifier,
    ACTIONS(10111), 1,
      sym_private_property_identifier,
    STATE(6440), 1,
      sym_comment,
  [199294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3588), 1,
      sym_statement_block,
    STATE(6441), 1,
      sym_comment,
  [199310] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10113), 1,
      sym_identifier,
    ACTIONS(10115), 1,
      sym_private_property_identifier,
    STATE(6442), 1,
      sym_comment,
  [199326] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10117), 1,
      sym_identifier,
    ACTIONS(10119), 1,
      sym_private_property_identifier,
    STATE(6443), 1,
      sym_comment,
  [199342] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9852), 1,
      sym_identifier,
    ACTIONS(9856), 1,
      sym_private_property_identifier,
    STATE(6444), 1,
      sym_comment,
  [199358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8632), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_statement_block,
    STATE(6445), 1,
      sym_comment,
  [199374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_class_body,
    STATE(6446), 1,
      sym_comment,
  [199390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10121), 1,
      anon_sym_SEMI,
    ACTIONS(10123), 1,
      sym__automatic_semicolon,
    STATE(6447), 1,
      sym_comment,
  [199406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7540), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_class_body,
    STATE(6448), 1,
      sym_comment,
  [199422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6449), 1,
      sym_comment,
    ACTIONS(10125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10127), 1,
      anon_sym_SEMI,
    ACTIONS(10129), 1,
      sym__automatic_semicolon,
    STATE(6450), 1,
      sym_comment,
  [199452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3614), 1,
      sym_statement_block,
    STATE(6451), 1,
      sym_comment,
  [199468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_statement_block,
    STATE(6452), 1,
      sym_comment,
  [199484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6453), 1,
      sym_comment,
    ACTIONS(6762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3619), 1,
      sym_statement_block,
    STATE(6454), 1,
      sym_comment,
  [199514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2636), 1,
      sym_class_body,
    STATE(6455), 1,
      sym_comment,
  [199530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6456), 1,
      sym_comment,
    ACTIONS(6742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6457), 1,
      sym_comment,
    STATE(6653), 1,
      sym__from_clause,
  [199560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6458), 1,
      sym_comment,
    ACTIONS(10131), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3592), 1,
      sym_statement_block,
    STATE(6459), 1,
      sym_comment,
  [199590] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7530), 1,
      anon_sym_LBRACE,
    STATE(344), 1,
      sym_class_body,
    STATE(6460), 1,
      sym_comment,
  [199606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10065), 1,
      anon_sym_LBRACE,
    STATE(1160), 1,
      sym_statement_block,
    STATE(6461), 1,
      sym_comment,
  [199622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10133), 1,
      anon_sym_LPAREN,
    STATE(1156), 1,
      sym_parenthesized_expression,
    STATE(6462), 1,
      sym_comment,
  [199638] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10135), 1,
      sym_identifier,
    ACTIONS(10137), 1,
      anon_sym_STAR,
    STATE(6463), 1,
      sym_comment,
  [199654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10139), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_enum_body,
    STATE(6464), 1,
      sym_comment,
  [199670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10141), 1,
      anon_sym_SEMI,
    ACTIONS(10143), 1,
      sym__automatic_semicolon,
    STATE(6465), 1,
      sym_comment,
  [199686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6466), 1,
      sym_comment,
    ACTIONS(10145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6467), 1,
      sym_comment,
    ACTIONS(10147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10149), 1,
      anon_sym_COMMA,
    ACTIONS(10151), 1,
      anon_sym_from,
    STATE(6468), 1,
      sym_comment,
  [199730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6469), 1,
      sym_comment,
    ACTIONS(10153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10155), 1,
      anon_sym_SEMI,
    ACTIONS(10157), 1,
      sym__automatic_semicolon,
    STATE(6470), 1,
      sym_comment,
  [199760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2623), 1,
      sym_statement_block,
    STATE(6471), 1,
      sym_comment,
  [199776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6472), 1,
      sym_comment,
    ACTIONS(3555), 2,
      anon_sym_else,
      anon_sym_while,
  [199790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10159), 1,
      anon_sym_SEMI,
    ACTIONS(10161), 1,
      sym__automatic_semicolon,
    STATE(6473), 1,
      sym_comment,
  [199806] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10163), 1,
      anon_sym_SEMI,
    ACTIONS(10165), 1,
      sym__automatic_semicolon,
    STATE(6474), 1,
      sym_comment,
  [199822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6475), 1,
      sym_comment,
    ACTIONS(6789), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10139), 1,
      anon_sym_LBRACE,
    STATE(1460), 1,
      sym_enum_body,
    STATE(6476), 1,
      sym_comment,
  [199852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6477), 1,
      sym_comment,
    STATE(6669), 1,
      sym_statement_block,
  [199868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    STATE(1450), 1,
      sym_statement_block,
    STATE(6478), 1,
      sym_comment,
  [199884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6479), 1,
      sym_comment,
    ACTIONS(6795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6479), 1,
      sym_statement_block,
    STATE(6480), 1,
      sym_comment,
  [199914] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10169), 1,
      sym_identifier,
    ACTIONS(10171), 1,
      anon_sym_STAR,
    STATE(6481), 1,
      sym_comment,
  [199930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6482), 1,
      sym_comment,
    ACTIONS(6746), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6475), 1,
      sym_statement_block,
    STATE(6483), 1,
      sym_comment,
  [199960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6484), 1,
      sym_comment,
    ACTIONS(6738), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [199974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_statement_block,
    STATE(6485), 1,
      sym_comment,
  [199990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10173), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_switch_body,
    STATE(6486), 1,
      sym_comment,
  [200006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym__for_header,
    STATE(6487), 1,
      sym_comment,
  [200022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6488), 1,
      sym_comment,
    ACTIONS(3553), 2,
      anon_sym_else,
      anon_sym_while,
  [200036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6489), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_else,
      anon_sym_while,
  [200050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6490), 1,
      sym_comment,
    ACTIONS(3547), 2,
      anon_sym_else,
      anon_sym_while,
  [200064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4975), 1,
      sym_class_body,
    STATE(6491), 1,
      sym_comment,
  [200080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6492), 1,
      sym_comment,
    ACTIONS(3545), 2,
      anon_sym_else,
      anon_sym_while,
  [200094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6493), 1,
      sym_comment,
    ACTIONS(10175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [200108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6494), 1,
      sym_comment,
    ACTIONS(10177), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6495), 1,
      sym_comment,
    ACTIONS(3543), 2,
      anon_sym_else,
      anon_sym_while,
  [200136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6496), 1,
      sym_comment,
    ACTIONS(5614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6497), 1,
      sym_comment,
    ACTIONS(5694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6498), 1,
      sym_comment,
    ACTIONS(5703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6499), 1,
      sym_comment,
    ACTIONS(10179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6500), 1,
      sym_comment,
    ACTIONS(10181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6501), 1,
      sym_comment,
    ACTIONS(5660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3590), 1,
      sym_statement_block,
    STATE(6502), 1,
      sym_comment,
  [200236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3577), 1,
      sym_statement_block,
    STATE(6503), 1,
      sym_comment,
  [200252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym__for_header,
    STATE(6504), 1,
      sym_comment,
  [200268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACE,
    STATE(1114), 1,
      sym_switch_body,
    STATE(6505), 1,
      sym_comment,
  [200284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6506), 1,
      sym_comment,
    ACTIONS(10185), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6507), 1,
      sym_comment,
    ACTIONS(10187), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6508), 1,
      sym_comment,
    ACTIONS(5784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3606), 1,
      sym_statement_block,
    STATE(6509), 1,
      sym_comment,
  [200342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6510), 1,
      sym_comment,
    ACTIONS(5658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200356] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10189), 1,
      sym_identifier,
    ACTIONS(10191), 1,
      anon_sym_STAR,
    STATE(6511), 1,
      sym_comment,
  [200372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6512), 1,
      sym_comment,
    ACTIONS(6734), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [200386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6513), 1,
      sym_comment,
    ACTIONS(10193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6514), 1,
      sym_comment,
    ACTIONS(3541), 2,
      anon_sym_else,
      anon_sym_while,
  [200414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6515), 1,
      sym_comment,
    ACTIONS(3533), 2,
      anon_sym_else,
      anon_sym_while,
  [200428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(6516), 1,
      sym_comment,
  [200444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(6517), 1,
      sym_comment,
  [200460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10195), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    STATE(6518), 1,
      sym_comment,
  [200476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(6519), 1,
      sym_comment,
  [200492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_statement_block,
    STATE(6520), 1,
      sym_comment,
  [200508] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4979), 1,
      sym_class_body,
    STATE(6521), 1,
      sym_comment,
  [200524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_statement_block,
    STATE(6522), 1,
      sym_comment,
  [200540] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10197), 1,
      sym_identifier,
    ACTIONS(10199), 1,
      anon_sym_STAR,
    STATE(6523), 1,
      sym_comment,
  [200556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6524), 1,
      sym_comment,
    ACTIONS(3529), 2,
      anon_sym_else,
      anon_sym_while,
  [200570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3378), 1,
      sym_class_body,
    STATE(6525), 1,
      sym_comment,
  [200586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6526), 1,
      sym_comment,
    ACTIONS(3525), 2,
      anon_sym_else,
      anon_sym_while,
  [200600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6527), 1,
      sym_comment,
    STATE(7001), 1,
      sym_statement_block,
  [200616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3103), 1,
      sym_statement_block,
    STATE(6528), 1,
      sym_comment,
  [200632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6529), 1,
      sym_comment,
    ACTIONS(3521), 2,
      anon_sym_else,
      anon_sym_while,
  [200646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6530), 1,
      sym_comment,
    ACTIONS(10201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [200660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10203), 1,
      anon_sym_LBRACE,
    STATE(6531), 1,
      sym_comment,
    STATE(7009), 1,
      sym_enum_body,
  [200676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6532), 1,
      sym_comment,
    ACTIONS(3519), 2,
      anon_sym_else,
      anon_sym_while,
  [200690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6533), 1,
      sym_comment,
    STATE(7176), 1,
      sym_formal_parameters,
  [200706] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10205), 1,
      sym_identifier,
    ACTIONS(10207), 1,
      sym_private_property_identifier,
    STATE(6534), 1,
      sym_comment,
  [200722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_statement_block,
    STATE(6535), 1,
      sym_comment,
  [200738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4984), 1,
      sym_class_body,
    STATE(6536), 1,
      sym_comment,
  [200754] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9900), 1,
      sym_identifier,
    ACTIONS(9904), 1,
      sym_private_property_identifier,
    STATE(6537), 1,
      sym_comment,
  [200770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6538), 1,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_else,
      anon_sym_while,
  [200784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(5449), 1,
      sym_statement_block,
    STATE(6539), 1,
      sym_comment,
  [200800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4986), 1,
      sym_class_body,
    STATE(6540), 1,
      sym_comment,
  [200816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3205), 1,
      sym_class_body,
    STATE(6541), 1,
      sym_comment,
  [200832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4991), 1,
      sym_class_body,
    STATE(6542), 1,
      sym_comment,
  [200848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6543), 1,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_else,
      anon_sym_while,
  [200862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6544), 1,
      sym_comment,
    ACTIONS(3507), 2,
      anon_sym_else,
      anon_sym_while,
  [200876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6545), 1,
      sym_comment,
    ACTIONS(3505), 2,
      anon_sym_else,
      anon_sym_while,
  [200890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6546), 1,
      sym_comment,
    ACTIONS(3501), 2,
      anon_sym_else,
      anon_sym_while,
  [200904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6547), 1,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_else,
      anon_sym_while,
  [200918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_statement_block,
    STATE(6548), 1,
      sym_comment,
  [200934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_statement_block,
    STATE(6549), 1,
      sym_comment,
  [200950] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10211), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      sym_enum_body,
    STATE(6550), 1,
      sym_comment,
  [200966] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10213), 1,
      sym_identifier,
    ACTIONS(10215), 1,
      sym_private_property_identifier,
    STATE(6551), 1,
      sym_comment,
  [200982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10217), 1,
      anon_sym_SEMI,
    ACTIONS(10219), 1,
      sym__automatic_semicolon,
    STATE(6552), 1,
      sym_comment,
  [200998] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9886), 1,
      sym_identifier,
    ACTIONS(9890), 1,
      sym_private_property_identifier,
    STATE(6553), 1,
      sym_comment,
  [201014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6554), 1,
      sym_comment,
    ACTIONS(3495), 2,
      anon_sym_else,
      anon_sym_while,
  [201028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_statement_block,
    STATE(6555), 1,
      sym_comment,
  [201044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6556), 1,
      sym_comment,
    ACTIONS(6779), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4996), 1,
      sym_class_body,
    STATE(6557), 1,
      sym_comment,
  [201074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(5448), 1,
      sym_statement_block,
    STATE(6558), 1,
      sym_comment,
  [201090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(4997), 1,
      sym_class_body,
    STATE(6559), 1,
      sym_comment,
  [201106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3286), 1,
      sym_class_body,
    STATE(6560), 1,
      sym_comment,
  [201122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6561), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_else,
      anon_sym_while,
  [201136] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10221), 1,
      sym_identifier,
    ACTIONS(10223), 1,
      sym_private_property_identifier,
    STATE(6562), 1,
      sym_comment,
  [201152] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(5043), 1,
      sym_statement_block,
    STATE(6563), 1,
      sym_comment,
  [201168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(6564), 1,
      sym_comment,
    ACTIONS(10225), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [201182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6565), 1,
      sym_comment,
    ACTIONS(3461), 2,
      anon_sym_else,
      anon_sym_while,
  [201196] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10227), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      sym_private_property_identifier,
    STATE(6566), 1,
      sym_comment,
  [201212] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10231), 1,
      sym_identifier,
    ACTIONS(10233), 1,
      sym_private_property_identifier,
    STATE(6567), 1,
      sym_comment,
  [201228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10235), 1,
      sym_identifier,
    ACTIONS(10237), 1,
      sym_private_property_identifier,
    STATE(6568), 1,
      sym_comment,
  [201244] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10239), 1,
      sym_identifier,
    ACTIONS(10241), 1,
      sym_private_property_identifier,
    STATE(6569), 1,
      sym_comment,
  [201260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3357), 1,
      sym_statement_block,
    STATE(6570), 1,
      sym_comment,
  [201276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3388), 1,
      sym_class_body,
    STATE(6571), 1,
      sym_comment,
  [201292] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10243), 1,
      anon_sym_SEMI,
    ACTIONS(10245), 1,
      sym__automatic_semicolon,
    STATE(6572), 1,
      sym_comment,
  [201308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(5025), 1,
      sym_class_body,
    STATE(6573), 1,
      sym_comment,
  [201324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6574), 1,
      sym_comment,
    ACTIONS(10247), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_statement_block,
    STATE(6575), 1,
      sym_comment,
  [201354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10249), 1,
      anon_sym_SEMI,
    ACTIONS(10251), 1,
      sym__automatic_semicolon,
    STATE(6576), 1,
      sym_comment,
  [201370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6577), 1,
      sym_comment,
    ACTIONS(8150), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [201384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10253), 1,
      anon_sym_SEMI,
    ACTIONS(10255), 1,
      sym__automatic_semicolon,
    STATE(6578), 1,
      sym_comment,
  [201400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10257), 1,
      anon_sym_SEMI,
    ACTIONS(10259), 1,
      sym__automatic_semicolon,
    STATE(6579), 1,
      sym_comment,
  [201416] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10261), 1,
      anon_sym_SEMI,
    ACTIONS(10263), 1,
      sym__automatic_semicolon,
    STATE(6580), 1,
      sym_comment,
  [201432] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3581), 1,
      sym_statement_block,
    STATE(6581), 1,
      sym_comment,
  [201448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(6582), 1,
      sym_comment,
  [201464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6420), 1,
      sym_parenthesized_expression,
    STATE(6583), 1,
      sym_comment,
  [201480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3597), 1,
      sym_statement_block,
    STATE(6584), 1,
      sym_comment,
  [201496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3183), 1,
      sym_class_body,
    STATE(6585), 1,
      sym_comment,
  [201512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10167), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_statement_block,
    STATE(6586), 1,
      sym_comment,
  [201528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10265), 1,
      anon_sym_LPAREN,
    STATE(1580), 1,
      sym_parenthesized_expression,
    STATE(6587), 1,
      sym_comment,
  [201544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6588), 1,
      sym_comment,
    ACTIONS(3485), 2,
      anon_sym_else,
      anon_sym_while,
  [201558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6589), 1,
      sym_comment,
    ACTIONS(3483), 2,
      anon_sym_else,
      anon_sym_while,
  [201572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6590), 1,
      sym_comment,
    ACTIONS(10267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3583), 1,
      sym_statement_block,
    STATE(6591), 1,
      sym_comment,
  [201602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6592), 1,
      sym_comment,
    ACTIONS(10269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10271), 1,
      anon_sym_LBRACE,
    STATE(5012), 1,
      sym_enum_body,
    STATE(6593), 1,
      sym_comment,
  [201632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10273), 1,
      anon_sym_SEMI,
    ACTIONS(10275), 1,
      sym__automatic_semicolon,
    STATE(6594), 1,
      sym_comment,
  [201648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6595), 1,
      sym_comment,
    ACTIONS(10277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(10279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [201676] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10281), 1,
      sym_identifier,
    ACTIONS(10283), 1,
      anon_sym_STAR,
    STATE(6597), 1,
      sym_comment,
  [201692] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10285), 1,
      anon_sym_SEMI,
    ACTIONS(10287), 1,
      sym__automatic_semicolon,
    STATE(6598), 1,
      sym_comment,
  [201708] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6578), 1,
      sym__from_clause,
    STATE(6599), 1,
      sym_comment,
  [201724] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3573), 1,
      sym_statement_block,
    STATE(6600), 1,
      sym_comment,
  [201740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10289), 1,
      anon_sym_SEMI,
    ACTIONS(10291), 1,
      sym__automatic_semicolon,
    STATE(6601), 1,
      sym_comment,
  [201756] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10293), 1,
      anon_sym_SEMI,
    ACTIONS(10295), 1,
      sym__automatic_semicolon,
    STATE(6602), 1,
      sym_comment,
  [201772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10297), 1,
      anon_sym_SEMI,
    ACTIONS(10299), 1,
      sym__automatic_semicolon,
    STATE(6603), 1,
      sym_comment,
  [201788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_statement_block,
    STATE(6604), 1,
      sym_comment,
  [201804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10301), 1,
      anon_sym_SEMI,
    ACTIONS(10303), 1,
      sym__automatic_semicolon,
    STATE(6605), 1,
      sym_comment,
  [201820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3571), 1,
      sym_statement_block,
    STATE(6606), 1,
      sym_comment,
  [201836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10271), 1,
      anon_sym_LBRACE,
    STATE(5058), 1,
      sym_enum_body,
    STATE(6607), 1,
      sym_comment,
  [201852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10305), 1,
      anon_sym_SEMI,
    ACTIONS(10307), 1,
      sym__automatic_semicolon,
    STATE(6608), 1,
      sym_comment,
  [201868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_statement_block,
    STATE(6609), 1,
      sym_comment,
  [201884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10203), 1,
      anon_sym_LBRACE,
    STATE(6610), 1,
      sym_comment,
    STATE(6930), 1,
      sym_enum_body,
  [201900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6598), 1,
      sym__from_clause,
    STATE(6611), 1,
      sym_comment,
  [201916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6612), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_else,
      anon_sym_while,
  [201930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(3481), 2,
      anon_sym_else,
      anon_sym_while,
  [201944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6614), 1,
      sym_comment,
    ACTIONS(9775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6615), 1,
      sym_comment,
    ACTIONS(9780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [201972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6616), 1,
      sym_comment,
    ACTIONS(3479), 2,
      anon_sym_else,
      anon_sym_while,
  [201986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6617), 1,
      sym_comment,
    STATE(6747), 1,
      sym_parenthesized_expression,
  [202002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6618), 1,
      sym_comment,
    STATE(6740), 1,
      sym_statement_block,
  [202018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6619), 1,
      sym_comment,
    ACTIONS(3477), 2,
      anon_sym_else,
      anon_sym_while,
  [202032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6620), 1,
      sym_comment,
    ACTIONS(3475), 2,
      anon_sym_else,
      anon_sym_while,
  [202046] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6621), 1,
      sym_comment,
    STATE(6929), 1,
      sym_statement_block,
  [202062] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6622), 1,
      sym_comment,
    ACTIONS(5824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202076] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3270), 1,
      sym_class_body,
    STATE(6623), 1,
      sym_comment,
  [202092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6624), 1,
      sym_comment,
    STATE(7225), 1,
      sym_formal_parameters,
  [202108] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(5822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202122] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3599), 1,
      sym_statement_block,
    STATE(6626), 1,
      sym_comment,
  [202138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACE,
    STATE(1303), 1,
      sym_statement_block,
    STATE(6627), 1,
      sym_comment,
  [202154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6628), 1,
      sym_comment,
    ACTIONS(3473), 2,
      anon_sym_else,
      anon_sym_while,
  [202168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2557), 1,
      sym_class_body,
    STATE(6629), 1,
      sym_comment,
  [202184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2720), 1,
      sym_statement_block,
    STATE(6630), 1,
      sym_comment,
  [202200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2702), 1,
      sym_statement_block,
    STATE(6631), 1,
      sym_comment,
  [202216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6632), 1,
      sym_comment,
    STATE(6959), 1,
      sym__from_clause,
  [202232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6633), 1,
      sym_comment,
    ACTIONS(10309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202246] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6482), 1,
      sym_statement_block,
    STATE(6634), 1,
      sym_comment,
  [202262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6635), 1,
      sym_comment,
    ACTIONS(10311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6636), 1,
      sym_comment,
    ACTIONS(6762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202290] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6484), 1,
      sym_statement_block,
    STATE(6637), 1,
      sym_comment,
  [202306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6638), 1,
      sym_comment,
    ACTIONS(6742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1727), 1,
      sym_class_body,
    STATE(6639), 1,
      sym_comment,
  [202336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6640), 1,
      sym_comment,
    ACTIONS(10313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6641), 1,
      sym_comment,
    ACTIONS(10315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6642), 1,
      sym_comment,
    ACTIONS(10317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym__for_header,
    STATE(6643), 1,
      sym_comment,
  [202394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10319), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_switch_body,
    STATE(6644), 1,
      sym_comment,
  [202410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6645), 1,
      sym_comment,
    ACTIONS(10321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6646), 1,
      sym_comment,
    ACTIONS(10323), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6647), 1,
      sym_comment,
    ACTIONS(5807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6648), 1,
      sym_comment,
    ACTIONS(10325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6649), 1,
      sym_comment,
    ACTIONS(3471), 2,
      anon_sym_else,
      anon_sym_while,
  [202480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6650), 1,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_else,
      anon_sym_while,
  [202494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6651), 1,
      sym_comment,
    ACTIONS(10327), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6652), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [202522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10329), 1,
      anon_sym_SEMI,
    ACTIONS(10331), 1,
      sym__automatic_semicolon,
    STATE(6653), 1,
      sym_comment,
  [202538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6654), 1,
      sym_comment,
    ACTIONS(6750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7185), 1,
      anon_sym_COLON,
    STATE(6051), 1,
      sym_type_annotation,
    STATE(6655), 1,
      sym_comment,
  [202568] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6656), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [202582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6657), 1,
      sym_comment,
    STATE(6798), 1,
      sym__from_clause,
  [202598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6658), 1,
      sym_comment,
    ACTIONS(10333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [202612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6659), 1,
      sym_comment,
    ACTIONS(3465), 2,
      anon_sym_else,
      anon_sym_while,
  [202626] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6660), 1,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_else,
      anon_sym_while,
  [202640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10211), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_enum_body,
    STATE(6661), 1,
      sym_comment,
  [202656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(6662), 1,
      sym_comment,
  [202672] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10335), 1,
      sym_identifier,
    ACTIONS(10337), 1,
      sym_private_property_identifier,
    STATE(6663), 1,
      sym_comment,
  [202688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6664), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_else,
      anon_sym_while,
  [202702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10339), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
    STATE(6665), 1,
      sym_comment,
  [202718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6666), 1,
      sym_comment,
    ACTIONS(10341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [202732] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_parenthesized_expression,
    STATE(6667), 1,
      sym_comment,
  [202748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3572), 1,
      sym_statement_block,
    STATE(6668), 1,
      sym_comment,
  [202764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6669), 1,
      sym_comment,
    ACTIONS(6806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202778] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6670), 1,
      sym_comment,
    STATE(6825), 1,
      sym_statement_block,
  [202794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6671), 1,
      sym_comment,
    ACTIONS(6810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [202808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9324), 1,
      anon_sym_LBRACE,
    STATE(1215), 1,
      sym_statement_block,
    STATE(6672), 1,
      sym_comment,
  [202824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5298), 1,
      sym_formal_parameters,
    STATE(6673), 1,
      sym_comment,
  [202840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6674), 1,
      sym_comment,
    STATE(7089), 1,
      sym_formal_parameters,
  [202856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1418), 1,
      sym_class_body,
    STATE(6675), 1,
      sym_comment,
  [202872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6676), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_else,
      anon_sym_while,
  [202886] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10343), 1,
      sym_identifier,
    ACTIONS(10345), 1,
      sym_private_property_identifier,
    STATE(6677), 1,
      sym_comment,
  [202902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6678), 1,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_else,
      anon_sym_while,
  [202916] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_parenthesized_expression,
    STATE(6679), 1,
      sym_comment,
  [202932] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10347), 1,
      sym_identifier,
    STATE(6092), 1,
      sym_nested_identifier,
    STATE(6680), 1,
      sym_comment,
  [202948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6681), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_else,
      anon_sym_while,
  [202962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10209), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_statement_block,
    STATE(6682), 1,
      sym_comment,
  [202978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6683), 1,
      sym_comment,
    ACTIONS(9703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [202992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6684), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_else,
      anon_sym_while,
  [203006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6685), 1,
      sym_comment,
    ACTIONS(3451), 2,
      anon_sym_else,
      anon_sym_while,
  [203020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_statement_block,
    STATE(6686), 1,
      sym_comment,
  [203036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(10349), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6688), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_else,
      anon_sym_while,
  [203064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9324), 1,
      anon_sym_LBRACE,
    STATE(1214), 1,
      sym_statement_block,
    STATE(6689), 1,
      sym_comment,
  [203080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_class_body,
    STATE(6690), 1,
      sym_comment,
  [203096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6691), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_else,
      anon_sym_while,
  [203110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_statement_block,
    STATE(6692), 1,
      sym_comment,
  [203126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5354), 1,
      sym_formal_parameters,
    STATE(6693), 1,
      sym_comment,
  [203142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1381), 1,
      sym_class_body,
    STATE(6694), 1,
      sym_comment,
  [203158] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6695), 1,
      sym_comment,
    STATE(7052), 1,
      sym_formal_parameters,
  [203174] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_class_body,
    STATE(6696), 1,
      sym_comment,
  [203190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1355), 1,
      sym_class_body,
    STATE(6697), 1,
      sym_comment,
  [203206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6698), 1,
      sym_comment,
    ACTIONS(3445), 2,
      anon_sym_else,
      anon_sym_while,
  [203220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_class_body,
    STATE(6699), 1,
      sym_comment,
  [203236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6700), 1,
      sym_comment,
    ACTIONS(3443), 2,
      anon_sym_else,
      anon_sym_while,
  [203250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3209), 1,
      sym_class_body,
    STATE(6701), 1,
      sym_comment,
  [203266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6702), 1,
      sym_comment,
    ACTIONS(3441), 2,
      anon_sym_else,
      anon_sym_while,
  [203280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3204), 1,
      sym_statement_block,
    STATE(6703), 1,
      sym_comment,
  [203296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(3439), 2,
      anon_sym_else,
      anon_sym_while,
  [203310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3181), 1,
      sym_statement_block,
    STATE(6705), 1,
      sym_comment,
  [203326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6706), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_else,
      anon_sym_while,
  [203340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6707), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [203354] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6708), 1,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_else,
      anon_sym_while,
  [203368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_statement_block,
    STATE(6709), 1,
      sym_comment,
  [203384] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3608), 1,
      sym_statement_block,
    STATE(6710), 1,
      sym_comment,
  [203400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6711), 1,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_else,
      anon_sym_while,
  [203414] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_class_body,
    STATE(6712), 1,
      sym_comment,
  [203430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6713), 1,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_else,
      anon_sym_while,
  [203444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_statement_block,
    STATE(6714), 1,
      sym_comment,
  [203460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3610), 1,
      sym_statement_block,
    STATE(6715), 1,
      sym_comment,
  [203476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1203), 1,
      sym_class_body,
    STATE(6716), 1,
      sym_comment,
  [203492] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_class_body,
    STATE(6717), 1,
      sym_comment,
  [203508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6718), 1,
      sym_comment,
    ACTIONS(3493), 2,
      anon_sym_else,
      anon_sym_while,
  [203522] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10351), 1,
      sym_identifier,
    ACTIONS(10353), 1,
      sym_private_property_identifier,
    STATE(6719), 1,
      sym_comment,
  [203538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7630), 1,
      anon_sym_LBRACE,
    STATE(1296), 1,
      sym_class_body,
    STATE(6720), 1,
      sym_comment,
  [203554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5389), 1,
      sym_formal_parameters,
    STATE(6721), 1,
      sym_comment,
  [203570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    STATE(6722), 1,
      sym_comment,
    STATE(6947), 1,
      sym_type_annotation,
  [203586] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10355), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      sym_private_property_identifier,
    STATE(6723), 1,
      sym_comment,
  [203602] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10359), 1,
      sym_identifier,
    ACTIONS(10361), 1,
      sym_private_property_identifier,
    STATE(6724), 1,
      sym_comment,
  [203618] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10363), 1,
      sym_identifier,
    ACTIONS(10365), 1,
      sym_private_property_identifier,
    STATE(6725), 1,
      sym_comment,
  [203634] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9233), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      sym_private_property_identifier,
    STATE(6726), 1,
      sym_comment,
  [203650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_LBRACE,
    STATE(394), 1,
      sym_statement_block,
    STATE(6727), 1,
      sym_comment,
  [203666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_class_body,
    STATE(6728), 1,
      sym_comment,
  [203682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10367), 1,
      anon_sym_SEMI,
    ACTIONS(10369), 1,
      sym__automatic_semicolon,
    STATE(6729), 1,
      sym_comment,
  [203698] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7574), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_class_body,
    STATE(6730), 1,
      sym_comment,
  [203714] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6731), 1,
      sym_comment,
    ACTIONS(10371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10373), 1,
      anon_sym_SEMI,
    ACTIONS(10375), 1,
      sym__automatic_semicolon,
    STATE(6732), 1,
      sym_comment,
  [203744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6733), 1,
      sym_comment,
    ACTIONS(8291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [203758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10377), 1,
      anon_sym_in,
    ACTIONS(10379), 1,
      anon_sym_COLON,
    STATE(6734), 1,
      sym_comment,
  [203774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6735), 1,
      sym_comment,
    ACTIONS(3497), 2,
      anon_sym_else,
      anon_sym_while,
  [203788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6736), 1,
      sym_comment,
    STATE(7093), 1,
      sym_formal_parameters,
  [203804] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4873), 1,
      anon_sym_LPAREN,
    STATE(2596), 1,
      sym_arguments,
    STATE(6737), 1,
      sym_comment,
  [203820] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10381), 1,
      sym_identifier,
    ACTIONS(10383), 1,
      sym_private_property_identifier,
    STATE(6738), 1,
      sym_comment,
  [203836] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10385), 1,
      sym_identifier,
    ACTIONS(10387), 1,
      sym_private_property_identifier,
    STATE(6739), 1,
      sym_comment,
  [203852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6740), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_else,
      anon_sym_while,
  [203866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3297), 1,
      sym_statement_block,
    STATE(6741), 1,
      sym_comment,
  [203882] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9720), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_statement_block,
    STATE(6742), 1,
      sym_comment,
  [203898] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10389), 1,
      sym_identifier,
    ACTIONS(10391), 1,
      sym_private_property_identifier,
    STATE(6743), 1,
      sym_comment,
  [203914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3505), 1,
      sym_class_body,
    STATE(6744), 1,
      sym_comment,
  [203930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8869), 1,
      anon_sym_in,
    ACTIONS(8871), 1,
      anon_sym_of,
    STATE(6745), 1,
      sym_comment,
  [203946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6746), 1,
      sym_comment,
    ACTIONS(10393), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [203960] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6747), 1,
      sym_comment,
    ACTIONS(3511), 2,
      anon_sym_else,
      anon_sym_while,
  [203974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [203988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(10395), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204002] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(10397), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204016] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3287), 1,
      sym_class_body,
    STATE(6751), 1,
      sym_comment,
  [204032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    STATE(4616), 1,
      sym_formal_parameters,
    STATE(6752), 1,
      sym_comment,
  [204048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6636), 1,
      sym_statement_block,
    STATE(6753), 1,
      sym_comment,
  [204064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2592), 1,
      sym_class_body,
    STATE(6754), 1,
      sym_comment,
  [204080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6755), 1,
      sym_comment,
    ACTIONS(6734), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6638), 1,
      sym_statement_block,
    STATE(6756), 1,
      sym_comment,
  [204110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6757), 1,
      sym_comment,
    ACTIONS(6750), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1269), 1,
      sym_class_body,
    STATE(6758), 1,
      sym_comment,
  [204140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    STATE(1272), 1,
      sym_statement_block,
    STATE(6759), 1,
      sym_comment,
  [204156] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10399), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      sym_private_property_identifier,
    STATE(6760), 1,
      sym_comment,
  [204172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6761), 1,
      sym_comment,
    ACTIONS(10403), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_class_body,
    STATE(6762), 1,
      sym_comment,
  [204202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_class_body,
    STATE(6763), 1,
      sym_comment,
  [204218] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10405), 1,
      sym_identifier,
    ACTIONS(10407), 1,
      sym_private_property_identifier,
    STATE(6764), 1,
      sym_comment,
  [204234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3594), 1,
      sym_statement_block,
    STATE(6765), 1,
      sym_comment,
  [204250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6766), 1,
      sym_comment,
    ACTIONS(10409), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [204264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7600), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_class_body,
    STATE(6767), 1,
      sym_comment,
  [204280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10411), 1,
      anon_sym_LBRACE,
    STATE(1354), 1,
      sym_statement_block,
    STATE(6768), 1,
      sym_comment,
  [204296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10413), 1,
      anon_sym_LPAREN,
    STATE(1359), 1,
      sym_parenthesized_expression,
    STATE(6769), 1,
      sym_comment,
  [204312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6770), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204326] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1745), 1,
      sym_class_body,
    STATE(6771), 1,
      sym_comment,
  [204342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10415), 1,
      anon_sym_LBRACE,
    STATE(1447), 1,
      sym_enum_body,
    STATE(6772), 1,
      sym_comment,
  [204358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10417), 1,
      anon_sym_SEMI,
    ACTIONS(10419), 1,
      sym__automatic_semicolon,
    STATE(6773), 1,
      sym_comment,
  [204374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10421), 1,
      anon_sym_SEMI,
    ACTIONS(10423), 1,
      sym__automatic_semicolon,
    STATE(6774), 1,
      sym_comment,
  [204390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6775), 1,
      sym_comment,
    ACTIONS(10425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6776), 1,
      sym_comment,
    ACTIONS(10427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6777), 1,
      sym_comment,
    ACTIONS(9280), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6778), 1,
      sym_comment,
    ACTIONS(10429), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [204446] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10431), 1,
      sym_identifier,
    ACTIONS(10433), 1,
      sym_private_property_identifier,
    STATE(6779), 1,
      sym_comment,
  [204462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6780), 1,
      sym_comment,
    ACTIONS(10435), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [204476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6781), 1,
      sym_comment,
    ACTIONS(10437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(6116), 1,
      sym_class_body,
    STATE(6782), 1,
      sym_comment,
  [204506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6783), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6784), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6785), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3587), 1,
      sym_statement_block,
    STATE(6786), 1,
      sym_comment,
  [204564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3591), 1,
      sym_statement_block,
    STATE(6787), 1,
      sym_comment,
  [204580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_class_body,
    STATE(6788), 1,
      sym_comment,
  [204596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6789), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2582), 1,
      sym_statement_block,
    STATE(6790), 1,
      sym_comment,
  [204626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(105), 1,
      sym_parenthesized_expression,
    STATE(6791), 1,
      sym_comment,
  [204642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10439), 1,
      anon_sym_SEMI,
    ACTIONS(10441), 1,
      sym__automatic_semicolon,
    STATE(6792), 1,
      sym_comment,
  [204658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6793), 1,
      sym_comment,
    ACTIONS(2260), 2,
      anon_sym_else,
      anon_sym_while,
  [204672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6794), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10443), 1,
      anon_sym_SEMI,
    ACTIONS(10445), 1,
      sym__automatic_semicolon,
    STATE(6795), 1,
      sym_comment,
  [204702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10415), 1,
      anon_sym_LBRACE,
    STATE(1498), 1,
      sym_enum_body,
    STATE(6796), 1,
      sym_comment,
  [204718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10411), 1,
      anon_sym_LBRACE,
    STATE(1506), 1,
      sym_statement_block,
    STATE(6797), 1,
      sym_comment,
  [204734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10447), 1,
      anon_sym_SEMI,
    ACTIONS(10449), 1,
      sym__automatic_semicolon,
    STATE(6798), 1,
      sym_comment,
  [204750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6799), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8721), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_statement_block,
    STATE(6800), 1,
      sym_comment,
  [204780] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10451), 1,
      sym_identifier,
    ACTIONS(10453), 1,
      anon_sym_STAR,
    STATE(6801), 1,
      sym_comment,
  [204796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6802), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6803), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5421), 1,
      anon_sym_LPAREN,
    STATE(3126), 1,
      sym_arguments,
    STATE(6804), 1,
      sym_comment,
  [204840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6805), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [204854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6806), 1,
      sym_comment,
    ACTIONS(8416), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [204868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6807), 1,
      sym_comment,
    ACTIONS(8436), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [204882] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6808), 1,
      sym_comment,
    ACTIONS(8440), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [204896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3132), 1,
      sym_class_body,
    STATE(6809), 1,
      sym_comment,
  [204912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6810), 1,
      sym_comment,
    ACTIONS(10455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10457), 1,
      anon_sym_SEMI,
    ACTIONS(10459), 1,
      sym__automatic_semicolon,
    STATE(6811), 1,
      sym_comment,
  [204942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3141), 1,
      sym_class_body,
    STATE(6812), 1,
      sym_comment,
  [204958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6813), 1,
      sym_comment,
    ACTIONS(10461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204972] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6814), 1,
      sym_comment,
    ACTIONS(5602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [204986] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6815), 1,
      sym_comment,
    ACTIONS(5604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6816), 1,
      sym_comment,
    ACTIONS(10463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6817), 1,
      sym_comment,
    ACTIONS(10465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6818), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10091), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym__for_header,
    STATE(6819), 1,
      sym_comment,
  [205058] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2564), 1,
      sym_statement_block,
    STATE(6820), 1,
      sym_comment,
  [205074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6821), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10467), 1,
      anon_sym_LBRACE,
    STATE(1390), 1,
      sym_switch_body,
    STATE(6822), 1,
      sym_comment,
  [205104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6823), 1,
      sym_comment,
    ACTIONS(10469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6824), 1,
      sym_comment,
    ACTIONS(10471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6825), 1,
      sym_comment,
    ACTIONS(6814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    STATE(4233), 1,
      sym_formal_parameters,
    STATE(6826), 1,
      sym_comment,
  [205162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6827), 1,
      sym_comment,
    ACTIONS(5616), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205176] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10473), 1,
      sym_identifier,
    ACTIONS(10475), 1,
      anon_sym_STAR,
    STATE(6828), 1,
      sym_comment,
  [205192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym_parenthesized_expression,
    STATE(6829), 1,
      sym_comment,
  [205208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6822), 1,
      sym_parenthesized_expression,
    STATE(6830), 1,
      sym_comment,
  [205224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3479), 1,
      sym_class_body,
    STATE(6831), 1,
      sym_comment,
  [205240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3487), 1,
      sym_class_body,
    STATE(6832), 1,
      sym_comment,
  [205256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6833), 1,
      sym_comment,
    ACTIONS(10477), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [205270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6834), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3148), 1,
      sym_statement_block,
    STATE(6835), 1,
      sym_comment,
  [205300] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      sym_private_property_identifier,
    STATE(6836), 1,
      sym_comment,
  [205316] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10483), 1,
      sym_identifier,
    STATE(6054), 1,
      sym_nested_identifier,
    STATE(6837), 1,
      sym_comment,
  [205332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1251), 1,
      sym_class_body,
    STATE(6838), 1,
      sym_comment,
  [205348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6839), 1,
      sym_comment,
    ACTIONS(10485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [205362] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym_parenthesized_expression,
    STATE(6840), 1,
      sym_comment,
  [205378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6841), 1,
      sym_comment,
    ACTIONS(7448), 2,
      anon_sym_in,
      anon_sym_of,
  [205392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6358), 1,
      sym__from_clause,
    STATE(6843), 1,
      sym_comment,
  [205422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10487), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
    STATE(6844), 1,
      sym_comment,
  [205438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6845), 1,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6773), 1,
      sym__from_clause,
    STATE(6846), 1,
      sym_comment,
  [205468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6847), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(97), 1,
      sym_parenthesized_expression,
    STATE(6848), 1,
      sym_comment,
  [205498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6850), 1,
      sym_comment,
    ACTIONS(3625), 2,
      anon_sym_else,
      anon_sym_while,
  [205526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6851), 1,
      sym_comment,
    ACTIONS(3603), 2,
      anon_sym_else,
      anon_sym_while,
  [205540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6852), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
  [205554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6853), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6854), 1,
      sym_comment,
    STATE(7192), 1,
      sym_formal_parameters,
  [205584] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10489), 1,
      sym_identifier,
    ACTIONS(10491), 1,
      sym_private_property_identifier,
    STATE(6855), 1,
      sym_comment,
  [205600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6856), 1,
      sym_comment,
    ACTIONS(3435), 2,
      anon_sym_else,
      anon_sym_while,
  [205614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6857), 1,
      sym_comment,
    STATE(6895), 1,
      sym_statement_block,
  [205630] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10493), 1,
      sym_identifier,
    ACTIONS(10495), 1,
      sym_private_property_identifier,
    STATE(6858), 1,
      sym_comment,
  [205646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6859), 1,
      sym_comment,
    ACTIONS(2354), 2,
      anon_sym_else,
      anon_sym_while,
  [205660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6860), 1,
      sym_comment,
    ACTIONS(9643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205674] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6861), 1,
      sym_comment,
    ACTIONS(3621), 2,
      anon_sym_else,
      anon_sym_while,
  [205688] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10497), 1,
      sym_identifier,
    ACTIONS(10499), 1,
      sym_private_property_identifier,
    STATE(6862), 1,
      sym_comment,
  [205704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6863), 1,
      sym_comment,
    ACTIONS(3623), 2,
      anon_sym_else,
      anon_sym_while,
  [205718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6729), 1,
      sym__from_clause,
    STATE(6864), 1,
      sym_comment,
  [205734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_statement_block,
    STATE(6865), 1,
      sym_comment,
  [205750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6866), 1,
      sym_comment,
    ACTIONS(3595), 2,
      anon_sym_else,
      anon_sym_while,
  [205764] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6867), 1,
      sym_comment,
    ACTIONS(3593), 2,
      anon_sym_else,
      anon_sym_while,
  [205778] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6868), 1,
      sym_comment,
    ACTIONS(3589), 2,
      anon_sym_else,
      anon_sym_while,
  [205792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6869), 1,
      sym_comment,
    ACTIONS(3579), 2,
      anon_sym_else,
      anon_sym_while,
  [205806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10501), 1,
      sym_identifier,
    ACTIONS(10503), 1,
      sym_private_property_identifier,
    STATE(6870), 1,
      sym_comment,
  [205822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6871), 1,
      sym_comment,
    ACTIONS(10505), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [205836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6872), 1,
      sym_comment,
    STATE(7197), 1,
      sym_formal_parameters,
  [205852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(3577), 2,
      anon_sym_else,
      anon_sym_while,
  [205866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6874), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [205880] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10507), 1,
      sym_identifier,
    STATE(5676), 1,
      sym_nested_identifier,
    STATE(6875), 1,
      sym_comment,
  [205896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6876), 1,
      sym_comment,
    ACTIONS(3573), 2,
      anon_sym_else,
      anon_sym_while,
  [205910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6877), 1,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_else,
      anon_sym_while,
  [205924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6878), 1,
      sym_comment,
    ACTIONS(3539), 2,
      anon_sym_else,
      anon_sym_while,
  [205938] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6879), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_else,
      anon_sym_while,
  [205952] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6880), 1,
      sym_comment,
    STATE(7216), 1,
      sym_formal_parameters,
  [205968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6881), 1,
      sym_comment,
    ACTIONS(3535), 2,
      anon_sym_else,
      anon_sym_while,
  [205982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6882), 1,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_else,
      anon_sym_while,
  [205996] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6883), 1,
      sym_comment,
    ACTIONS(10509), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6884), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6885), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206038] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3159), 1,
      sym_class_body,
    STATE(6886), 1,
      sym_comment,
  [206054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3158), 1,
      sym_statement_block,
    STATE(6887), 1,
      sym_comment,
  [206070] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3157), 1,
      sym_statement_block,
    STATE(6888), 1,
      sym_comment,
  [206086] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6889), 1,
      sym_comment,
    STATE(6892), 1,
      sym_statement_block,
  [206102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6890), 1,
      sym_comment,
    ACTIONS(3619), 2,
      anon_sym_else,
      anon_sym_while,
  [206116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_class_body,
    STATE(6891), 1,
      sym_comment,
  [206132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6892), 1,
      sym_comment,
    ACTIONS(6785), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      sym_statement_block,
    STATE(6893), 1,
      sym_comment,
  [206162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6894), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6895), 1,
      sym_comment,
    ACTIONS(6779), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6757), 1,
      sym_statement_block,
    STATE(6896), 1,
      sym_comment,
  [206206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6897), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206220] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_class_body,
    STATE(6898), 1,
      sym_comment,
  [206236] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    STATE(1526), 1,
      sym_statement_block,
    STATE(6899), 1,
      sym_comment,
  [206252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6900), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6901), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7526), 1,
      anon_sym_LBRACE,
    STATE(1523), 1,
      sym_class_body,
    STATE(6902), 1,
      sym_comment,
  [206296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6903), 1,
      sym_comment,
    ACTIONS(10511), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206310] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6904), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6905), 1,
      sym_comment,
    ACTIONS(9505), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6906), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6907), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3130), 1,
      sym_class_body,
    STATE(6908), 1,
      sym_comment,
  [206382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
    STATE(6909), 1,
      sym_comment,
  [206398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6910), 1,
      sym_comment,
    ACTIONS(3433), 2,
      anon_sym_else,
      anon_sym_while,
  [206412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6911), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_else,
      anon_sym_while,
  [206426] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10513), 1,
      sym_identifier,
    ACTIONS(10515), 1,
      sym_private_property_identifier,
    STATE(6912), 1,
      sym_comment,
  [206442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6913), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6914), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6916), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6917), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7622), 1,
      anon_sym_LBRACE,
    STATE(1649), 1,
      sym_class_body,
    STATE(6918), 1,
      sym_comment,
  [206528] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10517), 1,
      sym_identifier,
    STATE(6330), 1,
      sym_nested_identifier,
    STATE(6919), 1,
      sym_comment,
  [206544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6920), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6921), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6922), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6923), 1,
      sym_comment,
    ACTIONS(9518), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [206600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6924), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6925), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6926), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [206642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3618), 1,
      sym_statement_block,
    STATE(6927), 1,
      sym_comment,
  [206658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6928), 1,
      sym_comment,
    ACTIONS(3591), 2,
      anon_sym_else,
      anon_sym_while,
  [206672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6929), 1,
      sym_comment,
    ACTIONS(6766), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [206686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6930), 1,
      sym_comment,
    ACTIONS(3561), 2,
      anon_sym_else,
      anon_sym_while,
  [206700] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3607), 1,
      sym_statement_block,
    STATE(6931), 1,
      sym_comment,
  [206716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6932), 1,
      sym_comment,
    ACTIONS(3563), 2,
      anon_sym_else,
      anon_sym_while,
  [206730] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3146), 1,
      sym_class_body,
    STATE(6933), 1,
      sym_comment,
  [206746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6934), 1,
      sym_comment,
    ACTIONS(3565), 2,
      anon_sym_else,
      anon_sym_while,
  [206760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3605), 1,
      sym_statement_block,
    STATE(6935), 1,
      sym_comment,
  [206776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6936), 1,
      sym_comment,
    STATE(7180), 1,
      sym_formal_parameters,
  [206792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6937), 1,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_else,
      anon_sym_while,
  [206806] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6938), 1,
      sym_comment,
    ACTIONS(10519), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [206820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_statement_block,
    STATE(6939), 1,
      sym_comment,
  [206836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3593), 1,
      sym_statement_block,
    STATE(6940), 1,
      sym_comment,
  [206852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6941), 1,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_else,
      anon_sym_while,
  [206866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_else,
      anon_sym_while,
  [206880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6271), 1,
      sym_statement_block,
    STATE(6943), 1,
      sym_comment,
  [206896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6944), 1,
      sym_comment,
    ACTIONS(3569), 2,
      anon_sym_else,
      anon_sym_while,
  [206910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3617), 1,
      sym_statement_block,
    STATE(6945), 1,
      sym_comment,
  [206926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(10521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [206940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6947), 1,
      sym_comment,
    ACTIONS(10523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [206954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4269), 1,
      anon_sym_COLON,
    STATE(6778), 1,
      sym_type_annotation,
    STATE(6948), 1,
      sym_comment,
  [206970] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10045), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(6949), 1,
      sym_comment,
  [206986] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6644), 1,
      sym_parenthesized_expression,
    STATE(6950), 1,
      sym_comment,
  [207002] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3568), 1,
      sym_statement_block,
    STATE(6951), 1,
      sym_comment,
  [207018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(6472), 1,
      sym_class_body,
    STATE(6952), 1,
      sym_comment,
  [207034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6953), 1,
      sym_comment,
    ACTIONS(3605), 2,
      anon_sym_else,
      anon_sym_while,
  [207048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3151), 1,
      sym_statement_block,
    STATE(6954), 1,
      sym_comment,
  [207064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6373), 1,
      sym__from_clause,
    STATE(6955), 1,
      sym_comment,
  [207080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6956), 1,
      sym_comment,
    ACTIONS(3571), 2,
      anon_sym_else,
      anon_sym_while,
  [207094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(5183), 1,
      sym_formal_parameters,
    STATE(6957), 1,
      sym_comment,
  [207110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6958), 1,
      sym_comment,
    ACTIONS(3609), 2,
      anon_sym_else,
      anon_sym_while,
  [207124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10525), 1,
      anon_sym_SEMI,
    ACTIONS(10527), 1,
      sym__automatic_semicolon,
    STATE(6959), 1,
      sym_comment,
  [207140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6960), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [207154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6961), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [207168] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6962), 1,
      sym_comment,
    ACTIONS(10529), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [207182] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6603), 1,
      sym__from_clause,
    STATE(6963), 1,
      sym_comment,
  [207198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(6649), 1,
      sym_class_body,
    STATE(6964), 1,
      sym_comment,
  [207214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6965), 1,
      sym_comment,
    ACTIONS(10531), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [207228] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6594), 1,
      sym__from_clause,
    STATE(6966), 1,
      sym_comment,
  [207244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6967), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [207258] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10533), 1,
      sym_identifier,
    ACTIONS(10535), 1,
      sym_private_property_identifier,
    STATE(6968), 1,
      sym_comment,
  [207274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [207288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3192), 1,
      sym_class_body,
    STATE(6970), 1,
      sym_comment,
  [207304] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10537), 1,
      sym_identifier,
    ACTIONS(10539), 1,
      sym_private_property_identifier,
    STATE(6971), 1,
      sym_comment,
  [207320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6972), 1,
      sym_comment,
    STATE(7467), 1,
      sym_formal_parameters,
  [207336] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6973), 1,
      sym_comment,
    ACTIONS(3581), 2,
      anon_sym_else,
      anon_sym_while,
  [207350] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6974), 1,
      sym_comment,
    STATE(7309), 1,
      sym_formal_parameters,
  [207366] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2629), 1,
      sym_class_body,
    STATE(6975), 1,
      sym_comment,
  [207382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6976), 1,
      sym_comment,
    ACTIONS(3585), 2,
      anon_sym_else,
      anon_sym_while,
  [207396] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10541), 1,
      sym_identifier,
    ACTIONS(10543), 1,
      sym_private_property_identifier,
    STATE(6977), 1,
      sym_comment,
  [207412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(6191), 1,
      sym_class_body,
    STATE(6978), 1,
      sym_comment,
  [207428] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10545), 1,
      sym_identifier,
    STATE(6195), 1,
      sym_nested_identifier,
    STATE(6979), 1,
      sym_comment,
  [207444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(6218), 1,
      sym_statement_block,
    STATE(6980), 1,
      sym_comment,
  [207460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6981), 1,
      sym_comment,
    ACTIONS(3611), 2,
      anon_sym_else,
      anon_sym_while,
  [207474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6982), 1,
      sym_comment,
    STATE(7425), 1,
      sym_formal_parameters,
  [207490] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10547), 1,
      sym_identifier,
    ACTIONS(10549), 1,
      sym_private_property_identifier,
    STATE(6983), 1,
      sym_comment,
  [207506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6572), 1,
      sym__from_clause,
    STATE(6984), 1,
      sym_comment,
  [207522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6985), 1,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_else,
      anon_sym_while,
  [207536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_LBRACE,
    STATE(6253), 1,
      sym_statement_block,
    STATE(6986), 1,
      sym_comment,
  [207552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_class_body,
    STATE(6987), 1,
      sym_comment,
  [207568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_statement_block,
    STATE(6988), 1,
      sym_comment,
  [207584] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9558), 1,
      sym_identifier,
    ACTIONS(9562), 1,
      sym_private_property_identifier,
    STATE(6989), 1,
      sym_comment,
  [207600] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6990), 1,
      sym_comment,
    STATE(7310), 1,
      sym_formal_parameters,
  [207616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3585), 1,
      sym_statement_block,
    STATE(6991), 1,
      sym_comment,
  [207632] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(6220), 1,
      sym_class_body,
    STATE(6992), 1,
      sym_comment,
  [207648] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10551), 1,
      sym_identifier,
    STATE(5948), 1,
      sym_nested_identifier,
    STATE(6993), 1,
      sym_comment,
  [207664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_class_body,
    STATE(6994), 1,
      sym_comment,
  [207680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7518), 1,
      anon_sym_LBRACE,
    STATE(6242), 1,
      sym_class_body,
    STATE(6995), 1,
      sym_comment,
  [207696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7802), 1,
      anon_sym_LBRACE,
    STATE(6240), 1,
      sym_statement_block,
    STATE(6996), 1,
      sym_comment,
  [207712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(6997), 1,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_else,
      anon_sym_while,
  [207726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(6998), 1,
      sym_comment,
    STATE(7326), 1,
      sym_formal_parameters,
  [207742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(6524), 1,
      sym_class_body,
    STATE(6999), 1,
      sym_comment,
  [207758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7534), 1,
      anon_sym_LBRACE,
    STATE(3246), 1,
      sym_class_body,
    STATE(7000), 1,
      sym_comment,
  [207774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7001), 1,
      sym_comment,
    ACTIONS(3607), 2,
      anon_sym_else,
      anon_sym_while,
  [207788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7002), 1,
      sym_comment,
    ACTIONS(3599), 2,
      anon_sym_else,
      anon_sym_while,
  [207802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7173), 1,
      anon_sym_LPAREN,
    STATE(4597), 1,
      sym_formal_parameters,
    STATE(7003), 1,
      sym_comment,
  [207818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8721), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_statement_block,
    STATE(7004), 1,
      sym_comment,
  [207834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7558), 1,
      anon_sym_LBRACE,
    STATE(6545), 1,
      sym_class_body,
    STATE(7005), 1,
      sym_comment,
  [207850] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3329), 1,
      sym_statement_block,
    STATE(7006), 1,
      sym_comment,
  [207866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7007), 1,
      sym_comment,
    ACTIONS(3575), 2,
      anon_sym_else,
      anon_sym_while,
  [207880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3575), 1,
      sym_statement_block,
    STATE(7008), 1,
      sym_comment,
  [207896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7009), 1,
      sym_comment,
    ACTIONS(3597), 2,
      anon_sym_else,
      anon_sym_while,
  [207910] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_statement_block,
    STATE(7010), 1,
      sym_comment,
  [207926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7636), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_class_body,
    STATE(7011), 1,
      sym_comment,
  [207942] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_class_body,
    STATE(7012), 1,
      sym_comment,
  [207958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6447), 1,
      sym__from_clause,
    STATE(7013), 1,
      sym_comment,
  [207974] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2648), 1,
      sym_statement_block,
    STATE(7014), 1,
      sym_comment,
  [207990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10047), 1,
      anon_sym_LPAREN,
    STATE(6505), 1,
      sym_parenthesized_expression,
    STATE(7015), 1,
      sym_comment,
  [208006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_statement_block,
    STATE(7016), 1,
      sym_comment,
  [208022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7017), 1,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_else,
      anon_sym_while,
  [208036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7018), 1,
      sym_comment,
    ACTIONS(3587), 2,
      anon_sym_else,
      anon_sym_while,
  [208050] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7019), 1,
      sym_comment,
    ACTIONS(9590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    STATE(7020), 1,
      sym_comment,
    STATE(7422), 1,
      sym_formal_parameters,
  [208080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACE,
    STATE(3221), 1,
      sym_statement_block,
    STATE(7021), 1,
      sym_comment,
  [208096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7022), 1,
      sym_comment,
    ACTIONS(3453), 2,
      anon_sym_else,
      anon_sym_while,
  [208110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6465), 1,
      sym__from_clause,
    STATE(7023), 1,
      sym_comment,
  [208126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7024), 1,
      sym_comment,
    ACTIONS(10553), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7542), 1,
      anon_sym_LBRACE,
    STATE(3488), 1,
      sym_class_body,
    STATE(7025), 1,
      sym_comment,
  [208156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    STATE(7026), 1,
      sym_comment,
    ACTIONS(10555), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [208170] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8913), 1,
      anon_sym_from,
    STATE(6473), 1,
      sym__from_clause,
    STATE(7027), 1,
      sym_comment,
  [208186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10557), 1,
      anon_sym_RPAREN,
    STATE(7028), 1,
      sym_comment,
  [208199] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10559), 1,
      sym_identifier,
    STATE(7029), 1,
      sym_comment,
  [208212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10561), 1,
      anon_sym_RBRACK,
    STATE(7030), 1,
      sym_comment,
  [208225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10563), 1,
      anon_sym_RBRACK,
    STATE(7031), 1,
      sym_comment,
  [208238] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10565), 1,
      sym_identifier,
    STATE(7032), 1,
      sym_comment,
  [208251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10567), 1,
      anon_sym_RBRACK,
    STATE(7033), 1,
      sym_comment,
  [208264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10569), 1,
      anon_sym_while,
    STATE(7034), 1,
      sym_comment,
  [208277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10571), 1,
      anon_sym_RBRACK,
    STATE(7035), 1,
      sym_comment,
  [208290] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10573), 1,
      sym_identifier,
    STATE(7036), 1,
      sym_comment,
  [208303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(7037), 1,
      sym_comment,
  [208316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10575), 1,
      anon_sym_DOT,
    STATE(7038), 1,
      sym_comment,
  [208329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10577), 1,
      sym_identifier,
    STATE(7039), 1,
      sym_comment,
  [208342] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10579), 1,
      sym_identifier,
    STATE(7040), 1,
      sym_comment,
  [208355] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10581), 1,
      sym_regex_pattern,
    STATE(7041), 1,
      sym_comment,
  [208368] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10583), 1,
      anon_sym_RBRACK,
    STATE(7042), 1,
      sym_comment,
  [208381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10585), 1,
      anon_sym_RBRACK,
    STATE(7043), 1,
      sym_comment,
  [208394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10587), 1,
      anon_sym_RBRACK,
    STATE(7044), 1,
      sym_comment,
  [208407] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10589), 1,
      sym_identifier,
    STATE(7045), 1,
      sym_comment,
  [208420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10591), 1,
      anon_sym_LBRACK,
    STATE(7046), 1,
      sym_comment,
  [208433] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10593), 1,
      sym_identifier,
    STATE(7047), 1,
      sym_comment,
  [208446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10595), 1,
      anon_sym_COLON,
    STATE(7048), 1,
      sym_comment,
  [208459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10597), 1,
      anon_sym_RBRACK,
    STATE(7049), 1,
      sym_comment,
  [208472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10599), 1,
      anon_sym_RBRACK,
    STATE(7050), 1,
      sym_comment,
  [208485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10601), 1,
      anon_sym_RBRACK,
    STATE(7051), 1,
      sym_comment,
  [208498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10603), 1,
      anon_sym_EQ_GT,
    STATE(7052), 1,
      sym_comment,
  [208511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10605), 1,
      anon_sym_RPAREN,
    STATE(7053), 1,
      sym_comment,
  [208524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10607), 1,
      sym_identifier,
    STATE(7054), 1,
      sym_comment,
  [208537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10609), 1,
      sym_identifier,
    STATE(7055), 1,
      sym_comment,
  [208550] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10611), 1,
      sym_identifier,
    STATE(7056), 1,
      sym_comment,
  [208563] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10613), 1,
      sym_identifier,
    STATE(7057), 1,
      sym_comment,
  [208576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10615), 1,
      anon_sym_RBRACK,
    STATE(7058), 1,
      sym_comment,
  [208589] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10617), 1,
      anon_sym_RBRACK,
    STATE(7059), 1,
      sym_comment,
  [208602] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10619), 1,
      anon_sym_RBRACK,
    STATE(7060), 1,
      sym_comment,
  [208615] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10621), 1,
      sym_identifier,
    STATE(7061), 1,
      sym_comment,
  [208628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10623), 1,
      anon_sym_DOT,
    STATE(7062), 1,
      sym_comment,
  [208641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10625), 1,
      anon_sym_RBRACK,
    STATE(7063), 1,
      sym_comment,
  [208654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10627), 1,
      anon_sym_RBRACK,
    STATE(7064), 1,
      sym_comment,
  [208667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7418), 1,
      anon_sym_is,
    STATE(7065), 1,
      sym_comment,
  [208680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(7066), 1,
      sym_comment,
  [208693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10629), 1,
      anon_sym_from,
    STATE(7067), 1,
      sym_comment,
  [208706] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10631), 1,
      anon_sym_while,
    STATE(7068), 1,
      sym_comment,
  [208719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10633), 1,
      anon_sym_LPAREN,
    STATE(7069), 1,
      sym_comment,
  [208732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10635), 1,
      anon_sym_RBRACK,
    STATE(7070), 1,
      sym_comment,
  [208745] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10637), 1,
      sym_identifier,
    STATE(7071), 1,
      sym_comment,
  [208758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10639), 1,
      anon_sym_RPAREN,
    STATE(7072), 1,
      sym_comment,
  [208771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10641), 1,
      anon_sym_RBRACK,
    STATE(7073), 1,
      sym_comment,
  [208784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10643), 1,
      anon_sym_from,
    STATE(7074), 1,
      sym_comment,
  [208797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10645), 1,
      sym_identifier,
    STATE(7075), 1,
      sym_comment,
  [208810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10647), 1,
      anon_sym_as,
    STATE(7076), 1,
      sym_comment,
  [208823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10649), 1,
      anon_sym_RBRACK,
    STATE(7077), 1,
      sym_comment,
  [208836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10651), 1,
      anon_sym_RBRACK,
    STATE(7078), 1,
      sym_comment,
  [208849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10653), 1,
      anon_sym_RBRACK,
    STATE(7079), 1,
      sym_comment,
  [208862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10655), 1,
      anon_sym_require,
    STATE(7080), 1,
      sym_comment,
  [208875] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10657), 1,
      sym_identifier,
    STATE(7081), 1,
      sym_comment,
  [208888] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10659), 1,
      sym_identifier,
    STATE(7082), 1,
      sym_comment,
  [208901] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10661), 1,
      sym_identifier,
    STATE(7083), 1,
      sym_comment,
  [208914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10663), 1,
      anon_sym_EQ_GT,
    STATE(7084), 1,
      sym_comment,
  [208927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10665), 1,
      anon_sym_from,
    STATE(7085), 1,
      sym_comment,
  [208940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10667), 1,
      sym_identifier,
    STATE(7086), 1,
      sym_comment,
  [208953] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10669), 1,
      sym_identifier,
    STATE(7087), 1,
      sym_comment,
  [208966] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10671), 1,
      sym_identifier,
    STATE(7088), 1,
      sym_comment,
  [208979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10673), 1,
      anon_sym_EQ_GT,
    STATE(7089), 1,
      sym_comment,
  [208992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10675), 1,
      anon_sym_DOT,
    STATE(7090), 1,
      sym_comment,
  [209005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10677), 1,
      sym_identifier,
    STATE(7091), 1,
      sym_comment,
  [209018] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10679), 1,
      sym_regex_pattern,
    STATE(7092), 1,
      sym_comment,
  [209031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10681), 1,
      anon_sym_EQ_GT,
    STATE(7093), 1,
      sym_comment,
  [209044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10683), 1,
      anon_sym_EQ,
    STATE(7094), 1,
      sym_comment,
  [209057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10685), 1,
      anon_sym_EQ_GT,
    STATE(7095), 1,
      sym_comment,
  [209070] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10687), 1,
      sym_identifier,
    STATE(7096), 1,
      sym_comment,
  [209083] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10689), 1,
      anon_sym_EQ_GT,
    STATE(7097), 1,
      sym_comment,
  [209096] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10691), 1,
      sym_identifier,
    STATE(7098), 1,
      sym_comment,
  [209109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10693), 1,
      anon_sym_EQ_GT,
    STATE(7099), 1,
      sym_comment,
  [209122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10695), 1,
      anon_sym_EQ_GT,
    STATE(7100), 1,
      sym_comment,
  [209135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10697), 1,
      anon_sym_EQ_GT,
    STATE(7101), 1,
      sym_comment,
  [209148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6284), 1,
      anon_sym_in,
    STATE(7102), 1,
      sym_comment,
  [209161] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10699), 1,
      sym_identifier,
    STATE(7103), 1,
      sym_comment,
  [209174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10701), 1,
      anon_sym_COLON,
    STATE(7104), 1,
      sym_comment,
  [209187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5982), 1,
      anon_sym_RBRACK,
    STATE(7105), 1,
      sym_comment,
  [209200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7071), 1,
      anon_sym_is,
    STATE(7106), 1,
      sym_comment,
  [209213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10703), 1,
      anon_sym_RPAREN,
    STATE(7107), 1,
      sym_comment,
  [209226] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10705), 1,
      sym_identifier,
    STATE(7108), 1,
      sym_comment,
  [209239] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10707), 1,
      anon_sym_from,
    STATE(7109), 1,
      sym_comment,
  [209252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10709), 1,
      sym_identifier,
    STATE(7110), 1,
      sym_comment,
  [209265] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10711), 1,
      sym_identifier,
    STATE(7111), 1,
      sym_comment,
  [209278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5986), 1,
      anon_sym_COLON,
    STATE(7112), 1,
      sym_comment,
  [209291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(7113), 1,
      sym_comment,
  [209304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10713), 1,
      sym_identifier,
    STATE(7114), 1,
      sym_comment,
  [209317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10715), 1,
      anon_sym_DOT,
    STATE(7115), 1,
      sym_comment,
  [209330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10717), 1,
      anon_sym_while,
    STATE(7116), 1,
      sym_comment,
  [209343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(7117), 1,
      sym_comment,
  [209356] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10719), 1,
      sym_identifier,
    STATE(7118), 1,
      sym_comment,
  [209369] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10721), 1,
      sym_identifier,
    STATE(7119), 1,
      sym_comment,
  [209382] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10723), 1,
      sym_identifier,
    STATE(7120), 1,
      sym_comment,
  [209395] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5902), 1,
      anon_sym_in,
    STATE(7121), 1,
      sym_comment,
  [209408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10725), 1,
      anon_sym_EQ_GT,
    STATE(7122), 1,
      sym_comment,
  [209421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6038), 1,
      anon_sym_in,
    STATE(7123), 1,
      sym_comment,
  [209434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    STATE(7124), 1,
      sym_comment,
  [209447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10729), 1,
      anon_sym_class,
    STATE(7125), 1,
      sym_comment,
  [209460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10731), 1,
      sym_identifier,
    STATE(7126), 1,
      sym_comment,
  [209473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10733), 1,
      anon_sym_EQ_GT,
    STATE(7127), 1,
      sym_comment,
  [209486] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10735), 1,
      sym_regex_pattern,
    STATE(7128), 1,
      sym_comment,
  [209499] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10737), 1,
      anon_sym_EQ,
    STATE(7129), 1,
      sym_comment,
  [209512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10739), 1,
      anon_sym_namespace,
    STATE(7130), 1,
      sym_comment,
  [209525] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10741), 1,
      anon_sym_EQ,
    STATE(7131), 1,
      sym_comment,
  [209538] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10743), 1,
      anon_sym_EQ,
    STATE(7132), 1,
      sym_comment,
  [209551] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10745), 1,
      anon_sym_RBRACK,
    STATE(7133), 1,
      sym_comment,
  [209564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(7134), 1,
      sym_comment,
  [209577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10747), 1,
      anon_sym_EQ_GT,
    STATE(7135), 1,
      sym_comment,
  [209590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10749), 1,
      anon_sym_EQ_GT,
    STATE(7136), 1,
      sym_comment,
  [209603] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10751), 1,
      anon_sym_EQ_GT,
    STATE(7137), 1,
      sym_comment,
  [209616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10753), 1,
      anon_sym_EQ_GT,
    STATE(7138), 1,
      sym_comment,
  [209629] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10755), 1,
      anon_sym_EQ_GT,
    STATE(7139), 1,
      sym_comment,
  [209642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10757), 1,
      anon_sym_from,
    STATE(7140), 1,
      sym_comment,
  [209655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10759), 1,
      anon_sym_EQ_GT,
    STATE(7141), 1,
      sym_comment,
  [209668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10761), 1,
      anon_sym_EQ_GT,
    STATE(7142), 1,
      sym_comment,
  [209681] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10763), 1,
      sym_identifier,
    STATE(7143), 1,
      sym_comment,
  [209694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10765), 1,
      anon_sym_EQ,
    STATE(7144), 1,
      sym_comment,
  [209707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10767), 1,
      anon_sym_EQ_GT,
    STATE(7145), 1,
      sym_comment,
  [209720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10769), 1,
      anon_sym_EQ_GT,
    STATE(7146), 1,
      sym_comment,
  [209733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6607), 1,
      anon_sym_in,
    STATE(7147), 1,
      sym_comment,
  [209746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10771), 1,
      anon_sym_EQ_GT,
    STATE(7148), 1,
      sym_comment,
  [209759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10773), 1,
      anon_sym_EQ,
    STATE(7149), 1,
      sym_comment,
  [209772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10775), 1,
      anon_sym_SLASH2,
    STATE(7150), 1,
      sym_comment,
  [209785] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10777), 1,
      anon_sym_EQ,
    STATE(7151), 1,
      sym_comment,
  [209798] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10779), 1,
      anon_sym_new,
    STATE(7152), 1,
      sym_comment,
  [209811] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(7153), 1,
      sym_comment,
  [209824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10781), 1,
      anon_sym_class,
    STATE(7154), 1,
      sym_comment,
  [209837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    STATE(7155), 1,
      sym_comment,
  [209850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10783), 1,
      sym_number,
    STATE(7156), 1,
      sym_comment,
  [209863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10785), 1,
      anon_sym_EQ,
    STATE(7157), 1,
      sym_comment,
  [209876] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10787), 1,
      sym_identifier,
    STATE(7158), 1,
      sym_comment,
  [209889] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10789), 1,
      sym_identifier,
    STATE(7159), 1,
      sym_comment,
  [209902] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10791), 1,
      anon_sym_EQ,
    STATE(7160), 1,
      sym_comment,
  [209915] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10793), 1,
      anon_sym_symbol,
    STATE(7161), 1,
      sym_comment,
  [209928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10795), 1,
      anon_sym_EQ_GT,
    STATE(7162), 1,
      sym_comment,
  [209941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(7163), 1,
      sym_comment,
  [209954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10797), 1,
      anon_sym_RBRACK,
    STATE(7164), 1,
      sym_comment,
  [209967] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10799), 1,
      sym_identifier,
    STATE(7165), 1,
      sym_comment,
  [209980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10801), 1,
      anon_sym_RBRACK,
    STATE(7166), 1,
      sym_comment,
  [209993] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10803), 1,
      sym_identifier,
    STATE(7167), 1,
      sym_comment,
  [210006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5928), 1,
      anon_sym_RBRACE,
    STATE(7168), 1,
      sym_comment,
  [210019] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10805), 1,
      anon_sym_RBRACK,
    STATE(7169), 1,
      sym_comment,
  [210032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_RBRACK,
    STATE(7170), 1,
      sym_comment,
  [210045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10809), 1,
      anon_sym_RBRACK,
    STATE(7171), 1,
      sym_comment,
  [210058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10811), 1,
      anon_sym_RBRACK,
    STATE(7172), 1,
      sym_comment,
  [210071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10813), 1,
      anon_sym_RBRACK,
    STATE(7173), 1,
      sym_comment,
  [210084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10815), 1,
      anon_sym_RBRACK,
    STATE(7174), 1,
      sym_comment,
  [210097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10817), 1,
      sym_identifier,
    STATE(7175), 1,
      sym_comment,
  [210110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10819), 1,
      anon_sym_EQ_GT,
    STATE(7176), 1,
      sym_comment,
  [210123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10821), 1,
      anon_sym_RBRACK,
    STATE(7177), 1,
      sym_comment,
  [210136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10823), 1,
      anon_sym_RBRACK,
    STATE(7178), 1,
      sym_comment,
  [210149] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10825), 1,
      sym_identifier,
    STATE(7179), 1,
      sym_comment,
  [210162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10827), 1,
      anon_sym_EQ_GT,
    STATE(7180), 1,
      sym_comment,
  [210175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10829), 1,
      anon_sym_RPAREN,
    STATE(7181), 1,
      sym_comment,
  [210188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_COLON,
    STATE(7182), 1,
      sym_comment,
  [210201] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9310), 1,
      anon_sym_RBRACK,
    STATE(7183), 1,
      sym_comment,
  [210214] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10833), 1,
      sym_identifier,
    STATE(7184), 1,
      sym_comment,
  [210227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10835), 1,
      anon_sym_EQ_GT,
    STATE(7185), 1,
      sym_comment,
  [210240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10837), 1,
      sym_identifier,
    STATE(7186), 1,
      sym_comment,
  [210253] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10839), 1,
      anon_sym_from,
    STATE(7187), 1,
      sym_comment,
  [210266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10841), 1,
      anon_sym_RPAREN,
    STATE(7188), 1,
      sym_comment,
  [210279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5853), 1,
      anon_sym_RPAREN,
    STATE(7189), 1,
      sym_comment,
  [210292] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10843), 1,
      sym_identifier,
    STATE(7190), 1,
      sym_comment,
  [210305] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10845), 1,
      sym_identifier,
    STATE(7191), 1,
      sym_comment,
  [210318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10847), 1,
      anon_sym_EQ_GT,
    STATE(7192), 1,
      sym_comment,
  [210331] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10849), 1,
      sym_identifier,
    STATE(7193), 1,
      sym_comment,
  [210344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10851), 1,
      anon_sym_EQ_GT,
    STATE(7194), 1,
      sym_comment,
  [210357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10853), 1,
      anon_sym_COLON,
    STATE(7195), 1,
      sym_comment,
  [210370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10855), 1,
      anon_sym_RBRACK,
    STATE(7196), 1,
      sym_comment,
  [210383] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10857), 1,
      anon_sym_EQ_GT,
    STATE(7197), 1,
      sym_comment,
  [210396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9698), 1,
      anon_sym_RBRACK,
    STATE(7198), 1,
      sym_comment,
  [210409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10859), 1,
      anon_sym_EQ_GT,
    STATE(7199), 1,
      sym_comment,
  [210422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7371), 1,
      anon_sym_is,
    STATE(7200), 1,
      sym_comment,
  [210435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10861), 1,
      anon_sym_RPAREN,
    STATE(7201), 1,
      sym_comment,
  [210448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(7202), 1,
      sym_comment,
  [210461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10863), 1,
      anon_sym_RBRACK,
    STATE(7203), 1,
      sym_comment,
  [210474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10865), 1,
      anon_sym_RBRACK,
    STATE(7204), 1,
      sym_comment,
  [210487] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10867), 1,
      anon_sym_new,
    STATE(7205), 1,
      sym_comment,
  [210500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10869), 1,
      anon_sym_RBRACK,
    STATE(7206), 1,
      sym_comment,
  [210513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10871), 1,
      anon_sym_RBRACK,
    STATE(7207), 1,
      sym_comment,
  [210526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10873), 1,
      anon_sym_RBRACK,
    STATE(7208), 1,
      sym_comment,
  [210539] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10875), 1,
      sym_identifier,
    STATE(7209), 1,
      sym_comment,
  [210552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10877), 1,
      anon_sym_RBRACK,
    STATE(7210), 1,
      sym_comment,
  [210565] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10879), 1,
      anon_sym_RBRACK,
    STATE(7211), 1,
      sym_comment,
  [210578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10881), 1,
      anon_sym_LBRACE,
    STATE(7212), 1,
      sym_comment,
  [210591] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10883), 1,
      anon_sym_RBRACK,
    STATE(7213), 1,
      sym_comment,
  [210604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10885), 1,
      anon_sym_RBRACK,
    STATE(7214), 1,
      sym_comment,
  [210617] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10887), 1,
      sym_identifier,
    STATE(7215), 1,
      sym_comment,
  [210630] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10889), 1,
      anon_sym_EQ_GT,
    STATE(7216), 1,
      sym_comment,
  [210643] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5970), 1,
      anon_sym_RBRACK,
    STATE(7217), 1,
      sym_comment,
  [210656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10891), 1,
      anon_sym_RPAREN,
    STATE(7218), 1,
      sym_comment,
  [210669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10893), 1,
      anon_sym_readonly,
    STATE(7219), 1,
      sym_comment,
  [210682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10895), 1,
      anon_sym_RBRACK,
    STATE(7220), 1,
      sym_comment,
  [210695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10897), 1,
      anon_sym_RBRACK,
    STATE(7221), 1,
      sym_comment,
  [210708] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10899), 1,
      sym_identifier,
    STATE(7222), 1,
      sym_comment,
  [210721] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10901), 1,
      anon_sym_RBRACK,
    STATE(7223), 1,
      sym_comment,
  [210734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10903), 1,
      anon_sym_RBRACK,
    STATE(7224), 1,
      sym_comment,
  [210747] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10905), 1,
      anon_sym_EQ_GT,
    STATE(7225), 1,
      sym_comment,
  [210760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10907), 1,
      anon_sym_RBRACK,
    STATE(7226), 1,
      sym_comment,
  [210773] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10909), 1,
      anon_sym_RBRACK,
    STATE(7227), 1,
      sym_comment,
  [210786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10911), 1,
      anon_sym_RBRACK,
    STATE(7228), 1,
      sym_comment,
  [210799] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10913), 1,
      sym_identifier,
    STATE(7229), 1,
      sym_comment,
  [210812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10915), 1,
      anon_sym_RBRACK,
    STATE(7230), 1,
      sym_comment,
  [210825] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10917), 1,
      anon_sym_RBRACK,
    STATE(7231), 1,
      sym_comment,
  [210838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10919), 1,
      anon_sym_RBRACK,
    STATE(7232), 1,
      sym_comment,
  [210851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10921), 1,
      anon_sym_RBRACK,
    STATE(7233), 1,
      sym_comment,
  [210864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10923), 1,
      anon_sym_RBRACK,
    STATE(7234), 1,
      sym_comment,
  [210877] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10925), 1,
      sym_identifier,
    STATE(7235), 1,
      sym_comment,
  [210890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10927), 1,
      anon_sym_RPAREN,
    STATE(7236), 1,
      sym_comment,
  [210903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10929), 1,
      anon_sym_RBRACK,
    STATE(7237), 1,
      sym_comment,
  [210916] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10931), 1,
      sym_identifier,
    STATE(7238), 1,
      sym_comment,
  [210929] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10933), 1,
      sym_identifier,
    STATE(7239), 1,
      sym_comment,
  [210942] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10935), 1,
      anon_sym_EQ_GT,
    STATE(7240), 1,
      sym_comment,
  [210955] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9746), 1,
      anon_sym_RBRACK,
    STATE(7241), 1,
      sym_comment,
  [210968] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10937), 1,
      anon_sym_RBRACK,
    STATE(7242), 1,
      sym_comment,
  [210981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10939), 1,
      anon_sym_RBRACK,
    STATE(7243), 1,
      sym_comment,
  [210994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5389), 1,
      anon_sym_in,
    STATE(7244), 1,
      sym_comment,
  [211007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10941), 1,
      anon_sym_EQ_GT,
    STATE(7245), 1,
      sym_comment,
  [211020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5451), 1,
      anon_sym_in,
    STATE(7246), 1,
      sym_comment,
  [211033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10943), 1,
      anon_sym_EQ,
    STATE(7247), 1,
      sym_comment,
  [211046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10945), 1,
      anon_sym_EQ_GT,
    STATE(7248), 1,
      sym_comment,
  [211059] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10947), 1,
      anon_sym_EQ_GT,
    STATE(7249), 1,
      sym_comment,
  [211072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10949), 1,
      anon_sym_EQ_GT,
    STATE(7250), 1,
      sym_comment,
  [211085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10951), 1,
      anon_sym_RBRACK,
    STATE(7251), 1,
      sym_comment,
  [211098] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10953), 1,
      anon_sym_COLON,
    STATE(7252), 1,
      sym_comment,
  [211111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10955), 1,
      anon_sym_EQ,
    STATE(7253), 1,
      sym_comment,
  [211124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10957), 1,
      anon_sym_RBRACK,
    STATE(7254), 1,
      sym_comment,
  [211137] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10959), 1,
      anon_sym_RBRACK,
    STATE(7255), 1,
      sym_comment,
  [211150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10961), 1,
      anon_sym_RBRACK,
    STATE(7256), 1,
      sym_comment,
  [211163] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10963), 1,
      anon_sym_EQ_GT,
    STATE(7257), 1,
      sym_comment,
  [211176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10965), 1,
      anon_sym_EQ,
    STATE(7258), 1,
      sym_comment,
  [211189] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(7259), 1,
      sym_comment,
  [211202] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10969), 1,
      anon_sym_as,
    STATE(7260), 1,
      sym_comment,
  [211215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10971), 1,
      anon_sym_EQ,
    STATE(7261), 1,
      sym_comment,
  [211228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10973), 1,
      anon_sym_from,
    STATE(7262), 1,
      sym_comment,
  [211241] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    STATE(7263), 1,
      sym_comment,
  [211254] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10975), 1,
      sym_identifier,
    STATE(7264), 1,
      sym_comment,
  [211267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4987), 1,
      anon_sym_RPAREN,
    STATE(7265), 1,
      sym_comment,
  [211280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10977), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      sym_comment,
  [211293] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10979), 1,
      anon_sym_RPAREN,
    STATE(7267), 1,
      sym_comment,
  [211306] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    STATE(7268), 1,
      sym_comment,
  [211319] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10981), 1,
      anon_sym_RBRACK,
    STATE(7269), 1,
      sym_comment,
  [211332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10983), 1,
      anon_sym_RBRACK,
    STATE(7270), 1,
      sym_comment,
  [211345] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10985), 1,
      anon_sym_RPAREN,
    STATE(7271), 1,
      sym_comment,
  [211358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10987), 1,
      anon_sym_DOT,
    STATE(7272), 1,
      sym_comment,
  [211371] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10989), 1,
      anon_sym_RBRACK,
    STATE(7273), 1,
      sym_comment,
  [211384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10991), 1,
      anon_sym_EQ_GT,
    STATE(7274), 1,
      sym_comment,
  [211397] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10993), 1,
      anon_sym_EQ_GT,
    STATE(7275), 1,
      sym_comment,
  [211410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10995), 1,
      anon_sym_EQ,
    STATE(7276), 1,
      sym_comment,
  [211423] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10997), 1,
      anon_sym_SLASH2,
    STATE(7277), 1,
      sym_comment,
  [211436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10999), 1,
      anon_sym_while,
    STATE(7278), 1,
      sym_comment,
  [211449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11001), 1,
      anon_sym_RPAREN,
    STATE(7279), 1,
      sym_comment,
  [211462] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11003), 1,
      sym_number,
    STATE(7280), 1,
      sym_comment,
  [211475] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11005), 1,
      anon_sym_EQ,
    STATE(7281), 1,
      sym_comment,
  [211488] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11007), 1,
      sym_identifier,
    STATE(7282), 1,
      sym_comment,
  [211501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11009), 1,
      anon_sym_symbol,
    STATE(7283), 1,
      sym_comment,
  [211514] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11011), 1,
      sym_identifier,
    STATE(7284), 1,
      sym_comment,
  [211527] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11013), 1,
      sym_identifier,
    STATE(7285), 1,
      sym_comment,
  [211540] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11015), 1,
      sym_identifier,
    STATE(7286), 1,
      sym_comment,
  [211553] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11017), 1,
      anon_sym_EQ_GT,
    STATE(7287), 1,
      sym_comment,
  [211566] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11019), 1,
      sym_identifier,
    STATE(7288), 1,
      sym_comment,
  [211579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11021), 1,
      anon_sym_EQ_GT,
    STATE(7289), 1,
      sym_comment,
  [211592] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11023), 1,
      sym_identifier,
    STATE(7290), 1,
      sym_comment,
  [211605] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11025), 1,
      sym_identifier,
    STATE(7291), 1,
      sym_comment,
  [211618] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    STATE(7292), 1,
      sym_comment,
  [211631] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11029), 1,
      sym_identifier,
    STATE(7293), 1,
      sym_comment,
  [211644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11031), 1,
      anon_sym_EQ,
    STATE(7294), 1,
      sym_comment,
  [211657] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11033), 1,
      anon_sym_RPAREN,
    STATE(7295), 1,
      sym_comment,
  [211670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(8656), 1,
      anon_sym_EQ,
    STATE(7296), 1,
      sym_comment,
  [211683] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11035), 1,
      sym_identifier,
    STATE(7297), 1,
      sym_comment,
  [211696] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11037), 1,
      sym_identifier,
    STATE(7298), 1,
      sym_comment,
  [211709] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11039), 1,
      sym_regex_pattern,
    STATE(7299), 1,
      sym_comment,
  [211722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9832), 1,
      anon_sym_RBRACE,
    STATE(7300), 1,
      sym_comment,
  [211735] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9452), 1,
      anon_sym_RBRACK,
    STATE(7301), 1,
      sym_comment,
  [211748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11041), 1,
      sym_identifier,
    STATE(7302), 1,
      sym_comment,
  [211761] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11043), 1,
      sym_identifier,
    STATE(7303), 1,
      sym_comment,
  [211774] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11045), 1,
      sym_identifier,
    STATE(7304), 1,
      sym_comment,
  [211787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11047), 1,
      anon_sym_EQ_GT,
    STATE(7305), 1,
      sym_comment,
  [211800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11049), 1,
      sym_identifier,
    STATE(7306), 1,
      sym_comment,
  [211813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11051), 1,
      sym_identifier,
    STATE(7307), 1,
      sym_comment,
  [211826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11053), 1,
      anon_sym_class,
    STATE(7308), 1,
      sym_comment,
  [211839] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11055), 1,
      anon_sym_EQ_GT,
    STATE(7309), 1,
      sym_comment,
  [211852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11057), 1,
      anon_sym_EQ_GT,
    STATE(7310), 1,
      sym_comment,
  [211865] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11059), 1,
      anon_sym_EQ_GT,
    STATE(7311), 1,
      sym_comment,
  [211878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5932), 1,
      anon_sym_is,
    STATE(7312), 1,
      sym_comment,
  [211891] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5924), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      sym_comment,
  [211904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11061), 1,
      anon_sym_RBRACK,
    STATE(7314), 1,
      sym_comment,
  [211917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11063), 1,
      anon_sym_RBRACK,
    STATE(7315), 1,
      sym_comment,
  [211930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11065), 1,
      anon_sym_RBRACK,
    STATE(7316), 1,
      sym_comment,
  [211943] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11067), 1,
      anon_sym_RBRACK,
    STATE(7317), 1,
      sym_comment,
  [211956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11069), 1,
      anon_sym_RBRACK,
    STATE(7318), 1,
      sym_comment,
  [211969] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11071), 1,
      sym_identifier,
    STATE(7319), 1,
      sym_comment,
  [211982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11073), 1,
      anon_sym_RBRACK,
    STATE(7320), 1,
      sym_comment,
  [211995] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9985), 1,
      sym_identifier,
    STATE(7321), 1,
      sym_comment,
  [212008] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11075), 1,
      anon_sym_RBRACK,
    STATE(7322), 1,
      sym_comment,
  [212021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11077), 1,
      anon_sym_RBRACK,
    STATE(7323), 1,
      sym_comment,
  [212034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11079), 1,
      anon_sym_RBRACK,
    STATE(7324), 1,
      sym_comment,
  [212047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11081), 1,
      anon_sym_RBRACK,
    STATE(7325), 1,
      sym_comment,
  [212060] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11083), 1,
      anon_sym_EQ_GT,
    STATE(7326), 1,
      sym_comment,
  [212073] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11085), 1,
      sym_identifier,
    STATE(7327), 1,
      sym_comment,
  [212086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11087), 1,
      sym_identifier,
    STATE(7328), 1,
      sym_comment,
  [212099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11089), 1,
      anon_sym_RBRACK,
    STATE(7329), 1,
      sym_comment,
  [212112] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11091), 1,
      anon_sym_RBRACK,
    STATE(7330), 1,
      sym_comment,
  [212125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11093), 1,
      anon_sym_RBRACK,
    STATE(7331), 1,
      sym_comment,
  [212138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6464), 1,
      anon_sym_in,
    STATE(7332), 1,
      sym_comment,
  [212151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11095), 1,
      anon_sym_EQ_GT,
    STATE(7333), 1,
      sym_comment,
  [212164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11097), 1,
      anon_sym_EQ_GT,
    STATE(7334), 1,
      sym_comment,
  [212177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11099), 1,
      anon_sym_EQ_GT,
    STATE(7335), 1,
      sym_comment,
  [212190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11101), 1,
      anon_sym_EQ_GT,
    STATE(7336), 1,
      sym_comment,
  [212203] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11103), 1,
      anon_sym_EQ_GT,
    STATE(7337), 1,
      sym_comment,
  [212216] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11105), 1,
      anon_sym_DOT,
    STATE(7338), 1,
      sym_comment,
  [212229] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11107), 1,
      anon_sym_RBRACK,
    STATE(7339), 1,
      sym_comment,
  [212242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11109), 1,
      anon_sym_symbol,
    STATE(7340), 1,
      sym_comment,
  [212255] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11111), 1,
      sym_identifier,
    STATE(7341), 1,
      sym_comment,
  [212268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11113), 1,
      anon_sym_new,
    STATE(7342), 1,
      sym_comment,
  [212281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11115), 1,
      anon_sym_RBRACK,
    STATE(7343), 1,
      sym_comment,
  [212294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11117), 1,
      sym_number,
    STATE(7344), 1,
      sym_comment,
  [212307] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    STATE(7345), 1,
      sym_comment,
  [212320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11121), 1,
      anon_sym_RBRACK,
    STATE(7346), 1,
      sym_comment,
  [212333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11123), 1,
      anon_sym_SLASH2,
    STATE(7347), 1,
      sym_comment,
  [212346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11125), 1,
      anon_sym_EQ,
    STATE(7348), 1,
      sym_comment,
  [212359] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11127), 1,
      anon_sym_target,
    STATE(7349), 1,
      sym_comment,
  [212372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11129), 1,
      anon_sym_RBRACK,
    STATE(7350), 1,
      sym_comment,
  [212385] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11131), 1,
      sym_identifier,
    STATE(7351), 1,
      sym_comment,
  [212398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11133), 1,
      anon_sym_EQ_GT,
    STATE(7352), 1,
      sym_comment,
  [212411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9092), 1,
      anon_sym_EQ_GT,
    STATE(7353), 1,
      sym_comment,
  [212424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9094), 1,
      anon_sym_EQ_GT,
    STATE(7354), 1,
      sym_comment,
  [212437] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9920), 1,
      anon_sym_LBRACE,
    STATE(7355), 1,
      sym_comment,
  [212450] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11135), 1,
      sym_identifier,
    STATE(7356), 1,
      sym_comment,
  [212463] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11137), 1,
      anon_sym_RBRACK,
    STATE(7357), 1,
      sym_comment,
  [212476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11139), 1,
      anon_sym_RBRACK,
    STATE(7358), 1,
      sym_comment,
  [212489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11141), 1,
      anon_sym_class,
    STATE(7359), 1,
      sym_comment,
  [212502] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11143), 1,
      anon_sym_namespace,
    STATE(7360), 1,
      sym_comment,
  [212515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11145), 1,
      anon_sym_RBRACK,
    STATE(7361), 1,
      sym_comment,
  [212528] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11147), 1,
      sym_identifier,
    STATE(7362), 1,
      sym_comment,
  [212541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11149), 1,
      anon_sym_EQ_GT,
    STATE(7363), 1,
      sym_comment,
  [212554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11151), 1,
      anon_sym_symbol,
    STATE(7364), 1,
      sym_comment,
  [212567] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11153), 1,
      sym_identifier,
    STATE(7365), 1,
      sym_comment,
  [212580] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11155), 1,
      sym_number,
    STATE(7366), 1,
      sym_comment,
  [212593] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11157), 1,
      sym_identifier,
    STATE(7367), 1,
      sym_comment,
  [212606] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(6243), 1,
      anon_sym_in,
    STATE(7368), 1,
      sym_comment,
  [212619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11159), 1,
      anon_sym_new,
    STATE(7369), 1,
      sym_comment,
  [212632] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9444), 1,
      sym_identifier,
    STATE(7370), 1,
      sym_comment,
  [212645] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11161), 1,
      anon_sym_class,
    STATE(7371), 1,
      sym_comment,
  [212658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11163), 1,
      anon_sym_SLASH2,
    STATE(7372), 1,
      sym_comment,
  [212671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11165), 1,
      anon_sym_EQ,
    STATE(7373), 1,
      sym_comment,
  [212684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11167), 1,
      anon_sym_EQ,
    STATE(7374), 1,
      sym_comment,
  [212697] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11169), 1,
      anon_sym_EQ_GT,
    STATE(7375), 1,
      sym_comment,
  [212710] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11171), 1,
      sym_identifier,
    STATE(7376), 1,
      sym_comment,
  [212723] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11173), 1,
      anon_sym_EQ,
    STATE(7377), 1,
      sym_comment,
  [212736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11175), 1,
      anon_sym_EQ,
    STATE(7378), 1,
      sym_comment,
  [212749] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11177), 1,
      sym_identifier,
    STATE(7379), 1,
      sym_comment,
  [212762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    STATE(7380), 1,
      sym_comment,
  [212775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11179), 1,
      anon_sym_EQ_GT,
    STATE(7381), 1,
      sym_comment,
  [212788] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11181), 1,
      sym_identifier,
    STATE(7382), 1,
      sym_comment,
  [212801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11183), 1,
      anon_sym_COLON,
    STATE(7383), 1,
      sym_comment,
  [212814] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11185), 1,
      sym_identifier,
    STATE(7384), 1,
      sym_comment,
  [212827] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11187), 1,
      anon_sym_while,
    STATE(7385), 1,
      sym_comment,
  [212840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11189), 1,
      anon_sym_EQ_GT,
    STATE(7386), 1,
      sym_comment,
  [212853] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11191), 1,
      anon_sym_EQ_GT,
    STATE(7387), 1,
      sym_comment,
  [212866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
    STATE(7388), 1,
      sym_comment,
  [212879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11193), 1,
      anon_sym_SLASH2,
    STATE(7389), 1,
      sym_comment,
  [212892] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11195), 1,
      sym_number,
    STATE(7390), 1,
      sym_comment,
  [212905] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(7391), 1,
      sym_comment,
  [212918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11199), 1,
      anon_sym_EQ,
    STATE(7392), 1,
      sym_comment,
  [212931] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11201), 1,
      anon_sym_symbol,
    STATE(7393), 1,
      sym_comment,
  [212944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11203), 1,
      anon_sym_EQ_GT,
    STATE(7394), 1,
      sym_comment,
  [212957] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11205), 1,
      anon_sym_class,
    STATE(7395), 1,
      sym_comment,
  [212970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11207), 1,
      anon_sym_namespace,
    STATE(7396), 1,
      sym_comment,
  [212983] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11209), 1,
      anon_sym_EQ,
    STATE(7397), 1,
      sym_comment,
  [212996] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11211), 1,
      sym_identifier,
    STATE(7398), 1,
      sym_comment,
  [213009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11213), 1,
      anon_sym_target,
    STATE(7399), 1,
      sym_comment,
  [213022] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11215), 1,
      sym_identifier,
    STATE(7400), 1,
      sym_comment,
  [213035] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11217), 1,
      sym_identifier,
    STATE(7401), 1,
      sym_comment,
  [213048] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11219), 1,
      anon_sym_EQ_GT,
    STATE(7402), 1,
      sym_comment,
  [213061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11221), 1,
      anon_sym_EQ_GT,
    STATE(7403), 1,
      sym_comment,
  [213074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11223), 1,
      anon_sym_new,
    STATE(7404), 1,
      sym_comment,
  [213087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9528), 1,
      sym_identifier,
    STATE(7405), 1,
      sym_comment,
  [213100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11225), 1,
      anon_sym_class,
    STATE(7406), 1,
      sym_comment,
  [213113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11227), 1,
      sym_identifier,
    STATE(7407), 1,
      sym_comment,
  [213126] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11229), 1,
      sym_identifier,
    STATE(7408), 1,
      sym_comment,
  [213139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11231), 1,
      anon_sym_EQ,
    STATE(7409), 1,
      sym_comment,
  [213152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11233), 1,
      anon_sym_RPAREN,
    STATE(7410), 1,
      sym_comment,
  [213165] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11235), 1,
      sym_identifier,
    STATE(7411), 1,
      sym_comment,
  [213178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11237), 1,
      anon_sym_EQ,
    STATE(7412), 1,
      sym_comment,
  [213191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(7413), 1,
      sym_comment,
  [213204] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11239), 1,
      sym_identifier,
    STATE(7414), 1,
      sym_comment,
  [213217] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(10151), 1,
      anon_sym_from,
    STATE(7415), 1,
      sym_comment,
  [213230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11241), 1,
      anon_sym_EQ_GT,
    STATE(7416), 1,
      sym_comment,
  [213243] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11243), 1,
      anon_sym_COLON,
    STATE(7417), 1,
      sym_comment,
  [213256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11245), 1,
      anon_sym_EQ_GT,
    STATE(7418), 1,
      sym_comment,
  [213269] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11247), 1,
      sym_identifier,
    STATE(7419), 1,
      sym_comment,
  [213282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11249), 1,
      anon_sym_as,
    STATE(7420), 1,
      sym_comment,
  [213295] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11251), 1,
      sym_identifier,
    STATE(7421), 1,
      sym_comment,
  [213308] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11253), 1,
      anon_sym_EQ_GT,
    STATE(7422), 1,
      sym_comment,
  [213321] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11255), 1,
      anon_sym_class,
    STATE(7423), 1,
      sym_comment,
  [213334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11257), 1,
      anon_sym_namespace,
    STATE(7424), 1,
      sym_comment,
  [213347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11259), 1,
      anon_sym_EQ_GT,
    STATE(7425), 1,
      sym_comment,
  [213360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11261), 1,
      anon_sym_EQ_GT,
    STATE(7426), 1,
      sym_comment,
  [213373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11263), 1,
      anon_sym_RPAREN,
    STATE(7427), 1,
      sym_comment,
  [213386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(4935), 1,
      anon_sym_is,
    STATE(7428), 1,
      sym_comment,
  [213399] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11265), 1,
      sym_identifier,
    STATE(7429), 1,
      sym_comment,
  [213412] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11267), 1,
      sym_identifier,
    STATE(7430), 1,
      sym_comment,
  [213425] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11269), 1,
      anon_sym_new,
    STATE(7431), 1,
      sym_comment,
  [213438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(7432), 1,
      sym_comment,
  [213451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11271), 1,
      anon_sym_class,
    STATE(7433), 1,
      sym_comment,
  [213464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    STATE(7434), 1,
      sym_comment,
  [213477] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11275), 1,
      sym_identifier,
    STATE(7435), 1,
      sym_comment,
  [213490] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5919), 1,
      anon_sym_RPAREN,
    STATE(7436), 1,
      sym_comment,
  [213503] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11277), 1,
      anon_sym_EQ,
    STATE(7437), 1,
      sym_comment,
  [213516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11279), 1,
      anon_sym_RBRACK,
    STATE(7438), 1,
      sym_comment,
  [213529] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11281), 1,
      sym_identifier,
    STATE(7439), 1,
      sym_comment,
  [213542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11283), 1,
      anon_sym_EQ,
    STATE(7440), 1,
      sym_comment,
  [213555] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11285), 1,
      anon_sym_RBRACK,
    STATE(7441), 1,
      sym_comment,
  [213568] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11287), 1,
      sym_identifier,
    STATE(7442), 1,
      sym_comment,
  [213581] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11289), 1,
      anon_sym_RBRACK,
    STATE(7443), 1,
      sym_comment,
  [213594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5141), 1,
      anon_sym_RPAREN,
    STATE(7444), 1,
      sym_comment,
  [213607] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11291), 1,
      anon_sym_COLON,
    STATE(7445), 1,
      sym_comment,
  [213620] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    STATE(7446), 1,
      sym_comment,
  [213633] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11295), 1,
      sym_identifier,
    STATE(7447), 1,
      sym_comment,
  [213646] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11297), 1,
      anon_sym_class,
    STATE(7448), 1,
      sym_comment,
  [213659] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11299), 1,
      anon_sym_namespace,
    STATE(7449), 1,
      sym_comment,
  [213672] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11301), 1,
      anon_sym_RBRACK,
    STATE(7450), 1,
      sym_comment,
  [213685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11303), 1,
      anon_sym_RBRACK,
    STATE(7451), 1,
      sym_comment,
  [213698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11305), 1,
      anon_sym_RBRACK,
    STATE(7452), 1,
      sym_comment,
  [213711] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11307), 1,
      anon_sym_RBRACK,
    STATE(7453), 1,
      sym_comment,
  [213724] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11309), 1,
      anon_sym_RBRACK,
    STATE(7454), 1,
      sym_comment,
  [213737] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9639), 1,
      sym_identifier,
    STATE(7455), 1,
      sym_comment,
  [213750] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11311), 1,
      anon_sym_class,
    STATE(7456), 1,
      sym_comment,
  [213763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11313), 1,
      anon_sym_function,
    STATE(7457), 1,
      sym_comment,
  [213776] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11315), 1,
      sym_identifier,
    STATE(7458), 1,
      sym_comment,
  [213789] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11317), 1,
      anon_sym_EQ,
    STATE(7459), 1,
      sym_comment,
  [213802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11319), 1,
      anon_sym_RBRACK,
    STATE(7460), 1,
      sym_comment,
  [213815] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11321), 1,
      sym_identifier,
    STATE(7461), 1,
      sym_comment,
  [213828] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11323), 1,
      anon_sym_EQ,
    STATE(7462), 1,
      sym_comment,
  [213841] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8186), 1,
      sym_identifier,
    STATE(7463), 1,
      sym_comment,
  [213854] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11325), 1,
      sym_identifier,
    STATE(7464), 1,
      sym_comment,
  [213867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11327), 1,
      anon_sym_COLON,
    STATE(7465), 1,
      sym_comment,
  [213880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11329), 1,
      anon_sym_namespace,
    STATE(7466), 1,
      sym_comment,
  [213893] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11331), 1,
      anon_sym_EQ_GT,
    STATE(7467), 1,
      sym_comment,
  [213906] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11333), 1,
      anon_sym_RBRACK,
    STATE(7468), 1,
      sym_comment,
  [213919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11335), 1,
      anon_sym_RBRACK,
    STATE(7469), 1,
      sym_comment,
  [213932] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8475), 1,
      sym_identifier,
    STATE(7470), 1,
      sym_comment,
  [213945] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11337), 1,
      anon_sym_function,
    STATE(7471), 1,
      sym_comment,
  [213958] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_EQ,
    STATE(7472), 1,
      sym_comment,
  [213971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11339), 1,
      anon_sym_RBRACK,
    STATE(7473), 1,
      sym_comment,
  [213984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(9742), 1,
      anon_sym_EQ,
    STATE(7474), 1,
      sym_comment,
  [213997] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11341), 1,
      anon_sym_EQ_GT,
    STATE(7475), 1,
      sym_comment,
  [214010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11343), 1,
      anon_sym_EQ_GT,
    STATE(7476), 1,
      sym_comment,
  [214023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11345), 1,
      ts_builtin_sym_end,
    STATE(7477), 1,
      sym_comment,
  [214036] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11347), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_comment,
  [214049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5015), 1,
      anon_sym_in,
    STATE(7479), 1,
      sym_comment,
  [214062] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11349), 1,
      sym_identifier,
    STATE(7480), 1,
      sym_comment,
  [214075] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11351), 1,
      anon_sym_class,
    STATE(7481), 1,
      sym_comment,
  [214088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11353), 1,
      anon_sym_RBRACK,
    STATE(7482), 1,
      sym_comment,
  [214101] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11355), 1,
      sym_identifier,
    STATE(7483), 1,
      sym_comment,
  [214114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_in,
    STATE(7484), 1,
      sym_comment,
  [214127] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11357), 1,
      anon_sym_RBRACK,
    STATE(7485), 1,
      sym_comment,
  [214140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11359), 1,
      anon_sym_RBRACK,
    STATE(7486), 1,
      sym_comment,
  [214153] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11361), 1,
      sym_regex_pattern,
    STATE(7487), 1,
      sym_comment,
  [214166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11363), 1,
      anon_sym_RBRACK,
    STATE(7488), 1,
      sym_comment,
  [214179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11365), 1,
      anon_sym_RBRACK,
    STATE(7489), 1,
      sym_comment,
  [214192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11367), 1,
      anon_sym_RBRACK,
    STATE(7490), 1,
      sym_comment,
  [214205] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8487), 1,
      sym_identifier,
    STATE(7491), 1,
      sym_comment,
  [214218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11369), 1,
      anon_sym_function,
    STATE(7492), 1,
      sym_comment,
  [214231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    STATE(7493), 1,
      sym_comment,
  [214244] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(7494), 1,
      sym_comment,
  [214257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11373), 1,
      sym_identifier,
    STATE(7495), 1,
      sym_comment,
  [214270] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8489), 1,
      sym_identifier,
    STATE(7496), 1,
      sym_comment,
  [214283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11375), 1,
      anon_sym_function,
    STATE(7497), 1,
      sym_comment,
  [214296] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11377), 1,
      sym_identifier,
    STATE(7498), 1,
      sym_comment,
  [214309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11379), 1,
      sym_identifier,
    STATE(7499), 1,
      sym_comment,
  [214322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11381), 1,
      sym_identifier,
    STATE(7500), 1,
      sym_comment,
  [214335] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8491), 1,
      sym_identifier,
    STATE(7501), 1,
      sym_comment,
  [214348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11383), 1,
      anon_sym_function,
    STATE(7502), 1,
      sym_comment,
  [214361] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11385), 1,
      anon_sym_RPAREN,
    STATE(7503), 1,
      sym_comment,
  [214374] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11387), 1,
      sym_identifier,
    STATE(7504), 1,
      sym_comment,
  [214387] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11389), 1,
      sym_identifier,
    STATE(7505), 1,
      sym_comment,
  [214400] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8412), 1,
      sym_identifier,
    STATE(7506), 1,
      sym_comment,
  [214413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2785), 1,
      aux_sym_comment_token1,
    ACTIONS(11391), 1,
      anon_sym_function,
    STATE(7507), 1,
      sym_comment,
  [214426] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11393), 1,
      sym_identifier,
    STATE(7508), 1,
      sym_comment,
  [214439] = 1,
    ACTIONS(11395), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2025)] = 0,
  [SMALL_STATE(2026)] = 75,
  [SMALL_STATE(2027)] = 168,
  [SMALL_STATE(2028)] = 261,
  [SMALL_STATE(2029)] = 336,
  [SMALL_STATE(2030)] = 429,
  [SMALL_STATE(2031)] = 524,
  [SMALL_STATE(2032)] = 599,
  [SMALL_STATE(2033)] = 696,
  [SMALL_STATE(2034)] = 791,
  [SMALL_STATE(2035)] = 866,
  [SMALL_STATE(2036)] = 959,
  [SMALL_STATE(2037)] = 1034,
  [SMALL_STATE(2038)] = 1127,
  [SMALL_STATE(2039)] = 1220,
  [SMALL_STATE(2040)] = 1315,
  [SMALL_STATE(2041)] = 1408,
  [SMALL_STATE(2042)] = 1501,
  [SMALL_STATE(2043)] = 1594,
  [SMALL_STATE(2044)] = 1669,
  [SMALL_STATE(2045)] = 1762,
  [SMALL_STATE(2046)] = 1855,
  [SMALL_STATE(2047)] = 1950,
  [SMALL_STATE(2048)] = 2043,
  [SMALL_STATE(2049)] = 2138,
  [SMALL_STATE(2050)] = 2233,
  [SMALL_STATE(2051)] = 2328,
  [SMALL_STATE(2052)] = 2425,
  [SMALL_STATE(2053)] = 2518,
  [SMALL_STATE(2054)] = 2593,
  [SMALL_STATE(2055)] = 2686,
  [SMALL_STATE(2056)] = 2779,
  [SMALL_STATE(2057)] = 2874,
  [SMALL_STATE(2058)] = 2967,
  [SMALL_STATE(2059)] = 3060,
  [SMALL_STATE(2060)] = 3153,
  [SMALL_STATE(2061)] = 3227,
  [SMALL_STATE(2062)] = 3319,
  [SMALL_STATE(2063)] = 3411,
  [SMALL_STATE(2064)] = 3507,
  [SMALL_STATE(2065)] = 3603,
  [SMALL_STATE(2066)] = 3697,
  [SMALL_STATE(2067)] = 3797,
  [SMALL_STATE(2068)] = 3893,
  [SMALL_STATE(2069)] = 3985,
  [SMALL_STATE(2070)] = 4077,
  [SMALL_STATE(2071)] = 4173,
  [SMALL_STATE(2072)] = 4267,
  [SMALL_STATE(2073)] = 4359,
  [SMALL_STATE(2074)] = 4451,
  [SMALL_STATE(2075)] = 4529,
  [SMALL_STATE(2076)] = 4603,
  [SMALL_STATE(2077)] = 4694,
  [SMALL_STATE(2078)] = 4785,
  [SMALL_STATE(2079)] = 4876,
  [SMALL_STATE(2080)] = 4967,
  [SMALL_STATE(2081)] = 5058,
  [SMALL_STATE(2082)] = 5155,
  [SMALL_STATE(2083)] = 5240,
  [SMALL_STATE(2084)] = 5333,
  [SMALL_STATE(2085)] = 5430,
  [SMALL_STATE(2086)] = 5521,
  [SMALL_STATE(2087)] = 5616,
  [SMALL_STATE(2088)] = 5707,
  [SMALL_STATE(2089)] = 5802,
  [SMALL_STATE(2090)] = 5885,
  [SMALL_STATE(2091)] = 5960,
  [SMALL_STATE(2092)] = 6043,
  [SMALL_STATE(2093)] = 6134,
  [SMALL_STATE(2094)] = 6225,
  [SMALL_STATE(2095)] = 6308,
  [SMALL_STATE(2096)] = 6381,
  [SMALL_STATE(2097)] = 6454,
  [SMALL_STATE(2098)] = 6533,
  [SMALL_STATE(2099)] = 6610,
  [SMALL_STATE(2100)] = 6701,
  [SMALL_STATE(2101)] = 6792,
  [SMALL_STATE(2102)] = 6875,
  [SMALL_STATE(2103)] = 6966,
  [SMALL_STATE(2104)] = 7061,
  [SMALL_STATE(2105)] = 7156,
  [SMALL_STATE(2106)] = 7251,
  [SMALL_STATE(2107)] = 7342,
  [SMALL_STATE(2108)] = 7433,
  [SMALL_STATE(2109)] = 7523,
  [SMALL_STATE(2110)] = 7617,
  [SMALL_STATE(2111)] = 7687,
  [SMALL_STATE(2112)] = 7769,
  [SMALL_STATE(2113)] = 7863,
  [SMALL_STATE(2114)] = 7957,
  [SMALL_STATE(2115)] = 8051,
  [SMALL_STATE(2116)] = 8131,
  [SMALL_STATE(2117)] = 8201,
  [SMALL_STATE(2118)] = 8295,
  [SMALL_STATE(2119)] = 8379,
  [SMALL_STATE(2120)] = 8449,
  [SMALL_STATE(2121)] = 8533,
  [SMALL_STATE(2122)] = 8625,
  [SMALL_STATE(2123)] = 8715,
  [SMALL_STATE(2124)] = 8795,
  [SMALL_STATE(2125)] = 8885,
  [SMALL_STATE(2126)] = 8973,
  [SMALL_STATE(2127)] = 9067,
  [SMALL_STATE(2128)] = 9149,
  [SMALL_STATE(2129)] = 9233,
  [SMALL_STATE(2130)] = 9315,
  [SMALL_STATE(2131)] = 9403,
  [SMALL_STATE(2132)] = 9485,
  [SMALL_STATE(2133)] = 9567,
  [SMALL_STATE(2134)] = 9636,
  [SMALL_STATE(2135)] = 9717,
  [SMALL_STATE(2136)] = 9798,
  [SMALL_STATE(2137)] = 9875,
  [SMALL_STATE(2138)] = 9952,
  [SMALL_STATE(2139)] = 10037,
  [SMALL_STATE(2140)] = 10120,
  [SMALL_STATE(2141)] = 10189,
  [SMALL_STATE(2142)] = 10278,
  [SMALL_STATE(2143)] = 10357,
  [SMALL_STATE(2144)] = 10438,
  [SMALL_STATE(2145)] = 10511,
  [SMALL_STATE(2146)] = 10600,
  [SMALL_STATE(2147)] = 10675,
  [SMALL_STATE(2148)] = 10754,
  [SMALL_STATE(2149)] = 10823,
  [SMALL_STATE(2150)] = 10892,
  [SMALL_STATE(2151)] = 10961,
  [SMALL_STATE(2152)] = 11040,
  [SMALL_STATE(2153)] = 11117,
  [SMALL_STATE(2154)] = 11188,
  [SMALL_STATE(2155)] = 11265,
  [SMALL_STATE(2156)] = 11342,
  [SMALL_STATE(2157)] = 11413,
  [SMALL_STATE(2158)] = 11482,
  [SMALL_STATE(2159)] = 11553,
  [SMALL_STATE(2160)] = 11624,
  [SMALL_STATE(2161)] = 11695,
  [SMALL_STATE(2162)] = 11774,
  [SMALL_STATE(2163)] = 11859,
  [SMALL_STATE(2164)] = 11930,
  [SMALL_STATE(2165)] = 12001,
  [SMALL_STATE(2166)] = 12080,
  [SMALL_STATE(2167)] = 12167,
  [SMALL_STATE(2168)] = 12246,
  [SMALL_STATE(2169)] = 12329,
  [SMALL_STATE(2170)] = 12400,
  [SMALL_STATE(2171)] = 12481,
  [SMALL_STATE(2172)] = 12552,
  [SMALL_STATE(2173)] = 12629,
  [SMALL_STATE(2174)] = 12706,
  [SMALL_STATE(2175)] = 12777,
  [SMALL_STATE(2176)] = 12860,
  [SMALL_STATE(2177)] = 12931,
  [SMALL_STATE(2178)] = 13020,
  [SMALL_STATE(2179)] = 13099,
  [SMALL_STATE(2180)] = 13168,
  [SMALL_STATE(2181)] = 13247,
  [SMALL_STATE(2182)] = 13324,
  [SMALL_STATE(2183)] = 13393,
  [SMALL_STATE(2184)] = 13486,
  [SMALL_STATE(2185)] = 13563,
  [SMALL_STATE(2186)] = 13636,
  [SMALL_STATE(2187)] = 13729,
  [SMALL_STATE(2188)] = 13808,
  [SMALL_STATE(2189)] = 13887,
  [SMALL_STATE(2190)] = 13956,
  [SMALL_STATE(2191)] = 14025,
  [SMALL_STATE(2192)] = 14102,
  [SMALL_STATE(2193)] = 14191,
  [SMALL_STATE(2194)] = 14268,
  [SMALL_STATE(2195)] = 14345,
  [SMALL_STATE(2196)] = 14426,
  [SMALL_STATE(2197)] = 14502,
  [SMALL_STATE(2198)] = 14580,
  [SMALL_STATE(2199)] = 14662,
  [SMALL_STATE(2200)] = 14730,
  [SMALL_STATE(2201)] = 14808,
  [SMALL_STATE(2202)] = 14884,
  [SMALL_STATE(2203)] = 14962,
  [SMALL_STATE(2204)] = 15044,
  [SMALL_STATE(2205)] = 15112,
  [SMALL_STATE(2206)] = 15200,
  [SMALL_STATE(2207)] = 15282,
  [SMALL_STATE(2208)] = 15356,
  [SMALL_STATE(2209)] = 15440,
  [SMALL_STATE(2210)] = 15516,
  [SMALL_STATE(2211)] = 15598,
  [SMALL_STATE(2212)] = 15676,
  [SMALL_STATE(2213)] = 15744,
  [SMALL_STATE(2214)] = 15820,
  [SMALL_STATE(2215)] = 15888,
  [SMALL_STATE(2216)] = 15970,
  [SMALL_STATE(2217)] = 16048,
  [SMALL_STATE(2218)] = 16116,
  [SMALL_STATE(2219)] = 16194,
  [SMALL_STATE(2220)] = 16268,
  [SMALL_STATE(2221)] = 16346,
  [SMALL_STATE(2222)] = 16424,
  [SMALL_STATE(2223)] = 16502,
  [SMALL_STATE(2224)] = 16578,
  [SMALL_STATE(2225)] = 16646,
  [SMALL_STATE(2226)] = 16722,
  [SMALL_STATE(2227)] = 16790,
  [SMALL_STATE(2228)] = 16868,
  [SMALL_STATE(2229)] = 16942,
  [SMALL_STATE(2230)] = 17018,
  [SMALL_STATE(2231)] = 17086,
  [SMALL_STATE(2232)] = 17154,
  [SMALL_STATE(2233)] = 17222,
  [SMALL_STATE(2234)] = 17290,
  [SMALL_STATE(2235)] = 17362,
  [SMALL_STATE(2236)] = 17434,
  [SMALL_STATE(2237)] = 17512,
  [SMALL_STATE(2238)] = 17590,
  [SMALL_STATE(2239)] = 17666,
  [SMALL_STATE(2240)] = 17793,
  [SMALL_STATE(2241)] = 17920,
  [SMALL_STATE(2242)] = 18047,
  [SMALL_STATE(2243)] = 18124,
  [SMALL_STATE(2244)] = 18199,
  [SMALL_STATE(2245)] = 18276,
  [SMALL_STATE(2246)] = 18403,
  [SMALL_STATE(2247)] = 18484,
  [SMALL_STATE(2248)] = 18559,
  [SMALL_STATE(2249)] = 18638,
  [SMALL_STATE(2250)] = 18765,
  [SMALL_STATE(2251)] = 18838,
  [SMALL_STATE(2252)] = 18917,
  [SMALL_STATE(2253)] = 19044,
  [SMALL_STATE(2254)] = 19123,
  [SMALL_STATE(2255)] = 19198,
  [SMALL_STATE(2256)] = 19277,
  [SMALL_STATE(2257)] = 19352,
  [SMALL_STATE(2258)] = 19423,
  [SMALL_STATE(2259)] = 19550,
  [SMALL_STATE(2260)] = 19677,
  [SMALL_STATE(2261)] = 19748,
  [SMALL_STATE(2262)] = 19823,
  [SMALL_STATE(2263)] = 19896,
  [SMALL_STATE(2264)] = 20023,
  [SMALL_STATE(2265)] = 20097,
  [SMALL_STATE(2266)] = 20171,
  [SMALL_STATE(2267)] = 20249,
  [SMALL_STATE(2268)] = 20323,
  [SMALL_STATE(2269)] = 20399,
  [SMALL_STATE(2270)] = 20471,
  [SMALL_STATE(2271)] = 20545,
  [SMALL_STATE(2272)] = 20619,
  [SMALL_STATE(2273)] = 20693,
  [SMALL_STATE(2274)] = 20769,
  [SMALL_STATE(2275)] = 20843,
  [SMALL_STATE(2276)] = 20917,
  [SMALL_STATE(2277)] = 20991,
  [SMALL_STATE(2278)] = 21065,
  [SMALL_STATE(2279)] = 21139,
  [SMALL_STATE(2280)] = 21217,
  [SMALL_STATE(2281)] = 21291,
  [SMALL_STATE(2282)] = 21364,
  [SMALL_STATE(2283)] = 21487,
  [SMALL_STATE(2284)] = 21560,
  [SMALL_STATE(2285)] = 21633,
  [SMALL_STATE(2286)] = 21706,
  [SMALL_STATE(2287)] = 21779,
  [SMALL_STATE(2288)] = 21852,
  [SMALL_STATE(2289)] = 21975,
  [SMALL_STATE(2290)] = 22098,
  [SMALL_STATE(2291)] = 22221,
  [SMALL_STATE(2292)] = 22294,
  [SMALL_STATE(2293)] = 22367,
  [SMALL_STATE(2294)] = 22440,
  [SMALL_STATE(2295)] = 22513,
  [SMALL_STATE(2296)] = 22636,
  [SMALL_STATE(2297)] = 22759,
  [SMALL_STATE(2298)] = 22832,
  [SMALL_STATE(2299)] = 22905,
  [SMALL_STATE(2300)] = 22980,
  [SMALL_STATE(2301)] = 23053,
  [SMALL_STATE(2302)] = 23176,
  [SMALL_STATE(2303)] = 23299,
  [SMALL_STATE(2304)] = 23422,
  [SMALL_STATE(2305)] = 23545,
  [SMALL_STATE(2306)] = 23668,
  [SMALL_STATE(2307)] = 23791,
  [SMALL_STATE(2308)] = 23914,
  [SMALL_STATE(2309)] = 23987,
  [SMALL_STATE(2310)] = 24058,
  [SMALL_STATE(2311)] = 24181,
  [SMALL_STATE(2312)] = 24304,
  [SMALL_STATE(2313)] = 24427,
  [SMALL_STATE(2314)] = 24498,
  [SMALL_STATE(2315)] = 24571,
  [SMALL_STATE(2316)] = 24694,
  [SMALL_STATE(2317)] = 24817,
  [SMALL_STATE(2318)] = 24940,
  [SMALL_STATE(2319)] = 25063,
  [SMALL_STATE(2320)] = 25136,
  [SMALL_STATE(2321)] = 25209,
  [SMALL_STATE(2322)] = 25282,
  [SMALL_STATE(2323)] = 25405,
  [SMALL_STATE(2324)] = 25478,
  [SMALL_STATE(2325)] = 25601,
  [SMALL_STATE(2326)] = 25674,
  [SMALL_STATE(2327)] = 25747,
  [SMALL_STATE(2328)] = 25818,
  [SMALL_STATE(2329)] = 25941,
  [SMALL_STATE(2330)] = 26014,
  [SMALL_STATE(2331)] = 26137,
  [SMALL_STATE(2332)] = 26260,
  [SMALL_STATE(2333)] = 26383,
  [SMALL_STATE(2334)] = 26456,
  [SMALL_STATE(2335)] = 26579,
  [SMALL_STATE(2336)] = 26649,
  [SMALL_STATE(2337)] = 26719,
  [SMALL_STATE(2338)] = 26789,
  [SMALL_STATE(2339)] = 26859,
  [SMALL_STATE(2340)] = 26929,
  [SMALL_STATE(2341)] = 26999,
  [SMALL_STATE(2342)] = 27069,
  [SMALL_STATE(2343)] = 27139,
  [SMALL_STATE(2344)] = 27209,
  [SMALL_STATE(2345)] = 27279,
  [SMALL_STATE(2346)] = 27398,
  [SMALL_STATE(2347)] = 27517,
  [SMALL_STATE(2348)] = 27636,
  [SMALL_STATE(2349)] = 27755,
  [SMALL_STATE(2350)] = 27874,
  [SMALL_STATE(2351)] = 27993,
  [SMALL_STATE(2352)] = 28112,
  [SMALL_STATE(2353)] = 28231,
  [SMALL_STATE(2354)] = 28350,
  [SMALL_STATE(2355)] = 28469,
  [SMALL_STATE(2356)] = 28593,
  [SMALL_STATE(2357)] = 28717,
  [SMALL_STATE(2358)] = 28841,
  [SMALL_STATE(2359)] = 28965,
  [SMALL_STATE(2360)] = 29089,
  [SMALL_STATE(2361)] = 29206,
  [SMALL_STATE(2362)] = 29323,
  [SMALL_STATE(2363)] = 29440,
  [SMALL_STATE(2364)] = 29557,
  [SMALL_STATE(2365)] = 29668,
  [SMALL_STATE(2366)] = 29785,
  [SMALL_STATE(2367)] = 29896,
  [SMALL_STATE(2368)] = 30007,
  [SMALL_STATE(2369)] = 30124,
  [SMALL_STATE(2370)] = 30241,
  [SMALL_STATE(2371)] = 30352,
  [SMALL_STATE(2372)] = 30469,
  [SMALL_STATE(2373)] = 30580,
  [SMALL_STATE(2374)] = 30697,
  [SMALL_STATE(2375)] = 30814,
  [SMALL_STATE(2376)] = 30931,
  [SMALL_STATE(2377)] = 31048,
  [SMALL_STATE(2378)] = 31165,
  [SMALL_STATE(2379)] = 31282,
  [SMALL_STATE(2380)] = 31399,
  [SMALL_STATE(2381)] = 31516,
  [SMALL_STATE(2382)] = 31633,
  [SMALL_STATE(2383)] = 31750,
  [SMALL_STATE(2384)] = 31867,
  [SMALL_STATE(2385)] = 31984,
  [SMALL_STATE(2386)] = 32095,
  [SMALL_STATE(2387)] = 32212,
  [SMALL_STATE(2388)] = 32327,
  [SMALL_STATE(2389)] = 32438,
  [SMALL_STATE(2390)] = 32555,
  [SMALL_STATE(2391)] = 32672,
  [SMALL_STATE(2392)] = 32789,
  [SMALL_STATE(2393)] = 32906,
  [SMALL_STATE(2394)] = 33023,
  [SMALL_STATE(2395)] = 33140,
  [SMALL_STATE(2396)] = 33257,
  [SMALL_STATE(2397)] = 33374,
  [SMALL_STATE(2398)] = 33491,
  [SMALL_STATE(2399)] = 33608,
  [SMALL_STATE(2400)] = 33725,
  [SMALL_STATE(2401)] = 33787,
  [SMALL_STATE(2402)] = 33903,
  [SMALL_STATE(2403)] = 34017,
  [SMALL_STATE(2404)] = 34079,
  [SMALL_STATE(2405)] = 34150,
  [SMALL_STATE(2406)] = 34253,
  [SMALL_STATE(2407)] = 34322,
  [SMALL_STATE(2408)] = 34393,
  [SMALL_STATE(2409)] = 34464,
  [SMALL_STATE(2410)] = 34541,
  [SMALL_STATE(2411)] = 34605,
  [SMALL_STATE(2412)] = 34665,
  [SMALL_STATE(2413)] = 34729,
  [SMALL_STATE(2414)] = 34789,
  [SMALL_STATE(2415)] = 34849,
  [SMALL_STATE(2416)] = 34909,
  [SMALL_STATE(2417)] = 34975,
  [SMALL_STATE(2418)] = 35035,
  [SMALL_STATE(2419)] = 35095,
  [SMALL_STATE(2420)] = 35155,
  [SMALL_STATE(2421)] = 35217,
  [SMALL_STATE(2422)] = 35283,
  [SMALL_STATE(2423)] = 35347,
  [SMALL_STATE(2424)] = 35413,
  [SMALL_STATE(2425)] = 35475,
  [SMALL_STATE(2426)] = 35537,
  [SMALL_STATE(2427)] = 35603,
  [SMALL_STATE(2428)] = 35662,
  [SMALL_STATE(2429)] = 35721,
  [SMALL_STATE(2430)] = 35780,
  [SMALL_STATE(2431)] = 35839,
  [SMALL_STATE(2432)] = 35904,
  [SMALL_STATE(2433)] = 35963,
  [SMALL_STATE(2434)] = 36088,
  [SMALL_STATE(2435)] = 36147,
  [SMALL_STATE(2436)] = 36206,
  [SMALL_STATE(2437)] = 36267,
  [SMALL_STATE(2438)] = 36326,
  [SMALL_STATE(2439)] = 36385,
  [SMALL_STATE(2440)] = 36444,
  [SMALL_STATE(2441)] = 36503,
  [SMALL_STATE(2442)] = 36562,
  [SMALL_STATE(2443)] = 36621,
  [SMALL_STATE(2444)] = 36680,
  [SMALL_STATE(2445)] = 36739,
  [SMALL_STATE(2446)] = 36804,
  [SMALL_STATE(2447)] = 36863,
  [SMALL_STATE(2448)] = 36922,
  [SMALL_STATE(2449)] = 36981,
  [SMALL_STATE(2450)] = 37040,
  [SMALL_STATE(2451)] = 37099,
  [SMALL_STATE(2452)] = 37160,
  [SMALL_STATE(2453)] = 37219,
  [SMALL_STATE(2454)] = 37278,
  [SMALL_STATE(2455)] = 37337,
  [SMALL_STATE(2456)] = 37396,
  [SMALL_STATE(2457)] = 37491,
  [SMALL_STATE(2458)] = 37550,
  [SMALL_STATE(2459)] = 37609,
  [SMALL_STATE(2460)] = 37674,
  [SMALL_STATE(2461)] = 37735,
  [SMALL_STATE(2462)] = 37794,
  [SMALL_STATE(2463)] = 37857,
  [SMALL_STATE(2464)] = 37916,
  [SMALL_STATE(2465)] = 38041,
  [SMALL_STATE(2466)] = 38100,
  [SMALL_STATE(2467)] = 38195,
  [SMALL_STATE(2468)] = 38256,
  [SMALL_STATE(2469)] = 38315,
  [SMALL_STATE(2470)] = 38410,
  [SMALL_STATE(2471)] = 38469,
  [SMALL_STATE(2472)] = 38528,
  [SMALL_STATE(2473)] = 38587,
  [SMALL_STATE(2474)] = 38646,
  [SMALL_STATE(2475)] = 38705,
  [SMALL_STATE(2476)] = 38770,
  [SMALL_STATE(2477)] = 38829,
  [SMALL_STATE(2478)] = 38890,
  [SMALL_STATE(2479)] = 38949,
  [SMALL_STATE(2480)] = 39074,
  [SMALL_STATE(2481)] = 39133,
  [SMALL_STATE(2482)] = 39192,
  [SMALL_STATE(2483)] = 39317,
  [SMALL_STATE(2484)] = 39376,
  [SMALL_STATE(2485)] = 39435,
  [SMALL_STATE(2486)] = 39494,
  [SMALL_STATE(2487)] = 39553,
  [SMALL_STATE(2488)] = 39612,
  [SMALL_STATE(2489)] = 39671,
  [SMALL_STATE(2490)] = 39730,
  [SMALL_STATE(2491)] = 39789,
  [SMALL_STATE(2492)] = 39850,
  [SMALL_STATE(2493)] = 39915,
  [SMALL_STATE(2494)] = 39980,
  [SMALL_STATE(2495)] = 40105,
  [SMALL_STATE(2496)] = 40172,
  [SMALL_STATE(2497)] = 40231,
  [SMALL_STATE(2498)] = 40326,
  [SMALL_STATE(2499)] = 40393,
  [SMALL_STATE(2500)] = 40518,
  [SMALL_STATE(2501)] = 40577,
  [SMALL_STATE(2502)] = 40644,
  [SMALL_STATE(2503)] = 40709,
  [SMALL_STATE(2504)] = 40770,
  [SMALL_STATE(2505)] = 40835,
  [SMALL_STATE(2506)] = 40894,
  [SMALL_STATE(2507)] = 40953,
  [SMALL_STATE(2508)] = 41018,
  [SMALL_STATE(2509)] = 41079,
  [SMALL_STATE(2510)] = 41138,
  [SMALL_STATE(2511)] = 41197,
  [SMALL_STATE(2512)] = 41256,
  [SMALL_STATE(2513)] = 41319,
  [SMALL_STATE(2514)] = 41378,
  [SMALL_STATE(2515)] = 41437,
  [SMALL_STATE(2516)] = 41496,
  [SMALL_STATE(2517)] = 41555,
  [SMALL_STATE(2518)] = 41614,
  [SMALL_STATE(2519)] = 41673,
  [SMALL_STATE(2520)] = 41732,
  [SMALL_STATE(2521)] = 41791,
  [SMALL_STATE(2522)] = 41852,
  [SMALL_STATE(2523)] = 41911,
  [SMALL_STATE(2524)] = 41970,
  [SMALL_STATE(2525)] = 42065,
  [SMALL_STATE(2526)] = 42124,
  [SMALL_STATE(2527)] = 42189,
  [SMALL_STATE(2528)] = 42248,
  [SMALL_STATE(2529)] = 42307,
  [SMALL_STATE(2530)] = 42366,
  [SMALL_STATE(2531)] = 42425,
  [SMALL_STATE(2532)] = 42488,
  [SMALL_STATE(2533)] = 42547,
  [SMALL_STATE(2534)] = 42606,
  [SMALL_STATE(2535)] = 42667,
  [SMALL_STATE(2536)] = 42726,
  [SMALL_STATE(2537)] = 42785,
  [SMALL_STATE(2538)] = 42844,
  [SMALL_STATE(2539)] = 42903,
  [SMALL_STATE(2540)] = 42962,
  [SMALL_STATE(2541)] = 43021,
  [SMALL_STATE(2542)] = 43084,
  [SMALL_STATE(2543)] = 43209,
  [SMALL_STATE(2544)] = 43268,
  [SMALL_STATE(2545)] = 43329,
  [SMALL_STATE(2546)] = 43388,
  [SMALL_STATE(2547)] = 43447,
  [SMALL_STATE(2548)] = 43506,
  [SMALL_STATE(2549)] = 43567,
  [SMALL_STATE(2550)] = 43626,
  [SMALL_STATE(2551)] = 43685,
  [SMALL_STATE(2552)] = 43744,
  [SMALL_STATE(2553)] = 43803,
  [SMALL_STATE(2554)] = 43868,
  [SMALL_STATE(2555)] = 43933,
  [SMALL_STATE(2556)] = 43992,
  [SMALL_STATE(2557)] = 44108,
  [SMALL_STATE(2558)] = 44166,
  [SMALL_STATE(2559)] = 44254,
  [SMALL_STATE(2560)] = 44352,
  [SMALL_STATE(2561)] = 44438,
  [SMALL_STATE(2562)] = 44554,
  [SMALL_STATE(2563)] = 44674,
  [SMALL_STATE(2564)] = 44750,
  [SMALL_STATE(2565)] = 44808,
  [SMALL_STATE(2566)] = 44924,
  [SMALL_STATE(2567)] = 45002,
  [SMALL_STATE(2568)] = 45060,
  [SMALL_STATE(2569)] = 45176,
  [SMALL_STATE(2570)] = 45246,
  [SMALL_STATE(2571)] = 45332,
  [SMALL_STATE(2572)] = 45452,
  [SMALL_STATE(2573)] = 45568,
  [SMALL_STATE(2574)] = 45688,
  [SMALL_STATE(2575)] = 45788,
  [SMALL_STATE(2576)] = 45846,
  [SMALL_STATE(2577)] = 45904,
  [SMALL_STATE(2578)] = 46024,
  [SMALL_STATE(2579)] = 46144,
  [SMALL_STATE(2580)] = 46246,
  [SMALL_STATE(2581)] = 46330,
  [SMALL_STATE(2582)] = 46388,
  [SMALL_STATE(2583)] = 46446,
  [SMALL_STATE(2584)] = 46536,
  [SMALL_STATE(2585)] = 46594,
  [SMALL_STATE(2586)] = 46680,
  [SMALL_STATE(2587)] = 46760,
  [SMALL_STATE(2588)] = 46854,
  [SMALL_STATE(2589)] = 46912,
  [SMALL_STATE(2590)] = 47028,
  [SMALL_STATE(2591)] = 47096,
  [SMALL_STATE(2592)] = 47154,
  [SMALL_STATE(2593)] = 47212,
  [SMALL_STATE(2594)] = 47280,
  [SMALL_STATE(2595)] = 47396,
  [SMALL_STATE(2596)] = 47504,
  [SMALL_STATE(2597)] = 47562,
  [SMALL_STATE(2598)] = 47630,
  [SMALL_STATE(2599)] = 47688,
  [SMALL_STATE(2600)] = 47804,
  [SMALL_STATE(2601)] = 47892,
  [SMALL_STATE(2602)] = 48008,
  [SMALL_STATE(2603)] = 48128,
  [SMALL_STATE(2604)] = 48248,
  [SMALL_STATE(2605)] = 48306,
  [SMALL_STATE(2606)] = 48410,
  [SMALL_STATE(2607)] = 48526,
  [SMALL_STATE(2608)] = 48642,
  [SMALL_STATE(2609)] = 48706,
  [SMALL_STATE(2610)] = 48822,
  [SMALL_STATE(2611)] = 48938,
  [SMALL_STATE(2612)] = 49054,
  [SMALL_STATE(2613)] = 49148,
  [SMALL_STATE(2614)] = 49254,
  [SMALL_STATE(2615)] = 49340,
  [SMALL_STATE(2616)] = 49426,
  [SMALL_STATE(2617)] = 49546,
  [SMALL_STATE(2618)] = 49666,
  [SMALL_STATE(2619)] = 49764,
  [SMALL_STATE(2620)] = 49870,
  [SMALL_STATE(2621)] = 49974,
  [SMALL_STATE(2622)] = 50032,
  [SMALL_STATE(2623)] = 50090,
  [SMALL_STATE(2624)] = 50148,
  [SMALL_STATE(2625)] = 50264,
  [SMALL_STATE(2626)] = 50338,
  [SMALL_STATE(2627)] = 50396,
  [SMALL_STATE(2628)] = 50512,
  [SMALL_STATE(2629)] = 50576,
  [SMALL_STATE(2630)] = 50634,
  [SMALL_STATE(2631)] = 50734,
  [SMALL_STATE(2632)] = 50850,
  [SMALL_STATE(2633)] = 50966,
  [SMALL_STATE(2634)] = 51074,
  [SMALL_STATE(2635)] = 51132,
  [SMALL_STATE(2636)] = 51212,
  [SMALL_STATE(2637)] = 51270,
  [SMALL_STATE(2638)] = 51372,
  [SMALL_STATE(2639)] = 51456,
  [SMALL_STATE(2640)] = 51514,
  [SMALL_STATE(2641)] = 51630,
  [SMALL_STATE(2642)] = 51750,
  [SMALL_STATE(2643)] = 51870,
  [SMALL_STATE(2644)] = 51986,
  [SMALL_STATE(2645)] = 52044,
  [SMALL_STATE(2646)] = 52130,
  [SMALL_STATE(2647)] = 52188,
  [SMALL_STATE(2648)] = 52282,
  [SMALL_STATE(2649)] = 52340,
  [SMALL_STATE(2650)] = 52424,
  [SMALL_STATE(2651)] = 52482,
  [SMALL_STATE(2652)] = 52540,
  [SMALL_STATE(2653)] = 52656,
  [SMALL_STATE(2654)] = 52772,
  [SMALL_STATE(2655)] = 52830,
  [SMALL_STATE(2656)] = 52888,
  [SMALL_STATE(2657)] = 52948,
  [SMALL_STATE(2658)] = 53006,
  [SMALL_STATE(2659)] = 53064,
  [SMALL_STATE(2660)] = 53122,
  [SMALL_STATE(2661)] = 53180,
  [SMALL_STATE(2662)] = 53268,
  [SMALL_STATE(2663)] = 53384,
  [SMALL_STATE(2664)] = 53444,
  [SMALL_STATE(2665)] = 53530,
  [SMALL_STATE(2666)] = 53646,
  [SMALL_STATE(2667)] = 53712,
  [SMALL_STATE(2668)] = 53790,
  [SMALL_STATE(2669)] = 53854,
  [SMALL_STATE(2670)] = 53914,
  [SMALL_STATE(2671)] = 53972,
  [SMALL_STATE(2672)] = 54088,
  [SMALL_STATE(2673)] = 54208,
  [SMALL_STATE(2674)] = 54298,
  [SMALL_STATE(2675)] = 54382,
  [SMALL_STATE(2676)] = 54498,
  [SMALL_STATE(2677)] = 54556,
  [SMALL_STATE(2678)] = 54676,
  [SMALL_STATE(2679)] = 54752,
  [SMALL_STATE(2680)] = 54868,
  [SMALL_STATE(2681)] = 54926,
  [SMALL_STATE(2682)] = 55012,
  [SMALL_STATE(2683)] = 55070,
  [SMALL_STATE(2684)] = 55128,
  [SMALL_STATE(2685)] = 55186,
  [SMALL_STATE(2686)] = 55244,
  [SMALL_STATE(2687)] = 55302,
  [SMALL_STATE(2688)] = 55386,
  [SMALL_STATE(2689)] = 55472,
  [SMALL_STATE(2690)] = 55588,
  [SMALL_STATE(2691)] = 55678,
  [SMALL_STATE(2692)] = 55798,
  [SMALL_STATE(2693)] = 55856,
  [SMALL_STATE(2694)] = 55972,
  [SMALL_STATE(2695)] = 56030,
  [SMALL_STATE(2696)] = 56132,
  [SMALL_STATE(2697)] = 56194,
  [SMALL_STATE(2698)] = 56310,
  [SMALL_STATE(2699)] = 56368,
  [SMALL_STATE(2700)] = 56468,
  [SMALL_STATE(2701)] = 56584,
  [SMALL_STATE(2702)] = 56704,
  [SMALL_STATE(2703)] = 56762,
  [SMALL_STATE(2704)] = 56820,
  [SMALL_STATE(2705)] = 56898,
  [SMALL_STATE(2706)] = 56956,
  [SMALL_STATE(2707)] = 57018,
  [SMALL_STATE(2708)] = 57076,
  [SMALL_STATE(2709)] = 57134,
  [SMALL_STATE(2710)] = 57250,
  [SMALL_STATE(2711)] = 57308,
  [SMALL_STATE(2712)] = 57396,
  [SMALL_STATE(2713)] = 57494,
  [SMALL_STATE(2714)] = 57552,
  [SMALL_STATE(2715)] = 57668,
  [SMALL_STATE(2716)] = 57726,
  [SMALL_STATE(2717)] = 57842,
  [SMALL_STATE(2718)] = 57928,
  [SMALL_STATE(2719)] = 58046,
  [SMALL_STATE(2720)] = 58162,
  [SMALL_STATE(2721)] = 58220,
  [SMALL_STATE(2722)] = 58304,
  [SMALL_STATE(2723)] = 58362,
  [SMALL_STATE(2724)] = 58442,
  [SMALL_STATE(2725)] = 58530,
  [SMALL_STATE(2726)] = 58638,
  [SMALL_STATE(2727)] = 58696,
  [SMALL_STATE(2728)] = 58814,
  [SMALL_STATE(2729)] = 58884,
  [SMALL_STATE(2730)] = 59004,
  [SMALL_STATE(2731)] = 59110,
  [SMALL_STATE(2732)] = 59168,
  [SMALL_STATE(2733)] = 59226,
  [SMALL_STATE(2734)] = 59284,
  [SMALL_STATE(2735)] = 59342,
  [SMALL_STATE(2736)] = 59402,
  [SMALL_STATE(2737)] = 59462,
  [SMALL_STATE(2738)] = 59548,
  [SMALL_STATE(2739)] = 59668,
  [SMALL_STATE(2740)] = 59784,
  [SMALL_STATE(2741)] = 59842,
  [SMALL_STATE(2742)] = 59958,
  [SMALL_STATE(2743)] = 60020,
  [SMALL_STATE(2744)] = 60136,
  [SMALL_STATE(2745)] = 60252,
  [SMALL_STATE(2746)] = 60368,
  [SMALL_STATE(2747)] = 60438,
  [SMALL_STATE(2748)] = 60554,
  [SMALL_STATE(2749)] = 60658,
  [SMALL_STATE(2750)] = 60774,
  [SMALL_STATE(2751)] = 60832,
  [SMALL_STATE(2752)] = 60890,
  [SMALL_STATE(2753)] = 61010,
  [SMALL_STATE(2754)] = 61068,
  [SMALL_STATE(2755)] = 61126,
  [SMALL_STATE(2756)] = 61184,
  [SMALL_STATE(2757)] = 61300,
  [SMALL_STATE(2758)] = 61376,
  [SMALL_STATE(2759)] = 61496,
  [SMALL_STATE(2760)] = 61616,
  [SMALL_STATE(2761)] = 61704,
  [SMALL_STATE(2762)] = 61805,
  [SMALL_STATE(2763)] = 61924,
  [SMALL_STATE(2764)] = 62043,
  [SMALL_STATE(2765)] = 62108,
  [SMALL_STATE(2766)] = 62223,
  [SMALL_STATE(2767)] = 62308,
  [SMALL_STATE(2768)] = 62423,
  [SMALL_STATE(2769)] = 62538,
  [SMALL_STATE(2770)] = 62653,
  [SMALL_STATE(2771)] = 62768,
  [SMALL_STATE(2772)] = 62885,
  [SMALL_STATE(2773)] = 62952,
  [SMALL_STATE(2774)] = 63019,
  [SMALL_STATE(2775)] = 63094,
  [SMALL_STATE(2776)] = 63175,
  [SMALL_STATE(2777)] = 63294,
  [SMALL_STATE(2778)] = 63409,
  [SMALL_STATE(2779)] = 63490,
  [SMALL_STATE(2780)] = 63605,
  [SMALL_STATE(2781)] = 63666,
  [SMALL_STATE(2782)] = 63747,
  [SMALL_STATE(2783)] = 63810,
  [SMALL_STATE(2784)] = 63925,
  [SMALL_STATE(2785)] = 63986,
  [SMALL_STATE(2786)] = 64043,
  [SMALL_STATE(2787)] = 64100,
  [SMALL_STATE(2788)] = 64215,
  [SMALL_STATE(2789)] = 64330,
  [SMALL_STATE(2790)] = 64449,
  [SMALL_STATE(2791)] = 64568,
  [SMALL_STATE(2792)] = 64651,
  [SMALL_STATE(2793)] = 64708,
  [SMALL_STATE(2794)] = 64769,
  [SMALL_STATE(2795)] = 64888,
  [SMALL_STATE(2796)] = 65007,
  [SMALL_STATE(2797)] = 65070,
  [SMALL_STATE(2798)] = 65133,
  [SMALL_STATE(2799)] = 65252,
  [SMALL_STATE(2800)] = 65367,
  [SMALL_STATE(2801)] = 65482,
  [SMALL_STATE(2802)] = 65567,
  [SMALL_STATE(2803)] = 65682,
  [SMALL_STATE(2804)] = 65801,
  [SMALL_STATE(2805)] = 65916,
  [SMALL_STATE(2806)] = 66035,
  [SMALL_STATE(2807)] = 66154,
  [SMALL_STATE(2808)] = 66231,
  [SMALL_STATE(2809)] = 66350,
  [SMALL_STATE(2810)] = 66431,
  [SMALL_STATE(2811)] = 66546,
  [SMALL_STATE(2812)] = 66661,
  [SMALL_STATE(2813)] = 66776,
  [SMALL_STATE(2814)] = 66883,
  [SMALL_STATE(2815)] = 66998,
  [SMALL_STATE(2816)] = 67091,
  [SMALL_STATE(2817)] = 67210,
  [SMALL_STATE(2818)] = 67329,
  [SMALL_STATE(2819)] = 67448,
  [SMALL_STATE(2820)] = 67513,
  [SMALL_STATE(2821)] = 67572,
  [SMALL_STATE(2822)] = 67687,
  [SMALL_STATE(2823)] = 67802,
  [SMALL_STATE(2824)] = 67871,
  [SMALL_STATE(2825)] = 67954,
  [SMALL_STATE(2826)] = 68069,
  [SMALL_STATE(2827)] = 68184,
  [SMALL_STATE(2828)] = 68283,
  [SMALL_STATE(2829)] = 68400,
  [SMALL_STATE(2830)] = 68475,
  [SMALL_STATE(2831)] = 68590,
  [SMALL_STATE(2832)] = 68673,
  [SMALL_STATE(2833)] = 68750,
  [SMALL_STATE(2834)] = 68809,
  [SMALL_STATE(2835)] = 68924,
  [SMALL_STATE(2836)] = 69021,
  [SMALL_STATE(2837)] = 69106,
  [SMALL_STATE(2838)] = 69213,
  [SMALL_STATE(2839)] = 69318,
  [SMALL_STATE(2840)] = 69421,
  [SMALL_STATE(2841)] = 69514,
  [SMALL_STATE(2842)] = 69629,
  [SMALL_STATE(2843)] = 69710,
  [SMALL_STATE(2844)] = 69789,
  [SMALL_STATE(2845)] = 69874,
  [SMALL_STATE(2846)] = 69939,
  [SMALL_STATE(2847)] = 70000,
  [SMALL_STATE(2848)] = 70083,
  [SMALL_STATE(2849)] = 70198,
  [SMALL_STATE(2850)] = 70299,
  [SMALL_STATE(2851)] = 70398,
  [SMALL_STATE(2852)] = 70495,
  [SMALL_STATE(2853)] = 70614,
  [SMALL_STATE(2854)] = 70699,
  [SMALL_STATE(2855)] = 70762,
  [SMALL_STATE(2856)] = 70867,
  [SMALL_STATE(2857)] = 70984,
  [SMALL_STATE(2858)] = 71087,
  [SMALL_STATE(2859)] = 71166,
  [SMALL_STATE(2860)] = 71285,
  [SMALL_STATE(2861)] = 71374,
  [SMALL_STATE(2862)] = 71489,
  [SMALL_STATE(2863)] = 71604,
  [SMALL_STATE(2864)] = 71723,
  [SMALL_STATE(2865)] = 71838,
  [SMALL_STATE(2866)] = 71957,
  [SMALL_STATE(2867)] = 72076,
  [SMALL_STATE(2868)] = 72161,
  [SMALL_STATE(2869)] = 72218,
  [SMALL_STATE(2870)] = 72337,
  [SMALL_STATE(2871)] = 72456,
  [SMALL_STATE(2872)] = 72573,
  [SMALL_STATE(2873)] = 72662,
  [SMALL_STATE(2874)] = 72781,
  [SMALL_STATE(2875)] = 72838,
  [SMALL_STATE(2876)] = 72957,
  [SMALL_STATE(2877)] = 73074,
  [SMALL_STATE(2878)] = 73193,
  [SMALL_STATE(2879)] = 73308,
  [SMALL_STATE(2880)] = 73377,
  [SMALL_STATE(2881)] = 73436,
  [SMALL_STATE(2882)] = 73551,
  [SMALL_STATE(2883)] = 73670,
  [SMALL_STATE(2884)] = 73785,
  [SMALL_STATE(2885)] = 73900,
  [SMALL_STATE(2886)] = 74019,
  [SMALL_STATE(2887)] = 74106,
  [SMALL_STATE(2888)] = 74225,
  [SMALL_STATE(2889)] = 74282,
  [SMALL_STATE(2890)] = 74396,
  [SMALL_STATE(2891)] = 74484,
  [SMALL_STATE(2892)] = 74540,
  [SMALL_STATE(2893)] = 74602,
  [SMALL_STATE(2894)] = 74664,
  [SMALL_STATE(2895)] = 74722,
  [SMALL_STATE(2896)] = 74780,
  [SMALL_STATE(2897)] = 74844,
  [SMALL_STATE(2898)] = 74900,
  [SMALL_STATE(2899)] = 74982,
  [SMALL_STATE(2900)] = 75040,
  [SMALL_STATE(2901)] = 75102,
  [SMALL_STATE(2902)] = 75164,
  [SMALL_STATE(2903)] = 75278,
  [SMALL_STATE(2904)] = 75334,
  [SMALL_STATE(2905)] = 75398,
  [SMALL_STATE(2906)] = 75456,
  [SMALL_STATE(2907)] = 75512,
  [SMALL_STATE(2908)] = 75568,
  [SMALL_STATE(2909)] = 75636,
  [SMALL_STATE(2910)] = 75704,
  [SMALL_STATE(2911)] = 75766,
  [SMALL_STATE(2912)] = 75822,
  [SMALL_STATE(2913)] = 75884,
  [SMALL_STATE(2914)] = 75942,
  [SMALL_STATE(2915)] = 76000,
  [SMALL_STATE(2916)] = 76058,
  [SMALL_STATE(2917)] = 76148,
  [SMALL_STATE(2918)] = 76206,
  [SMALL_STATE(2919)] = 76296,
  [SMALL_STATE(2920)] = 76410,
  [SMALL_STATE(2921)] = 76474,
  [SMALL_STATE(2922)] = 76588,
  [SMALL_STATE(2923)] = 76658,
  [SMALL_STATE(2924)] = 76728,
  [SMALL_STATE(2925)] = 76842,
  [SMALL_STATE(2926)] = 76920,
  [SMALL_STATE(2927)] = 76980,
  [SMALL_STATE(2928)] = 77062,
  [SMALL_STATE(2929)] = 77152,
  [SMALL_STATE(2930)] = 77220,
  [SMALL_STATE(2931)] = 77288,
  [SMALL_STATE(2932)] = 77402,
  [SMALL_STATE(2933)] = 77516,
  [SMALL_STATE(2934)] = 77574,
  [SMALL_STATE(2935)] = 77636,
  [SMALL_STATE(2936)] = 77698,
  [SMALL_STATE(2937)] = 77762,
  [SMALL_STATE(2938)] = 77824,
  [SMALL_STATE(2939)] = 77880,
  [SMALL_STATE(2940)] = 77938,
  [SMALL_STATE(2941)] = 78052,
  [SMALL_STATE(2942)] = 78108,
  [SMALL_STATE(2943)] = 78176,
  [SMALL_STATE(2944)] = 78244,
  [SMALL_STATE(2945)] = 78326,
  [SMALL_STATE(2946)] = 78404,
  [SMALL_STATE(2947)] = 78484,
  [SMALL_STATE(2948)] = 78566,
  [SMALL_STATE(2949)] = 78644,
  [SMALL_STATE(2950)] = 78726,
  [SMALL_STATE(2951)] = 78794,
  [SMALL_STATE(2952)] = 78862,
  [SMALL_STATE(2953)] = 78930,
  [SMALL_STATE(2954)] = 79020,
  [SMALL_STATE(2955)] = 79136,
  [SMALL_STATE(2956)] = 79250,
  [SMALL_STATE(2957)] = 79312,
  [SMALL_STATE(2958)] = 79374,
  [SMALL_STATE(2959)] = 79456,
  [SMALL_STATE(2960)] = 79534,
  [SMALL_STATE(2961)] = 79614,
  [SMALL_STATE(2962)] = 79728,
  [SMALL_STATE(2963)] = 79842,
  [SMALL_STATE(2964)] = 79958,
  [SMALL_STATE(2965)] = 80016,
  [SMALL_STATE(2966)] = 80072,
  [SMALL_STATE(2967)] = 80150,
  [SMALL_STATE(2968)] = 80230,
  [SMALL_STATE(2969)] = 80320,
  [SMALL_STATE(2970)] = 80402,
  [SMALL_STATE(2971)] = 80462,
  [SMALL_STATE(2972)] = 80526,
  [SMALL_STATE(2973)] = 80590,
  [SMALL_STATE(2974)] = 80664,
  [SMALL_STATE(2975)] = 80778,
  [SMALL_STATE(2976)] = 80868,
  [SMALL_STATE(2977)] = 80950,
  [SMALL_STATE(2978)] = 81026,
  [SMALL_STATE(2979)] = 81108,
  [SMALL_STATE(2980)] = 81164,
  [SMALL_STATE(2981)] = 81220,
  [SMALL_STATE(2982)] = 81276,
  [SMALL_STATE(2983)] = 81332,
  [SMALL_STATE(2984)] = 81388,
  [SMALL_STATE(2985)] = 81444,
  [SMALL_STATE(2986)] = 81558,
  [SMALL_STATE(2987)] = 81614,
  [SMALL_STATE(2988)] = 81670,
  [SMALL_STATE(2989)] = 81726,
  [SMALL_STATE(2990)] = 81782,
  [SMALL_STATE(2991)] = 81838,
  [SMALL_STATE(2992)] = 81954,
  [SMALL_STATE(2993)] = 82010,
  [SMALL_STATE(2994)] = 82124,
  [SMALL_STATE(2995)] = 82240,
  [SMALL_STATE(2996)] = 82354,
  [SMALL_STATE(2997)] = 82468,
  [SMALL_STATE(2998)] = 82582,
  [SMALL_STATE(2999)] = 82696,
  [SMALL_STATE(3000)] = 82810,
  [SMALL_STATE(3001)] = 82866,
  [SMALL_STATE(3002)] = 82922,
  [SMALL_STATE(3003)] = 82978,
  [SMALL_STATE(3004)] = 83034,
  [SMALL_STATE(3005)] = 83148,
  [SMALL_STATE(3006)] = 83238,
  [SMALL_STATE(3007)] = 83354,
  [SMALL_STATE(3008)] = 83468,
  [SMALL_STATE(3009)] = 83528,
  [SMALL_STATE(3010)] = 83590,
  [SMALL_STATE(3011)] = 83646,
  [SMALL_STATE(3012)] = 83702,
  [SMALL_STATE(3013)] = 83758,
  [SMALL_STATE(3014)] = 83814,
  [SMALL_STATE(3015)] = 83928,
  [SMALL_STATE(3016)] = 84042,
  [SMALL_STATE(3017)] = 84148,
  [SMALL_STATE(3018)] = 84240,
  [SMALL_STATE(3019)] = 84296,
  [SMALL_STATE(3020)] = 84352,
  [SMALL_STATE(3021)] = 84408,
  [SMALL_STATE(3022)] = 84464,
  [SMALL_STATE(3023)] = 84520,
  [SMALL_STATE(3024)] = 84576,
  [SMALL_STATE(3025)] = 84632,
  [SMALL_STATE(3026)] = 84688,
  [SMALL_STATE(3027)] = 84744,
  [SMALL_STATE(3028)] = 84800,
  [SMALL_STATE(3029)] = 84856,
  [SMALL_STATE(3030)] = 84914,
  [SMALL_STATE(3031)] = 84970,
  [SMALL_STATE(3032)] = 85026,
  [SMALL_STATE(3033)] = 85082,
  [SMALL_STATE(3034)] = 85138,
  [SMALL_STATE(3035)] = 85194,
  [SMALL_STATE(3036)] = 85278,
  [SMALL_STATE(3037)] = 85360,
  [SMALL_STATE(3038)] = 85460,
  [SMALL_STATE(3039)] = 85516,
  [SMALL_STATE(3040)] = 85572,
  [SMALL_STATE(3041)] = 85628,
  [SMALL_STATE(3042)] = 85742,
  [SMALL_STATE(3043)] = 85798,
  [SMALL_STATE(3044)] = 85854,
  [SMALL_STATE(3045)] = 85910,
  [SMALL_STATE(3046)] = 85966,
  [SMALL_STATE(3047)] = 86022,
  [SMALL_STATE(3048)] = 86078,
  [SMALL_STATE(3049)] = 86134,
  [SMALL_STATE(3050)] = 86190,
  [SMALL_STATE(3051)] = 86246,
  [SMALL_STATE(3052)] = 86308,
  [SMALL_STATE(3053)] = 86364,
  [SMALL_STATE(3054)] = 86420,
  [SMALL_STATE(3055)] = 86476,
  [SMALL_STATE(3056)] = 86544,
  [SMALL_STATE(3057)] = 86658,
  [SMALL_STATE(3058)] = 86772,
  [SMALL_STATE(3059)] = 86886,
  [SMALL_STATE(3060)] = 87002,
  [SMALL_STATE(3061)] = 87116,
  [SMALL_STATE(3062)] = 87176,
  [SMALL_STATE(3063)] = 87238,
  [SMALL_STATE(3064)] = 87294,
  [SMALL_STATE(3065)] = 87350,
  [SMALL_STATE(3066)] = 87412,
  [SMALL_STATE(3067)] = 87468,
  [SMALL_STATE(3068)] = 87524,
  [SMALL_STATE(3069)] = 87586,
  [SMALL_STATE(3070)] = 87642,
  [SMALL_STATE(3071)] = 87700,
  [SMALL_STATE(3072)] = 87756,
  [SMALL_STATE(3073)] = 87812,
  [SMALL_STATE(3074)] = 87870,
  [SMALL_STATE(3075)] = 87928,
  [SMALL_STATE(3076)] = 87984,
  [SMALL_STATE(3077)] = 88046,
  [SMALL_STATE(3078)] = 88102,
  [SMALL_STATE(3079)] = 88158,
  [SMALL_STATE(3080)] = 88214,
  [SMALL_STATE(3081)] = 88270,
  [SMALL_STATE(3082)] = 88326,
  [SMALL_STATE(3083)] = 88382,
  [SMALL_STATE(3084)] = 88438,
  [SMALL_STATE(3085)] = 88494,
  [SMALL_STATE(3086)] = 88550,
  [SMALL_STATE(3087)] = 88606,
  [SMALL_STATE(3088)] = 88664,
  [SMALL_STATE(3089)] = 88720,
  [SMALL_STATE(3090)] = 88776,
  [SMALL_STATE(3091)] = 88874,
  [SMALL_STATE(3092)] = 88930,
  [SMALL_STATE(3093)] = 89026,
  [SMALL_STATE(3094)] = 89110,
  [SMALL_STATE(3095)] = 89214,
  [SMALL_STATE(3096)] = 89316,
  [SMALL_STATE(3097)] = 89372,
  [SMALL_STATE(3098)] = 89450,
  [SMALL_STATE(3099)] = 89564,
  [SMALL_STATE(3100)] = 89678,
  [SMALL_STATE(3101)] = 89734,
  [SMALL_STATE(3102)] = 89790,
  [SMALL_STATE(3103)] = 89851,
  [SMALL_STATE(3104)] = 89906,
  [SMALL_STATE(3105)] = 90019,
  [SMALL_STATE(3106)] = 90080,
  [SMALL_STATE(3107)] = 90193,
  [SMALL_STATE(3108)] = 90254,
  [SMALL_STATE(3109)] = 90335,
  [SMALL_STATE(3110)] = 90392,
  [SMALL_STATE(3111)] = 90447,
  [SMALL_STATE(3112)] = 90504,
  [SMALL_STATE(3113)] = 90563,
  [SMALL_STATE(3114)] = 90676,
  [SMALL_STATE(3115)] = 90743,
  [SMALL_STATE(3116)] = 90856,
  [SMALL_STATE(3117)] = 90923,
  [SMALL_STATE(3118)] = 90996,
  [SMALL_STATE(3119)] = 91071,
  [SMALL_STATE(3120)] = 91126,
  [SMALL_STATE(3121)] = 91199,
  [SMALL_STATE(3122)] = 91266,
  [SMALL_STATE(3123)] = 91339,
  [SMALL_STATE(3124)] = 91404,
  [SMALL_STATE(3125)] = 91459,
  [SMALL_STATE(3126)] = 91522,
  [SMALL_STATE(3127)] = 91577,
  [SMALL_STATE(3128)] = 91636,
  [SMALL_STATE(3129)] = 91703,
  [SMALL_STATE(3130)] = 91770,
  [SMALL_STATE(3131)] = 91825,
  [SMALL_STATE(3132)] = 91888,
  [SMALL_STATE(3133)] = 91943,
  [SMALL_STATE(3134)] = 91998,
  [SMALL_STATE(3135)] = 92055,
  [SMALL_STATE(3136)] = 92116,
  [SMALL_STATE(3137)] = 92177,
  [SMALL_STATE(3138)] = 92244,
  [SMALL_STATE(3139)] = 92317,
  [SMALL_STATE(3140)] = 92384,
  [SMALL_STATE(3141)] = 92497,
  [SMALL_STATE(3142)] = 92556,
  [SMALL_STATE(3143)] = 92637,
  [SMALL_STATE(3144)] = 92712,
  [SMALL_STATE(3145)] = 92825,
  [SMALL_STATE(3146)] = 92900,
  [SMALL_STATE(3147)] = 92955,
  [SMALL_STATE(3148)] = 93014,
  [SMALL_STATE(3149)] = 93073,
  [SMALL_STATE(3150)] = 93132,
  [SMALL_STATE(3151)] = 93187,
  [SMALL_STATE(3152)] = 93242,
  [SMALL_STATE(3153)] = 93301,
  [SMALL_STATE(3154)] = 93356,
  [SMALL_STATE(3155)] = 93415,
  [SMALL_STATE(3156)] = 93476,
  [SMALL_STATE(3157)] = 93531,
  [SMALL_STATE(3158)] = 93586,
  [SMALL_STATE(3159)] = 93641,
  [SMALL_STATE(3160)] = 93696,
  [SMALL_STATE(3161)] = 93751,
  [SMALL_STATE(3162)] = 93810,
  [SMALL_STATE(3163)] = 93923,
  [SMALL_STATE(3164)] = 93996,
  [SMALL_STATE(3165)] = 94071,
  [SMALL_STATE(3166)] = 94144,
  [SMALL_STATE(3167)] = 94203,
  [SMALL_STATE(3168)] = 94258,
  [SMALL_STATE(3169)] = 94353,
  [SMALL_STATE(3170)] = 94412,
  [SMALL_STATE(3171)] = 94475,
  [SMALL_STATE(3172)] = 94534,
  [SMALL_STATE(3173)] = 94593,
  [SMALL_STATE(3174)] = 94706,
  [SMALL_STATE(3175)] = 94763,
  [SMALL_STATE(3176)] = 94824,
  [SMALL_STATE(3177)] = 94891,
  [SMALL_STATE(3178)] = 94946,
  [SMALL_STATE(3179)] = 95059,
  [SMALL_STATE(3180)] = 95116,
  [SMALL_STATE(3181)] = 95171,
  [SMALL_STATE(3182)] = 95226,
  [SMALL_STATE(3183)] = 95289,
  [SMALL_STATE(3184)] = 95346,
  [SMALL_STATE(3185)] = 95409,
  [SMALL_STATE(3186)] = 95522,
  [SMALL_STATE(3187)] = 95635,
  [SMALL_STATE(3188)] = 95722,
  [SMALL_STATE(3189)] = 95777,
  [SMALL_STATE(3190)] = 95832,
  [SMALL_STATE(3191)] = 95909,
  [SMALL_STATE(3192)] = 96010,
  [SMALL_STATE(3193)] = 96069,
  [SMALL_STATE(3194)] = 96144,
  [SMALL_STATE(3195)] = 96203,
  [SMALL_STATE(3196)] = 96306,
  [SMALL_STATE(3197)] = 96389,
  [SMALL_STATE(3198)] = 96484,
  [SMALL_STATE(3199)] = 96557,
  [SMALL_STATE(3200)] = 96638,
  [SMALL_STATE(3201)] = 96735,
  [SMALL_STATE(3202)] = 96834,
  [SMALL_STATE(3203)] = 96915,
  [SMALL_STATE(3204)] = 96998,
  [SMALL_STATE(3205)] = 97053,
  [SMALL_STATE(3206)] = 97110,
  [SMALL_STATE(3207)] = 97183,
  [SMALL_STATE(3208)] = 97246,
  [SMALL_STATE(3209)] = 97301,
  [SMALL_STATE(3210)] = 97356,
  [SMALL_STATE(3211)] = 97447,
  [SMALL_STATE(3212)] = 97552,
  [SMALL_STATE(3213)] = 97665,
  [SMALL_STATE(3214)] = 97740,
  [SMALL_STATE(3215)] = 97853,
  [SMALL_STATE(3216)] = 97928,
  [SMALL_STATE(3217)] = 98001,
  [SMALL_STATE(3218)] = 98056,
  [SMALL_STATE(3219)] = 98129,
  [SMALL_STATE(3220)] = 98202,
  [SMALL_STATE(3221)] = 98277,
  [SMALL_STATE(3222)] = 98336,
  [SMALL_STATE(3223)] = 98391,
  [SMALL_STATE(3224)] = 98446,
  [SMALL_STATE(3225)] = 98501,
  [SMALL_STATE(3226)] = 98574,
  [SMALL_STATE(3227)] = 98631,
  [SMALL_STATE(3228)] = 98714,
  [SMALL_STATE(3229)] = 98773,
  [SMALL_STATE(3230)] = 98828,
  [SMALL_STATE(3231)] = 98883,
  [SMALL_STATE(3232)] = 98942,
  [SMALL_STATE(3233)] = 99001,
  [SMALL_STATE(3234)] = 99060,
  [SMALL_STATE(3235)] = 99173,
  [SMALL_STATE(3236)] = 99232,
  [SMALL_STATE(3237)] = 99345,
  [SMALL_STATE(3238)] = 99404,
  [SMALL_STATE(3239)] = 99517,
  [SMALL_STATE(3240)] = 99598,
  [SMALL_STATE(3241)] = 99711,
  [SMALL_STATE(3242)] = 99784,
  [SMALL_STATE(3243)] = 99851,
  [SMALL_STATE(3244)] = 99916,
  [SMALL_STATE(3245)] = 99989,
  [SMALL_STATE(3246)] = 100054,
  [SMALL_STATE(3247)] = 100113,
  [SMALL_STATE(3248)] = 100172,
  [SMALL_STATE(3249)] = 100285,
  [SMALL_STATE(3250)] = 100398,
  [SMALL_STATE(3251)] = 100479,
  [SMALL_STATE(3252)] = 100592,
  [SMALL_STATE(3253)] = 100705,
  [SMALL_STATE(3254)] = 100818,
  [SMALL_STATE(3255)] = 100931,
  [SMALL_STATE(3256)] = 101044,
  [SMALL_STATE(3257)] = 101119,
  [SMALL_STATE(3258)] = 101232,
  [SMALL_STATE(3259)] = 101287,
  [SMALL_STATE(3260)] = 101368,
  [SMALL_STATE(3261)] = 101443,
  [SMALL_STATE(3262)] = 101556,
  [SMALL_STATE(3263)] = 101639,
  [SMALL_STATE(3264)] = 101696,
  [SMALL_STATE(3265)] = 101809,
  [SMALL_STATE(3266)] = 101896,
  [SMALL_STATE(3267)] = 101973,
  [SMALL_STATE(3268)] = 102028,
  [SMALL_STATE(3269)] = 102141,
  [SMALL_STATE(3270)] = 102200,
  [SMALL_STATE(3271)] = 102259,
  [SMALL_STATE(3272)] = 102314,
  [SMALL_STATE(3273)] = 102427,
  [SMALL_STATE(3274)] = 102500,
  [SMALL_STATE(3275)] = 102613,
  [SMALL_STATE(3276)] = 102676,
  [SMALL_STATE(3277)] = 102743,
  [SMALL_STATE(3278)] = 102856,
  [SMALL_STATE(3279)] = 102911,
  [SMALL_STATE(3280)] = 102978,
  [SMALL_STATE(3281)] = 103079,
  [SMALL_STATE(3282)] = 103182,
  [SMALL_STATE(3283)] = 103265,
  [SMALL_STATE(3284)] = 103378,
  [SMALL_STATE(3285)] = 103433,
  [SMALL_STATE(3286)] = 103490,
  [SMALL_STATE(3287)] = 103547,
  [SMALL_STATE(3288)] = 103602,
  [SMALL_STATE(3289)] = 103685,
  [SMALL_STATE(3290)] = 103740,
  [SMALL_STATE(3291)] = 103821,
  [SMALL_STATE(3292)] = 103876,
  [SMALL_STATE(3293)] = 103931,
  [SMALL_STATE(3294)] = 103992,
  [SMALL_STATE(3295)] = 104055,
  [SMALL_STATE(3296)] = 104168,
  [SMALL_STATE(3297)] = 104223,
  [SMALL_STATE(3298)] = 104278,
  [SMALL_STATE(3299)] = 104333,
  [SMALL_STATE(3300)] = 104430,
  [SMALL_STATE(3301)] = 104485,
  [SMALL_STATE(3302)] = 104584,
  [SMALL_STATE(3303)] = 104697,
  [SMALL_STATE(3304)] = 104810,
  [SMALL_STATE(3305)] = 104885,
  [SMALL_STATE(3306)] = 104942,
  [SMALL_STATE(3307)] = 105017,
  [SMALL_STATE(3308)] = 105074,
  [SMALL_STATE(3309)] = 105149,
  [SMALL_STATE(3310)] = 105230,
  [SMALL_STATE(3311)] = 105313,
  [SMALL_STATE(3312)] = 105386,
  [SMALL_STATE(3313)] = 105477,
  [SMALL_STATE(3314)] = 105534,
  [SMALL_STATE(3315)] = 105647,
  [SMALL_STATE(3316)] = 105752,
  [SMALL_STATE(3317)] = 105865,
  [SMALL_STATE(3318)] = 105978,
  [SMALL_STATE(3319)] = 106091,
  [SMALL_STATE(3320)] = 106204,
  [SMALL_STATE(3321)] = 106317,
  [SMALL_STATE(3322)] = 106430,
  [SMALL_STATE(3323)] = 106543,
  [SMALL_STATE(3324)] = 106656,
  [SMALL_STATE(3325)] = 106769,
  [SMALL_STATE(3326)] = 106874,
  [SMALL_STATE(3327)] = 106965,
  [SMALL_STATE(3328)] = 107038,
  [SMALL_STATE(3329)] = 107121,
  [SMALL_STATE(3330)] = 107176,
  [SMALL_STATE(3331)] = 107237,
  [SMALL_STATE(3332)] = 107302,
  [SMALL_STATE(3333)] = 107383,
  [SMALL_STATE(3334)] = 107458,
  [SMALL_STATE(3335)] = 107531,
  [SMALL_STATE(3336)] = 107606,
  [SMALL_STATE(3337)] = 107669,
  [SMALL_STATE(3338)] = 107744,
  [SMALL_STATE(3339)] = 107825,
  [SMALL_STATE(3340)] = 107902,
  [SMALL_STATE(3341)] = 108001,
  [SMALL_STATE(3342)] = 108084,
  [SMALL_STATE(3343)] = 108139,
  [SMALL_STATE(3344)] = 108206,
  [SMALL_STATE(3345)] = 108273,
  [SMALL_STATE(3346)] = 108348,
  [SMALL_STATE(3347)] = 108445,
  [SMALL_STATE(3348)] = 108540,
  [SMALL_STATE(3349)] = 108623,
  [SMALL_STATE(3350)] = 108696,
  [SMALL_STATE(3351)] = 108799,
  [SMALL_STATE(3352)] = 108900,
  [SMALL_STATE(3353)] = 108981,
  [SMALL_STATE(3354)] = 109064,
  [SMALL_STATE(3355)] = 109123,
  [SMALL_STATE(3356)] = 109196,
  [SMALL_STATE(3357)] = 109271,
  [SMALL_STATE(3358)] = 109330,
  [SMALL_STATE(3359)] = 109403,
  [SMALL_STATE(3360)] = 109480,
  [SMALL_STATE(3361)] = 109553,
  [SMALL_STATE(3362)] = 109640,
  [SMALL_STATE(3363)] = 109753,
  [SMALL_STATE(3364)] = 109866,
  [SMALL_STATE(3365)] = 109925,
  [SMALL_STATE(3366)] = 109982,
  [SMALL_STATE(3367)] = 110095,
  [SMALL_STATE(3368)] = 110152,
  [SMALL_STATE(3369)] = 110207,
  [SMALL_STATE(3370)] = 110322,
  [SMALL_STATE(3371)] = 110435,
  [SMALL_STATE(3372)] = 110548,
  [SMALL_STATE(3373)] = 110615,
  [SMALL_STATE(3374)] = 110728,
  [SMALL_STATE(3375)] = 110783,
  [SMALL_STATE(3376)] = 110866,
  [SMALL_STATE(3377)] = 110979,
  [SMALL_STATE(3378)] = 111034,
  [SMALL_STATE(3379)] = 111089,
  [SMALL_STATE(3380)] = 111202,
  [SMALL_STATE(3381)] = 111277,
  [SMALL_STATE(3382)] = 111338,
  [SMALL_STATE(3383)] = 111397,
  [SMALL_STATE(3384)] = 111480,
  [SMALL_STATE(3385)] = 111593,
  [SMALL_STATE(3386)] = 111648,
  [SMALL_STATE(3387)] = 111729,
  [SMALL_STATE(3388)] = 111792,
  [SMALL_STATE(3389)] = 111849,
  [SMALL_STATE(3390)] = 111922,
  [SMALL_STATE(3391)] = 111990,
  [SMALL_STATE(3392)] = 112048,
  [SMALL_STATE(3393)] = 112108,
  [SMALL_STATE(3394)] = 112218,
  [SMALL_STATE(3395)] = 112286,
  [SMALL_STATE(3396)] = 112396,
  [SMALL_STATE(3397)] = 112472,
  [SMALL_STATE(3398)] = 112548,
  [SMALL_STATE(3399)] = 112616,
  [SMALL_STATE(3400)] = 112684,
  [SMALL_STATE(3401)] = 112752,
  [SMALL_STATE(3402)] = 112820,
  [SMALL_STATE(3403)] = 112930,
  [SMALL_STATE(3404)] = 112998,
  [SMALL_STATE(3405)] = 113066,
  [SMALL_STATE(3406)] = 113142,
  [SMALL_STATE(3407)] = 113228,
  [SMALL_STATE(3408)] = 113338,
  [SMALL_STATE(3409)] = 113448,
  [SMALL_STATE(3410)] = 113510,
  [SMALL_STATE(3411)] = 113578,
  [SMALL_STATE(3412)] = 113676,
  [SMALL_STATE(3413)] = 113786,
  [SMALL_STATE(3414)] = 113896,
  [SMALL_STATE(3415)] = 113964,
  [SMALL_STATE(3416)] = 114046,
  [SMALL_STATE(3417)] = 114156,
  [SMALL_STATE(3418)] = 114224,
  [SMALL_STATE(3419)] = 114306,
  [SMALL_STATE(3420)] = 114416,
  [SMALL_STATE(3421)] = 114518,
  [SMALL_STATE(3422)] = 114628,
  [SMALL_STATE(3423)] = 114684,
  [SMALL_STATE(3424)] = 114746,
  [SMALL_STATE(3425)] = 114846,
  [SMALL_STATE(3426)] = 114908,
  [SMALL_STATE(3427)] = 114966,
  [SMALL_STATE(3428)] = 115028,
  [SMALL_STATE(3429)] = 115088,
  [SMALL_STATE(3430)] = 115156,
  [SMALL_STATE(3431)] = 115250,
  [SMALL_STATE(3432)] = 115312,
  [SMALL_STATE(3433)] = 115408,
  [SMALL_STATE(3434)] = 115476,
  [SMALL_STATE(3435)] = 115552,
  [SMALL_STATE(3436)] = 115620,
  [SMALL_STATE(3437)] = 115680,
  [SMALL_STATE(3438)] = 115736,
  [SMALL_STATE(3439)] = 115812,
  [SMALL_STATE(3440)] = 115880,
  [SMALL_STATE(3441)] = 115962,
  [SMALL_STATE(3442)] = 116030,
  [SMALL_STATE(3443)] = 116098,
  [SMALL_STATE(3444)] = 116208,
  [SMALL_STATE(3445)] = 116276,
  [SMALL_STATE(3446)] = 116352,
  [SMALL_STATE(3447)] = 116440,
  [SMALL_STATE(3448)] = 116550,
  [SMALL_STATE(3449)] = 116610,
  [SMALL_STATE(3450)] = 116720,
  [SMALL_STATE(3451)] = 116776,
  [SMALL_STATE(3452)] = 116856,
  [SMALL_STATE(3453)] = 116918,
  [SMALL_STATE(3454)] = 117028,
  [SMALL_STATE(3455)] = 117096,
  [SMALL_STATE(3456)] = 117172,
  [SMALL_STATE(3457)] = 117228,
  [SMALL_STATE(3458)] = 117332,
  [SMALL_STATE(3459)] = 117442,
  [SMALL_STATE(3460)] = 117518,
  [SMALL_STATE(3461)] = 117586,
  [SMALL_STATE(3462)] = 117652,
  [SMALL_STATE(3463)] = 117742,
  [SMALL_STATE(3464)] = 117814,
  [SMALL_STATE(3465)] = 117882,
  [SMALL_STATE(3466)] = 117992,
  [SMALL_STATE(3467)] = 118048,
  [SMALL_STATE(3468)] = 118104,
  [SMALL_STATE(3469)] = 118184,
  [SMALL_STATE(3470)] = 118252,
  [SMALL_STATE(3471)] = 118308,
  [SMALL_STATE(3472)] = 118366,
  [SMALL_STATE(3473)] = 118440,
  [SMALL_STATE(3474)] = 118508,
  [SMALL_STATE(3475)] = 118570,
  [SMALL_STATE(3476)] = 118639,
  [SMALL_STATE(3477)] = 118698,
  [SMALL_STATE(3478)] = 118757,
  [SMALL_STATE(3479)] = 118812,
  [SMALL_STATE(3480)] = 118867,
  [SMALL_STATE(3481)] = 118926,
  [SMALL_STATE(3482)] = 118985,
  [SMALL_STATE(3483)] = 119044,
  [SMALL_STATE(3484)] = 119103,
  [SMALL_STATE(3485)] = 119172,
  [SMALL_STATE(3486)] = 119245,
  [SMALL_STATE(3487)] = 119300,
  [SMALL_STATE(3488)] = 119355,
  [SMALL_STATE(3489)] = 119410,
  [SMALL_STATE(3490)] = 119465,
  [SMALL_STATE(3491)] = 119524,
  [SMALL_STATE(3492)] = 119599,
  [SMALL_STATE(3493)] = 119658,
  [SMALL_STATE(3494)] = 119717,
  [SMALL_STATE(3495)] = 119790,
  [SMALL_STATE(3496)] = 119845,
  [SMALL_STATE(3497)] = 119918,
  [SMALL_STATE(3498)] = 119977,
  [SMALL_STATE(3499)] = 120032,
  [SMALL_STATE(3500)] = 120105,
  [SMALL_STATE(3501)] = 120160,
  [SMALL_STATE(3502)] = 120253,
  [SMALL_STATE(3503)] = 120314,
  [SMALL_STATE(3504)] = 120387,
  [SMALL_STATE(3505)] = 120466,
  [SMALL_STATE(3506)] = 120521,
  [SMALL_STATE(3507)] = 120590,
  [SMALL_STATE(3508)] = 120659,
  [SMALL_STATE(3509)] = 120714,
  [SMALL_STATE(3510)] = 120783,
  [SMALL_STATE(3511)] = 120856,
  [SMALL_STATE(3512)] = 120911,
  [SMALL_STATE(3513)] = 120973,
  [SMALL_STATE(3514)] = 121031,
  [SMALL_STATE(3515)] = 121085,
  [SMALL_STATE(3516)] = 121151,
  [SMALL_STATE(3517)] = 121213,
  [SMALL_STATE(3518)] = 121275,
  [SMALL_STATE(3519)] = 121333,
  [SMALL_STATE(3520)] = 121401,
  [SMALL_STATE(3521)] = 121455,
  [SMALL_STATE(3522)] = 121513,
  [SMALL_STATE(3523)] = 121575,
  [SMALL_STATE(3524)] = 121641,
  [SMALL_STATE(3525)] = 121707,
  [SMALL_STATE(3526)] = 121769,
  [SMALL_STATE(3527)] = 121835,
  [SMALL_STATE(3528)] = 121897,
  [SMALL_STATE(3529)] = 121955,
  [SMALL_STATE(3530)] = 122021,
  [SMALL_STATE(3531)] = 122091,
  [SMALL_STATE(3532)] = 122145,
  [SMALL_STATE(3533)] = 122217,
  [SMALL_STATE(3534)] = 122283,
  [SMALL_STATE(3535)] = 122341,
  [SMALL_STATE(3536)] = 122403,
  [SMALL_STATE(3537)] = 122465,
  [SMALL_STATE(3538)] = 122527,
  [SMALL_STATE(3539)] = 122589,
  [SMALL_STATE(3540)] = 122651,
  [SMALL_STATE(3541)] = 122717,
  [SMALL_STATE(3542)] = 122783,
  [SMALL_STATE(3543)] = 122849,
  [SMALL_STATE(3544)] = 122903,
  [SMALL_STATE(3545)] = 122969,
  [SMALL_STATE(3546)] = 123023,
  [SMALL_STATE(3547)] = 123089,
  [SMALL_STATE(3548)] = 123155,
  [SMALL_STATE(3549)] = 123221,
  [SMALL_STATE(3550)] = 123283,
  [SMALL_STATE(3551)] = 123345,
  [SMALL_STATE(3552)] = 123411,
  [SMALL_STATE(3553)] = 123473,
  [SMALL_STATE(3554)] = 123539,
  [SMALL_STATE(3555)] = 123605,
  [SMALL_STATE(3556)] = 123658,
  [SMALL_STATE(3557)] = 123711,
  [SMALL_STATE(3558)] = 123764,
  [SMALL_STATE(3559)] = 123817,
  [SMALL_STATE(3560)] = 123870,
  [SMALL_STATE(3561)] = 123923,
  [SMALL_STATE(3562)] = 123988,
  [SMALL_STATE(3563)] = 124041,
  [SMALL_STATE(3564)] = 124094,
  [SMALL_STATE(3565)] = 124147,
  [SMALL_STATE(3566)] = 124200,
  [SMALL_STATE(3567)] = 124250,
  [SMALL_STATE(3568)] = 124300,
  [SMALL_STATE(3569)] = 124350,
  [SMALL_STATE(3570)] = 124400,
  [SMALL_STATE(3571)] = 124450,
  [SMALL_STATE(3572)] = 124500,
  [SMALL_STATE(3573)] = 124550,
  [SMALL_STATE(3574)] = 124600,
  [SMALL_STATE(3575)] = 124650,
  [SMALL_STATE(3576)] = 124700,
  [SMALL_STATE(3577)] = 124750,
  [SMALL_STATE(3578)] = 124800,
  [SMALL_STATE(3579)] = 124874,
  [SMALL_STATE(3580)] = 124924,
  [SMALL_STATE(3581)] = 124974,
  [SMALL_STATE(3582)] = 125024,
  [SMALL_STATE(3583)] = 125076,
  [SMALL_STATE(3584)] = 125126,
  [SMALL_STATE(3585)] = 125176,
  [SMALL_STATE(3586)] = 125226,
  [SMALL_STATE(3587)] = 125276,
  [SMALL_STATE(3588)] = 125326,
  [SMALL_STATE(3589)] = 125376,
  [SMALL_STATE(3590)] = 125426,
  [SMALL_STATE(3591)] = 125476,
  [SMALL_STATE(3592)] = 125526,
  [SMALL_STATE(3593)] = 125576,
  [SMALL_STATE(3594)] = 125626,
  [SMALL_STATE(3595)] = 125676,
  [SMALL_STATE(3596)] = 125726,
  [SMALL_STATE(3597)] = 125776,
  [SMALL_STATE(3598)] = 125826,
  [SMALL_STATE(3599)] = 125876,
  [SMALL_STATE(3600)] = 125926,
  [SMALL_STATE(3601)] = 125976,
  [SMALL_STATE(3602)] = 126026,
  [SMALL_STATE(3603)] = 126076,
  [SMALL_STATE(3604)] = 126128,
  [SMALL_STATE(3605)] = 126178,
  [SMALL_STATE(3606)] = 126228,
  [SMALL_STATE(3607)] = 126278,
  [SMALL_STATE(3608)] = 126328,
  [SMALL_STATE(3609)] = 126378,
  [SMALL_STATE(3610)] = 126428,
  [SMALL_STATE(3611)] = 126478,
  [SMALL_STATE(3612)] = 126528,
  [SMALL_STATE(3613)] = 126578,
  [SMALL_STATE(3614)] = 126628,
  [SMALL_STATE(3615)] = 126678,
  [SMALL_STATE(3616)] = 126728,
  [SMALL_STATE(3617)] = 126782,
  [SMALL_STATE(3618)] = 126832,
  [SMALL_STATE(3619)] = 126882,
  [SMALL_STATE(3620)] = 126932,
  [SMALL_STATE(3621)] = 126986,
  [SMALL_STATE(3622)] = 127053,
  [SMALL_STATE(3623)] = 127118,
  [SMALL_STATE(3624)] = 127183,
  [SMALL_STATE(3625)] = 127250,
  [SMALL_STATE(3626)] = 127297,
  [SMALL_STATE(3627)] = 127348,
  [SMALL_STATE(3628)] = 127395,
  [SMALL_STATE(3629)] = 127458,
  [SMALL_STATE(3630)] = 127505,
  [SMALL_STATE(3631)] = 127556,
  [SMALL_STATE(3632)] = 127603,
  [SMALL_STATE(3633)] = 127650,
  [SMALL_STATE(3634)] = 127697,
  [SMALL_STATE(3635)] = 127764,
  [SMALL_STATE(3636)] = 127811,
  [SMALL_STATE(3637)] = 127876,
  [SMALL_STATE(3638)] = 127941,
  [SMALL_STATE(3639)] = 128001,
  [SMALL_STATE(3640)] = 128061,
  [SMALL_STATE(3641)] = 128121,
  [SMALL_STATE(3642)] = 128181,
  [SMALL_STATE(3643)] = 128241,
  [SMALL_STATE(3644)] = 128301,
  [SMALL_STATE(3645)] = 128361,
  [SMALL_STATE(3646)] = 128421,
  [SMALL_STATE(3647)] = 128481,
  [SMALL_STATE(3648)] = 128541,
  [SMALL_STATE(3649)] = 128601,
  [SMALL_STATE(3650)] = 128661,
  [SMALL_STATE(3651)] = 128721,
  [SMALL_STATE(3652)] = 128781,
  [SMALL_STATE(3653)] = 128841,
  [SMALL_STATE(3654)] = 128893,
  [SMALL_STATE(3655)] = 128953,
  [SMALL_STATE(3656)] = 129013,
  [SMALL_STATE(3657)] = 129073,
  [SMALL_STATE(3658)] = 129133,
  [SMALL_STATE(3659)] = 129209,
  [SMALL_STATE(3660)] = 129269,
  [SMALL_STATE(3661)] = 129329,
  [SMALL_STATE(3662)] = 129389,
  [SMALL_STATE(3663)] = 129449,
  [SMALL_STATE(3664)] = 129509,
  [SMALL_STATE(3665)] = 129569,
  [SMALL_STATE(3666)] = 129629,
  [SMALL_STATE(3667)] = 129705,
  [SMALL_STATE(3668)] = 129765,
  [SMALL_STATE(3669)] = 129826,
  [SMALL_STATE(3670)] = 129911,
  [SMALL_STATE(3671)] = 129972,
  [SMALL_STATE(3672)] = 130057,
  [SMALL_STATE(3673)] = 130118,
  [SMALL_STATE(3674)] = 130203,
  [SMALL_STATE(3675)] = 130264,
  [SMALL_STATE(3676)] = 130335,
  [SMALL_STATE(3677)] = 130396,
  [SMALL_STATE(3678)] = 130445,
  [SMALL_STATE(3679)] = 130530,
  [SMALL_STATE(3680)] = 130591,
  [SMALL_STATE(3681)] = 130652,
  [SMALL_STATE(3682)] = 130737,
  [SMALL_STATE(3683)] = 130782,
  [SMALL_STATE(3684)] = 130843,
  [SMALL_STATE(3685)] = 130904,
  [SMALL_STATE(3686)] = 130965,
  [SMALL_STATE(3687)] = 131050,
  [SMALL_STATE(3688)] = 131111,
  [SMALL_STATE(3689)] = 131172,
  [SMALL_STATE(3690)] = 131233,
  [SMALL_STATE(3691)] = 131294,
  [SMALL_STATE(3692)] = 131365,
  [SMALL_STATE(3693)] = 131436,
  [SMALL_STATE(3694)] = 131497,
  [SMALL_STATE(3695)] = 131558,
  [SMALL_STATE(3696)] = 131619,
  [SMALL_STATE(3697)] = 131680,
  [SMALL_STATE(3698)] = 131765,
  [SMALL_STATE(3699)] = 131850,
  [SMALL_STATE(3700)] = 131911,
  [SMALL_STATE(3701)] = 131978,
  [SMALL_STATE(3702)] = 132039,
  [SMALL_STATE(3703)] = 132100,
  [SMALL_STATE(3704)] = 132161,
  [SMALL_STATE(3705)] = 132222,
  [SMALL_STATE(3706)] = 132289,
  [SMALL_STATE(3707)] = 132350,
  [SMALL_STATE(3708)] = 132417,
  [SMALL_STATE(3709)] = 132478,
  [SMALL_STATE(3710)] = 132539,
  [SMALL_STATE(3711)] = 132600,
  [SMALL_STATE(3712)] = 132661,
  [SMALL_STATE(3713)] = 132746,
  [SMALL_STATE(3714)] = 132831,
  [SMALL_STATE(3715)] = 132916,
  [SMALL_STATE(3716)] = 132983,
  [SMALL_STATE(3717)] = 133044,
  [SMALL_STATE(3718)] = 133129,
  [SMALL_STATE(3719)] = 133190,
  [SMALL_STATE(3720)] = 133236,
  [SMALL_STATE(3721)] = 133296,
  [SMALL_STATE(3722)] = 133360,
  [SMALL_STATE(3723)] = 133424,
  [SMALL_STATE(3724)] = 133488,
  [SMALL_STATE(3725)] = 133552,
  [SMALL_STATE(3726)] = 133616,
  [SMALL_STATE(3727)] = 133680,
  [SMALL_STATE(3728)] = 133740,
  [SMALL_STATE(3729)] = 133804,
  [SMALL_STATE(3730)] = 133868,
  [SMALL_STATE(3731)] = 133932,
  [SMALL_STATE(3732)] = 133996,
  [SMALL_STATE(3733)] = 134060,
  [SMALL_STATE(3734)] = 134124,
  [SMALL_STATE(3735)] = 134188,
  [SMALL_STATE(3736)] = 134252,
  [SMALL_STATE(3737)] = 134316,
  [SMALL_STATE(3738)] = 134374,
  [SMALL_STATE(3739)] = 134438,
  [SMALL_STATE(3740)] = 134493,
  [SMALL_STATE(3741)] = 134548,
  [SMALL_STATE(3742)] = 134603,
  [SMALL_STATE(3743)] = 134658,
  [SMALL_STATE(3744)] = 134715,
  [SMALL_STATE(3745)] = 134770,
  [SMALL_STATE(3746)] = 134825,
  [SMALL_STATE(3747)] = 134868,
  [SMALL_STATE(3748)] = 134923,
  [SMALL_STATE(3749)] = 134978,
  [SMALL_STATE(3750)] = 135033,
  [SMALL_STATE(3751)] = 135090,
  [SMALL_STATE(3752)] = 135145,
  [SMALL_STATE(3753)] = 135200,
  [SMALL_STATE(3754)] = 135257,
  [SMALL_STATE(3755)] = 135312,
  [SMALL_STATE(3756)] = 135355,
  [SMALL_STATE(3757)] = 135412,
  [SMALL_STATE(3758)] = 135467,
  [SMALL_STATE(3759)] = 135522,
  [SMALL_STATE(3760)] = 135577,
  [SMALL_STATE(3761)] = 135632,
  [SMALL_STATE(3762)] = 135687,
  [SMALL_STATE(3763)] = 135744,
  [SMALL_STATE(3764)] = 135799,
  [SMALL_STATE(3765)] = 135842,
  [SMALL_STATE(3766)] = 135897,
  [SMALL_STATE(3767)] = 135940,
  [SMALL_STATE(3768)] = 135995,
  [SMALL_STATE(3769)] = 136050,
  [SMALL_STATE(3770)] = 136105,
  [SMALL_STATE(3771)] = 136160,
  [SMALL_STATE(3772)] = 136217,
  [SMALL_STATE(3773)] = 136272,
  [SMALL_STATE(3774)] = 136327,
  [SMALL_STATE(3775)] = 136384,
  [SMALL_STATE(3776)] = 136427,
  [SMALL_STATE(3777)] = 136482,
  [SMALL_STATE(3778)] = 136539,
  [SMALL_STATE(3779)] = 136594,
  [SMALL_STATE(3780)] = 136651,
  [SMALL_STATE(3781)] = 136706,
  [SMALL_STATE(3782)] = 136761,
  [SMALL_STATE(3783)] = 136816,
  [SMALL_STATE(3784)] = 136871,
  [SMALL_STATE(3785)] = 136926,
  [SMALL_STATE(3786)] = 136983,
  [SMALL_STATE(3787)] = 137038,
  [SMALL_STATE(3788)] = 137095,
  [SMALL_STATE(3789)] = 137150,
  [SMALL_STATE(3790)] = 137205,
  [SMALL_STATE(3791)] = 137262,
  [SMALL_STATE(3792)] = 137317,
  [SMALL_STATE(3793)] = 137372,
  [SMALL_STATE(3794)] = 137427,
  [SMALL_STATE(3795)] = 137482,
  [SMALL_STATE(3796)] = 137539,
  [SMALL_STATE(3797)] = 137596,
  [SMALL_STATE(3798)] = 137651,
  [SMALL_STATE(3799)] = 137694,
  [SMALL_STATE(3800)] = 137749,
  [SMALL_STATE(3801)] = 137789,
  [SMALL_STATE(3802)] = 137824,
  [SMALL_STATE(3803)] = 137871,
  [SMALL_STATE(3804)] = 137918,
  [SMALL_STATE(3805)] = 137953,
  [SMALL_STATE(3806)] = 138000,
  [SMALL_STATE(3807)] = 138035,
  [SMALL_STATE(3808)] = 138069,
  [SMALL_STATE(3809)] = 138103,
  [SMALL_STATE(3810)] = 138136,
  [SMALL_STATE(3811)] = 138169,
  [SMALL_STATE(3812)] = 138202,
  [SMALL_STATE(3813)] = 138235,
  [SMALL_STATE(3814)] = 138268,
  [SMALL_STATE(3815)] = 138301,
  [SMALL_STATE(3816)] = 138334,
  [SMALL_STATE(3817)] = 138367,
  [SMALL_STATE(3818)] = 138400,
  [SMALL_STATE(3819)] = 138433,
  [SMALL_STATE(3820)] = 138466,
  [SMALL_STATE(3821)] = 138499,
  [SMALL_STATE(3822)] = 138532,
  [SMALL_STATE(3823)] = 138565,
  [SMALL_STATE(3824)] = 138598,
  [SMALL_STATE(3825)] = 138631,
  [SMALL_STATE(3826)] = 138664,
  [SMALL_STATE(3827)] = 138697,
  [SMALL_STATE(3828)] = 138730,
  [SMALL_STATE(3829)] = 138763,
  [SMALL_STATE(3830)] = 138796,
  [SMALL_STATE(3831)] = 138829,
  [SMALL_STATE(3832)] = 138870,
  [SMALL_STATE(3833)] = 138903,
  [SMALL_STATE(3834)] = 138936,
  [SMALL_STATE(3835)] = 138969,
  [SMALL_STATE(3836)] = 139002,
  [SMALL_STATE(3837)] = 139035,
  [SMALL_STATE(3838)] = 139068,
  [SMALL_STATE(3839)] = 139101,
  [SMALL_STATE(3840)] = 139134,
  [SMALL_STATE(3841)] = 139167,
  [SMALL_STATE(3842)] = 139200,
  [SMALL_STATE(3843)] = 139233,
  [SMALL_STATE(3844)] = 139266,
  [SMALL_STATE(3845)] = 139320,
  [SMALL_STATE(3846)] = 139374,
  [SMALL_STATE(3847)] = 139428,
  [SMALL_STATE(3848)] = 139482,
  [SMALL_STATE(3849)] = 139520,
  [SMALL_STATE(3850)] = 139574,
  [SMALL_STATE(3851)] = 139605,
  [SMALL_STATE(3852)] = 139636,
  [SMALL_STATE(3853)] = 139667,
  [SMALL_STATE(3854)] = 139698,
  [SMALL_STATE(3855)] = 139729,
  [SMALL_STATE(3856)] = 139760,
  [SMALL_STATE(3857)] = 139791,
  [SMALL_STATE(3858)] = 139822,
  [SMALL_STATE(3859)] = 139853,
  [SMALL_STATE(3860)] = 139884,
  [SMALL_STATE(3861)] = 139915,
  [SMALL_STATE(3862)] = 139946,
  [SMALL_STATE(3863)] = 139981,
  [SMALL_STATE(3864)] = 140012,
  [SMALL_STATE(3865)] = 140043,
  [SMALL_STATE(3866)] = 140074,
  [SMALL_STATE(3867)] = 140117,
  [SMALL_STATE(3868)] = 140150,
  [SMALL_STATE(3869)] = 140181,
  [SMALL_STATE(3870)] = 140216,
  [SMALL_STATE(3871)] = 140247,
  [SMALL_STATE(3872)] = 140278,
  [SMALL_STATE(3873)] = 140321,
  [SMALL_STATE(3874)] = 140354,
  [SMALL_STATE(3875)] = 140385,
  [SMALL_STATE(3876)] = 140428,
  [SMALL_STATE(3877)] = 140458,
  [SMALL_STATE(3878)] = 140488,
  [SMALL_STATE(3879)] = 140520,
  [SMALL_STATE(3880)] = 140550,
  [SMALL_STATE(3881)] = 140582,
  [SMALL_STATE(3882)] = 140614,
  [SMALL_STATE(3883)] = 140644,
  [SMALL_STATE(3884)] = 140673,
  [SMALL_STATE(3885)] = 140702,
  [SMALL_STATE(3886)] = 140731,
  [SMALL_STATE(3887)] = 140760,
  [SMALL_STATE(3888)] = 140789,
  [SMALL_STATE(3889)] = 140818,
  [SMALL_STATE(3890)] = 140847,
  [SMALL_STATE(3891)] = 140876,
  [SMALL_STATE(3892)] = 140903,
  [SMALL_STATE(3893)] = 140932,
  [SMALL_STATE(3894)] = 140961,
  [SMALL_STATE(3895)] = 140996,
  [SMALL_STATE(3896)] = 141025,
  [SMALL_STATE(3897)] = 141054,
  [SMALL_STATE(3898)] = 141089,
  [SMALL_STATE(3899)] = 141120,
  [SMALL_STATE(3900)] = 141159,
  [SMALL_STATE(3901)] = 141190,
  [SMALL_STATE(3902)] = 141229,
  [SMALL_STATE(3903)] = 141256,
  [SMALL_STATE(3904)] = 141289,
  [SMALL_STATE(3905)] = 141324,
  [SMALL_STATE(3906)] = 141363,
  [SMALL_STATE(3907)] = 141400,
  [SMALL_STATE(3908)] = 141429,
  [SMALL_STATE(3909)] = 141458,
  [SMALL_STATE(3910)] = 141493,
  [SMALL_STATE(3911)] = 141522,
  [SMALL_STATE(3912)] = 141549,
  [SMALL_STATE(3913)] = 141578,
  [SMALL_STATE(3914)] = 141613,
  [SMALL_STATE(3915)] = 141642,
  [SMALL_STATE(3916)] = 141673,
  [SMALL_STATE(3917)] = 141702,
  [SMALL_STATE(3918)] = 141731,
  [SMALL_STATE(3919)] = 141760,
  [SMALL_STATE(3920)] = 141789,
  [SMALL_STATE(3921)] = 141818,
  [SMALL_STATE(3922)] = 141847,
  [SMALL_STATE(3923)] = 141886,
  [SMALL_STATE(3924)] = 141915,
  [SMALL_STATE(3925)] = 141944,
  [SMALL_STATE(3926)] = 141983,
  [SMALL_STATE(3927)] = 142022,
  [SMALL_STATE(3928)] = 142051,
  [SMALL_STATE(3929)] = 142078,
  [SMALL_STATE(3930)] = 142117,
  [SMALL_STATE(3931)] = 142152,
  [SMALL_STATE(3932)] = 142181,
  [SMALL_STATE(3933)] = 142210,
  [SMALL_STATE(3934)] = 142249,
  [SMALL_STATE(3935)] = 142288,
  [SMALL_STATE(3936)] = 142325,
  [SMALL_STATE(3937)] = 142362,
  [SMALL_STATE(3938)] = 142391,
  [SMALL_STATE(3939)] = 142420,
  [SMALL_STATE(3940)] = 142449,
  [SMALL_STATE(3941)] = 142478,
  [SMALL_STATE(3942)] = 142515,
  [SMALL_STATE(3943)] = 142554,
  [SMALL_STATE(3944)] = 142583,
  [SMALL_STATE(3945)] = 142612,
  [SMALL_STATE(3946)] = 142651,
  [SMALL_STATE(3947)] = 142690,
  [SMALL_STATE(3948)] = 142717,
  [SMALL_STATE(3949)] = 142746,
  [SMALL_STATE(3950)] = 142775,
  [SMALL_STATE(3951)] = 142814,
  [SMALL_STATE(3952)] = 142851,
  [SMALL_STATE(3953)] = 142890,
  [SMALL_STATE(3954)] = 142919,
  [SMALL_STATE(3955)] = 142948,
  [SMALL_STATE(3956)] = 142977,
  [SMALL_STATE(3957)] = 143006,
  [SMALL_STATE(3958)] = 143035,
  [SMALL_STATE(3959)] = 143064,
  [SMALL_STATE(3960)] = 143093,
  [SMALL_STATE(3961)] = 143128,
  [SMALL_STATE(3962)] = 143157,
  [SMALL_STATE(3963)] = 143196,
  [SMALL_STATE(3964)] = 143235,
  [SMALL_STATE(3965)] = 143274,
  [SMALL_STATE(3966)] = 143303,
  [SMALL_STATE(3967)] = 143332,
  [SMALL_STATE(3968)] = 143361,
  [SMALL_STATE(3969)] = 143388,
  [SMALL_STATE(3970)] = 143417,
  [SMALL_STATE(3971)] = 143444,
  [SMALL_STATE(3972)] = 143473,
  [SMALL_STATE(3973)] = 143512,
  [SMALL_STATE(3974)] = 143541,
  [SMALL_STATE(3975)] = 143572,
  [SMALL_STATE(3976)] = 143601,
  [SMALL_STATE(3977)] = 143628,
  [SMALL_STATE(3978)] = 143657,
  [SMALL_STATE(3979)] = 143686,
  [SMALL_STATE(3980)] = 143715,
  [SMALL_STATE(3981)] = 143744,
  [SMALL_STATE(3982)] = 143771,
  [SMALL_STATE(3983)] = 143802,
  [SMALL_STATE(3984)] = 143831,
  [SMALL_STATE(3985)] = 143860,
  [SMALL_STATE(3986)] = 143889,
  [SMALL_STATE(3987)] = 143918,
  [SMALL_STATE(3988)] = 143947,
  [SMALL_STATE(3989)] = 143976,
  [SMALL_STATE(3990)] = 144005,
  [SMALL_STATE(3991)] = 144032,
  [SMALL_STATE(3992)] = 144061,
  [SMALL_STATE(3993)] = 144090,
  [SMALL_STATE(3994)] = 144127,
  [SMALL_STATE(3995)] = 144156,
  [SMALL_STATE(3996)] = 144200,
  [SMALL_STATE(3997)] = 144248,
  [SMALL_STATE(3998)] = 144282,
  [SMALL_STATE(3999)] = 144316,
  [SMALL_STATE(4000)] = 144364,
  [SMALL_STATE(4001)] = 144408,
  [SMALL_STATE(4002)] = 144456,
  [SMALL_STATE(4003)] = 144504,
  [SMALL_STATE(4004)] = 144548,
  [SMALL_STATE(4005)] = 144596,
  [SMALL_STATE(4006)] = 144644,
  [SMALL_STATE(4007)] = 144692,
  [SMALL_STATE(4008)] = 144736,
  [SMALL_STATE(4009)] = 144780,
  [SMALL_STATE(4010)] = 144828,
  [SMALL_STATE(4011)] = 144876,
  [SMALL_STATE(4012)] = 144924,
  [SMALL_STATE(4013)] = 144972,
  [SMALL_STATE(4014)] = 145006,
  [SMALL_STATE(4015)] = 145054,
  [SMALL_STATE(4016)] = 145102,
  [SMALL_STATE(4017)] = 145150,
  [SMALL_STATE(4018)] = 145198,
  [SMALL_STATE(4019)] = 145246,
  [SMALL_STATE(4020)] = 145294,
  [SMALL_STATE(4021)] = 145342,
  [SMALL_STATE(4022)] = 145376,
  [SMALL_STATE(4023)] = 145424,
  [SMALL_STATE(4024)] = 145472,
  [SMALL_STATE(4025)] = 145520,
  [SMALL_STATE(4026)] = 145568,
  [SMALL_STATE(4027)] = 145616,
  [SMALL_STATE(4028)] = 145664,
  [SMALL_STATE(4029)] = 145712,
  [SMALL_STATE(4030)] = 145760,
  [SMALL_STATE(4031)] = 145808,
  [SMALL_STATE(4032)] = 145842,
  [SMALL_STATE(4033)] = 145876,
  [SMALL_STATE(4034)] = 145908,
  [SMALL_STATE(4035)] = 145956,
  [SMALL_STATE(4036)] = 145981,
  [SMALL_STATE(4037)] = 146014,
  [SMALL_STATE(4038)] = 146041,
  [SMALL_STATE(4039)] = 146068,
  [SMALL_STATE(4040)] = 146095,
  [SMALL_STATE(4041)] = 146120,
  [SMALL_STATE(4042)] = 146145,
  [SMALL_STATE(4043)] = 146170,
  [SMALL_STATE(4044)] = 146195,
  [SMALL_STATE(4045)] = 146220,
  [SMALL_STATE(4046)] = 146245,
  [SMALL_STATE(4047)] = 146270,
  [SMALL_STATE(4048)] = 146301,
  [SMALL_STATE(4049)] = 146342,
  [SMALL_STATE(4050)] = 146383,
  [SMALL_STATE(4051)] = 146408,
  [SMALL_STATE(4052)] = 146433,
  [SMALL_STATE(4053)] = 146458,
  [SMALL_STATE(4054)] = 146483,
  [SMALL_STATE(4055)] = 146524,
  [SMALL_STATE(4056)] = 146565,
  [SMALL_STATE(4057)] = 146590,
  [SMALL_STATE(4058)] = 146631,
  [SMALL_STATE(4059)] = 146656,
  [SMALL_STATE(4060)] = 146687,
  [SMALL_STATE(4061)] = 146728,
  [SMALL_STATE(4062)] = 146755,
  [SMALL_STATE(4063)] = 146782,
  [SMALL_STATE(4064)] = 146823,
  [SMALL_STATE(4065)] = 146850,
  [SMALL_STATE(4066)] = 146877,
  [SMALL_STATE(4067)] = 146904,
  [SMALL_STATE(4068)] = 146931,
  [SMALL_STATE(4069)] = 146958,
  [SMALL_STATE(4070)] = 146985,
  [SMALL_STATE(4071)] = 147012,
  [SMALL_STATE(4072)] = 147053,
  [SMALL_STATE(4073)] = 147080,
  [SMALL_STATE(4074)] = 147107,
  [SMALL_STATE(4075)] = 147132,
  [SMALL_STATE(4076)] = 147157,
  [SMALL_STATE(4077)] = 147182,
  [SMALL_STATE(4078)] = 147207,
  [SMALL_STATE(4079)] = 147232,
  [SMALL_STATE(4080)] = 147257,
  [SMALL_STATE(4081)] = 147282,
  [SMALL_STATE(4082)] = 147307,
  [SMALL_STATE(4083)] = 147332,
  [SMALL_STATE(4084)] = 147357,
  [SMALL_STATE(4085)] = 147382,
  [SMALL_STATE(4086)] = 147407,
  [SMALL_STATE(4087)] = 147434,
  [SMALL_STATE(4088)] = 147461,
  [SMALL_STATE(4089)] = 147486,
  [SMALL_STATE(4090)] = 147513,
  [SMALL_STATE(4091)] = 147538,
  [SMALL_STATE(4092)] = 147571,
  [SMALL_STATE(4093)] = 147596,
  [SMALL_STATE(4094)] = 147637,
  [SMALL_STATE(4095)] = 147662,
  [SMALL_STATE(4096)] = 147703,
  [SMALL_STATE(4097)] = 147728,
  [SMALL_STATE(4098)] = 147771,
  [SMALL_STATE(4099)] = 147800,
  [SMALL_STATE(4100)] = 147825,
  [SMALL_STATE(4101)] = 147850,
  [SMALL_STATE(4102)] = 147875,
  [SMALL_STATE(4103)] = 147904,
  [SMALL_STATE(4104)] = 147946,
  [SMALL_STATE(4105)] = 147984,
  [SMALL_STATE(4106)] = 148018,
  [SMALL_STATE(4107)] = 148060,
  [SMALL_STATE(4108)] = 148098,
  [SMALL_STATE(4109)] = 148140,
  [SMALL_STATE(4110)] = 148182,
  [SMALL_STATE(4111)] = 148210,
  [SMALL_STATE(4112)] = 148254,
  [SMALL_STATE(4113)] = 148296,
  [SMALL_STATE(4114)] = 148324,
  [SMALL_STATE(4115)] = 148352,
  [SMALL_STATE(4116)] = 148394,
  [SMALL_STATE(4117)] = 148428,
  [SMALL_STATE(4118)] = 148466,
  [SMALL_STATE(4119)] = 148508,
  [SMALL_STATE(4120)] = 148550,
  [SMALL_STATE(4121)] = 148576,
  [SMALL_STATE(4122)] = 148618,
  [SMALL_STATE(4123)] = 148660,
  [SMALL_STATE(4124)] = 148690,
  [SMALL_STATE(4125)] = 148734,
  [SMALL_STATE(4126)] = 148772,
  [SMALL_STATE(4127)] = 148816,
  [SMALL_STATE(4128)] = 148852,
  [SMALL_STATE(4129)] = 148894,
  [SMALL_STATE(4130)] = 148936,
  [SMALL_STATE(4131)] = 148970,
  [SMALL_STATE(4132)] = 149008,
  [SMALL_STATE(4133)] = 149046,
  [SMALL_STATE(4134)] = 149080,
  [SMALL_STATE(4135)] = 149116,
  [SMALL_STATE(4136)] = 149154,
  [SMALL_STATE(4137)] = 149196,
  [SMALL_STATE(4138)] = 149238,
  [SMALL_STATE(4139)] = 149276,
  [SMALL_STATE(4140)] = 149310,
  [SMALL_STATE(4141)] = 149354,
  [SMALL_STATE(4142)] = 149396,
  [SMALL_STATE(4143)] = 149438,
  [SMALL_STATE(4144)] = 149480,
  [SMALL_STATE(4145)] = 149518,
  [SMALL_STATE(4146)] = 149560,
  [SMALL_STATE(4147)] = 149602,
  [SMALL_STATE(4148)] = 149646,
  [SMALL_STATE(4149)] = 149688,
  [SMALL_STATE(4150)] = 149726,
  [SMALL_STATE(4151)] = 149752,
  [SMALL_STATE(4152)] = 149794,
  [SMALL_STATE(4153)] = 149836,
  [SMALL_STATE(4154)] = 149878,
  [SMALL_STATE(4155)] = 149903,
  [SMALL_STATE(4156)] = 149928,
  [SMALL_STATE(4157)] = 149953,
  [SMALL_STATE(4158)] = 149982,
  [SMALL_STATE(4159)] = 150011,
  [SMALL_STATE(4160)] = 150034,
  [SMALL_STATE(4161)] = 150059,
  [SMALL_STATE(4162)] = 150082,
  [SMALL_STATE(4163)] = 150113,
  [SMALL_STATE(4164)] = 150136,
  [SMALL_STATE(4165)] = 150161,
  [SMALL_STATE(4166)] = 150184,
  [SMALL_STATE(4167)] = 150209,
  [SMALL_STATE(4168)] = 150234,
  [SMALL_STATE(4169)] = 150259,
  [SMALL_STATE(4170)] = 150302,
  [SMALL_STATE(4171)] = 150327,
  [SMALL_STATE(4172)] = 150352,
  [SMALL_STATE(4173)] = 150377,
  [SMALL_STATE(4174)] = 150402,
  [SMALL_STATE(4175)] = 150427,
  [SMALL_STATE(4176)] = 150452,
  [SMALL_STATE(4177)] = 150477,
  [SMALL_STATE(4178)] = 150500,
  [SMALL_STATE(4179)] = 150523,
  [SMALL_STATE(4180)] = 150546,
  [SMALL_STATE(4181)] = 150575,
  [SMALL_STATE(4182)] = 150600,
  [SMALL_STATE(4183)] = 150625,
  [SMALL_STATE(4184)] = 150654,
  [SMALL_STATE(4185)] = 150679,
  [SMALL_STATE(4186)] = 150704,
  [SMALL_STATE(4187)] = 150729,
  [SMALL_STATE(4188)] = 150754,
  [SMALL_STATE(4189)] = 150781,
  [SMALL_STATE(4190)] = 150806,
  [SMALL_STATE(4191)] = 150831,
  [SMALL_STATE(4192)] = 150856,
  [SMALL_STATE(4193)] = 150881,
  [SMALL_STATE(4194)] = 150906,
  [SMALL_STATE(4195)] = 150931,
  [SMALL_STATE(4196)] = 150956,
  [SMALL_STATE(4197)] = 150981,
  [SMALL_STATE(4198)] = 151006,
  [SMALL_STATE(4199)] = 151031,
  [SMALL_STATE(4200)] = 151056,
  [SMALL_STATE(4201)] = 151085,
  [SMALL_STATE(4202)] = 151114,
  [SMALL_STATE(4203)] = 151139,
  [SMALL_STATE(4204)] = 151164,
  [SMALL_STATE(4205)] = 151189,
  [SMALL_STATE(4206)] = 151216,
  [SMALL_STATE(4207)] = 151245,
  [SMALL_STATE(4208)] = 151272,
  [SMALL_STATE(4209)] = 151295,
  [SMALL_STATE(4210)] = 151320,
  [SMALL_STATE(4211)] = 151345,
  [SMALL_STATE(4212)] = 151370,
  [SMALL_STATE(4213)] = 151399,
  [SMALL_STATE(4214)] = 151422,
  [SMALL_STATE(4215)] = 151449,
  [SMALL_STATE(4216)] = 151476,
  [SMALL_STATE(4217)] = 151503,
  [SMALL_STATE(4218)] = 151530,
  [SMALL_STATE(4219)] = 151554,
  [SMALL_STATE(4220)] = 151576,
  [SMALL_STATE(4221)] = 151616,
  [SMALL_STATE(4222)] = 151638,
  [SMALL_STATE(4223)] = 151678,
  [SMALL_STATE(4224)] = 151704,
  [SMALL_STATE(4225)] = 151744,
  [SMALL_STATE(4226)] = 151772,
  [SMALL_STATE(4227)] = 151810,
  [SMALL_STATE(4228)] = 151844,
  [SMALL_STATE(4229)] = 151868,
  [SMALL_STATE(4230)] = 151908,
  [SMALL_STATE(4231)] = 151948,
  [SMALL_STATE(4232)] = 151988,
  [SMALL_STATE(4233)] = 152028,
  [SMALL_STATE(4234)] = 152054,
  [SMALL_STATE(4235)] = 152094,
  [SMALL_STATE(4236)] = 152134,
  [SMALL_STATE(4237)] = 152162,
  [SMALL_STATE(4238)] = 152196,
  [SMALL_STATE(4239)] = 152236,
  [SMALL_STATE(4240)] = 152264,
  [SMALL_STATE(4241)] = 152304,
  [SMALL_STATE(4242)] = 152344,
  [SMALL_STATE(4243)] = 152384,
  [SMALL_STATE(4244)] = 152424,
  [SMALL_STATE(4245)] = 152464,
  [SMALL_STATE(4246)] = 152504,
  [SMALL_STATE(4247)] = 152544,
  [SMALL_STATE(4248)] = 152582,
  [SMALL_STATE(4249)] = 152608,
  [SMALL_STATE(4250)] = 152648,
  [SMALL_STATE(4251)] = 152672,
  [SMALL_STATE(4252)] = 152712,
  [SMALL_STATE(4253)] = 152733,
  [SMALL_STATE(4254)] = 152764,
  [SMALL_STATE(4255)] = 152787,
  [SMALL_STATE(4256)] = 152810,
  [SMALL_STATE(4257)] = 152841,
  [SMALL_STATE(4258)] = 152868,
  [SMALL_STATE(4259)] = 152905,
  [SMALL_STATE(4260)] = 152928,
  [SMALL_STATE(4261)] = 152965,
  [SMALL_STATE(4262)] = 152988,
  [SMALL_STATE(4263)] = 153025,
  [SMALL_STATE(4264)] = 153046,
  [SMALL_STATE(4265)] = 153067,
  [SMALL_STATE(4266)] = 153088,
  [SMALL_STATE(4267)] = 153109,
  [SMALL_STATE(4268)] = 153130,
  [SMALL_STATE(4269)] = 153161,
  [SMALL_STATE(4270)] = 153192,
  [SMALL_STATE(4271)] = 153229,
  [SMALL_STATE(4272)] = 153256,
  [SMALL_STATE(4273)] = 153287,
  [SMALL_STATE(4274)] = 153324,
  [SMALL_STATE(4275)] = 153345,
  [SMALL_STATE(4276)] = 153366,
  [SMALL_STATE(4277)] = 153391,
  [SMALL_STATE(4278)] = 153428,
  [SMALL_STATE(4279)] = 153465,
  [SMALL_STATE(4280)] = 153502,
  [SMALL_STATE(4281)] = 153523,
  [SMALL_STATE(4282)] = 153544,
  [SMALL_STATE(4283)] = 153577,
  [SMALL_STATE(4284)] = 153598,
  [SMALL_STATE(4285)] = 153619,
  [SMALL_STATE(4286)] = 153656,
  [SMALL_STATE(4287)] = 153677,
  [SMALL_STATE(4288)] = 153700,
  [SMALL_STATE(4289)] = 153737,
  [SMALL_STATE(4290)] = 153770,
  [SMALL_STATE(4291)] = 153791,
  [SMALL_STATE(4292)] = 153828,
  [SMALL_STATE(4293)] = 153849,
  [SMALL_STATE(4294)] = 153870,
  [SMALL_STATE(4295)] = 153891,
  [SMALL_STATE(4296)] = 153926,
  [SMALL_STATE(4297)] = 153963,
  [SMALL_STATE(4298)] = 153984,
  [SMALL_STATE(4299)] = 154017,
  [SMALL_STATE(4300)] = 154048,
  [SMALL_STATE(4301)] = 154081,
  [SMALL_STATE(4302)] = 154118,
  [SMALL_STATE(4303)] = 154139,
  [SMALL_STATE(4304)] = 154160,
  [SMALL_STATE(4305)] = 154197,
  [SMALL_STATE(4306)] = 154230,
  [SMALL_STATE(4307)] = 154251,
  [SMALL_STATE(4308)] = 154272,
  [SMALL_STATE(4309)] = 154293,
  [SMALL_STATE(4310)] = 154316,
  [SMALL_STATE(4311)] = 154353,
  [SMALL_STATE(4312)] = 154374,
  [SMALL_STATE(4313)] = 154395,
  [SMALL_STATE(4314)] = 154432,
  [SMALL_STATE(4315)] = 154453,
  [SMALL_STATE(4316)] = 154474,
  [SMALL_STATE(4317)] = 154497,
  [SMALL_STATE(4318)] = 154518,
  [SMALL_STATE(4319)] = 154539,
  [SMALL_STATE(4320)] = 154560,
  [SMALL_STATE(4321)] = 154587,
  [SMALL_STATE(4322)] = 154612,
  [SMALL_STATE(4323)] = 154635,
  [SMALL_STATE(4324)] = 154658,
  [SMALL_STATE(4325)] = 154691,
  [SMALL_STATE(4326)] = 154724,
  [SMALL_STATE(4327)] = 154745,
  [SMALL_STATE(4328)] = 154778,
  [SMALL_STATE(4329)] = 154799,
  [SMALL_STATE(4330)] = 154836,
  [SMALL_STATE(4331)] = 154873,
  [SMALL_STATE(4332)] = 154894,
  [SMALL_STATE(4333)] = 154915,
  [SMALL_STATE(4334)] = 154942,
  [SMALL_STATE(4335)] = 154975,
  [SMALL_STATE(4336)] = 155008,
  [SMALL_STATE(4337)] = 155041,
  [SMALL_STATE(4338)] = 155074,
  [SMALL_STATE(4339)] = 155099,
  [SMALL_STATE(4340)] = 155130,
  [SMALL_STATE(4341)] = 155167,
  [SMALL_STATE(4342)] = 155188,
  [SMALL_STATE(4343)] = 155225,
  [SMALL_STATE(4344)] = 155262,
  [SMALL_STATE(4345)] = 155283,
  [SMALL_STATE(4346)] = 155318,
  [SMALL_STATE(4347)] = 155351,
  [SMALL_STATE(4348)] = 155388,
  [SMALL_STATE(4349)] = 155425,
  [SMALL_STATE(4350)] = 155462,
  [SMALL_STATE(4351)] = 155499,
  [SMALL_STATE(4352)] = 155526,
  [SMALL_STATE(4353)] = 155563,
  [SMALL_STATE(4354)] = 155600,
  [SMALL_STATE(4355)] = 155631,
  [SMALL_STATE(4356)] = 155668,
  [SMALL_STATE(4357)] = 155705,
  [SMALL_STATE(4358)] = 155742,
  [SMALL_STATE(4359)] = 155763,
  [SMALL_STATE(4360)] = 155800,
  [SMALL_STATE(4361)] = 155821,
  [SMALL_STATE(4362)] = 155858,
  [SMALL_STATE(4363)] = 155879,
  [SMALL_STATE(4364)] = 155916,
  [SMALL_STATE(4365)] = 155937,
  [SMALL_STATE(4366)] = 155974,
  [SMALL_STATE(4367)] = 156007,
  [SMALL_STATE(4368)] = 156040,
  [SMALL_STATE(4369)] = 156077,
  [SMALL_STATE(4370)] = 156114,
  [SMALL_STATE(4371)] = 156135,
  [SMALL_STATE(4372)] = 156172,
  [SMALL_STATE(4373)] = 156193,
  [SMALL_STATE(4374)] = 156214,
  [SMALL_STATE(4375)] = 156251,
  [SMALL_STATE(4376)] = 156272,
  [SMALL_STATE(4377)] = 156309,
  [SMALL_STATE(4378)] = 156342,
  [SMALL_STATE(4379)] = 156375,
  [SMALL_STATE(4380)] = 156412,
  [SMALL_STATE(4381)] = 156445,
  [SMALL_STATE(4382)] = 156466,
  [SMALL_STATE(4383)] = 156487,
  [SMALL_STATE(4384)] = 156524,
  [SMALL_STATE(4385)] = 156555,
  [SMALL_STATE(4386)] = 156576,
  [SMALL_STATE(4387)] = 156613,
  [SMALL_STATE(4388)] = 156646,
  [SMALL_STATE(4389)] = 156679,
  [SMALL_STATE(4390)] = 156700,
  [SMALL_STATE(4391)] = 156737,
  [SMALL_STATE(4392)] = 156770,
  [SMALL_STATE(4393)] = 156803,
  [SMALL_STATE(4394)] = 156824,
  [SMALL_STATE(4395)] = 156845,
  [SMALL_STATE(4396)] = 156878,
  [SMALL_STATE(4397)] = 156911,
  [SMALL_STATE(4398)] = 156944,
  [SMALL_STATE(4399)] = 156977,
  [SMALL_STATE(4400)] = 156998,
  [SMALL_STATE(4401)] = 157031,
  [SMALL_STATE(4402)] = 157064,
  [SMALL_STATE(4403)] = 157101,
  [SMALL_STATE(4404)] = 157134,
  [SMALL_STATE(4405)] = 157165,
  [SMALL_STATE(4406)] = 157196,
  [SMALL_STATE(4407)] = 157229,
  [SMALL_STATE(4408)] = 157262,
  [SMALL_STATE(4409)] = 157295,
  [SMALL_STATE(4410)] = 157332,
  [SMALL_STATE(4411)] = 157361,
  [SMALL_STATE(4412)] = 157394,
  [SMALL_STATE(4413)] = 157431,
  [SMALL_STATE(4414)] = 157460,
  [SMALL_STATE(4415)] = 157497,
  [SMALL_STATE(4416)] = 157534,
  [SMALL_STATE(4417)] = 157571,
  [SMALL_STATE(4418)] = 157606,
  [SMALL_STATE(4419)] = 157639,
  [SMALL_STATE(4420)] = 157670,
  [SMALL_STATE(4421)] = 157703,
  [SMALL_STATE(4422)] = 157740,
  [SMALL_STATE(4423)] = 157771,
  [SMALL_STATE(4424)] = 157794,
  [SMALL_STATE(4425)] = 157815,
  [SMALL_STATE(4426)] = 157852,
  [SMALL_STATE(4427)] = 157873,
  [SMALL_STATE(4428)] = 157910,
  [SMALL_STATE(4429)] = 157931,
  [SMALL_STATE(4430)] = 157968,
  [SMALL_STATE(4431)] = 157999,
  [SMALL_STATE(4432)] = 158020,
  [SMALL_STATE(4433)] = 158047,
  [SMALL_STATE(4434)] = 158068,
  [SMALL_STATE(4435)] = 158089,
  [SMALL_STATE(4436)] = 158122,
  [SMALL_STATE(4437)] = 158143,
  [SMALL_STATE(4438)] = 158164,
  [SMALL_STATE(4439)] = 158197,
  [SMALL_STATE(4440)] = 158218,
  [SMALL_STATE(4441)] = 158245,
  [SMALL_STATE(4442)] = 158278,
  [SMALL_STATE(4443)] = 158315,
  [SMALL_STATE(4444)] = 158348,
  [SMALL_STATE(4445)] = 158371,
  [SMALL_STATE(4446)] = 158406,
  [SMALL_STATE(4447)] = 158427,
  [SMALL_STATE(4448)] = 158455,
  [SMALL_STATE(4449)] = 158489,
  [SMALL_STATE(4450)] = 158515,
  [SMALL_STATE(4451)] = 158541,
  [SMALL_STATE(4452)] = 158561,
  [SMALL_STATE(4453)] = 158587,
  [SMALL_STATE(4454)] = 158617,
  [SMALL_STATE(4455)] = 158649,
  [SMALL_STATE(4456)] = 158681,
  [SMALL_STATE(4457)] = 158709,
  [SMALL_STATE(4458)] = 158741,
  [SMALL_STATE(4459)] = 158775,
  [SMALL_STATE(4460)] = 158797,
  [SMALL_STATE(4461)] = 158819,
  [SMALL_STATE(4462)] = 158845,
  [SMALL_STATE(4463)] = 158871,
  [SMALL_STATE(4464)] = 158905,
  [SMALL_STATE(4465)] = 158933,
  [SMALL_STATE(4466)] = 158965,
  [SMALL_STATE(4467)] = 158999,
  [SMALL_STATE(4468)] = 159033,
  [SMALL_STATE(4469)] = 159061,
  [SMALL_STATE(4470)] = 159089,
  [SMALL_STATE(4471)] = 159115,
  [SMALL_STATE(4472)] = 159143,
  [SMALL_STATE(4473)] = 159175,
  [SMALL_STATE(4474)] = 159201,
  [SMALL_STATE(4475)] = 159235,
  [SMALL_STATE(4476)] = 159263,
  [SMALL_STATE(4477)] = 159285,
  [SMALL_STATE(4478)] = 159319,
  [SMALL_STATE(4479)] = 159351,
  [SMALL_STATE(4480)] = 159385,
  [SMALL_STATE(4481)] = 159413,
  [SMALL_STATE(4482)] = 159441,
  [SMALL_STATE(4483)] = 159473,
  [SMALL_STATE(4484)] = 159493,
  [SMALL_STATE(4485)] = 159522,
  [SMALL_STATE(4486)] = 159553,
  [SMALL_STATE(4487)] = 159584,
  [SMALL_STATE(4488)] = 159613,
  [SMALL_STATE(4489)] = 159642,
  [SMALL_STATE(4490)] = 159661,
  [SMALL_STATE(4491)] = 159692,
  [SMALL_STATE(4492)] = 159713,
  [SMALL_STATE(4493)] = 159732,
  [SMALL_STATE(4494)] = 159759,
  [SMALL_STATE(4495)] = 159790,
  [SMALL_STATE(4496)] = 159817,
  [SMALL_STATE(4497)] = 159848,
  [SMALL_STATE(4498)] = 159879,
  [SMALL_STATE(4499)] = 159910,
  [SMALL_STATE(4500)] = 159937,
  [SMALL_STATE(4501)] = 159964,
  [SMALL_STATE(4502)] = 159991,
  [SMALL_STATE(4503)] = 160018,
  [SMALL_STATE(4504)] = 160049,
  [SMALL_STATE(4505)] = 160076,
  [SMALL_STATE(4506)] = 160107,
  [SMALL_STATE(4507)] = 160136,
  [SMALL_STATE(4508)] = 160163,
  [SMALL_STATE(4509)] = 160190,
  [SMALL_STATE(4510)] = 160217,
  [SMALL_STATE(4511)] = 160244,
  [SMALL_STATE(4512)] = 160275,
  [SMALL_STATE(4513)] = 160306,
  [SMALL_STATE(4514)] = 160335,
  [SMALL_STATE(4515)] = 160366,
  [SMALL_STATE(4516)] = 160397,
  [SMALL_STATE(4517)] = 160428,
  [SMALL_STATE(4518)] = 160459,
  [SMALL_STATE(4519)] = 160486,
  [SMALL_STATE(4520)] = 160517,
  [SMALL_STATE(4521)] = 160548,
  [SMALL_STATE(4522)] = 160579,
  [SMALL_STATE(4523)] = 160610,
  [SMALL_STATE(4524)] = 160631,
  [SMALL_STATE(4525)] = 160662,
  [SMALL_STATE(4526)] = 160693,
  [SMALL_STATE(4527)] = 160712,
  [SMALL_STATE(4528)] = 160743,
  [SMALL_STATE(4529)] = 160770,
  [SMALL_STATE(4530)] = 160801,
  [SMALL_STATE(4531)] = 160828,
  [SMALL_STATE(4532)] = 160851,
  [SMALL_STATE(4533)] = 160878,
  [SMALL_STATE(4534)] = 160907,
  [SMALL_STATE(4535)] = 160930,
  [SMALL_STATE(4536)] = 160957,
  [SMALL_STATE(4537)] = 160984,
  [SMALL_STATE(4538)] = 161015,
  [SMALL_STATE(4539)] = 161046,
  [SMALL_STATE(4540)] = 161077,
  [SMALL_STATE(4541)] = 161100,
  [SMALL_STATE(4542)] = 161131,
  [SMALL_STATE(4543)] = 161158,
  [SMALL_STATE(4544)] = 161177,
  [SMALL_STATE(4545)] = 161204,
  [SMALL_STATE(4546)] = 161231,
  [SMALL_STATE(4547)] = 161254,
  [SMALL_STATE(4548)] = 161281,
  [SMALL_STATE(4549)] = 161310,
  [SMALL_STATE(4550)] = 161337,
  [SMALL_STATE(4551)] = 161364,
  [SMALL_STATE(4552)] = 161391,
  [SMALL_STATE(4553)] = 161422,
  [SMALL_STATE(4554)] = 161449,
  [SMALL_STATE(4555)] = 161476,
  [SMALL_STATE(4556)] = 161507,
  [SMALL_STATE(4557)] = 161534,
  [SMALL_STATE(4558)] = 161561,
  [SMALL_STATE(4559)] = 161582,
  [SMALL_STATE(4560)] = 161609,
  [SMALL_STATE(4561)] = 161636,
  [SMALL_STATE(4562)] = 161663,
  [SMALL_STATE(4563)] = 161690,
  [SMALL_STATE(4564)] = 161717,
  [SMALL_STATE(4565)] = 161748,
  [SMALL_STATE(4566)] = 161775,
  [SMALL_STATE(4567)] = 161802,
  [SMALL_STATE(4568)] = 161833,
  [SMALL_STATE(4569)] = 161854,
  [SMALL_STATE(4570)] = 161881,
  [SMALL_STATE(4571)] = 161912,
  [SMALL_STATE(4572)] = 161943,
  [SMALL_STATE(4573)] = 161974,
  [SMALL_STATE(4574)] = 162005,
  [SMALL_STATE(4575)] = 162024,
  [SMALL_STATE(4576)] = 162043,
  [SMALL_STATE(4577)] = 162062,
  [SMALL_STATE(4578)] = 162081,
  [SMALL_STATE(4579)] = 162108,
  [SMALL_STATE(4580)] = 162127,
  [SMALL_STATE(4581)] = 162146,
  [SMALL_STATE(4582)] = 162173,
  [SMALL_STATE(4583)] = 162204,
  [SMALL_STATE(4584)] = 162231,
  [SMALL_STATE(4585)] = 162258,
  [SMALL_STATE(4586)] = 162285,
  [SMALL_STATE(4587)] = 162304,
  [SMALL_STATE(4588)] = 162331,
  [SMALL_STATE(4589)] = 162360,
  [SMALL_STATE(4590)] = 162387,
  [SMALL_STATE(4591)] = 162416,
  [SMALL_STATE(4592)] = 162447,
  [SMALL_STATE(4593)] = 162474,
  [SMALL_STATE(4594)] = 162501,
  [SMALL_STATE(4595)] = 162524,
  [SMALL_STATE(4596)] = 162551,
  [SMALL_STATE(4597)] = 162578,
  [SMALL_STATE(4598)] = 162601,
  [SMALL_STATE(4599)] = 162628,
  [SMALL_STATE(4600)] = 162659,
  [SMALL_STATE(4601)] = 162690,
  [SMALL_STATE(4602)] = 162709,
  [SMALL_STATE(4603)] = 162732,
  [SMALL_STATE(4604)] = 162759,
  [SMALL_STATE(4605)] = 162790,
  [SMALL_STATE(4606)] = 162817,
  [SMALL_STATE(4607)] = 162848,
  [SMALL_STATE(4608)] = 162879,
  [SMALL_STATE(4609)] = 162910,
  [SMALL_STATE(4610)] = 162941,
  [SMALL_STATE(4611)] = 162972,
  [SMALL_STATE(4612)] = 163001,
  [SMALL_STATE(4613)] = 163022,
  [SMALL_STATE(4614)] = 163049,
  [SMALL_STATE(4615)] = 163076,
  [SMALL_STATE(4616)] = 163107,
  [SMALL_STATE(4617)] = 163130,
  [SMALL_STATE(4618)] = 163161,
  [SMALL_STATE(4619)] = 163192,
  [SMALL_STATE(4620)] = 163223,
  [SMALL_STATE(4621)] = 163254,
  [SMALL_STATE(4622)] = 163281,
  [SMALL_STATE(4623)] = 163312,
  [SMALL_STATE(4624)] = 163331,
  [SMALL_STATE(4625)] = 163358,
  [SMALL_STATE(4626)] = 163389,
  [SMALL_STATE(4627)] = 163420,
  [SMALL_STATE(4628)] = 163451,
  [SMALL_STATE(4629)] = 163472,
  [SMALL_STATE(4630)] = 163495,
  [SMALL_STATE(4631)] = 163514,
  [SMALL_STATE(4632)] = 163537,
  [SMALL_STATE(4633)] = 163560,
  [SMALL_STATE(4634)] = 163583,
  [SMALL_STATE(4635)] = 163608,
  [SMALL_STATE(4636)] = 163639,
  [SMALL_STATE(4637)] = 163668,
  [SMALL_STATE(4638)] = 163691,
  [SMALL_STATE(4639)] = 163722,
  [SMALL_STATE(4640)] = 163741,
  [SMALL_STATE(4641)] = 163768,
  [SMALL_STATE(4642)] = 163797,
  [SMALL_STATE(4643)] = 163816,
  [SMALL_STATE(4644)] = 163843,
  [SMALL_STATE(4645)] = 163862,
  [SMALL_STATE(4646)] = 163893,
  [SMALL_STATE(4647)] = 163924,
  [SMALL_STATE(4648)] = 163943,
  [SMALL_STATE(4649)] = 163970,
  [SMALL_STATE(4650)] = 164001,
  [SMALL_STATE(4651)] = 164032,
  [SMALL_STATE(4652)] = 164055,
  [SMALL_STATE(4653)] = 164086,
  [SMALL_STATE(4654)] = 164117,
  [SMALL_STATE(4655)] = 164144,
  [SMALL_STATE(4656)] = 164163,
  [SMALL_STATE(4657)] = 164182,
  [SMALL_STATE(4658)] = 164209,
  [SMALL_STATE(4659)] = 164232,
  [SMALL_STATE(4660)] = 164255,
  [SMALL_STATE(4661)] = 164286,
  [SMALL_STATE(4662)] = 164313,
  [SMALL_STATE(4663)] = 164344,
  [SMALL_STATE(4664)] = 164367,
  [SMALL_STATE(4665)] = 164394,
  [SMALL_STATE(4666)] = 164425,
  [SMALL_STATE(4667)] = 164452,
  [SMALL_STATE(4668)] = 164479,
  [SMALL_STATE(4669)] = 164506,
  [SMALL_STATE(4670)] = 164533,
  [SMALL_STATE(4671)] = 164564,
  [SMALL_STATE(4672)] = 164591,
  [SMALL_STATE(4673)] = 164618,
  [SMALL_STATE(4674)] = 164647,
  [SMALL_STATE(4675)] = 164674,
  [SMALL_STATE(4676)] = 164701,
  [SMALL_STATE(4677)] = 164720,
  [SMALL_STATE(4678)] = 164747,
  [SMALL_STATE(4679)] = 164774,
  [SMALL_STATE(4680)] = 164805,
  [SMALL_STATE(4681)] = 164836,
  [SMALL_STATE(4682)] = 164855,
  [SMALL_STATE(4683)] = 164882,
  [SMALL_STATE(4684)] = 164909,
  [SMALL_STATE(4685)] = 164932,
  [SMALL_STATE(4686)] = 164951,
  [SMALL_STATE(4687)] = 164982,
  [SMALL_STATE(4688)] = 165009,
  [SMALL_STATE(4689)] = 165040,
  [SMALL_STATE(4690)] = 165063,
  [SMALL_STATE(4691)] = 165094,
  [SMALL_STATE(4692)] = 165121,
  [SMALL_STATE(4693)] = 165150,
  [SMALL_STATE(4694)] = 165179,
  [SMALL_STATE(4695)] = 165202,
  [SMALL_STATE(4696)] = 165233,
  [SMALL_STATE(4697)] = 165262,
  [SMALL_STATE(4698)] = 165289,
  [SMALL_STATE(4699)] = 165308,
  [SMALL_STATE(4700)] = 165327,
  [SMALL_STATE(4701)] = 165354,
  [SMALL_STATE(4702)] = 165373,
  [SMALL_STATE(4703)] = 165404,
  [SMALL_STATE(4704)] = 165425,
  [SMALL_STATE(4705)] = 165452,
  [SMALL_STATE(4706)] = 165479,
  [SMALL_STATE(4707)] = 165510,
  [SMALL_STATE(4708)] = 165533,
  [SMALL_STATE(4709)] = 165556,
  [SMALL_STATE(4710)] = 165583,
  [SMALL_STATE(4711)] = 165610,
  [SMALL_STATE(4712)] = 165637,
  [SMALL_STATE(4713)] = 165668,
  [SMALL_STATE(4714)] = 165695,
  [SMALL_STATE(4715)] = 165722,
  [SMALL_STATE(4716)] = 165753,
  [SMALL_STATE(4717)] = 165782,
  [SMALL_STATE(4718)] = 165809,
  [SMALL_STATE(4719)] = 165832,
  [SMALL_STATE(4720)] = 165863,
  [SMALL_STATE(4721)] = 165890,
  [SMALL_STATE(4722)] = 165913,
  [SMALL_STATE(4723)] = 165940,
  [SMALL_STATE(4724)] = 165963,
  [SMALL_STATE(4725)] = 165990,
  [SMALL_STATE(4726)] = 166021,
  [SMALL_STATE(4727)] = 166052,
  [SMALL_STATE(4728)] = 166071,
  [SMALL_STATE(4729)] = 166098,
  [SMALL_STATE(4730)] = 166127,
  [SMALL_STATE(4731)] = 166158,
  [SMALL_STATE(4732)] = 166185,
  [SMALL_STATE(4733)] = 166216,
  [SMALL_STATE(4734)] = 166239,
  [SMALL_STATE(4735)] = 166262,
  [SMALL_STATE(4736)] = 166293,
  [SMALL_STATE(4737)] = 166320,
  [SMALL_STATE(4738)] = 166347,
  [SMALL_STATE(4739)] = 166374,
  [SMALL_STATE(4740)] = 166401,
  [SMALL_STATE(4741)] = 166424,
  [SMALL_STATE(4742)] = 166451,
  [SMALL_STATE(4743)] = 166478,
  [SMALL_STATE(4744)] = 166505,
  [SMALL_STATE(4745)] = 166524,
  [SMALL_STATE(4746)] = 166551,
  [SMALL_STATE(4747)] = 166574,
  [SMALL_STATE(4748)] = 166601,
  [SMALL_STATE(4749)] = 166628,
  [SMALL_STATE(4750)] = 166655,
  [SMALL_STATE(4751)] = 166682,
  [SMALL_STATE(4752)] = 166713,
  [SMALL_STATE(4753)] = 166740,
  [SMALL_STATE(4754)] = 166762,
  [SMALL_STATE(4755)] = 166784,
  [SMALL_STATE(4756)] = 166812,
  [SMALL_STATE(4757)] = 166834,
  [SMALL_STATE(4758)] = 166862,
  [SMALL_STATE(4759)] = 166890,
  [SMALL_STATE(4760)] = 166918,
  [SMALL_STATE(4761)] = 166940,
  [SMALL_STATE(4762)] = 166964,
  [SMALL_STATE(4763)] = 166992,
  [SMALL_STATE(4764)] = 167020,
  [SMALL_STATE(4765)] = 167046,
  [SMALL_STATE(4766)] = 167074,
  [SMALL_STATE(4767)] = 167100,
  [SMALL_STATE(4768)] = 167122,
  [SMALL_STATE(4769)] = 167148,
  [SMALL_STATE(4770)] = 167174,
  [SMALL_STATE(4771)] = 167200,
  [SMALL_STATE(4772)] = 167228,
  [SMALL_STATE(4773)] = 167246,
  [SMALL_STATE(4774)] = 167264,
  [SMALL_STATE(4775)] = 167292,
  [SMALL_STATE(4776)] = 167314,
  [SMALL_STATE(4777)] = 167342,
  [SMALL_STATE(4778)] = 167360,
  [SMALL_STATE(4779)] = 167382,
  [SMALL_STATE(4780)] = 167410,
  [SMALL_STATE(4781)] = 167428,
  [SMALL_STATE(4782)] = 167450,
  [SMALL_STATE(4783)] = 167478,
  [SMALL_STATE(4784)] = 167506,
  [SMALL_STATE(4785)] = 167528,
  [SMALL_STATE(4786)] = 167550,
  [SMALL_STATE(4787)] = 167572,
  [SMALL_STATE(4788)] = 167600,
  [SMALL_STATE(4789)] = 167628,
  [SMALL_STATE(4790)] = 167650,
  [SMALL_STATE(4791)] = 167668,
  [SMALL_STATE(4792)] = 167696,
  [SMALL_STATE(4793)] = 167724,
  [SMALL_STATE(4794)] = 167744,
  [SMALL_STATE(4795)] = 167772,
  [SMALL_STATE(4796)] = 167800,
  [SMALL_STATE(4797)] = 167828,
  [SMALL_STATE(4798)] = 167856,
  [SMALL_STATE(4799)] = 167878,
  [SMALL_STATE(4800)] = 167896,
  [SMALL_STATE(4801)] = 167918,
  [SMALL_STATE(4802)] = 167940,
  [SMALL_STATE(4803)] = 167964,
  [SMALL_STATE(4804)] = 167986,
  [SMALL_STATE(4805)] = 168008,
  [SMALL_STATE(4806)] = 168030,
  [SMALL_STATE(4807)] = 168052,
  [SMALL_STATE(4808)] = 168080,
  [SMALL_STATE(4809)] = 168098,
  [SMALL_STATE(4810)] = 168120,
  [SMALL_STATE(4811)] = 168148,
  [SMALL_STATE(4812)] = 168170,
  [SMALL_STATE(4813)] = 168198,
  [SMALL_STATE(4814)] = 168220,
  [SMALL_STATE(4815)] = 168242,
  [SMALL_STATE(4816)] = 168270,
  [SMALL_STATE(4817)] = 168292,
  [SMALL_STATE(4818)] = 168314,
  [SMALL_STATE(4819)] = 168336,
  [SMALL_STATE(4820)] = 168358,
  [SMALL_STATE(4821)] = 168380,
  [SMALL_STATE(4822)] = 168408,
  [SMALL_STATE(4823)] = 168436,
  [SMALL_STATE(4824)] = 168458,
  [SMALL_STATE(4825)] = 168480,
  [SMALL_STATE(4826)] = 168508,
  [SMALL_STATE(4827)] = 168530,
  [SMALL_STATE(4828)] = 168558,
  [SMALL_STATE(4829)] = 168586,
  [SMALL_STATE(4830)] = 168608,
  [SMALL_STATE(4831)] = 168630,
  [SMALL_STATE(4832)] = 168658,
  [SMALL_STATE(4833)] = 168686,
  [SMALL_STATE(4834)] = 168714,
  [SMALL_STATE(4835)] = 168742,
  [SMALL_STATE(4836)] = 168764,
  [SMALL_STATE(4837)] = 168792,
  [SMALL_STATE(4838)] = 168820,
  [SMALL_STATE(4839)] = 168848,
  [SMALL_STATE(4840)] = 168876,
  [SMALL_STATE(4841)] = 168898,
  [SMALL_STATE(4842)] = 168926,
  [SMALL_STATE(4843)] = 168948,
  [SMALL_STATE(4844)] = 168974,
  [SMALL_STATE(4845)] = 168996,
  [SMALL_STATE(4846)] = 169024,
  [SMALL_STATE(4847)] = 169042,
  [SMALL_STATE(4848)] = 169068,
  [SMALL_STATE(4849)] = 169094,
  [SMALL_STATE(4850)] = 169122,
  [SMALL_STATE(4851)] = 169150,
  [SMALL_STATE(4852)] = 169178,
  [SMALL_STATE(4853)] = 169200,
  [SMALL_STATE(4854)] = 169228,
  [SMALL_STATE(4855)] = 169250,
  [SMALL_STATE(4856)] = 169272,
  [SMALL_STATE(4857)] = 169298,
  [SMALL_STATE(4858)] = 169326,
  [SMALL_STATE(4859)] = 169348,
  [SMALL_STATE(4860)] = 169370,
  [SMALL_STATE(4861)] = 169392,
  [SMALL_STATE(4862)] = 169420,
  [SMALL_STATE(4863)] = 169448,
  [SMALL_STATE(4864)] = 169470,
  [SMALL_STATE(4865)] = 169498,
  [SMALL_STATE(4866)] = 169526,
  [SMALL_STATE(4867)] = 169554,
  [SMALL_STATE(4868)] = 169572,
  [SMALL_STATE(4869)] = 169600,
  [SMALL_STATE(4870)] = 169626,
  [SMALL_STATE(4871)] = 169652,
  [SMALL_STATE(4872)] = 169670,
  [SMALL_STATE(4873)] = 169696,
  [SMALL_STATE(4874)] = 169724,
  [SMALL_STATE(4875)] = 169746,
  [SMALL_STATE(4876)] = 169774,
  [SMALL_STATE(4877)] = 169802,
  [SMALL_STATE(4878)] = 169830,
  [SMALL_STATE(4879)] = 169858,
  [SMALL_STATE(4880)] = 169880,
  [SMALL_STATE(4881)] = 169906,
  [SMALL_STATE(4882)] = 169932,
  [SMALL_STATE(4883)] = 169960,
  [SMALL_STATE(4884)] = 169982,
  [SMALL_STATE(4885)] = 170010,
  [SMALL_STATE(4886)] = 170038,
  [SMALL_STATE(4887)] = 170064,
  [SMALL_STATE(4888)] = 170092,
  [SMALL_STATE(4889)] = 170114,
  [SMALL_STATE(4890)] = 170136,
  [SMALL_STATE(4891)] = 170164,
  [SMALL_STATE(4892)] = 170192,
  [SMALL_STATE(4893)] = 170218,
  [SMALL_STATE(4894)] = 170246,
  [SMALL_STATE(4895)] = 170268,
  [SMALL_STATE(4896)] = 170296,
  [SMALL_STATE(4897)] = 170324,
  [SMALL_STATE(4898)] = 170352,
  [SMALL_STATE(4899)] = 170380,
  [SMALL_STATE(4900)] = 170400,
  [SMALL_STATE(4901)] = 170418,
  [SMALL_STATE(4902)] = 170438,
  [SMALL_STATE(4903)] = 170456,
  [SMALL_STATE(4904)] = 170482,
  [SMALL_STATE(4905)] = 170510,
  [SMALL_STATE(4906)] = 170538,
  [SMALL_STATE(4907)] = 170560,
  [SMALL_STATE(4908)] = 170588,
  [SMALL_STATE(4909)] = 170614,
  [SMALL_STATE(4910)] = 170642,
  [SMALL_STATE(4911)] = 170668,
  [SMALL_STATE(4912)] = 170694,
  [SMALL_STATE(4913)] = 170712,
  [SMALL_STATE(4914)] = 170740,
  [SMALL_STATE(4915)] = 170762,
  [SMALL_STATE(4916)] = 170784,
  [SMALL_STATE(4917)] = 170812,
  [SMALL_STATE(4918)] = 170830,
  [SMALL_STATE(4919)] = 170852,
  [SMALL_STATE(4920)] = 170880,
  [SMALL_STATE(4921)] = 170908,
  [SMALL_STATE(4922)] = 170936,
  [SMALL_STATE(4923)] = 170958,
  [SMALL_STATE(4924)] = 170984,
  [SMALL_STATE(4925)] = 171012,
  [SMALL_STATE(4926)] = 171040,
  [SMALL_STATE(4927)] = 171060,
  [SMALL_STATE(4928)] = 171082,
  [SMALL_STATE(4929)] = 171104,
  [SMALL_STATE(4930)] = 171124,
  [SMALL_STATE(4931)] = 171152,
  [SMALL_STATE(4932)] = 171180,
  [SMALL_STATE(4933)] = 171200,
  [SMALL_STATE(4934)] = 171222,
  [SMALL_STATE(4935)] = 171244,
  [SMALL_STATE(4936)] = 171272,
  [SMALL_STATE(4937)] = 171300,
  [SMALL_STATE(4938)] = 171322,
  [SMALL_STATE(4939)] = 171350,
  [SMALL_STATE(4940)] = 171378,
  [SMALL_STATE(4941)] = 171398,
  [SMALL_STATE(4942)] = 171418,
  [SMALL_STATE(4943)] = 171438,
  [SMALL_STATE(4944)] = 171466,
  [SMALL_STATE(4945)] = 171494,
  [SMALL_STATE(4946)] = 171516,
  [SMALL_STATE(4947)] = 171542,
  [SMALL_STATE(4948)] = 171563,
  [SMALL_STATE(4949)] = 171580,
  [SMALL_STATE(4950)] = 171601,
  [SMALL_STATE(4951)] = 171626,
  [SMALL_STATE(4952)] = 171643,
  [SMALL_STATE(4953)] = 171660,
  [SMALL_STATE(4954)] = 171681,
  [SMALL_STATE(4955)] = 171702,
  [SMALL_STATE(4956)] = 171727,
  [SMALL_STATE(4957)] = 171748,
  [SMALL_STATE(4958)] = 171769,
  [SMALL_STATE(4959)] = 171794,
  [SMALL_STATE(4960)] = 171815,
  [SMALL_STATE(4961)] = 171838,
  [SMALL_STATE(4962)] = 171863,
  [SMALL_STATE(4963)] = 171888,
  [SMALL_STATE(4964)] = 171913,
  [SMALL_STATE(4965)] = 171934,
  [SMALL_STATE(4966)] = 171955,
  [SMALL_STATE(4967)] = 171976,
  [SMALL_STATE(4968)] = 171997,
  [SMALL_STATE(4969)] = 172020,
  [SMALL_STATE(4970)] = 172037,
  [SMALL_STATE(4971)] = 172054,
  [SMALL_STATE(4972)] = 172079,
  [SMALL_STATE(4973)] = 172100,
  [SMALL_STATE(4974)] = 172117,
  [SMALL_STATE(4975)] = 172134,
  [SMALL_STATE(4976)] = 172151,
  [SMALL_STATE(4977)] = 172172,
  [SMALL_STATE(4978)] = 172195,
  [SMALL_STATE(4979)] = 172218,
  [SMALL_STATE(4980)] = 172235,
  [SMALL_STATE(4981)] = 172252,
  [SMALL_STATE(4982)] = 172269,
  [SMALL_STATE(4983)] = 172286,
  [SMALL_STATE(4984)] = 172303,
  [SMALL_STATE(4985)] = 172320,
  [SMALL_STATE(4986)] = 172337,
  [SMALL_STATE(4987)] = 172354,
  [SMALL_STATE(4988)] = 172371,
  [SMALL_STATE(4989)] = 172388,
  [SMALL_STATE(4990)] = 172405,
  [SMALL_STATE(4991)] = 172422,
  [SMALL_STATE(4992)] = 172439,
  [SMALL_STATE(4993)] = 172456,
  [SMALL_STATE(4994)] = 172473,
  [SMALL_STATE(4995)] = 172490,
  [SMALL_STATE(4996)] = 172507,
  [SMALL_STATE(4997)] = 172524,
  [SMALL_STATE(4998)] = 172541,
  [SMALL_STATE(4999)] = 172558,
  [SMALL_STATE(5000)] = 172575,
  [SMALL_STATE(5001)] = 172592,
  [SMALL_STATE(5002)] = 172613,
  [SMALL_STATE(5003)] = 172630,
  [SMALL_STATE(5004)] = 172651,
  [SMALL_STATE(5005)] = 172676,
  [SMALL_STATE(5006)] = 172697,
  [SMALL_STATE(5007)] = 172718,
  [SMALL_STATE(5008)] = 172739,
  [SMALL_STATE(5009)] = 172764,
  [SMALL_STATE(5010)] = 172781,
  [SMALL_STATE(5011)] = 172798,
  [SMALL_STATE(5012)] = 172815,
  [SMALL_STATE(5013)] = 172832,
  [SMALL_STATE(5014)] = 172853,
  [SMALL_STATE(5015)] = 172874,
  [SMALL_STATE(5016)] = 172891,
  [SMALL_STATE(5017)] = 172908,
  [SMALL_STATE(5018)] = 172929,
  [SMALL_STATE(5019)] = 172946,
  [SMALL_STATE(5020)] = 172967,
  [SMALL_STATE(5021)] = 172984,
  [SMALL_STATE(5022)] = 173001,
  [SMALL_STATE(5023)] = 173018,
  [SMALL_STATE(5024)] = 173035,
  [SMALL_STATE(5025)] = 173052,
  [SMALL_STATE(5026)] = 173069,
  [SMALL_STATE(5027)] = 173094,
  [SMALL_STATE(5028)] = 173115,
  [SMALL_STATE(5029)] = 173132,
  [SMALL_STATE(5030)] = 173153,
  [SMALL_STATE(5031)] = 173176,
  [SMALL_STATE(5032)] = 173197,
  [SMALL_STATE(5033)] = 173214,
  [SMALL_STATE(5034)] = 173231,
  [SMALL_STATE(5035)] = 173248,
  [SMALL_STATE(5036)] = 173265,
  [SMALL_STATE(5037)] = 173290,
  [SMALL_STATE(5038)] = 173307,
  [SMALL_STATE(5039)] = 173324,
  [SMALL_STATE(5040)] = 173341,
  [SMALL_STATE(5041)] = 173358,
  [SMALL_STATE(5042)] = 173375,
  [SMALL_STATE(5043)] = 173392,
  [SMALL_STATE(5044)] = 173409,
  [SMALL_STATE(5045)] = 173426,
  [SMALL_STATE(5046)] = 173443,
  [SMALL_STATE(5047)] = 173460,
  [SMALL_STATE(5048)] = 173477,
  [SMALL_STATE(5049)] = 173494,
  [SMALL_STATE(5050)] = 173511,
  [SMALL_STATE(5051)] = 173528,
  [SMALL_STATE(5052)] = 173545,
  [SMALL_STATE(5053)] = 173566,
  [SMALL_STATE(5054)] = 173587,
  [SMALL_STATE(5055)] = 173604,
  [SMALL_STATE(5056)] = 173629,
  [SMALL_STATE(5057)] = 173650,
  [SMALL_STATE(5058)] = 173667,
  [SMALL_STATE(5059)] = 173684,
  [SMALL_STATE(5060)] = 173701,
  [SMALL_STATE(5061)] = 173718,
  [SMALL_STATE(5062)] = 173735,
  [SMALL_STATE(5063)] = 173760,
  [SMALL_STATE(5064)] = 173785,
  [SMALL_STATE(5065)] = 173802,
  [SMALL_STATE(5066)] = 173819,
  [SMALL_STATE(5067)] = 173840,
  [SMALL_STATE(5068)] = 173861,
  [SMALL_STATE(5069)] = 173878,
  [SMALL_STATE(5070)] = 173903,
  [SMALL_STATE(5071)] = 173924,
  [SMALL_STATE(5072)] = 173941,
  [SMALL_STATE(5073)] = 173962,
  [SMALL_STATE(5074)] = 173983,
  [SMALL_STATE(5075)] = 174000,
  [SMALL_STATE(5076)] = 174021,
  [SMALL_STATE(5077)] = 174040,
  [SMALL_STATE(5078)] = 174061,
  [SMALL_STATE(5079)] = 174086,
  [SMALL_STATE(5080)] = 174107,
  [SMALL_STATE(5081)] = 174132,
  [SMALL_STATE(5082)] = 174153,
  [SMALL_STATE(5083)] = 174174,
  [SMALL_STATE(5084)] = 174199,
  [SMALL_STATE(5085)] = 174222,
  [SMALL_STATE(5086)] = 174247,
  [SMALL_STATE(5087)] = 174268,
  [SMALL_STATE(5088)] = 174289,
  [SMALL_STATE(5089)] = 174314,
  [SMALL_STATE(5090)] = 174331,
  [SMALL_STATE(5091)] = 174352,
  [SMALL_STATE(5092)] = 174373,
  [SMALL_STATE(5093)] = 174398,
  [SMALL_STATE(5094)] = 174423,
  [SMALL_STATE(5095)] = 174444,
  [SMALL_STATE(5096)] = 174467,
  [SMALL_STATE(5097)] = 174488,
  [SMALL_STATE(5098)] = 174513,
  [SMALL_STATE(5099)] = 174534,
  [SMALL_STATE(5100)] = 174555,
  [SMALL_STATE(5101)] = 174578,
  [SMALL_STATE(5102)] = 174597,
  [SMALL_STATE(5103)] = 174614,
  [SMALL_STATE(5104)] = 174639,
  [SMALL_STATE(5105)] = 174660,
  [SMALL_STATE(5106)] = 174681,
  [SMALL_STATE(5107)] = 174702,
  [SMALL_STATE(5108)] = 174727,
  [SMALL_STATE(5109)] = 174748,
  [SMALL_STATE(5110)] = 174769,
  [SMALL_STATE(5111)] = 174794,
  [SMALL_STATE(5112)] = 174815,
  [SMALL_STATE(5113)] = 174840,
  [SMALL_STATE(5114)] = 174861,
  [SMALL_STATE(5115)] = 174882,
  [SMALL_STATE(5116)] = 174903,
  [SMALL_STATE(5117)] = 174928,
  [SMALL_STATE(5118)] = 174945,
  [SMALL_STATE(5119)] = 174970,
  [SMALL_STATE(5120)] = 174993,
  [SMALL_STATE(5121)] = 175014,
  [SMALL_STATE(5122)] = 175039,
  [SMALL_STATE(5123)] = 175060,
  [SMALL_STATE(5124)] = 175085,
  [SMALL_STATE(5125)] = 175110,
  [SMALL_STATE(5126)] = 175135,
  [SMALL_STATE(5127)] = 175160,
  [SMALL_STATE(5128)] = 175177,
  [SMALL_STATE(5129)] = 175202,
  [SMALL_STATE(5130)] = 175223,
  [SMALL_STATE(5131)] = 175244,
  [SMALL_STATE(5132)] = 175269,
  [SMALL_STATE(5133)] = 175294,
  [SMALL_STATE(5134)] = 175311,
  [SMALL_STATE(5135)] = 175336,
  [SMALL_STATE(5136)] = 175353,
  [SMALL_STATE(5137)] = 175376,
  [SMALL_STATE(5138)] = 175397,
  [SMALL_STATE(5139)] = 175418,
  [SMALL_STATE(5140)] = 175443,
  [SMALL_STATE(5141)] = 175468,
  [SMALL_STATE(5142)] = 175489,
  [SMALL_STATE(5143)] = 175506,
  [SMALL_STATE(5144)] = 175523,
  [SMALL_STATE(5145)] = 175548,
  [SMALL_STATE(5146)] = 175569,
  [SMALL_STATE(5147)] = 175594,
  [SMALL_STATE(5148)] = 175615,
  [SMALL_STATE(5149)] = 175636,
  [SMALL_STATE(5150)] = 175657,
  [SMALL_STATE(5151)] = 175682,
  [SMALL_STATE(5152)] = 175703,
  [SMALL_STATE(5153)] = 175724,
  [SMALL_STATE(5154)] = 175749,
  [SMALL_STATE(5155)] = 175770,
  [SMALL_STATE(5156)] = 175795,
  [SMALL_STATE(5157)] = 175816,
  [SMALL_STATE(5158)] = 175839,
  [SMALL_STATE(5159)] = 175860,
  [SMALL_STATE(5160)] = 175885,
  [SMALL_STATE(5161)] = 175902,
  [SMALL_STATE(5162)] = 175923,
  [SMALL_STATE(5163)] = 175944,
  [SMALL_STATE(5164)] = 175969,
  [SMALL_STATE(5165)] = 175994,
  [SMALL_STATE(5166)] = 176019,
  [SMALL_STATE(5167)] = 176036,
  [SMALL_STATE(5168)] = 176053,
  [SMALL_STATE(5169)] = 176078,
  [SMALL_STATE(5170)] = 176099,
  [SMALL_STATE(5171)] = 176116,
  [SMALL_STATE(5172)] = 176133,
  [SMALL_STATE(5173)] = 176152,
  [SMALL_STATE(5174)] = 176173,
  [SMALL_STATE(5175)] = 176194,
  [SMALL_STATE(5176)] = 176219,
  [SMALL_STATE(5177)] = 176244,
  [SMALL_STATE(5178)] = 176269,
  [SMALL_STATE(5179)] = 176286,
  [SMALL_STATE(5180)] = 176303,
  [SMALL_STATE(5181)] = 176324,
  [SMALL_STATE(5182)] = 176345,
  [SMALL_STATE(5183)] = 176370,
  [SMALL_STATE(5184)] = 176391,
  [SMALL_STATE(5185)] = 176416,
  [SMALL_STATE(5186)] = 176437,
  [SMALL_STATE(5187)] = 176462,
  [SMALL_STATE(5188)] = 176479,
  [SMALL_STATE(5189)] = 176496,
  [SMALL_STATE(5190)] = 176513,
  [SMALL_STATE(5191)] = 176530,
  [SMALL_STATE(5192)] = 176547,
  [SMALL_STATE(5193)] = 176564,
  [SMALL_STATE(5194)] = 176585,
  [SMALL_STATE(5195)] = 176610,
  [SMALL_STATE(5196)] = 176631,
  [SMALL_STATE(5197)] = 176652,
  [SMALL_STATE(5198)] = 176669,
  [SMALL_STATE(5199)] = 176686,
  [SMALL_STATE(5200)] = 176707,
  [SMALL_STATE(5201)] = 176728,
  [SMALL_STATE(5202)] = 176753,
  [SMALL_STATE(5203)] = 176778,
  [SMALL_STATE(5204)] = 176799,
  [SMALL_STATE(5205)] = 176824,
  [SMALL_STATE(5206)] = 176841,
  [SMALL_STATE(5207)] = 176858,
  [SMALL_STATE(5208)] = 176877,
  [SMALL_STATE(5209)] = 176894,
  [SMALL_STATE(5210)] = 176911,
  [SMALL_STATE(5211)] = 176936,
  [SMALL_STATE(5212)] = 176953,
  [SMALL_STATE(5213)] = 176970,
  [SMALL_STATE(5214)] = 176995,
  [SMALL_STATE(5215)] = 177012,
  [SMALL_STATE(5216)] = 177029,
  [SMALL_STATE(5217)] = 177046,
  [SMALL_STATE(5218)] = 177067,
  [SMALL_STATE(5219)] = 177088,
  [SMALL_STATE(5220)] = 177105,
  [SMALL_STATE(5221)] = 177126,
  [SMALL_STATE(5222)] = 177143,
  [SMALL_STATE(5223)] = 177164,
  [SMALL_STATE(5224)] = 177189,
  [SMALL_STATE(5225)] = 177214,
  [SMALL_STATE(5226)] = 177231,
  [SMALL_STATE(5227)] = 177248,
  [SMALL_STATE(5228)] = 177273,
  [SMALL_STATE(5229)] = 177298,
  [SMALL_STATE(5230)] = 177323,
  [SMALL_STATE(5231)] = 177348,
  [SMALL_STATE(5232)] = 177369,
  [SMALL_STATE(5233)] = 177390,
  [SMALL_STATE(5234)] = 177411,
  [SMALL_STATE(5235)] = 177436,
  [SMALL_STATE(5236)] = 177461,
  [SMALL_STATE(5237)] = 177486,
  [SMALL_STATE(5238)] = 177503,
  [SMALL_STATE(5239)] = 177524,
  [SMALL_STATE(5240)] = 177545,
  [SMALL_STATE(5241)] = 177562,
  [SMALL_STATE(5242)] = 177585,
  [SMALL_STATE(5243)] = 177602,
  [SMALL_STATE(5244)] = 177627,
  [SMALL_STATE(5245)] = 177652,
  [SMALL_STATE(5246)] = 177673,
  [SMALL_STATE(5247)] = 177690,
  [SMALL_STATE(5248)] = 177707,
  [SMALL_STATE(5249)] = 177732,
  [SMALL_STATE(5250)] = 177757,
  [SMALL_STATE(5251)] = 177774,
  [SMALL_STATE(5252)] = 177791,
  [SMALL_STATE(5253)] = 177812,
  [SMALL_STATE(5254)] = 177833,
  [SMALL_STATE(5255)] = 177850,
  [SMALL_STATE(5256)] = 177875,
  [SMALL_STATE(5257)] = 177896,
  [SMALL_STATE(5258)] = 177919,
  [SMALL_STATE(5259)] = 177936,
  [SMALL_STATE(5260)] = 177961,
  [SMALL_STATE(5261)] = 177982,
  [SMALL_STATE(5262)] = 178003,
  [SMALL_STATE(5263)] = 178024,
  [SMALL_STATE(5264)] = 178045,
  [SMALL_STATE(5265)] = 178070,
  [SMALL_STATE(5266)] = 178091,
  [SMALL_STATE(5267)] = 178108,
  [SMALL_STATE(5268)] = 178133,
  [SMALL_STATE(5269)] = 178150,
  [SMALL_STATE(5270)] = 178171,
  [SMALL_STATE(5271)] = 178192,
  [SMALL_STATE(5272)] = 178213,
  [SMALL_STATE(5273)] = 178234,
  [SMALL_STATE(5274)] = 178259,
  [SMALL_STATE(5275)] = 178284,
  [SMALL_STATE(5276)] = 178309,
  [SMALL_STATE(5277)] = 178334,
  [SMALL_STATE(5278)] = 178355,
  [SMALL_STATE(5279)] = 178380,
  [SMALL_STATE(5280)] = 178405,
  [SMALL_STATE(5281)] = 178430,
  [SMALL_STATE(5282)] = 178455,
  [SMALL_STATE(5283)] = 178478,
  [SMALL_STATE(5284)] = 178503,
  [SMALL_STATE(5285)] = 178524,
  [SMALL_STATE(5286)] = 178545,
  [SMALL_STATE(5287)] = 178570,
  [SMALL_STATE(5288)] = 178595,
  [SMALL_STATE(5289)] = 178620,
  [SMALL_STATE(5290)] = 178645,
  [SMALL_STATE(5291)] = 178670,
  [SMALL_STATE(5292)] = 178695,
  [SMALL_STATE(5293)] = 178720,
  [SMALL_STATE(5294)] = 178745,
  [SMALL_STATE(5295)] = 178762,
  [SMALL_STATE(5296)] = 178787,
  [SMALL_STATE(5297)] = 178812,
  [SMALL_STATE(5298)] = 178833,
  [SMALL_STATE(5299)] = 178854,
  [SMALL_STATE(5300)] = 178879,
  [SMALL_STATE(5301)] = 178900,
  [SMALL_STATE(5302)] = 178923,
  [SMALL_STATE(5303)] = 178944,
  [SMALL_STATE(5304)] = 178965,
  [SMALL_STATE(5305)] = 178986,
  [SMALL_STATE(5306)] = 179007,
  [SMALL_STATE(5307)] = 179028,
  [SMALL_STATE(5308)] = 179049,
  [SMALL_STATE(5309)] = 179070,
  [SMALL_STATE(5310)] = 179091,
  [SMALL_STATE(5311)] = 179112,
  [SMALL_STATE(5312)] = 179137,
  [SMALL_STATE(5313)] = 179158,
  [SMALL_STATE(5314)] = 179181,
  [SMALL_STATE(5315)] = 179202,
  [SMALL_STATE(5316)] = 179223,
  [SMALL_STATE(5317)] = 179244,
  [SMALL_STATE(5318)] = 179269,
  [SMALL_STATE(5319)] = 179290,
  [SMALL_STATE(5320)] = 179315,
  [SMALL_STATE(5321)] = 179336,
  [SMALL_STATE(5322)] = 179361,
  [SMALL_STATE(5323)] = 179386,
  [SMALL_STATE(5324)] = 179407,
  [SMALL_STATE(5325)] = 179432,
  [SMALL_STATE(5326)] = 179453,
  [SMALL_STATE(5327)] = 179478,
  [SMALL_STATE(5328)] = 179503,
  [SMALL_STATE(5329)] = 179526,
  [SMALL_STATE(5330)] = 179547,
  [SMALL_STATE(5331)] = 179568,
  [SMALL_STATE(5332)] = 179593,
  [SMALL_STATE(5333)] = 179618,
  [SMALL_STATE(5334)] = 179643,
  [SMALL_STATE(5335)] = 179666,
  [SMALL_STATE(5336)] = 179683,
  [SMALL_STATE(5337)] = 179704,
  [SMALL_STATE(5338)] = 179725,
  [SMALL_STATE(5339)] = 179750,
  [SMALL_STATE(5340)] = 179767,
  [SMALL_STATE(5341)] = 179792,
  [SMALL_STATE(5342)] = 179809,
  [SMALL_STATE(5343)] = 179826,
  [SMALL_STATE(5344)] = 179851,
  [SMALL_STATE(5345)] = 179872,
  [SMALL_STATE(5346)] = 179893,
  [SMALL_STATE(5347)] = 179910,
  [SMALL_STATE(5348)] = 179927,
  [SMALL_STATE(5349)] = 179944,
  [SMALL_STATE(5350)] = 179965,
  [SMALL_STATE(5351)] = 179986,
  [SMALL_STATE(5352)] = 180007,
  [SMALL_STATE(5353)] = 180024,
  [SMALL_STATE(5354)] = 180049,
  [SMALL_STATE(5355)] = 180070,
  [SMALL_STATE(5356)] = 180095,
  [SMALL_STATE(5357)] = 180120,
  [SMALL_STATE(5358)] = 180137,
  [SMALL_STATE(5359)] = 180162,
  [SMALL_STATE(5360)] = 180183,
  [SMALL_STATE(5361)] = 180204,
  [SMALL_STATE(5362)] = 180229,
  [SMALL_STATE(5363)] = 180250,
  [SMALL_STATE(5364)] = 180275,
  [SMALL_STATE(5365)] = 180300,
  [SMALL_STATE(5366)] = 180317,
  [SMALL_STATE(5367)] = 180342,
  [SMALL_STATE(5368)] = 180367,
  [SMALL_STATE(5369)] = 180392,
  [SMALL_STATE(5370)] = 180417,
  [SMALL_STATE(5371)] = 180442,
  [SMALL_STATE(5372)] = 180459,
  [SMALL_STATE(5373)] = 180480,
  [SMALL_STATE(5374)] = 180505,
  [SMALL_STATE(5375)] = 180530,
  [SMALL_STATE(5376)] = 180555,
  [SMALL_STATE(5377)] = 180572,
  [SMALL_STATE(5378)] = 180593,
  [SMALL_STATE(5379)] = 180614,
  [SMALL_STATE(5380)] = 180639,
  [SMALL_STATE(5381)] = 180660,
  [SMALL_STATE(5382)] = 180677,
  [SMALL_STATE(5383)] = 180698,
  [SMALL_STATE(5384)] = 180719,
  [SMALL_STATE(5385)] = 180740,
  [SMALL_STATE(5386)] = 180761,
  [SMALL_STATE(5387)] = 180782,
  [SMALL_STATE(5388)] = 180805,
  [SMALL_STATE(5389)] = 180822,
  [SMALL_STATE(5390)] = 180843,
  [SMALL_STATE(5391)] = 180866,
  [SMALL_STATE(5392)] = 180887,
  [SMALL_STATE(5393)] = 180908,
  [SMALL_STATE(5394)] = 180933,
  [SMALL_STATE(5395)] = 180958,
  [SMALL_STATE(5396)] = 180981,
  [SMALL_STATE(5397)] = 181004,
  [SMALL_STATE(5398)] = 181027,
  [SMALL_STATE(5399)] = 181052,
  [SMALL_STATE(5400)] = 181069,
  [SMALL_STATE(5401)] = 181090,
  [SMALL_STATE(5402)] = 181113,
  [SMALL_STATE(5403)] = 181138,
  [SMALL_STATE(5404)] = 181155,
  [SMALL_STATE(5405)] = 181176,
  [SMALL_STATE(5406)] = 181201,
  [SMALL_STATE(5407)] = 181222,
  [SMALL_STATE(5408)] = 181239,
  [SMALL_STATE(5409)] = 181260,
  [SMALL_STATE(5410)] = 181281,
  [SMALL_STATE(5411)] = 181302,
  [SMALL_STATE(5412)] = 181323,
  [SMALL_STATE(5413)] = 181346,
  [SMALL_STATE(5414)] = 181371,
  [SMALL_STATE(5415)] = 181392,
  [SMALL_STATE(5416)] = 181417,
  [SMALL_STATE(5417)] = 181442,
  [SMALL_STATE(5418)] = 181463,
  [SMALL_STATE(5419)] = 181484,
  [SMALL_STATE(5420)] = 181509,
  [SMALL_STATE(5421)] = 181534,
  [SMALL_STATE(5422)] = 181557,
  [SMALL_STATE(5423)] = 181582,
  [SMALL_STATE(5424)] = 181607,
  [SMALL_STATE(5425)] = 181628,
  [SMALL_STATE(5426)] = 181649,
  [SMALL_STATE(5427)] = 181674,
  [SMALL_STATE(5428)] = 181699,
  [SMALL_STATE(5429)] = 181724,
  [SMALL_STATE(5430)] = 181745,
  [SMALL_STATE(5431)] = 181762,
  [SMALL_STATE(5432)] = 181779,
  [SMALL_STATE(5433)] = 181804,
  [SMALL_STATE(5434)] = 181829,
  [SMALL_STATE(5435)] = 181850,
  [SMALL_STATE(5436)] = 181875,
  [SMALL_STATE(5437)] = 181892,
  [SMALL_STATE(5438)] = 181913,
  [SMALL_STATE(5439)] = 181938,
  [SMALL_STATE(5440)] = 181959,
  [SMALL_STATE(5441)] = 181980,
  [SMALL_STATE(5442)] = 182001,
  [SMALL_STATE(5443)] = 182026,
  [SMALL_STATE(5444)] = 182051,
  [SMALL_STATE(5445)] = 182070,
  [SMALL_STATE(5446)] = 182091,
  [SMALL_STATE(5447)] = 182112,
  [SMALL_STATE(5448)] = 182131,
  [SMALL_STATE(5449)] = 182150,
  [SMALL_STATE(5450)] = 182169,
  [SMALL_STATE(5451)] = 182190,
  [SMALL_STATE(5452)] = 182215,
  [SMALL_STATE(5453)] = 182236,
  [SMALL_STATE(5454)] = 182257,
  [SMALL_STATE(5455)] = 182282,
  [SMALL_STATE(5456)] = 182303,
  [SMALL_STATE(5457)] = 182320,
  [SMALL_STATE(5458)] = 182341,
  [SMALL_STATE(5459)] = 182364,
  [SMALL_STATE(5460)] = 182385,
  [SMALL_STATE(5461)] = 182410,
  [SMALL_STATE(5462)] = 182431,
  [SMALL_STATE(5463)] = 182452,
  [SMALL_STATE(5464)] = 182473,
  [SMALL_STATE(5465)] = 182498,
  [SMALL_STATE(5466)] = 182519,
  [SMALL_STATE(5467)] = 182540,
  [SMALL_STATE(5468)] = 182561,
  [SMALL_STATE(5469)] = 182582,
  [SMALL_STATE(5470)] = 182603,
  [SMALL_STATE(5471)] = 182624,
  [SMALL_STATE(5472)] = 182649,
  [SMALL_STATE(5473)] = 182670,
  [SMALL_STATE(5474)] = 182691,
  [SMALL_STATE(5475)] = 182713,
  [SMALL_STATE(5476)] = 182735,
  [SMALL_STATE(5477)] = 182757,
  [SMALL_STATE(5478)] = 182779,
  [SMALL_STATE(5479)] = 182801,
  [SMALL_STATE(5480)] = 182821,
  [SMALL_STATE(5481)] = 182843,
  [SMALL_STATE(5482)] = 182865,
  [SMALL_STATE(5483)] = 182885,
  [SMALL_STATE(5484)] = 182907,
  [SMALL_STATE(5485)] = 182923,
  [SMALL_STATE(5486)] = 182943,
  [SMALL_STATE(5487)] = 182963,
  [SMALL_STATE(5488)] = 182985,
  [SMALL_STATE(5489)] = 183005,
  [SMALL_STATE(5490)] = 183025,
  [SMALL_STATE(5491)] = 183045,
  [SMALL_STATE(5492)] = 183067,
  [SMALL_STATE(5493)] = 183089,
  [SMALL_STATE(5494)] = 183109,
  [SMALL_STATE(5495)] = 183127,
  [SMALL_STATE(5496)] = 183147,
  [SMALL_STATE(5497)] = 183167,
  [SMALL_STATE(5498)] = 183187,
  [SMALL_STATE(5499)] = 183205,
  [SMALL_STATE(5500)] = 183227,
  [SMALL_STATE(5501)] = 183247,
  [SMALL_STATE(5502)] = 183267,
  [SMALL_STATE(5503)] = 183289,
  [SMALL_STATE(5504)] = 183309,
  [SMALL_STATE(5505)] = 183331,
  [SMALL_STATE(5506)] = 183353,
  [SMALL_STATE(5507)] = 183375,
  [SMALL_STATE(5508)] = 183397,
  [SMALL_STATE(5509)] = 183417,
  [SMALL_STATE(5510)] = 183437,
  [SMALL_STATE(5511)] = 183459,
  [SMALL_STATE(5512)] = 183479,
  [SMALL_STATE(5513)] = 183499,
  [SMALL_STATE(5514)] = 183519,
  [SMALL_STATE(5515)] = 183541,
  [SMALL_STATE(5516)] = 183561,
  [SMALL_STATE(5517)] = 183581,
  [SMALL_STATE(5518)] = 183601,
  [SMALL_STATE(5519)] = 183619,
  [SMALL_STATE(5520)] = 183639,
  [SMALL_STATE(5521)] = 183661,
  [SMALL_STATE(5522)] = 183683,
  [SMALL_STATE(5523)] = 183705,
  [SMALL_STATE(5524)] = 183725,
  [SMALL_STATE(5525)] = 183745,
  [SMALL_STATE(5526)] = 183763,
  [SMALL_STATE(5527)] = 183783,
  [SMALL_STATE(5528)] = 183803,
  [SMALL_STATE(5529)] = 183823,
  [SMALL_STATE(5530)] = 183843,
  [SMALL_STATE(5531)] = 183865,
  [SMALL_STATE(5532)] = 183885,
  [SMALL_STATE(5533)] = 183905,
  [SMALL_STATE(5534)] = 183925,
  [SMALL_STATE(5535)] = 183945,
  [SMALL_STATE(5536)] = 183965,
  [SMALL_STATE(5537)] = 183985,
  [SMALL_STATE(5538)] = 184005,
  [SMALL_STATE(5539)] = 184027,
  [SMALL_STATE(5540)] = 184047,
  [SMALL_STATE(5541)] = 184067,
  [SMALL_STATE(5542)] = 184087,
  [SMALL_STATE(5543)] = 184107,
  [SMALL_STATE(5544)] = 184129,
  [SMALL_STATE(5545)] = 184149,
  [SMALL_STATE(5546)] = 184169,
  [SMALL_STATE(5547)] = 184189,
  [SMALL_STATE(5548)] = 184211,
  [SMALL_STATE(5549)] = 184231,
  [SMALL_STATE(5550)] = 184251,
  [SMALL_STATE(5551)] = 184271,
  [SMALL_STATE(5552)] = 184293,
  [SMALL_STATE(5553)] = 184309,
  [SMALL_STATE(5554)] = 184327,
  [SMALL_STATE(5555)] = 184345,
  [SMALL_STATE(5556)] = 184367,
  [SMALL_STATE(5557)] = 184389,
  [SMALL_STATE(5558)] = 184411,
  [SMALL_STATE(5559)] = 184429,
  [SMALL_STATE(5560)] = 184449,
  [SMALL_STATE(5561)] = 184471,
  [SMALL_STATE(5562)] = 184493,
  [SMALL_STATE(5563)] = 184515,
  [SMALL_STATE(5564)] = 184535,
  [SMALL_STATE(5565)] = 184551,
  [SMALL_STATE(5566)] = 184571,
  [SMALL_STATE(5567)] = 184591,
  [SMALL_STATE(5568)] = 184613,
  [SMALL_STATE(5569)] = 184633,
  [SMALL_STATE(5570)] = 184653,
  [SMALL_STATE(5571)] = 184675,
  [SMALL_STATE(5572)] = 184697,
  [SMALL_STATE(5573)] = 184717,
  [SMALL_STATE(5574)] = 184737,
  [SMALL_STATE(5575)] = 184759,
  [SMALL_STATE(5576)] = 184781,
  [SMALL_STATE(5577)] = 184803,
  [SMALL_STATE(5578)] = 184823,
  [SMALL_STATE(5579)] = 184843,
  [SMALL_STATE(5580)] = 184863,
  [SMALL_STATE(5581)] = 184883,
  [SMALL_STATE(5582)] = 184903,
  [SMALL_STATE(5583)] = 184925,
  [SMALL_STATE(5584)] = 184945,
  [SMALL_STATE(5585)] = 184965,
  [SMALL_STATE(5586)] = 184985,
  [SMALL_STATE(5587)] = 185005,
  [SMALL_STATE(5588)] = 185025,
  [SMALL_STATE(5589)] = 185045,
  [SMALL_STATE(5590)] = 185065,
  [SMALL_STATE(5591)] = 185087,
  [SMALL_STATE(5592)] = 185109,
  [SMALL_STATE(5593)] = 185131,
  [SMALL_STATE(5594)] = 185149,
  [SMALL_STATE(5595)] = 185167,
  [SMALL_STATE(5596)] = 185187,
  [SMALL_STATE(5597)] = 185207,
  [SMALL_STATE(5598)] = 185229,
  [SMALL_STATE(5599)] = 185249,
  [SMALL_STATE(5600)] = 185271,
  [SMALL_STATE(5601)] = 185291,
  [SMALL_STATE(5602)] = 185307,
  [SMALL_STATE(5603)] = 185329,
  [SMALL_STATE(5604)] = 185349,
  [SMALL_STATE(5605)] = 185371,
  [SMALL_STATE(5606)] = 185393,
  [SMALL_STATE(5607)] = 185413,
  [SMALL_STATE(5608)] = 185435,
  [SMALL_STATE(5609)] = 185455,
  [SMALL_STATE(5610)] = 185475,
  [SMALL_STATE(5611)] = 185497,
  [SMALL_STATE(5612)] = 185513,
  [SMALL_STATE(5613)] = 185529,
  [SMALL_STATE(5614)] = 185551,
  [SMALL_STATE(5615)] = 185573,
  [SMALL_STATE(5616)] = 185593,
  [SMALL_STATE(5617)] = 185609,
  [SMALL_STATE(5618)] = 185631,
  [SMALL_STATE(5619)] = 185651,
  [SMALL_STATE(5620)] = 185671,
  [SMALL_STATE(5621)] = 185691,
  [SMALL_STATE(5622)] = 185711,
  [SMALL_STATE(5623)] = 185733,
  [SMALL_STATE(5624)] = 185753,
  [SMALL_STATE(5625)] = 185775,
  [SMALL_STATE(5626)] = 185797,
  [SMALL_STATE(5627)] = 185817,
  [SMALL_STATE(5628)] = 185839,
  [SMALL_STATE(5629)] = 185859,
  [SMALL_STATE(5630)] = 185879,
  [SMALL_STATE(5631)] = 185901,
  [SMALL_STATE(5632)] = 185923,
  [SMALL_STATE(5633)] = 185943,
  [SMALL_STATE(5634)] = 185963,
  [SMALL_STATE(5635)] = 185983,
  [SMALL_STATE(5636)] = 186003,
  [SMALL_STATE(5637)] = 186025,
  [SMALL_STATE(5638)] = 186047,
  [SMALL_STATE(5639)] = 186067,
  [SMALL_STATE(5640)] = 186087,
  [SMALL_STATE(5641)] = 186109,
  [SMALL_STATE(5642)] = 186129,
  [SMALL_STATE(5643)] = 186151,
  [SMALL_STATE(5644)] = 186173,
  [SMALL_STATE(5645)] = 186193,
  [SMALL_STATE(5646)] = 186213,
  [SMALL_STATE(5647)] = 186233,
  [SMALL_STATE(5648)] = 186255,
  [SMALL_STATE(5649)] = 186275,
  [SMALL_STATE(5650)] = 186295,
  [SMALL_STATE(5651)] = 186315,
  [SMALL_STATE(5652)] = 186335,
  [SMALL_STATE(5653)] = 186355,
  [SMALL_STATE(5654)] = 186375,
  [SMALL_STATE(5655)] = 186397,
  [SMALL_STATE(5656)] = 186417,
  [SMALL_STATE(5657)] = 186437,
  [SMALL_STATE(5658)] = 186459,
  [SMALL_STATE(5659)] = 186475,
  [SMALL_STATE(5660)] = 186497,
  [SMALL_STATE(5661)] = 186519,
  [SMALL_STATE(5662)] = 186539,
  [SMALL_STATE(5663)] = 186559,
  [SMALL_STATE(5664)] = 186577,
  [SMALL_STATE(5665)] = 186597,
  [SMALL_STATE(5666)] = 186617,
  [SMALL_STATE(5667)] = 186637,
  [SMALL_STATE(5668)] = 186657,
  [SMALL_STATE(5669)] = 186673,
  [SMALL_STATE(5670)] = 186689,
  [SMALL_STATE(5671)] = 186709,
  [SMALL_STATE(5672)] = 186728,
  [SMALL_STATE(5673)] = 186743,
  [SMALL_STATE(5674)] = 186758,
  [SMALL_STATE(5675)] = 186773,
  [SMALL_STATE(5676)] = 186790,
  [SMALL_STATE(5677)] = 186807,
  [SMALL_STATE(5678)] = 186822,
  [SMALL_STATE(5679)] = 186837,
  [SMALL_STATE(5680)] = 186852,
  [SMALL_STATE(5681)] = 186867,
  [SMALL_STATE(5682)] = 186882,
  [SMALL_STATE(5683)] = 186897,
  [SMALL_STATE(5684)] = 186912,
  [SMALL_STATE(5685)] = 186931,
  [SMALL_STATE(5686)] = 186950,
  [SMALL_STATE(5687)] = 186965,
  [SMALL_STATE(5688)] = 186984,
  [SMALL_STATE(5689)] = 187003,
  [SMALL_STATE(5690)] = 187018,
  [SMALL_STATE(5691)] = 187033,
  [SMALL_STATE(5692)] = 187048,
  [SMALL_STATE(5693)] = 187063,
  [SMALL_STATE(5694)] = 187082,
  [SMALL_STATE(5695)] = 187097,
  [SMALL_STATE(5696)] = 187112,
  [SMALL_STATE(5697)] = 187127,
  [SMALL_STATE(5698)] = 187142,
  [SMALL_STATE(5699)] = 187157,
  [SMALL_STATE(5700)] = 187172,
  [SMALL_STATE(5701)] = 187187,
  [SMALL_STATE(5702)] = 187206,
  [SMALL_STATE(5703)] = 187225,
  [SMALL_STATE(5704)] = 187244,
  [SMALL_STATE(5705)] = 187259,
  [SMALL_STATE(5706)] = 187274,
  [SMALL_STATE(5707)] = 187289,
  [SMALL_STATE(5708)] = 187304,
  [SMALL_STATE(5709)] = 187319,
  [SMALL_STATE(5710)] = 187334,
  [SMALL_STATE(5711)] = 187349,
  [SMALL_STATE(5712)] = 187364,
  [SMALL_STATE(5713)] = 187379,
  [SMALL_STATE(5714)] = 187394,
  [SMALL_STATE(5715)] = 187411,
  [SMALL_STATE(5716)] = 187426,
  [SMALL_STATE(5717)] = 187441,
  [SMALL_STATE(5718)] = 187456,
  [SMALL_STATE(5719)] = 187471,
  [SMALL_STATE(5720)] = 187490,
  [SMALL_STATE(5721)] = 187505,
  [SMALL_STATE(5722)] = 187520,
  [SMALL_STATE(5723)] = 187539,
  [SMALL_STATE(5724)] = 187558,
  [SMALL_STATE(5725)] = 187573,
  [SMALL_STATE(5726)] = 187592,
  [SMALL_STATE(5727)] = 187607,
  [SMALL_STATE(5728)] = 187626,
  [SMALL_STATE(5729)] = 187641,
  [SMALL_STATE(5730)] = 187660,
  [SMALL_STATE(5731)] = 187675,
  [SMALL_STATE(5732)] = 187690,
  [SMALL_STATE(5733)] = 187705,
  [SMALL_STATE(5734)] = 187720,
  [SMALL_STATE(5735)] = 187735,
  [SMALL_STATE(5736)] = 187754,
  [SMALL_STATE(5737)] = 187769,
  [SMALL_STATE(5738)] = 187788,
  [SMALL_STATE(5739)] = 187803,
  [SMALL_STATE(5740)] = 187818,
  [SMALL_STATE(5741)] = 187837,
  [SMALL_STATE(5742)] = 187852,
  [SMALL_STATE(5743)] = 187871,
  [SMALL_STATE(5744)] = 187890,
  [SMALL_STATE(5745)] = 187905,
  [SMALL_STATE(5746)] = 187920,
  [SMALL_STATE(5747)] = 187935,
  [SMALL_STATE(5748)] = 187950,
  [SMALL_STATE(5749)] = 187965,
  [SMALL_STATE(5750)] = 187980,
  [SMALL_STATE(5751)] = 187995,
  [SMALL_STATE(5752)] = 188014,
  [SMALL_STATE(5753)] = 188029,
  [SMALL_STATE(5754)] = 188044,
  [SMALL_STATE(5755)] = 188059,
  [SMALL_STATE(5756)] = 188074,
  [SMALL_STATE(5757)] = 188089,
  [SMALL_STATE(5758)] = 188104,
  [SMALL_STATE(5759)] = 188123,
  [SMALL_STATE(5760)] = 188138,
  [SMALL_STATE(5761)] = 188157,
  [SMALL_STATE(5762)] = 188172,
  [SMALL_STATE(5763)] = 188187,
  [SMALL_STATE(5764)] = 188206,
  [SMALL_STATE(5765)] = 188221,
  [SMALL_STATE(5766)] = 188236,
  [SMALL_STATE(5767)] = 188255,
  [SMALL_STATE(5768)] = 188270,
  [SMALL_STATE(5769)] = 188285,
  [SMALL_STATE(5770)] = 188300,
  [SMALL_STATE(5771)] = 188315,
  [SMALL_STATE(5772)] = 188330,
  [SMALL_STATE(5773)] = 188345,
  [SMALL_STATE(5774)] = 188360,
  [SMALL_STATE(5775)] = 188375,
  [SMALL_STATE(5776)] = 188390,
  [SMALL_STATE(5777)] = 188405,
  [SMALL_STATE(5778)] = 188420,
  [SMALL_STATE(5779)] = 188435,
  [SMALL_STATE(5780)] = 188450,
  [SMALL_STATE(5781)] = 188465,
  [SMALL_STATE(5782)] = 188480,
  [SMALL_STATE(5783)] = 188495,
  [SMALL_STATE(5784)] = 188510,
  [SMALL_STATE(5785)] = 188525,
  [SMALL_STATE(5786)] = 188540,
  [SMALL_STATE(5787)] = 188555,
  [SMALL_STATE(5788)] = 188570,
  [SMALL_STATE(5789)] = 188585,
  [SMALL_STATE(5790)] = 188600,
  [SMALL_STATE(5791)] = 188615,
  [SMALL_STATE(5792)] = 188634,
  [SMALL_STATE(5793)] = 188649,
  [SMALL_STATE(5794)] = 188666,
  [SMALL_STATE(5795)] = 188681,
  [SMALL_STATE(5796)] = 188696,
  [SMALL_STATE(5797)] = 188715,
  [SMALL_STATE(5798)] = 188730,
  [SMALL_STATE(5799)] = 188745,
  [SMALL_STATE(5800)] = 188760,
  [SMALL_STATE(5801)] = 188779,
  [SMALL_STATE(5802)] = 188798,
  [SMALL_STATE(5803)] = 188817,
  [SMALL_STATE(5804)] = 188832,
  [SMALL_STATE(5805)] = 188847,
  [SMALL_STATE(5806)] = 188862,
  [SMALL_STATE(5807)] = 188877,
  [SMALL_STATE(5808)] = 188892,
  [SMALL_STATE(5809)] = 188907,
  [SMALL_STATE(5810)] = 188922,
  [SMALL_STATE(5811)] = 188937,
  [SMALL_STATE(5812)] = 188952,
  [SMALL_STATE(5813)] = 188967,
  [SMALL_STATE(5814)] = 188982,
  [SMALL_STATE(5815)] = 188997,
  [SMALL_STATE(5816)] = 189012,
  [SMALL_STATE(5817)] = 189027,
  [SMALL_STATE(5818)] = 189042,
  [SMALL_STATE(5819)] = 189057,
  [SMALL_STATE(5820)] = 189072,
  [SMALL_STATE(5821)] = 189087,
  [SMALL_STATE(5822)] = 189102,
  [SMALL_STATE(5823)] = 189117,
  [SMALL_STATE(5824)] = 189132,
  [SMALL_STATE(5825)] = 189147,
  [SMALL_STATE(5826)] = 189166,
  [SMALL_STATE(5827)] = 189181,
  [SMALL_STATE(5828)] = 189196,
  [SMALL_STATE(5829)] = 189211,
  [SMALL_STATE(5830)] = 189226,
  [SMALL_STATE(5831)] = 189243,
  [SMALL_STATE(5832)] = 189258,
  [SMALL_STATE(5833)] = 189273,
  [SMALL_STATE(5834)] = 189288,
  [SMALL_STATE(5835)] = 189303,
  [SMALL_STATE(5836)] = 189318,
  [SMALL_STATE(5837)] = 189333,
  [SMALL_STATE(5838)] = 189350,
  [SMALL_STATE(5839)] = 189365,
  [SMALL_STATE(5840)] = 189380,
  [SMALL_STATE(5841)] = 189395,
  [SMALL_STATE(5842)] = 189410,
  [SMALL_STATE(5843)] = 189425,
  [SMALL_STATE(5844)] = 189440,
  [SMALL_STATE(5845)] = 189455,
  [SMALL_STATE(5846)] = 189470,
  [SMALL_STATE(5847)] = 189485,
  [SMALL_STATE(5848)] = 189500,
  [SMALL_STATE(5849)] = 189519,
  [SMALL_STATE(5850)] = 189534,
  [SMALL_STATE(5851)] = 189549,
  [SMALL_STATE(5852)] = 189564,
  [SMALL_STATE(5853)] = 189579,
  [SMALL_STATE(5854)] = 189594,
  [SMALL_STATE(5855)] = 189609,
  [SMALL_STATE(5856)] = 189624,
  [SMALL_STATE(5857)] = 189639,
  [SMALL_STATE(5858)] = 189654,
  [SMALL_STATE(5859)] = 189669,
  [SMALL_STATE(5860)] = 189684,
  [SMALL_STATE(5861)] = 189699,
  [SMALL_STATE(5862)] = 189714,
  [SMALL_STATE(5863)] = 189729,
  [SMALL_STATE(5864)] = 189744,
  [SMALL_STATE(5865)] = 189759,
  [SMALL_STATE(5866)] = 189774,
  [SMALL_STATE(5867)] = 189789,
  [SMALL_STATE(5868)] = 189804,
  [SMALL_STATE(5869)] = 189819,
  [SMALL_STATE(5870)] = 189838,
  [SMALL_STATE(5871)] = 189853,
  [SMALL_STATE(5872)] = 189868,
  [SMALL_STATE(5873)] = 189883,
  [SMALL_STATE(5874)] = 189898,
  [SMALL_STATE(5875)] = 189913,
  [SMALL_STATE(5876)] = 189928,
  [SMALL_STATE(5877)] = 189943,
  [SMALL_STATE(5878)] = 189958,
  [SMALL_STATE(5879)] = 189977,
  [SMALL_STATE(5880)] = 189992,
  [SMALL_STATE(5881)] = 190007,
  [SMALL_STATE(5882)] = 190022,
  [SMALL_STATE(5883)] = 190037,
  [SMALL_STATE(5884)] = 190052,
  [SMALL_STATE(5885)] = 190067,
  [SMALL_STATE(5886)] = 190082,
  [SMALL_STATE(5887)] = 190097,
  [SMALL_STATE(5888)] = 190112,
  [SMALL_STATE(5889)] = 190127,
  [SMALL_STATE(5890)] = 190142,
  [SMALL_STATE(5891)] = 190157,
  [SMALL_STATE(5892)] = 190176,
  [SMALL_STATE(5893)] = 190195,
  [SMALL_STATE(5894)] = 190210,
  [SMALL_STATE(5895)] = 190225,
  [SMALL_STATE(5896)] = 190240,
  [SMALL_STATE(5897)] = 190259,
  [SMALL_STATE(5898)] = 190274,
  [SMALL_STATE(5899)] = 190293,
  [SMALL_STATE(5900)] = 190312,
  [SMALL_STATE(5901)] = 190327,
  [SMALL_STATE(5902)] = 190342,
  [SMALL_STATE(5903)] = 190357,
  [SMALL_STATE(5904)] = 190372,
  [SMALL_STATE(5905)] = 190391,
  [SMALL_STATE(5906)] = 190406,
  [SMALL_STATE(5907)] = 190425,
  [SMALL_STATE(5908)] = 190440,
  [SMALL_STATE(5909)] = 190455,
  [SMALL_STATE(5910)] = 190470,
  [SMALL_STATE(5911)] = 190485,
  [SMALL_STATE(5912)] = 190500,
  [SMALL_STATE(5913)] = 190515,
  [SMALL_STATE(5914)] = 190534,
  [SMALL_STATE(5915)] = 190553,
  [SMALL_STATE(5916)] = 190568,
  [SMALL_STATE(5917)] = 190583,
  [SMALL_STATE(5918)] = 190598,
  [SMALL_STATE(5919)] = 190617,
  [SMALL_STATE(5920)] = 190632,
  [SMALL_STATE(5921)] = 190647,
  [SMALL_STATE(5922)] = 190666,
  [SMALL_STATE(5923)] = 190681,
  [SMALL_STATE(5924)] = 190700,
  [SMALL_STATE(5925)] = 190715,
  [SMALL_STATE(5926)] = 190734,
  [SMALL_STATE(5927)] = 190749,
  [SMALL_STATE(5928)] = 190764,
  [SMALL_STATE(5929)] = 190779,
  [SMALL_STATE(5930)] = 190798,
  [SMALL_STATE(5931)] = 190813,
  [SMALL_STATE(5932)] = 190828,
  [SMALL_STATE(5933)] = 190843,
  [SMALL_STATE(5934)] = 190862,
  [SMALL_STATE(5935)] = 190881,
  [SMALL_STATE(5936)] = 190896,
  [SMALL_STATE(5937)] = 190911,
  [SMALL_STATE(5938)] = 190926,
  [SMALL_STATE(5939)] = 190941,
  [SMALL_STATE(5940)] = 190956,
  [SMALL_STATE(5941)] = 190971,
  [SMALL_STATE(5942)] = 190986,
  [SMALL_STATE(5943)] = 191001,
  [SMALL_STATE(5944)] = 191016,
  [SMALL_STATE(5945)] = 191031,
  [SMALL_STATE(5946)] = 191046,
  [SMALL_STATE(5947)] = 191061,
  [SMALL_STATE(5948)] = 191078,
  [SMALL_STATE(5949)] = 191095,
  [SMALL_STATE(5950)] = 191110,
  [SMALL_STATE(5951)] = 191125,
  [SMALL_STATE(5952)] = 191144,
  [SMALL_STATE(5953)] = 191159,
  [SMALL_STATE(5954)] = 191174,
  [SMALL_STATE(5955)] = 191189,
  [SMALL_STATE(5956)] = 191204,
  [SMALL_STATE(5957)] = 191219,
  [SMALL_STATE(5958)] = 191234,
  [SMALL_STATE(5959)] = 191249,
  [SMALL_STATE(5960)] = 191264,
  [SMALL_STATE(5961)] = 191279,
  [SMALL_STATE(5962)] = 191294,
  [SMALL_STATE(5963)] = 191309,
  [SMALL_STATE(5964)] = 191324,
  [SMALL_STATE(5965)] = 191343,
  [SMALL_STATE(5966)] = 191358,
  [SMALL_STATE(5967)] = 191377,
  [SMALL_STATE(5968)] = 191392,
  [SMALL_STATE(5969)] = 191409,
  [SMALL_STATE(5970)] = 191428,
  [SMALL_STATE(5971)] = 191443,
  [SMALL_STATE(5972)] = 191458,
  [SMALL_STATE(5973)] = 191473,
  [SMALL_STATE(5974)] = 191488,
  [SMALL_STATE(5975)] = 191505,
  [SMALL_STATE(5976)] = 191524,
  [SMALL_STATE(5977)] = 191539,
  [SMALL_STATE(5978)] = 191554,
  [SMALL_STATE(5979)] = 191573,
  [SMALL_STATE(5980)] = 191592,
  [SMALL_STATE(5981)] = 191611,
  [SMALL_STATE(5982)] = 191630,
  [SMALL_STATE(5983)] = 191645,
  [SMALL_STATE(5984)] = 191662,
  [SMALL_STATE(5985)] = 191681,
  [SMALL_STATE(5986)] = 191696,
  [SMALL_STATE(5987)] = 191711,
  [SMALL_STATE(5988)] = 191730,
  [SMALL_STATE(5989)] = 191747,
  [SMALL_STATE(5990)] = 191762,
  [SMALL_STATE(5991)] = 191777,
  [SMALL_STATE(5992)] = 191796,
  [SMALL_STATE(5993)] = 191811,
  [SMALL_STATE(5994)] = 191830,
  [SMALL_STATE(5995)] = 191845,
  [SMALL_STATE(5996)] = 191860,
  [SMALL_STATE(5997)] = 191879,
  [SMALL_STATE(5998)] = 191894,
  [SMALL_STATE(5999)] = 191909,
  [SMALL_STATE(6000)] = 191924,
  [SMALL_STATE(6001)] = 191941,
  [SMALL_STATE(6002)] = 191956,
  [SMALL_STATE(6003)] = 191971,
  [SMALL_STATE(6004)] = 191986,
  [SMALL_STATE(6005)] = 192001,
  [SMALL_STATE(6006)] = 192018,
  [SMALL_STATE(6007)] = 192037,
  [SMALL_STATE(6008)] = 192056,
  [SMALL_STATE(6009)] = 192075,
  [SMALL_STATE(6010)] = 192094,
  [SMALL_STATE(6011)] = 192109,
  [SMALL_STATE(6012)] = 192128,
  [SMALL_STATE(6013)] = 192143,
  [SMALL_STATE(6014)] = 192162,
  [SMALL_STATE(6015)] = 192181,
  [SMALL_STATE(6016)] = 192200,
  [SMALL_STATE(6017)] = 192219,
  [SMALL_STATE(6018)] = 192238,
  [SMALL_STATE(6019)] = 192253,
  [SMALL_STATE(6020)] = 192270,
  [SMALL_STATE(6021)] = 192289,
  [SMALL_STATE(6022)] = 192304,
  [SMALL_STATE(6023)] = 192319,
  [SMALL_STATE(6024)] = 192338,
  [SMALL_STATE(6025)] = 192353,
  [SMALL_STATE(6026)] = 192372,
  [SMALL_STATE(6027)] = 192389,
  [SMALL_STATE(6028)] = 192408,
  [SMALL_STATE(6029)] = 192423,
  [SMALL_STATE(6030)] = 192438,
  [SMALL_STATE(6031)] = 192453,
  [SMALL_STATE(6032)] = 192472,
  [SMALL_STATE(6033)] = 192487,
  [SMALL_STATE(6034)] = 192506,
  [SMALL_STATE(6035)] = 192523,
  [SMALL_STATE(6036)] = 192538,
  [SMALL_STATE(6037)] = 192553,
  [SMALL_STATE(6038)] = 192568,
  [SMALL_STATE(6039)] = 192585,
  [SMALL_STATE(6040)] = 192604,
  [SMALL_STATE(6041)] = 192619,
  [SMALL_STATE(6042)] = 192634,
  [SMALL_STATE(6043)] = 192649,
  [SMALL_STATE(6044)] = 192664,
  [SMALL_STATE(6045)] = 192683,
  [SMALL_STATE(6046)] = 192698,
  [SMALL_STATE(6047)] = 192715,
  [SMALL_STATE(6048)] = 192734,
  [SMALL_STATE(6049)] = 192749,
  [SMALL_STATE(6050)] = 192768,
  [SMALL_STATE(6051)] = 192783,
  [SMALL_STATE(6052)] = 192798,
  [SMALL_STATE(6053)] = 192817,
  [SMALL_STATE(6054)] = 192836,
  [SMALL_STATE(6055)] = 192853,
  [SMALL_STATE(6056)] = 192872,
  [SMALL_STATE(6057)] = 192887,
  [SMALL_STATE(6058)] = 192902,
  [SMALL_STATE(6059)] = 192917,
  [SMALL_STATE(6060)] = 192936,
  [SMALL_STATE(6061)] = 192955,
  [SMALL_STATE(6062)] = 192970,
  [SMALL_STATE(6063)] = 192985,
  [SMALL_STATE(6064)] = 193002,
  [SMALL_STATE(6065)] = 193017,
  [SMALL_STATE(6066)] = 193036,
  [SMALL_STATE(6067)] = 193051,
  [SMALL_STATE(6068)] = 193070,
  [SMALL_STATE(6069)] = 193085,
  [SMALL_STATE(6070)] = 193104,
  [SMALL_STATE(6071)] = 193121,
  [SMALL_STATE(6072)] = 193136,
  [SMALL_STATE(6073)] = 193151,
  [SMALL_STATE(6074)] = 193166,
  [SMALL_STATE(6075)] = 193181,
  [SMALL_STATE(6076)] = 193200,
  [SMALL_STATE(6077)] = 193219,
  [SMALL_STATE(6078)] = 193234,
  [SMALL_STATE(6079)] = 193249,
  [SMALL_STATE(6080)] = 193264,
  [SMALL_STATE(6081)] = 193281,
  [SMALL_STATE(6082)] = 193296,
  [SMALL_STATE(6083)] = 193311,
  [SMALL_STATE(6084)] = 193330,
  [SMALL_STATE(6085)] = 193345,
  [SMALL_STATE(6086)] = 193362,
  [SMALL_STATE(6087)] = 193379,
  [SMALL_STATE(6088)] = 193394,
  [SMALL_STATE(6089)] = 193411,
  [SMALL_STATE(6090)] = 193426,
  [SMALL_STATE(6091)] = 193445,
  [SMALL_STATE(6092)] = 193460,
  [SMALL_STATE(6093)] = 193477,
  [SMALL_STATE(6094)] = 193492,
  [SMALL_STATE(6095)] = 193507,
  [SMALL_STATE(6096)] = 193524,
  [SMALL_STATE(6097)] = 193543,
  [SMALL_STATE(6098)] = 193562,
  [SMALL_STATE(6099)] = 193577,
  [SMALL_STATE(6100)] = 193596,
  [SMALL_STATE(6101)] = 193611,
  [SMALL_STATE(6102)] = 193626,
  [SMALL_STATE(6103)] = 193645,
  [SMALL_STATE(6104)] = 193660,
  [SMALL_STATE(6105)] = 193679,
  [SMALL_STATE(6106)] = 193698,
  [SMALL_STATE(6107)] = 193717,
  [SMALL_STATE(6108)] = 193736,
  [SMALL_STATE(6109)] = 193751,
  [SMALL_STATE(6110)] = 193766,
  [SMALL_STATE(6111)] = 193781,
  [SMALL_STATE(6112)] = 193800,
  [SMALL_STATE(6113)] = 193815,
  [SMALL_STATE(6114)] = 193832,
  [SMALL_STATE(6115)] = 193851,
  [SMALL_STATE(6116)] = 193870,
  [SMALL_STATE(6117)] = 193887,
  [SMALL_STATE(6118)] = 193904,
  [SMALL_STATE(6119)] = 193923,
  [SMALL_STATE(6120)] = 193940,
  [SMALL_STATE(6121)] = 193957,
  [SMALL_STATE(6122)] = 193974,
  [SMALL_STATE(6123)] = 193993,
  [SMALL_STATE(6124)] = 194012,
  [SMALL_STATE(6125)] = 194031,
  [SMALL_STATE(6126)] = 194048,
  [SMALL_STATE(6127)] = 194063,
  [SMALL_STATE(6128)] = 194082,
  [SMALL_STATE(6129)] = 194101,
  [SMALL_STATE(6130)] = 194120,
  [SMALL_STATE(6131)] = 194139,
  [SMALL_STATE(6132)] = 194156,
  [SMALL_STATE(6133)] = 194173,
  [SMALL_STATE(6134)] = 194188,
  [SMALL_STATE(6135)] = 194207,
  [SMALL_STATE(6136)] = 194222,
  [SMALL_STATE(6137)] = 194237,
  [SMALL_STATE(6138)] = 194254,
  [SMALL_STATE(6139)] = 194269,
  [SMALL_STATE(6140)] = 194288,
  [SMALL_STATE(6141)] = 194303,
  [SMALL_STATE(6142)] = 194318,
  [SMALL_STATE(6143)] = 194337,
  [SMALL_STATE(6144)] = 194354,
  [SMALL_STATE(6145)] = 194369,
  [SMALL_STATE(6146)] = 194384,
  [SMALL_STATE(6147)] = 194403,
  [SMALL_STATE(6148)] = 194422,
  [SMALL_STATE(6149)] = 194437,
  [SMALL_STATE(6150)] = 194452,
  [SMALL_STATE(6151)] = 194467,
  [SMALL_STATE(6152)] = 194484,
  [SMALL_STATE(6153)] = 194499,
  [SMALL_STATE(6154)] = 194516,
  [SMALL_STATE(6155)] = 194531,
  [SMALL_STATE(6156)] = 194546,
  [SMALL_STATE(6157)] = 194565,
  [SMALL_STATE(6158)] = 194582,
  [SMALL_STATE(6159)] = 194597,
  [SMALL_STATE(6160)] = 194614,
  [SMALL_STATE(6161)] = 194633,
  [SMALL_STATE(6162)] = 194652,
  [SMALL_STATE(6163)] = 194671,
  [SMALL_STATE(6164)] = 194690,
  [SMALL_STATE(6165)] = 194705,
  [SMALL_STATE(6166)] = 194724,
  [SMALL_STATE(6167)] = 194739,
  [SMALL_STATE(6168)] = 194754,
  [SMALL_STATE(6169)] = 194773,
  [SMALL_STATE(6170)] = 194792,
  [SMALL_STATE(6171)] = 194811,
  [SMALL_STATE(6172)] = 194826,
  [SMALL_STATE(6173)] = 194845,
  [SMALL_STATE(6174)] = 194864,
  [SMALL_STATE(6175)] = 194879,
  [SMALL_STATE(6176)] = 194898,
  [SMALL_STATE(6177)] = 194917,
  [SMALL_STATE(6178)] = 194936,
  [SMALL_STATE(6179)] = 194951,
  [SMALL_STATE(6180)] = 194970,
  [SMALL_STATE(6181)] = 194989,
  [SMALL_STATE(6182)] = 195008,
  [SMALL_STATE(6183)] = 195023,
  [SMALL_STATE(6184)] = 195042,
  [SMALL_STATE(6185)] = 195057,
  [SMALL_STATE(6186)] = 195072,
  [SMALL_STATE(6187)] = 195091,
  [SMALL_STATE(6188)] = 195108,
  [SMALL_STATE(6189)] = 195127,
  [SMALL_STATE(6190)] = 195142,
  [SMALL_STATE(6191)] = 195161,
  [SMALL_STATE(6192)] = 195178,
  [SMALL_STATE(6193)] = 195193,
  [SMALL_STATE(6194)] = 195208,
  [SMALL_STATE(6195)] = 195225,
  [SMALL_STATE(6196)] = 195242,
  [SMALL_STATE(6197)] = 195257,
  [SMALL_STATE(6198)] = 195276,
  [SMALL_STATE(6199)] = 195295,
  [SMALL_STATE(6200)] = 195314,
  [SMALL_STATE(6201)] = 195329,
  [SMALL_STATE(6202)] = 195344,
  [SMALL_STATE(6203)] = 195363,
  [SMALL_STATE(6204)] = 195378,
  [SMALL_STATE(6205)] = 195397,
  [SMALL_STATE(6206)] = 195416,
  [SMALL_STATE(6207)] = 195431,
  [SMALL_STATE(6208)] = 195450,
  [SMALL_STATE(6209)] = 195465,
  [SMALL_STATE(6210)] = 195484,
  [SMALL_STATE(6211)] = 195503,
  [SMALL_STATE(6212)] = 195522,
  [SMALL_STATE(6213)] = 195539,
  [SMALL_STATE(6214)] = 195554,
  [SMALL_STATE(6215)] = 195573,
  [SMALL_STATE(6216)] = 195588,
  [SMALL_STATE(6217)] = 195607,
  [SMALL_STATE(6218)] = 195622,
  [SMALL_STATE(6219)] = 195639,
  [SMALL_STATE(6220)] = 195654,
  [SMALL_STATE(6221)] = 195671,
  [SMALL_STATE(6222)] = 195686,
  [SMALL_STATE(6223)] = 195703,
  [SMALL_STATE(6224)] = 195722,
  [SMALL_STATE(6225)] = 195741,
  [SMALL_STATE(6226)] = 195760,
  [SMALL_STATE(6227)] = 195779,
  [SMALL_STATE(6228)] = 195798,
  [SMALL_STATE(6229)] = 195817,
  [SMALL_STATE(6230)] = 195832,
  [SMALL_STATE(6231)] = 195849,
  [SMALL_STATE(6232)] = 195866,
  [SMALL_STATE(6233)] = 195881,
  [SMALL_STATE(6234)] = 195900,
  [SMALL_STATE(6235)] = 195919,
  [SMALL_STATE(6236)] = 195938,
  [SMALL_STATE(6237)] = 195953,
  [SMALL_STATE(6238)] = 195972,
  [SMALL_STATE(6239)] = 195991,
  [SMALL_STATE(6240)] = 196006,
  [SMALL_STATE(6241)] = 196023,
  [SMALL_STATE(6242)] = 196038,
  [SMALL_STATE(6243)] = 196055,
  [SMALL_STATE(6244)] = 196070,
  [SMALL_STATE(6245)] = 196089,
  [SMALL_STATE(6246)] = 196104,
  [SMALL_STATE(6247)] = 196123,
  [SMALL_STATE(6248)] = 196138,
  [SMALL_STATE(6249)] = 196155,
  [SMALL_STATE(6250)] = 196174,
  [SMALL_STATE(6251)] = 196189,
  [SMALL_STATE(6252)] = 196204,
  [SMALL_STATE(6253)] = 196221,
  [SMALL_STATE(6254)] = 196236,
  [SMALL_STATE(6255)] = 196251,
  [SMALL_STATE(6256)] = 196266,
  [SMALL_STATE(6257)] = 196285,
  [SMALL_STATE(6258)] = 196304,
  [SMALL_STATE(6259)] = 196323,
  [SMALL_STATE(6260)] = 196338,
  [SMALL_STATE(6261)] = 196357,
  [SMALL_STATE(6262)] = 196372,
  [SMALL_STATE(6263)] = 196391,
  [SMALL_STATE(6264)] = 196410,
  [SMALL_STATE(6265)] = 196425,
  [SMALL_STATE(6266)] = 196444,
  [SMALL_STATE(6267)] = 196463,
  [SMALL_STATE(6268)] = 196478,
  [SMALL_STATE(6269)] = 196493,
  [SMALL_STATE(6270)] = 196512,
  [SMALL_STATE(6271)] = 196527,
  [SMALL_STATE(6272)] = 196542,
  [SMALL_STATE(6273)] = 196557,
  [SMALL_STATE(6274)] = 196576,
  [SMALL_STATE(6275)] = 196593,
  [SMALL_STATE(6276)] = 196610,
  [SMALL_STATE(6277)] = 196625,
  [SMALL_STATE(6278)] = 196644,
  [SMALL_STATE(6279)] = 196663,
  [SMALL_STATE(6280)] = 196682,
  [SMALL_STATE(6281)] = 196697,
  [SMALL_STATE(6282)] = 196716,
  [SMALL_STATE(6283)] = 196731,
  [SMALL_STATE(6284)] = 196750,
  [SMALL_STATE(6285)] = 196765,
  [SMALL_STATE(6286)] = 196784,
  [SMALL_STATE(6287)] = 196799,
  [SMALL_STATE(6288)] = 196818,
  [SMALL_STATE(6289)] = 196835,
  [SMALL_STATE(6290)] = 196854,
  [SMALL_STATE(6291)] = 196869,
  [SMALL_STATE(6292)] = 196888,
  [SMALL_STATE(6293)] = 196903,
  [SMALL_STATE(6294)] = 196918,
  [SMALL_STATE(6295)] = 196937,
  [SMALL_STATE(6296)] = 196954,
  [SMALL_STATE(6297)] = 196969,
  [SMALL_STATE(6298)] = 196984,
  [SMALL_STATE(6299)] = 197003,
  [SMALL_STATE(6300)] = 197022,
  [SMALL_STATE(6301)] = 197041,
  [SMALL_STATE(6302)] = 197056,
  [SMALL_STATE(6303)] = 197075,
  [SMALL_STATE(6304)] = 197090,
  [SMALL_STATE(6305)] = 197105,
  [SMALL_STATE(6306)] = 197120,
  [SMALL_STATE(6307)] = 197135,
  [SMALL_STATE(6308)] = 197154,
  [SMALL_STATE(6309)] = 197173,
  [SMALL_STATE(6310)] = 197188,
  [SMALL_STATE(6311)] = 197207,
  [SMALL_STATE(6312)] = 197226,
  [SMALL_STATE(6313)] = 197245,
  [SMALL_STATE(6314)] = 197260,
  [SMALL_STATE(6315)] = 197275,
  [SMALL_STATE(6316)] = 197294,
  [SMALL_STATE(6317)] = 197309,
  [SMALL_STATE(6318)] = 197328,
  [SMALL_STATE(6319)] = 197343,
  [SMALL_STATE(6320)] = 197358,
  [SMALL_STATE(6321)] = 197377,
  [SMALL_STATE(6322)] = 197392,
  [SMALL_STATE(6323)] = 197411,
  [SMALL_STATE(6324)] = 197430,
  [SMALL_STATE(6325)] = 197449,
  [SMALL_STATE(6326)] = 197464,
  [SMALL_STATE(6327)] = 197483,
  [SMALL_STATE(6328)] = 197500,
  [SMALL_STATE(6329)] = 197517,
  [SMALL_STATE(6330)] = 197534,
  [SMALL_STATE(6331)] = 197551,
  [SMALL_STATE(6332)] = 197568,
  [SMALL_STATE(6333)] = 197583,
  [SMALL_STATE(6334)] = 197600,
  [SMALL_STATE(6335)] = 197617,
  [SMALL_STATE(6336)] = 197634,
  [SMALL_STATE(6337)] = 197649,
  [SMALL_STATE(6338)] = 197664,
  [SMALL_STATE(6339)] = 197681,
  [SMALL_STATE(6340)] = 197696,
  [SMALL_STATE(6341)] = 197713,
  [SMALL_STATE(6342)] = 197728,
  [SMALL_STATE(6343)] = 197743,
  [SMALL_STATE(6344)] = 197760,
  [SMALL_STATE(6345)] = 197777,
  [SMALL_STATE(6346)] = 197796,
  [SMALL_STATE(6347)] = 197811,
  [SMALL_STATE(6348)] = 197830,
  [SMALL_STATE(6349)] = 197847,
  [SMALL_STATE(6350)] = 197866,
  [SMALL_STATE(6351)] = 197881,
  [SMALL_STATE(6352)] = 197900,
  [SMALL_STATE(6353)] = 197917,
  [SMALL_STATE(6354)] = 197936,
  [SMALL_STATE(6355)] = 197951,
  [SMALL_STATE(6356)] = 197970,
  [SMALL_STATE(6357)] = 197989,
  [SMALL_STATE(6358)] = 198004,
  [SMALL_STATE(6359)] = 198020,
  [SMALL_STATE(6360)] = 198034,
  [SMALL_STATE(6361)] = 198050,
  [SMALL_STATE(6362)] = 198066,
  [SMALL_STATE(6363)] = 198082,
  [SMALL_STATE(6364)] = 198098,
  [SMALL_STATE(6365)] = 198114,
  [SMALL_STATE(6366)] = 198130,
  [SMALL_STATE(6367)] = 198144,
  [SMALL_STATE(6368)] = 198160,
  [SMALL_STATE(6369)] = 198176,
  [SMALL_STATE(6370)] = 198192,
  [SMALL_STATE(6371)] = 198208,
  [SMALL_STATE(6372)] = 198224,
  [SMALL_STATE(6373)] = 198240,
  [SMALL_STATE(6374)] = 198256,
  [SMALL_STATE(6375)] = 198272,
  [SMALL_STATE(6376)] = 198288,
  [SMALL_STATE(6377)] = 198304,
  [SMALL_STATE(6378)] = 198320,
  [SMALL_STATE(6379)] = 198336,
  [SMALL_STATE(6380)] = 198352,
  [SMALL_STATE(6381)] = 198368,
  [SMALL_STATE(6382)] = 198382,
  [SMALL_STATE(6383)] = 198398,
  [SMALL_STATE(6384)] = 198414,
  [SMALL_STATE(6385)] = 198430,
  [SMALL_STATE(6386)] = 198446,
  [SMALL_STATE(6387)] = 198460,
  [SMALL_STATE(6388)] = 198476,
  [SMALL_STATE(6389)] = 198492,
  [SMALL_STATE(6390)] = 198508,
  [SMALL_STATE(6391)] = 198524,
  [SMALL_STATE(6392)] = 198538,
  [SMALL_STATE(6393)] = 198552,
  [SMALL_STATE(6394)] = 198568,
  [SMALL_STATE(6395)] = 198584,
  [SMALL_STATE(6396)] = 198600,
  [SMALL_STATE(6397)] = 198616,
  [SMALL_STATE(6398)] = 198630,
  [SMALL_STATE(6399)] = 198644,
  [SMALL_STATE(6400)] = 198660,
  [SMALL_STATE(6401)] = 198674,
  [SMALL_STATE(6402)] = 198690,
  [SMALL_STATE(6403)] = 198706,
  [SMALL_STATE(6404)] = 198722,
  [SMALL_STATE(6405)] = 198738,
  [SMALL_STATE(6406)] = 198754,
  [SMALL_STATE(6407)] = 198770,
  [SMALL_STATE(6408)] = 198786,
  [SMALL_STATE(6409)] = 198802,
  [SMALL_STATE(6410)] = 198818,
  [SMALL_STATE(6411)] = 198834,
  [SMALL_STATE(6412)] = 198850,
  [SMALL_STATE(6413)] = 198866,
  [SMALL_STATE(6414)] = 198882,
  [SMALL_STATE(6415)] = 198898,
  [SMALL_STATE(6416)] = 198914,
  [SMALL_STATE(6417)] = 198930,
  [SMALL_STATE(6418)] = 198944,
  [SMALL_STATE(6419)] = 198958,
  [SMALL_STATE(6420)] = 198974,
  [SMALL_STATE(6421)] = 198990,
  [SMALL_STATE(6422)] = 199006,
  [SMALL_STATE(6423)] = 199020,
  [SMALL_STATE(6424)] = 199034,
  [SMALL_STATE(6425)] = 199050,
  [SMALL_STATE(6426)] = 199066,
  [SMALL_STATE(6427)] = 199080,
  [SMALL_STATE(6428)] = 199096,
  [SMALL_STATE(6429)] = 199112,
  [SMALL_STATE(6430)] = 199128,
  [SMALL_STATE(6431)] = 199142,
  [SMALL_STATE(6432)] = 199156,
  [SMALL_STATE(6433)] = 199172,
  [SMALL_STATE(6434)] = 199186,
  [SMALL_STATE(6435)] = 199200,
  [SMALL_STATE(6436)] = 199216,
  [SMALL_STATE(6437)] = 199232,
  [SMALL_STATE(6438)] = 199248,
  [SMALL_STATE(6439)] = 199262,
  [SMALL_STATE(6440)] = 199278,
  [SMALL_STATE(6441)] = 199294,
  [SMALL_STATE(6442)] = 199310,
  [SMALL_STATE(6443)] = 199326,
  [SMALL_STATE(6444)] = 199342,
  [SMALL_STATE(6445)] = 199358,
  [SMALL_STATE(6446)] = 199374,
  [SMALL_STATE(6447)] = 199390,
  [SMALL_STATE(6448)] = 199406,
  [SMALL_STATE(6449)] = 199422,
  [SMALL_STATE(6450)] = 199436,
  [SMALL_STATE(6451)] = 199452,
  [SMALL_STATE(6452)] = 199468,
  [SMALL_STATE(6453)] = 199484,
  [SMALL_STATE(6454)] = 199498,
  [SMALL_STATE(6455)] = 199514,
  [SMALL_STATE(6456)] = 199530,
  [SMALL_STATE(6457)] = 199544,
  [SMALL_STATE(6458)] = 199560,
  [SMALL_STATE(6459)] = 199574,
  [SMALL_STATE(6460)] = 199590,
  [SMALL_STATE(6461)] = 199606,
  [SMALL_STATE(6462)] = 199622,
  [SMALL_STATE(6463)] = 199638,
  [SMALL_STATE(6464)] = 199654,
  [SMALL_STATE(6465)] = 199670,
  [SMALL_STATE(6466)] = 199686,
  [SMALL_STATE(6467)] = 199700,
  [SMALL_STATE(6468)] = 199714,
  [SMALL_STATE(6469)] = 199730,
  [SMALL_STATE(6470)] = 199744,
  [SMALL_STATE(6471)] = 199760,
  [SMALL_STATE(6472)] = 199776,
  [SMALL_STATE(6473)] = 199790,
  [SMALL_STATE(6474)] = 199806,
  [SMALL_STATE(6475)] = 199822,
  [SMALL_STATE(6476)] = 199836,
  [SMALL_STATE(6477)] = 199852,
  [SMALL_STATE(6478)] = 199868,
  [SMALL_STATE(6479)] = 199884,
  [SMALL_STATE(6480)] = 199898,
  [SMALL_STATE(6481)] = 199914,
  [SMALL_STATE(6482)] = 199930,
  [SMALL_STATE(6483)] = 199944,
  [SMALL_STATE(6484)] = 199960,
  [SMALL_STATE(6485)] = 199974,
  [SMALL_STATE(6486)] = 199990,
  [SMALL_STATE(6487)] = 200006,
  [SMALL_STATE(6488)] = 200022,
  [SMALL_STATE(6489)] = 200036,
  [SMALL_STATE(6490)] = 200050,
  [SMALL_STATE(6491)] = 200064,
  [SMALL_STATE(6492)] = 200080,
  [SMALL_STATE(6493)] = 200094,
  [SMALL_STATE(6494)] = 200108,
  [SMALL_STATE(6495)] = 200122,
  [SMALL_STATE(6496)] = 200136,
  [SMALL_STATE(6497)] = 200150,
  [SMALL_STATE(6498)] = 200164,
  [SMALL_STATE(6499)] = 200178,
  [SMALL_STATE(6500)] = 200192,
  [SMALL_STATE(6501)] = 200206,
  [SMALL_STATE(6502)] = 200220,
  [SMALL_STATE(6503)] = 200236,
  [SMALL_STATE(6504)] = 200252,
  [SMALL_STATE(6505)] = 200268,
  [SMALL_STATE(6506)] = 200284,
  [SMALL_STATE(6507)] = 200298,
  [SMALL_STATE(6508)] = 200312,
  [SMALL_STATE(6509)] = 200326,
  [SMALL_STATE(6510)] = 200342,
  [SMALL_STATE(6511)] = 200356,
  [SMALL_STATE(6512)] = 200372,
  [SMALL_STATE(6513)] = 200386,
  [SMALL_STATE(6514)] = 200400,
  [SMALL_STATE(6515)] = 200414,
  [SMALL_STATE(6516)] = 200428,
  [SMALL_STATE(6517)] = 200444,
  [SMALL_STATE(6518)] = 200460,
  [SMALL_STATE(6519)] = 200476,
  [SMALL_STATE(6520)] = 200492,
  [SMALL_STATE(6521)] = 200508,
  [SMALL_STATE(6522)] = 200524,
  [SMALL_STATE(6523)] = 200540,
  [SMALL_STATE(6524)] = 200556,
  [SMALL_STATE(6525)] = 200570,
  [SMALL_STATE(6526)] = 200586,
  [SMALL_STATE(6527)] = 200600,
  [SMALL_STATE(6528)] = 200616,
  [SMALL_STATE(6529)] = 200632,
  [SMALL_STATE(6530)] = 200646,
  [SMALL_STATE(6531)] = 200660,
  [SMALL_STATE(6532)] = 200676,
  [SMALL_STATE(6533)] = 200690,
  [SMALL_STATE(6534)] = 200706,
  [SMALL_STATE(6535)] = 200722,
  [SMALL_STATE(6536)] = 200738,
  [SMALL_STATE(6537)] = 200754,
  [SMALL_STATE(6538)] = 200770,
  [SMALL_STATE(6539)] = 200784,
  [SMALL_STATE(6540)] = 200800,
  [SMALL_STATE(6541)] = 200816,
  [SMALL_STATE(6542)] = 200832,
  [SMALL_STATE(6543)] = 200848,
  [SMALL_STATE(6544)] = 200862,
  [SMALL_STATE(6545)] = 200876,
  [SMALL_STATE(6546)] = 200890,
  [SMALL_STATE(6547)] = 200904,
  [SMALL_STATE(6548)] = 200918,
  [SMALL_STATE(6549)] = 200934,
  [SMALL_STATE(6550)] = 200950,
  [SMALL_STATE(6551)] = 200966,
  [SMALL_STATE(6552)] = 200982,
  [SMALL_STATE(6553)] = 200998,
  [SMALL_STATE(6554)] = 201014,
  [SMALL_STATE(6555)] = 201028,
  [SMALL_STATE(6556)] = 201044,
  [SMALL_STATE(6557)] = 201058,
  [SMALL_STATE(6558)] = 201074,
  [SMALL_STATE(6559)] = 201090,
  [SMALL_STATE(6560)] = 201106,
  [SMALL_STATE(6561)] = 201122,
  [SMALL_STATE(6562)] = 201136,
  [SMALL_STATE(6563)] = 201152,
  [SMALL_STATE(6564)] = 201168,
  [SMALL_STATE(6565)] = 201182,
  [SMALL_STATE(6566)] = 201196,
  [SMALL_STATE(6567)] = 201212,
  [SMALL_STATE(6568)] = 201228,
  [SMALL_STATE(6569)] = 201244,
  [SMALL_STATE(6570)] = 201260,
  [SMALL_STATE(6571)] = 201276,
  [SMALL_STATE(6572)] = 201292,
  [SMALL_STATE(6573)] = 201308,
  [SMALL_STATE(6574)] = 201324,
  [SMALL_STATE(6575)] = 201338,
  [SMALL_STATE(6576)] = 201354,
  [SMALL_STATE(6577)] = 201370,
  [SMALL_STATE(6578)] = 201384,
  [SMALL_STATE(6579)] = 201400,
  [SMALL_STATE(6580)] = 201416,
  [SMALL_STATE(6581)] = 201432,
  [SMALL_STATE(6582)] = 201448,
  [SMALL_STATE(6583)] = 201464,
  [SMALL_STATE(6584)] = 201480,
  [SMALL_STATE(6585)] = 201496,
  [SMALL_STATE(6586)] = 201512,
  [SMALL_STATE(6587)] = 201528,
  [SMALL_STATE(6588)] = 201544,
  [SMALL_STATE(6589)] = 201558,
  [SMALL_STATE(6590)] = 201572,
  [SMALL_STATE(6591)] = 201586,
  [SMALL_STATE(6592)] = 201602,
  [SMALL_STATE(6593)] = 201616,
  [SMALL_STATE(6594)] = 201632,
  [SMALL_STATE(6595)] = 201648,
  [SMALL_STATE(6596)] = 201662,
  [SMALL_STATE(6597)] = 201676,
  [SMALL_STATE(6598)] = 201692,
  [SMALL_STATE(6599)] = 201708,
  [SMALL_STATE(6600)] = 201724,
  [SMALL_STATE(6601)] = 201740,
  [SMALL_STATE(6602)] = 201756,
  [SMALL_STATE(6603)] = 201772,
  [SMALL_STATE(6604)] = 201788,
  [SMALL_STATE(6605)] = 201804,
  [SMALL_STATE(6606)] = 201820,
  [SMALL_STATE(6607)] = 201836,
  [SMALL_STATE(6608)] = 201852,
  [SMALL_STATE(6609)] = 201868,
  [SMALL_STATE(6610)] = 201884,
  [SMALL_STATE(6611)] = 201900,
  [SMALL_STATE(6612)] = 201916,
  [SMALL_STATE(6613)] = 201930,
  [SMALL_STATE(6614)] = 201944,
  [SMALL_STATE(6615)] = 201958,
  [SMALL_STATE(6616)] = 201972,
  [SMALL_STATE(6617)] = 201986,
  [SMALL_STATE(6618)] = 202002,
  [SMALL_STATE(6619)] = 202018,
  [SMALL_STATE(6620)] = 202032,
  [SMALL_STATE(6621)] = 202046,
  [SMALL_STATE(6622)] = 202062,
  [SMALL_STATE(6623)] = 202076,
  [SMALL_STATE(6624)] = 202092,
  [SMALL_STATE(6625)] = 202108,
  [SMALL_STATE(6626)] = 202122,
  [SMALL_STATE(6627)] = 202138,
  [SMALL_STATE(6628)] = 202154,
  [SMALL_STATE(6629)] = 202168,
  [SMALL_STATE(6630)] = 202184,
  [SMALL_STATE(6631)] = 202200,
  [SMALL_STATE(6632)] = 202216,
  [SMALL_STATE(6633)] = 202232,
  [SMALL_STATE(6634)] = 202246,
  [SMALL_STATE(6635)] = 202262,
  [SMALL_STATE(6636)] = 202276,
  [SMALL_STATE(6637)] = 202290,
  [SMALL_STATE(6638)] = 202306,
  [SMALL_STATE(6639)] = 202320,
  [SMALL_STATE(6640)] = 202336,
  [SMALL_STATE(6641)] = 202350,
  [SMALL_STATE(6642)] = 202364,
  [SMALL_STATE(6643)] = 202378,
  [SMALL_STATE(6644)] = 202394,
  [SMALL_STATE(6645)] = 202410,
  [SMALL_STATE(6646)] = 202424,
  [SMALL_STATE(6647)] = 202438,
  [SMALL_STATE(6648)] = 202452,
  [SMALL_STATE(6649)] = 202466,
  [SMALL_STATE(6650)] = 202480,
  [SMALL_STATE(6651)] = 202494,
  [SMALL_STATE(6652)] = 202508,
  [SMALL_STATE(6653)] = 202522,
  [SMALL_STATE(6654)] = 202538,
  [SMALL_STATE(6655)] = 202552,
  [SMALL_STATE(6656)] = 202568,
  [SMALL_STATE(6657)] = 202582,
  [SMALL_STATE(6658)] = 202598,
  [SMALL_STATE(6659)] = 202612,
  [SMALL_STATE(6660)] = 202626,
  [SMALL_STATE(6661)] = 202640,
  [SMALL_STATE(6662)] = 202656,
  [SMALL_STATE(6663)] = 202672,
  [SMALL_STATE(6664)] = 202688,
  [SMALL_STATE(6665)] = 202702,
  [SMALL_STATE(6666)] = 202718,
  [SMALL_STATE(6667)] = 202732,
  [SMALL_STATE(6668)] = 202748,
  [SMALL_STATE(6669)] = 202764,
  [SMALL_STATE(6670)] = 202778,
  [SMALL_STATE(6671)] = 202794,
  [SMALL_STATE(6672)] = 202808,
  [SMALL_STATE(6673)] = 202824,
  [SMALL_STATE(6674)] = 202840,
  [SMALL_STATE(6675)] = 202856,
  [SMALL_STATE(6676)] = 202872,
  [SMALL_STATE(6677)] = 202886,
  [SMALL_STATE(6678)] = 202902,
  [SMALL_STATE(6679)] = 202916,
  [SMALL_STATE(6680)] = 202932,
  [SMALL_STATE(6681)] = 202948,
  [SMALL_STATE(6682)] = 202962,
  [SMALL_STATE(6683)] = 202978,
  [SMALL_STATE(6684)] = 202992,
  [SMALL_STATE(6685)] = 203006,
  [SMALL_STATE(6686)] = 203020,
  [SMALL_STATE(6687)] = 203036,
  [SMALL_STATE(6688)] = 203050,
  [SMALL_STATE(6689)] = 203064,
  [SMALL_STATE(6690)] = 203080,
  [SMALL_STATE(6691)] = 203096,
  [SMALL_STATE(6692)] = 203110,
  [SMALL_STATE(6693)] = 203126,
  [SMALL_STATE(6694)] = 203142,
  [SMALL_STATE(6695)] = 203158,
  [SMALL_STATE(6696)] = 203174,
  [SMALL_STATE(6697)] = 203190,
  [SMALL_STATE(6698)] = 203206,
  [SMALL_STATE(6699)] = 203220,
  [SMALL_STATE(6700)] = 203236,
  [SMALL_STATE(6701)] = 203250,
  [SMALL_STATE(6702)] = 203266,
  [SMALL_STATE(6703)] = 203280,
  [SMALL_STATE(6704)] = 203296,
  [SMALL_STATE(6705)] = 203310,
  [SMALL_STATE(6706)] = 203326,
  [SMALL_STATE(6707)] = 203340,
  [SMALL_STATE(6708)] = 203354,
  [SMALL_STATE(6709)] = 203368,
  [SMALL_STATE(6710)] = 203384,
  [SMALL_STATE(6711)] = 203400,
  [SMALL_STATE(6712)] = 203414,
  [SMALL_STATE(6713)] = 203430,
  [SMALL_STATE(6714)] = 203444,
  [SMALL_STATE(6715)] = 203460,
  [SMALL_STATE(6716)] = 203476,
  [SMALL_STATE(6717)] = 203492,
  [SMALL_STATE(6718)] = 203508,
  [SMALL_STATE(6719)] = 203522,
  [SMALL_STATE(6720)] = 203538,
  [SMALL_STATE(6721)] = 203554,
  [SMALL_STATE(6722)] = 203570,
  [SMALL_STATE(6723)] = 203586,
  [SMALL_STATE(6724)] = 203602,
  [SMALL_STATE(6725)] = 203618,
  [SMALL_STATE(6726)] = 203634,
  [SMALL_STATE(6727)] = 203650,
  [SMALL_STATE(6728)] = 203666,
  [SMALL_STATE(6729)] = 203682,
  [SMALL_STATE(6730)] = 203698,
  [SMALL_STATE(6731)] = 203714,
  [SMALL_STATE(6732)] = 203728,
  [SMALL_STATE(6733)] = 203744,
  [SMALL_STATE(6734)] = 203758,
  [SMALL_STATE(6735)] = 203774,
  [SMALL_STATE(6736)] = 203788,
  [SMALL_STATE(6737)] = 203804,
  [SMALL_STATE(6738)] = 203820,
  [SMALL_STATE(6739)] = 203836,
  [SMALL_STATE(6740)] = 203852,
  [SMALL_STATE(6741)] = 203866,
  [SMALL_STATE(6742)] = 203882,
  [SMALL_STATE(6743)] = 203898,
  [SMALL_STATE(6744)] = 203914,
  [SMALL_STATE(6745)] = 203930,
  [SMALL_STATE(6746)] = 203946,
  [SMALL_STATE(6747)] = 203960,
  [SMALL_STATE(6748)] = 203974,
  [SMALL_STATE(6749)] = 203988,
  [SMALL_STATE(6750)] = 204002,
  [SMALL_STATE(6751)] = 204016,
  [SMALL_STATE(6752)] = 204032,
  [SMALL_STATE(6753)] = 204048,
  [SMALL_STATE(6754)] = 204064,
  [SMALL_STATE(6755)] = 204080,
  [SMALL_STATE(6756)] = 204094,
  [SMALL_STATE(6757)] = 204110,
  [SMALL_STATE(6758)] = 204124,
  [SMALL_STATE(6759)] = 204140,
  [SMALL_STATE(6760)] = 204156,
  [SMALL_STATE(6761)] = 204172,
  [SMALL_STATE(6762)] = 204186,
  [SMALL_STATE(6763)] = 204202,
  [SMALL_STATE(6764)] = 204218,
  [SMALL_STATE(6765)] = 204234,
  [SMALL_STATE(6766)] = 204250,
  [SMALL_STATE(6767)] = 204264,
  [SMALL_STATE(6768)] = 204280,
  [SMALL_STATE(6769)] = 204296,
  [SMALL_STATE(6770)] = 204312,
  [SMALL_STATE(6771)] = 204326,
  [SMALL_STATE(6772)] = 204342,
  [SMALL_STATE(6773)] = 204358,
  [SMALL_STATE(6774)] = 204374,
  [SMALL_STATE(6775)] = 204390,
  [SMALL_STATE(6776)] = 204404,
  [SMALL_STATE(6777)] = 204418,
  [SMALL_STATE(6778)] = 204432,
  [SMALL_STATE(6779)] = 204446,
  [SMALL_STATE(6780)] = 204462,
  [SMALL_STATE(6781)] = 204476,
  [SMALL_STATE(6782)] = 204490,
  [SMALL_STATE(6783)] = 204506,
  [SMALL_STATE(6784)] = 204520,
  [SMALL_STATE(6785)] = 204534,
  [SMALL_STATE(6786)] = 204548,
  [SMALL_STATE(6787)] = 204564,
  [SMALL_STATE(6788)] = 204580,
  [SMALL_STATE(6789)] = 204596,
  [SMALL_STATE(6790)] = 204610,
  [SMALL_STATE(6791)] = 204626,
  [SMALL_STATE(6792)] = 204642,
  [SMALL_STATE(6793)] = 204658,
  [SMALL_STATE(6794)] = 204672,
  [SMALL_STATE(6795)] = 204686,
  [SMALL_STATE(6796)] = 204702,
  [SMALL_STATE(6797)] = 204718,
  [SMALL_STATE(6798)] = 204734,
  [SMALL_STATE(6799)] = 204750,
  [SMALL_STATE(6800)] = 204764,
  [SMALL_STATE(6801)] = 204780,
  [SMALL_STATE(6802)] = 204796,
  [SMALL_STATE(6803)] = 204810,
  [SMALL_STATE(6804)] = 204824,
  [SMALL_STATE(6805)] = 204840,
  [SMALL_STATE(6806)] = 204854,
  [SMALL_STATE(6807)] = 204868,
  [SMALL_STATE(6808)] = 204882,
  [SMALL_STATE(6809)] = 204896,
  [SMALL_STATE(6810)] = 204912,
  [SMALL_STATE(6811)] = 204926,
  [SMALL_STATE(6812)] = 204942,
  [SMALL_STATE(6813)] = 204958,
  [SMALL_STATE(6814)] = 204972,
  [SMALL_STATE(6815)] = 204986,
  [SMALL_STATE(6816)] = 205000,
  [SMALL_STATE(6817)] = 205014,
  [SMALL_STATE(6818)] = 205028,
  [SMALL_STATE(6819)] = 205042,
  [SMALL_STATE(6820)] = 205058,
  [SMALL_STATE(6821)] = 205074,
  [SMALL_STATE(6822)] = 205088,
  [SMALL_STATE(6823)] = 205104,
  [SMALL_STATE(6824)] = 205118,
  [SMALL_STATE(6825)] = 205132,
  [SMALL_STATE(6826)] = 205146,
  [SMALL_STATE(6827)] = 205162,
  [SMALL_STATE(6828)] = 205176,
  [SMALL_STATE(6829)] = 205192,
  [SMALL_STATE(6830)] = 205208,
  [SMALL_STATE(6831)] = 205224,
  [SMALL_STATE(6832)] = 205240,
  [SMALL_STATE(6833)] = 205256,
  [SMALL_STATE(6834)] = 205270,
  [SMALL_STATE(6835)] = 205284,
  [SMALL_STATE(6836)] = 205300,
  [SMALL_STATE(6837)] = 205316,
  [SMALL_STATE(6838)] = 205332,
  [SMALL_STATE(6839)] = 205348,
  [SMALL_STATE(6840)] = 205362,
  [SMALL_STATE(6841)] = 205378,
  [SMALL_STATE(6842)] = 205392,
  [SMALL_STATE(6843)] = 205406,
  [SMALL_STATE(6844)] = 205422,
  [SMALL_STATE(6845)] = 205438,
  [SMALL_STATE(6846)] = 205452,
  [SMALL_STATE(6847)] = 205468,
  [SMALL_STATE(6848)] = 205482,
  [SMALL_STATE(6849)] = 205498,
  [SMALL_STATE(6850)] = 205512,
  [SMALL_STATE(6851)] = 205526,
  [SMALL_STATE(6852)] = 205540,
  [SMALL_STATE(6853)] = 205554,
  [SMALL_STATE(6854)] = 205568,
  [SMALL_STATE(6855)] = 205584,
  [SMALL_STATE(6856)] = 205600,
  [SMALL_STATE(6857)] = 205614,
  [SMALL_STATE(6858)] = 205630,
  [SMALL_STATE(6859)] = 205646,
  [SMALL_STATE(6860)] = 205660,
  [SMALL_STATE(6861)] = 205674,
  [SMALL_STATE(6862)] = 205688,
  [SMALL_STATE(6863)] = 205704,
  [SMALL_STATE(6864)] = 205718,
  [SMALL_STATE(6865)] = 205734,
  [SMALL_STATE(6866)] = 205750,
  [SMALL_STATE(6867)] = 205764,
  [SMALL_STATE(6868)] = 205778,
  [SMALL_STATE(6869)] = 205792,
  [SMALL_STATE(6870)] = 205806,
  [SMALL_STATE(6871)] = 205822,
  [SMALL_STATE(6872)] = 205836,
  [SMALL_STATE(6873)] = 205852,
  [SMALL_STATE(6874)] = 205866,
  [SMALL_STATE(6875)] = 205880,
  [SMALL_STATE(6876)] = 205896,
  [SMALL_STATE(6877)] = 205910,
  [SMALL_STATE(6878)] = 205924,
  [SMALL_STATE(6879)] = 205938,
  [SMALL_STATE(6880)] = 205952,
  [SMALL_STATE(6881)] = 205968,
  [SMALL_STATE(6882)] = 205982,
  [SMALL_STATE(6883)] = 205996,
  [SMALL_STATE(6884)] = 206010,
  [SMALL_STATE(6885)] = 206024,
  [SMALL_STATE(6886)] = 206038,
  [SMALL_STATE(6887)] = 206054,
  [SMALL_STATE(6888)] = 206070,
  [SMALL_STATE(6889)] = 206086,
  [SMALL_STATE(6890)] = 206102,
  [SMALL_STATE(6891)] = 206116,
  [SMALL_STATE(6892)] = 206132,
  [SMALL_STATE(6893)] = 206146,
  [SMALL_STATE(6894)] = 206162,
  [SMALL_STATE(6895)] = 206176,
  [SMALL_STATE(6896)] = 206190,
  [SMALL_STATE(6897)] = 206206,
  [SMALL_STATE(6898)] = 206220,
  [SMALL_STATE(6899)] = 206236,
  [SMALL_STATE(6900)] = 206252,
  [SMALL_STATE(6901)] = 206266,
  [SMALL_STATE(6902)] = 206280,
  [SMALL_STATE(6903)] = 206296,
  [SMALL_STATE(6904)] = 206310,
  [SMALL_STATE(6905)] = 206324,
  [SMALL_STATE(6906)] = 206338,
  [SMALL_STATE(6907)] = 206352,
  [SMALL_STATE(6908)] = 206366,
  [SMALL_STATE(6909)] = 206382,
  [SMALL_STATE(6910)] = 206398,
  [SMALL_STATE(6911)] = 206412,
  [SMALL_STATE(6912)] = 206426,
  [SMALL_STATE(6913)] = 206442,
  [SMALL_STATE(6914)] = 206456,
  [SMALL_STATE(6915)] = 206470,
  [SMALL_STATE(6916)] = 206484,
  [SMALL_STATE(6917)] = 206498,
  [SMALL_STATE(6918)] = 206512,
  [SMALL_STATE(6919)] = 206528,
  [SMALL_STATE(6920)] = 206544,
  [SMALL_STATE(6921)] = 206558,
  [SMALL_STATE(6922)] = 206572,
  [SMALL_STATE(6923)] = 206586,
  [SMALL_STATE(6924)] = 206600,
  [SMALL_STATE(6925)] = 206614,
  [SMALL_STATE(6926)] = 206628,
  [SMALL_STATE(6927)] = 206642,
  [SMALL_STATE(6928)] = 206658,
  [SMALL_STATE(6929)] = 206672,
  [SMALL_STATE(6930)] = 206686,
  [SMALL_STATE(6931)] = 206700,
  [SMALL_STATE(6932)] = 206716,
  [SMALL_STATE(6933)] = 206730,
  [SMALL_STATE(6934)] = 206746,
  [SMALL_STATE(6935)] = 206760,
  [SMALL_STATE(6936)] = 206776,
  [SMALL_STATE(6937)] = 206792,
  [SMALL_STATE(6938)] = 206806,
  [SMALL_STATE(6939)] = 206820,
  [SMALL_STATE(6940)] = 206836,
  [SMALL_STATE(6941)] = 206852,
  [SMALL_STATE(6942)] = 206866,
  [SMALL_STATE(6943)] = 206880,
  [SMALL_STATE(6944)] = 206896,
  [SMALL_STATE(6945)] = 206910,
  [SMALL_STATE(6946)] = 206926,
  [SMALL_STATE(6947)] = 206940,
  [SMALL_STATE(6948)] = 206954,
  [SMALL_STATE(6949)] = 206970,
  [SMALL_STATE(6950)] = 206986,
  [SMALL_STATE(6951)] = 207002,
  [SMALL_STATE(6952)] = 207018,
  [SMALL_STATE(6953)] = 207034,
  [SMALL_STATE(6954)] = 207048,
  [SMALL_STATE(6955)] = 207064,
  [SMALL_STATE(6956)] = 207080,
  [SMALL_STATE(6957)] = 207094,
  [SMALL_STATE(6958)] = 207110,
  [SMALL_STATE(6959)] = 207124,
  [SMALL_STATE(6960)] = 207140,
  [SMALL_STATE(6961)] = 207154,
  [SMALL_STATE(6962)] = 207168,
  [SMALL_STATE(6963)] = 207182,
  [SMALL_STATE(6964)] = 207198,
  [SMALL_STATE(6965)] = 207214,
  [SMALL_STATE(6966)] = 207228,
  [SMALL_STATE(6967)] = 207244,
  [SMALL_STATE(6968)] = 207258,
  [SMALL_STATE(6969)] = 207274,
  [SMALL_STATE(6970)] = 207288,
  [SMALL_STATE(6971)] = 207304,
  [SMALL_STATE(6972)] = 207320,
  [SMALL_STATE(6973)] = 207336,
  [SMALL_STATE(6974)] = 207350,
  [SMALL_STATE(6975)] = 207366,
  [SMALL_STATE(6976)] = 207382,
  [SMALL_STATE(6977)] = 207396,
  [SMALL_STATE(6978)] = 207412,
  [SMALL_STATE(6979)] = 207428,
  [SMALL_STATE(6980)] = 207444,
  [SMALL_STATE(6981)] = 207460,
  [SMALL_STATE(6982)] = 207474,
  [SMALL_STATE(6983)] = 207490,
  [SMALL_STATE(6984)] = 207506,
  [SMALL_STATE(6985)] = 207522,
  [SMALL_STATE(6986)] = 207536,
  [SMALL_STATE(6987)] = 207552,
  [SMALL_STATE(6988)] = 207568,
  [SMALL_STATE(6989)] = 207584,
  [SMALL_STATE(6990)] = 207600,
  [SMALL_STATE(6991)] = 207616,
  [SMALL_STATE(6992)] = 207632,
  [SMALL_STATE(6993)] = 207648,
  [SMALL_STATE(6994)] = 207664,
  [SMALL_STATE(6995)] = 207680,
  [SMALL_STATE(6996)] = 207696,
  [SMALL_STATE(6997)] = 207712,
  [SMALL_STATE(6998)] = 207726,
  [SMALL_STATE(6999)] = 207742,
  [SMALL_STATE(7000)] = 207758,
  [SMALL_STATE(7001)] = 207774,
  [SMALL_STATE(7002)] = 207788,
  [SMALL_STATE(7003)] = 207802,
  [SMALL_STATE(7004)] = 207818,
  [SMALL_STATE(7005)] = 207834,
  [SMALL_STATE(7006)] = 207850,
  [SMALL_STATE(7007)] = 207866,
  [SMALL_STATE(7008)] = 207880,
  [SMALL_STATE(7009)] = 207896,
  [SMALL_STATE(7010)] = 207910,
  [SMALL_STATE(7011)] = 207926,
  [SMALL_STATE(7012)] = 207942,
  [SMALL_STATE(7013)] = 207958,
  [SMALL_STATE(7014)] = 207974,
  [SMALL_STATE(7015)] = 207990,
  [SMALL_STATE(7016)] = 208006,
  [SMALL_STATE(7017)] = 208022,
  [SMALL_STATE(7018)] = 208036,
  [SMALL_STATE(7019)] = 208050,
  [SMALL_STATE(7020)] = 208064,
  [SMALL_STATE(7021)] = 208080,
  [SMALL_STATE(7022)] = 208096,
  [SMALL_STATE(7023)] = 208110,
  [SMALL_STATE(7024)] = 208126,
  [SMALL_STATE(7025)] = 208140,
  [SMALL_STATE(7026)] = 208156,
  [SMALL_STATE(7027)] = 208170,
  [SMALL_STATE(7028)] = 208186,
  [SMALL_STATE(7029)] = 208199,
  [SMALL_STATE(7030)] = 208212,
  [SMALL_STATE(7031)] = 208225,
  [SMALL_STATE(7032)] = 208238,
  [SMALL_STATE(7033)] = 208251,
  [SMALL_STATE(7034)] = 208264,
  [SMALL_STATE(7035)] = 208277,
  [SMALL_STATE(7036)] = 208290,
  [SMALL_STATE(7037)] = 208303,
  [SMALL_STATE(7038)] = 208316,
  [SMALL_STATE(7039)] = 208329,
  [SMALL_STATE(7040)] = 208342,
  [SMALL_STATE(7041)] = 208355,
  [SMALL_STATE(7042)] = 208368,
  [SMALL_STATE(7043)] = 208381,
  [SMALL_STATE(7044)] = 208394,
  [SMALL_STATE(7045)] = 208407,
  [SMALL_STATE(7046)] = 208420,
  [SMALL_STATE(7047)] = 208433,
  [SMALL_STATE(7048)] = 208446,
  [SMALL_STATE(7049)] = 208459,
  [SMALL_STATE(7050)] = 208472,
  [SMALL_STATE(7051)] = 208485,
  [SMALL_STATE(7052)] = 208498,
  [SMALL_STATE(7053)] = 208511,
  [SMALL_STATE(7054)] = 208524,
  [SMALL_STATE(7055)] = 208537,
  [SMALL_STATE(7056)] = 208550,
  [SMALL_STATE(7057)] = 208563,
  [SMALL_STATE(7058)] = 208576,
  [SMALL_STATE(7059)] = 208589,
  [SMALL_STATE(7060)] = 208602,
  [SMALL_STATE(7061)] = 208615,
  [SMALL_STATE(7062)] = 208628,
  [SMALL_STATE(7063)] = 208641,
  [SMALL_STATE(7064)] = 208654,
  [SMALL_STATE(7065)] = 208667,
  [SMALL_STATE(7066)] = 208680,
  [SMALL_STATE(7067)] = 208693,
  [SMALL_STATE(7068)] = 208706,
  [SMALL_STATE(7069)] = 208719,
  [SMALL_STATE(7070)] = 208732,
  [SMALL_STATE(7071)] = 208745,
  [SMALL_STATE(7072)] = 208758,
  [SMALL_STATE(7073)] = 208771,
  [SMALL_STATE(7074)] = 208784,
  [SMALL_STATE(7075)] = 208797,
  [SMALL_STATE(7076)] = 208810,
  [SMALL_STATE(7077)] = 208823,
  [SMALL_STATE(7078)] = 208836,
  [SMALL_STATE(7079)] = 208849,
  [SMALL_STATE(7080)] = 208862,
  [SMALL_STATE(7081)] = 208875,
  [SMALL_STATE(7082)] = 208888,
  [SMALL_STATE(7083)] = 208901,
  [SMALL_STATE(7084)] = 208914,
  [SMALL_STATE(7085)] = 208927,
  [SMALL_STATE(7086)] = 208940,
  [SMALL_STATE(7087)] = 208953,
  [SMALL_STATE(7088)] = 208966,
  [SMALL_STATE(7089)] = 208979,
  [SMALL_STATE(7090)] = 208992,
  [SMALL_STATE(7091)] = 209005,
  [SMALL_STATE(7092)] = 209018,
  [SMALL_STATE(7093)] = 209031,
  [SMALL_STATE(7094)] = 209044,
  [SMALL_STATE(7095)] = 209057,
  [SMALL_STATE(7096)] = 209070,
  [SMALL_STATE(7097)] = 209083,
  [SMALL_STATE(7098)] = 209096,
  [SMALL_STATE(7099)] = 209109,
  [SMALL_STATE(7100)] = 209122,
  [SMALL_STATE(7101)] = 209135,
  [SMALL_STATE(7102)] = 209148,
  [SMALL_STATE(7103)] = 209161,
  [SMALL_STATE(7104)] = 209174,
  [SMALL_STATE(7105)] = 209187,
  [SMALL_STATE(7106)] = 209200,
  [SMALL_STATE(7107)] = 209213,
  [SMALL_STATE(7108)] = 209226,
  [SMALL_STATE(7109)] = 209239,
  [SMALL_STATE(7110)] = 209252,
  [SMALL_STATE(7111)] = 209265,
  [SMALL_STATE(7112)] = 209278,
  [SMALL_STATE(7113)] = 209291,
  [SMALL_STATE(7114)] = 209304,
  [SMALL_STATE(7115)] = 209317,
  [SMALL_STATE(7116)] = 209330,
  [SMALL_STATE(7117)] = 209343,
  [SMALL_STATE(7118)] = 209356,
  [SMALL_STATE(7119)] = 209369,
  [SMALL_STATE(7120)] = 209382,
  [SMALL_STATE(7121)] = 209395,
  [SMALL_STATE(7122)] = 209408,
  [SMALL_STATE(7123)] = 209421,
  [SMALL_STATE(7124)] = 209434,
  [SMALL_STATE(7125)] = 209447,
  [SMALL_STATE(7126)] = 209460,
  [SMALL_STATE(7127)] = 209473,
  [SMALL_STATE(7128)] = 209486,
  [SMALL_STATE(7129)] = 209499,
  [SMALL_STATE(7130)] = 209512,
  [SMALL_STATE(7131)] = 209525,
  [SMALL_STATE(7132)] = 209538,
  [SMALL_STATE(7133)] = 209551,
  [SMALL_STATE(7134)] = 209564,
  [SMALL_STATE(7135)] = 209577,
  [SMALL_STATE(7136)] = 209590,
  [SMALL_STATE(7137)] = 209603,
  [SMALL_STATE(7138)] = 209616,
  [SMALL_STATE(7139)] = 209629,
  [SMALL_STATE(7140)] = 209642,
  [SMALL_STATE(7141)] = 209655,
  [SMALL_STATE(7142)] = 209668,
  [SMALL_STATE(7143)] = 209681,
  [SMALL_STATE(7144)] = 209694,
  [SMALL_STATE(7145)] = 209707,
  [SMALL_STATE(7146)] = 209720,
  [SMALL_STATE(7147)] = 209733,
  [SMALL_STATE(7148)] = 209746,
  [SMALL_STATE(7149)] = 209759,
  [SMALL_STATE(7150)] = 209772,
  [SMALL_STATE(7151)] = 209785,
  [SMALL_STATE(7152)] = 209798,
  [SMALL_STATE(7153)] = 209811,
  [SMALL_STATE(7154)] = 209824,
  [SMALL_STATE(7155)] = 209837,
  [SMALL_STATE(7156)] = 209850,
  [SMALL_STATE(7157)] = 209863,
  [SMALL_STATE(7158)] = 209876,
  [SMALL_STATE(7159)] = 209889,
  [SMALL_STATE(7160)] = 209902,
  [SMALL_STATE(7161)] = 209915,
  [SMALL_STATE(7162)] = 209928,
  [SMALL_STATE(7163)] = 209941,
  [SMALL_STATE(7164)] = 209954,
  [SMALL_STATE(7165)] = 209967,
  [SMALL_STATE(7166)] = 209980,
  [SMALL_STATE(7167)] = 209993,
  [SMALL_STATE(7168)] = 210006,
  [SMALL_STATE(7169)] = 210019,
  [SMALL_STATE(7170)] = 210032,
  [SMALL_STATE(7171)] = 210045,
  [SMALL_STATE(7172)] = 210058,
  [SMALL_STATE(7173)] = 210071,
  [SMALL_STATE(7174)] = 210084,
  [SMALL_STATE(7175)] = 210097,
  [SMALL_STATE(7176)] = 210110,
  [SMALL_STATE(7177)] = 210123,
  [SMALL_STATE(7178)] = 210136,
  [SMALL_STATE(7179)] = 210149,
  [SMALL_STATE(7180)] = 210162,
  [SMALL_STATE(7181)] = 210175,
  [SMALL_STATE(7182)] = 210188,
  [SMALL_STATE(7183)] = 210201,
  [SMALL_STATE(7184)] = 210214,
  [SMALL_STATE(7185)] = 210227,
  [SMALL_STATE(7186)] = 210240,
  [SMALL_STATE(7187)] = 210253,
  [SMALL_STATE(7188)] = 210266,
  [SMALL_STATE(7189)] = 210279,
  [SMALL_STATE(7190)] = 210292,
  [SMALL_STATE(7191)] = 210305,
  [SMALL_STATE(7192)] = 210318,
  [SMALL_STATE(7193)] = 210331,
  [SMALL_STATE(7194)] = 210344,
  [SMALL_STATE(7195)] = 210357,
  [SMALL_STATE(7196)] = 210370,
  [SMALL_STATE(7197)] = 210383,
  [SMALL_STATE(7198)] = 210396,
  [SMALL_STATE(7199)] = 210409,
  [SMALL_STATE(7200)] = 210422,
  [SMALL_STATE(7201)] = 210435,
  [SMALL_STATE(7202)] = 210448,
  [SMALL_STATE(7203)] = 210461,
  [SMALL_STATE(7204)] = 210474,
  [SMALL_STATE(7205)] = 210487,
  [SMALL_STATE(7206)] = 210500,
  [SMALL_STATE(7207)] = 210513,
  [SMALL_STATE(7208)] = 210526,
  [SMALL_STATE(7209)] = 210539,
  [SMALL_STATE(7210)] = 210552,
  [SMALL_STATE(7211)] = 210565,
  [SMALL_STATE(7212)] = 210578,
  [SMALL_STATE(7213)] = 210591,
  [SMALL_STATE(7214)] = 210604,
  [SMALL_STATE(7215)] = 210617,
  [SMALL_STATE(7216)] = 210630,
  [SMALL_STATE(7217)] = 210643,
  [SMALL_STATE(7218)] = 210656,
  [SMALL_STATE(7219)] = 210669,
  [SMALL_STATE(7220)] = 210682,
  [SMALL_STATE(7221)] = 210695,
  [SMALL_STATE(7222)] = 210708,
  [SMALL_STATE(7223)] = 210721,
  [SMALL_STATE(7224)] = 210734,
  [SMALL_STATE(7225)] = 210747,
  [SMALL_STATE(7226)] = 210760,
  [SMALL_STATE(7227)] = 210773,
  [SMALL_STATE(7228)] = 210786,
  [SMALL_STATE(7229)] = 210799,
  [SMALL_STATE(7230)] = 210812,
  [SMALL_STATE(7231)] = 210825,
  [SMALL_STATE(7232)] = 210838,
  [SMALL_STATE(7233)] = 210851,
  [SMALL_STATE(7234)] = 210864,
  [SMALL_STATE(7235)] = 210877,
  [SMALL_STATE(7236)] = 210890,
  [SMALL_STATE(7237)] = 210903,
  [SMALL_STATE(7238)] = 210916,
  [SMALL_STATE(7239)] = 210929,
  [SMALL_STATE(7240)] = 210942,
  [SMALL_STATE(7241)] = 210955,
  [SMALL_STATE(7242)] = 210968,
  [SMALL_STATE(7243)] = 210981,
  [SMALL_STATE(7244)] = 210994,
  [SMALL_STATE(7245)] = 211007,
  [SMALL_STATE(7246)] = 211020,
  [SMALL_STATE(7247)] = 211033,
  [SMALL_STATE(7248)] = 211046,
  [SMALL_STATE(7249)] = 211059,
  [SMALL_STATE(7250)] = 211072,
  [SMALL_STATE(7251)] = 211085,
  [SMALL_STATE(7252)] = 211098,
  [SMALL_STATE(7253)] = 211111,
  [SMALL_STATE(7254)] = 211124,
  [SMALL_STATE(7255)] = 211137,
  [SMALL_STATE(7256)] = 211150,
  [SMALL_STATE(7257)] = 211163,
  [SMALL_STATE(7258)] = 211176,
  [SMALL_STATE(7259)] = 211189,
  [SMALL_STATE(7260)] = 211202,
  [SMALL_STATE(7261)] = 211215,
  [SMALL_STATE(7262)] = 211228,
  [SMALL_STATE(7263)] = 211241,
  [SMALL_STATE(7264)] = 211254,
  [SMALL_STATE(7265)] = 211267,
  [SMALL_STATE(7266)] = 211280,
  [SMALL_STATE(7267)] = 211293,
  [SMALL_STATE(7268)] = 211306,
  [SMALL_STATE(7269)] = 211319,
  [SMALL_STATE(7270)] = 211332,
  [SMALL_STATE(7271)] = 211345,
  [SMALL_STATE(7272)] = 211358,
  [SMALL_STATE(7273)] = 211371,
  [SMALL_STATE(7274)] = 211384,
  [SMALL_STATE(7275)] = 211397,
  [SMALL_STATE(7276)] = 211410,
  [SMALL_STATE(7277)] = 211423,
  [SMALL_STATE(7278)] = 211436,
  [SMALL_STATE(7279)] = 211449,
  [SMALL_STATE(7280)] = 211462,
  [SMALL_STATE(7281)] = 211475,
  [SMALL_STATE(7282)] = 211488,
  [SMALL_STATE(7283)] = 211501,
  [SMALL_STATE(7284)] = 211514,
  [SMALL_STATE(7285)] = 211527,
  [SMALL_STATE(7286)] = 211540,
  [SMALL_STATE(7287)] = 211553,
  [SMALL_STATE(7288)] = 211566,
  [SMALL_STATE(7289)] = 211579,
  [SMALL_STATE(7290)] = 211592,
  [SMALL_STATE(7291)] = 211605,
  [SMALL_STATE(7292)] = 211618,
  [SMALL_STATE(7293)] = 211631,
  [SMALL_STATE(7294)] = 211644,
  [SMALL_STATE(7295)] = 211657,
  [SMALL_STATE(7296)] = 211670,
  [SMALL_STATE(7297)] = 211683,
  [SMALL_STATE(7298)] = 211696,
  [SMALL_STATE(7299)] = 211709,
  [SMALL_STATE(7300)] = 211722,
  [SMALL_STATE(7301)] = 211735,
  [SMALL_STATE(7302)] = 211748,
  [SMALL_STATE(7303)] = 211761,
  [SMALL_STATE(7304)] = 211774,
  [SMALL_STATE(7305)] = 211787,
  [SMALL_STATE(7306)] = 211800,
  [SMALL_STATE(7307)] = 211813,
  [SMALL_STATE(7308)] = 211826,
  [SMALL_STATE(7309)] = 211839,
  [SMALL_STATE(7310)] = 211852,
  [SMALL_STATE(7311)] = 211865,
  [SMALL_STATE(7312)] = 211878,
  [SMALL_STATE(7313)] = 211891,
  [SMALL_STATE(7314)] = 211904,
  [SMALL_STATE(7315)] = 211917,
  [SMALL_STATE(7316)] = 211930,
  [SMALL_STATE(7317)] = 211943,
  [SMALL_STATE(7318)] = 211956,
  [SMALL_STATE(7319)] = 211969,
  [SMALL_STATE(7320)] = 211982,
  [SMALL_STATE(7321)] = 211995,
  [SMALL_STATE(7322)] = 212008,
  [SMALL_STATE(7323)] = 212021,
  [SMALL_STATE(7324)] = 212034,
  [SMALL_STATE(7325)] = 212047,
  [SMALL_STATE(7326)] = 212060,
  [SMALL_STATE(7327)] = 212073,
  [SMALL_STATE(7328)] = 212086,
  [SMALL_STATE(7329)] = 212099,
  [SMALL_STATE(7330)] = 212112,
  [SMALL_STATE(7331)] = 212125,
  [SMALL_STATE(7332)] = 212138,
  [SMALL_STATE(7333)] = 212151,
  [SMALL_STATE(7334)] = 212164,
  [SMALL_STATE(7335)] = 212177,
  [SMALL_STATE(7336)] = 212190,
  [SMALL_STATE(7337)] = 212203,
  [SMALL_STATE(7338)] = 212216,
  [SMALL_STATE(7339)] = 212229,
  [SMALL_STATE(7340)] = 212242,
  [SMALL_STATE(7341)] = 212255,
  [SMALL_STATE(7342)] = 212268,
  [SMALL_STATE(7343)] = 212281,
  [SMALL_STATE(7344)] = 212294,
  [SMALL_STATE(7345)] = 212307,
  [SMALL_STATE(7346)] = 212320,
  [SMALL_STATE(7347)] = 212333,
  [SMALL_STATE(7348)] = 212346,
  [SMALL_STATE(7349)] = 212359,
  [SMALL_STATE(7350)] = 212372,
  [SMALL_STATE(7351)] = 212385,
  [SMALL_STATE(7352)] = 212398,
  [SMALL_STATE(7353)] = 212411,
  [SMALL_STATE(7354)] = 212424,
  [SMALL_STATE(7355)] = 212437,
  [SMALL_STATE(7356)] = 212450,
  [SMALL_STATE(7357)] = 212463,
  [SMALL_STATE(7358)] = 212476,
  [SMALL_STATE(7359)] = 212489,
  [SMALL_STATE(7360)] = 212502,
  [SMALL_STATE(7361)] = 212515,
  [SMALL_STATE(7362)] = 212528,
  [SMALL_STATE(7363)] = 212541,
  [SMALL_STATE(7364)] = 212554,
  [SMALL_STATE(7365)] = 212567,
  [SMALL_STATE(7366)] = 212580,
  [SMALL_STATE(7367)] = 212593,
  [SMALL_STATE(7368)] = 212606,
  [SMALL_STATE(7369)] = 212619,
  [SMALL_STATE(7370)] = 212632,
  [SMALL_STATE(7371)] = 212645,
  [SMALL_STATE(7372)] = 212658,
  [SMALL_STATE(7373)] = 212671,
  [SMALL_STATE(7374)] = 212684,
  [SMALL_STATE(7375)] = 212697,
  [SMALL_STATE(7376)] = 212710,
  [SMALL_STATE(7377)] = 212723,
  [SMALL_STATE(7378)] = 212736,
  [SMALL_STATE(7379)] = 212749,
  [SMALL_STATE(7380)] = 212762,
  [SMALL_STATE(7381)] = 212775,
  [SMALL_STATE(7382)] = 212788,
  [SMALL_STATE(7383)] = 212801,
  [SMALL_STATE(7384)] = 212814,
  [SMALL_STATE(7385)] = 212827,
  [SMALL_STATE(7386)] = 212840,
  [SMALL_STATE(7387)] = 212853,
  [SMALL_STATE(7388)] = 212866,
  [SMALL_STATE(7389)] = 212879,
  [SMALL_STATE(7390)] = 212892,
  [SMALL_STATE(7391)] = 212905,
  [SMALL_STATE(7392)] = 212918,
  [SMALL_STATE(7393)] = 212931,
  [SMALL_STATE(7394)] = 212944,
  [SMALL_STATE(7395)] = 212957,
  [SMALL_STATE(7396)] = 212970,
  [SMALL_STATE(7397)] = 212983,
  [SMALL_STATE(7398)] = 212996,
  [SMALL_STATE(7399)] = 213009,
  [SMALL_STATE(7400)] = 213022,
  [SMALL_STATE(7401)] = 213035,
  [SMALL_STATE(7402)] = 213048,
  [SMALL_STATE(7403)] = 213061,
  [SMALL_STATE(7404)] = 213074,
  [SMALL_STATE(7405)] = 213087,
  [SMALL_STATE(7406)] = 213100,
  [SMALL_STATE(7407)] = 213113,
  [SMALL_STATE(7408)] = 213126,
  [SMALL_STATE(7409)] = 213139,
  [SMALL_STATE(7410)] = 213152,
  [SMALL_STATE(7411)] = 213165,
  [SMALL_STATE(7412)] = 213178,
  [SMALL_STATE(7413)] = 213191,
  [SMALL_STATE(7414)] = 213204,
  [SMALL_STATE(7415)] = 213217,
  [SMALL_STATE(7416)] = 213230,
  [SMALL_STATE(7417)] = 213243,
  [SMALL_STATE(7418)] = 213256,
  [SMALL_STATE(7419)] = 213269,
  [SMALL_STATE(7420)] = 213282,
  [SMALL_STATE(7421)] = 213295,
  [SMALL_STATE(7422)] = 213308,
  [SMALL_STATE(7423)] = 213321,
  [SMALL_STATE(7424)] = 213334,
  [SMALL_STATE(7425)] = 213347,
  [SMALL_STATE(7426)] = 213360,
  [SMALL_STATE(7427)] = 213373,
  [SMALL_STATE(7428)] = 213386,
  [SMALL_STATE(7429)] = 213399,
  [SMALL_STATE(7430)] = 213412,
  [SMALL_STATE(7431)] = 213425,
  [SMALL_STATE(7432)] = 213438,
  [SMALL_STATE(7433)] = 213451,
  [SMALL_STATE(7434)] = 213464,
  [SMALL_STATE(7435)] = 213477,
  [SMALL_STATE(7436)] = 213490,
  [SMALL_STATE(7437)] = 213503,
  [SMALL_STATE(7438)] = 213516,
  [SMALL_STATE(7439)] = 213529,
  [SMALL_STATE(7440)] = 213542,
  [SMALL_STATE(7441)] = 213555,
  [SMALL_STATE(7442)] = 213568,
  [SMALL_STATE(7443)] = 213581,
  [SMALL_STATE(7444)] = 213594,
  [SMALL_STATE(7445)] = 213607,
  [SMALL_STATE(7446)] = 213620,
  [SMALL_STATE(7447)] = 213633,
  [SMALL_STATE(7448)] = 213646,
  [SMALL_STATE(7449)] = 213659,
  [SMALL_STATE(7450)] = 213672,
  [SMALL_STATE(7451)] = 213685,
  [SMALL_STATE(7452)] = 213698,
  [SMALL_STATE(7453)] = 213711,
  [SMALL_STATE(7454)] = 213724,
  [SMALL_STATE(7455)] = 213737,
  [SMALL_STATE(7456)] = 213750,
  [SMALL_STATE(7457)] = 213763,
  [SMALL_STATE(7458)] = 213776,
  [SMALL_STATE(7459)] = 213789,
  [SMALL_STATE(7460)] = 213802,
  [SMALL_STATE(7461)] = 213815,
  [SMALL_STATE(7462)] = 213828,
  [SMALL_STATE(7463)] = 213841,
  [SMALL_STATE(7464)] = 213854,
  [SMALL_STATE(7465)] = 213867,
  [SMALL_STATE(7466)] = 213880,
  [SMALL_STATE(7467)] = 213893,
  [SMALL_STATE(7468)] = 213906,
  [SMALL_STATE(7469)] = 213919,
  [SMALL_STATE(7470)] = 213932,
  [SMALL_STATE(7471)] = 213945,
  [SMALL_STATE(7472)] = 213958,
  [SMALL_STATE(7473)] = 213971,
  [SMALL_STATE(7474)] = 213984,
  [SMALL_STATE(7475)] = 213997,
  [SMALL_STATE(7476)] = 214010,
  [SMALL_STATE(7477)] = 214023,
  [SMALL_STATE(7478)] = 214036,
  [SMALL_STATE(7479)] = 214049,
  [SMALL_STATE(7480)] = 214062,
  [SMALL_STATE(7481)] = 214075,
  [SMALL_STATE(7482)] = 214088,
  [SMALL_STATE(7483)] = 214101,
  [SMALL_STATE(7484)] = 214114,
  [SMALL_STATE(7485)] = 214127,
  [SMALL_STATE(7486)] = 214140,
  [SMALL_STATE(7487)] = 214153,
  [SMALL_STATE(7488)] = 214166,
  [SMALL_STATE(7489)] = 214179,
  [SMALL_STATE(7490)] = 214192,
  [SMALL_STATE(7491)] = 214205,
  [SMALL_STATE(7492)] = 214218,
  [SMALL_STATE(7493)] = 214231,
  [SMALL_STATE(7494)] = 214244,
  [SMALL_STATE(7495)] = 214257,
  [SMALL_STATE(7496)] = 214270,
  [SMALL_STATE(7497)] = 214283,
  [SMALL_STATE(7498)] = 214296,
  [SMALL_STATE(7499)] = 214309,
  [SMALL_STATE(7500)] = 214322,
  [SMALL_STATE(7501)] = 214335,
  [SMALL_STATE(7502)] = 214348,
  [SMALL_STATE(7503)] = 214361,
  [SMALL_STATE(7504)] = 214374,
  [SMALL_STATE(7505)] = 214387,
  [SMALL_STATE(7506)] = 214400,
  [SMALL_STATE(7507)] = 214413,
  [SMALL_STATE(7508)] = 214426,
  [SMALL_STATE(7509)] = 214439,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6379),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6392),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(736),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(723),
  [136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(7299),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(684),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7147),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(669),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2188),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(869),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2127),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2005),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(586),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3844),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4548),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2008),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4455),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6829),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6950),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5796),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(259),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(781),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6667),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(106),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6665),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6662),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5801),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5802),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6658),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(467),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(545),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1264),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(228),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(278),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6392),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4235),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(908),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4527),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(171),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(836),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7487),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1813),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(834),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5665),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5664),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4935),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3110),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7484),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3111),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6322),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2187),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(887),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2004),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7423),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7039),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7036),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6950),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 238),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 95),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2142),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(870),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2132),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2011),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3847),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4487),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2013),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4457),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6363),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6364),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6353),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6370),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6371),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6379),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6326),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6324),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6391),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(465),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(489),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1743),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4249),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(902),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4497),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(166),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2161),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(883),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1999),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7481),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7480),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7478),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6395),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6851),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6791),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6844),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4506),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(101),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(262),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(276),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1813),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(4849),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(514),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(670),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(581),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7368),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7087),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [2144] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(3979),
  [2148] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(4194),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7029),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 233),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 233),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 233),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 90),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 90),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, .production_id = 89),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 89),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 29),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 29),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 219),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 219),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 219),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 192),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 192),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 192),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 191),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 191),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 191),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 150),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 150),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 150),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 49),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 49),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 49),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 114),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 114),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 114),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 112),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 112),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 123),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 123),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 123),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 173),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 173),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 173),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 169),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 169),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 169),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 173),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, .production_id = 173),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, .production_id = 173),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 113),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 113),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 113),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 191),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 192),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 150),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 219),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 123),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 233),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 114),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 113),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 49),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 169),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 173),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 173),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(101),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [2807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3758),
  [2810] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(272),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(612),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [2819] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(6237),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(272),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(6237),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7138),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7141),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7099),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5760),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 45),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7327),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 241),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 37),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 270),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 45),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 153),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 100),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 146),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 145),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 37),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 142),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 155),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 94),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 114),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 172),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 123),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 86),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 183),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 186),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 88),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 190),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 150),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 194),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 122),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 196),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 169),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 173),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 173),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 228),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 88),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 48),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 48),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 47),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 99),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 44),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 192),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 39),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 219),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 265),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 233),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 266),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 36),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 38),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 33),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 49),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 98),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 149),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 27),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 87),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 36),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 101),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 84),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 74),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, .production_id = 107),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 108),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 73),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 25),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7304),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7303),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 240),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 241),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 270),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 201),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 153),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 142),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 145),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 146),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 149),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 153),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 155),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 39),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 153),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 113),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 114),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 172),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 123),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 182),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 183),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 186),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 88),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 190),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 150),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 194),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 122),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 196),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 201),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 49),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 169),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 108),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 173),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 173),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 228),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 88),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 230),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, .production_id = 107),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 100),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 232),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 191),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 192),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 234),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 38),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 235),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 36),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 240),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 219),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 265),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 230),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 33),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 232),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 233),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 266),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 99),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 98),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 36),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 86),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 94),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 86),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 27),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 25),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 87),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 84),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 44),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 74),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 73),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 46),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 47),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 48),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 48),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 101),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7413),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7183),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 269),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 200),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [3677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 239),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 199),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5522),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5645),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [4113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5523),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [4174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 76),
  [4178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 78),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 78),
  [4182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [4188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [4195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [4198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 77),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [4214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 75),
  [4222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 188),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 188),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [4228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 147),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 147),
  [4232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(639),
  [4251] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7186),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1824),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(7190),
  [4274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(1819),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(6948),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(693),
  [4287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(300),
  [4307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(643),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 13),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6315),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [4330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT(4224),
  [4339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 75),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [4359] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_rest_pattern, 2),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [4377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(522),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [4395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [4397] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 32),
  [4406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 76),
  [4410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 60),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(593),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 58),
  [4437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 58),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [4442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .production_id = 60),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [4446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .production_id = 58),
  [4448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .production_id = 60),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2405),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2793),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [4600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2742),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2736),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3448),
  [4609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2914),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6793),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [4772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(4213),
  [4775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3783),
  [4778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24),
  [4780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3632),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(563),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3389),
  [4789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(7219),
  [4792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5489),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5490),
  [4798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(4159),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5878),
  [4804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2600),
  [4807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2925),
  [4810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3394),
  [4813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(2867),
  [4816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3508),
  [4819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3437),
  [4822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 24), SHIFT_REPEAT(3715),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [4863] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 58),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 13),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [4901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [4903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 59),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [4907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [4917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, .production_id = 67),
  [4925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, .production_id = 67),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [4933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, .production_id = 20),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, .production_id = 20),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [4947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15),
  [4951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2),
  [4953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2),
  [4955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [4959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 137),
  [4961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 137),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 63),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 63),
  [4967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 226),
  [4969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 226),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [5033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 18),
  [5047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 129),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 129),
  [5051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 69),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 69),
  [5055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 130),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 130),
  [5059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [5063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [5067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 131),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 131),
  [5071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 132),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, .production_id = 132),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [5077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 225),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 225),
  [5081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 61),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 61),
  [5085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 60),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [5091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 224),
  [5093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 224),
  [5095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 223),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [5103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2405),
  [5106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3448),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [5117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [5121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [5131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 66),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 66),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 147),
  [5145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 147),
  [5147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2736),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 68),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 68),
  [5158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2793),
  [5161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 58),
  [5163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .production_id = 60),
  [5165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 135),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 135),
  [5179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 89), REDUCE(sym_nested_type_identifier, 3, .production_id = 135),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 58),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 227),
  [5188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 227),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 260),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 181),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 181),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 261),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [5208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 60),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .production_id = 58),
  [5214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, .production_id = 90), REDUCE(sym_nested_type_identifier, 3, .production_id = 135),
  [5217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [5223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [5229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2914),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [5236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [5238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [5244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, .production_id = 66),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, .production_id = 66),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 180),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 180),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 141),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 141),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 140),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .production_id = 60),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 178),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 178),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 177),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 177),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2742),
  [5293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 189),
  [5295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 189),
  [5297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 262),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 262),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 18),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [5315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 263),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 263),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 139),
  [5327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 75),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 76),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 76),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, .production_id = 264),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, .production_id = 264),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 138),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 96),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 96),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 291),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 291),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 16),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 71),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 117),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 117),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 72),
  [5407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 28),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 70), REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 70),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [5514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(222),
  [5517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 171),
  [5519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 171),
  [5521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [5525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(217),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2),
  [5534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 91), REDUCE(sym_assignment_expression, 3, .production_id = 70),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 91),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 91), REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 26),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 71),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [5558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(214),
  [5561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(217),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 125),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 152),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 152),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 151),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 151),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 126),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 148),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 148),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 82),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 72),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, .production_id = 54),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [5632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [5636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 193),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 193),
  [5646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 187),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [5668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [5672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(222),
  [5675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 79),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [5685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(214),
  [5688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 15),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [5696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(214),
  [5699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 127),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 127),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(217),
  [5708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(222),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 80),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 80),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 81),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 81),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 82),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 85),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 85),
  [5727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 124),
  [5732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 124),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 119),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 119),
  [5740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [5744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(222),
  [5747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 30),
  [5749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 30),
  [5751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 121),
  [5764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 120),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 95),
  [5768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 95), SHIFT(810),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [5773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, .production_id = 119),
  [5775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, .production_id = 119),
  [5777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(217),
  [5780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 118),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [5788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 30),
  [5794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 30),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 30), REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [5805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 19),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [5813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 21),
  [5815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 21),
  [5817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 28),
  [5819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(214),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [5842] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5846] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(215),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 70),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [5865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(215),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 31),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [5912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(215),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(215),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(218),
  [5939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(218),
  [5942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(218),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, .production_id = 50),
  [5947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(218),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5988] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [6048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6053] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [6059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 40),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 40),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [6085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 15),
  [6088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 92),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [6124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [6127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [6130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 15), REDUCE(sym__parameter_name, 2, .production_id = 40),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [6171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(221),
  [6174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(221),
  [6177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(221),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [6204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(221),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 30), REDUCE(sym_object_pattern, 3, .production_id = 31),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [6315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [6317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [6322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [6325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(220),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [6335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(220),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(220),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [6353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 158),
  [6355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 158),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [6361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, .production_id = 160),
  [6363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 160),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, .production_id = 115),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, .production_id = 202),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 202),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [6373] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1), REDUCE(sym_rest_pattern, 2),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [6379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(223),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [6394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(223),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 106),
  [6419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 106),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [6423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(223),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(223),
  [6429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(219),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [6434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, .production_id = 102),
  [6436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 102),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [6474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(219),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(219),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 18),
  [6482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(220),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [6493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [6498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [6531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(219),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [6552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [6566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 95), SHIFT(739),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [6573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, .production_id = 43),
  [6575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 43),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [6617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [6620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 72), SHIFT(216),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [6625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [6639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(216),
  [6642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(216),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(216),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 117), REDUCE(sym_class, 5, .production_id = 193),
  [6653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 117), REDUCE(sym_class, 5, .production_id = 193),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [6660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 152),
  [6663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53), REDUCE(sym_class, 4, .production_id = 152),
  [6666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 113), REDUCE(sym_class, 5, .production_id = 191),
  [6669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 113), REDUCE(sym_class, 5, .production_id = 191),
  [6672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 151),
  [6675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52), REDUCE(sym_class, 4, .production_id = 151),
  [6678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 49), REDUCE(sym_class, 4, .production_id = 150),
  [6681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 49), REDUCE(sym_class, 4, .production_id = 150),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [6686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 114), REDUCE(sym_class, 5, .production_id = 192),
  [6689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 114), REDUCE(sym_class, 5, .production_id = 192),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [6694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 85),
  [6697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11), REDUCE(sym_class, 3, .production_id = 85),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [6716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30),
  [6718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 169), REDUCE(sym_class, 6, .production_id = 233),
  [6721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 169), REDUCE(sym_class, 6, .production_id = 233),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [6732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 173),
  [6734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 173),
  [6736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 267),
  [6738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 267),
  [6740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 236),
  [6742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 236),
  [6744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 268),
  [6746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 268),
  [6748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 197),
  [6750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 197),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [6760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 219),
  [6762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 219),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 93),
  [6766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 93),
  [6768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [6770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1), SHIFT_REPEAT(3629),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [6777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 123),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 123),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [6783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 156),
  [6785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 156),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 292),
  [6789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 292),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [6793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 293),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 293),
  [6797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 110),
  [6799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 110), SHIFT_REPEAT(3635),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [6804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 311),
  [6808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 312),
  [6810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 312),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 327),
  [6814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 327),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [6832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, .production_id = 110),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [6836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [6838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, .production_id = 11),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7209),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(5878),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6700),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6734),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6275),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 211),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [7193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 213),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 257),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [7211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [7225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [7239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 161),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [7249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 111),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 251),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [7261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 88),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 166),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [7287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 290),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 88),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [7321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 251),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 211),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 161),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [7351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), REDUCE(sym_type_parameter, 1, .production_id = 14),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [7356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(1902),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 166),
  [7361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 161),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 88),
  [7365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 257),
  [7367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [7369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 111),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [7373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 161),
  [7375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 251),
  [7377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [7379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 13), SHIFT(6948),
  [7382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 251),
  [7384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 211),
  [7386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [7388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 213),
  [7390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 88),
  [7392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 290),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [7434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 58),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [7444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7187),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [7458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [7492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [7502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 139),
  [7506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 138),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [7524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 76),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [7528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 75),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [7544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 310),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [7550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 141),
  [7552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 141),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [7560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [7566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 283),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [7576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [7602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 140),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 58),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [7750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, .production_id = 140),
  [7752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 31),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [7786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 69),
  [7788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [7798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 69),
  [7800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, .production_id = 18),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7118),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [7816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2),
  [7818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [7822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, .production_id = 60),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [7850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 310),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [7882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [7890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(643),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [7901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, .production_id = 60),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [7907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 122),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [7913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [7915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 165),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [7931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [7935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 176),
  [7937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 175),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [7947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [7949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 128),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 222),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 62),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [7975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 203),
  [7977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [7979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 172),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [7989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [7993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [7997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 283),
  [7999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [8009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 242),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [8015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 243),
  [8017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 14),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [8023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 143),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [8031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 143),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 109),
  [8035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 275),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 276),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [8045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [8052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 294),
  [8054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 295),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [8062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 315),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [8066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 320),
  [8068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 329),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(7048),
  [8099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [8101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(506),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [8126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [8138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 144),
  [8140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 144),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 75),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 22),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24),
  [8202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 24), SHIFT_REPEAT(6322),
  [8205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [8291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [8343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [8359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5612),
  [8362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [8364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(532),
  [8367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(5616),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [8416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [8440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 83),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [8450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 143),
  [8452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 143),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [8458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(2349),
  [8461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 30),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [8499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 253),
  [8501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 289),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [8511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 285),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 326),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [8547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 323),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 215),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [8561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 209),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [8565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 207),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [8573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 217),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 306),
  [8581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [8591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(693),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [8602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 205),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [8608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 204),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [8626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 220),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [8630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 318),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 314),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 313),
  [8652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 207),
  [8654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [8660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, .production_id = 259),
  [8662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 209),
  [8664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1899),
  [8667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 282),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [8675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 96),
  [8677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 300),
  [8679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 35),
  [8681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1834),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 279),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [8690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 163),
  [8692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(615),
  [8695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 221),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 279),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 282),
  [8707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 274),
  [8709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 273),
  [8711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 174),
  [8713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 271),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [8719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 57),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 309),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [8735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 249),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [8739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 297),
  [8741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 245),
  [8743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 298),
  [8745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 300),
  [8747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [8749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 303),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [8753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 168),
  [8755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1837),
  [8758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 255),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 96),
  [8774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1885),
  [8777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1831),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [8786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 144),
  [8788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 144),
  [8790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 163),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [8796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 245),
  [8798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 35),
  [8800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1906),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [8811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 35),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 332),
  [8817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 249),
  [8819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(1973),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [8824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 250),
  [8826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 23), SHIFT(1829),
  [8829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [8833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [8835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(1933),
  [8838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(6110),
  [8841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [8843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 58),
  [8845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [8847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [8867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 34),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [8903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [8927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 17),
  [8929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, .production_id = 17), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [8934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 134),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 116),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [8958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(648),
  [8961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 104),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [8967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(4696),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 88),
  [8974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [8976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229), SHIFT_REPEAT(5597),
  [8979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 229),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [8991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [9001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 31),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [9017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 18),
  [9019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [9021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(6230),
  [9024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [9026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(6231),
  [9029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [9033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 170),
  [9035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 170), SHIFT_REPEAT(497),
  [9038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 65),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 51),
  [9046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 272),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [9066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 42),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [9104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 184),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1),
  [9112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 185),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 185),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [9120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [9204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [9208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(639),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [9219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 208),
  [9221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 322),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 321),
  [9227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 210),
  [9229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 324),
  [9231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 206),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [9245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 172),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [9263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 203),
  [9265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 325),
  [9267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 212),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [9275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 214),
  [9277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1773),
  [9280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 216),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [9294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 218),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [9312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 319),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [9328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 317),
  [9330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 316),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [9338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 304),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 307),
  [9342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 305),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [9346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(1883),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [9353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 308),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [9361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [9371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 51),
  [9373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 167),
  [9375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 97),
  [9377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 164),
  [9379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 162),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [9385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 122),
  [9387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 231), SHIFT_REPEAT(3737),
  [9390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 231),
  [9392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 244),
  [9394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 246),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 247),
  [9398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 248),
  [9400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 328),
  [9402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 330),
  [9404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 331),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [9408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 333),
  [9410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 242),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [9414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 243),
  [9416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 252),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 254),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [9436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 256),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [9472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, .production_id = 334),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(4291),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [9485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1),
  [9487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1821),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [9502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(4472),
  [9505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [9507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [9515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(5766),
  [9518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 258),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, .production_id = 60),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [9564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [9576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2), SHIFT_REPEAT(761),
  [9579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [9581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 97),
  [9583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 34),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [9587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(282),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [9592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(447),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [9607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 96),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [9625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 301),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [9637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, .production_id = 1),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [9641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 287),
  [9643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 92),
  [9645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [9651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, .production_id = 88),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [9655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1),
  [9657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(6564),
  [9660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [9664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, .production_id = 294),
  [9666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 299),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [9672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 302),
  [9674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 284),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 296),
  [9694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [9700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(333),
  [9703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [9705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(446),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [9732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [9738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 277),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 278),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [9750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [9752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 280),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 281),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [9764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 275),
  [9766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 286),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [9772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(3339),
  [9775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [9777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(3446),
  [9780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [9794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 276),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [9820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 288),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, .production_id = 5),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [9834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [9862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [9866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [9868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [9876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [9888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [9890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [9906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1),
  [9908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1),
  [9910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [9912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [9920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [9932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(593),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [9991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [10015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [10087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [10099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [10103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [10175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 237),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [10315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [10327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, .production_id = 5),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 41),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [10391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [10393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 64),
  [10395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 195),
  [10397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, .production_id = 198),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [10401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [10403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, .production_id = 195),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [10409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 34),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [10429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 96),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [10435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 179),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [10455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 33),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [10477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 159),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [10491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [10495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [10499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [10503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [10505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 154),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [10509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, .production_id = 157),
  [10511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, .production_id = 154),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [10515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [10519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 136),
  [10521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 35),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [10529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, .production_id = 88),
  [10531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 133),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [10549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [10553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 103),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 105),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [10629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [10643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [10757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [10839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [10881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [10973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [11095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [11163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [11227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [11345] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [11361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [11395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token__function_signature_automatic_semicolon = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_typescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
